/*===========================================================================*/
/*   (Ast/pragma.scm)                                                        */
/*   Bigloo (2.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 25 07:31:22 CET 2006        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/2.9a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/pragma.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2heapzd2formatz00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_isaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		struct BgL_typez00_bgl *BgL_classz00;
	}             *BgL_isaz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
	}                 *BgL_backendz00_bglt;


	static obj_t BGl_getzd2maxzd2indexz00zzast_pragmaz00(obj_t);
	BGL_IMPORT obj_t open_input_string(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzast_pragmaz00();
	static obj_t BGl__pragmazf2typezd2ze3node3281zc3zzast_pragmaz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_findzd2locationzf2locz20zztools_locationz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_pragmaz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT long bgl_list_length(obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00(bool_t, obj_t,
		BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_stringzd2ze3numberz31zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(obj_t,
		obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_userzd2warningzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzast_pragmaz00();
	static obj_t BGl_requirezd2initializa7ationz75zzast_pragmaz00 = BUNSPEC;
	static obj_t BGl_thezd2stringzd2zzast_pragmaz00(obj_t);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzast_pragmaz00();
	extern BgL_pragmaz00_bglt BGl_makezd2pragmazd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t rgc_buffer_substring(obj_t, long, long);
	static obj_t BGl_zc3anonymousza33128ze3z83zzast_pragmaz00(obj_t, obj_t);
	BGL_IMPORT bool_t rgc_fill_buffer(obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_pragmaz00();
	static obj_t __cnst[3];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_pragmazf2typezd2ze3nodezd2envz11zzast_pragmaz00,
		BgL_bgl__pragmaza7f2typeza7d3296z00,
		BGl__pragmazf2typezd2ze3node3281zc3zzast_pragmaz00, 0L, BUNSPEC, 7);
	      DEFINE_STRING(BGl_string3282z00zzast_pragmaz00,
		BgL_bgl_string3282za700za7za7a3297za7,
		"Wrong number of arguments in `pragma' form", 42);
	      DEFINE_STRING(BGl_string3283z00zzast_pragmaz00,
		BgL_bgl_string3283za700za7za7a3298za7, "Illegal `pragma' form", 21);
	      DEFINE_STRING(BGl_string3284z00zzast_pragmaz00,
		BgL_bgl_string3284za700za7za7a3299za7, "pragma", 6);
	      DEFINE_STRING(BGl_string3285z00zzast_pragmaz00,
		BgL_bgl_string3285za700za7za7a3300za7, "Pragma ignored with this back-end",
		33);
	      DEFINE_STRING(BGl_string3286z00zzast_pragmaz00,
		BgL_bgl_string3286za700za7za7a3301za7, "Grammar arity mismatch", 22);
	      DEFINE_STRING(BGl_string3287z00zzast_pragmaz00,
		BgL_bgl_string3287za700za7za7a3302za7, "regular-grammar", 15);
	      DEFINE_STRING(BGl_string3288z00zzast_pragmaz00,
		BgL_bgl_string3288za700za7za7a3303za7, "Illegal match", 13);
	      DEFINE_STRING(BGl_string3290z00zzast_pragmaz00,
		BgL_bgl_string3290za700za7za7a3304za7, "Illegal range `~a'", 18);
	      DEFINE_STRING(BGl_string3289z00zzast_pragmaz00,
		BgL_bgl_string3289za700za7za7a3305za7, "", 0);
	      DEFINE_STRING(BGl_string3291z00zzast_pragmaz00,
		BgL_bgl_string3291za700za7za7a3306za7, "the-substring", 13);
	      DEFINE_STRING(BGl_string3292z00zzast_pragmaz00,
		BgL_bgl_string3292za700za7za7a3307za7, "ast_pragma", 10);
	      DEFINE_STRING(BGl_string3293z00zzast_pragmaz00,
		BgL_bgl_string3293za700za7za7a3308za7, "read/rp set! value ", 19);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_pragmaz00(long
		BgL_checksumz00_1528, char *BgL_fromz00_1529)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_pragmaz00))
				{
					BGl_requirezd2initializa7ationz75zzast_pragmaz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzast_pragmaz00();
					BGl_cnstzd2initzd2zzast_pragmaz00();
					BGl_importedzd2moduleszd2initz00zzast_pragmaz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_pragmaz00()
	{
		AN_OBJECT;
		{	/* Ast/pragma.scm 14 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_pragma");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "ast_pragma");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_pragma");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"ast_pragma");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_pragmaz00()
	{
		AN_OBJECT;
		{	/* Ast/pragma.scm 14 */
			{	/* Ast/pragma.scm 14 */
				obj_t BgL_cportz00_1520;

				BgL_cportz00_1520 = open_input_string(BGl_string3293z00zzast_pragmaz00);
				{
					long BgL_iz00_1521;

					BgL_iz00_1521 = ((long) 2);
				BgL_loopz00_1522:
					if ((BgL_iz00_1521 == ((long) -1)))
						{	/* Ast/pragma.scm 14 */
							return BUNSPEC;
						}
					else
						{	/* Ast/pragma.scm 14 */
							{	/* Ast/pragma.scm 14 */
								obj_t BgL_arg3295z00_1524;

								{	/* Ast/pragma.scm 14 */

									{	/* Ast/pragma.scm 14 */
										obj_t BgL_locationz00_1526;

										BgL_locationz00_1526 = BBOOL(((bool_t) 0));
										{	/* Ast/pragma.scm 14 */

											BgL_arg3295z00_1524 =
												BGl_readz00zz__readerz00(BgL_cportz00_1520,
												BgL_locationz00_1526);
										}
									}
								}
								{	/* Ast/pragma.scm 14 */
									int BgL_auxz00_1545;

									BgL_auxz00_1545 = (int) (BgL_iz00_1521);
									CNST_TABLE_SET(BgL_auxz00_1545, BgL_arg3295z00_1524);
							}}
							{	/* Ast/pragma.scm 14 */
								int BgL_auxz00_1527;

								BgL_auxz00_1527 = (int) ((BgL_iz00_1521 - ((long) 1)));
								{
									long BgL_iz00_1550;

									BgL_iz00_1550 = (long) (BgL_auxz00_1527);
									BgL_iz00_1521 = BgL_iz00_1550;
									goto BgL_loopz00_1522;
								}
							}
						}
				}
			}
		}
	}



/* pragma/type->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00(bool_t BgL_freez00_1,
		obj_t BgL_effectz00_2, BgL_typez00_bglt BgL_typez00_3, obj_t BgL_expz00_4,
		obj_t BgL_stackz00_5, obj_t BgL_locz00_6, obj_t BgL_sitez00_7)
	{
		AN_OBJECT;
		{	/* Ast/pragma.scm 26 */
			{	/* Ast/pragma.scm 27 */
				bool_t BgL_testz00_1552;

				{	/* Ast/pragma.scm 27 */
					obj_t BgL_arg3117z00_821;

					BgL_arg3117z00_821 = BGl_thezd2backendzd2zzbackend_backendz00();
					{	/* Ast/pragma.scm 27 */
						BgL_backendz00_bglt BgL_obj3068z00_1400;

						BgL_obj3068z00_1400 = (BgL_backendz00_bglt) (BgL_arg3117z00_821);
						BgL_testz00_1552 =
							(((BgL_backendz00_bglt) CREF(BgL_obj3068z00_1400))->
							BgL_pragmazd2supportzd2);
					}
				}
				if (BgL_testz00_1552)
					{
						obj_t BgL_formatz00_791;
						obj_t BgL_valuesz00_792;

						if (PAIRP(BgL_expz00_4))
							{	/* Ast/pragma.scm 34 */
								obj_t BgL_cdrzd2937zd2_797;

								BgL_cdrzd2937zd2_797 = CDR(BgL_expz00_4);
								if (PAIRP(BgL_cdrzd2937zd2_797))
									{	/* Ast/pragma.scm 34 */
										obj_t BgL_carzd2940zd2_799;

										BgL_carzd2940zd2_799 = CAR(BgL_cdrzd2937zd2_797);
										if (STRINGP(BgL_carzd2940zd2_799))
											{	/* Ast/pragma.scm 34 */
												obj_t BgL_arg3103z00_801;

												BgL_arg3103z00_801 = CDR(BgL_cdrzd2937zd2_797);
												{	/* Ast/pragma.scm 34 */
													obj_t BgL_auxz00_1565;

													BgL_formatz00_791 = BgL_carzd2940zd2_799;
													BgL_valuesz00_792 = BgL_arg3103z00_801;
													{	/* Ast/pragma.scm 36 */
														obj_t BgL_maxzd2indexzd2_802;
														obj_t BgL_locz00_803;

														BgL_maxzd2indexzd2_802 =
															BGl_getzd2maxzd2indexz00zzast_pragmaz00
															(BgL_formatz00_791);
														BgL_locz00_803 =
															BGl_findzd2locationzf2locz20zztools_locationz00
															(BgL_expz00_4, BgL_locz00_6);
														if (((long) CINT(BgL_maxzd2indexzd2_802) ==
																bgl_list_length(BgL_valuesz00_792)))
															{
																obj_t BgL_expsz00_806;
																obj_t BgL_nodesz00_807;

																{	/* Ast/pragma.scm 43 */
																	BgL_pragmaz00_bglt BgL_auxz00_1572;

																	BgL_expsz00_806 = BgL_valuesz00_792;
																	BgL_nodesz00_807 = BNIL;
																BgL_loopz00_808:
																	if (NULLP(BgL_expsz00_806))
																		{	/* Ast/pragma.scm 51 */
																			bool_t BgL_arg3106z00_810;
																			obj_t BgL_arg3108z00_812;

																			if (BgL_freez00_1)
																				{	/* Ast/pragma.scm 51 */
																					BgL_arg3106z00_810 = ((bool_t) 0);
																				}
																			else
																				{	/* Ast/pragma.scm 51 */
																					BgL_arg3106z00_810 = ((bool_t) 1);
																				}
																			BgL_arg3108z00_812 =
																				bgl_reverse_bang(BgL_nodesz00_807);
																			BgL_auxz00_1572 =
																				BGl_makezd2pragmazd2zzast_nodez00
																				(BgL_locz00_803, BgL_typez00_3,
																				BBOOL(BgL_arg3106z00_810),
																				BINT(((long) -1)), BgL_arg3108z00_812,
																				BgL_effectz00_2, BgL_formatz00_791);
																		}
																	else
																		{	/* Ast/pragma.scm 53 */
																			obj_t BgL_arg3109z00_813;
																			obj_t BgL_arg3110z00_814;

																			BgL_arg3109z00_813 = CDR(BgL_expsz00_806);
																			{	/* Ast/pragma.scm 55 */
																				BgL_nodez00_bglt BgL_arg3111z00_815;

																				{	/* Ast/pragma.scm 55 */
																					obj_t BgL_arg3112z00_816;
																					obj_t BgL_arg3113z00_817;
																					obj_t BgL_arg3114z00_818;

																					BgL_arg3112z00_816 =
																						CAR(BgL_expsz00_806);
																					BgL_arg3113z00_817 =
																						BGl_findzd2locationzf2locz20zztools_locationz00
																						(CAR(BgL_expsz00_806),
																						BgL_locz00_803);
																					if (BgL_freez00_1)
																						{	/* Ast/pragma.scm 58 */
																							BgL_arg3114z00_818 =
																								CNST_TABLE_REF(((long) 0));
																						}
																					else
																						{	/* Ast/pragma.scm 58 */
																							BgL_arg3114z00_818 =
																								CNST_TABLE_REF(((long) 1));
																						}
																					BgL_arg3111z00_815 =
																						BGl_sexpzd2ze3nodez31zzast_sexpz00
																						(BgL_arg3112z00_816, BgL_stackz00_5,
																						BgL_arg3113z00_817,
																						BgL_arg3114z00_818);
																				}
																				BgL_arg3110z00_814 =
																					MAKE_PAIR(
																					(obj_t) (BgL_arg3111z00_815),
																					BgL_nodesz00_807);
																			}
																			{
																				obj_t BgL_nodesz00_1591;
																				obj_t BgL_expsz00_1590;

																				BgL_expsz00_1590 = BgL_arg3109z00_813;
																				BgL_nodesz00_1591 = BgL_arg3110z00_814;
																				BgL_nodesz00_807 = BgL_nodesz00_1591;
																				BgL_expsz00_806 = BgL_expsz00_1590;
																				goto BgL_loopz00_808;
																			}
																		}
																	BgL_auxz00_1565 = (obj_t) (BgL_auxz00_1572);
																}
															}
														else
															{	/* Ast/pragma.scm 39 */
																BgL_nodez00_bglt BgL_auxz00_1593;

																BgL_auxz00_1593 =
																	BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
																	(BGl_string3282z00zzast_pragmaz00,
																	BgL_expz00_4, BgL_locz00_803);
																BgL_auxz00_1565 = (obj_t) (BgL_auxz00_1593);
															}
													}
													return (BgL_nodez00_bglt) (BgL_auxz00_1565);
												}
											}
										else
											{	/* Ast/pragma.scm 34 */
											BgL_tagzd2930zd2_794:
												return
													BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
													(BGl_string3283z00zzast_pragmaz00, BgL_expz00_4,
													BgL_locz00_6);
											}
									}
								else
									{	/* Ast/pragma.scm 34 */
										goto BgL_tagzd2930zd2_794;
									}
							}
						else
							{	/* Ast/pragma.scm 34 */
								goto BgL_tagzd2930zd2_794;
							}
					}
				else
					{	/* Ast/pragma.scm 27 */
						BGl_userzd2warningzf2locationz20zztools_errorz00(BgL_locz00_6,
							BGl_string3284z00zzast_pragmaz00,
							BGl_string3285z00zzast_pragmaz00, BgL_expz00_4);
						return BGl_sexpzd2ze3nodez31zzast_sexpz00(BUNSPEC, BgL_stackz00_5,
							BgL_locz00_6, BgL_sitez00_7);
					}
			}
		}
	}



/* _pragma/type->node3281 */
	obj_t BGl__pragmazf2typezd2ze3node3281zc3zzast_pragmaz00(obj_t
		BgL_envz00_1507, obj_t BgL_freez00_1508, obj_t BgL_effectz00_1509,
		obj_t BgL_typez00_1510, obj_t BgL_expz00_1511, obj_t BgL_stackz00_1512,
		obj_t BgL_locz00_1513, obj_t BgL_sitez00_1514)
	{
		AN_OBJECT;
		{	/* Ast/pragma.scm 26 */
			{	/* Ast/pragma.scm 27 */
				BgL_nodez00_bglt BgL_auxz00_1600;

				BgL_auxz00_1600 =
					BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00(CBOOL(BgL_freez00_1508),
					BgL_effectz00_1509, (BgL_typez00_bglt) (BgL_typez00_1510),
					BgL_expz00_1511, BgL_stackz00_1512, BgL_locz00_1513,
					BgL_sitez00_1514);
				return (obj_t) (BgL_auxz00_1600);
			}
		}
	}



/* get-max-index */
	obj_t BGl_getzd2maxzd2indexz00zzast_pragmaz00(obj_t BgL_formatz00_8)
	{
		AN_OBJECT;
		{	/* Ast/pragma.scm 66 */
			{	/* Ast/pragma.scm 67 */
				obj_t BgL_parserz00_822;
				obj_t BgL_portz00_823;

				{	/* Ast/pragma.scm 67 */
					obj_t BgL_zc3anonymousza33128ze3z83_1515;

					BgL_zc3anonymousza33128ze3z83_1515 =
						make_fx_procedure(BGl_zc3anonymousza33128ze3z83zzast_pragmaz00,
						(int) (((long) 1)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3anonymousza33128ze3z83_1515,
						(int) (((long) 0)), BgL_formatz00_8);
					BgL_parserz00_822 = BgL_zc3anonymousza33128ze3z83_1515;
				}
				BgL_portz00_823 = open_input_string(BgL_formatz00_8);
				{	/* Ast/pragma.scm 75 */
					obj_t BgL_g3095z00_824;

					if (PROCEDURE_CORRECT_ARITYP(BgL_parserz00_822, (int) (((long) 1))))
						{	/* Ast/pragma.scm 75 */
							BgL_g3095z00_824 =
								PROCEDURE_ENTRY(BgL_parserz00_822) (BgL_parserz00_822,
								BgL_portz00_823, BEOA);
						}
					else
						{	/* Ast/pragma.scm 75 */
							BgL_g3095z00_824 =
								BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 2)),
								BGl_string3286z00zzast_pragmaz00, BgL_parserz00_822);
						}
					{
						obj_t BgL_expz00_825;
						obj_t BgL_maxz00_826;

						BgL_expz00_825 = BgL_g3095z00_824;
						BgL_maxz00_826 = BINT(((long) 0));
					BgL_loopz00_827:
						if (EOF_OBJECTP(BgL_expz00_825))
							{	/* Ast/pragma.scm 78 */
								return BgL_maxz00_826;
							}
						else
							{	/* Ast/pragma.scm 78 */
								if (CHARP(BgL_expz00_825))
									{	/* Ast/pragma.scm 81 */
										obj_t BgL_arg3121z00_830;

										if (PROCEDURE_CORRECT_ARITYP(BgL_parserz00_822,
												(int) (((long) 1))))
											{	/* Ast/pragma.scm 81 */
												BgL_arg3121z00_830 =
													PROCEDURE_ENTRY(BgL_parserz00_822) (BgL_parserz00_822,
													BgL_portz00_823, BEOA);
											}
										else
											{	/* Ast/pragma.scm 81 */
												BgL_arg3121z00_830 =
													BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 2)),
													BGl_string3286z00zzast_pragmaz00, BgL_parserz00_822);
											}
										{
											obj_t BgL_expz00_1629;

											BgL_expz00_1629 = BgL_arg3121z00_830;
											BgL_expz00_825 = BgL_expz00_1629;
											goto BgL_loopz00_827;
										}
									}
								else
									{	/* Ast/pragma.scm 83 */
										obj_t BgL_arg3123z00_833;
										obj_t BgL_arg3124z00_834;

										if (PROCEDURE_CORRECT_ARITYP(BgL_parserz00_822,
												(int) (((long) 1))))
											{	/* Ast/pragma.scm 83 */
												BgL_arg3123z00_833 =
													PROCEDURE_ENTRY(BgL_parserz00_822) (BgL_parserz00_822,
													BgL_portz00_823, BEOA);
											}
										else
											{	/* Ast/pragma.scm 83 */
												BgL_arg3123z00_833 =
													BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 2)),
													BGl_string3286z00zzast_pragmaz00, BgL_parserz00_822);
											}
										if (
											((long) CINT(BgL_expz00_825) >
												(long) CINT(BgL_maxz00_826)))
											{	/* Ast/pragma.scm 83 */
												BgL_arg3124z00_834 = BgL_expz00_825;
											}
										else
											{	/* Ast/pragma.scm 83 */
												BgL_arg3124z00_834 = BgL_maxz00_826;
											}
										{
											obj_t BgL_maxz00_1642;
											obj_t BgL_expz00_1641;

											BgL_expz00_1641 = BgL_arg3123z00_833;
											BgL_maxz00_1642 = BgL_arg3124z00_834;
											BgL_maxz00_826 = BgL_maxz00_1642;
											BgL_expz00_825 = BgL_expz00_1641;
											goto BgL_loopz00_827;
										}
									}
							}
					}
				}
			}
		}
	}



/* <anonymous:3128> */
	obj_t BGl_zc3anonymousza33128ze3z83zzast_pragmaz00(obj_t BgL_envz00_1516,
		obj_t BgL_inputzd2portzd2_1518)
	{
		AN_OBJECT;
		{	/* Ast/pragma.scm 67 */
			{	/* Ast/pragma.scm 67 */
				obj_t BgL_formatz00_1517;

				BgL_formatz00_1517 = PROCEDURE_REF(BgL_envz00_1516, (int) (((long) 0)));
				{
					obj_t BgL_inputzd2portzd2_841;

					BgL_inputzd2portzd2_841 = BgL_inputzd2portzd2_1518;
					{
						obj_t BgL_inputzd2portzd2_992;
						long BgL_lastzd2matchzd2_993;
						obj_t BgL_thezd2rgczd2contextz00_994;
						obj_t BgL_inputzd2portzd2_982;
						long BgL_lastzd2matchzd2_983;
						obj_t BgL_thezd2rgczd2contextz00_984;
						obj_t BgL_inputzd2portzd2_972;
						long BgL_lastzd2matchzd2_973;
						obj_t BgL_thezd2rgczd2contextz00_974;
						obj_t BgL_inputzd2portzd2_962;
						long BgL_lastzd2matchzd2_963;
						obj_t BgL_thezd2rgczd2contextz00_964;
						obj_t BgL_inputzd2portzd2_953;
						long BgL_lastzd2matchzd2_954;
						obj_t BgL_thezd2rgczd2contextz00_955;
						long BgL_minz00_921;
						int BgL_maxz00_922;

					BgL_zc3anonymousza33129ze3z83_871:
						RGC_START_MATCH(BgL_inputzd2portzd2_841);
						{	/* Ast/pragma.scm 67 */
							long BgL_matchz00_872;

							BgL_inputzd2portzd2_953 = BgL_inputzd2portzd2_841;
							BgL_lastzd2matchzd2_954 = ((long) 2);
							BgL_thezd2rgczd2contextz00_955 = BUNSPEC;
						BgL_zc3anonymousza33201ze3z83_956:
							{	/* Ast/pragma.scm 67 */
								int BgL_currentzd2charzd2_957;

								BgL_currentzd2charzd2_957 =
									RGC_BUFFER_GET_CHAR(BgL_inputzd2portzd2_953);
								if (((long) (BgL_currentzd2charzd2_957) == ((long) 0)))
									{	/* Ast/pragma.scm 67 */
										if (RGC_BUFFER_EMPTY(BgL_inputzd2portzd2_953))
											{	/* Ast/pragma.scm 67 */
												if (rgc_fill_buffer(BgL_inputzd2portzd2_953))
													{

														goto BgL_zc3anonymousza33201ze3z83_956;
													}
												else
													{	/* Ast/pragma.scm 67 */
														BgL_matchz00_872 = BgL_lastzd2matchzd2_954;
													}
											}
										else
											{	/* Ast/pragma.scm 67 */
												BgL_inputzd2portzd2_962 = BgL_inputzd2portzd2_953;
												BgL_lastzd2matchzd2_963 = BgL_lastzd2matchzd2_954;
												BgL_thezd2rgczd2contextz00_964 =
													BgL_thezd2rgczd2contextz00_955;
											BgL_zc3anonymousza33206ze3z83_965:
												{	/* Ast/pragma.scm 67 */
													long BgL_newzd2matchzd2_966;

													RGC_STOP_MATCH(BgL_inputzd2portzd2_962);
													BgL_newzd2matchzd2_966 = ((long) 1);
													{	/* Ast/pragma.scm 67 */
														int BgL_currentzd2charzd2_967;

														BgL_currentzd2charzd2_967 =
															RGC_BUFFER_GET_CHAR(BgL_inputzd2portzd2_962);
														if (
															((long) (BgL_currentzd2charzd2_967) ==
																((long) 0)))
															{	/* Ast/pragma.scm 67 */
																if (RGC_BUFFER_EMPTY(BgL_inputzd2portzd2_962))
																	{	/* Ast/pragma.scm 67 */
																		if (rgc_fill_buffer
																			(BgL_inputzd2portzd2_962))
																			{

																				goto BgL_zc3anonymousza33206ze3z83_965;
																			}
																		else
																			{	/* Ast/pragma.scm 67 */
																				BgL_matchz00_872 =
																					BgL_newzd2matchzd2_966;
																			}
																	}
																else
																	{	/* Ast/pragma.scm 67 */
																		BgL_inputzd2portzd2_992 =
																			BgL_inputzd2portzd2_962;
																		BgL_lastzd2matchzd2_993 =
																			BgL_newzd2matchzd2_966;
																		BgL_thezd2rgczd2contextz00_994 =
																			BgL_thezd2rgczd2contextz00_964;
																	BgL_zc3anonymousza33221ze3z83_995:
																		{	/* Ast/pragma.scm 67 */
																			long BgL_newzd2matchzd2_996;

																			RGC_STOP_MATCH(BgL_inputzd2portzd2_992);
																			BgL_newzd2matchzd2_996 = ((long) 1);
																			{	/* Ast/pragma.scm 67 */
																				int BgL_currentzd2charzd2_997;

																				BgL_currentzd2charzd2_997 =
																					RGC_BUFFER_GET_CHAR
																					(BgL_inputzd2portzd2_992);
																				if (((long) (BgL_currentzd2charzd2_997)
																						== ((long) 0)))
																					{	/* Ast/pragma.scm 67 */
																						if (RGC_BUFFER_EMPTY
																							(BgL_inputzd2portzd2_992))
																							{	/* Ast/pragma.scm 67 */
																								if (rgc_fill_buffer
																									(BgL_inputzd2portzd2_992))
																									{

																										goto
																											BgL_zc3anonymousza33221ze3z83_995;
																									}
																								else
																									{	/* Ast/pragma.scm 67 */
																										BgL_matchz00_872 =
																											BgL_newzd2matchzd2_996;
																									}
																							}
																						else
																							{
																								long BgL_lastzd2matchzd2_1673;

																								BgL_lastzd2matchzd2_1673 =
																									BgL_newzd2matchzd2_996;
																								BgL_lastzd2matchzd2_993 =
																									BgL_lastzd2matchzd2_1673;
																								goto
																									BgL_zc3anonymousza33221ze3z83_995;
																							}
																					}
																				else
																					{	/* Ast/pragma.scm 67 */
																						if (
																							((long)
																								(BgL_currentzd2charzd2_997) ==
																								((long) 36)))
																							{	/* Ast/pragma.scm 67 */
																								BgL_matchz00_872 =
																									BgL_newzd2matchzd2_996;
																							}
																						else
																							{
																								long BgL_lastzd2matchzd2_1677;

																								BgL_lastzd2matchzd2_1677 =
																									BgL_newzd2matchzd2_996;
																								BgL_lastzd2matchzd2_993 =
																									BgL_lastzd2matchzd2_1677;
																								goto
																									BgL_zc3anonymousza33221ze3z83_995;
																							}
																					}
																			}
																		}
																	}
															}
														else
															{	/* Ast/pragma.scm 67 */
																if (
																	((long) (BgL_currentzd2charzd2_967) ==
																		((long) 36)))
																	{	/* Ast/pragma.scm 67 */
																		BgL_matchz00_872 = BgL_newzd2matchzd2_966;
																	}
																else
																	{
																		obj_t BgL_thezd2rgczd2contextz00_1683;
																		long BgL_lastzd2matchzd2_1682;
																		obj_t BgL_inputzd2portzd2_1681;

																		BgL_inputzd2portzd2_1681 =
																			BgL_inputzd2portzd2_962;
																		BgL_lastzd2matchzd2_1682 =
																			BgL_newzd2matchzd2_966;
																		BgL_thezd2rgczd2contextz00_1683 =
																			BgL_thezd2rgczd2contextz00_964;
																		BgL_thezd2rgczd2contextz00_994 =
																			BgL_thezd2rgczd2contextz00_1683;
																		BgL_lastzd2matchzd2_993 =
																			BgL_lastzd2matchzd2_1682;
																		BgL_inputzd2portzd2_992 =
																			BgL_inputzd2portzd2_1681;
																		goto BgL_zc3anonymousza33221ze3z83_995;
																	}
															}
													}
												}
											}
									}
								else
									{	/* Ast/pragma.scm 67 */
										if (((long) (BgL_currentzd2charzd2_957) == ((long) 36)))
											{	/* Ast/pragma.scm 67 */
												BgL_inputzd2portzd2_982 = BgL_inputzd2portzd2_953;
												BgL_lastzd2matchzd2_983 = BgL_lastzd2matchzd2_954;
												BgL_thezd2rgczd2contextz00_984 =
													BgL_thezd2rgczd2contextz00_955;
											BgL_zc3anonymousza33216ze3z83_985:
												{	/* Ast/pragma.scm 67 */
													long BgL_newzd2matchzd2_986;

													RGC_STOP_MATCH(BgL_inputzd2portzd2_982);
													BgL_newzd2matchzd2_986 = ((long) 2);
													{	/* Ast/pragma.scm 67 */
														int BgL_currentzd2charzd2_987;

														BgL_currentzd2charzd2_987 =
															RGC_BUFFER_GET_CHAR(BgL_inputzd2portzd2_982);
														if (
															((long) (BgL_currentzd2charzd2_987) ==
																((long) 0)))
															{	/* Ast/pragma.scm 67 */
																bool_t BgL_testz00_1692;

																{	/* Ast/pragma.scm 67 */
																	bool_t BgL_res3280z00_1489;

																	{	/* Ast/pragma.scm 67 */
																		obj_t BgL_inputzd2portzd2_1485;

																		BgL_inputzd2portzd2_1485 =
																			BgL_inputzd2portzd2_982;
																		if (RGC_BUFFER_EMPTY
																			(BgL_inputzd2portzd2_1485))
																			{	/* Ast/pragma.scm 67 */
																				BgL_res3280z00_1489 =
																					rgc_fill_buffer
																					(BgL_inputzd2portzd2_1485);
																			}
																		else
																			{	/* Ast/pragma.scm 67 */
																				BgL_res3280z00_1489 = ((bool_t) 0);
																			}
																	}
																	BgL_testz00_1692 = BgL_res3280z00_1489;
																}
																if (BgL_testz00_1692)
																	{

																		goto BgL_zc3anonymousza33216ze3z83_985;
																	}
																else
																	{	/* Ast/pragma.scm 67 */
																		BgL_matchz00_872 = BgL_newzd2matchzd2_986;
																	}
															}
														else
															{	/* Ast/pragma.scm 67 */
																bool_t BgL_testz00_1696;

																if (
																	((long) (BgL_currentzd2charzd2_987) >=
																		((long) 48)))
																	{	/* Ast/pragma.scm 67 */
																		BgL_testz00_1696 =
																			(
																			(long) (BgL_currentzd2charzd2_987) <
																			((long) 58));
																	}
																else
																	{	/* Ast/pragma.scm 67 */
																		BgL_testz00_1696 = ((bool_t) 0);
																	}
																if (BgL_testz00_1696)
																	{	/* Ast/pragma.scm 67 */
																		BgL_inputzd2portzd2_972 =
																			BgL_inputzd2portzd2_982;
																		BgL_lastzd2matchzd2_973 =
																			BgL_newzd2matchzd2_986;
																		BgL_thezd2rgczd2contextz00_974 =
																			BgL_thezd2rgczd2contextz00_984;
																	BgL_zc3anonymousza33211ze3z83_975:
																		{	/* Ast/pragma.scm 67 */
																			long BgL_newzd2matchzd2_976;

																			RGC_STOP_MATCH(BgL_inputzd2portzd2_972);
																			BgL_newzd2matchzd2_976 = ((long) 0);
																			{	/* Ast/pragma.scm 67 */
																				int BgL_currentzd2charzd2_977;

																				BgL_currentzd2charzd2_977 =
																					RGC_BUFFER_GET_CHAR
																					(BgL_inputzd2portzd2_972);
																				if (((long) (BgL_currentzd2charzd2_977)
																						== ((long) 0)))
																					{	/* Ast/pragma.scm 67 */
																						bool_t BgL_testz00_1707;

																						{	/* Ast/pragma.scm 67 */
																							bool_t BgL_res3279z00_1476;

																							{	/* Ast/pragma.scm 67 */
																								obj_t BgL_inputzd2portzd2_1472;

																								BgL_inputzd2portzd2_1472 =
																									BgL_inputzd2portzd2_972;
																								if (RGC_BUFFER_EMPTY
																									(BgL_inputzd2portzd2_1472))
																									{	/* Ast/pragma.scm 67 */
																										BgL_res3279z00_1476 =
																											rgc_fill_buffer
																											(BgL_inputzd2portzd2_1472);
																									}
																								else
																									{	/* Ast/pragma.scm 67 */
																										BgL_res3279z00_1476 =
																											((bool_t) 0);
																									}
																							}
																							BgL_testz00_1707 =
																								BgL_res3279z00_1476;
																						}
																						if (BgL_testz00_1707)
																							{

																								goto
																									BgL_zc3anonymousza33211ze3z83_975;
																							}
																						else
																							{	/* Ast/pragma.scm 67 */
																								BgL_matchz00_872 =
																									BgL_newzd2matchzd2_976;
																							}
																					}
																				else
																					{	/* Ast/pragma.scm 67 */
																						bool_t BgL_testz00_1711;

																						if (
																							((long)
																								(BgL_currentzd2charzd2_977) >=
																								((long) 48)))
																							{	/* Ast/pragma.scm 67 */
																								BgL_testz00_1711 =
																									(
																									(long)
																									(BgL_currentzd2charzd2_977) <
																									((long) 58));
																							}
																						else
																							{	/* Ast/pragma.scm 67 */
																								BgL_testz00_1711 = ((bool_t) 0);
																							}
																						if (BgL_testz00_1711)
																							{
																								long BgL_lastzd2matchzd2_1717;

																								BgL_lastzd2matchzd2_1717 =
																									BgL_newzd2matchzd2_976;
																								BgL_lastzd2matchzd2_973 =
																									BgL_lastzd2matchzd2_1717;
																								goto
																									BgL_zc3anonymousza33211ze3z83_975;
																							}
																						else
																							{	/* Ast/pragma.scm 67 */
																								BgL_matchz00_872 =
																									BgL_newzd2matchzd2_976;
																							}
																					}
																			}
																		}
																	}
																else
																	{	/* Ast/pragma.scm 67 */
																		BgL_matchz00_872 = BgL_newzd2matchzd2_986;
																	}
															}
													}
												}
											}
										else
											{
												obj_t BgL_thezd2rgczd2contextz00_1720;
												long BgL_lastzd2matchzd2_1719;
												obj_t BgL_inputzd2portzd2_1718;

												BgL_inputzd2portzd2_1718 = BgL_inputzd2portzd2_953;
												BgL_lastzd2matchzd2_1719 = BgL_lastzd2matchzd2_954;
												BgL_thezd2rgczd2contextz00_1720 =
													BgL_thezd2rgczd2contextz00_955;
												BgL_thezd2rgczd2contextz00_964 =
													BgL_thezd2rgczd2contextz00_1720;
												BgL_lastzd2matchzd2_963 = BgL_lastzd2matchzd2_1719;
												BgL_inputzd2portzd2_962 = BgL_inputzd2portzd2_1718;
												goto BgL_zc3anonymousza33206ze3z83_965;
											}
									}
							}
							RGC_SET_FILEPOS(BgL_inputzd2portzd2_841);
							{

								switch (BgL_matchz00_872)
									{
									case ((long) 2):

										{	/* Ast/pragma.scm 67 */
											bool_t BgL_testz00_1722;

											{	/* Ast/pragma.scm 67 */
												int BgL_arg3144z00_892;

												{	/* Ast/pragma.scm 67 */
													int BgL_res3275z00_1418;

													{	/* Ast/pragma.scm 67 */
														obj_t BgL_inputzd2portzd2_1417;

														BgL_inputzd2portzd2_1417 = BgL_inputzd2portzd2_841;
														BgL_res3275z00_1418 =
															(int) (RGC_BUFFER_LENGTH
															(BgL_inputzd2portzd2_1417));
													}
													BgL_arg3144z00_892 = BgL_res3275z00_1418;
												}
												BgL_testz00_1722 =
													((long) (BgL_arg3144z00_892) == ((long) 0));
											}
											if (BgL_testz00_1722)
												{	/* Ast/pragma.scm 67 */
													return BCNST(256);
												}
											else
												{	/* Ast/pragma.scm 67 */
													obj_t BgL_arg3142z00_890;

													BgL_arg3142z00_890 =
														BGl_thezd2stringzd2zzast_pragmaz00
														(BgL_inputzd2portzd2_841);
													return BCHAR(STRING_REF(BgL_arg3142z00_890,
															((long) 0)));
										}} break;
									case ((long) 1):

										goto BgL_zc3anonymousza33129ze3z83_871;
										break;
									case ((long) 0):

										{	/* Ast/pragma.scm 69 */
											obj_t BgL_arg3131z00_876;

											{	/* Ast/pragma.scm 69 */
												int BgL_arg3134z00_879;

												{	/* Ast/pragma.scm 69 */
													int BgL_res3274z00_1416;

													{	/* Ast/pragma.scm 69 */
														obj_t BgL_inputzd2portzd2_1415;

														BgL_inputzd2portzd2_1415 = BgL_inputzd2portzd2_841;
														BgL_res3274z00_1416 =
															(int) (RGC_BUFFER_LENGTH
															(BgL_inputzd2portzd2_1415));
													}
													BgL_arg3134z00_879 = BgL_res3274z00_1416;
												}
												BgL_minz00_921 = ((long) 1);
												BgL_maxz00_922 = BgL_arg3134z00_879;
												if (((long) (BgL_maxz00_922) < ((long) 0)))
													{	/* Ast/pragma.scm 67 */
														long BgL_stopz00_925;

														{	/* Ast/pragma.scm 67 */
															int BgL_arg3181z00_933;

															{	/* Ast/pragma.scm 67 */
																int BgL_res3276z00_1427;

																{	/* Ast/pragma.scm 67 */
																	obj_t BgL_inputzd2portzd2_1426;

																	BgL_inputzd2portzd2_1426 =
																		BgL_inputzd2portzd2_841;
																	BgL_res3276z00_1427 =
																		(int) (RGC_BUFFER_LENGTH
																		(BgL_inputzd2portzd2_1426));
																}
																BgL_arg3181z00_933 = BgL_res3276z00_1427;
															}
															BgL_stopz00_925 =
																(
																(long) (BgL_arg3181z00_933) +
																(long) (BgL_maxz00_922));
														}
														if ((BgL_stopz00_925 <= BgL_minz00_921))
															{	/* Ast/pragma.scm 67 */
																if ((BgL_stopz00_925 == BgL_minz00_921))
																	{	/* Ast/pragma.scm 67 */
																		BgL_arg3131z00_876 =
																			BGl_string3289z00zzast_pragmaz00;
																	}
																else
																	{	/* Ast/pragma.scm 67 */
																		obj_t BgL_arg3175z00_929;
																		obj_t BgL_arg3178z00_930;

																		{	/* Ast/pragma.scm 67 */
																			obj_t BgL_arg3180z00_932;

																			BgL_arg3180z00_932 =
																				BGl_thezd2stringzd2zzast_pragmaz00
																				(BgL_inputzd2portzd2_841);
																			BgL_arg3175z00_929 =
																				PROCEDURE_ENTRY(BgL_formatz00_1517)
																				(BgL_formatz00_1517,
																				BGl_string3290z00zzast_pragmaz00,
																				BgL_arg3180z00_932, BEOA);
																		}
																		BgL_arg3178z00_930 =
																			MAKE_PAIR(BINT(BgL_minz00_921),
																			BINT(BgL_maxz00_922));
																		BgL_arg3131z00_876 =
																			BGl_errorz00zz__errorz00
																			(BGl_string3291z00zzast_pragmaz00,
																			BgL_arg3175z00_929, BgL_arg3178z00_930);
																	}
															}
														else
															{	/* Ast/pragma.scm 67 */
																BgL_arg3131z00_876 =
																	rgc_buffer_substring(BgL_inputzd2portzd2_841,
																	BgL_minz00_921, BgL_stopz00_925);
															}
													}
												else
													{	/* Ast/pragma.scm 67 */
														bool_t BgL_testz00_1752;

														if ((BgL_minz00_921 >= ((long) 0)))
															{	/* Ast/pragma.scm 67 */
																bool_t BgL_testz00_1755;

																{	/* Ast/pragma.scm 67 */
																	int BgL_arg3193z00_942;

																	{	/* Ast/pragma.scm 67 */
																		int BgL_res3277z00_1440;

																		{	/* Ast/pragma.scm 67 */
																			obj_t BgL_inputzd2portzd2_1439;

																			BgL_inputzd2portzd2_1439 =
																				BgL_inputzd2portzd2_841;
																			BgL_res3277z00_1440 =
																				(int) (RGC_BUFFER_LENGTH
																				(BgL_inputzd2portzd2_1439));
																		}
																		BgL_arg3193z00_942 = BgL_res3277z00_1440;
																	}
																	BgL_testz00_1755 =
																		(
																		(long) (BgL_maxz00_922) <=
																		(long) (BgL_arg3193z00_942));
																}
																if (BgL_testz00_1755)
																	{	/* Ast/pragma.scm 67 */
																		BgL_testz00_1752 =
																			(
																			(long) (BgL_maxz00_922) >=
																			BgL_minz00_921);
																	}
																else
																	{	/* Ast/pragma.scm 67 */
																		BgL_testz00_1752 = ((bool_t) 0);
																	}
															}
														else
															{	/* Ast/pragma.scm 67 */
																BgL_testz00_1752 = ((bool_t) 0);
															}
														if (BgL_testz00_1752)
															{	/* Ast/pragma.scm 67 */
																BgL_arg3131z00_876 =
																	rgc_buffer_substring(BgL_inputzd2portzd2_841,
																	BgL_minz00_921, (long) (BgL_maxz00_922));
															}
														else
															{	/* Ast/pragma.scm 67 */
																obj_t BgL_arg3186z00_936;
																obj_t BgL_arg3187z00_937;

																{	/* Ast/pragma.scm 67 */
																	obj_t BgL_arg3190z00_939;

																	BgL_arg3190z00_939 =
																		BGl_thezd2stringzd2zzast_pragmaz00
																		(BgL_inputzd2portzd2_841);
																	BgL_arg3186z00_936 =
																		PROCEDURE_ENTRY(BgL_formatz00_1517)
																		(BgL_formatz00_1517,
																		BGl_string3290z00zzast_pragmaz00,
																		BgL_arg3190z00_939, BEOA);
																}
																BgL_arg3187z00_937 =
																	MAKE_PAIR(BINT(BgL_minz00_921),
																	BINT(BgL_maxz00_922));
																BgL_arg3131z00_876 =
																	BGl_errorz00zz__errorz00
																	(BGl_string3291z00zzast_pragmaz00,
																	BgL_arg3186z00_936, BgL_arg3187z00_937);
															}
													}
											}
											return
												BGl_stringzd2ze3numberz31zz__r4_numbers_6_5z00
												(BgL_arg3131z00_876, BNIL);
										}
										break;
									default:
										return
											BGl_errorz00zz__errorz00(BGl_string3287z00zzast_pragmaz00,
											BGl_string3288z00zzast_pragmaz00, BINT(BgL_matchz00_872));
									}
							}
						}
					}
				}
			}
		}
	}



/* the-string */
	obj_t BGl_thezd2stringzd2zzast_pragmaz00(obj_t BgL_inputzd2portzd2_1519)
	{
		AN_OBJECT;
		{	/* Ast/pragma.scm 67 */
			{	/* Ast/pragma.scm 67 */
				int BgL_arg3196z00_945;

				{	/* Ast/pragma.scm 67 */
					int BgL_res3278z00_1449;

					{	/* Ast/pragma.scm 67 */
						obj_t BgL_inputzd2portzd2_1448;

						BgL_inputzd2portzd2_1448 = BgL_inputzd2portzd2_1519;
						BgL_res3278z00_1449 =
							(int) (RGC_BUFFER_LENGTH(BgL_inputzd2portzd2_1448));
					}
					BgL_arg3196z00_945 = BgL_res3278z00_1449;
				}
				return
					rgc_buffer_substring(BgL_inputzd2portzd2_1519, ((long) 0),
					(long) (BgL_arg3196z00_945));
		}}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_pragmaz00()
	{
		AN_OBJECT;
		{	/* Ast/pragma.scm 14 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_pragmaz00()
	{
		AN_OBJECT;
		{	/* Ast/pragma.scm 14 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string3292z00zzast_pragmaz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string3292z00zzast_pragmaz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 11585204),
				BSTRING_TO_STRING(BGl_string3292z00zzast_pragmaz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string3292z00zzast_pragmaz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 345457731),
				BSTRING_TO_STRING(BGl_string3292z00zzast_pragmaz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 466514915),
				BSTRING_TO_STRING(BGl_string3292z00zzast_pragmaz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 77938009),
				BSTRING_TO_STRING(BGl_string3292z00zzast_pragmaz00));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 514705515),
				BSTRING_TO_STRING(BGl_string3292z00zzast_pragmaz00));
		}
	}

#ifdef __cplusplus
}
#endif
