/*===========================================================================*/
/*   (BackEnd/jvm.scm)                                                       */
/*   Bigloo (2.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 25 07:31:22 CET 2006        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/2.9a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent BackEnd/jvm.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_ccompz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_producerz00;
		obj_t BgL_consumerz00;
		obj_t BgL_finaliza7erza7;
	}               *BgL_ccompz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_bvmz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
	}             *BgL_bvmz00_bglt;

	typedef struct BgL_jvmz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		obj_t BgL_qnamez00;
		obj_t BgL_classesz00;
		obj_t BgL_currentzd2classzd2;
		obj_t BgL_declarationsz00;
		obj_t BgL_fieldsz00;
		obj_t BgL_methodsz00;
		obj_t BgL_currentzd2methodzd2;
		obj_t BgL_codez00;
	}             *BgL_jvmz00_bglt;


	BGL_IMPORT obj_t BGl_openzd2outputzd2binaryzd2filezd2zz__binaryz00(obj_t);
	static obj_t BGl_za2jvmzd2dirzd2nameza2z00zzbackend_jvmz00 = BUNSPEC;
	BGL_IMPORT obj_t open_input_string(obj_t);
	extern obj_t BGl_saw_jvmzd2compilezd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt);
	extern obj_t BGl_za2mcozd2suffixza2zd2zzengine_paramz00;
	extern BgL_jvmz00_bglt BGl_makezd2jvmzd2zzbackend_jvm_classz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, bool_t, obj_t, obj_t,
		bool_t, bool_t, bool_t, bool_t, bool_t, bool_t, bool_t, obj_t, obj_t,
		bool_t, bool_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_makezd2filezd2namez00zz__osz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2ppzd2caseza2zd2zz__ppz00;
	BGL_IMPORT obj_t BGl_ppz00zz__ppz00(obj_t, obj_t);
	extern obj_t BGl_za2jvmzd2directoryza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzbackend_jvmz00 = BUNSPEC;
	static obj_t BGl_addsuffixz00zzbackend_jvmz00(obj_t);
	extern obj_t BGl_jvmzd2classzd2sanszd2directoryzd2zzread_jvmz00(obj_t);
	static obj_t BGl_backendzd2linkzd2objects2270z00zzbackend_jvmz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3anonymousza32385ze3z83zzbackend_jvmz00(obj_t);
	BGL_IMPORT obj_t BGl_stringzd2replacezd2zz__r4_strings_6_7z00(obj_t,
		unsigned char, unsigned char);
	static obj_t BGl_zc3anonymousza32388ze3z83zzbackend_jvmz00(obj_t);
	extern obj_t BGl_za2restzd2argsza2zd2zzengine_paramz00;
	static obj_t BGl_zc3anonymousza32391ze3z83zzbackend_jvmz00(obj_t);
	BGL_IMPORT obj_t close_input_port(obj_t);
	BGL_IMPORT bool_t fexists(char *);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	BGL_IMPORT bool_t bigloo_strcmp(obj_t, obj_t);
	BGL_IMPORT obj_t open_output_file(obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(obj_t,
		obj_t);
	extern obj_t BGl_za2libzd2modeza2zd2zzengine_paramz00;
	static obj_t BGl_handler2238z00zzbackend_jvmz00(obj_t, obj_t);
	static obj_t BGl_startzd2jvmzd2emissionz12z12zzbackend_jvmz00();
	static obj_t BGl_handler2240z00zzbackend_jvmz00(obj_t, obj_t);
	static obj_t BGl_makezd2tmpzd2filezd2namezd2zzbackend_jvmz00();
	static obj_t BGl__startzd2jvmzd2emissionz12z12zzbackend_jvmz00(obj_t);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	static obj_t BGl_cnstzd2initzd2zzbackend_jvmz00();
	BGL_IMPORT obj_t BGl_basenamez00zz__osz00(obj_t);
	BGL_IMPORT obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	static obj_t BGl_importedzd2moduleszd2initz00zzbackend_jvmz00();
	BGL_IMPORT bool_t directoryp(char *);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2ozd2filesza2zd2zzengine_paramz00;
	static obj_t BGl_zc3exitza32417ze3z83zzbackend_jvmz00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_za2ppzd2widthza2zd2zz__ppz00;
	extern obj_t BGl_registerzd2backendz12zc0zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza32422ze3z83zzbackend_jvmz00(obj_t, obj_t);
	static obj_t BGl_jvmzd2filenamezd2zzbackend_jvmz00(obj_t);
	extern obj_t BGl_usezd2libraryz12zc0zzmodule_alibraryz00(obj_t, obj_t);
	extern obj_t BGl_findzd2librarieszd2zzengine_linkz00(obj_t);
	extern obj_t BGl_makezd2bigloozd2mainz00zzbackend_c_mainz00();
	extern obj_t BGl_stopzd2onzd2passz00zzengine_passz00(obj_t, obj_t);
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzbackend_jvmz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_linkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_compilerz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_alibraryz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_bvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_jvm_classz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_c_mainz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzjas_asz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzjas_peepz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_compilez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_ldz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_inlinez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinit_setrcz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__binaryz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	static obj_t BGl_toplevelzd2initzd2zzbackend_jvmz00();
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	BGL_IMPORT obj_t close_output_port(obj_t);
	extern obj_t BGl_jvmz00zzbackend_jvm_classz00;
	BGL_IMPORT obj_t close_binary_port(obj_t);
	static obj_t BGl_emitz00zzbackend_jvmz00(obj_t, obj_t);
	extern obj_t BGl_compilerzd2readzd2zzread_readerz00(obj_t);
	BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t string_to_symbol(char *);
	BGL_IMPORT obj_t BGl_valzd2fromzd2exitzf3zf3zz__bexitz00(obj_t);
	extern obj_t BGl_readzd2jfilezd2zzread_jvmz00();
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	static obj_t BGl_backendzd2checkzd2inline2272z00zzbackend_jvmz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	BGL_IMPORT bool_t BGl_makezd2directorieszd2zz__r4_ports_6_10_1z00(obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_jvmzd2aszd2zzjas_asz00(obj_t, obj_t);
	static BgL_jvmz00_bglt BGl_buildzd2jvmzd2backendz00zzbackend_jvmz00();
	extern obj_t BGl_za2mainza2z00zzmodule_modulez00;
	extern obj_t BGl_compilerz00zzengine_compilerz00();
	extern obj_t BGl_za2destza2z00zzengine_paramz00;
	static obj_t BGl_zc3exitza32460ze3z83zzbackend_jvmz00();
	extern obj_t BGl_za2passza2z00zzengine_paramz00;
	extern obj_t BGl_jvmzd2ldzd2zzsaw_jvm_ldz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_filezd2separatorzd2zz__osz00();
	static obj_t BGl_backendzd2cnstzd2tablezd2n2268zd2zzbackend_jvmz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_backendzd2linkzd2jvm2266z00zzbackend_jvmz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t);
	static obj_t BGl_jasnamez00zzbackend_jvmz00(obj_t);
	BGL_IMPORT obj_t BGl_dirnamez00zz__osz00(obj_t);
	BGL_IMPORT obj_t BGl_suffixz00zz__osz00(obj_t);
	BGL_IMPORT obj_t bgl_append2(obj_t, obj_t);
	static obj_t BGl_backendzd2compilezd2jvm2264z00zzbackend_jvmz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
	static obj_t BGl__buildzd2jvmzd2backendz00zzbackend_jvmz00(obj_t);
	BGL_IMPORT obj_t BGl_raisez00zz__errorz00(obj_t);
	BGL_IMPORT obj_t BGl_prefixz00zz__osz00(obj_t);
	static obj_t BGl_jvmzd2checkzd2packagez00zzbackend_jvmz00(obj_t, obj_t);
	static obj_t BGl_jvmasdumpz00zzbackend_jvmz00(obj_t, obj_t);
	extern obj_t BGl_checkzd2jvmzd2inlinesz00zzsaw_jvm_inlinez00();
	extern obj_t BGl_za2srczd2filesza2zd2zzengine_paramz00;
	static obj_t BGl_libraryzd2moduleszd2initz00zzbackend_jvmz00();
	BGL_IMPORT obj_t BGl_memberz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzbackend_jvmz00();
	static obj_t BGl_jvmzd2dirnamezd2zzbackend_jvmz00(obj_t);
	extern obj_t BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_loadzd2libraryzd2initz00zzinit_setrcz00();
	extern obj_t BGl_makezd2tmpzd2mainz00zzengine_linkz00(obj_t, bool_t, obj_t,
		obj_t, obj_t);
	static obj_t __cnst[20];


	extern obj_t BGl_backendzd2cnstzd2tablezd2namezd2envz00zzbackend_backendz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_buildzd2jvmzd2backendzd2envzd2zzbackend_jvmz00,
		BgL_bgl__buildza7d2jvmza7d2b2609z00,
		BGl__buildzd2jvmzd2backendz00zzbackend_jvmz00, 0L, BUNSPEC, 0);
	extern obj_t BGl_backendzd2linkzd2objectszd2envzd2zzbackend_backendz00;
	   
		 
		DEFINE_STRING(BGl_string2568z00zzbackend_jvmz00,
		BgL_bgl_string2568za700za7za7b2610za7, ".", 1);
	      DEFINE_STRING(BGl_string2570z00zzbackend_jvmz00,
		BgL_bgl_string2570za700za7za7b2611za7, "jheap", 5);
	      DEFINE_STRING(BGl_string2569z00zzbackend_jvmz00,
		BgL_bgl_string2569za700za7za7b2612za7, "dummy", 5);
	      DEFINE_STRING(BGl_string2571z00zzbackend_jvmz00,
		BgL_bgl_string2571za700za7za7b2613za7, "", 0);
	      DEFINE_STRING(BGl_string2572z00zzbackend_jvmz00,
		BgL_bgl_string2572za700za7za7b2614za7, "'.", 2);
	      DEFINE_STRING(BGl_string2573z00zzbackend_jvmz00,
		BgL_bgl_string2573za700za7za7b2615za7, "', class path is `", 18);
	      DEFINE_STRING(BGl_string2574z00zzbackend_jvmz00,
		BgL_bgl_string2574za700za7za7b2616za7, " is `", 5);
	      DEFINE_STRING(BGl_string2575z00zzbackend_jvmz00,
		BgL_bgl_string2575za700za7za7b2617za7, "Package name for module ", 24);
	      DEFINE_STRING(BGl_string2576z00zzbackend_jvmz00,
		BgL_bgl_string2576za700za7za7b2618za7,
		"Incompatible package name and class path.", 41);
	      DEFINE_STRING(BGl_string2577z00zzbackend_jvmz00,
		BgL_bgl_string2577za700za7za7b2619za7, ".jast", 5);
	      DEFINE_STRING(BGl_string2578z00zzbackend_jvmz00,
		BgL_bgl_string2578za700za7za7b2620za7, ".jas", 4);
	      DEFINE_STRING(BGl_string2580z00zzbackend_jvmz00,
		BgL_bgl_string2580za700za7za7b2621za7, "start-jvm-emission!", 19);
	      DEFINE_STRING(BGl_string2579z00zzbackend_jvmz00,
		BgL_bgl_string2579za700za7za7b2622za7, ".class", 6);
	      DEFINE_STRING(BGl_string2581z00zzbackend_jvmz00,
		BgL_bgl_string2581za700za7za7b2623za7,
		"Can't write dest file because directory doesn't exist", 53);
	      DEFINE_STRING(BGl_string2582z00zzbackend_jvmz00,
		BgL_bgl_string2582za700za7za7b2624za7, "JVMMAIN", 7);
	      DEFINE_STRING(BGl_string2583z00zzbackend_jvmz00,
		BgL_bgl_string2583za700za7za7b2625za7, ".bgl", 4);
	      DEFINE_STRING(BGl_string2584z00zzbackend_jvmz00,
		BgL_bgl_string2584za700za7za7b2626za7, " -- ", 4);
	      DEFINE_STRING(BGl_string2585z00zzbackend_jvmz00,
		BgL_bgl_string2585za700za7za7b2627za7, "No source file found", 20);
	      DEFINE_STRING(BGl_string2586z00zzbackend_jvmz00,
		BgL_bgl_string2586za700za7za7b2628za7, "link", 4);
	      DEFINE_STRING(BGl_string2587z00zzbackend_jvmz00,
		BgL_bgl_string2587za700za7za7b2629za7, "\"", 1);
	      DEFINE_STRING(BGl_string2588z00zzbackend_jvmz00,
		BgL_bgl_string2588za700za7za7b2630za7, ")", 1);
	      DEFINE_STRING(BGl_string2600z00zzbackend_jvmz00,
		BgL_bgl_string2600za700za7za7b2631za7, "/", 1);
	      DEFINE_STRING(BGl_string2590z00zzbackend_jvmz00,
		BgL_bgl_string2590za700za7za7b2632za7, "Redeclaration of the main (files ",
		33);
	      DEFINE_STRING(BGl_string2589z00zzbackend_jvmz00,
		BgL_bgl_string2589za700za7za7b2633za7, " and ", 5);
	      DEFINE_STRING(BGl_string2601z00zzbackend_jvmz00,
		BgL_bgl_string2601za700za7za7b2634za7, "/a.class", 8);
	      DEFINE_STRING(BGl_string2591z00zzbackend_jvmz00,
		BgL_bgl_string2591za700za7za7b2635za7, "Illegal file", 12);
	      DEFINE_STRING(BGl_string2602z00zzbackend_jvmz00,
		BgL_bgl_string2602za700za7za7b2636za7, "jvm-dump", 8);
	      DEFINE_STRING(BGl_string2592z00zzbackend_jvmz00,
		BgL_bgl_string2592za700za7za7b2637za7, "__cnst", 6);
	      DEFINE_STRING(BGl_string2603z00zzbackend_jvmz00,
		BgL_bgl_string2603za700za7za7b2638za7, "Can't open file for output", 26);
	      DEFINE_STRING(BGl_string2593z00zzbackend_jvmz00,
		BgL_bgl_string2593za700za7za7b2639za7, "Jvm", 3);
	      DEFINE_STRING(BGl_string2604z00zzbackend_jvmz00,
		BgL_bgl_string2604za700za7za7b2640za7, "Incorrect handler arity", 23);
	      DEFINE_STRING(BGl_string2594z00zzbackend_jvmz00,
		BgL_bgl_string2594za700za7za7b2641za7, "   . ", 5);
	      DEFINE_STRING(BGl_string2605z00zzbackend_jvmz00,
		BgL_bgl_string2605za700za7za7b2642za7, "backend_jvm", 11);
	      DEFINE_STRING(BGl_string2595z00zzbackend_jvmz00,
		BgL_bgl_string2595za700za7za7b2643za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string2606z00zzbackend_jvmz00,
		BgL_bgl_string2606za700za7za7b2644za7,
		"done with-handler cc (ld distrib) pass-started (start-jvm-emission!) main module now ld class jvmas jast lower unamed (jvm) (java) native bigloo-jvm jvm ",
		153);
	      DEFINE_STRING(BGl_string2596z00zzbackend_jvmz00,
		BgL_bgl_string2596za700za7za7b2645za7, "]", 1);
	      DEFINE_STRING(BGl_string2597z00zzbackend_jvmz00,
		BgL_bgl_string2597za700za7za7b2646za7, " qualified type name: ", 22);
	      DEFINE_STRING(BGl_string2598z00zzbackend_jvmz00,
		BgL_bgl_string2598za700za7za7b2647za7, "      [module: ", 15);
	      DEFINE_STRING(BGl_string2599z00zzbackend_jvmz00,
		BgL_bgl_string2599za700za7za7b2648za7, "a.class", 7);
	extern obj_t BGl_backendzd2compilezd2envz00zzbackend_backendz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_startzd2jvmzd2emissionz12zd2envzc0zzbackend_jvmz00,
		BgL_bgl__startza7d2jvmza7d2e2649z00,
		BGl__startzd2jvmzd2emissionz12z12zzbackend_jvmz00, 0L, BUNSPEC, 0);
	extern obj_t BGl_backendzd2checkzd2inlineszd2envzd2zzbackend_backendz00;
	extern obj_t BGl_backendzd2linkzd2envz00zzbackend_backendz00;



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzbackend_jvmz00(long
		BgL_checksumz00_1265, char *BgL_fromz00_1266)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzbackend_jvmz00))
				{
					BGl_requirezd2initializa7ationz75zzbackend_jvmz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzbackend_jvmz00();
					BGl_cnstzd2initzd2zzbackend_jvmz00();
					BGl_importedzd2moduleszd2initz00zzbackend_jvmz00();
					BGl_methodzd2initzd2zzbackend_jvmz00();
					BGl_toplevelzd2initzd2zzbackend_jvmz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzbackend_jvmz00()
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 1 */
			BGl_modulezd2initializa7ationz75zz__binaryz00(((long) 0), "backend_jvm");
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "backend_jvm");
			BGl_modulezd2initializa7ationz75zz__ppz00(((long) 0), "backend_jvm");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "backend_jvm");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"backend_jvm");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"backend_jvm");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"backend_jvm");
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 0), "backend_jvm");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "backend_jvm");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "backend_jvm");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzbackend_jvmz00()
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 1 */
			{	/* BackEnd/jvm.scm 1 */
				obj_t BgL_cportz00_1251;

				BgL_cportz00_1251 =
					open_input_string(BGl_string2606z00zzbackend_jvmz00);
				{
					long BgL_iz00_1252;

					BgL_iz00_1252 = ((long) 19);
				BgL_loopz00_1253:
					if ((BgL_iz00_1252 == ((long) -1)))
						{	/* BackEnd/jvm.scm 1 */
							return BUNSPEC;
						}
					else
						{	/* BackEnd/jvm.scm 1 */
							{	/* BackEnd/jvm.scm 1 */
								obj_t BgL_arg2608z00_1255;

								{	/* BackEnd/jvm.scm 1 */

									{	/* BackEnd/jvm.scm 1 */
										obj_t BgL_locationz00_1257;

										BgL_locationz00_1257 = BBOOL(((bool_t) 0));
										{	/* BackEnd/jvm.scm 1 */

											BgL_arg2608z00_1255 =
												BGl_readz00zz__readerz00(BgL_cportz00_1251,
												BgL_locationz00_1257);
										}
									}
								}
								{	/* BackEnd/jvm.scm 1 */
									int BgL_auxz00_1290;

									BgL_auxz00_1290 = (int) (BgL_iz00_1252);
									CNST_TABLE_SET(BgL_auxz00_1290, BgL_arg2608z00_1255);
							}}
							{	/* BackEnd/jvm.scm 1 */
								int BgL_auxz00_1258;

								BgL_auxz00_1258 = (int) ((BgL_iz00_1252 - ((long) 1)));
								{
									long BgL_iz00_1295;

									BgL_iz00_1295 = (long) (BgL_auxz00_1258);
									BgL_iz00_1252 = BgL_iz00_1295;
									goto BgL_loopz00_1253;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzbackend_jvmz00()
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 1 */
			BGl_registerzd2backendz12zc0zzbackend_backendz00(CNST_TABLE_REF(((long)
						0)), BGl_buildzd2jvmzd2backendzd2envzd2zzbackend_jvmz00);
			BGl_za2jvmzd2dirzd2nameza2z00zzbackend_jvmz00 =
				BGl_string2568z00zzbackend_jvmz00;
			return BUNSPEC;
		}
	}



/* build-jvm-backend */
	BgL_jvmz00_bglt BGl_buildzd2jvmzd2backendz00zzbackend_jvmz00()
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 27 */
			return
				BGl_makezd2jvmzd2zzbackend_jvm_classz00(CNST_TABLE_REF(((long) 0)),
				CNST_TABLE_REF(((long) 1)), BGl_string2569z00zzbackend_jvmz00, BNIL,
				BNIL, BNIL, BNIL, BNIL, BNIL, ((bool_t) 0),
				BGl_string2570z00zzbackend_jvmz00, CNST_TABLE_REF(((long) 2)),
				((bool_t) 1), ((bool_t) 0), ((bool_t) 0), ((bool_t) 0), ((bool_t) 1),
				((bool_t) 0), ((bool_t) 1), CNST_TABLE_REF(((long) 3)),
				CNST_TABLE_REF(((long) 4)), ((bool_t) 1), ((bool_t) 1), ((bool_t) 0),
				BNIL, BNIL, CNST_TABLE_REF(((long) 5)), BNIL, BFALSE, BNIL, BNIL, BNIL,
				BFALSE, BNIL);
		}
	}



/* _build-jvm-backend */
	obj_t BGl__buildzd2jvmzd2backendz00zzbackend_jvmz00(obj_t BgL_envz00_1197)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 27 */
			{	/* BackEnd/jvm.scm 28 */
				BgL_jvmz00_bglt BgL_auxz00_1306;

				BgL_auxz00_1306 = BGl_buildzd2jvmzd2backendz00zzbackend_jvmz00();
				return (obj_t) (BgL_auxz00_1306);
			}
		}
	}



/* jvm-check-package */
	obj_t BGl_jvmzd2checkzd2packagez00zzbackend_jvmz00(obj_t BgL_modulez00_2,
		obj_t BgL_pathz00_3)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 96 */
			{
				obj_t BgL_basez00_492;
				obj_t BgL_pathz00_493;

				{	/* BackEnd/jvm.scm 113 */
					obj_t BgL_qtypez00_473;

					BgL_qtypez00_473 =
						BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(BgL_modulez00_2);
					{	/* BackEnd/jvm.scm 113 */
						obj_t BgL_basez00_474;

						{	/* BackEnd/jvm.scm 114 */
							obj_t BgL_prez00_489;

							BgL_prez00_489 = BGl_prefixz00zz__osz00(BgL_qtypez00_473);
							if (bigloo_strcmp(BgL_prez00_489,
									BGl_string2571z00zzbackend_jvmz00))
								{	/* BackEnd/jvm.scm 116 */
									BgL_basez00_474 = BGl_string2568z00zzbackend_jvmz00;
								}
							else
								{	/* BackEnd/jvm.scm 116 */
									if (bigloo_strcmp(BgL_prez00_489, BgL_qtypez00_473))
										{	/* BackEnd/jvm.scm 118 */
											BgL_basez00_474 = BGl_string2568z00zzbackend_jvmz00;
										}
									else
										{	/* BackEnd/jvm.scm 118 */
											BgL_basez00_474 = BgL_prez00_489;
										}
								}
						}
						{	/* BackEnd/jvm.scm 114 */

							{	/* BackEnd/jvm.scm 122 */
								bool_t BgL_testz00_1315;

								BgL_basez00_492 =
									BGl_jvmzd2filenamezd2zzbackend_jvmz00(BgL_basez00_474);
								BgL_pathz00_493 = BgL_pathz00_3;
								{	/* BackEnd/jvm.scm 98 */
									long BgL_lbasez00_495;
									long BgL_lpathz00_496;

									BgL_lbasez00_495 = STRING_LENGTH(BgL_basez00_492);
									BgL_lpathz00_496 = STRING_LENGTH(BgL_pathz00_493);
									if ((BgL_lpathz00_496 < BgL_lbasez00_495))
										{	/* BackEnd/jvm.scm 100 */
											BgL_testz00_1315 = ((bool_t) 0);
										}
									else
										{
											long BgL_rpathz00_500;
											long BgL_rbasez00_501;

											BgL_rpathz00_500 = (BgL_lpathz00_496 - ((long) 1));
											BgL_rbasez00_501 = (BgL_lbasez00_495 - ((long) 1));
										BgL_loopz00_502:
											if ((BgL_rbasez00_501 == ((long) -1)))
												{	/* BackEnd/jvm.scm 104 */
													BgL_testz00_1315 = ((bool_t) 1);
												}
											else
												{	/* BackEnd/jvm.scm 106 */
													unsigned char BgL_cbasez00_504;
													unsigned char BgL_cpathz00_505;

													BgL_cbasez00_504 =
														STRING_REF(BgL_basez00_492, BgL_rbasez00_501);
													BgL_cpathz00_505 =
														STRING_REF(BgL_pathz00_493, BgL_rpathz00_500);
													{	/* BackEnd/jvm.scm 108 */
														bool_t BgL_testz00_1324;

														if ((BgL_cbasez00_504 == BgL_cpathz00_505))
															{	/* BackEnd/jvm.scm 108 */
																BgL_testz00_1324 = ((bool_t) 1);
															}
														else
															{	/* BackEnd/jvm.scm 108 */
																if ((BgL_cpathz00_505 == ((unsigned char) '/')))
																	{	/* BackEnd/jvm.scm 109 */
																		BgL_testz00_1324 =
																			(BgL_cbasez00_504 ==
																			((unsigned char) '.'));
																	}
																else
																	{	/* BackEnd/jvm.scm 109 */
																		BgL_testz00_1324 = ((bool_t) 0);
																	}
															}
														if (BgL_testz00_1324)
															{
																long BgL_rbasez00_1332;
																long BgL_rpathz00_1330;

																BgL_rpathz00_1330 =
																	(BgL_rpathz00_500 - ((long) 1));
																BgL_rbasez00_1332 =
																	(BgL_rbasez00_501 - ((long) 1));
																BgL_rbasez00_501 = BgL_rbasez00_1332;
																BgL_rpathz00_500 = BgL_rpathz00_1330;
																goto BgL_loopz00_502;
															}
														else
															{	/* BackEnd/jvm.scm 108 */
																BgL_testz00_1315 = ((bool_t) 0);
															}
													}
												}
										}
								}
								if (BgL_testz00_1315)
									{	/* BackEnd/jvm.scm 122 */
										return BFALSE;
									}
								else
									{	/* BackEnd/jvm.scm 123 */
										obj_t BgL_list2274z00_476;

										{	/* BackEnd/jvm.scm 123 */
											obj_t BgL_arg2279z00_478;

											{	/* BackEnd/jvm.scm 123 */
												obj_t BgL_arg2281z00_480;

												{	/* BackEnd/jvm.scm 123 */
													obj_t BgL_arg2282z00_481;

													{	/* BackEnd/jvm.scm 123 */
														obj_t BgL_arg2284z00_483;

														{	/* BackEnd/jvm.scm 123 */
															obj_t BgL_arg2285z00_484;

															{	/* BackEnd/jvm.scm 123 */
																obj_t BgL_arg2287z00_486;

																{	/* BackEnd/jvm.scm 123 */
																	obj_t BgL_arg2288z00_487;

																	BgL_arg2288z00_487 =
																		MAKE_PAIR(BGl_string2572z00zzbackend_jvmz00,
																		BNIL);
																	BgL_arg2287z00_486 =
																		MAKE_PAIR(BgL_pathz00_3,
																		BgL_arg2288z00_487);
																}
																BgL_arg2285z00_484 =
																	MAKE_PAIR(BGl_string2573z00zzbackend_jvmz00,
																	BgL_arg2287z00_486);
															}
															BgL_arg2284z00_483 =
																MAKE_PAIR(BgL_basez00_474, BgL_arg2285z00_484);
														}
														BgL_arg2282z00_481 =
															MAKE_PAIR(BGl_string2574z00zzbackend_jvmz00,
															BgL_arg2284z00_483);
													}
													BgL_arg2281z00_480 =
														MAKE_PAIR(BGl_za2moduleza2z00zzmodule_modulez00,
														BgL_arg2282z00_481);
												}
												BgL_arg2279z00_478 =
													MAKE_PAIR(BGl_string2575z00zzbackend_jvmz00,
													BgL_arg2281z00_480);
											}
											BgL_list2274z00_476 =
												MAKE_PAIR(BGl_string2576z00zzbackend_jvmz00,
												BgL_arg2279z00_478);
										}
										return BGl_warningz00zz__errorz00(BgL_list2274z00_476);
									}
							}
						}
					}
				}
			}
		}
	}



/* jvmasdump */
	obj_t BGl_jvmasdumpz00zzbackend_jvmz00(obj_t BgL_classfilez00_4,
		obj_t BgL_portz00_5)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 129 */
			{	/* BackEnd/jvm.scm 130 */
				obj_t BgL_owz00_512;
				obj_t BgL_ocz00_513;

				BgL_owz00_512 = BGl_za2ppzd2widthza2zd2zz__ppz00;
				BgL_ocz00_513 = BGl_za2ppzd2caseza2zd2zz__ppz00;
				BGl_za2ppzd2widthza2zd2zz__ppz00 = BINT(((long) 10240));
				BGl_za2ppzd2caseza2zd2zz__ppz00 = CNST_TABLE_REF(((long) 6));
				{	/* BackEnd/jvm.scm 133 */
					obj_t BgL_list2299z00_514;

					BgL_list2299z00_514 = MAKE_PAIR(BgL_portz00_5, BNIL);
					BGl_ppz00zz__ppz00(BgL_classfilez00_4, BgL_list2299z00_514);
				}
				BGl_za2ppzd2caseza2zd2zz__ppz00 = BgL_ocz00_513;
				return (BGl_za2ppzd2widthza2zd2zz__ppz00 = BgL_owz00_512, BUNSPEC);
			}
		}
	}



/* addsuffix */
	obj_t BGl_addsuffixz00zzbackend_jvmz00(obj_t BgL_namez00_6)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 137 */
			{	/* BackEnd/jvm.scm 139 */
				obj_t BgL_arg2300z00_515;

				{	/* BackEnd/jvm.scm 139 */
					obj_t BgL_casezd2valuezd2_516;

					BgL_casezd2valuezd2_516 = BGl_za2passza2z00zzengine_paramz00;
					if ((BgL_casezd2valuezd2_516 == CNST_TABLE_REF(((long) 7))))
						{	/* BackEnd/jvm.scm 139 */
							BgL_arg2300z00_515 = BGl_string2577z00zzbackend_jvmz00;
						}
					else
						{	/* BackEnd/jvm.scm 139 */
							if ((BgL_casezd2valuezd2_516 == CNST_TABLE_REF(((long) 8))))
								{	/* BackEnd/jvm.scm 139 */
									BgL_arg2300z00_515 = BGl_string2578z00zzbackend_jvmz00;
								}
							else
								{	/* BackEnd/jvm.scm 139 */
									BgL_arg2300z00_515 = BGl_string2579z00zzbackend_jvmz00;
								}
						}
				}
				return string_append(BgL_namez00_6, BgL_arg2300z00_515);
			}
		}
	}



/* jasname */
	obj_t BGl_jasnamez00zzbackend_jvmz00(obj_t BgL_cfz00_7)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 147 */
			if (PAIRP(BgL_cfz00_7))
				{	/* BackEnd/jvm.scm 148 */
					obj_t BgL_carzd2933zd2_523;

					BgL_carzd2933zd2_523 = CAR(BgL_cfz00_7);
					if (PAIRP(BgL_carzd2933zd2_523))
						{	/* BackEnd/jvm.scm 148 */
							obj_t BgL_cdrzd2937zd2_525;

							BgL_cdrzd2937zd2_525 = CDR(BgL_carzd2933zd2_523);
							if ((CAR(BgL_carzd2933zd2_523) == CNST_TABLE_REF(((long) 9))))
								{	/* BackEnd/jvm.scm 148 */
									if (PAIRP(BgL_cdrzd2937zd2_525))
										{	/* BackEnd/jvm.scm 148 */
											if (NULLP(CDR(BgL_cdrzd2937zd2_525)))
												{	/* BackEnd/jvm.scm 148 */
													obj_t BgL_arg2308z00_529;

													BgL_arg2308z00_529 = CAR(BgL_cdrzd2937zd2_525);
													{	/* BackEnd/jvm.scm 148 */
														obj_t BgL_arg2312z00_1045;

														BgL_arg2312z00_1045 =
															SYMBOL_TO_STRING(BgL_arg2308z00_529);
														return
															BGl_addsuffixz00zzbackend_jvmz00
															(BgL_arg2312z00_1045);
													}
												}
											else
												{	/* BackEnd/jvm.scm 148 */
													return BFALSE;
												}
										}
									else
										{	/* BackEnd/jvm.scm 148 */
											return BFALSE;
										}
								}
							else
								{	/* BackEnd/jvm.scm 148 */
									return BFALSE;
								}
						}
					else
						{	/* BackEnd/jvm.scm 148 */
							return BFALSE;
						}
				}
			else
				{	/* BackEnd/jvm.scm 148 */
					return BFALSE;
				}
		}
	}



/* jvm-filename */
	obj_t BGl_jvmzd2filenamezd2zzbackend_jvmz00(obj_t BgL_namez00_8)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 155 */
			if (STRINGP(BGl_za2jvmzd2directoryza2zd2zzengine_paramz00))
				{	/* BackEnd/jvm.scm 156 */
					if (bigloo_strcmp(BgL_namez00_8, BGl_string2568z00zzbackend_jvmz00))
						{	/* BackEnd/jvm.scm 157 */
							return BGl_za2jvmzd2directoryza2zd2zzengine_paramz00;
						}
					else
						{	/* BackEnd/jvm.scm 157 */
							return
								BGl_makezd2filezd2namez00zz__osz00
								(BGl_za2jvmzd2directoryza2zd2zzengine_paramz00, BgL_namez00_8);
						}
				}
			else
				{	/* BackEnd/jvm.scm 156 */
					return BgL_namez00_8;
				}
		}
	}



/* jvm-dirname */
	obj_t BGl_jvmzd2dirnamezd2zzbackend_jvmz00(obj_t BgL_filez00_9)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 165 */
			{	/* BackEnd/jvm.scm 166 */
				obj_t BgL_dfilez00_536;

				BgL_dfilez00_536 = BGl_dirnamez00zz__osz00(BgL_filez00_9);
				{	/* BackEnd/jvm.scm 166 */
					obj_t BgL_dirz00_537;

					BgL_dirz00_537 =
						BGl_jvmzd2filenamezd2zzbackend_jvmz00(BgL_dfilez00_536);
					{	/* BackEnd/jvm.scm 167 */

						{	/* BackEnd/jvm.scm 168 */
							bool_t BgL_testz00_1382;

							if (bigloo_strcmp(BgL_dfilez00_536,
									BGl_string2571z00zzbackend_jvmz00))
								{	/* BackEnd/jvm.scm 168 */
									BgL_testz00_1382 = ((bool_t) 0);
								}
							else
								{	/* BackEnd/jvm.scm 168 */
									if (directoryp(BSTRING_TO_STRING(BgL_dfilez00_536)))
										{	/* BackEnd/jvm.scm 169 */
											BgL_testz00_1382 = ((bool_t) 0);
										}
									else
										{	/* BackEnd/jvm.scm 169 */
											if (fexists(BSTRING_TO_STRING(BgL_dfilez00_536)))
												{	/* BackEnd/jvm.scm 170 */
													BgL_testz00_1382 = ((bool_t) 0);
												}
											else
												{	/* BackEnd/jvm.scm 171 */
													bool_t BgL__ortest_2251z00_542;

													if (STRINGP
														(BGl_za2jvmzd2directoryza2zd2zzengine_paramz00))
														{	/* BackEnd/jvm.scm 171 */
															BgL__ortest_2251z00_542 = ((bool_t) 0);
														}
													else
														{	/* BackEnd/jvm.scm 171 */
															BgL__ortest_2251z00_542 = ((bool_t) 1);
														}
													if (BgL__ortest_2251z00_542)
														{	/* BackEnd/jvm.scm 171 */
															BgL_testz00_1382 = BgL__ortest_2251z00_542;
														}
													else
														{	/* BackEnd/jvm.scm 171 */
															BgL_testz00_1382 =
																directoryp(BSTRING_TO_STRING
																(BGl_za2jvmzd2directoryza2zd2zzengine_paramz00));
														}
												}
										}
								}
							if (BgL_testz00_1382)
								{	/* BackEnd/jvm.scm 168 */
									BGl_makezd2directorieszd2zz__r4_ports_6_10_1z00
										(BgL_dirz00_537);
								}
							else
								{	/* BackEnd/jvm.scm 168 */
									((bool_t) 0);
								}
						}
						return BgL_dirz00_537;
					}
				}
			}
		}
	}



/* start-jvm-emission! */
	obj_t BGl_startzd2jvmzd2emissionz12z12zzbackend_jvmz00()
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 180 */
			if (STRINGP(BGl_za2destza2z00zzengine_paramz00))
				{	/* BackEnd/jvm.scm 183 */
					obj_t BgL_dnamez00_545;

					BgL_dnamez00_545 =
						BGl_dirnamez00zz__osz00(BGl_za2destza2z00zzengine_paramz00);
					if (bigloo_strcmp(BgL_dnamez00_545,
							BGl_string2571z00zzbackend_jvmz00))
						{	/* BackEnd/jvm.scm 184 */
							BFALSE;
						}
					else
						{	/* BackEnd/jvm.scm 184 */
							BGl_za2jvmzd2dirzd2nameza2z00zzbackend_jvmz00 =
								BGl_jvmzd2dirnamezd2zzbackend_jvmz00
								(BGl_za2destza2z00zzengine_paramz00);
						}
				}
			else
				{	/* BackEnd/jvm.scm 182 */
					if (
						(BGl_za2passza2z00zzengine_paramz00 == CNST_TABLE_REF(((long) 10))))
						{	/* BackEnd/jvm.scm 186 */
							if (PAIRP(BGl_za2srczd2filesza2zd2zzengine_paramz00))
								{	/* BackEnd/jvm.scm 187 */
									BGl_za2jvmzd2dirzd2nameza2z00zzbackend_jvmz00 =
										BGl_jvmzd2dirnamezd2zzbackend_jvmz00(CAR
										(BGl_za2srczd2filesza2zd2zzengine_paramz00));
								}
							else
								{	/* BackEnd/jvm.scm 187 */
									BFALSE;
								}
						}
					else
						{	/* BackEnd/jvm.scm 186 */
							BFALSE;
						}
				}
			{	/* BackEnd/jvm.scm 189 */
				bool_t BgL_testz00_1410;

				if (fexists(BSTRING_TO_STRING
						(BGl_za2jvmzd2dirzd2nameza2z00zzbackend_jvmz00)))
					{	/* BackEnd/jvm.scm 189 */
						BgL_testz00_1410 =
							directoryp(BSTRING_TO_STRING
							(BGl_za2jvmzd2dirzd2nameza2z00zzbackend_jvmz00));
					}
				else
					{	/* BackEnd/jvm.scm 189 */
						BgL_testz00_1410 = ((bool_t) 0);
					}
				if (BgL_testz00_1410)
					{	/* BackEnd/jvm.scm 189 */
						return BTRUE;
					}
				else
					{	/* BackEnd/jvm.scm 189 */
						return
							BGl_errorz00zz__errorz00(BGl_string2580z00zzbackend_jvmz00,
							BGl_string2581z00zzbackend_jvmz00,
							BGl_za2jvmzd2dirzd2nameza2z00zzbackend_jvmz00);
					}
			}
		}
	}



/* _start-jvm-emission! */
	obj_t BGl__startzd2jvmzd2emissionz12z12zzbackend_jvmz00(obj_t BgL_envz00_1198)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 180 */
			return BGl_startzd2jvmzd2emissionz12z12zzbackend_jvmz00();
		}
	}



/* make-tmp-file-name */
	obj_t BGl_makezd2tmpzd2filezd2namezd2zzbackend_jvmz00()
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 224 */
			return
				string_append(BGl_string2582z00zzbackend_jvmz00,
				BGl_string2583z00zzbackend_jvmz00);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzbackend_jvmz00()
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 1 */
			{	/* BackEnd/jvm.scm 1 */
				obj_t BgL_backendzd2compilezd2jvm2264z00_1208;

				BgL_backendzd2compilezd2jvm2264z00_1208 =
					make_fx_procedure(BGl_backendzd2compilezd2jvm2264z00zzbackend_jvmz00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_backendzd2compilezd2envz00zzbackend_backendz00,
					BGl_jvmz00zzbackend_jvm_classz00,
					BgL_backendzd2compilezd2jvm2264z00_1208);
			}
			{	/* BackEnd/jvm.scm 1 */
				obj_t BgL_backendzd2linkzd2jvm2266z00_1202;

				BgL_backendzd2linkzd2jvm2266z00_1202 =
					make_fx_procedure(BGl_backendzd2linkzd2jvm2266z00zzbackend_jvmz00,
					(int) (((long) 2)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_backendzd2linkzd2envz00zzbackend_backendz00,
					BGl_jvmz00zzbackend_jvm_classz00,
					BgL_backendzd2linkzd2jvm2266z00_1202);
			}
			{	/* BackEnd/jvm.scm 1 */
				obj_t BgL_backendzd2cnstzd2tablezd2n2268zd2_1201;

				BgL_backendzd2cnstzd2tablezd2n2268zd2_1201 =
					make_fx_procedure
					(BGl_backendzd2cnstzd2tablezd2n2268zd2zzbackend_jvmz00,
					(int) (((long) 2)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_backendzd2cnstzd2tablezd2namezd2envz00zzbackend_backendz00,
					BGl_jvmz00zzbackend_jvm_classz00,
					BgL_backendzd2cnstzd2tablezd2n2268zd2_1201);
			}
			{	/* BackEnd/jvm.scm 1 */
				obj_t BgL_backendzd2linkzd2objects2270z00_1200;

				BgL_backendzd2linkzd2objects2270z00_1200 =
					make_fx_procedure(BGl_backendzd2linkzd2objects2270z00zzbackend_jvmz00,
					(int) (((long) 2)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_backendzd2linkzd2objectszd2envzd2zzbackend_backendz00,
					BGl_jvmz00zzbackend_jvm_classz00,
					BgL_backendzd2linkzd2objects2270z00_1200);
			}
			{	/* BackEnd/jvm.scm 1 */
				obj_t BgL_backendzd2checkzd2inline2272z00_1199;

				BgL_backendzd2checkzd2inline2272z00_1199 =
					make_fx_procedure(BGl_backendzd2checkzd2inline2272z00zzbackend_jvmz00,
					(int) (((long) 1)), (int) (((long) 0)));
				return
					BGl_addzd2methodz12zc0zz__objectz00
					(BGl_backendzd2checkzd2inlineszd2envzd2zzbackend_backendz00,
					BGl_jvmz00zzbackend_jvm_classz00,
					BgL_backendzd2checkzd2inline2272z00_1199);
			}
		}
	}



/* backend-check-inline2272 */
	obj_t BGl_backendzd2checkzd2inline2272z00zzbackend_jvmz00(obj_t
		BgL_envz00_1209, obj_t BgL_mez00_1210)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 346 */
			{
				BgL_jvmz00_bglt BgL_mez00_1000;

				BgL_mez00_1000 = (BgL_jvmz00_bglt) (BgL_mez00_1210);
				if (CBOOL(BGl_za2libzd2modeza2zd2zzengine_paramz00))
					{	/* BackEnd/jvm.scm 347 */
						return BFALSE;
					}
				else
					{	/* BackEnd/jvm.scm 347 */
						return BGl_checkzd2jvmzd2inlinesz00zzsaw_jvm_inlinez00();
					}
			}
		}
	}



/* backend-link-objects2270 */
	obj_t BGl_backendzd2linkzd2objects2270z00zzbackend_jvmz00(obj_t
		BgL_envz00_1211, obj_t BgL_mez00_1212, obj_t BgL_sourcesz00_1213)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 230 */
			{
				BgL_jvmz00_bglt BgL_mez00_841;
				obj_t BgL_sourcesz00_842;

				BgL_mez00_841 = (BgL_jvmz00_bglt) (BgL_mez00_1212);
				BgL_sourcesz00_842 = BgL_sourcesz00_1213;
				if (NULLP(BgL_sourcesz00_842))
					{	/* BackEnd/jvm.scm 235 */
						obj_t BgL_firstz00_847;

						BgL_firstz00_847 =
							BGl_prefixz00zz__osz00(CAR
							(BGl_za2ozd2filesza2zd2zzengine_paramz00));
						{	/* BackEnd/jvm.scm 236 */
							obj_t BgL_list2431z00_848;

							{	/* BackEnd/jvm.scm 236 */
								obj_t BgL_arg2433z00_850;

								{	/* BackEnd/jvm.scm 236 */
									obj_t BgL_arg2436z00_852;

									{	/* BackEnd/jvm.scm 236 */
										obj_t BgL_arg2438z00_854;

										BgL_arg2438z00_854 =
											MAKE_PAIR(BGl_za2ozd2filesza2zd2zzengine_paramz00, BNIL);
										BgL_arg2436z00_852 =
											MAKE_PAIR(BGl_string2584z00zzbackend_jvmz00,
											BgL_arg2438z00_854);
									}
									BgL_arg2433z00_850 =
										MAKE_PAIR(BGl_string2585z00zzbackend_jvmz00,
										BgL_arg2436z00_852);
								}
								BgL_list2431z00_848 =
									MAKE_PAIR(BGl_string2586z00zzbackend_jvmz00,
									BgL_arg2433z00_850);
							}
							BGl_warningz00zz__errorz00(BgL_list2431z00_848);
						}
						BGl_loadzd2libraryzd2initz00zzinit_setrcz00();
						BGl_readzd2jfilezd2zzread_jvmz00();
						return BGl_jvmzd2ldzd2zzsaw_jvm_ldz00(BFALSE);
					}
				else
					{
						obj_t BgL_sourcesz00_858;
						obj_t BgL_clsz00_859;
						obj_t BgL_mainzd2modulezd2_860;
						obj_t BgL_mainz00_861;
						obj_t BgL_fmainz00_862;
						obj_t BgL_librariesz00_863;

						BgL_sourcesz00_858 = BgL_sourcesz00_842;
						BgL_clsz00_859 = BNIL;
						BgL_mainzd2modulezd2_860 = BFALSE;
						BgL_mainz00_861 = BFALSE;
						BgL_fmainz00_862 = BGl_string2571z00zzbackend_jvmz00;
						BgL_librariesz00_863 = BNIL;
					BgL_loopz00_864:
						if (NULLP(BgL_sourcesz00_858))
							{	/* BackEnd/jvm.scm 247 */
								if (CBOOL(BgL_mainz00_861))
									{	/* BackEnd/jvm.scm 251 */
										obj_t BgL_firstz00_866;

										BgL_firstz00_866 =
											BGl_prefixz00zz__osz00(CAR
											(BGl_za2ozd2filesza2zd2zzengine_paramz00));
										{
											obj_t BgL_l2261z00_867;

											BgL_l2261z00_867 = BgL_librariesz00_863;
										BgL_forzd2each2262zd2_868:
											if (PAIRP(BgL_l2261z00_867))
												{	/* BackEnd/jvm.scm 254 */
													{	/* BackEnd/jvm.scm 255 */
														obj_t BgL_libz00_870;

														BgL_libz00_870 = CAR(BgL_l2261z00_867);
														BGl_usezd2libraryz12zc0zzmodule_alibraryz00
															(BgL_libz00_870, CNST_TABLE_REF(((long) 11)));
													}
													{
														obj_t BgL_l2261z00_1466;

														BgL_l2261z00_1466 = CDR(BgL_l2261z00_867);
														BgL_l2261z00_867 = BgL_l2261z00_1466;
														goto BgL_forzd2each2262zd2_868;
													}
												}
											else
												{	/* BackEnd/jvm.scm 254 */
													((bool_t) 1);
												}
										}
										BGl_loadzd2libraryzd2initz00zzinit_setrcz00();
										{	/* BackEnd/jvm.scm 259 */
											obj_t BgL_list2443z00_872;

											BgL_list2443z00_872 = MAKE_PAIR(BgL_fmainz00_862, BNIL);
											BGl_za2srczd2filesza2zd2zzengine_paramz00 =
												BgL_list2443z00_872;
										}
										BGl_readzd2jfilezd2zzread_jvmz00();
										return
											BGl_jvmzd2ldzd2zzsaw_jvm_ldz00(BgL_mainzd2modulezd2_860);
									}
								else
									{	/* BackEnd/jvm.scm 262 */
										obj_t BgL_tmpz00_874;

										BgL_tmpz00_874 =
											BGl_makezd2tmpzd2filezd2namezd2zzbackend_jvmz00();
										BGl_makezd2tmpzd2mainz00zzengine_linkz00(BgL_tmpz00_874,
											CBOOL(BgL_mainz00_861),
											string_to_symbol(BSTRING_TO_STRING
												(BGl_string2582z00zzbackend_jvmz00)), BgL_clsz00_859,
											BgL_librariesz00_863);
										{	/* BackEnd/jvm.scm 264 */
											obj_t BgL_list2446z00_876;

											BgL_list2446z00_876 = MAKE_PAIR(BgL_tmpz00_874, BNIL);
											BGl_za2srczd2filesza2zd2zzengine_paramz00 =
												BgL_list2446z00_876;
										}
										{
											obj_t BgL_raz00_878;
											obj_t BgL_resz00_879;

											BgL_raz00_878 = BGl_za2restzd2argsza2zd2zzengine_paramz00;
											BgL_resz00_879 = BNIL;
										BgL_liipz00_880:
											if (NULLP(BgL_raz00_878))
												{	/* BackEnd/jvm.scm 270 */
													BGl_za2restzd2argsza2zd2zzengine_paramz00 =
														bgl_reverse_bang(BgL_resz00_879);
												}
											else
												{	/* BackEnd/jvm.scm 272 */
													bool_t BgL_testz00_1481;

													{	/* BackEnd/jvm.scm 272 */
														obj_t BgL_arg2453z00_887;

														BgL_arg2453z00_887 =
															BGl_suffixz00zz__osz00(CAR(BgL_raz00_878));
														BgL_testz00_1481 =
															CBOOL(BGl_memberz00zz__r4_pairs_and_lists_6_3z00
															(BgL_arg2453z00_887,
																BGl_za2mcozd2suffixza2zd2zzengine_paramz00));
													}
													if (BgL_testz00_1481)
														{
															obj_t BgL_raz00_1486;

															BgL_raz00_1486 = CDR(BgL_raz00_878);
															BgL_raz00_878 = BgL_raz00_1486;
															goto BgL_liipz00_880;
														}
													else
														{	/* BackEnd/jvm.scm 275 */
															obj_t BgL_arg2450z00_884;
															obj_t BgL_arg2451z00_885;

															BgL_arg2450z00_884 = CDR(BgL_raz00_878);
															BgL_arg2451z00_885 =
																MAKE_PAIR(CAR(BgL_raz00_878), BgL_resz00_879);
															{
																obj_t BgL_resz00_1492;
																obj_t BgL_raz00_1491;

																BgL_raz00_1491 = BgL_arg2450z00_884;
																BgL_resz00_1492 = BgL_arg2451z00_885;
																BgL_resz00_879 = BgL_resz00_1492;
																BgL_raz00_878 = BgL_raz00_1491;
																goto BgL_liipz00_880;
															}
														}
												}
										}
										{	/* BackEnd/jvm.scm 276 */
											obj_t BgL_val2255z00_889;

											BgL_val2255z00_889 =
												BGl_zc3exitza32460ze3z83zzbackend_jvmz00();
											BGl_loadzd2libraryzd2initz00zzinit_setrcz00();
											{	/* BackEnd/jvm.scm 280 */
												obj_t BgL_prez00_890;

												BgL_prez00_890 = BGl_prefixz00zz__osz00(BgL_tmpz00_874);
												{	/* BackEnd/jvm.scm 280 */
													obj_t BgL_classzd2filezd2_891;

													BgL_classzd2filezd2_891 =
														string_append(BgL_prez00_890,
														BGl_string2579z00zzbackend_jvmz00);
													{	/* BackEnd/jvm.scm 281 */

														if (fexists(BSTRING_TO_STRING(BgL_tmpz00_874)))
															{	/* BackEnd/jvm.scm 283 */
																char *BgL_auxz00_1500;

																BgL_auxz00_1500 =
																	BSTRING_TO_STRING(BgL_tmpz00_874);
																unlink(BgL_auxz00_1500);
															}
														else
															{	/* BackEnd/jvm.scm 282 */
																((bool_t) 0);
															}
													}
												}
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2255z00_889)))
												{	/* BackEnd/jvm.scm 280 */
													BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2255z00_889), CDR(BgL_val2255z00_889));
												}
											else
												{	/* BackEnd/jvm.scm 280 */
													BgL_val2255z00_889;
												}
										}
										return BINT(((long) 0));
							}}
						else
							{	/* BackEnd/jvm.scm 285 */
								obj_t BgL_portz00_899;

								{	/* BackEnd/jvm.scm 285 */
									obj_t BgL_arg2546z00_992;

									{	/* BackEnd/jvm.scm 285 */
										obj_t BgL_pairz00_1127;

										BgL_pairz00_1127 = BgL_sourcesz00_858;
										BgL_arg2546z00_992 = CAR(CAR(BgL_pairz00_1127));
									}
									BgL_portz00_899 =
										BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00
										(BgL_arg2546z00_992, BNIL);
								}
								if (INPUT_PORTP(BgL_portz00_899))
									{	/* BackEnd/jvm.scm 288 */
										obj_t BgL_expz00_901;

										{	/* BackEnd/jvm.scm 288 */
											obj_t BgL_list2541z00_988;

											BgL_list2541z00_988 = MAKE_PAIR(BgL_portz00_899, BNIL);
											BgL_expz00_901 =
												BGl_compilerzd2readzd2zzread_readerz00
												(BgL_list2541z00_988);
										}
										close_input_port(BgL_portz00_899);
										{
											obj_t BgL_namez00_902;
											obj_t BgL_newzd2mainzd2_903;
											obj_t BgL_namez00_905;

											if (PAIRP(BgL_expz00_901))
												{	/* BackEnd/jvm.scm 290 */
													obj_t BgL_cdrzd2953zd2_910;

													BgL_cdrzd2953zd2_910 = CDR(BgL_expz00_901);
													if (
														(CAR(BgL_expz00_901) ==
															CNST_TABLE_REF(((long) 12))))
														{	/* BackEnd/jvm.scm 290 */
															if (PAIRP(BgL_cdrzd2953zd2_910))
																{
																	obj_t BgL_gzd2960zd2_915;

																	BgL_gzd2960zd2_915 =
																		CDR(BgL_cdrzd2953zd2_910);
																BgL_zc3anonymousza32466ze3z83_916:
																	if (PAIRP(BgL_gzd2960zd2_915))
																		{	/* BackEnd/jvm.scm 290 */
																			obj_t BgL_carzd2963zd2_918;

																			BgL_carzd2963zd2_918 =
																				CAR(BgL_gzd2960zd2_915);
																			if (PAIRP(BgL_carzd2963zd2_918))
																				{	/* BackEnd/jvm.scm 290 */
																					obj_t BgL_cdrzd2967zd2_920;

																					BgL_cdrzd2967zd2_920 =
																						CDR(BgL_carzd2963zd2_918);
																					if (
																						(CAR(BgL_carzd2963zd2_918) ==
																							CNST_TABLE_REF(((long) 13))))
																						{	/* BackEnd/jvm.scm 290 */
																							if (PAIRP(BgL_cdrzd2967zd2_920))
																								{	/* BackEnd/jvm.scm 290 */
																									if (NULLP(CDR
																											(BgL_cdrzd2967zd2_920)))
																										{	/* BackEnd/jvm.scm 290 */
																											BgL_namez00_902 =
																												CAR
																												(BgL_cdrzd2953zd2_910);
																											BgL_newzd2mainzd2_903 =
																												CAR
																												(BgL_cdrzd2967zd2_920);
																											{	/* BackEnd/jvm.scm 295 */
																												obj_t
																													BgL_arg2487z00_938;
																												{	/* BackEnd/jvm.scm 295 */
																													obj_t
																														BgL_arg2489z00_940;
																													obj_t
																														BgL_arg2490z00_941;
																													{	/* BackEnd/jvm.scm 295 */
																														obj_t
																															BgL_arg2491z00_942;
																														{	/* BackEnd/jvm.scm 295 */
																															obj_t
																																BgL_arg2493z00_943;
																															{	/* BackEnd/jvm.scm 295 */
																																obj_t
																																	BgL_pairz00_1154;
																																BgL_pairz00_1154
																																	=
																																	BgL_sourcesz00_858;
																																BgL_arg2493z00_943
																																	=
																																	CDR(CAR
																																	(BgL_pairz00_1154));
																															}
																															BgL_arg2491z00_942
																																=
																																BGl_prefixz00zz__osz00
																																(BgL_arg2493z00_943);
																														}
																														BgL_arg2489z00_940 =
																															BGl_jvmzd2classzd2sanszd2directoryzd2zzread_jvmz00
																															(BgL_arg2491z00_942);
																													}
																													BgL_arg2490z00_941 =
																														BGl_filezd2separatorzd2zz__osz00
																														();
																													BgL_arg2487z00_938 =
																														BGl_stringzd2replacezd2zz__r4_strings_6_7z00
																														(BgL_arg2489z00_940,
																														CCHAR
																														(BgL_arg2490z00_941),
																														(char) (((unsigned
																																	char) '.')));
																												}
																												BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00
																													(BgL_namez00_902,
																													BgL_arg2487z00_938,
																													BNIL);
																											}
																											if (CBOOL
																												(BgL_mainz00_861))
																												{	/* BackEnd/jvm.scm 299 */
																													obj_t
																														BgL_arg2495z00_945;
																													obj_t
																														BgL_arg2496z00_946;
																													{	/* BackEnd/jvm.scm 300 */
																														obj_t
																															BgL_arg2500z00_949;
																														{	/* BackEnd/jvm.scm 304 */
																															obj_t
																																BgL_pairz00_1158;
																															BgL_pairz00_1158 =
																																BgL_sourcesz00_858;
																															BgL_arg2500z00_949
																																=
																																CAR(CAR
																																(BgL_pairz00_1158));
																														}
																														{	/* BackEnd/jvm.scm 300 */
																															obj_t
																																BgL_list2502z00_951;
																															{	/* BackEnd/jvm.scm 300 */
																																obj_t
																																	BgL_arg2503z00_952;
																																{	/* BackEnd/jvm.scm 300 */
																																	obj_t
																																		BgL_arg2504z00_953;
																																	{	/* BackEnd/jvm.scm 300 */
																																		obj_t
																																			BgL_arg2505z00_954;
																																		{	/* BackEnd/jvm.scm 300 */
																																			obj_t
																																				BgL_arg2506z00_955;
																																			BgL_arg2506z00_955
																																				=
																																				MAKE_PAIR
																																				(BGl_string2588z00zzbackend_jvmz00,
																																				BNIL);
																																			BgL_arg2505z00_954
																																				=
																																				MAKE_PAIR
																																				(BgL_arg2500z00_949,
																																				BgL_arg2506z00_955);
																																		}
																																		BgL_arg2504z00_953
																																			=
																																			MAKE_PAIR
																																			(BGl_string2589z00zzbackend_jvmz00,
																																			BgL_arg2505z00_954);
																																	}
																																	BgL_arg2503z00_952
																																		=
																																		MAKE_PAIR
																																		(BgL_fmainz00_862,
																																		BgL_arg2504z00_953);
																																}
																																BgL_list2502z00_951
																																	=
																																	MAKE_PAIR
																																	(BGl_string2590z00zzbackend_jvmz00,
																																	BgL_arg2503z00_952);
																															}
																															BgL_arg2495z00_945
																																=
																																BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																																(BgL_list2502z00_951);
																														}
																													}
																													BgL_arg2496z00_946 =
																														MAKE_PAIR
																														(BgL_mainz00_861,
																														BgL_newzd2mainzd2_903);
																													BGl_errorz00zz__errorz00
																														(BGl_string2571z00zzbackend_jvmz00,
																														BgL_arg2495z00_945,
																														BgL_arg2496z00_946);
																												}
																											else
																												{	/* BackEnd/jvm.scm 298 */
																													BFALSE;
																												}
																											{	/* BackEnd/jvm.scm 306 */
																												obj_t
																													BgL_arg2507z00_956;
																												obj_t
																													BgL_arg2508z00_957;
																												obj_t
																													BgL_arg2509z00_958;
																												obj_t
																													BgL_arg2510z00_959;
																												BgL_arg2507z00_956 =
																													CDR
																													(BgL_sourcesz00_858);
																												{	/* BackEnd/jvm.scm 308 */
																													obj_t
																														BgL_arg2511z00_960;
																													{	/* BackEnd/jvm.scm 308 */
																														obj_t
																															BgL_arg2512z00_961;
																														{	/* BackEnd/jvm.scm 308 */
																															obj_t
																																BgL_arg2516z00_965;
																															{	/* BackEnd/jvm.scm 309 */
																																obj_t
																																	BgL_pairz00_1163;
																																BgL_pairz00_1163
																																	=
																																	BgL_sourcesz00_858;
																																BgL_arg2516z00_965
																																	=
																																	CAR(CAR
																																	(BgL_pairz00_1163));
																															}
																															BgL_arg2512z00_961
																																=
																																string_append_3
																																(BGl_string2587z00zzbackend_jvmz00,
																																BgL_arg2516z00_965,
																																BGl_string2587z00zzbackend_jvmz00);
																														}
																														{	/* BackEnd/jvm.scm 307 */
																															obj_t
																																BgL_list2513z00_962;
																															{	/* BackEnd/jvm.scm 307 */
																																obj_t
																																	BgL_arg2514z00_963;
																																BgL_arg2514z00_963
																																	=
																																	MAKE_PAIR
																																	(BgL_arg2512z00_961,
																																	BNIL);
																																BgL_list2513z00_962
																																	=
																																	MAKE_PAIR
																																	(BgL_namez00_902,
																																	BgL_arg2514z00_963);
																															}
																															BgL_arg2511z00_960
																																=
																																BgL_list2513z00_962;
																														}
																													}
																													BgL_arg2508z00_957 =
																														MAKE_PAIR
																														(BgL_arg2511z00_960,
																														BgL_clsz00_859);
																												}
																												{	/* BackEnd/jvm.scm 313 */
																													obj_t
																														BgL_pairz00_1169;
																													BgL_pairz00_1169 =
																														BgL_sourcesz00_858;
																													BgL_arg2509z00_958 =
																														CAR(CAR
																														(BgL_pairz00_1169));
																												}
																												{	/* BackEnd/jvm.scm 314 */
																													obj_t
																														BgL_arg2518z00_967;
																													{	/* BackEnd/jvm.scm 314 */
																														obj_t
																															BgL_arg2519z00_968;
																														{	/* BackEnd/jvm.scm 314 */
																															obj_t
																																BgL_pairz00_1173;
																															BgL_pairz00_1173 =
																																BgL_expz00_901;
																															BgL_arg2519z00_968
																																=
																																CDR(CDR
																																(BgL_pairz00_1173));
																														}
																														BgL_arg2518z00_967 =
																															BGl_findzd2librarieszd2zzengine_linkz00
																															(BgL_arg2519z00_968);
																													}
																													BgL_arg2510z00_959 =
																														bgl_append2
																														(BgL_arg2518z00_967,
																														BgL_librariesz00_863);
																												}
																												{
																													obj_t
																														BgL_librariesz00_1581;
																													obj_t
																														BgL_fmainz00_1580;
																													obj_t
																														BgL_mainz00_1579;
																													obj_t
																														BgL_mainzd2modulezd2_1578;
																													obj_t BgL_clsz00_1577;
																													obj_t
																														BgL_sourcesz00_1576;
																													BgL_sourcesz00_1576 =
																														BgL_arg2507z00_956;
																													BgL_clsz00_1577 =
																														BgL_arg2508z00_957;
																													BgL_mainzd2modulezd2_1578
																														= BgL_namez00_902;
																													BgL_mainz00_1579 =
																														BgL_newzd2mainzd2_903;
																													BgL_fmainz00_1580 =
																														BgL_arg2509z00_958;
																													BgL_librariesz00_1581
																														=
																														BgL_arg2510z00_959;
																													BgL_librariesz00_863 =
																														BgL_librariesz00_1581;
																													BgL_fmainz00_862 =
																														BgL_fmainz00_1580;
																													BgL_mainz00_861 =
																														BgL_mainz00_1579;
																													BgL_mainzd2modulezd2_860
																														=
																														BgL_mainzd2modulezd2_1578;
																													BgL_clsz00_859 =
																														BgL_clsz00_1577;
																													BgL_sourcesz00_858 =
																														BgL_sourcesz00_1576;
																													goto BgL_loopz00_864;
																												}
																											}
																										}
																									else
																										{
																											obj_t BgL_gzd2960zd2_1584;

																											BgL_gzd2960zd2_1584 =
																												CDR(BgL_gzd2960zd2_915);
																											BgL_gzd2960zd2_915 =
																												BgL_gzd2960zd2_1584;
																											goto
																												BgL_zc3anonymousza32466ze3z83_916;
																										}
																								}
																							else
																								{
																									obj_t BgL_gzd2960zd2_1586;

																									BgL_gzd2960zd2_1586 =
																										CDR(BgL_gzd2960zd2_915);
																									BgL_gzd2960zd2_915 =
																										BgL_gzd2960zd2_1586;
																									goto
																										BgL_zc3anonymousza32466ze3z83_916;
																								}
																						}
																					else
																						{
																							obj_t BgL_gzd2960zd2_1588;

																							BgL_gzd2960zd2_1588 =
																								CDR(BgL_gzd2960zd2_915);
																							BgL_gzd2960zd2_915 =
																								BgL_gzd2960zd2_1588;
																							goto
																								BgL_zc3anonymousza32466ze3z83_916;
																						}
																				}
																			else
																				{
																					obj_t BgL_gzd2960zd2_1590;

																					BgL_gzd2960zd2_1590 =
																						CDR(BgL_gzd2960zd2_915);
																					BgL_gzd2960zd2_915 =
																						BgL_gzd2960zd2_1590;
																					goto
																						BgL_zc3anonymousza32466ze3z83_916;
																				}
																		}
																	else
																		{	/* BackEnd/jvm.scm 290 */
																			BgL_namez00_905 =
																				CAR(CDR(BgL_expz00_901));
																			{	/* BackEnd/jvm.scm 320 */
																				obj_t BgL_arg2520z00_969;

																				{	/* BackEnd/jvm.scm 320 */
																					obj_t BgL_arg2522z00_971;
																					obj_t BgL_arg2523z00_972;

																					{	/* BackEnd/jvm.scm 320 */
																						obj_t BgL_arg2524z00_973;

																						{	/* BackEnd/jvm.scm 320 */
																							obj_t BgL_arg2525z00_974;

																							{	/* BackEnd/jvm.scm 320 */
																								obj_t BgL_pairz00_1177;

																								BgL_pairz00_1177 =
																									BgL_sourcesz00_858;
																								BgL_arg2525z00_974 =
																									CDR(CAR(BgL_pairz00_1177));
																							}
																							BgL_arg2524z00_973 =
																								BGl_prefixz00zz__osz00
																								(BgL_arg2525z00_974);
																						}
																						BgL_arg2522z00_971 =
																							BGl_jvmzd2classzd2sanszd2directoryzd2zzread_jvmz00
																							(BgL_arg2524z00_973);
																					}
																					BgL_arg2523z00_972 =
																						BGl_filezd2separatorzd2zz__osz00();
																					BgL_arg2520z00_969 =
																						BGl_stringzd2replacezd2zz__r4_strings_6_7z00
																						(BgL_arg2522z00_971,
																						CCHAR(BgL_arg2523z00_972),
																						(char) (((unsigned char) '.')));
																				}
																				BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00
																					(BgL_namez00_905, BgL_arg2520z00_969,
																					BNIL);
																			}
																			{	/* BackEnd/jvm.scm 323 */
																				obj_t BgL_arg2526z00_975;
																				obj_t BgL_arg2527z00_976;
																				obj_t BgL_arg2529z00_977;

																				BgL_arg2526z00_975 =
																					CDR(BgL_sourcesz00_858);
																				{	/* BackEnd/jvm.scm 325 */
																					obj_t BgL_arg2530z00_978;

																					{	/* BackEnd/jvm.scm 325 */
																						obj_t BgL_arg2531z00_979;

																						{	/* BackEnd/jvm.scm 325 */
																							obj_t BgL_arg2536z00_983;

																							{	/* BackEnd/jvm.scm 326 */
																								obj_t BgL_pairz00_1182;

																								BgL_pairz00_1182 =
																									BgL_sourcesz00_858;
																								BgL_arg2536z00_983 =
																									CAR(CAR(BgL_pairz00_1182));
																							}
																							BgL_arg2531z00_979 =
																								string_append_3
																								(BGl_string2587z00zzbackend_jvmz00,
																								BgL_arg2536z00_983,
																								BGl_string2587z00zzbackend_jvmz00);
																						}
																						{	/* BackEnd/jvm.scm 324 */
																							obj_t BgL_list2532z00_980;

																							{	/* BackEnd/jvm.scm 324 */
																								obj_t BgL_arg2533z00_981;

																								BgL_arg2533z00_981 =
																									MAKE_PAIR(BgL_arg2531z00_979,
																									BNIL);
																								BgL_list2532z00_980 =
																									MAKE_PAIR(BgL_namez00_905,
																									BgL_arg2533z00_981);
																							}
																							BgL_arg2530z00_978 =
																								BgL_list2532z00_980;
																					}}
																					BgL_arg2527z00_976 =
																						MAKE_PAIR(BgL_arg2530z00_978,
																						BgL_clsz00_859);
																				}
																				{	/* BackEnd/jvm.scm 331 */
																					obj_t BgL_arg2538z00_985;

																					{	/* BackEnd/jvm.scm 331 */
																						obj_t BgL_arg2539z00_986;

																						{	/* BackEnd/jvm.scm 331 */
																							obj_t BgL_pairz00_1188;

																							BgL_pairz00_1188 = BgL_expz00_901;
																							BgL_arg2539z00_986 =
																								CDR(CDR(BgL_pairz00_1188));
																						}
																						BgL_arg2538z00_985 =
																							BGl_findzd2librarieszd2zzengine_linkz00
																							(BgL_arg2539z00_986);
																					}
																					BgL_arg2529z00_977 =
																						bgl_append2(BgL_arg2538z00_985,
																						BgL_librariesz00_863);
																				}
																				{
																					obj_t BgL_librariesz00_1614;
																					obj_t BgL_clsz00_1613;
																					obj_t BgL_sourcesz00_1612;

																					BgL_sourcesz00_1612 =
																						BgL_arg2526z00_975;
																					BgL_clsz00_1613 = BgL_arg2527z00_976;
																					BgL_librariesz00_1614 =
																						BgL_arg2529z00_977;
																					BgL_librariesz00_863 =
																						BgL_librariesz00_1614;
																					BgL_clsz00_859 = BgL_clsz00_1613;
																					BgL_sourcesz00_858 =
																						BgL_sourcesz00_1612;
																					goto BgL_loopz00_864;
																				}
																			}
																		}
																}
															else
																{	/* BackEnd/jvm.scm 290 */
																BgL_tagzd2944zd2_907:
																	{
																		obj_t BgL_sourcesz00_1618;

																		BgL_sourcesz00_1618 =
																			CDR(BgL_sourcesz00_858);
																		BgL_sourcesz00_858 = BgL_sourcesz00_1618;
																		goto BgL_loopz00_864;
																	}
																}
														}
													else
														{	/* BackEnd/jvm.scm 290 */
															goto BgL_tagzd2944zd2_907;
														}
												}
											else
												{	/* BackEnd/jvm.scm 290 */
													goto BgL_tagzd2944zd2_907;
												}
										}
									}
								else
									{	/* BackEnd/jvm.scm 287 */
										obj_t BgL_arg2545z00_991;

										{	/* BackEnd/jvm.scm 287 */
											obj_t BgL_pairz00_1193;

											BgL_pairz00_1193 = BgL_sourcesz00_858;
											BgL_arg2545z00_991 = CAR(CAR(BgL_pairz00_1193));
										}
										return
											BGl_errorz00zz__errorz00
											(BGl_string2571z00zzbackend_jvmz00,
											BGl_string2591z00zzbackend_jvmz00, BgL_arg2545z00_991);
									}
							}
					}
			}
		}
	}



/* <exit:2460> */
	obj_t BGl_zc3exitza32460ze3z83zzbackend_jvmz00()
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 279 */
			jmp_buf jmpbuf;
			obj_t BgL_an_exit2256z00_897;

			{
				BGL_STORE_TRACE();
				if (SET_EXIT(BgL_an_exit2256z00_897))
					{
						BGL_RESTORE_TRACE();
						return _exit_value_;
					}
				else
					{
						BgL_an_exit2256z00_897 = (obj_t) jmpbuf;
						{	/* BackEnd/jvm.scm 279 */

							PUSH_EXIT(BgL_an_exit2256z00_897, ((long) 0));
							{	/* BackEnd/jvm.scm 277 */
								obj_t BgL_val2257z00_898;

								BgL_val2257z00_898 = BGl_compilerz00zzengine_compilerz00();
								POP_EXIT();
								return BgL_val2257z00_898;
							}
						}
					}
			}
		}
	}



/* backend-cnst-table-n2268 */
	obj_t BGl_backendzd2cnstzd2tablezd2n2268zd2zzbackend_jvmz00(obj_t
		BgL_envz00_1214, obj_t BgL_mez00_1215, obj_t BgL_offsetz00_1216)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 206 */
			return BGl_string2592z00zzbackend_jvmz00;
		}
	}



/* backend-link-jvm2266 */
	obj_t BGl_backendzd2linkzd2jvm2266z00zzbackend_jvmz00(obj_t BgL_envz00_1217,
		obj_t BgL_mez00_1218, obj_t BgL_resultz00_1219)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 199 */
			return BGl_jvmzd2ldzd2zzsaw_jvm_ldz00(BFALSE);
		}
	}



/* backend-compile-jvm2264 */
	obj_t BGl_backendzd2compilezd2jvm2264z00zzbackend_jvmz00(obj_t
		BgL_envz00_1220, obj_t BgL_mez00_1221)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 35 */
			{
				BgL_jvmz00_bglt BgL_mez00_714;

				BgL_mez00_714 = (BgL_jvmz00_bglt) (BgL_mez00_1221);
				{	/* BackEnd/jvm.scm 37 */
					obj_t BgL_list2348z00_718;

					{	/* BackEnd/jvm.scm 37 */
						obj_t BgL_arg2350z00_720;

						{	/* BackEnd/jvm.scm 37 */
							obj_t BgL_arg2352z00_722;

							BgL_arg2352z00_722 =
								MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
							BgL_arg2350z00_720 =
								MAKE_PAIR(BGl_string2593z00zzbackend_jvmz00,
								BgL_arg2352z00_722);
						}
						BgL_list2348z00_718 =
							MAKE_PAIR(BGl_string2594z00zzbackend_jvmz00, BgL_arg2350z00_720);
					}
					BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list2348z00_718);
				}
				BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
				BGl_za2currentzd2passza2zd2zzengine_passz00 =
					BGl_string2593z00zzbackend_jvmz00;
				{	/* BackEnd/jvm.scm 37 */
					obj_t BgL_g2236z00_723;
					obj_t BgL_g2237z00_724;

					{	/* BackEnd/jvm.scm 37 */
						obj_t BgL_list2362z00_736;

						BgL_list2362z00_736 =
							MAKE_PAIR(BGl_startzd2jvmzd2emissionz12zd2envzc0zzbackend_jvmz00,
							BNIL);
						BgL_g2236z00_723 = BgL_list2362z00_736;
					}
					BgL_g2237z00_724 = CNST_TABLE_REF(((long) 14));
					{
						obj_t BgL_hooksz00_725;
						obj_t BgL_hnamesz00_726;

						BgL_hooksz00_725 = BgL_g2236z00_723;
						BgL_hnamesz00_726 = BgL_g2237z00_724;
					BgL_loopz00_727:
						if (NULLP(BgL_hooksz00_725))
							{	/* BackEnd/jvm.scm 37 */
								CNST_TABLE_REF(((long) 15));
							}
						else
							{	/* BackEnd/jvm.scm 37 */
								bool_t BgL_testz00_1642;

								{	/* BackEnd/jvm.scm 37 */
									obj_t BgL_fun2361z00_735;

									BgL_fun2361z00_735 = CAR(BgL_hooksz00_725);
									BgL_testz00_1642 =
										CBOOL(PROCEDURE_ENTRY(BgL_fun2361z00_735)
										(BgL_fun2361z00_735, BEOA));
								}
								if (BgL_testz00_1642)
									{
										obj_t BgL_hnamesz00_1649;
										obj_t BgL_hooksz00_1647;

										BgL_hooksz00_1647 = CDR(BgL_hooksz00_725);
										BgL_hnamesz00_1649 = CDR(BgL_hnamesz00_726);
										BgL_hnamesz00_726 = BgL_hnamesz00_1649;
										BgL_hooksz00_725 = BgL_hooksz00_1647;
										goto BgL_loopz00_727;
									}
								else
									{	/* BackEnd/jvm.scm 37 */
										BGl_internalzd2errorzd2zztools_errorz00
											(BGl_string2593z00zzbackend_jvmz00,
											BGl_string2595z00zzbackend_jvmz00,
											CAR(BgL_hnamesz00_726));
									}
							}
					}
				}
				{	/* BackEnd/jvm.scm 38 */
					obj_t BgL_arg2367z00_740;

					BgL_arg2367z00_740 =
						BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00
						(BGl_za2moduleza2z00zzmodule_modulez00);
					{	/* BackEnd/jvm.scm 38 */
						obj_t BgL_list2369z00_742;

						{	/* BackEnd/jvm.scm 38 */
							obj_t BgL_arg2370z00_743;

							{	/* BackEnd/jvm.scm 38 */
								obj_t BgL_arg2371z00_744;

								{	/* BackEnd/jvm.scm 38 */
									obj_t BgL_arg2373z00_745;

									{	/* BackEnd/jvm.scm 38 */
										obj_t BgL_arg2374z00_746;

										{	/* BackEnd/jvm.scm 38 */
											obj_t BgL_arg2375z00_747;

											BgL_arg2375z00_747 =
												MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
											BgL_arg2374z00_746 =
												MAKE_PAIR(BGl_string2596z00zzbackend_jvmz00,
												BgL_arg2375z00_747);
										}
										BgL_arg2373z00_745 =
											MAKE_PAIR(BgL_arg2367z00_740, BgL_arg2374z00_746);
									}
									BgL_arg2371z00_744 =
										MAKE_PAIR(BGl_string2597z00zzbackend_jvmz00,
										BgL_arg2373z00_745);
								}
								BgL_arg2370z00_743 =
									MAKE_PAIR(BGl_za2moduleza2z00zzmodule_modulez00,
									BgL_arg2371z00_744);
							}
							BgL_list2369z00_742 =
								MAKE_PAIR(BGl_string2598z00zzbackend_jvmz00,
								BgL_arg2370z00_743);
						}
						BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
							BgL_list2369z00_742);
				}}
				{	/* BackEnd/jvm.scm 41 */
					obj_t BgL_arg2376z00_748;

					{	/* BackEnd/jvm.scm 41 */
						obj_t BgL_arg2377z00_749;

						BgL_arg2377z00_749 =
							BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00
							(BGl_za2moduleza2z00zzmodule_modulez00);
						BgL_arg2376z00_748 =
							string_to_symbol(BSTRING_TO_STRING(BgL_arg2377z00_749));
					}
					((((BgL_jvmz00_bglt) CREF(BgL_mez00_714))->BgL_qnamez00) =
						((obj_t) BgL_arg2376z00_748), BUNSPEC);
				}
				{	/* BackEnd/jvm.scm 44 */
					bool_t BgL_testz00_1667;

					if (CBOOL(BGl_za2mainza2z00zzmodule_modulez00))
						{	/* BackEnd/jvm.scm 44 */
							BgL_testz00_1667 = ((bool_t) 0);
						}
					else
						{	/* BackEnd/jvm.scm 44 */
							BgL_testz00_1667 =
								CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
								(BGl_za2passza2z00zzengine_paramz00,
									CNST_TABLE_REF(((long) 16))));
						}
					if (BgL_testz00_1667)
						{	/* BackEnd/jvm.scm 44 */
							BGl_za2mainza2z00zzmodule_modulez00 =
								BGl_makezd2bigloozd2mainz00zzbackend_c_mainz00();
						}
					else
						{	/* BackEnd/jvm.scm 44 */
							BFALSE;
						}
				}
				BGl_jvmzd2checkzd2packagez00zzbackend_jvmz00
					(BGl_za2moduleza2z00zzmodule_modulez00,
					BGl_za2jvmzd2dirzd2nameza2z00zzbackend_jvmz00);
				{	/* BackEnd/jvm.scm 71 */
					obj_t BgL_lza2za2_751;
					obj_t BgL_bnamez00_752;

					BgL_lza2za2_751 =
						BGl_saw_jvmzd2compilezd2zzsaw_jvm_compilez00(BgL_mez00_714);
					if (
						(BGl_za2passza2z00zzengine_paramz00 == CNST_TABLE_REF(((long) 10))))
						{	/* BackEnd/jvm.scm 73 */
							if (PAIRP(BGl_za2srczd2filesza2zd2zzengine_paramz00))
								{	/* BackEnd/jvm.scm 74 */
									BgL_bnamez00_752 =
										BGl_addsuffixz00zzbackend_jvmz00(BGl_prefixz00zz__osz00
										(BGl_basenamez00zz__osz00(CAR
												(BGl_za2srczd2filesza2zd2zzengine_paramz00))));
								}
							else
								{	/* BackEnd/jvm.scm 74 */
									BgL_bnamez00_752 = BGl_string2599z00zzbackend_jvmz00;
								}
						}
					else
						{	/* BackEnd/jvm.scm 73 */
							if (STRINGP(BGl_za2destza2z00zzengine_paramz00))
								{	/* BackEnd/jvm.scm 77 */
									BgL_bnamez00_752 =
										BGl_addsuffixz00zzbackend_jvmz00(BGl_prefixz00zz__osz00
										(BGl_basenamez00zz__osz00
											(BGl_za2destza2z00zzengine_paramz00)));
								}
							else
								{	/* BackEnd/jvm.scm 77 */
									if (PAIRP(BGl_za2srczd2filesza2zd2zzengine_paramz00))
										{	/* BackEnd/jvm.scm 78 */
											BgL_bnamez00_752 =
												BGl_addsuffixz00zzbackend_jvmz00(BGl_prefixz00zz__osz00
												(BGl_basenamez00zz__osz00(CAR
														(BGl_za2srczd2filesza2zd2zzengine_paramz00))));
										}
									else
										{	/* BackEnd/jvm.scm 78 */
											BgL_bnamez00_752 = BFALSE;
										}
								}
						}
					BGl_emitz00zzbackend_jvmz00(CAR(BgL_lza2za2_751), BgL_bnamez00_752);
					{	/* BackEnd/jvm.scm 84 */
						obj_t BgL_g2260z00_754;

						BgL_g2260z00_754 = CDR(BgL_lza2za2_751);
						{
							obj_t BgL_l2258z00_755;

							BgL_l2258z00_755 = BgL_g2260z00_754;
						BgL_forzd2each2259zd2_756:
							if (PAIRP(BgL_l2258z00_755))
								{	/* BackEnd/jvm.scm 84 */
									{	/* BackEnd/jvm.scm 84 */
										obj_t BgL_cfz00_758;

										BgL_cfz00_758 = CAR(BgL_l2258z00_755);
										BGl_emitz00zzbackend_jvmz00(BgL_cfz00_758,
											BGl_jasnamez00zzbackend_jvmz00(BgL_cfz00_758));
									}
									{
										obj_t BgL_l2258z00_1704;

										BgL_l2258z00_1704 = CDR(BgL_l2258z00_755);
										BgL_l2258z00_755 = BgL_l2258z00_1704;
										goto BgL_forzd2each2259zd2_756;
									}
								}
							else
								{	/* BackEnd/jvm.scm 84 */
									((bool_t) 1);
								}
						}
					}
					{	/* BackEnd/jvm.scm 86 */
						obj_t BgL_arg2383z00_761;

						BgL_arg2383z00_761 = CNST_TABLE_REF(((long) 17));
						BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2383z00_761,
							make_fx_procedure(BGl_zc3anonymousza32385ze3z83zzbackend_jvmz00,
								(int) (((long) 0)), (int) (((long) 0))));
					}
					{	/* BackEnd/jvm.scm 87 */
						obj_t BgL_arg2386z00_765;

						BgL_arg2386z00_765 = CNST_TABLE_REF(((long) 8));
						BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2386z00_765,
							make_fx_procedure(BGl_zc3anonymousza32388ze3z83zzbackend_jvmz00,
								(int) (((long) 0)), (int) (((long) 0))));
					}
					{	/* BackEnd/jvm.scm 88 */
						obj_t BgL_arg2389z00_769;

						BgL_arg2389z00_769 = CNST_TABLE_REF(((long) 7));
						return
							BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2389z00_769,
							make_fx_procedure(BGl_zc3anonymousza32391ze3z83zzbackend_jvmz00,
								(int) (((long) 0)), (int) (((long) 0))));
		}}}}
	}



/* <exit:2422> */
	obj_t BGl_zc3exitza32422ze3z83zzbackend_jvmz00(obj_t BgL_portz00_1246,
		obj_t BgL_classfilez00_1245)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 69 */
			jmp_buf jmpbuf;
			obj_t BgL_an_exit2246z00_816;

			{
				BGL_STORE_TRACE();
				if (SET_EXIT(BgL_an_exit2246z00_816))
					{
						BGL_RESTORE_TRACE();
						return _exit_value_;
					}
				else
					{
						BgL_an_exit2246z00_816 = (obj_t) jmpbuf;
						{	/* BackEnd/jvm.scm 69 */

							PUSH_EXIT(BgL_an_exit2246z00_816, ((long) 0));
							{	/* BackEnd/jvm.scm 68 */
								obj_t BgL_val2247z00_817;

								BgL_val2247z00_817 =
									BGl_jvmzd2aszd2zzjas_asz00(BgL_classfilez00_1245,
									BgL_portz00_1246);
								POP_EXIT();
								return BgL_val2247z00_817;
							}
						}
					}
			}
		}
	}



/* <exit:2417> */
	obj_t BGl_zc3exitza32417ze3z83zzbackend_jvmz00(obj_t BgL_portz00_1250,
		obj_t BgL_handlers2239z00_1249, obj_t BgL_cnamez00_1248,
		obj_t BgL_classfilez00_1247)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 63 */
			jmp_buf jmpbuf;
			obj_t BgL_exit2242z00_806;

			{
				BGL_STORE_TRACE();
				if (SET_EXIT(BgL_exit2242z00_806))
					{
						BGL_RESTORE_TRACE();
						return _exit_value_;
					}
				else
					{
						BgL_exit2242z00_806 = (obj_t) jmpbuf;
						{	/* BackEnd/jvm.scm 63 */

							PUSH_EXIT(BgL_exit2242z00_806, ((long) 0));
							{	/* BackEnd/jvm.scm 63 */
								obj_t BgL_exitd2243z00_807;

								BgL_exitd2243z00_807 = BGL_EXITD_TOP();
								{	/* BackEnd/jvm.scm 63 */
									obj_t BgL_handler2240z00_1207;

									BgL_handler2240z00_1207 =
										make_fx_procedure(BGl_handler2240z00zzbackend_jvmz00,
										(int) (((long) 1)), (int) (((long) 2)));
									PROCEDURE_SET(BgL_handler2240z00_1207,
										(int) (((long) 0)), BgL_cnamez00_1248);
									PROCEDURE_SET(BgL_handler2240z00_1207,
										(int) (((long) 1)), BgL_exitd2243z00_807);
									{	/* BackEnd/jvm.scm 63 */
										obj_t BgL_arg2418z00_809;

										BgL_arg2418z00_809 =
											MAKE_PAIR(BgL_handler2240z00_1207,
											BgL_handlers2239z00_1249);
										BGL_ERROR_HANDLER_SET(BgL_arg2418z00_809);
										BUNSPEC;
									}
									{	/* BackEnd/jvm.scm 67 */
										obj_t BgL_tmp2244z00_810;

										{	/* BackEnd/jvm.scm 67 */
											obj_t BgL_val2245z00_811;

											BgL_val2245z00_811 =
												BGl_zc3exitza32422ze3z83zzbackend_jvmz00
												(BgL_portz00_1250, BgL_classfilez00_1247);
											close_binary_port(BgL_portz00_1250);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2245z00_811)))
												{	/* BackEnd/jvm.scm 69 */
													BgL_tmp2244z00_810 =
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2245z00_811), CDR(BgL_val2245z00_811));
												}
											else
												{	/* BackEnd/jvm.scm 69 */
													BgL_tmp2244z00_810 = BgL_val2245z00_811;
												}
										}
										POP_EXIT();
										return BgL_tmp2244z00_810;
									}
								}
							}
						}
					}
			}
		}
	}



/* emit */
	obj_t BGl_emitz00zzbackend_jvmz00(obj_t BgL_classfilez00_785,
		obj_t BgL_destz00_786)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 69 */
			{	/* BackEnd/jvm.scm 48 */
				obj_t BgL_dirz00_788;

				BgL_dirz00_788 = BGl_za2jvmzd2dirzd2nameza2z00zzbackend_jvmz00;
				if ((BGl_za2passza2z00zzengine_paramz00 == CNST_TABLE_REF(((long) 8))))
					{	/* BackEnd/jvm.scm 50 */
						obj_t BgL_portz00_790;

						if (STRINGP(BgL_destz00_786))
							{	/* BackEnd/jvm.scm 50 */
								BgL_portz00_790 =
									open_output_file(string_append_3(BgL_dirz00_788,
										BGl_string2600z00zzbackend_jvmz00, BgL_destz00_786));
							}
						else
							{	/* BackEnd/jvm.scm 50 */
								BgL_portz00_790 = BGL_CURRENT_OUTPUT_PORT();
							}
						BGl_jvmasdumpz00zzbackend_jvmz00(BgL_classfilez00_785,
							BgL_portz00_790);
						{	/* BackEnd/jvm.scm 55 */
							bool_t BgL_testz00_1758;

							{	/* BackEnd/jvm.scm 55 */
								obj_t BgL_arg2408z00_792;

								BgL_arg2408z00_792 = BGL_CURRENT_OUTPUT_PORT();
								BgL_testz00_1758 = (BgL_portz00_790 == BgL_arg2408z00_792);
							}
							if (BgL_testz00_1758)
								{	/* BackEnd/jvm.scm 55 */
									return BFALSE;
								}
							else
								{	/* BackEnd/jvm.scm 55 */
									return close_output_port(BgL_portz00_790);
								}
						}
					}
				else
					{	/* BackEnd/jvm.scm 57 */
						obj_t BgL_cnamez00_795;

						if (STRINGP(BgL_destz00_786))
							{	/* BackEnd/jvm.scm 57 */
								BgL_cnamez00_795 =
									string_append_3(BgL_dirz00_788,
									BGl_string2600z00zzbackend_jvmz00, BgL_destz00_786);
							}
						else
							{	/* BackEnd/jvm.scm 57 */
								BgL_cnamez00_795 =
									string_append(BgL_dirz00_788,
									BGl_string2601z00zzbackend_jvmz00);
							}
						{	/* BackEnd/jvm.scm 57 */
							obj_t BgL_portz00_796;

							BgL_portz00_796 =
								BGl_openzd2outputzd2binaryzd2filezd2zz__binaryz00
								(BgL_cnamez00_795);
							{	/* BackEnd/jvm.scm 60 */

								if (BINARY_PORTP(BgL_portz00_796))
									{	/* BackEnd/jvm.scm 61 */
										BFALSE;
									}
								else
									{	/* BackEnd/jvm.scm 61 */
										BGl_errorz00zz__errorz00(BGl_string2602z00zzbackend_jvmz00,
											BGl_string2603z00zzbackend_jvmz00, BgL_cnamez00_795);
									}
								{	/* BackEnd/jvm.scm 65 */
									obj_t BgL_handler2238z00_1206;

									BgL_handler2238z00_1206 =
										make_fx_procedure(BGl_handler2238z00zzbackend_jvmz00,
										(int) (((long) 1)), (int) (((long) 1)));
									PROCEDURE_SET(BgL_handler2238z00_1206,
										(int) (((long) 0)), BgL_cnamez00_795);
									if (PROCEDURE_CORRECT_ARITYP(BgL_handler2238z00_1206,
											(int) (((long) 1))))
										{	/* BackEnd/jvm.scm 63 */
											obj_t BgL_handlers2239z00_800;

											BgL_handlers2239z00_800 = BGL_ERROR_HANDLER_GET();
											{	/* BackEnd/jvm.scm 63 */
												obj_t BgL_val2241z00_801;

												BgL_val2241z00_801 =
													BGl_zc3exitza32417ze3z83zzbackend_jvmz00
													(BgL_portz00_796, BgL_handlers2239z00_800,
													BgL_cnamez00_795, BgL_classfilez00_785);
												BGL_ERROR_HANDLER_SET(BgL_handlers2239z00_800);
												BUNSPEC;
												if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
														(BgL_val2241z00_801)))
													{	/* BackEnd/jvm.scm 63 */
														return
															BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
															(BgL_val2241z00_801), CDR(BgL_val2241z00_801));
													}
												else
													{	/* BackEnd/jvm.scm 63 */
														return BgL_val2241z00_801;
													}
											}
										}
									else
										{	/* BackEnd/jvm.scm 63 */
											return
												BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 18)),
												BGl_string2604z00zzbackend_jvmz00,
												BgL_handler2238z00_1206);
		}}}}}}}
	}



/* <anonymous:2391> */
	obj_t BGl_zc3anonymousza32391ze3z83zzbackend_jvmz00(obj_t BgL_envz00_1222)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 88 */
			{

				return CNST_TABLE_REF(((long) 19));
		}}
	}



/* <anonymous:2388> */
	obj_t BGl_zc3anonymousza32388ze3z83zzbackend_jvmz00(obj_t BgL_envz00_1223)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 87 */
			{

				return CNST_TABLE_REF(((long) 19));
		}}
	}



/* <anonymous:2385> */
	obj_t BGl_zc3anonymousza32385ze3z83zzbackend_jvmz00(obj_t BgL_envz00_1224)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 86 */
			{

				return CNST_TABLE_REF(((long) 19));
		}}
	}



/* handler2240 */
	obj_t BGl_handler2240z00zzbackend_jvmz00(obj_t BgL_envz00_1225,
		obj_t BgL_ez00_1228)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 63 */
			{	/* BackEnd/jvm.scm 63 */
				obj_t BgL_cnamez00_1226;
				obj_t BgL_exitd2243z00_1227;

				BgL_cnamez00_1226 = PROCEDURE_REF(BgL_envz00_1225, (int) (((long) 0)));
				BgL_exitd2243z00_1227 =
					PROCEDURE_REF(BgL_envz00_1225, (int) (((long) 1)));
				{
					obj_t BgL_ez00_818;

					BgL_ez00_818 = BgL_ez00_1228;
					{	/* BackEnd/jvm.scm 63 */
						obj_t BgL_arg2424z00_1095;

						{	/* BackEnd/jvm.scm 63 */
							char *BgL_auxz00_1796;

							BgL_auxz00_1796 = BSTRING_TO_STRING(BgL_cnamez00_1226);
							unlink(BgL_auxz00_1796);
						}
						BgL_arg2424z00_1095 = BGl_raisez00zz__errorz00(BgL_ez00_818);
						return
							BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_exitd2243z00_1227,
							BgL_arg2424z00_1095);
					}
				}
			}
		}
	}



/* handler2238 */
	obj_t BGl_handler2238z00zzbackend_jvmz00(obj_t BgL_envz00_1229,
		obj_t BgL_ez00_1231)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 64 */
			{	/* BackEnd/jvm.scm 65 */
				obj_t BgL_cnamez00_1230;

				BgL_cnamez00_1230 = PROCEDURE_REF(BgL_envz00_1229, (int) (((long) 0)));
				{
					obj_t BgL_ez00_822;

					BgL_ez00_822 = BgL_ez00_1231;
					{	/* BackEnd/jvm.scm 65 */
						char *BgL_auxz00_1803;

						BgL_auxz00_1803 = BSTRING_TO_STRING(BgL_cnamez00_1230);
						unlink(BgL_auxz00_1803);
					}
					return BGl_raisez00zz__errorz00(BgL_ez00_822);
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzbackend_jvmz00()
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 1 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 182148081),
				BSTRING_TO_STRING(BGl_string2605z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string2605z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 216344604),
				BSTRING_TO_STRING(BGl_string2605z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 514705515),
				BSTRING_TO_STRING(BGl_string2605z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzengine_linkz00(((long) 392051205),
				BSTRING_TO_STRING(BGl_string2605z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzengine_compilerz00(((long) 450629069),
				BSTRING_TO_STRING(BGl_string2605z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string2605z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 358171001),
				BSTRING_TO_STRING(BGl_string2605z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzmodule_alibraryz00(((long) 55672085),
				BSTRING_TO_STRING(BGl_string2605z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string2605z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 466514915),
				BSTRING_TO_STRING(BGl_string2605z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzbackend_bvmz00(((long) 52967775),
				BSTRING_TO_STRING(BGl_string2605z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzbackend_jvm_classz00(((long) 0),
				BSTRING_TO_STRING(BGl_string2605z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzbackend_c_mainz00(((long) 179083793),
				BSTRING_TO_STRING(BGl_string2605z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzread_jvmz00(((long) 143212498),
				BSTRING_TO_STRING(BGl_string2605z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzjas_asz00(((long) 29862157),
				BSTRING_TO_STRING(BGl_string2605z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzjas_peepz00(((long) 442782109),
				BSTRING_TO_STRING(BGl_string2605z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzsaw_jvm_compilez00(((long) 507437104),
				BSTRING_TO_STRING(BGl_string2605z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzsaw_jvm_ldz00(((long) 499088871),
				BSTRING_TO_STRING(BGl_string2605z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzsaw_jvm_inlinez00(((long) 293010567),
				BSTRING_TO_STRING(BGl_string2605z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzinit_setrcz00(((long) 385369337),
				BSTRING_TO_STRING(BGl_string2605z00zzbackend_jvmz00));
			return
				BGl_modulezd2initializa7ationz75zzread_readerz00(((long) 484284287),
				BSTRING_TO_STRING(BGl_string2605z00zzbackend_jvmz00));
		}
	}

#ifdef __cplusplus
}
#endif
