/*===========================================================================*/
/*   (Cfa/arithmetic.scm)                                                    */
/*   Bigloo (2.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 25 07:31:22 CET 2006        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/2.9a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/arithmetic.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2heapzd2formatz00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_isaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		struct BgL_typez00_bgl *BgL_classz00;
	}             *BgL_isaz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_cfunzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_cfunzf2cinfozf2_bglt;

	typedef struct BgL_externzd2sfunzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_externzd2sfunzf2cinfoz20_bglt;

	typedef struct BgL_internzd2sfunzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		long BgL_stampz00;
	}                               *BgL_internzd2sfunzf2cinfoz20_bglt;

	typedef struct BgL_scnstzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_scnstzf2cinfozf2_bglt;

	typedef struct BgL_prezd2clozd2envz00_bgl
	{
		char dummy;
	}                         *BgL_prezd2clozd2envz00_bglt;

	typedef struct BgL_svarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		bool_t BgL_clozd2envzf3z21;
	}                      *BgL_svarzf2cinfozf2_bglt;

	typedef struct BgL_cvarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_cvarzf2cinfozf2_bglt;

	typedef struct BgL_sexitzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_sexitzf2cinfozf2_bglt;

	typedef struct BgL_reshapedzd2localzd2_bgl
	{
		obj_t BgL_bindingzd2valuezd2;
	}                          *BgL_reshapedzd2localzd2_bglt;

	typedef struct BgL_reshapedzd2globalzd2_bgl
	{
		char dummy;
	}                           *BgL_reshapedzd2globalzd2_bglt;

	typedef struct BgL_atomzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_atomzf2cinfozf2_bglt;

	typedef struct BgL_kwotezf2nodezf2_bgl
	{
		struct BgL_nodez00_bgl *BgL_nodez00;
	}                      *BgL_kwotezf2nodezf2_bglt;

	typedef struct BgL_kwotezf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_kwotezf2cinfozf2_bglt;

	typedef struct BgL_appzd2lyzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                          *BgL_appzd2lyzf2cinfoz20_bglt;

	typedef struct BgL_funcallzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_vazd2approxzd2;
		bool_t BgL_arityzd2errorzd2noticedzf3zf3;
		bool_t BgL_typezd2errorzd2noticedzf3zf3;
	}                         *BgL_funcallzf2cinfozf2_bglt;

	typedef struct BgL_setqzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_setqzf2cinfozf2_bglt;

	typedef struct BgL_conditionalzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                             *BgL_conditionalzf2cinfozf2_bglt;

	typedef struct BgL_failzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_failzf2cinfozf2_bglt;

	typedef struct BgL_selectzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                        *BgL_selectzf2cinfozf2_bglt;

	typedef struct BgL_setzd2exzd2itzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_setzd2exzd2itzf2cinfozf2_bglt;

	typedef struct BgL_jumpzd2exzd2itzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                                *BgL_jumpzd2exzd2itzf2cinfozf2_bglt;

	typedef struct BgL_prezd2makezd2boxz00_bgl
	{
		char dummy;
	}                          *BgL_prezd2makezd2boxz00_bglt;

	typedef struct BgL_makezd2boxzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                            *BgL_makezd2boxzf2cinfoz20_bglt;

	typedef struct BgL_makezd2boxzf2ozd2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
	}                                *BgL_makezd2boxzf2ozd2cinfozf2_bglt;

	typedef struct BgL_boxzd2setz12zf2cinfoz32_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                              *BgL_boxzd2setz12zf2cinfoz32_bglt;

	typedef struct BgL_boxzd2refzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                           *BgL_boxzd2refzf2cinfoz20_bglt;

	typedef struct BgL_boxzd2setz12zf2ozd2cinfoze0_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                                  *BgL_boxzd2setz12zf2ozd2cinfoze0_bglt;

	typedef struct BgL_boxzd2refzf2ozd2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_boxzd2refzf2ozd2cinfozf2_bglt;

	typedef struct BgL_prezd2arithmeticzd2appz00_bgl
	{
		obj_t BgL_speczd2typeszd2;
	}                                *BgL_prezd2arithmeticzd2appz00_bglt;

	typedef struct BgL_arithmeticzd2appzd2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_speczd2typeszd2;
	}                          *BgL_arithmeticzd2appzd2_bglt;

	typedef struct BgL_prezd2makezd2procedurezd2appzd2_bgl
	{
		struct BgL_variablez00_bgl *BgL_ownerz00;
	}                                     
		*BgL_prezd2makezd2procedurezd2appzd2_bglt;

	typedef struct BgL_prezd2procedurezd2refzd2appzd2_bgl
	{
		char dummy;
	}                                    
		*BgL_prezd2procedurezd2refzd2appzd2_bglt;

	typedef struct BgL_prezd2procedurezd2setz12zd2appzc0_bgl
	{
		char dummy;
	}                                       
		*BgL_prezd2procedurezd2setz12zd2appzc0_bglt;

	typedef struct BgL_makezd2procedurezd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_valueszd2approxzd2;
		long BgL_lostzd2stampzd2;
		bool_t BgL_xzd2tzf3z21;
		bool_t BgL_xz00;
		bool_t BgL_tz00;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
	}                                *BgL_makezd2procedurezd2appz00_bglt;

	typedef struct BgL_procedurezd2refzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_procedurezd2refzd2appz00_bglt;

	typedef struct BgL_procedurezd2setz12zd2appz12_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                                  *BgL_procedurezd2setz12zd2appz12_bglt;

	typedef struct BgL_prezd2makezd2vectorzd2appzd2_bgl
	{
		struct BgL_variablez00_bgl *BgL_ownerz00;
	}                                   *BgL_prezd2makezd2vectorzd2appzd2_bglt;

	typedef struct BgL_makezd2vectorzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
		long BgL_lostzd2stampzd2;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
		bool_t BgL_seenzf3zf3;
	}                             *BgL_makezd2vectorzd2appz00_bglt;

	typedef struct BgL_prezd2makezd2structzd2appzd2_bgl
	{
		struct BgL_variablez00_bgl *BgL_ownerz00;
	}                                   *BgL_prezd2makezd2structzd2appzd2_bglt;

	typedef struct BgL_prezd2structzd2refzd2appzd2_bgl
	{
		char dummy;
	}                                  *BgL_prezd2structzd2refzd2appzd2_bglt;

	typedef struct BgL_prezd2structzd2setz12zd2appzc0_bgl
	{
		char dummy;
	}                                    
		*BgL_prezd2structzd2setz12zd2appzc0_bglt;

	typedef struct BgL_makezd2structzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
		long BgL_lostzd2stampzd2;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
	}                             *BgL_makezd2structzd2appz00_bglt;

	typedef struct BgL_structzd2refzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                            *BgL_structzd2refzd2appz00_bglt;

	typedef struct BgL_structzd2setz12zd2appz12_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_structzd2setz12zd2appz12_bglt;


	BGL_IMPORT obj_t open_input_string(obj_t);
	extern BgL_approxz00_bglt BGl_loosez12z12zzcfa_loosez00(BgL_approxz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_cnstzd2initzd2zzcfa_arithmeticz00();
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzcfa_arithmeticz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_loosez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_iteratez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setupz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	static obj_t BGl_toplevelzd2initzd2zzcfa_arithmeticz00();
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_continuezd2cfaz12zc0zzcfa_iteratez00();
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static obj_t BGl_methodzd2initzd2zzcfa_arithmeticz00();
	BGL_IMPORT long BGl_classzd2numzd2zz__objectz00(obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	extern BgL_approxz00_bglt BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_arithmeticz00 = BUNSPEC;
	static obj_t BGl_unspecifiedzd2typezd2zzcfa_arithmeticz00(obj_t);
	static obj_t BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00 = BUNSPEC;
	extern obj_t BGl_typez00zztype_typez00;
	extern obj_t BGl_nodezd2setupza2z12z62zzcfa_setupz00(obj_t);
	static obj_t
		BGl__cleanupzd2arithmeticzd2nodesz12z12zzcfa_arithmeticz00(obj_t);
	static obj_t BGl_nodezd2setupz12zd2prezd2arit4475zc0zzcfa_arithmeticz00(obj_t,
		obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_arithmeticz00();
	extern obj_t BGl_prezd2arithmeticzd2appz00zzcfa_info2z00;
	extern BgL_approxz00_bglt
		BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_cleanupzd2arithmeticzd2nodesz12z12zzcfa_arithmeticz00();
	extern BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
	static obj_t BGl_cfaz12zd2arithmeticzd2app4477z12zzcfa_arithmeticz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
	extern obj_t
		BGl_wideningzd2arithmeticzd2appz00zzcfa_info2z00(BgL_approxz00_bglt, obj_t);
	extern obj_t BGl_za2intza2z00zztype_cachez00;
	extern obj_t BGl_cfunz00zzast_varz00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_arithmeticzd2appzd2zzcfa_info2z00;
	static obj_t BGl_cleanupzd2typezd2zzcfa_arithmeticz00(obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_arithmeticz00();
	static obj_t __cnst[1];


	extern obj_t BGl_cfaz12zd2envzc0zzcfa_cfaz00;
	   
		 
		DEFINE_STRING(BGl_string4680z00zzcfa_arithmeticz00,
		BgL_bgl_string4680za700za7za7c4685za7, "Illegal arithmetic node", 23);
	      DEFINE_STRING(BGl_string4679z00zzcfa_arithmeticz00,
		BgL_bgl_string4679za700za7za7c4686za7, "node-setup!", 11);
	      DEFINE_STRING(BGl_string4681z00zzcfa_arithmeticz00,
		BgL_bgl_string4681za700za7za7c4687za7, "cfa_arithmetic", 14);
	      DEFINE_STRING(BGl_string4682z00zzcfa_arithmeticz00,
		BgL_bgl_string4682za700za7za7c4688za7, "all ", 4);
	extern obj_t BGl_nodezd2setupz12zd2envz12zzcfa_setupz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cleanupzd2arithmeticzd2nodesz12zd2envzc0zzcfa_arithmeticz00,
		BgL_bgl__cleanupza7d2arith4689za7,
		BGl__cleanupzd2arithmeticzd2nodesz12z12zzcfa_arithmeticz00, 0L, BUNSPEC, 0);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzcfa_arithmeticz00(long
		BgL_checksumz00_1839, char *BgL_fromz00_1840)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_arithmeticz00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_arithmeticz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcfa_arithmeticz00();
					BGl_cnstzd2initzd2zzcfa_arithmeticz00();
					BGl_importedzd2moduleszd2initz00zzcfa_arithmeticz00();
					BGl_methodzd2initzd2zzcfa_arithmeticz00();
					BGl_toplevelzd2initzd2zzcfa_arithmeticz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_arithmeticz00()
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 28 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"cfa_arithmetic");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_arithmeticz00()
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 28 */
			{	/* Cfa/arithmetic.scm 28 */
				obj_t BgL_cportz00_1831;

				BgL_cportz00_1831 =
					open_input_string(BGl_string4682z00zzcfa_arithmeticz00);
				{
					long BgL_iz00_1832;

					BgL_iz00_1832 = ((long) 0);
				BgL_loopz00_1833:
					if ((BgL_iz00_1832 == ((long) -1)))
						{	/* Cfa/arithmetic.scm 28 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/arithmetic.scm 28 */
							{	/* Cfa/arithmetic.scm 28 */
								obj_t BgL_arg4684z00_1835;

								{	/* Cfa/arithmetic.scm 28 */

									{	/* Cfa/arithmetic.scm 28 */
										obj_t BgL_locationz00_1837;

										BgL_locationz00_1837 = BBOOL(((bool_t) 0));
										{	/* Cfa/arithmetic.scm 28 */

											BgL_arg4684z00_1835 =
												BGl_readz00zz__readerz00(BgL_cportz00_1831,
												BgL_locationz00_1837);
										}
									}
								}
								{	/* Cfa/arithmetic.scm 28 */
									int BgL_auxz00_1858;

									BgL_auxz00_1858 = (int) (BgL_iz00_1832);
									CNST_TABLE_SET(BgL_auxz00_1858, BgL_arg4684z00_1835);
							}}
							{	/* Cfa/arithmetic.scm 28 */
								int BgL_auxz00_1838;

								BgL_auxz00_1838 = (int) ((BgL_iz00_1832 - ((long) 1)));
								{
									long BgL_iz00_1863;

									BgL_iz00_1863 = (long) (BgL_auxz00_1838);
									BgL_iz00_1832 = BgL_iz00_1863;
									goto BgL_loopz00_1833;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_arithmeticz00()
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 28 */
			BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00 = BNIL;
			return BUNSPEC;
		}
	}



/* cleanup-arithmetic-nodes! */
	BGL_EXPORTED_DEF obj_t
		BGl_cleanupzd2arithmeticzd2nodesz12z12zzcfa_arithmeticz00()
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 52 */
			{
				obj_t BgL_l4457z00_973;

				{	/* Cfa/arithmetic.scm 67 */
					bool_t BgL_auxz00_1865;

					BgL_l4457z00_973 = BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00;
				BgL_forzd2each4459zd2_974:
					if (PAIRP(BgL_l4457z00_973))
						{	/* Cfa/arithmetic.scm 67 */
							{	/* Cfa/arithmetic.scm 68 */
								obj_t BgL_nodez00_976;

								BgL_nodez00_976 = CAR(BgL_l4457z00_973);
								{	/* Cfa/arithmetic.scm 69 */
									BgL_variablez00_bglt BgL_fz00_978;

									{	/* Cfa/arithmetic.scm 69 */
										BgL_varz00_bglt BgL_obj1908z00_1690;

										{	/* Cfa/arithmetic.scm 69 */
											BgL_appz00_bglt BgL_obj2002z00_1689;

											BgL_obj2002z00_1689 = (BgL_appz00_bglt) (BgL_nodez00_976);
											BgL_obj1908z00_1690 =
												(((BgL_appz00_bglt) CREF(BgL_obj2002z00_1689))->
												BgL_funz00);
										}
										BgL_fz00_978 =
											(((BgL_varz00_bglt) CREF(BgL_obj1908z00_1690))->
											BgL_variablez00);
									}
									{	/* Cfa/arithmetic.scm 69 */
										BgL_valuez00_bglt BgL_valz00_979;

										BgL_valz00_979 =
											(((BgL_variablez00_bglt) CREF(BgL_fz00_978))->
											BgL_valuez00);
										{	/* Cfa/arithmetic.scm 70 */

											{	/* Cfa/arithmetic.scm 72 */
												bool_t BgL_testz00_1873;

												{	/* Cfa/arithmetic.scm 72 */
													BgL_typez00_bglt BgL_arg4480z00_981;

													BgL_arg4480z00_981 =
														(((BgL_variablez00_bglt) CREF(BgL_fz00_978))->
														BgL_typez00);
													BgL_testz00_1873 =
														((obj_t) (BgL_arg4480z00_981) ==
														BGl_za2_za2z00zztype_cachez00);
												}
												if (BgL_testz00_1873)
													{	/* Cfa/arithmetic.scm 73 */
														BgL_variablez00_bglt BgL_obj1368z00_1693;
														BgL_typez00_bglt BgL_val1367z00_1694;

														BgL_obj1368z00_1693 = BgL_fz00_978;
														BgL_val1367z00_1694 =
															(BgL_typez00_bglt)
															(BGl_za2objza2z00zztype_cachez00);
														((((BgL_variablez00_bglt)
																	CREF(BgL_obj1368z00_1693))->BgL_typez00) =
															((BgL_typez00_bglt) BgL_val1367z00_1694),
															BUNSPEC);
													}
												else
													{	/* Cfa/arithmetic.scm 72 */
														BFALSE;
													}
											}
											{	/* Cfa/arithmetic.scm 74 */
												bool_t BgL_testz00_1879;

												{	/* Cfa/arithmetic.scm 74 */
													BgL_typez00_bglt BgL_arg4482z00_983;

													{	/* Cfa/arithmetic.scm 74 */
														BgL_nodez00_bglt BgL_obj1845z00_1695;

														BgL_obj1845z00_1695 =
															(BgL_nodez00_bglt) (BgL_nodez00_976);
														BgL_arg4482z00_983 =
															(((BgL_nodez00_bglt) CREF(BgL_obj1845z00_1695))->
															BgL_typez00);
													}
													BgL_testz00_1879 =
														(
														(obj_t) (BgL_arg4482z00_983) ==
														BGl_za2_za2z00zztype_cachez00);
												}
												if (BgL_testz00_1879)
													{	/* Cfa/arithmetic.scm 75 */
														BgL_nodez00_bglt BgL_obj1847z00_1696;
														BgL_typez00_bglt BgL_val1846z00_1697;

														BgL_obj1847z00_1696 =
															(BgL_nodez00_bglt) (BgL_nodez00_976);
														BgL_val1846z00_1697 =
															(BgL_typez00_bglt)
															(BGl_za2objza2z00zztype_cachez00);
														((((BgL_nodez00_bglt) CREF(BgL_obj1847z00_1696))->
																BgL_typez00) =
															((BgL_typez00_bglt) BgL_val1846z00_1697),
															BUNSPEC);
													}
												else
													{	/* Cfa/arithmetic.scm 74 */
														BFALSE;
													}
											}
											{	/* Cfa/arithmetic.scm 77 */
												bool_t BgL_testz00_1887;

												{	/* Cfa/arithmetic.scm 77 */
													obj_t BgL_obj1707z00_1698;

													BgL_obj1707z00_1698 = (obj_t) (BgL_valz00_979);
													BgL_testz00_1887 =
														BGl_iszd2azf3z21zz__objectz00(BgL_obj1707z00_1698,
														BGl_sfunz00zzast_varz00);
												}
												if (BgL_testz00_1887)
													{	/* Cfa/arithmetic.scm 79 */
														obj_t BgL_arg4484z00_985;

														{	/* Cfa/arithmetic.scm 79 */
															obj_t BgL_l4451z00_986;

															{	/* Cfa/arithmetic.scm 79 */
																BgL_sfunz00_bglt BgL_obj1636z00_1699;

																BgL_obj1636z00_1699 =
																	(BgL_sfunz00_bglt) (BgL_valz00_979);
																BgL_l4451z00_986 =
																	(((BgL_sfunz00_bglt)
																		CREF(BgL_obj1636z00_1699))->BgL_argsz00);
															}
															if (NULLP(BgL_l4451z00_986))
																{	/* Cfa/arithmetic.scm 79 */
																	BgL_arg4484z00_985 = BNIL;
																}
															else
																{	/* Cfa/arithmetic.scm 79 */
																	obj_t BgL_head4453z00_988;

																	BgL_head4453z00_988 =
																		MAKE_PAIR
																		(BGl_cleanupzd2typezd2zzcfa_arithmeticz00
																		(CAR(BgL_l4451z00_986)), BNIL);
																	{	/* Cfa/arithmetic.scm 79 */
																		obj_t BgL_g4456z00_989;

																		BgL_g4456z00_989 = CDR(BgL_l4451z00_986);
																		{
																			obj_t BgL_l4451z00_990;
																			obj_t BgL_tail4454z00_991;

																			BgL_l4451z00_990 = BgL_g4456z00_989;
																			BgL_tail4454z00_991 = BgL_head4453z00_988;
																		BgL_map4452z00_992:
																			if (NULLP(BgL_l4451z00_990))
																				{	/* Cfa/arithmetic.scm 79 */
																					BgL_arg4484z00_985 =
																						BgL_head4453z00_988;
																				}
																			else
																				{	/* Cfa/arithmetic.scm 79 */
																					obj_t BgL_newtail4455z00_994;

																					BgL_newtail4455z00_994 =
																						MAKE_PAIR
																						(BGl_cleanupzd2typezd2zzcfa_arithmeticz00
																						(CAR(BgL_l4451z00_990)), BNIL);
																					SET_CDR(BgL_tail4454z00_991,
																						BgL_newtail4455z00_994);
																					{
																						obj_t BgL_tail4454z00_1906;
																						obj_t BgL_l4451z00_1904;

																						BgL_l4451z00_1904 =
																							CDR(BgL_l4451z00_990);
																						BgL_tail4454z00_1906 =
																							BgL_newtail4455z00_994;
																						BgL_tail4454z00_991 =
																							BgL_tail4454z00_1906;
																						BgL_l4451z00_990 =
																							BgL_l4451z00_1904;
																						goto BgL_map4452z00_992;
																					}
																				}
																		}
																	}
																}
														}
														{	/* Cfa/arithmetic.scm 78 */
															BgL_sfunz00_bglt BgL_obj1638z00_1712;
															obj_t BgL_val1637z00_1713;

															BgL_obj1638z00_1712 =
																(BgL_sfunz00_bglt) (BgL_valz00_979);
															BgL_val1637z00_1713 = BgL_arg4484z00_985;
															((((BgL_sfunz00_bglt) CREF(BgL_obj1638z00_1712))->
																	BgL_argsz00) =
																((obj_t) BgL_val1637z00_1713), BUNSPEC);
														}
													}
												else
													{	/* Cfa/arithmetic.scm 80 */
														bool_t BgL_testz00_1909;

														{	/* Cfa/arithmetic.scm 80 */
															obj_t BgL_obj1772z00_1714;

															BgL_obj1772z00_1714 = (obj_t) (BgL_valz00_979);
															BgL_testz00_1909 =
																BGl_iszd2azf3z21zz__objectz00
																(BgL_obj1772z00_1714, BGl_cfunz00zzast_varz00);
														}
														if (BgL_testz00_1909)
															{	/* Cfa/arithmetic.scm 81 */
																obj_t BgL_g4441z00_1003;

																{	/* Cfa/arithmetic.scm 81 */
																	BgL_cfunz00_bglt BgL_obj1728z00_1715;

																	BgL_obj1728z00_1715 =
																		(BgL_cfunz00_bglt) (BgL_valz00_979);
																	BgL_g4441z00_1003 =
																		(((BgL_cfunz00_bglt)
																			CREF(BgL_obj1728z00_1715))->
																		BgL_argszd2typezd2);
																}
																{
																	obj_t BgL_lz00_1004;

																	{	/* Cfa/arithmetic.scm 81 */
																		bool_t BgL_auxz00_1914;

																		BgL_lz00_1004 = BgL_g4441z00_1003;
																	BgL_loopz00_1005:
																		if (PAIRP(BgL_lz00_1004))
																			{	/* Cfa/arithmetic.scm 82 */
																				{	/* Cfa/arithmetic.scm 84 */
																					obj_t BgL_auxz00_1917;

																					BgL_auxz00_1917 =
																						BGl_cleanupzd2typezd2zzcfa_arithmeticz00
																						(CAR(BgL_lz00_1004));
																					SET_CAR(BgL_lz00_1004,
																						BgL_auxz00_1917);
																				}
																				{
																					obj_t BgL_lz00_1921;

																					BgL_lz00_1921 = CDR(BgL_lz00_1004);
																					BgL_lz00_1004 = BgL_lz00_1921;
																					goto BgL_loopz00_1005;
																				}
																			}
																		else
																			{	/* Cfa/arithmetic.scm 82 */
																				BgL_auxz00_1914 = ((bool_t) 0);
																			}
																		BBOOL(BgL_auxz00_1914);
																	}
																}
															}
														else
															{	/* Cfa/arithmetic.scm 80 */
																BFALSE;
															}
													}
											}
										}
									}
								}
							}
							{
								obj_t BgL_l4457z00_1924;

								BgL_l4457z00_1924 = CDR(BgL_l4457z00_973);
								BgL_l4457z00_973 = BgL_l4457z00_1924;
								goto BgL_forzd2each4459zd2_974;
							}
						}
					else
						{	/* Cfa/arithmetic.scm 67 */
							BgL_auxz00_1865 = ((bool_t) 1);
						}
					return BBOOL(BgL_auxz00_1865);
				}
			}
		}
	}



/* cleanup-type */
	obj_t BGl_cleanupzd2typezd2zzcfa_arithmeticz00(obj_t BgL_tz00_1012)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 66 */
			if (BGl_iszd2azf3z21zz__objectz00(BgL_tz00_1012,
					BGl_typez00zztype_typez00))
				{	/* Cfa/arithmetic.scm 55 */
					if ((BgL_tz00_1012 == BGl_za2_za2z00zztype_cachez00))
						{	/* Cfa/arithmetic.scm 56 */
							return BGl_za2objza2z00zztype_cachez00;
						}
					else
						{	/* Cfa/arithmetic.scm 56 */
							return BgL_tz00_1012;
						}
				}
			else
				{	/* Cfa/arithmetic.scm 55 */
					if (BGl_iszd2azf3z21zz__objectz00(BgL_tz00_1012,
							BGl_localz00zzast_varz00))
						{	/* Cfa/arithmetic.scm 59 */
							{	/* Cfa/arithmetic.scm 60 */
								bool_t BgL_testz00_1933;

								{	/* Cfa/arithmetic.scm 60 */
									BgL_typez00_bglt BgL_arg4506z00_1018;

									{	/* Cfa/arithmetic.scm 60 */
										BgL_variablez00_bglt BgL_obj1366z00_1724;

										BgL_obj1366z00_1724 =
											(BgL_variablez00_bglt) (BgL_tz00_1012);
										BgL_arg4506z00_1018 =
											(((BgL_variablez00_bglt) CREF(BgL_obj1366z00_1724))->
											BgL_typez00);
									}
									BgL_testz00_1933 =
										(
										(obj_t) (BgL_arg4506z00_1018) ==
										BGl_za2_za2z00zztype_cachez00);
								}
								if (BgL_testz00_1933)
									{	/* Cfa/arithmetic.scm 61 */
										BgL_variablez00_bglt BgL_obj1368z00_1725;
										BgL_typez00_bglt BgL_val1367z00_1726;

										BgL_obj1368z00_1725 =
											(BgL_variablez00_bglt) (BgL_tz00_1012);
										BgL_val1367z00_1726 =
											(BgL_typez00_bglt) (BGl_za2objza2z00zztype_cachez00);
										((((BgL_variablez00_bglt) CREF(BgL_obj1368z00_1725))->
												BgL_typez00) =
											((BgL_typez00_bglt) BgL_val1367z00_1726), BUNSPEC);
									}
								else
									{	/* Cfa/arithmetic.scm 60 */
										BFALSE;
									}
							}
							return BgL_tz00_1012;
						}
					else
						{	/* Cfa/arithmetic.scm 59 */
							return BgL_tz00_1012;
						}
				}
		}
	}



/* _cleanup-arithmetic-nodes! */
	obj_t BGl__cleanupzd2arithmeticzd2nodesz12z12zzcfa_arithmeticz00(obj_t
		BgL_envz00_1820)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 52 */
			return BGl_cleanupzd2arithmeticzd2nodesz12z12zzcfa_arithmeticz00();
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_arithmeticz00()
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 28 */
			{	/* Cfa/arithmetic.scm 28 */
				obj_t BgL_nodezd2setupz12zd2prezd2arit4475zc0_1822;

				BgL_nodezd2setupz12zd2prezd2arit4475zc0_1822 =
					make_fx_procedure
					(BGl_nodezd2setupz12zd2prezd2arit4475zc0zzcfa_arithmeticz00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
					BGl_prezd2arithmeticzd2appz00zzcfa_info2z00,
					BgL_nodezd2setupz12zd2prezd2arit4475zc0_1822);
			}
			{	/* Cfa/arithmetic.scm 28 */
				obj_t BgL_cfaz12zd2arithmeticzd2app4477z12_1821;

				BgL_cfaz12zd2arithmeticzd2app4477z12_1821 =
					make_fx_procedure
					(BGl_cfaz12zd2arithmeticzd2app4477z12zzcfa_arithmeticz00,
					(int) (((long) 1)), (int) (((long) 0)));
				return
					BGl_addzd2methodz12zc0zz__objectz00(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
					BGl_arithmeticzd2appzd2zzcfa_info2z00,
					BgL_cfaz12zd2arithmeticzd2app4477z12_1821);
			}
		}
	}



/* cfa!-arithmetic-app4477 */
	obj_t BGl_cfaz12zd2arithmeticzd2app4477z12zzcfa_arithmeticz00(obj_t
		BgL_envz00_1823, obj_t BgL_nodez00_1824)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 141 */
			{
				BgL_arithmeticzd2appzd2_bglt BgL_nodez00_1602;

				{	/* Cfa/arithmetic.scm 170 */
					BgL_approxz00_bglt BgL_auxz00_1950;

					BgL_nodez00_1602 = (BgL_arithmeticzd2appzd2_bglt) (BgL_nodez00_1824);
					{
						obj_t BgL_argszd2approxzd2_1642;
						obj_t BgL_speczd2typeszd2_1643;
						obj_t BgL_argszd2approxzd2_1653;
						obj_t BgL_typez00_1654;
						obj_t BgL_speczd2typeszd2_1655;
						obj_t BgL_argszd2approxzd2_1668;

						{	/* Cfa/arithmetic.scm 182 */
							obj_t BgL_argszd2approxzd2_1610;

							{	/* Cfa/arithmetic.scm 182 */
								obj_t BgL_l4466z00_1626;

								{	/* Cfa/arithmetic.scm 182 */
									BgL_appz00_bglt BgL_obj2005z00_1778;

									BgL_obj2005z00_1778 = (BgL_appz00_bglt) (BgL_nodez00_1602);
									BgL_l4466z00_1626 =
										(((BgL_appz00_bglt) CREF(BgL_obj2005z00_1778))->
										BgL_argsz00);
								}
								if (NULLP(BgL_l4466z00_1626))
									{	/* Cfa/arithmetic.scm 182 */
										BgL_argszd2approxzd2_1610 = BNIL;
									}
								else
									{	/* Cfa/arithmetic.scm 182 */
										obj_t BgL_head4468z00_1628;

										{	/* Cfa/arithmetic.scm 182 */
											BgL_approxz00_bglt BgL_arg4650z00_1639;

											{	/* Cfa/arithmetic.scm 182 */
												obj_t BgL_arg4652z00_1641;

												BgL_arg4652z00_1641 = CAR(BgL_l4466z00_1626);
												BgL_arg4650z00_1639 =
													BGl_cfaz12z12zzcfa_cfaz00(
													(BgL_nodez00_bglt) (BgL_arg4652z00_1641));
											}
											{	/* Cfa/arithmetic.scm 182 */
												obj_t BgL_obj1z00_1781;

												BgL_obj1z00_1781 = (obj_t) (BgL_arg4650z00_1639);
												BgL_head4468z00_1628 =
													MAKE_PAIR(BgL_obj1z00_1781, BNIL);
											}
										}
										{	/* Cfa/arithmetic.scm 182 */
											obj_t BgL_g4471z00_1629;

											BgL_g4471z00_1629 = CDR(BgL_l4466z00_1626);
											{
												obj_t BgL_l4466z00_1630;
												obj_t BgL_tail4469z00_1631;

												BgL_l4466z00_1630 = BgL_g4471z00_1629;
												BgL_tail4469z00_1631 = BgL_head4468z00_1628;
											BgL_map4467z00_1632:
												if (NULLP(BgL_l4466z00_1630))
													{	/* Cfa/arithmetic.scm 182 */
														BgL_argszd2approxzd2_1610 = BgL_head4468z00_1628;
													}
												else
													{	/* Cfa/arithmetic.scm 182 */
														obj_t BgL_newtail4470z00_1634;

														{	/* Cfa/arithmetic.scm 182 */
															BgL_approxz00_bglt BgL_arg4647z00_1636;

															{	/* Cfa/arithmetic.scm 182 */
																obj_t BgL_arg4649z00_1638;

																BgL_arg4649z00_1638 = CAR(BgL_l4466z00_1630);
																BgL_arg4647z00_1636 =
																	BGl_cfaz12z12zzcfa_cfaz00(
																	(BgL_nodez00_bglt) (BgL_arg4649z00_1638));
															}
															{	/* Cfa/arithmetic.scm 182 */
																obj_t BgL_obj1z00_1786;

																BgL_obj1z00_1786 =
																	(obj_t) (BgL_arg4647z00_1636);
																BgL_newtail4470z00_1634 =
																	MAKE_PAIR(BgL_obj1z00_1786, BNIL);
															}
														}
														SET_CDR(BgL_tail4469z00_1631,
															BgL_newtail4470z00_1634);
														{
															obj_t BgL_tail4469z00_1971;
															obj_t BgL_l4466z00_1969;

															BgL_l4466z00_1969 = CDR(BgL_l4466z00_1630);
															BgL_tail4469z00_1971 = BgL_newtail4470z00_1634;
															BgL_tail4469z00_1631 = BgL_tail4469z00_1971;
															BgL_l4466z00_1630 = BgL_l4466z00_1969;
															goto BgL_map4467z00_1632;
														}
													}
											}
										}
									}
							}
							{	/* Cfa/arithmetic.scm 184 */
								obj_t BgL_tyz00_1611;

								BgL_argszd2approxzd2_1668 = BgL_argszd2approxzd2_1610;
								{
									obj_t BgL_argsz00_1670;

									BgL_argsz00_1670 = BgL_argszd2approxzd2_1668;
								BgL_loopz00_1671:
									if (NULLP(BgL_argsz00_1670))
										{	/* Cfa/arithmetic.scm 150 */
											BgL_tyz00_1611 = BFALSE;
										}
									else
										{	/* Cfa/arithmetic.scm 152 */
											obj_t BgL_tz00_1673;

											{	/* Cfa/arithmetic.scm 152 */
												BgL_typez00_bglt BgL_arg4671z00_1676;

												{	/* Cfa/arithmetic.scm 152 */
													BgL_approxz00_bglt BgL_obj3000z00_1815;

													{	/* Cfa/arithmetic.scm 152 */
														obj_t BgL_pairz00_1814;

														BgL_pairz00_1814 = BgL_argsz00_1670;
														{	/* Cfa/arithmetic.scm 152 */
															obj_t BgL_auxz00_1974;

															BgL_auxz00_1974 = CAR(BgL_pairz00_1814);
															BgL_obj3000z00_1815 =
																(BgL_approxz00_bglt) (BgL_auxz00_1974);
														}
													}
													BgL_arg4671z00_1676 =
														(((BgL_approxz00_bglt) CREF(BgL_obj3000z00_1815))->
														BgL_typez00);
												}
												if (
													((obj_t) (BgL_arg4671z00_1676) ==
														BGl_za2intza2z00zztype_cachez00))
													{	/* Cfa/arithmetic.scm 152 */
														BgL_tz00_1673 = BGl_za2longza2z00zztype_cachez00;
													}
												else
													{	/* Cfa/arithmetic.scm 152 */
														BgL_tz00_1673 = (obj_t) (BgL_arg4671z00_1676);
													}
											}
											if ((BgL_tz00_1673 == BGl_za2_za2z00zztype_cachez00))
												{
													obj_t BgL_argsz00_1984;

													BgL_argsz00_1984 = CDR(BgL_argsz00_1670);
													BgL_argsz00_1670 = BgL_argsz00_1984;
													goto BgL_loopz00_1671;
												}
											else
												{	/* Cfa/arithmetic.scm 153 */
													BgL_tyz00_1611 = BgL_tz00_1673;
												}
										}
								}
								{	/* Cfa/arithmetic.scm 185 */
									bool_t BgL_testz00_1986;

									BgL_argszd2approxzd2_1653 = BgL_argszd2approxzd2_1610;
									BgL_typez00_1654 = BgL_tyz00_1611;
									{
										obj_t BgL_auxz00_2009;

										{	/* Cfa/arithmetic.scm 185 */
											BgL_objectz00_bglt BgL_auxz00_2010;

											BgL_auxz00_2010 = (BgL_objectz00_bglt) (BgL_nodez00_1602);
											BgL_auxz00_2009 = BGL_OBJECT_WIDENING(BgL_auxz00_2010);
										}
										BgL_speczd2typeszd2_1655 =
											(((BgL_arithmeticzd2appzd2_bglt) CREF(BgL_auxz00_2009))->
											BgL_speczd2typeszd2);
									}
									{	/* Cfa/arithmetic.scm 159 */
										bool_t BgL__ortest_4447z00_1657;

										if (CBOOL(BgL_typez00_1654))
											{	/* Cfa/arithmetic.scm 159 */
												BgL__ortest_4447z00_1657 = ((bool_t) 0);
											}
										else
											{	/* Cfa/arithmetic.scm 159 */
												BgL__ortest_4447z00_1657 = ((bool_t) 1);
											}
										if (BgL__ortest_4447z00_1657)
											{	/* Cfa/arithmetic.scm 159 */
												BgL_testz00_1986 = BgL__ortest_4447z00_1657;
											}
										else
											{	/* Cfa/arithmetic.scm 159 */
												if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
														(BgL_typez00_1654, BgL_speczd2typeszd2_1655)))
													{
														obj_t BgL_argsz00_1659;

														BgL_argsz00_1659 = BgL_argszd2approxzd2_1653;
													BgL_loopz00_1660:
														if (NULLP(BgL_argsz00_1659))
															{	/* Cfa/arithmetic.scm 162 */
																BgL_testz00_1986 = ((bool_t) 1);
															}
														else
															{	/* Cfa/arithmetic.scm 164 */
																obj_t BgL_tz00_1662;

																{	/* Cfa/arithmetic.scm 164 */
																	BgL_typez00_bglt BgL_arg4665z00_1666;

																	{	/* Cfa/arithmetic.scm 164 */
																		BgL_approxz00_bglt BgL_obj3000z00_1809;

																		{	/* Cfa/arithmetic.scm 164 */
																			obj_t BgL_pairz00_1808;

																			BgL_pairz00_1808 = BgL_argsz00_1659;
																			{	/* Cfa/arithmetic.scm 164 */
																				obj_t BgL_auxz00_1995;

																				BgL_auxz00_1995 = CAR(BgL_pairz00_1808);
																				BgL_obj3000z00_1809 =
																					(BgL_approxz00_bglt)
																					(BgL_auxz00_1995);
																			}
																		}
																		BgL_arg4665z00_1666 =
																			(((BgL_approxz00_bglt)
																				CREF(BgL_obj3000z00_1809))->
																			BgL_typez00);
																	}
																	if (
																		((obj_t) (BgL_arg4665z00_1666) ==
																			BGl_za2intza2z00zztype_cachez00))
																		{	/* Cfa/arithmetic.scm 164 */
																			BgL_tz00_1662 =
																				BGl_za2longza2z00zztype_cachez00;
																		}
																	else
																		{	/* Cfa/arithmetic.scm 164 */
																			BgL_tz00_1662 =
																				(obj_t) (BgL_arg4665z00_1666);
																		}
																}
																{	/* Cfa/arithmetic.scm 165 */
																	bool_t BgL_testz00_2003;

																	if ((BgL_tz00_1662 == BgL_typez00_1654))
																		{	/* Cfa/arithmetic.scm 165 */
																			BgL_testz00_2003 = ((bool_t) 1);
																		}
																	else
																		{	/* Cfa/arithmetic.scm 165 */
																			BgL_testz00_2003 =
																				(BgL_tz00_1662 ==
																				BGl_za2_za2z00zztype_cachez00);
																		}
																	if (BgL_testz00_2003)
																		{
																			obj_t BgL_argsz00_2007;

																			BgL_argsz00_2007 = CDR(BgL_argsz00_1659);
																			BgL_argsz00_1659 = BgL_argsz00_2007;
																			goto BgL_loopz00_1660;
																		}
																	else
																		{	/* Cfa/arithmetic.scm 165 */
																			BgL_testz00_1986 = ((bool_t) 0);
																		}
																}
															}
													}
												else
													{	/* Cfa/arithmetic.scm 160 */
														BgL_testz00_1986 = ((bool_t) 0);
													}
											}
									}
									if (BgL_testz00_1986)
										{	/* Cfa/arithmetic.scm 187 */
											bool_t BgL_testz00_2014;

											BgL_argszd2approxzd2_1642 = BgL_argszd2approxzd2_1610;
											{
												obj_t BgL_auxz00_2030;

												{	/* Cfa/arithmetic.scm 187 */
													BgL_objectz00_bglt BgL_auxz00_2031;

													BgL_auxz00_2031 =
														(BgL_objectz00_bglt) (BgL_nodez00_1602);
													BgL_auxz00_2030 =
														BGL_OBJECT_WIDENING(BgL_auxz00_2031);
												}
												BgL_speczd2typeszd2_1643 =
													(((BgL_arithmeticzd2appzd2_bglt)
														CREF(BgL_auxz00_2030))->BgL_speczd2typeszd2);
											}
											{
												obj_t BgL_argsz00_1645;

												BgL_argsz00_1645 = BgL_argszd2approxzd2_1642;
											BgL_loopz00_1646:
												if (NULLP(BgL_argsz00_1645))
													{	/* Cfa/arithmetic.scm 172 */
														BgL_testz00_2014 = ((bool_t) 1);
													}
												else
													{	/* Cfa/arithmetic.scm 174 */
														bool_t BgL_testz00_2017;

														{	/* Cfa/arithmetic.scm 174 */
															obj_t BgL_arg4657z00_1650;

															{	/* Cfa/arithmetic.scm 174 */
																BgL_typez00_bglt BgL_arg4658z00_1651;

																{	/* Cfa/arithmetic.scm 174 */
																	BgL_approxz00_bglt BgL_obj3000z00_1803;

																	{	/* Cfa/arithmetic.scm 174 */
																		obj_t BgL_pairz00_1802;

																		BgL_pairz00_1802 = BgL_argsz00_1645;
																		{	/* Cfa/arithmetic.scm 174 */
																			obj_t BgL_auxz00_2018;

																			BgL_auxz00_2018 = CAR(BgL_pairz00_1802);
																			BgL_obj3000z00_1803 =
																				(BgL_approxz00_bglt) (BgL_auxz00_2018);
																		}
																	}
																	BgL_arg4658z00_1651 =
																		(((BgL_approxz00_bglt)
																			CREF(BgL_obj3000z00_1803))->BgL_typez00);
																}
																if (
																	((obj_t) (BgL_arg4658z00_1651) ==
																		BGl_za2intza2z00zztype_cachez00))
																	{	/* Cfa/arithmetic.scm 174 */
																		BgL_arg4657z00_1650 =
																			BGl_za2longza2z00zztype_cachez00;
																	}
																else
																	{	/* Cfa/arithmetic.scm 174 */
																		BgL_arg4657z00_1650 =
																			(obj_t) (BgL_arg4658z00_1651);
																	}
															}
															BgL_testz00_2017 =
																CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																(BgL_arg4657z00_1650,
																	BgL_speczd2typeszd2_1643));
														}
														if (BgL_testz00_2017)
															{
																obj_t BgL_argsz00_2028;

																BgL_argsz00_2028 = CDR(BgL_argsz00_1645);
																BgL_argsz00_1645 = BgL_argsz00_2028;
																goto BgL_loopz00_1646;
															}
														else
															{	/* Cfa/arithmetic.scm 174 */
																BgL_testz00_2014 = ((bool_t) 0);
															}
													}
											}
											if (BgL_testz00_2014)
												{	/* Cfa/arithmetic.scm 190 */
													bool_t BgL_testz00_2035;

													{	/* Cfa/arithmetic.scm 190 */
														BgL_typez00_bglt BgL_arg4636z00_1616;

														{	/* Cfa/arithmetic.scm 190 */
															BgL_approxz00_bglt BgL_obj3000z00_1794;

															{
																obj_t BgL_auxz00_2036;

																{	/* Cfa/arithmetic.scm 190 */
																	BgL_objectz00_bglt BgL_auxz00_2037;

																	BgL_auxz00_2037 =
																		(BgL_objectz00_bglt) (BgL_nodez00_1602);
																	BgL_auxz00_2036 =
																		BGL_OBJECT_WIDENING(BgL_auxz00_2037);
																}
																BgL_obj3000z00_1794 =
																	(((BgL_arithmeticzd2appzd2_bglt)
																		CREF(BgL_auxz00_2036))->BgL_approxz00);
															}
															BgL_arg4636z00_1616 =
																(((BgL_approxz00_bglt)
																	CREF(BgL_obj3000z00_1794))->BgL_typez00);
														}
														BgL_testz00_2035 =
															(
															(obj_t) (BgL_arg4636z00_1616) ==
															BGl_za2_za2z00zztype_cachez00);
													}
													if (BgL_testz00_2035)
														{	/* Cfa/arithmetic.scm 190 */
															{	/* Cfa/arithmetic.scm 193 */
																BgL_approxz00_bglt BgL_arg4635z00_1615;

																{
																	obj_t BgL_auxz00_2044;

																	{	/* Cfa/arithmetic.scm 193 */
																		BgL_objectz00_bglt BgL_auxz00_2045;

																		BgL_auxz00_2045 =
																			(BgL_objectz00_bglt) (BgL_nodez00_1602);
																		BgL_auxz00_2044 =
																			BGL_OBJECT_WIDENING(BgL_auxz00_2045);
																	}
																	BgL_arg4635z00_1615 =
																		(((BgL_arithmeticzd2appzd2_bglt)
																			CREF(BgL_auxz00_2044))->BgL_approxz00);
																}
																BGl_approxzd2setzd2typez12z12zzcfa_approxz00
																	(BgL_arg4635z00_1615,
																	(BgL_typez00_bglt) (BgL_tyz00_1611));
															}
															BGl_continuezd2cfaz12zc0zzcfa_iteratez00();
														}
													else
														{	/* Cfa/arithmetic.scm 190 */
															BFALSE;
														}
												}
											else
												{	/* Cfa/arithmetic.scm 187 */
													BFALSE;
												}
										}
									else
										{	/* Cfa/arithmetic.scm 185 */
											{
												obj_t BgL_l4472z00_1619;

												BgL_l4472z00_1619 = BgL_argszd2approxzd2_1610;
											BgL_forzd2each4473zd2_1620:
												if (PAIRP(BgL_l4472z00_1619))
													{	/* Cfa/arithmetic.scm 197 */
														{	/* Cfa/arithmetic.scm 197 */
															obj_t BgL_az00_1622;

															BgL_az00_1622 = CAR(BgL_l4472z00_1619);
															BGl_loosez12z12zzcfa_loosez00(
																(BgL_approxz00_bglt) (BgL_az00_1622),
																CNST_TABLE_REF(((long) 0)));
														}
														{
															obj_t BgL_l4472z00_2058;

															BgL_l4472z00_2058 = CDR(BgL_l4472z00_1619);
															BgL_l4472z00_1619 = BgL_l4472z00_2058;
															goto BgL_forzd2each4473zd2_1620;
														}
													}
												else
													{	/* Cfa/arithmetic.scm 197 */
														((bool_t) 1);
													}
											}
											{	/* Cfa/arithmetic.scm 198 */
												BgL_approxz00_bglt BgL_arg4641z00_1624;

												{
													obj_t BgL_auxz00_2060;

													{	/* Cfa/arithmetic.scm 198 */
														BgL_objectz00_bglt BgL_auxz00_2061;

														BgL_auxz00_2061 =
															(BgL_objectz00_bglt) (BgL_nodez00_1602);
														BgL_auxz00_2060 =
															BGL_OBJECT_WIDENING(BgL_auxz00_2061);
													}
													BgL_arg4641z00_1624 =
														(((BgL_arithmeticzd2appzd2_bglt)
															CREF(BgL_auxz00_2060))->BgL_approxz00);
												}
												BGl_approxzd2setzd2typez12z12zzcfa_approxz00
													(BgL_arg4641z00_1624,
													(BgL_typez00_bglt) (BGl_za2objza2z00zztype_cachez00));
											}
										}
								}
							}
						}
						{
							obj_t BgL_auxz00_2067;

							{	/* Cfa/arithmetic.scm 200 */
								BgL_objectz00_bglt BgL_auxz00_2068;

								BgL_auxz00_2068 = (BgL_objectz00_bglt) (BgL_nodez00_1602);
								BgL_auxz00_2067 = BGL_OBJECT_WIDENING(BgL_auxz00_2068);
							}
							BgL_auxz00_1950 =
								(((BgL_arithmeticzd2appzd2_bglt) CREF(BgL_auxz00_2067))->
								BgL_approxz00);
						}
					}
					return (obj_t) (BgL_auxz00_1950);
				}
			}
		}
	}



/* node-setup!-pre-arit4475 */
	obj_t BGl_nodezd2setupz12zd2prezd2arit4475zc0zzcfa_arithmeticz00(obj_t
		BgL_envz00_1825, obj_t BgL_nodez00_1826)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 96 */
			{
				BgL_prezd2arithmeticzd2appz00_bglt BgL_nodez00_1545;

				{	/* Cfa/arithmetic.scm 99 */
					BgL_appz00_bglt BgL_auxz00_2074;

					BgL_nodez00_1545 =
						(BgL_prezd2arithmeticzd2appz00_bglt) (BgL_nodez00_1826);
					{	/* Cfa/arithmetic.scm 107 */
						BgL_variablez00_bglt BgL_fz00_1550;

						{	/* Cfa/arithmetic.scm 107 */
							BgL_varz00_bglt BgL_obj1908z00_1728;

							{	/* Cfa/arithmetic.scm 107 */
								BgL_appz00_bglt BgL_obj2002z00_1727;

								BgL_obj2002z00_1727 = (BgL_appz00_bglt) (BgL_nodez00_1545);
								BgL_obj1908z00_1728 =
									(((BgL_appz00_bglt) CREF(BgL_obj2002z00_1727))->BgL_funz00);
							}
							BgL_fz00_1550 =
								(((BgL_varz00_bglt) CREF(BgL_obj1908z00_1728))->
								BgL_variablez00);
						}
						{	/* Cfa/arithmetic.scm 107 */
							BgL_valuez00_bglt BgL_valz00_1551;

							BgL_valz00_1551 =
								(((BgL_variablez00_bglt) CREF(BgL_fz00_1550))->BgL_valuez00);
							{	/* Cfa/arithmetic.scm 108 */

								{	/* Cfa/arithmetic.scm 110 */
									bool_t BgL_testz00_2079;

									{	/* Cfa/arithmetic.scm 110 */
										BgL_typez00_bglt BgL_arg4600z00_1553;

										BgL_arg4600z00_1553 =
											(((BgL_variablez00_bglt) CREF(BgL_fz00_1550))->
											BgL_typez00);
										BgL_testz00_2079 =
											((obj_t) (BgL_arg4600z00_1553) ==
											BGl_za2objza2z00zztype_cachez00);
									}
									if (BgL_testz00_2079)
										{	/* Cfa/arithmetic.scm 110 */
											{	/* Cfa/arithmetic.scm 114 */
												BgL_variablez00_bglt BgL_obj1368z00_1731;
												BgL_typez00_bglt BgL_val1367z00_1732;

												BgL_obj1368z00_1731 = BgL_fz00_1550;
												BgL_val1367z00_1732 =
													(BgL_typez00_bglt) (BGl_za2_za2z00zztype_cachez00);
												((((BgL_variablez00_bglt) CREF(BgL_obj1368z00_1731))->
														BgL_typez00) =
													((BgL_typez00_bglt) BgL_val1367z00_1732), BUNSPEC);
											}
											{	/* Cfa/arithmetic.scm 115 */
												BgL_nodez00_bglt BgL_obj1847z00_1733;
												BgL_typez00_bglt BgL_val1846z00_1734;

												BgL_obj1847z00_1733 =
													(BgL_nodez00_bglt) (BgL_nodez00_1545);
												BgL_val1846z00_1734 =
													(BgL_typez00_bglt) (BGl_za2_za2z00zztype_cachez00);
												((((BgL_nodez00_bglt) CREF(BgL_obj1847z00_1733))->
														BgL_typez00) =
													((BgL_typez00_bglt) BgL_val1846z00_1734), BUNSPEC);
											}
										}
									else
										{	/* Cfa/arithmetic.scm 110 */
											BFALSE;
										}
								}
								{	/* Cfa/arithmetic.scm 117 */
									bool_t BgL_testz00_2088;

									{	/* Cfa/arithmetic.scm 117 */
										obj_t BgL_obj1707z00_1735;

										BgL_obj1707z00_1735 = (obj_t) (BgL_valz00_1551);
										BgL_testz00_2088 =
											BGl_iszd2azf3z21zz__objectz00(BgL_obj1707z00_1735,
											BGl_sfunz00zzast_varz00);
									}
									if (BgL_testz00_2088)
										{	/* Cfa/arithmetic.scm 119 */
											obj_t BgL_arg4602z00_1555;

											{	/* Cfa/arithmetic.scm 119 */
												obj_t BgL_l4460z00_1556;

												{	/* Cfa/arithmetic.scm 119 */
													BgL_sfunz00_bglt BgL_obj1636z00_1736;

													BgL_obj1636z00_1736 =
														(BgL_sfunz00_bglt) (BgL_valz00_1551);
													BgL_l4460z00_1556 =
														(((BgL_sfunz00_bglt) CREF(BgL_obj1636z00_1736))->
														BgL_argsz00);
												}
												if (NULLP(BgL_l4460z00_1556))
													{	/* Cfa/arithmetic.scm 119 */
														BgL_arg4602z00_1555 = BNIL;
													}
												else
													{	/* Cfa/arithmetic.scm 119 */
														obj_t BgL_head4462z00_1558;

														BgL_head4462z00_1558 =
															MAKE_PAIR
															(BGl_unspecifiedzd2typezd2zzcfa_arithmeticz00(CAR
																(BgL_l4460z00_1556)), BNIL);
														{	/* Cfa/arithmetic.scm 119 */
															obj_t BgL_g4465z00_1559;

															BgL_g4465z00_1559 = CDR(BgL_l4460z00_1556);
															{
																obj_t BgL_l4460z00_1560;
																obj_t BgL_tail4463z00_1561;

																BgL_l4460z00_1560 = BgL_g4465z00_1559;
																BgL_tail4463z00_1561 = BgL_head4462z00_1558;
															BgL_map4461z00_1562:
																if (NULLP(BgL_l4460z00_1560))
																	{	/* Cfa/arithmetic.scm 119 */
																		BgL_arg4602z00_1555 = BgL_head4462z00_1558;
																	}
																else
																	{	/* Cfa/arithmetic.scm 119 */
																		obj_t BgL_newtail4464z00_1564;

																		BgL_newtail4464z00_1564 =
																			MAKE_PAIR
																			(BGl_unspecifiedzd2typezd2zzcfa_arithmeticz00
																			(CAR(BgL_l4460z00_1560)), BNIL);
																		SET_CDR(BgL_tail4463z00_1561,
																			BgL_newtail4464z00_1564);
																		{
																			obj_t BgL_tail4463z00_2107;
																			obj_t BgL_l4460z00_2105;

																			BgL_l4460z00_2105 =
																				CDR(BgL_l4460z00_1560);
																			BgL_tail4463z00_2107 =
																				BgL_newtail4464z00_1564;
																			BgL_tail4463z00_1561 =
																				BgL_tail4463z00_2107;
																			BgL_l4460z00_1560 = BgL_l4460z00_2105;
																			goto BgL_map4461z00_1562;
																		}
																	}
															}
														}
													}
											}
											{	/* Cfa/arithmetic.scm 118 */
												BgL_sfunz00_bglt BgL_obj1638z00_1749;
												obj_t BgL_val1637z00_1750;

												BgL_obj1638z00_1749 =
													(BgL_sfunz00_bglt) (BgL_valz00_1551);
												BgL_val1637z00_1750 = BgL_arg4602z00_1555;
												((((BgL_sfunz00_bglt) CREF(BgL_obj1638z00_1749))->
														BgL_argsz00) =
													((obj_t) BgL_val1637z00_1750), BUNSPEC);
											}
										}
									else
										{	/* Cfa/arithmetic.scm 120 */
											bool_t BgL_testz00_2110;

											{	/* Cfa/arithmetic.scm 120 */
												obj_t BgL_obj1772z00_1751;

												BgL_obj1772z00_1751 = (obj_t) (BgL_valz00_1551);
												BgL_testz00_2110 =
													BGl_iszd2azf3z21zz__objectz00(BgL_obj1772z00_1751,
													BGl_cfunz00zzast_varz00);
											}
											if (BgL_testz00_2110)
												{	/* Cfa/arithmetic.scm 121 */
													obj_t BgL_g4444z00_1573;

													{	/* Cfa/arithmetic.scm 121 */
														BgL_cfunz00_bglt BgL_obj1728z00_1752;

														BgL_obj1728z00_1752 =
															(BgL_cfunz00_bglt) (BgL_valz00_1551);
														BgL_g4444z00_1573 =
															(((BgL_cfunz00_bglt) CREF(BgL_obj1728z00_1752))->
															BgL_argszd2typezd2);
													}
													{
														obj_t BgL_lz00_1574;

														BgL_lz00_1574 = BgL_g4444z00_1573;
													BgL_loopz00_1575:
														if (PAIRP(BgL_lz00_1574))
															{	/* Cfa/arithmetic.scm 123 */
																obj_t BgL_auxz00_2117;

																BgL_auxz00_2117 =
																	BGl_unspecifiedzd2typezd2zzcfa_arithmeticz00
																	(CAR(BgL_lz00_1574));
																SET_CAR(BgL_lz00_1574, BgL_auxz00_2117);
															}
														else
															{
																obj_t BgL_lz00_2121;

																BgL_lz00_2121 = CDR(BgL_lz00_1574);
																BgL_lz00_1574 = BgL_lz00_2121;
																goto BgL_loopz00_1575;
															}
													}
												}
											else
												{	/* Cfa/arithmetic.scm 120 */
													BGl_errorz00zz__errorz00
														(BGl_string4679z00zzcfa_arithmeticz00,
														BGl_string4680z00zzcfa_arithmeticz00,
														(obj_t) (BgL_nodez00_1545));
												}
										}
								}
								BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00 =
									MAKE_PAIR(
									(obj_t) (BgL_nodez00_1545),
									BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00);
								{	/* Cfa/arithmetic.scm 129 */
									obj_t BgL_arg4617z00_1580;

									{	/* Cfa/arithmetic.scm 129 */
										BgL_appz00_bglt BgL_obj2005z00_1758;

										BgL_obj2005z00_1758 = (BgL_appz00_bglt) (BgL_nodez00_1545);
										BgL_arg4617z00_1580 =
											(((BgL_appz00_bglt) CREF(BgL_obj2005z00_1758))->
											BgL_argsz00);
									}
									BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg4617z00_1580);
								}
								{	/* Cfa/arithmetic.scm 130 */
									obj_t BgL_speczd2typeszd2_1581;

									{
										obj_t BgL_auxz00_2130;

										{	/* Cfa/arithmetic.scm 130 */
											BgL_objectz00_bglt BgL_auxz00_2131;

											BgL_auxz00_2131 = (BgL_objectz00_bglt) (BgL_nodez00_1545);
											BgL_auxz00_2130 = BGL_OBJECT_WIDENING(BgL_auxz00_2131);
										}
										BgL_speczd2typeszd2_1581 =
											(((BgL_prezd2arithmeticzd2appz00_bglt)
												CREF(BgL_auxz00_2130))->BgL_speczd2typeszd2);
									}
									{	/* Cfa/arithmetic.scm 130 */
										BgL_prezd2arithmeticzd2appz00_bglt BgL_nodez00_1582;

										{	/* Cfa/arithmetic.scm 131 */
											long BgL_arg4624z00_1591;

											{	/* Cfa/arithmetic.scm 131 */
												obj_t BgL_arg4625z00_1592;

												{	/* Cfa/arithmetic.scm 131 */
													obj_t BgL_arg4626z00_1593;

													{	/* Cfa/arithmetic.scm 131 */
														BgL_objectz00_bglt BgL_objectz00_1760;

														BgL_objectz00_1760 =
															(BgL_objectz00_bglt) (BgL_nodez00_1545);
														{	/* Cfa/arithmetic.scm 131 */
															long BgL_arg2276z00_1761;

															{	/* Cfa/arithmetic.scm 131 */
																long BgL_arg2277z00_1762;

																BgL_arg2277z00_1762 =
																	BGL_OBJECT_CLASS_NUM(BgL_objectz00_1760);
																BgL_arg2276z00_1761 =
																	(BgL_arg2277z00_1762 - OBJECT_TYPE);
															}
															BgL_arg4626z00_1593 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																(int) (BgL_arg2276z00_1761));
													}}
													BgL_arg4625z00_1592 =
														BGl_classzd2superzd2zz__objectz00
														(BgL_arg4626z00_1593);
												}
												BgL_arg4624z00_1591 =
													BGl_classzd2numzd2zz__objectz00(BgL_arg4625z00_1592);
											}
											{	/* Cfa/arithmetic.scm 131 */
												BgL_objectz00_bglt BgL_objz00_1768;

												BgL_objz00_1768 =
													(BgL_objectz00_bglt) (BgL_nodez00_1545);
												BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1768,
													BgL_arg4624z00_1591);
										}}
										{	/* Cfa/arithmetic.scm 131 */
											BgL_objectz00_bglt BgL_auxz00_2144;

											BgL_auxz00_2144 = (BgL_objectz00_bglt) (BgL_nodez00_1545);
											BGL_OBJECT_WIDENING_SET(BgL_auxz00_2144, BFALSE);
										}
										BgL_nodez00_1582 = BgL_nodez00_1545;
										{	/* Cfa/arithmetic.scm 131 */

											{	/* Cfa/arithmetic.scm 132 */
												BgL_appz00_bglt BgL_obj4446z00_1583;

												BgL_obj4446z00_1583 =
													((BgL_appz00_bglt)
													(BgL_appz00_bglt) (BgL_nodez00_1582));
												{	/* Cfa/arithmetic.scm 134 */
													obj_t BgL_arg4618z00_1584;

													{	/* Cfa/arithmetic.scm 134 */
														BgL_approxz00_bglt BgL_arg4619z00_1585;

														{	/* Cfa/arithmetic.scm 134 */
															bool_t BgL_testz00_2149;

															{	/* Cfa/arithmetic.scm 134 */
																BgL_typez00_bglt BgL_arg4622z00_1588;

																BgL_arg4622z00_1588 =
																	(((BgL_variablez00_bglt)
																		CREF(BgL_fz00_1550))->BgL_typez00);
																BgL_testz00_2149 =
																	((obj_t) (BgL_arg4622z00_1588) ==
																	BGl_za2_za2z00zztype_cachez00);
															}
															if (BgL_testz00_2149)
																{	/* Cfa/arithmetic.scm 134 */
																	BgL_arg4619z00_1585 =
																		BGl_makezd2emptyzd2approxz00zzcfa_approxz00
																		();
																}
															else
																{	/* Cfa/arithmetic.scm 136 */
																	BgL_typez00_bglt BgL_arg4621z00_1587;

																	BgL_arg4621z00_1587 =
																		(((BgL_variablez00_bglt)
																			CREF(BgL_fz00_1550))->BgL_typez00);
																	BgL_arg4619z00_1585 =
																		BGl_makezd2typezd2approxz00zzcfa_approxz00
																		(BgL_arg4621z00_1587);
																}
														}
														BgL_arg4618z00_1584 =
															BGl_wideningzd2arithmeticzd2appz00zzcfa_info2z00
															(BgL_arg4619z00_1585, BgL_speczd2typeszd2_1581);
													}
													{	/* Cfa/arithmetic.scm 132 */
														BgL_objectz00_bglt BgL_auxz00_2157;

														BgL_auxz00_2157 =
															(BgL_objectz00_bglt) (BgL_obj4446z00_1583);
														BGL_OBJECT_WIDENING_SET(BgL_auxz00_2157,
															BgL_arg4618z00_1584);
													}
												}
												{	/* Cfa/arithmetic.scm 132 */
													long BgL_arg4623z00_1589;

													BgL_arg4623z00_1589 =
														BGl_classzd2numzd2zz__objectz00
														(BGl_arithmeticzd2appzd2zzcfa_info2z00);
													{	/* Cfa/arithmetic.scm 132 */
														BgL_objectz00_bglt BgL_objz00_1772;

														BgL_objz00_1772 =
															(BgL_objectz00_bglt) (BgL_obj4446z00_1583);
														BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1772,
															BgL_arg4623z00_1589);
												}}
												BgL_auxz00_2074 = BgL_obj4446z00_1583;
					}}}}}}}
					return (obj_t) (BgL_auxz00_2074);
				}
			}
		}
	}



/* unspecified-type */
	obj_t BGl_unspecifiedzd2typezd2zzcfa_arithmeticz00(obj_t BgL_lz00_1595)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 105 */
			if (BGl_iszd2azf3z21zz__objectz00(BgL_lz00_1595,
					BGl_typez00zztype_typez00))
				{	/* Cfa/arithmetic.scm 99 */
					return BGl_za2_za2z00zztype_cachez00;
				}
			else
				{	/* Cfa/arithmetic.scm 99 */
					if (BGl_iszd2azf3z21zz__objectz00(BgL_lz00_1595,
							BGl_localz00zzast_varz00))
						{	/* Cfa/arithmetic.scm 101 */
							{	/* Cfa/arithmetic.scm 102 */
								BgL_variablez00_bglt BgL_obj1368z00_1776;
								BgL_typez00_bglt BgL_val1367z00_1777;

								BgL_obj1368z00_1776 = (BgL_variablez00_bglt) (BgL_lz00_1595);
								BgL_val1367z00_1777 =
									(BgL_typez00_bglt) (BGl_za2_za2z00zztype_cachez00);
								((((BgL_variablez00_bglt) CREF(BgL_obj1368z00_1776))->
										BgL_typez00) =
									((BgL_typez00_bglt) BgL_val1367z00_1777), BUNSPEC);
							}
							return BgL_lz00_1595;
						}
					else
						{	/* Cfa/arithmetic.scm 101 */
							return BgL_lz00_1595;
						}
				}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_arithmeticz00()
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 28 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 12445515),
				BSTRING_TO_STRING(BGl_string4681z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string4681z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string4681z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string4681z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 484733332),
				BSTRING_TO_STRING(BGl_string4681z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string4681z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 11585204),
				BSTRING_TO_STRING(BGl_string4681z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 243010053),
				BSTRING_TO_STRING(BGl_string4681z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string4681z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_loosez00(((long) 235614963),
				BSTRING_TO_STRING(BGl_string4681z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_iteratez00(((long) 326518176),
				BSTRING_TO_STRING(BGl_string4681z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_cfaz00(((long) 42139303),
				BSTRING_TO_STRING(BGl_string4681z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_setupz00(((long) 212645849),
				BSTRING_TO_STRING(BGl_string4681z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long) 535144917),
				BSTRING_TO_STRING(BGl_string4681z00zzcfa_arithmeticz00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(((long) 249450490),
				BSTRING_TO_STRING(BGl_string4681z00zzcfa_arithmeticz00));
		}
	}

#ifdef __cplusplus
}
#endif
