/*===========================================================================*/
/*   (Cfa/closure.scm)                                                       */
/*   Bigloo (2.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 25 07:31:22 CET 2006        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/2.9a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/closure.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2heapzd2formatz00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_isaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		struct BgL_typez00_bgl *BgL_classz00;
	}             *BgL_isaz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_cfunzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_cfunzf2cinfozf2_bglt;

	typedef struct BgL_externzd2sfunzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_externzd2sfunzf2cinfoz20_bglt;

	typedef struct BgL_internzd2sfunzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		long BgL_stampz00;
	}                               *BgL_internzd2sfunzf2cinfoz20_bglt;

	typedef struct BgL_scnstzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_scnstzf2cinfozf2_bglt;

	typedef struct BgL_prezd2clozd2envz00_bgl
	{
		char dummy;
	}                         *BgL_prezd2clozd2envz00_bglt;

	typedef struct BgL_svarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		bool_t BgL_clozd2envzf3z21;
	}                      *BgL_svarzf2cinfozf2_bglt;

	typedef struct BgL_cvarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_cvarzf2cinfozf2_bglt;

	typedef struct BgL_sexitzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_sexitzf2cinfozf2_bglt;

	typedef struct BgL_reshapedzd2localzd2_bgl
	{
		obj_t BgL_bindingzd2valuezd2;
	}                          *BgL_reshapedzd2localzd2_bglt;

	typedef struct BgL_reshapedzd2globalzd2_bgl
	{
		char dummy;
	}                           *BgL_reshapedzd2globalzd2_bglt;

	typedef struct BgL_atomzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_atomzf2cinfozf2_bglt;

	typedef struct BgL_kwotezf2nodezf2_bgl
	{
		struct BgL_nodez00_bgl *BgL_nodez00;
	}                      *BgL_kwotezf2nodezf2_bglt;

	typedef struct BgL_kwotezf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_kwotezf2cinfozf2_bglt;

	typedef struct BgL_appzd2lyzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                          *BgL_appzd2lyzf2cinfoz20_bglt;

	typedef struct BgL_funcallzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_vazd2approxzd2;
		bool_t BgL_arityzd2errorzd2noticedzf3zf3;
		bool_t BgL_typezd2errorzd2noticedzf3zf3;
	}                         *BgL_funcallzf2cinfozf2_bglt;

	typedef struct BgL_setqzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_setqzf2cinfozf2_bglt;

	typedef struct BgL_conditionalzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                             *BgL_conditionalzf2cinfozf2_bglt;

	typedef struct BgL_failzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_failzf2cinfozf2_bglt;

	typedef struct BgL_selectzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                        *BgL_selectzf2cinfozf2_bglt;

	typedef struct BgL_setzd2exzd2itzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_setzd2exzd2itzf2cinfozf2_bglt;

	typedef struct BgL_jumpzd2exzd2itzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                                *BgL_jumpzd2exzd2itzf2cinfozf2_bglt;

	typedef struct BgL_prezd2makezd2boxz00_bgl
	{
		char dummy;
	}                          *BgL_prezd2makezd2boxz00_bglt;

	typedef struct BgL_makezd2boxzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                            *BgL_makezd2boxzf2cinfoz20_bglt;

	typedef struct BgL_makezd2boxzf2ozd2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
	}                                *BgL_makezd2boxzf2ozd2cinfozf2_bglt;

	typedef struct BgL_boxzd2setz12zf2cinfoz32_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                              *BgL_boxzd2setz12zf2cinfoz32_bglt;

	typedef struct BgL_boxzd2refzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                           *BgL_boxzd2refzf2cinfoz20_bglt;

	typedef struct BgL_boxzd2setz12zf2ozd2cinfoze0_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                                  *BgL_boxzd2setz12zf2ozd2cinfoze0_bglt;

	typedef struct BgL_boxzd2refzf2ozd2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_boxzd2refzf2ozd2cinfozf2_bglt;

	typedef struct BgL_prezd2arithmeticzd2appz00_bgl
	{
		obj_t BgL_speczd2typeszd2;
	}                                *BgL_prezd2arithmeticzd2appz00_bglt;

	typedef struct BgL_arithmeticzd2appzd2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_speczd2typeszd2;
	}                          *BgL_arithmeticzd2appzd2_bglt;

	typedef struct BgL_prezd2makezd2procedurezd2appzd2_bgl
	{
		struct BgL_variablez00_bgl *BgL_ownerz00;
	}                                     
		*BgL_prezd2makezd2procedurezd2appzd2_bglt;

	typedef struct BgL_prezd2procedurezd2refzd2appzd2_bgl
	{
		char dummy;
	}                                    
		*BgL_prezd2procedurezd2refzd2appzd2_bglt;

	typedef struct BgL_prezd2procedurezd2setz12zd2appzc0_bgl
	{
		char dummy;
	}                                       
		*BgL_prezd2procedurezd2setz12zd2appzc0_bglt;

	typedef struct BgL_makezd2procedurezd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_valueszd2approxzd2;
		long BgL_lostzd2stampzd2;
		bool_t BgL_xzd2tzf3z21;
		bool_t BgL_xz00;
		bool_t BgL_tz00;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
	}                                *BgL_makezd2procedurezd2appz00_bglt;

	typedef struct BgL_procedurezd2refzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_procedurezd2refzd2appz00_bglt;

	typedef struct BgL_procedurezd2setz12zd2appz12_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                                  *BgL_procedurezd2setz12zd2appz12_bglt;

	typedef struct BgL_prezd2makezd2vectorzd2appzd2_bgl
	{
		struct BgL_variablez00_bgl *BgL_ownerz00;
	}                                   *BgL_prezd2makezd2vectorzd2appzd2_bglt;

	typedef struct BgL_makezd2vectorzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
		long BgL_lostzd2stampzd2;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
		bool_t BgL_seenzf3zf3;
	}                             *BgL_makezd2vectorzd2appz00_bglt;

	typedef struct BgL_prezd2makezd2structzd2appzd2_bgl
	{
		struct BgL_variablez00_bgl *BgL_ownerz00;
	}                                   *BgL_prezd2makezd2structzd2appzd2_bglt;

	typedef struct BgL_prezd2structzd2refzd2appzd2_bgl
	{
		char dummy;
	}                                  *BgL_prezd2structzd2refzd2appzd2_bglt;

	typedef struct BgL_prezd2structzd2setz12zd2appzc0_bgl
	{
		char dummy;
	}                                    
		*BgL_prezd2structzd2setz12zd2appzc0_bglt;

	typedef struct BgL_makezd2structzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
		long BgL_lostzd2stampzd2;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
	}                             *BgL_makezd2structzd2appz00_bglt;

	typedef struct BgL_structzd2refzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                            *BgL_structzd2refzd2appz00_bglt;

	typedef struct BgL_structzd2setz12zd2appz12_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_structzd2setz12zd2appz12_bglt;


	static obj_t BGl__addzd2funcallz12zc0zzcfa_closurez00(obj_t, obj_t);
	BGL_IMPORT obj_t open_input_string(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_addzd2makezd2procedurez12z12zzcfa_closurez00(BgL_nodez00_bglt);
	static obj_t BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_Tzd2fixzd2pointz12z12zzcfa_closurez00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_za2funcallzd2listza2zd2zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_startzd2cachezd2zzcfa_closurez00();
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	static obj_t BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00 = BUNSPEC;
	extern obj_t BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(obj_t,
		BgL_approxz00_bglt);
	static obj_t BGl_cnstzd2initzd2zzcfa_closurez00();
	static obj_t BGl_za2procedurezd21zd2elzd2setz12za2zc0zzcfa_closurez00 =
		BUNSPEC;
	static obj_t BGl__approxzd2procedurezd2el4752z00zzcfa_closurez00(obj_t,
		obj_t);
	static obj_t BGl__approxzd2procedurezd2el4753z00zzcfa_closurez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_closurez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_ltypez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	static obj_t BGl_toplevelzd2initzd2zzcfa_closurez00();
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t BGl_za2makezd2elzd2procedurezd21za2zd2zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl__closurezd2optimiza7atio4751z75zzcfa_closurez00(obj_t,
		obj_t);
	static bool_t BGl_lightzd2funcallz12zc0zzcfa_closurez00();
	static bool_t BGl_lightzd2makezd2procedurez12z12zzcfa_closurez00();
	static obj_t BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl__addzd2procedurezd2refz12z12zzcfa_closurez00(obj_t, obj_t);
	static obj_t BGl_zc3anonymousza34510ze3z83zzcfa_closurez00(obj_t, obj_t);
	static bool_t BGl_Xz12z12zzcfa_closurez00(obj_t);
	static obj_t BGl_zc3anonymousza34515ze3z83zzcfa_closurez00(obj_t, obj_t);
	static obj_t BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_addzd2procedurezd2refz12z12zzcfa_closurez00(BgL_nodez00_bglt);
	static obj_t BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_methodzd2initzd2zzcfa_closurez00();
	extern obj_t BGl_setzd2ze3listz31zzcfa_setz00(obj_t);
	static obj_t BGl__addzd2makezd2procedurez12z12zzcfa_closurez00(obj_t, obj_t);
	static obj_t BGl_showzd2Xzd2Tz00zzcfa_closurez00(obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00(BgL_approxz00_bglt);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_closurez00 = BUNSPEC;
	extern obj_t
		BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(BgL_nodez00_bglt);
	extern obj_t BGl_scnstz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t
		BGl_addzd2funcallz12zc0zzcfa_closurez00(BgL_nodez00_bglt);
	static obj_t BGl_stopzd2cachezd2zzcfa_closurez00();
	extern obj_t BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
	static bool_t BGl_showz00zzcfa_closurez00(obj_t, obj_t);
	static obj_t BGl__closurezd2optimiza7ationzf3z86zzcfa_closurez00(obj_t);
	static obj_t BGl_za2procedurezd2setz12za2zc0zzcfa_closurez00 = BUNSPEC;
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t BGl_za2procedurezd2refza2zd2zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_closurez00();
	extern BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
	static obj_t BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00 = BUNSPEC;
	extern obj_t BGl_lightzd2typez12zc0zzcfa_ltypez00(obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_closurezd2optimiza7ationz12z67zzcfa_closurez00(obj_t);
	static obj_t BGl_za2procedurezd21zd2elzd2refza2zd2zzcfa_closurez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_closurezd2optimiza7ationzf3z86zzcfa_closurez00();
	BGL_EXPORTED_DECL bool_t
		BGl_approxzd2procedurezd2el1zf3zf3zzcfa_closurez00(BgL_approxz00_bglt);
	extern obj_t BGl_setzd2lengthzd2zzcfa_setz00(obj_t);
	extern obj_t BGl_za2optimza2z00zzengine_paramz00;
	static bool_t BGl_lightzd2accessz12zc0zzcfa_closurez00();
	extern BgL_varz00_bglt BGl_makezd2varzd2zzast_nodez00(obj_t, BgL_typez00_bglt,
		BgL_variablez00_bglt);
	extern obj_t BGl_makezd2procedurezd2appz00zzcfa_info2z00;
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_closurez00();
	static obj_t BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00 = BUNSPEC;
	static obj_t __cnst[21];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_approxzd2procedurezd2elzf3zd2envz21zzcfa_closurez00,
		BgL_bgl__approxza7d2proced4762za7,
		BGl__approxzd2procedurezd2el4752z00zzcfa_closurez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string4754z00zzcfa_closurez00,
		BgL_bgl_string4754za700za7za7c4763za7, "   . Light closures", 19);
	      DEFINE_STRING(BGl_string4755z00zzcfa_closurez00,
		BgL_bgl_string4755za700za7za7c4764za7, ": ", 2);
	      DEFINE_STRING(BGl_string4756z00zzcfa_closurez00,
		BgL_bgl_string4756za700za7za7c4765za7, "     ", 5);
	      DEFINE_STRING(BGl_string4757z00zzcfa_closurez00,
		BgL_bgl_string4757za700za7za7c4766za7, "        ", 8);
	      DEFINE_STRING(BGl_string4758z00zzcfa_closurez00,
		BgL_bgl_string4758za700za7za7c4767za7, "cfa_closure", 11);
	      DEFINE_STRING(BGl_string4759z00zzcfa_closurez00,
		BgL_bgl_string4759za700za7za7c4768za7,
		"make-l-procedure make-el-procedure-1 make-el-procedure procedure-1-el-set! procedure-1-el-ref procedure-el-set! procedure-el-ref procedure-l-set! procedure-l-ref procedure-set! foreign procedure-ref T X light elight nothing-to-do selfun sefun done ok ",
		251);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_addzd2procedurezd2refz12zd2envzc0zzcfa_closurez00,
		BgL_bgl__addza7d2procedure4769za7,
		BGl__addzd2procedurezd2refz12z12zzcfa_closurez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_closurezd2optimiza7ationz12zd2envzb5zzcfa_closurez00,
		BgL_bgl__closureza7d2optim4770za7,
		BGl__closurezd2optimiza7atio4751z75zzcfa_closurez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_addzd2funcallz12zd2envz12zzcfa_closurez00,
		BgL_bgl__addza7d2funcallza714771z00,
		BGl__addzd2funcallz12zc0zzcfa_closurez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_closurezd2optimiza7ationzf3zd2envz54zzcfa_closurez00,
		BgL_bgl__closureza7d2optim4772za7,
		BGl__closurezd2optimiza7ationzf3z86zzcfa_closurez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_addzd2makezd2procedurez12zd2envzc0zzcfa_closurez00,
		BgL_bgl__addza7d2makeza7d2pr4773z00,
		BGl__addzd2makezd2procedurez12z12zzcfa_closurez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_approxzd2procedurezd2el1zf3zd2envz21zzcfa_closurez00,
		BgL_bgl__approxza7d2proced4774za7,
		BGl__approxzd2procedurezd2el4753z00zzcfa_closurez00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_closurez00(long
		BgL_checksumz00_2046, char *BgL_fromz00_2047)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_closurez00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_closurez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcfa_closurez00();
					BGl_cnstzd2initzd2zzcfa_closurez00();
					BGl_importedzd2moduleszd2initz00zzcfa_closurez00();
					BGl_toplevelzd2initzd2zzcfa_closurez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 25 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cfa_closure");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "cfa_closure");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 25 */
			{	/* Cfa/closure.scm 25 */
				obj_t BgL_cportz00_2038;

				BgL_cportz00_2038 =
					open_input_string(BGl_string4759z00zzcfa_closurez00);
				{
					long BgL_iz00_2039;

					BgL_iz00_2039 = ((long) 20);
				BgL_loopz00_2040:
					if ((BgL_iz00_2039 == ((long) -1)))
						{	/* Cfa/closure.scm 25 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/closure.scm 25 */
							{	/* Cfa/closure.scm 25 */
								obj_t BgL_arg4761z00_2042;

								{	/* Cfa/closure.scm 25 */

									{	/* Cfa/closure.scm 25 */
										obj_t BgL_locationz00_2044;

										BgL_locationz00_2044 = BBOOL(((bool_t) 0));
										{	/* Cfa/closure.scm 25 */

											BgL_arg4761z00_2042 =
												BGl_readz00zz__readerz00(BgL_cportz00_2038,
												BgL_locationz00_2044);
										}
									}
								}
								{	/* Cfa/closure.scm 25 */
									int BgL_auxz00_2062;

									BgL_auxz00_2062 = (int) (BgL_iz00_2039);
									CNST_TABLE_SET(BgL_auxz00_2062, BgL_arg4761z00_2042);
							}}
							{	/* Cfa/closure.scm 25 */
								int BgL_auxz00_2045;

								BgL_auxz00_2045 = (int) ((BgL_iz00_2039 - ((long) 1)));
								{
									long BgL_iz00_2067;

									BgL_iz00_2067 = (long) (BgL_auxz00_2045);
									BgL_iz00_2039 = BgL_iz00_2067;
									goto BgL_loopz00_2040;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 25 */
			BGl_za2funcallzd2listza2zd2zzcfa_closurez00 = BNIL;
			BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00 = BNIL;
			BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00 = BNIL;
			BGl_za2procedurezd2refza2zd2zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2setz12za2zc0zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd21zd2elzd2refza2zd2zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd21zd2elzd2setz12za2zc0zzcfa_closurez00 = BFALSE;
			BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00 = BFALSE;
			BGl_za2makezd2elzd2procedurezd21za2zd2zzcfa_closurez00 = BFALSE;
			return (BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00 =
				BFALSE, BUNSPEC);
		}
	}



/* closure-optimization? */
	BGL_EXPORTED_DEF obj_t BGl_closurezd2optimiza7ationzf3z86zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 52 */
			{	/* Cfa/closure.scm 53 */
				long BgL_n1z00_1777;

				BgL_n1z00_1777 = (long) CINT(BGl_za2optimza2z00zzengine_paramz00);
				return BBOOL((BgL_n1z00_1777 >= ((long) 2)));
		}}
	}



/* _closure-optimization? */
	obj_t BGl__closurezd2optimiza7ationzf3z86zzcfa_closurez00(obj_t
		BgL_envz00_2019)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 52 */
			return BGl_closurezd2optimiza7ationzf3z86zzcfa_closurez00();
		}
	}



/* closure-optimization! */
	BGL_EXPORTED_DEF obj_t
		BGl_closurezd2optimiza7ationz12z67zzcfa_closurez00(obj_t BgL_globalsz00_1)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 58 */
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 2)))
				{	/* Cfa/closure.scm 59 */
					{	/* Cfa/closure.scm 61 */
						obj_t BgL_list4490z00_982;

						{	/* Cfa/closure.scm 61 */
							obj_t BgL_arg4492z00_984;

							BgL_arg4492z00_984 =
								MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
							BgL_list4490z00_982 =
								MAKE_PAIR(BGl_string4754z00zzcfa_closurez00,
								BgL_arg4492z00_984);
						}
						BGl_verbosez00zztools_speekz00(BINT(((long) 1)),
							BgL_list4490z00_982);
					}
					BGl_startzd2cachezd2zzcfa_closurez00();
					{
						obj_t BgL_l4471z00_985;

						BgL_l4471z00_985 =
							BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00;
					BgL_forzd2each4473zd2_986:
						if (PAIRP(BgL_l4471z00_985))
							{	/* Cfa/closure.scm 70 */
								{	/* Cfa/closure.scm 72 */
									obj_t BgL_appz00_988;

									BgL_appz00_988 = CAR(BgL_l4471z00_985);
									{	/* Cfa/closure.scm 73 */
										BgL_variablez00_bglt BgL_funz00_990;
										bool_t BgL_lostzf3zf3_991;
										obj_t BgL_siza7eza7_992;

										{	/* Cfa/closure.scm 73 */
											BgL_varz00_bglt BgL_obj1908z00_1785;

											{	/* Cfa/closure.scm 73 */
												obj_t BgL_auxz00_2085;

												{	/* Cfa/closure.scm 73 */
													obj_t BgL_pairz00_1784;

													{	/* Cfa/closure.scm 73 */
														BgL_appz00_bglt BgL_obj2005z00_1783;

														BgL_obj2005z00_1783 =
															(BgL_appz00_bglt) (BgL_appz00_988);
														BgL_pairz00_1784 =
															(((BgL_appz00_bglt) CREF(BgL_obj2005z00_1783))->
															BgL_argsz00);
													}
													BgL_auxz00_2085 = CAR(BgL_pairz00_1784);
												}
												BgL_obj1908z00_1785 =
													(BgL_varz00_bglt) (BgL_auxz00_2085);
											}
											BgL_funz00_990 =
												(((BgL_varz00_bglt) CREF(BgL_obj1908z00_1785))->
												BgL_variablez00);
										}
										{	/* Cfa/closure.scm 74 */
											long BgL_auxz00_2091;

											{	/* Cfa/closure.scm 74 */
												BgL_makezd2procedurezd2appz00_bglt BgL_obj4053z00_1786;

												BgL_obj4053z00_1786 =
													(BgL_makezd2procedurezd2appz00_bglt) (BgL_appz00_988);
												{
													obj_t BgL_auxz00_2093;

													{	/* Cfa/closure.scm 74 */
														BgL_objectz00_bglt BgL_auxz00_2094;

														BgL_auxz00_2094 =
															(BgL_objectz00_bglt) (BgL_obj4053z00_1786);
														BgL_auxz00_2093 =
															BGL_OBJECT_WIDENING(BgL_auxz00_2094);
													}
													BgL_auxz00_2091 =
														(((BgL_makezd2procedurezd2appz00_bglt)
															CREF(BgL_auxz00_2093))->BgL_lostzd2stampzd2);
											}}
											BgL_lostzf3zf3_991 = (BgL_auxz00_2091 > ((long) -1));
										}
										{	/* Cfa/closure.scm 75 */
											obj_t BgL_arg4505z00_1004;

											{	/* Cfa/closure.scm 75 */
												obj_t BgL_pairz00_1790;

												{	/* Cfa/closure.scm 75 */
													BgL_appz00_bglt BgL_obj2005z00_1789;

													BgL_obj2005z00_1789 =
														(BgL_appz00_bglt) (BgL_appz00_988);
													BgL_pairz00_1790 =
														(((BgL_appz00_bglt) CREF(BgL_obj2005z00_1789))->
														BgL_argsz00);
												}
												BgL_arg4505z00_1004 = CAR(CDR(CDR(BgL_pairz00_1790)));
											}
											BgL_siza7eza7_992 =
												BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(
												(BgL_nodez00_bglt) (BgL_arg4505z00_1004));
										}
										{	/* Cfa/closure.scm 77 */
											bool_t BgL_testz00_2106;

											if (BgL_lostzf3zf3_991)
												{	/* Cfa/closure.scm 77 */
													BgL_testz00_2106 = ((bool_t) 1);
												}
											else
												{	/* Cfa/closure.scm 78 */
													bool_t BgL_testz00_2108;

													{	/* Cfa/closure.scm 78 */
														BgL_makezd2procedurezd2appz00_bglt
															BgL_obj4056z00_1796;
														BgL_obj4056z00_1796 =
															(BgL_makezd2procedurezd2appz00_bglt)
															(BgL_appz00_988);
														{
															obj_t BgL_auxz00_2110;

															{	/* Cfa/closure.scm 78 */
																BgL_objectz00_bglt BgL_auxz00_2111;

																BgL_auxz00_2111 =
																	(BgL_objectz00_bglt) (BgL_obj4056z00_1796);
																BgL_auxz00_2110 =
																	BGL_OBJECT_WIDENING(BgL_auxz00_2111);
															}
															BgL_testz00_2108 =
																(((BgL_makezd2procedurezd2appz00_bglt)
																	CREF(BgL_auxz00_2110))->BgL_xzd2tzf3z21);
														}
													}
													if (BgL_testz00_2108)
														{	/* Cfa/closure.scm 79 */
															bool_t BgL_testz00_2115;

															{	/* Cfa/closure.scm 79 */
																long BgL_auxz00_2116;

																{	/* Cfa/closure.scm 79 */
																	BgL_funz00_bglt BgL_obj1570z00_1798;

																	{	/* Cfa/closure.scm 79 */
																		BgL_valuez00_bglt BgL_auxz00_2117;

																		BgL_auxz00_2117 =
																			(((BgL_variablez00_bglt)
																				CREF(BgL_funz00_990))->BgL_valuez00);
																		BgL_obj1570z00_1798 =
																			(BgL_funz00_bglt) (BgL_auxz00_2117);
																	}
																	BgL_auxz00_2116 =
																		(((BgL_funz00_bglt)
																			CREF(BgL_obj1570z00_1798))->BgL_arityz00);
																}
																BgL_testz00_2115 =
																	(BgL_auxz00_2116 < ((long) 0));
															}
															if (BgL_testz00_2115)
																{	/* Cfa/closure.scm 79 */
																	BgL_testz00_2106 = ((bool_t) 1);
																}
															else
																{	/* Cfa/closure.scm 79 */
																	if (INTEGERP(BgL_siza7eza7_992))
																		{	/* Cfa/closure.scm 80 */
																			BgL_testz00_2106 =
																				(
																				(long) CINT(BgL_siza7eza7_992) ==
																				((long) 0));
																		}
																	else
																		{	/* Cfa/closure.scm 80 */
																			BgL_testz00_2106 = ((bool_t) 1);
																		}
																}
														}
													else
														{	/* Cfa/closure.scm 78 */
															BgL_testz00_2106 = ((bool_t) 1);
														}
												}
											if (BgL_testz00_2106)
												{	/* Cfa/closure.scm 77 */
													BNIL;
												}
											else
												{	/* Cfa/closure.scm 77 */
													{	/* Cfa/closure.scm 88 */
														BgL_makezd2procedurezd2appz00_bglt
															BgL_obj4061z00_1804;
														bool_t BgL_val4060z00_1805;

														BgL_obj4061z00_1804 =
															(BgL_makezd2procedurezd2appz00_bglt)
															(BgL_appz00_988);
														BgL_val4060z00_1805 = ((bool_t) 1);
														{
															obj_t BgL_auxz00_2127;

															{	/* Cfa/closure.scm 88 */
																BgL_objectz00_bglt BgL_auxz00_2128;

																BgL_auxz00_2128 =
																	(BgL_objectz00_bglt) (BgL_obj4061z00_1804);
																BgL_auxz00_2127 =
																	BGL_OBJECT_WIDENING(BgL_auxz00_2128);
															}
															((((BgL_makezd2procedurezd2appz00_bglt)
																		CREF(BgL_auxz00_2127))->BgL_xz00) =
																((bool_t) BgL_val4060z00_1805), BUNSPEC);
														}
													}
													{	/* Cfa/closure.scm 89 */
														BgL_makezd2procedurezd2appz00_bglt
															BgL_obj4064z00_1806;
														bool_t BgL_val4063z00_1807;

														BgL_obj4064z00_1806 =
															(BgL_makezd2procedurezd2appz00_bglt)
															(BgL_appz00_988);
														BgL_val4063z00_1807 = ((bool_t) 1);
														{
															obj_t BgL_auxz00_2133;

															{	/* Cfa/closure.scm 89 */
																BgL_objectz00_bglt BgL_auxz00_2134;

																BgL_auxz00_2134 =
																	(BgL_objectz00_bglt) (BgL_obj4064z00_1806);
																BgL_auxz00_2133 =
																	BGL_OBJECT_WIDENING(BgL_auxz00_2134);
															}
															((((BgL_makezd2procedurezd2appz00_bglt)
																		CREF(BgL_auxz00_2133))->BgL_tz00) =
																((bool_t) BgL_val4063z00_1807), BUNSPEC);
														}
													}
												}
										}
									}
								}
								{
									obj_t BgL_l4471z00_2138;

									BgL_l4471z00_2138 = CDR(BgL_l4471z00_985);
									BgL_l4471z00_985 = BgL_l4471z00_2138;
									goto BgL_forzd2each4473zd2_986;
								}
							}
						else
							{	/* Cfa/closure.scm 70 */
								((bool_t) 1);
							}
					}
					BGl_Xz12z12zzcfa_closurez00
						(BGl_za2funcallzd2listza2zd2zzcfa_closurez00);
					BGl_Tzd2fixzd2pointz12z12zzcfa_closurez00
						(BGl_za2funcallzd2listza2zd2zzcfa_closurez00);
					BGl_showzd2Xzd2Tz00zzcfa_closurez00
						(BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00);
					BGl_lightzd2funcallz12zc0zzcfa_closurez00();
					BGl_lightzd2accessz12zc0zzcfa_closurez00();
					BGl_lightzd2makezd2procedurez12z12zzcfa_closurez00();
					BGl_lightzd2typez12zc0zzcfa_ltypez00(BgL_globalsz00_1);
					return BGl_stopzd2cachezd2zzcfa_closurez00();
				}
			else
				{	/* Cfa/closure.scm 59 */
					return BFALSE;
				}
		}
	}



/* _closure-optimizatio4751 */
	obj_t BGl__closurezd2optimiza7atio4751z75zzcfa_closurez00(obj_t
		BgL_envz00_2020, obj_t BgL_globalsz00_2021)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 58 */
			return
				BGl_closurezd2optimiza7ationz12z67zzcfa_closurez00(BgL_globalsz00_2021);
		}
	}



/* X! */
	bool_t BGl_Xz12z12zzcfa_closurez00(obj_t BgL_funcallzd2listzd2_2)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 120 */
			{
				obj_t BgL_l4474z00_1007;

				BgL_l4474z00_1007 = BgL_funcallzd2listzd2_2;
			BgL_forzd2each4475zd2_1008:
				if (PAIRP(BgL_l4474z00_1007))
					{	/* Cfa/closure.scm 122 */
						{	/* Cfa/closure.scm 158 */
							BgL_funcallz00_bglt BgL_appz00_1010;

							{	/* Cfa/closure.scm 158 */
								obj_t BgL_pairz00_1811;

								BgL_pairz00_1811 = BgL_l4474z00_1007;
								{	/* Cfa/closure.scm 158 */
									obj_t BgL_auxz00_2151;

									BgL_auxz00_2151 = CAR(BgL_pairz00_1811);
									BgL_appz00_1010 = (BgL_funcallz00_bglt) (BgL_auxz00_2151);
								}
							}
							{	/* Cfa/closure.scm 124 */
								BgL_nodez00_bglt BgL_funz00_1011;

								BgL_funz00_1011 =
									(((BgL_funcallz00_bglt) CREF(BgL_appz00_1010))->BgL_funz00);
								{	/* Cfa/closure.scm 124 */
									BgL_approxz00_bglt BgL_approxz00_1012;

									BgL_approxz00_1012 =
										BGl_cfaz12z12zzcfa_cfaz00(BgL_funz00_1011);
									{	/* Cfa/closure.scm 125 */
										obj_t BgL_allocz00_1013;

										BgL_allocz00_1013 =
											(((BgL_approxz00_bglt) CREF(BgL_approxz00_1012))->
											BgL_allocsz00);
										{	/* Cfa/closure.scm 126 */
											BgL_typez00_bglt BgL_typez00_1014;

											BgL_typez00_1014 =
												(((BgL_approxz00_bglt) CREF(BgL_approxz00_1012))->
												BgL_typez00);
											{	/* Cfa/closure.scm 127 */
												bool_t BgL_topzf3zf3_1015;

												BgL_topzf3zf3_1015 =
													(((BgL_approxz00_bglt) CREF(BgL_approxz00_1012))->
													BgL_topzf3zf3);
												{	/* Cfa/closure.scm 128 */

													if (BgL_topzf3zf3_1015)
														{	/* Cfa/closure.scm 130 */
															BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
																(make_fx_procedure
																(BGl_zc3anonymousza34510ze3z83zzcfa_closurez00,
																	(int) (((long) 1)), (int) (((long) 0))),
																BgL_approxz00_1012);
														}
													else
														{	/* Cfa/closure.scm 141 */
															bool_t BgL_testz00_2164;

															{	/* Cfa/closure.scm 141 */
																obj_t BgL_arg4520z00_1032;

																BgL_arg4520z00_1032 =
																	BGl_setzd2lengthzd2zzcfa_setz00
																	(BgL_allocz00_1013);
																BgL_testz00_2164 =
																	((long) CINT(BgL_arg4520z00_1032) ==
																	((long) 0));
															}
															if (BgL_testz00_2164)
																{	/* Cfa/closure.scm 141 */
																	CNST_TABLE_REF(((long) 0));
																}
															else
																{	/* Cfa/closure.scm 144 */
																	bool_t BgL_testz00_2169;

																	{	/* Cfa/closure.scm 144 */
																		bool_t BgL_testz00_2170;

																		{	/* Cfa/closure.scm 144 */
																			obj_t BgL_arg4518z00_1030;

																			BgL_arg4518z00_1030 =
																				BGl_setzd2lengthzd2zzcfa_setz00
																				(BgL_allocz00_1013);
																			BgL_testz00_2170 =
																				((long) CINT(BgL_arg4518z00_1030) ==
																				((long) 1));
																		}
																		if (BgL_testz00_2170)
																			{	/* Cfa/closure.scm 145 */
																				obj_t BgL__ortest_4441z00_1029;

																				BgL__ortest_4441z00_1029 =
																					BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
																				if (CBOOL(BgL__ortest_4441z00_1029))
																					{	/* Cfa/closure.scm 145 */
																						BgL_testz00_2169 =
																							CBOOL(BgL__ortest_4441z00_1029);
																					}
																				else
																					{	/* Cfa/closure.scm 145 */
																						BgL_testz00_2169 =
																							(
																							(obj_t) (BgL_typez00_1014) ==
																							BGl_za2procedureza2z00zztype_cachez00);
																					}
																			}
																		else
																			{	/* Cfa/closure.scm 144 */
																				BgL_testz00_2169 = ((bool_t) 0);
																			}
																	}
																	if (BgL_testz00_2169)
																		{	/* Cfa/closure.scm 144 */
																			CNST_TABLE_REF(((long) 0));
																		}
																	else
																		{	/* Cfa/closure.scm 144 */
																			BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
																				(make_fx_procedure
																				(BGl_zc3anonymousza34515ze3z83zzcfa_closurez00,
																					(int) (((long) 1)),
																					(int) (((long) 0))),
																				BgL_approxz00_1012);
						}}}}}}}}}}
						{
							obj_t BgL_l4474z00_2184;

							BgL_l4474z00_2184 = CDR(BgL_l4474z00_1007);
							BgL_l4474z00_1007 = BgL_l4474z00_2184;
							goto BgL_forzd2each4475zd2_1008;
						}
					}
				else
					{	/* Cfa/closure.scm 122 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* <anonymous:4510> */
	obj_t BGl_zc3anonymousza34510ze3z83zzcfa_closurez00(obj_t BgL_envz00_2024,
		obj_t BgL_allocz00_2025)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 133 */
			{
				obj_t BgL_allocz00_1017;

				BgL_allocz00_1017 = BgL_allocz00_2025;
				if (BGl_iszd2azf3z21zz__objectz00(BgL_allocz00_1017,
						BGl_makezd2procedurezd2appz00zzcfa_info2z00))
					{	/* Cfa/closure.scm 134 */
						{	/* Cfa/closure.scm 138 */
							BgL_makezd2procedurezd2appz00_bglt BgL_obj4064z00_1817;
							bool_t BgL_val4063z00_1818;

							BgL_obj4064z00_1817 =
								(BgL_makezd2procedurezd2appz00_bglt) (BgL_allocz00_1017);
							BgL_val4063z00_1818 = ((bool_t) 0);
							{
								obj_t BgL_auxz00_2189;

								{	/* Cfa/closure.scm 138 */
									BgL_objectz00_bglt BgL_auxz00_2190;

									BgL_auxz00_2190 = (BgL_objectz00_bglt) (BgL_obj4064z00_1817);
									BgL_auxz00_2189 = BGL_OBJECT_WIDENING(BgL_auxz00_2190);
								}
								((((BgL_makezd2procedurezd2appz00_bglt) CREF(BgL_auxz00_2189))->
										BgL_tz00) = ((bool_t) BgL_val4063z00_1818), BUNSPEC);
							}
						}
						{	/* Cfa/closure.scm 139 */
							BgL_makezd2procedurezd2appz00_bglt BgL_obj4061z00_1819;
							bool_t BgL_val4060z00_1820;

							BgL_obj4061z00_1819 =
								(BgL_makezd2procedurezd2appz00_bglt) (BgL_allocz00_1017);
							BgL_val4060z00_1820 = ((bool_t) 0);
							{
								obj_t BgL_auxz00_2195;

								{	/* Cfa/closure.scm 139 */
									BgL_objectz00_bglt BgL_auxz00_2196;

									BgL_auxz00_2196 = (BgL_objectz00_bglt) (BgL_obj4061z00_1819);
									BgL_auxz00_2195 = BGL_OBJECT_WIDENING(BgL_auxz00_2196);
								}
								return
									((((BgL_makezd2procedurezd2appz00_bglt)
											CREF(BgL_auxz00_2195))->BgL_xz00) =
									((bool_t) BgL_val4060z00_1820), BUNSPEC);
							}
						}
					}
				else
					{	/* Cfa/closure.scm 134 */
						return BFALSE;
					}
			}
		}
	}



/* <anonymous:4515> */
	obj_t BGl_zc3anonymousza34515ze3z83zzcfa_closurez00(obj_t BgL_envz00_2026,
		obj_t BgL_allocz00_2027)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 152 */
			{
				obj_t BgL_allocz00_1024;

				BgL_allocz00_1024 = BgL_allocz00_2027;
				if (BGl_iszd2azf3z21zz__objectz00(BgL_allocz00_1024,
						BGl_makezd2procedurezd2appz00zzcfa_info2z00))
					{	/* Cfa/closure.scm 153 */
						{	/* Cfa/closure.scm 157 */
							BgL_makezd2procedurezd2appz00_bglt BgL_obj4061z00_1826;
							bool_t BgL_val4060z00_1827;

							BgL_obj4061z00_1826 =
								(BgL_makezd2procedurezd2appz00_bglt) (BgL_allocz00_1024);
							BgL_val4060z00_1827 = ((bool_t) 0);
							{
								obj_t BgL_auxz00_2203;

								{	/* Cfa/closure.scm 157 */
									BgL_objectz00_bglt BgL_auxz00_2204;

									BgL_auxz00_2204 = (BgL_objectz00_bglt) (BgL_obj4061z00_1826);
									BgL_auxz00_2203 = BGL_OBJECT_WIDENING(BgL_auxz00_2204);
								}
								return
									((((BgL_makezd2procedurezd2appz00_bglt)
											CREF(BgL_auxz00_2203))->BgL_xz00) =
									((bool_t) BgL_val4060z00_1827), BUNSPEC);
							}
						}
					}
				else
					{	/* Cfa/closure.scm 153 */
						return BFALSE;
					}
			}
		}
	}



/* T-fix-point! */
	obj_t BGl_Tzd2fixzd2pointz12z12zzcfa_closurez00(obj_t BgL_funcallzd2listzd2_3)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 170 */
			{
				bool_t BgL_continuezf3zf3_1035;

				BgL_continuezf3zf3_1035 = ((bool_t) 1);
			BgL_loopz00_1036:
				if (BgL_continuezf3zf3_1035)
					{	/* Cfa/closure.scm 175 */
						bool_t BgL_continuezf3zf3_1037;

						BgL_continuezf3zf3_1037 = ((bool_t) 0);
						{
							obj_t BgL_l4478z00_1038;

							BgL_l4478z00_1038 = BgL_funcallzd2listzd2_3;
						BgL_forzd2each4479zd2_1039:
							if (PAIRP(BgL_l4478z00_1038))
								{	/* Cfa/closure.scm 176 */
									{	/* Cfa/closure.scm 212 */
										obj_t BgL_appz00_1041;

										BgL_appz00_1041 = CAR(BgL_l4478z00_1038);
										{	/* Cfa/closure.scm 179 */
											BgL_nodez00_bglt BgL_funz00_1042;

											{	/* Cfa/closure.scm 179 */
												BgL_funcallz00_bglt BgL_obj2073z00_1831;

												BgL_obj2073z00_1831 =
													(BgL_funcallz00_bglt) (BgL_appz00_1041);
												BgL_funz00_1042 =
													(((BgL_funcallz00_bglt) CREF(BgL_obj2073z00_1831))->
													BgL_funz00);
											}
											{	/* Cfa/closure.scm 179 */
												BgL_approxz00_bglt BgL_approxz00_1043;

												BgL_approxz00_1043 =
													BGl_cfaz12z12zzcfa_cfaz00(BgL_funz00_1042);
												{	/* Cfa/closure.scm 180 */
													obj_t BgL_allocz00_1044;

													{	/* Cfa/closure.scm 181 */
														obj_t BgL_arg4536z00_1068;

														BgL_arg4536z00_1068 =
															(((BgL_approxz00_bglt) CREF(BgL_approxz00_1043))->
															BgL_allocsz00);
														BgL_allocz00_1044 =
															BGl_setzd2ze3listz31zzcfa_setz00
															(BgL_arg4536z00_1068);
													}
													{	/* Cfa/closure.scm 181 */
														BgL_typez00_bglt BgL_typez00_1045;

														BgL_typez00_1045 =
															(((BgL_approxz00_bglt) CREF(BgL_approxz00_1043))->
															BgL_typez00);
														{	/* Cfa/closure.scm 182 */
															bool_t BgL_tzd2initzf3z21_1046;

															{	/* Cfa/closure.scm 183 */
																bool_t BgL__ortest_4442z00_1065;

																BgL__ortest_4442z00_1065 =
																	(((BgL_approxz00_bglt)
																		CREF(BgL_approxz00_1043))->BgL_topzf3zf3);
																if (BgL__ortest_4442z00_1065)
																	{	/* Cfa/closure.scm 183 */
																		BgL_tzd2initzf3z21_1046 =
																			BgL__ortest_4442z00_1065;
																	}
																else
																	{	/* Cfa/closure.scm 184 */
																		bool_t BgL_testz00_2220;

																		if (
																			((obj_t) (BgL_typez00_1045) ==
																				BGl_za2procedureza2z00zztype_cachez00))
																			{	/* Cfa/closure.scm 184 */
																				BgL_testz00_2220 = ((bool_t) 1);
																			}
																		else
																			{	/* Cfa/closure.scm 184 */
																				BgL_testz00_2220 =
																					CBOOL
																					(BGl_za2unsafezd2typeza2zd2zzengine_paramz00);
																			}
																		if (BgL_testz00_2220)
																			{	/* Cfa/closure.scm 184 */
																				BgL_tzd2initzf3z21_1046 = ((bool_t) 0);
																			}
																		else
																			{	/* Cfa/closure.scm 184 */
																				BgL_tzd2initzf3z21_1046 = ((bool_t) 1);
																			}
																	}
															}
															{	/* Cfa/closure.scm 183 */

																{
																	bool_t BgL_onezd2nonzd2tzf3zf3_1047;
																	obj_t BgL_allocsz00_1048;

																	BgL_onezd2nonzd2tzf3zf3_1047 =
																		BgL_tzd2initzf3z21_1046;
																	BgL_allocsz00_1048 = BgL_allocz00_1044;
																BgL_loopz00_1049:
																	if (NULLP(BgL_allocsz00_1048))
																		{	/* Cfa/closure.scm 192 */
																			CNST_TABLE_REF(((long) 1));
																		}
																	else
																		{	/* Cfa/closure.scm 192 */
																			if (BgL_onezd2nonzd2tzf3zf3_1047)
																				{
																					obj_t BgL_l4476z00_1051;

																					{	/* Cfa/closure.scm 195 */
																						bool_t BgL_auxz00_2229;

																						BgL_l4476z00_1051 =
																							BgL_allocz00_1044;
																					BgL_forzd2each4477zd2_1052:
																						if (PAIRP(BgL_l4476z00_1051))
																							{	/* Cfa/closure.scm 195 */
																								{	/* Cfa/closure.scm 197 */
																									obj_t BgL_allocz00_1054;

																									BgL_allocz00_1054 =
																										CAR(BgL_l4476z00_1051);
																									if (BGl_iszd2azf3z21zz__objectz00(BgL_allocz00_1054, BGl_makezd2procedurezd2appz00zzcfa_info2z00))
																										{	/* Cfa/closure.scm 199 */
																											bool_t BgL_testz00_2235;

																											{	/* Cfa/closure.scm 199 */
																												BgL_makezd2procedurezd2appz00_bglt
																													BgL_obj4062z00_1839;
																												BgL_obj4062z00_1839 =
																													(BgL_makezd2procedurezd2appz00_bglt)
																													(BgL_allocz00_1054);
																												{
																													obj_t BgL_auxz00_2237;

																													{	/* Cfa/closure.scm 199 */
																														BgL_objectz00_bglt
																															BgL_auxz00_2238;
																														BgL_auxz00_2238 =
																															(BgL_objectz00_bglt)
																															(BgL_obj4062z00_1839);
																														BgL_auxz00_2237 =
																															BGL_OBJECT_WIDENING
																															(BgL_auxz00_2238);
																													}
																													BgL_testz00_2235 =
																														(((BgL_makezd2procedurezd2appz00_bglt) CREF(BgL_auxz00_2237))->BgL_tz00);
																												}
																											}
																											if (BgL_testz00_2235)
																												{	/* Cfa/closure.scm 199 */
																													{	/* Cfa/closure.scm 201 */
																														BgL_makezd2procedurezd2appz00_bglt
																															BgL_obj4064z00_1840;
																														bool_t
																															BgL_val4063z00_1841;
																														BgL_obj4064z00_1840
																															=
																															(BgL_makezd2procedurezd2appz00_bglt)
																															(BgL_allocz00_1054);
																														BgL_val4063z00_1841
																															= ((bool_t) 0);
																														{
																															obj_t
																																BgL_auxz00_2243;
																															{	/* Cfa/closure.scm 201 */
																																BgL_objectz00_bglt
																																	BgL_auxz00_2244;
																																BgL_auxz00_2244
																																	=
																																	(BgL_objectz00_bglt)
																																	(BgL_obj4064z00_1840);
																																BgL_auxz00_2243
																																	=
																																	BGL_OBJECT_WIDENING
																																	(BgL_auxz00_2244);
																															}
																															((((BgL_makezd2procedurezd2appz00_bglt) CREF(BgL_auxz00_2243))->BgL_tz00) = ((bool_t) BgL_val4063z00_1841), BUNSPEC);
																														}
																													}
																													BgL_continuezf3zf3_1037
																														= ((bool_t) 1);
																												}
																											else
																												{	/* Cfa/closure.scm 199 */
																													BFALSE;
																												}
																										}
																									else
																										{	/* Cfa/closure.scm 197 */
																											BFALSE;
																										}
																								}
																								{
																									obj_t BgL_l4476z00_2248;

																									BgL_l4476z00_2248 =
																										CDR(BgL_l4476z00_1051);
																									BgL_l4476z00_1051 =
																										BgL_l4476z00_2248;
																									goto
																										BgL_forzd2each4477zd2_1052;
																								}
																							}
																						else
																							{	/* Cfa/closure.scm 195 */
																								BgL_auxz00_2229 = ((bool_t) 1);
																							}
																						BBOOL(BgL_auxz00_2229);
																					}
																				}
																			else
																				{	/* Cfa/closure.scm 204 */
																					bool_t BgL_testz00_2251;

																					{	/* Cfa/closure.scm 204 */
																						obj_t BgL_arg4533z00_1064;

																						BgL_arg4533z00_1064 =
																							CAR(BgL_allocsz00_1048);
																						BgL_testz00_2251 =
																							BGl_iszd2azf3z21zz__objectz00
																							(BgL_arg4533z00_1064,
																							BGl_makezd2procedurezd2appz00zzcfa_info2z00);
																					}
																					if (BgL_testz00_2251)
																						{	/* Cfa/closure.scm 205 */
																							obj_t BgL_instance4445z00_1060;

																							BgL_instance4445z00_1060 =
																								CAR(BgL_allocsz00_1048);
																							{	/* Cfa/closure.scm 206 */
																								bool_t BgL_testz00_2255;

																								{	/* Cfa/closure.scm 206 */
																									BgL_makezd2procedurezd2appz00_bglt
																										BgL_obj4062z00_1846;
																									BgL_obj4062z00_1846 =
																										(BgL_makezd2procedurezd2appz00_bglt)
																										(BgL_instance4445z00_1060);
																									{
																										obj_t BgL_auxz00_2257;

																										{	/* Cfa/closure.scm 206 */
																											BgL_objectz00_bglt
																												BgL_auxz00_2258;
																											BgL_auxz00_2258 =
																												(BgL_objectz00_bglt)
																												(BgL_obj4062z00_1846);
																											BgL_auxz00_2257 =
																												BGL_OBJECT_WIDENING
																												(BgL_auxz00_2258);
																										}
																										BgL_testz00_2255 =
																											(((BgL_makezd2procedurezd2appz00_bglt) CREF(BgL_auxz00_2257))->BgL_tz00);
																									}
																								}
																								if (BgL_testz00_2255)
																									{
																										obj_t BgL_allocsz00_2262;

																										BgL_allocsz00_2262 =
																											CDR(BgL_allocsz00_1048);
																										BgL_allocsz00_1048 =
																											BgL_allocsz00_2262;
																										goto BgL_loopz00_1049;
																									}
																								else
																									{
																										bool_t
																											BgL_onezd2nonzd2tzf3zf3_2264;
																										BgL_onezd2nonzd2tzf3zf3_2264
																											= ((bool_t) 1);
																										BgL_onezd2nonzd2tzf3zf3_1047
																											=
																											BgL_onezd2nonzd2tzf3zf3_2264;
																										goto BgL_loopz00_1049;
																									}
																							}
																						}
																					else
																						{	/* Cfa/closure.scm 204 */
																							if (CBOOL
																								(BGl_za2unsafezd2typeza2zd2zzengine_paramz00))
																								{
																									obj_t BgL_allocsz00_2267;

																									BgL_allocsz00_2267 =
																										CDR(BgL_allocsz00_1048);
																									BgL_allocsz00_1048 =
																										BgL_allocsz00_2267;
																									goto BgL_loopz00_1049;
																								}
																							else
																								{
																									bool_t
																										BgL_onezd2nonzd2tzf3zf3_2269;
																									BgL_onezd2nonzd2tzf3zf3_2269 =
																										((bool_t) 1);
																									BgL_onezd2nonzd2tzf3zf3_1047 =
																										BgL_onezd2nonzd2tzf3zf3_2269;
																									goto BgL_loopz00_1049;
																								}
																						}
																				}
																		}
																}
															}
														}
													}
												}
											}
										}
									}
									{
										obj_t BgL_l4478z00_2270;

										BgL_l4478z00_2270 = CDR(BgL_l4478z00_1038);
										BgL_l4478z00_1038 = BgL_l4478z00_2270;
										goto BgL_forzd2each4479zd2_1039;
									}
								}
							else
								{	/* Cfa/closure.scm 176 */
									((bool_t) 1);
								}
						}
						{
							bool_t BgL_continuezf3zf3_2272;

							BgL_continuezf3zf3_2272 = BgL_continuezf3zf3_1037;
							BgL_continuezf3zf3_1035 = BgL_continuezf3zf3_2272;
							goto BgL_loopz00_1036;
						}
					}
				else
					{	/* Cfa/closure.scm 173 */
						return BUNSPEC;
					}
			}
		}
	}



/* light-make-procedure! */
	bool_t BGl_lightzd2makezd2procedurez12z12zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 241 */
			{
				obj_t BgL_appz00_1106;
				obj_t BgL_appz00_1083;

				{
					obj_t BgL_l4480z00_1075;

					BgL_l4480z00_1075 =
						BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00;
				BgL_forzd2each4481zd2_1076:
					if (PAIRP(BgL_l4480z00_1075))
						{	/* Cfa/closure.scm 273 */
							{	/* Cfa/closure.scm 274 */
								obj_t BgL_appz00_1078;

								BgL_appz00_1078 = CAR(BgL_l4480z00_1075);
								{	/* Cfa/closure.scm 276 */
									bool_t BgL_testz00_2276;

									{	/* Cfa/closure.scm 276 */
										BgL_makezd2procedurezd2appz00_bglt BgL_obj4059z00_1852;

										BgL_obj4059z00_1852 =
											(BgL_makezd2procedurezd2appz00_bglt) (BgL_appz00_1078);
										{
											obj_t BgL_auxz00_2278;

											{	/* Cfa/closure.scm 276 */
												BgL_objectz00_bglt BgL_auxz00_2279;

												BgL_auxz00_2279 =
													(BgL_objectz00_bglt) (BgL_obj4059z00_1852);
												BgL_auxz00_2278 = BGL_OBJECT_WIDENING(BgL_auxz00_2279);
											}
											BgL_testz00_2276 =
												(((BgL_makezd2procedurezd2appz00_bglt)
													CREF(BgL_auxz00_2278))->BgL_xz00);
										}
									}
									if (BgL_testz00_2276)
										{	/* Cfa/closure.scm 276 */
											BgL_appz00_1106 = BgL_appz00_1078;
											{	/* Cfa/closure.scm 244 */
												obj_t BgL_siza7eza7_1109;

												{	/* Cfa/closure.scm 244 */
													obj_t BgL_arg4577z00_1126;

													{	/* Cfa/closure.scm 244 */
														obj_t BgL_pairz00_1888;

														{	/* Cfa/closure.scm 244 */
															BgL_appz00_bglt BgL_obj2005z00_1887;

															BgL_obj2005z00_1887 =
																(BgL_appz00_bglt) (BgL_appz00_1106);
															BgL_pairz00_1888 =
																(((BgL_appz00_bglt) CREF(BgL_obj2005z00_1887))->
																BgL_argsz00);
														}
														BgL_arg4577z00_1126 =
															CAR(CDR(CDR(BgL_pairz00_1888)));
													}
													BgL_siza7eza7_1109 =
														BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(
														(BgL_nodez00_bglt) (BgL_arg4577z00_1126));
												}
												{	/* Cfa/closure.scm 244 */
													BgL_variablez00_bglt BgL_ffunz00_1110;

													{	/* Cfa/closure.scm 245 */
														BgL_varz00_bglt BgL_obj1908z00_1896;

														{	/* Cfa/closure.scm 245 */
															obj_t BgL_auxz00_2290;

															{	/* Cfa/closure.scm 245 */
																obj_t BgL_pairz00_1895;

																{	/* Cfa/closure.scm 245 */
																	BgL_appz00_bglt BgL_obj2005z00_1894;

																	BgL_obj2005z00_1894 =
																		(BgL_appz00_bglt) (BgL_appz00_1106);
																	BgL_pairz00_1895 =
																		(((BgL_appz00_bglt)
																			CREF(BgL_obj2005z00_1894))->BgL_argsz00);
																}
																BgL_auxz00_2290 = CAR(BgL_pairz00_1895);
															}
															BgL_obj1908z00_1896 =
																(BgL_varz00_bglt) (BgL_auxz00_2290);
														}
														BgL_ffunz00_1110 =
															(((BgL_varz00_bglt) CREF(BgL_obj1908z00_1896))->
															BgL_variablez00);
													}
													{	/* Cfa/closure.scm 245 */
														BgL_valuez00_bglt BgL_sfunz00_1111;

														BgL_sfunz00_1111 =
															(((BgL_variablez00_bglt) CREF(BgL_ffunz00_1110))->
															BgL_valuez00);
														{	/* Cfa/closure.scm 246 */

															if (
																((long) CINT(BgL_siza7eza7_1109) == ((long) 1)))
																{	/* Cfa/closure.scm 248 */
																	{	/* Cfa/closure.scm 249 */
																		bool_t BgL_testz00_2300;

																		{	/* Cfa/closure.scm 249 */
																			bool_t BgL_testz00_2301;

																			{	/* Cfa/closure.scm 249 */
																				obj_t BgL_obj1509z00_1900;

																				BgL_obj1509z00_1900 =
																					(obj_t) (BgL_ffunz00_1110);
																				BgL_testz00_2301 =
																					BGl_iszd2azf3z21zz__objectz00
																					(BgL_obj1509z00_1900,
																					BGl_globalz00zzast_varz00);
																			}
																			if (BgL_testz00_2301)
																				{	/* Cfa/closure.scm 250 */
																					bool_t BgL_testz00_2304;

																					{	/* Cfa/closure.scm 250 */
																						obj_t BgL_arg4572z00_1121;

																						{	/* Cfa/closure.scm 250 */
																							BgL_funz00_bglt
																								BgL_obj1583z00_1901;
																							BgL_obj1583z00_1901 =
																								(BgL_funz00_bglt)
																								(BgL_sfunz00_1111);
																							BgL_arg4572z00_1121 =
																								(((BgL_funz00_bglt)
																									CREF(BgL_obj1583z00_1901))->
																								BgL_thezd2closurezd2);
																						}
																						BgL_testz00_2304 =
																							BGl_iszd2azf3z21zz__objectz00
																							(BgL_arg4572z00_1121,
																							BGl_globalz00zzast_varz00);
																					}
																					if (BgL_testz00_2304)
																						{	/* Cfa/closure.scm 251 */
																							BgL_valuez00_bglt
																								BgL_arg4570z00_1119;
																							{	/* Cfa/closure.scm 251 */
																								BgL_variablez00_bglt
																									BgL_obj1369z00_1904;
																								{	/* Cfa/closure.scm 251 */
																									BgL_funz00_bglt
																										BgL_obj1583z00_1903;
																									BgL_obj1583z00_1903 =
																										(BgL_funz00_bglt)
																										(BgL_sfunz00_1111);
																									{	/* Cfa/closure.scm 251 */
																										obj_t BgL_auxz00_2309;

																										BgL_auxz00_2309 =
																											(((BgL_funz00_bglt)
																												CREF
																												(BgL_obj1583z00_1903))->
																											BgL_thezd2closurezd2);
																										BgL_obj1369z00_1904 =
																											(BgL_variablez00_bglt)
																											(BgL_auxz00_2309);
																									}
																								}
																								BgL_arg4570z00_1119 =
																									(((BgL_variablez00_bglt)
																										CREF(BgL_obj1369z00_1904))->
																									BgL_valuez00);
																							}
																							{	/* Cfa/closure.scm 251 */
																								obj_t BgL_obj1802z00_1905;

																								BgL_obj1802z00_1905 =
																									(obj_t) (BgL_arg4570z00_1119);
																								BgL_testz00_2300 =
																									BGl_iszd2azf3z21zz__objectz00
																									(BgL_obj1802z00_1905,
																									BGl_scnstz00zzast_varz00);
																							}
																						}
																					else
																						{	/* Cfa/closure.scm 250 */
																							BgL_testz00_2300 = ((bool_t) 0);
																						}
																				}
																			else
																				{	/* Cfa/closure.scm 249 */
																					BgL_testz00_2300 = ((bool_t) 0);
																				}
																		}
																		if (BgL_testz00_2300)
																			{	/* Cfa/closure.scm 252 */
																				BgL_valuez00_bglt BgL_arg4565z00_1114;
																				obj_t BgL_arg4566z00_1115;

																				{	/* Cfa/closure.scm 252 */
																					BgL_variablez00_bglt
																						BgL_obj1369z00_1907;
																					{	/* Cfa/closure.scm 252 */
																						BgL_funz00_bglt BgL_obj1583z00_1906;

																						BgL_obj1583z00_1906 =
																							(BgL_funz00_bglt)
																							(BgL_sfunz00_1111);
																						{	/* Cfa/closure.scm 252 */
																							obj_t BgL_auxz00_2316;

																							BgL_auxz00_2316 =
																								(((BgL_funz00_bglt)
																									CREF(BgL_obj1583z00_1906))->
																								BgL_thezd2closurezd2);
																							BgL_obj1369z00_1907 =
																								(BgL_variablez00_bglt)
																								(BgL_auxz00_2316);
																						}
																					}
																					BgL_arg4565z00_1114 =
																						(((BgL_variablez00_bglt)
																							CREF(BgL_obj1369z00_1907))->
																						BgL_valuez00);
																				}
																				BgL_arg4566z00_1115 =
																					CNST_TABLE_REF(((long) 3));
																				{	/* Cfa/closure.scm 252 */
																					BgL_scnstz00_bglt BgL_obj1786z00_1908;
																					obj_t BgL_val1785z00_1909;

																					BgL_obj1786z00_1908 =
																						(BgL_scnstz00_bglt)
																						(BgL_arg4565z00_1114);
																					BgL_val1785z00_1909 =
																						BgL_arg4566z00_1115;
																					((((BgL_scnstz00_bglt)
																								CREF(BgL_obj1786z00_1908))->
																							BgL_classz00) =
																						((obj_t) BgL_val1785z00_1909),
																						BUNSPEC);
																			}}
																		else
																			{	/* Cfa/closure.scm 249 */
																				BFALSE;
																			}
																	}
																	{	/* Cfa/closure.scm 254 */
																		BgL_varz00_bglt BgL_arg4573z00_1122;

																		{	/* Cfa/closure.scm 254 */
																			BgL_appz00_bglt BgL_obj2002z00_1910;

																			BgL_obj2002z00_1910 =
																				(BgL_appz00_bglt) (BgL_appz00_1106);
																			BgL_arg4573z00_1122 =
																				(((BgL_appz00_bglt)
																					CREF(BgL_obj2002z00_1910))->
																				BgL_funz00);
																		}
																		{	/* Cfa/closure.scm 254 */
																			BgL_varz00_bglt BgL_obj1910z00_1911;
																			BgL_variablez00_bglt BgL_val1909z00_1912;

																			BgL_obj1910z00_1911 = BgL_arg4573z00_1122;
																			BgL_val1909z00_1912 =
																				(BgL_variablez00_bglt)
																				(BGl_za2makezd2elzd2procedurezd21za2zd2zzcfa_closurez00);
																			((((BgL_varz00_bglt)
																						CREF(BgL_obj1910z00_1911))->
																					BgL_variablez00) =
																				((BgL_variablez00_bglt)
																					BgL_val1909z00_1912), BUNSPEC);
																		}
																	}
																}
															else
																{	/* Cfa/closure.scm 256 */
																	BgL_varz00_bglt BgL_arg4574z00_1123;

																	{	/* Cfa/closure.scm 256 */
																		BgL_appz00_bglt BgL_obj2002z00_1913;

																		BgL_obj2002z00_1913 =
																			(BgL_appz00_bglt) (BgL_appz00_1106);
																		BgL_arg4574z00_1123 =
																			(((BgL_appz00_bglt)
																				CREF(BgL_obj2002z00_1913))->BgL_funz00);
																	}
																	{	/* Cfa/closure.scm 256 */
																		BgL_varz00_bglt BgL_obj1910z00_1914;
																		BgL_variablez00_bglt BgL_val1909z00_1915;

																		BgL_obj1910z00_1914 = BgL_arg4574z00_1123;
																		BgL_val1909z00_1915 =
																			(BgL_variablez00_bglt)
																			(BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00);
																		((((BgL_varz00_bglt)
																					CREF(BgL_obj1910z00_1914))->
																				BgL_variablez00) =
																			((BgL_variablez00_bglt)
																				BgL_val1909z00_1915), BUNSPEC);
																	}
																}
														}
													}
												}
											}
											{	/* Cfa/closure.scm 257 */
												obj_t BgL_arg4579z00_1128;

												{	/* Cfa/closure.scm 257 */
													obj_t BgL_pairz00_1917;

													{	/* Cfa/closure.scm 257 */
														BgL_appz00_bglt BgL_obj2005z00_1916;

														BgL_obj2005z00_1916 =
															(BgL_appz00_bglt) (BgL_appz00_1106);
														BgL_pairz00_1917 =
															(((BgL_appz00_bglt) CREF(BgL_obj2005z00_1916))->
															BgL_argsz00);
													}
													BgL_arg4579z00_1128 = CDR(CDR(BgL_pairz00_1917));
												}
												{	/* Cfa/closure.scm 257 */
													BgL_appz00_bglt BgL_obj2007z00_1921;
													obj_t BgL_val2006z00_1922;

													BgL_obj2007z00_1921 =
														(BgL_appz00_bglt) (BgL_appz00_1106);
													BgL_val2006z00_1922 = BgL_arg4579z00_1128;
													((((BgL_appz00_bglt) CREF(BgL_obj2007z00_1921))->
															BgL_argsz00) =
														((obj_t) BgL_val2006z00_1922), BUNSPEC);
												}
											}
											BgL_appz00_1106;
										}
									else
										{	/* Cfa/closure.scm 277 */
											bool_t BgL_testz00_2337;

											{	/* Cfa/closure.scm 277 */
												BgL_makezd2procedurezd2appz00_bglt BgL_obj4062z00_1853;

												BgL_obj4062z00_1853 =
													(BgL_makezd2procedurezd2appz00_bglt)
													(BgL_appz00_1078);
												{
													obj_t BgL_auxz00_2339;

													{	/* Cfa/closure.scm 277 */
														BgL_objectz00_bglt BgL_auxz00_2340;

														BgL_auxz00_2340 =
															(BgL_objectz00_bglt) (BgL_obj4062z00_1853);
														BgL_auxz00_2339 =
															BGL_OBJECT_WIDENING(BgL_auxz00_2340);
													}
													BgL_testz00_2337 =
														(((BgL_makezd2procedurezd2appz00_bglt)
															CREF(BgL_auxz00_2339))->BgL_tz00);
												}
											}
											if (BgL_testz00_2337)
												{	/* Cfa/closure.scm 277 */
													BgL_appz00_1083 = BgL_appz00_1078;
													{	/* Cfa/closure.scm 261 */
														obj_t BgL_siza7eza7_1086;

														{	/* Cfa/closure.scm 261 */
															obj_t BgL_arg4560z00_1104;

															{	/* Cfa/closure.scm 261 */
																obj_t BgL_pairz00_1856;

																{	/* Cfa/closure.scm 261 */
																	BgL_appz00_bglt BgL_obj2005z00_1855;

																	BgL_obj2005z00_1855 =
																		(BgL_appz00_bglt) (BgL_appz00_1083);
																	BgL_pairz00_1856 =
																		(((BgL_appz00_bglt)
																			CREF(BgL_obj2005z00_1855))->BgL_argsz00);
																}
																BgL_arg4560z00_1104 =
																	CAR(CDR(CDR(BgL_pairz00_1856)));
															}
															BgL_siza7eza7_1086 =
																BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(
																(BgL_nodez00_bglt) (BgL_arg4560z00_1104));
														}
														{	/* Cfa/closure.scm 261 */
															BgL_variablez00_bglt BgL_ffunz00_1087;

															{	/* Cfa/closure.scm 262 */
																BgL_varz00_bglt BgL_obj1908z00_1864;

																{	/* Cfa/closure.scm 262 */
																	obj_t BgL_auxz00_2351;

																	{	/* Cfa/closure.scm 262 */
																		obj_t BgL_pairz00_1863;

																		{	/* Cfa/closure.scm 262 */
																			BgL_appz00_bglt BgL_obj2005z00_1862;

																			BgL_obj2005z00_1862 =
																				(BgL_appz00_bglt) (BgL_appz00_1083);
																			BgL_pairz00_1863 =
																				(((BgL_appz00_bglt)
																					CREF(BgL_obj2005z00_1862))->
																				BgL_argsz00);
																		}
																		BgL_auxz00_2351 = CAR(BgL_pairz00_1863);
																	}
																	BgL_obj1908z00_1864 =
																		(BgL_varz00_bglt) (BgL_auxz00_2351);
																}
																BgL_ffunz00_1087 =
																	(((BgL_varz00_bglt)
																		CREF(BgL_obj1908z00_1864))->
																	BgL_variablez00);
															}
															{	/* Cfa/closure.scm 262 */
																BgL_valuez00_bglt BgL_sfunz00_1088;

																BgL_sfunz00_1088 =
																	(((BgL_variablez00_bglt)
																		CREF(BgL_ffunz00_1087))->BgL_valuez00);
																{	/* Cfa/closure.scm 263 */

																	{	/* Cfa/closure.scm 264 */
																		bool_t BgL_testz00_2358;

																		{	/* Cfa/closure.scm 264 */
																			bool_t BgL_testz00_2359;

																			{	/* Cfa/closure.scm 264 */
																				obj_t BgL_obj1509z00_1866;

																				BgL_obj1509z00_1866 =
																					(obj_t) (BgL_ffunz00_1087);
																				BgL_testz00_2359 =
																					BGl_iszd2azf3z21zz__objectz00
																					(BgL_obj1509z00_1866,
																					BGl_globalz00zzast_varz00);
																			}
																			if (BgL_testz00_2359)
																				{	/* Cfa/closure.scm 265 */
																					bool_t BgL_testz00_2362;

																					{	/* Cfa/closure.scm 265 */
																						obj_t BgL_arg4553z00_1097;

																						{	/* Cfa/closure.scm 265 */
																							BgL_funz00_bglt
																								BgL_obj1583z00_1867;
																							BgL_obj1583z00_1867 =
																								(BgL_funz00_bglt)
																								(BgL_sfunz00_1088);
																							BgL_arg4553z00_1097 =
																								(((BgL_funz00_bglt)
																									CREF(BgL_obj1583z00_1867))->
																								BgL_thezd2closurezd2);
																						}
																						BgL_testz00_2362 =
																							BGl_iszd2azf3z21zz__objectz00
																							(BgL_arg4553z00_1097,
																							BGl_globalz00zzast_varz00);
																					}
																					if (BgL_testz00_2362)
																						{	/* Cfa/closure.scm 266 */
																							BgL_valuez00_bglt
																								BgL_arg4551z00_1095;
																							{	/* Cfa/closure.scm 266 */
																								BgL_variablez00_bglt
																									BgL_obj1369z00_1870;
																								{	/* Cfa/closure.scm 266 */
																									BgL_funz00_bglt
																										BgL_obj1583z00_1869;
																									BgL_obj1583z00_1869 =
																										(BgL_funz00_bglt)
																										(BgL_sfunz00_1088);
																									{	/* Cfa/closure.scm 266 */
																										obj_t BgL_auxz00_2367;

																										BgL_auxz00_2367 =
																											(((BgL_funz00_bglt)
																												CREF
																												(BgL_obj1583z00_1869))->
																											BgL_thezd2closurezd2);
																										BgL_obj1369z00_1870 =
																											(BgL_variablez00_bglt)
																											(BgL_auxz00_2367);
																									}
																								}
																								BgL_arg4551z00_1095 =
																									(((BgL_variablez00_bglt)
																										CREF(BgL_obj1369z00_1870))->
																									BgL_valuez00);
																							}
																							{	/* Cfa/closure.scm 266 */
																								obj_t BgL_obj1802z00_1871;

																								BgL_obj1802z00_1871 =
																									(obj_t) (BgL_arg4551z00_1095);
																								BgL_testz00_2358 =
																									BGl_iszd2azf3z21zz__objectz00
																									(BgL_obj1802z00_1871,
																									BGl_scnstz00zzast_varz00);
																							}
																						}
																					else
																						{	/* Cfa/closure.scm 265 */
																							BgL_testz00_2358 = ((bool_t) 0);
																						}
																				}
																			else
																				{	/* Cfa/closure.scm 264 */
																					BgL_testz00_2358 = ((bool_t) 0);
																				}
																		}
																		if (BgL_testz00_2358)
																			{	/* Cfa/closure.scm 267 */
																				BgL_valuez00_bglt BgL_arg4546z00_1090;
																				obj_t BgL_arg4547z00_1091;

																				{	/* Cfa/closure.scm 267 */
																					BgL_variablez00_bglt
																						BgL_obj1369z00_1873;
																					{	/* Cfa/closure.scm 267 */
																						BgL_funz00_bglt BgL_obj1583z00_1872;

																						BgL_obj1583z00_1872 =
																							(BgL_funz00_bglt)
																							(BgL_sfunz00_1088);
																						{	/* Cfa/closure.scm 267 */
																							obj_t BgL_auxz00_2374;

																							BgL_auxz00_2374 =
																								(((BgL_funz00_bglt)
																									CREF(BgL_obj1583z00_1872))->
																								BgL_thezd2closurezd2);
																							BgL_obj1369z00_1873 =
																								(BgL_variablez00_bglt)
																								(BgL_auxz00_2374);
																						}
																					}
																					BgL_arg4546z00_1090 =
																						(((BgL_variablez00_bglt)
																							CREF(BgL_obj1369z00_1873))->
																						BgL_valuez00);
																				}
																				BgL_arg4547z00_1091 =
																					CNST_TABLE_REF(((long) 2));
																				{	/* Cfa/closure.scm 267 */
																					BgL_scnstz00_bglt BgL_obj1786z00_1874;
																					obj_t BgL_val1785z00_1875;

																					BgL_obj1786z00_1874 =
																						(BgL_scnstz00_bglt)
																						(BgL_arg4546z00_1090);
																					BgL_val1785z00_1875 =
																						BgL_arg4547z00_1091;
																					((((BgL_scnstz00_bglt)
																								CREF(BgL_obj1786z00_1874))->
																							BgL_classz00) =
																						((obj_t) BgL_val1785z00_1875),
																						BUNSPEC);
																			}}
																		else
																			{	/* Cfa/closure.scm 264 */
																				BFALSE;
																			}
																	}
																	{	/* Cfa/closure.scm 269 */
																		BgL_varz00_bglt BgL_arg4554z00_1098;

																		{	/* Cfa/closure.scm 269 */
																			BgL_appz00_bglt BgL_obj2002z00_1876;

																			BgL_obj2002z00_1876 =
																				(BgL_appz00_bglt) (BgL_appz00_1083);
																			BgL_arg4554z00_1098 =
																				(((BgL_appz00_bglt)
																					CREF(BgL_obj2002z00_1876))->
																				BgL_funz00);
																		}
																		{	/* Cfa/closure.scm 269 */
																			BgL_varz00_bglt BgL_obj1910z00_1877;
																			BgL_variablez00_bglt BgL_val1909z00_1878;

																			BgL_obj1910z00_1877 = BgL_arg4554z00_1098;
																			BgL_val1909z00_1878 =
																				(BgL_variablez00_bglt)
																				(BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00);
																			((((BgL_varz00_bglt)
																						CREF(BgL_obj1910z00_1877))->
																					BgL_variablez00) =
																				((BgL_variablez00_bglt)
																					BgL_val1909z00_1878), BUNSPEC);
																		}
																	}
																	{	/* Cfa/closure.scm 270 */
																		obj_t BgL_arg4555z00_1099;
																		obj_t BgL_arg4556z00_1100;

																		{	/* Cfa/closure.scm 270 */
																			BgL_appz00_bglt BgL_obj2005z00_1879;

																			BgL_obj2005z00_1879 =
																				(BgL_appz00_bglt) (BgL_appz00_1083);
																			BgL_arg4555z00_1099 =
																				(((BgL_appz00_bglt)
																					CREF(BgL_obj2005z00_1879))->
																				BgL_argsz00);
																		}
																		{	/* Cfa/closure.scm 270 */
																			obj_t BgL_pairz00_1881;

																			{	/* Cfa/closure.scm 270 */
																				BgL_appz00_bglt BgL_obj2005z00_1880;

																				BgL_obj2005z00_1880 =
																					(BgL_appz00_bglt) (BgL_appz00_1083);
																				BgL_pairz00_1881 =
																					(((BgL_appz00_bglt)
																						CREF(BgL_obj2005z00_1880))->
																					BgL_argsz00);
																			}
																			BgL_arg4556z00_1100 =
																				CDR(CDR(BgL_pairz00_1881));
																		}
																		SET_CDR(BgL_arg4555z00_1099,
																			BgL_arg4556z00_1100);
																	}
																	BgL_appz00_1083;
																}
															}
														}
													}
												}
											else
												{	/* Cfa/closure.scm 277 */
													BFALSE;
												}
										}
								}
							}
							{
								obj_t BgL_l4480z00_2392;

								BgL_l4480z00_2392 = CDR(BgL_l4480z00_1075);
								BgL_l4480z00_1075 = BgL_l4480z00_2392;
								goto BgL_forzd2each4481zd2_1076;
							}
						}
					else
						{	/* Cfa/closure.scm 273 */
							return ((bool_t) 1);
						}
				}
			}
		}
	}



/* light-funcall! */
	bool_t BGl_lightzd2funcallz12zc0zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 283 */
			{
				obj_t BgL_l4482z00_1132;

				BgL_l4482z00_1132 = BGl_za2funcallzd2listza2zd2zzcfa_closurez00;
			BgL_forzd2each4483zd2_1133:
				if (PAIRP(BgL_l4482z00_1132))
					{	/* Cfa/closure.scm 284 */
						{	/* Cfa/closure.scm 308 */
							BgL_funcallz00_bglt BgL_appz00_1135;

							{	/* Cfa/closure.scm 308 */
								obj_t BgL_pairz00_1924;

								BgL_pairz00_1924 = BgL_l4482z00_1132;
								{	/* Cfa/closure.scm 308 */
									obj_t BgL_auxz00_2396;

									BgL_auxz00_2396 = CAR(BgL_pairz00_1924);
									BgL_appz00_1135 = (BgL_funcallz00_bglt) (BgL_auxz00_2396);
								}
							}
							{	/* Cfa/closure.scm 286 */
								BgL_nodez00_bglt BgL_funz00_1136;

								BgL_funz00_1136 =
									(((BgL_funcallz00_bglt) CREF(BgL_appz00_1135))->BgL_funz00);
								{	/* Cfa/closure.scm 286 */
									BgL_approxz00_bglt BgL_approxz00_1137;

									BgL_approxz00_1137 =
										BGl_cfaz12z12zzcfa_cfaz00(BgL_funz00_1136);
									{	/* Cfa/closure.scm 287 */
										obj_t BgL_alloczd2listzd2_1138;

										{	/* Cfa/closure.scm 288 */
											obj_t BgL_arg4593z00_1154;

											BgL_arg4593z00_1154 =
												(((BgL_approxz00_bglt) CREF(BgL_approxz00_1137))->
												BgL_allocsz00);
											BgL_alloczd2listzd2_1138 =
												BGl_setzd2ze3listz31zzcfa_setz00(BgL_arg4593z00_1154);
										}
										{	/* Cfa/closure.scm 288 */

											{	/* Cfa/closure.scm 289 */
												bool_t BgL_testz00_2403;

												if (PAIRP(BgL_alloczd2listzd2_1138))
													{	/* Cfa/closure.scm 290 */
														bool_t BgL_testz00_2406;

														{	/* Cfa/closure.scm 290 */
															obj_t BgL_arg4592z00_1153;

															BgL_arg4592z00_1153 =
																CAR(BgL_alloczd2listzd2_1138);
															BgL_testz00_2406 =
																BGl_iszd2azf3z21zz__objectz00
																(BgL_arg4592z00_1153,
																BGl_makezd2procedurezd2appz00zzcfa_info2z00);
														}
														if (BgL_testz00_2406)
															{	/* Cfa/closure.scm 290 */
																BgL_testz00_2403 = ((bool_t) 0);
															}
														else
															{	/* Cfa/closure.scm 290 */
																BgL_testz00_2403 = ((bool_t) 1);
															}
													}
												else
													{	/* Cfa/closure.scm 289 */
														BgL_testz00_2403 = ((bool_t) 1);
													}
												if (BgL_testz00_2403)
													{	/* Cfa/closure.scm 289 */
														CNST_TABLE_REF(((long) 4));
													}
												else
													{	/* Cfa/closure.scm 294 */
														BgL_appz00_bglt BgL_allocz00_1140;

														{	/* Cfa/closure.scm 294 */
															obj_t BgL_pairz00_1930;

															BgL_pairz00_1930 = BgL_alloczd2listzd2_1138;
															{	/* Cfa/closure.scm 294 */
																obj_t BgL_auxz00_2410;

																BgL_auxz00_2410 = CAR(BgL_pairz00_1930);
																BgL_allocz00_1140 =
																	(BgL_appz00_bglt) (BgL_auxz00_2410);
															}
														}
														{	/* Cfa/closure.scm 297 */
															bool_t BgL_testz00_2413;

															{	/* Cfa/closure.scm 297 */
																BgL_makezd2procedurezd2appz00_bglt
																	BgL_obj4059z00_1931;
																BgL_obj4059z00_1931 =
																	(BgL_makezd2procedurezd2appz00_bglt)
																	(BgL_allocz00_1140);
																{
																	obj_t BgL_auxz00_2415;

																	{	/* Cfa/closure.scm 297 */
																		BgL_objectz00_bglt BgL_auxz00_2416;

																		BgL_auxz00_2416 =
																			(BgL_objectz00_bglt)
																			(BgL_obj4059z00_1931);
																		BgL_auxz00_2415 =
																			BGL_OBJECT_WIDENING(BgL_auxz00_2416);
																	}
																	BgL_testz00_2413 =
																		(((BgL_makezd2procedurezd2appz00_bglt)
																			CREF(BgL_auxz00_2415))->BgL_xz00);
																}
															}
															if (BgL_testz00_2413)
																{	/* Cfa/closure.scm 297 */
																	{	/* Cfa/closure.scm 301 */
																		BgL_varz00_bglt BgL_arg4584z00_1143;

																		{	/* Cfa/closure.scm 301 */
																			BgL_varz00_bglt
																				BgL_duplicated4457z00_1144;
																			{	/* Cfa/closure.scm 301 */
																				obj_t BgL_pairz00_1933;

																				BgL_pairz00_1933 =
																					(((BgL_appz00_bglt)
																						CREF(BgL_allocz00_1140))->
																					BgL_argsz00);
																				{	/* Cfa/closure.scm 301 */
																					obj_t BgL_auxz00_2421;

																					BgL_auxz00_2421 =
																						CAR(BgL_pairz00_1933);
																					BgL_duplicated4457z00_1144 =
																						(BgL_varz00_bglt) (BgL_auxz00_2421);
																				}
																			}
																			{	/* Cfa/closure.scm 301 */
																				BgL_varz00_bglt BgL_new4458z00_1145;

																				{	/* Cfa/closure.scm 301 */
																					obj_t BgL_arg4585z00_1146;
																					BgL_typez00_bglt BgL_arg4586z00_1147;
																					BgL_variablez00_bglt
																						BgL_arg4587z00_1148;
																					{	/* Cfa/closure.scm 301 */
																						BgL_nodez00_bglt
																							BgL_obj1844z00_1934;
																						BgL_obj1844z00_1934 =
																							(BgL_nodez00_bglt)
																							(BgL_duplicated4457z00_1144);
																						BgL_arg4585z00_1146 =
																							(((BgL_nodez00_bglt)
																								CREF(BgL_obj1844z00_1934))->
																							BgL_locz00);
																					}
																					{	/* Cfa/closure.scm 301 */
																						BgL_nodez00_bglt
																							BgL_obj1845z00_1935;
																						BgL_obj1845z00_1935 =
																							(BgL_nodez00_bglt)
																							(BgL_duplicated4457z00_1144);
																						BgL_arg4586z00_1147 =
																							(((BgL_nodez00_bglt)
																								CREF(BgL_obj1845z00_1935))->
																							BgL_typez00);
																					}
																					BgL_arg4587z00_1148 =
																						(((BgL_varz00_bglt)
																							CREF
																							(BgL_duplicated4457z00_1144))->
																						BgL_variablez00);
																					BgL_new4458z00_1145 =
																						BGl_makezd2varzd2zzast_nodez00
																						(BgL_arg4585z00_1146,
																						BgL_arg4586z00_1147,
																						BgL_arg4587z00_1148);
																				}
																				{	/* Cfa/closure.scm 301 */

																					BgL_arg4584z00_1143 =
																						BgL_new4458z00_1145;
																				}
																			}
																		}
																		{	/* Cfa/closure.scm 299 */
																			BgL_funcallz00_bglt BgL_obj2075z00_1937;
																			BgL_nodez00_bglt BgL_val2074z00_1938;

																			BgL_obj2075z00_1937 = BgL_appz00_1135;
																			BgL_val2074z00_1938 =
																				(BgL_nodez00_bglt)
																				(BgL_arg4584z00_1143);
																			((((BgL_funcallz00_bglt)
																						CREF(BgL_obj2075z00_1937))->
																					BgL_funz00) =
																				((BgL_nodez00_bglt)
																					BgL_val2074z00_1938), BUNSPEC);
																		}
																	}
																	{	/* Cfa/closure.scm 302 */
																		BgL_funcallz00_bglt BgL_obj2081z00_1939;
																		obj_t BgL_val2080z00_1940;

																		BgL_obj2081z00_1939 = BgL_appz00_1135;
																		BgL_val2080z00_1940 =
																			CNST_TABLE_REF(((long) 5));
																		((((BgL_funcallz00_bglt)
																					CREF(BgL_obj2081z00_1939))->
																				BgL_strengthz00) =
																			((obj_t) BgL_val2080z00_1940), BUNSPEC);
																}}
															else
																{	/* Cfa/closure.scm 303 */
																	bool_t BgL_testz00_2434;

																	{	/* Cfa/closure.scm 303 */
																		BgL_makezd2procedurezd2appz00_bglt
																			BgL_obj4062z00_1941;
																		BgL_obj4062z00_1941 =
																			(BgL_makezd2procedurezd2appz00_bglt)
																			(BgL_allocz00_1140);
																		{
																			obj_t BgL_auxz00_2436;

																			{	/* Cfa/closure.scm 303 */
																				BgL_objectz00_bglt BgL_auxz00_2437;

																				BgL_auxz00_2437 =
																					(BgL_objectz00_bglt)
																					(BgL_obj4062z00_1941);
																				BgL_auxz00_2436 =
																					BGL_OBJECT_WIDENING(BgL_auxz00_2437);
																			}
																			BgL_testz00_2434 =
																				(((BgL_makezd2procedurezd2appz00_bglt)
																					CREF(BgL_auxz00_2436))->BgL_tz00);
																		}
																	}
																	if (BgL_testz00_2434)
																		{	/* Cfa/closure.scm 303 */
																			{	/* Cfa/closure.scm 305 */
																				BgL_funcallz00_bglt BgL_obj2081z00_1942;
																				obj_t BgL_val2080z00_1943;

																				BgL_obj2081z00_1942 = BgL_appz00_1135;
																				BgL_val2080z00_1943 =
																					CNST_TABLE_REF(((long) 6));
																				((((BgL_funcallz00_bglt)
																							CREF(BgL_obj2081z00_1942))->
																						BgL_strengthz00) =
																					((obj_t) BgL_val2080z00_1943),
																					BUNSPEC);
																		}}
																	else
																		{	/* Cfa/closure.scm 303 */
																			CNST_TABLE_REF(((long) 4));
						}}}}}}}}}}
						{
							obj_t BgL_l4482z00_2444;

							BgL_l4482z00_2444 = CDR(BgL_l4482z00_1132);
							BgL_l4482z00_1132 = BgL_l4482z00_2444;
							goto BgL_forzd2each4483zd2_1133;
						}
					}
				else
					{	/* Cfa/closure.scm 284 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* light-access! */
	bool_t BGl_lightzd2accessz12zc0zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 314 */
			{
				obj_t BgL_l4484z00_1156;

				BgL_l4484z00_1156 = BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00;
			BgL_forzd2each4485zd2_1157:
				if (PAIRP(BgL_l4484z00_1156))
					{	/* Cfa/closure.scm 315 */
						{	/* Cfa/closure.scm 317 */
							obj_t BgL_appz00_1159;

							BgL_appz00_1159 = CAR(BgL_l4484z00_1156);
							{	/* Cfa/closure.scm 317 */
								BgL_approxz00_bglt BgL_approxz00_1161;

								{	/* Cfa/closure.scm 318 */
									obj_t BgL_arg4611z00_1182;

									{	/* Cfa/closure.scm 318 */
										obj_t BgL_pairz00_1949;

										{	/* Cfa/closure.scm 318 */
											BgL_appz00_bglt BgL_obj2005z00_1948;

											BgL_obj2005z00_1948 = (BgL_appz00_bglt) (BgL_appz00_1159);
											BgL_pairz00_1949 =
												(((BgL_appz00_bglt) CREF(BgL_obj2005z00_1948))->
												BgL_argsz00);
										}
										BgL_arg4611z00_1182 = CAR(BgL_pairz00_1949);
									}
									BgL_approxz00_1161 =
										BGl_cfaz12z12zzcfa_cfaz00(
										(BgL_nodez00_bglt) (BgL_arg4611z00_1182));
								}
								{	/* Cfa/closure.scm 318 */
									obj_t BgL_alloczd2listzd2_1162;

									{	/* Cfa/closure.scm 319 */
										obj_t BgL_arg4610z00_1181;

										BgL_arg4610z00_1181 =
											(((BgL_approxz00_bglt) CREF(BgL_approxz00_1161))->
											BgL_allocsz00);
										BgL_alloczd2listzd2_1162 =
											BGl_setzd2ze3listz31zzcfa_setz00(BgL_arg4610z00_1181);
									}
									{	/* Cfa/closure.scm 319 */
										BgL_varz00_bglt BgL_funz00_1163;

										{	/* Cfa/closure.scm 320 */
											BgL_appz00_bglt BgL_obj2002z00_1951;

											BgL_obj2002z00_1951 = (BgL_appz00_bglt) (BgL_appz00_1159);
											BgL_funz00_1163 =
												(((BgL_appz00_bglt) CREF(BgL_obj2002z00_1951))->
												BgL_funz00);
										}
										{	/* Cfa/closure.scm 320 */
											BgL_variablez00_bglt BgL_vfunz00_1164;

											BgL_vfunz00_1164 =
												(((BgL_varz00_bglt) CREF(BgL_funz00_1163))->
												BgL_variablez00);
											{	/* Cfa/closure.scm 321 */

												{	/* Cfa/closure.scm 322 */
													bool_t BgL_testz00_2459;

													if (PAIRP(BgL_alloczd2listzd2_1162))
														{	/* Cfa/closure.scm 323 */
															bool_t BgL_testz00_2462;

															{	/* Cfa/closure.scm 323 */
																obj_t BgL_arg4609z00_1180;

																BgL_arg4609z00_1180 =
																	CAR(BgL_alloczd2listzd2_1162);
																BgL_testz00_2462 =
																	BGl_iszd2azf3z21zz__objectz00
																	(BgL_arg4609z00_1180,
																	BGl_makezd2procedurezd2appz00zzcfa_info2z00);
															}
															if (BgL_testz00_2462)
																{	/* Cfa/closure.scm 323 */
																	BgL_testz00_2459 = ((bool_t) 0);
																}
															else
																{	/* Cfa/closure.scm 323 */
																	BgL_testz00_2459 = ((bool_t) 1);
																}
														}
													else
														{	/* Cfa/closure.scm 322 */
															BgL_testz00_2459 = ((bool_t) 1);
														}
													if (BgL_testz00_2459)
														{	/* Cfa/closure.scm 322 */
															CNST_TABLE_REF(((long) 4));
														}
													else
														{	/* Cfa/closure.scm 325 */
															BgL_appz00_bglt BgL_allocz00_1166;

															{	/* Cfa/closure.scm 325 */
																obj_t BgL_pairz00_1956;

																BgL_pairz00_1956 = BgL_alloczd2listzd2_1162;
																{	/* Cfa/closure.scm 325 */
																	obj_t BgL_auxz00_2466;

																	BgL_auxz00_2466 = CAR(BgL_pairz00_1956);
																	BgL_allocz00_1166 =
																		(BgL_appz00_bglt) (BgL_auxz00_2466);
																}
															}
															{	/* Cfa/closure.scm 328 */
																bool_t BgL_testz00_2469;

																{	/* Cfa/closure.scm 328 */
																	BgL_makezd2procedurezd2appz00_bglt
																		BgL_obj4059z00_1957;
																	BgL_obj4059z00_1957 =
																		(BgL_makezd2procedurezd2appz00_bglt)
																		(BgL_allocz00_1166);
																	{
																		obj_t BgL_auxz00_2471;

																		{	/* Cfa/closure.scm 328 */
																			BgL_objectz00_bglt BgL_auxz00_2472;

																			BgL_auxz00_2472 =
																				(BgL_objectz00_bglt)
																				(BgL_obj4059z00_1957);
																			BgL_auxz00_2471 =
																				BGL_OBJECT_WIDENING(BgL_auxz00_2472);
																		}
																		BgL_testz00_2469 =
																			(((BgL_makezd2procedurezd2appz00_bglt)
																				CREF(BgL_auxz00_2471))->BgL_xz00);
																	}
																}
																if (BgL_testz00_2469)
																	{	/* Cfa/closure.scm 329 */
																		bool_t BgL_testz00_2476;

																		{	/* Cfa/closure.scm 329 */
																			obj_t BgL_arg4601z00_1172;

																			{	/* Cfa/closure.scm 329 */
																				obj_t BgL_arg4603z00_1174;

																				{	/* Cfa/closure.scm 329 */
																					obj_t BgL_pairz00_1959;

																					BgL_pairz00_1959 =
																						(((BgL_appz00_bglt)
																							CREF(BgL_allocz00_1166))->
																						BgL_argsz00);
																					BgL_arg4603z00_1174 =
																						CAR(CDR(CDR(BgL_pairz00_1959)));
																				}
																				BgL_arg4601z00_1172 =
																					BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00
																					((BgL_nodez00_bglt)
																					(BgL_arg4603z00_1174));
																			}
																			BgL_testz00_2476 =
																				(
																				(long) CINT(BgL_arg4601z00_1172) ==
																				((long) 1));
																		}
																		if (BgL_testz00_2476)
																			{	/* Cfa/closure.scm 329 */
																				if (
																					((obj_t) (BgL_vfunz00_1164) ==
																						BGl_za2procedurezd2refza2zd2zzcfa_closurez00))
																					{	/* Cfa/closure.scm 331 */
																						BgL_varz00_bglt BgL_obj1910z00_1967;
																						BgL_variablez00_bglt
																							BgL_val1909z00_1968;
																						BgL_obj1910z00_1967 =
																							BgL_funz00_1163;
																						BgL_val1909z00_1968 =
																							(BgL_variablez00_bglt)
																							(BGl_za2procedurezd21zd2elzd2refza2zd2zzcfa_closurez00);
																						((((BgL_varz00_bglt)
																									CREF(BgL_obj1910z00_1967))->
																								BgL_variablez00) =
																							((BgL_variablez00_bglt)
																								BgL_val1909z00_1968), BUNSPEC);
																					}
																				else
																					{	/* Cfa/closure.scm 332 */
																						BgL_varz00_bglt BgL_obj1910z00_1969;
																						BgL_variablez00_bglt
																							BgL_val1909z00_1970;
																						BgL_obj1910z00_1969 =
																							BgL_funz00_1163;
																						BgL_val1909z00_1970 =
																							(BgL_variablez00_bglt)
																							(BGl_za2procedurezd21zd2elzd2setz12za2zc0zzcfa_closurez00);
																						((((BgL_varz00_bglt)
																									CREF(BgL_obj1910z00_1969))->
																								BgL_variablez00) =
																							((BgL_variablez00_bglt)
																								BgL_val1909z00_1970), BUNSPEC);
																					}
																			}
																		else
																			{	/* Cfa/closure.scm 329 */
																				if (
																					((obj_t) (BgL_vfunz00_1164) ==
																						BGl_za2procedurezd2refza2zd2zzcfa_closurez00))
																					{	/* Cfa/closure.scm 334 */
																						BgL_varz00_bglt BgL_obj1910z00_1971;
																						BgL_variablez00_bglt
																							BgL_val1909z00_1972;
																						BgL_obj1910z00_1971 =
																							BgL_funz00_1163;
																						BgL_val1909z00_1972 =
																							(BgL_variablez00_bglt)
																							(BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00);
																						((((BgL_varz00_bglt)
																									CREF(BgL_obj1910z00_1971))->
																								BgL_variablez00) =
																							((BgL_variablez00_bglt)
																								BgL_val1909z00_1972), BUNSPEC);
																					}
																				else
																					{	/* Cfa/closure.scm 335 */
																						BgL_varz00_bglt BgL_obj1910z00_1973;
																						BgL_variablez00_bglt
																							BgL_val1909z00_1974;
																						BgL_obj1910z00_1973 =
																							BgL_funz00_1163;
																						BgL_val1909z00_1974 =
																							(BgL_variablez00_bglt)
																							(BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00);
																						((((BgL_varz00_bglt)
																									CREF(BgL_obj1910z00_1973))->
																								BgL_variablez00) =
																							((BgL_variablez00_bglt)
																								BgL_val1909z00_1974), BUNSPEC);
																					}
																			}
																	}
																else
																	{	/* Cfa/closure.scm 336 */
																		bool_t BgL_testz00_2499;

																		{	/* Cfa/closure.scm 336 */
																			BgL_makezd2procedurezd2appz00_bglt
																				BgL_obj4062z00_1975;
																			BgL_obj4062z00_1975 =
																				(BgL_makezd2procedurezd2appz00_bglt)
																				(BgL_allocz00_1166);
																			{
																				obj_t BgL_auxz00_2501;

																				{	/* Cfa/closure.scm 336 */
																					BgL_objectz00_bglt BgL_auxz00_2502;

																					BgL_auxz00_2502 =
																						(BgL_objectz00_bglt)
																						(BgL_obj4062z00_1975);
																					BgL_auxz00_2501 =
																						BGL_OBJECT_WIDENING
																						(BgL_auxz00_2502);
																				}
																				BgL_testz00_2499 =
																					(((BgL_makezd2procedurezd2appz00_bglt)
																						CREF(BgL_auxz00_2501))->BgL_tz00);
																			}
																		}
																		if (BgL_testz00_2499)
																			{	/* Cfa/closure.scm 336 */
																				if (
																					((obj_t) (BgL_vfunz00_1164) ==
																						BGl_za2procedurezd2refza2zd2zzcfa_closurez00))
																					{	/* Cfa/closure.scm 338 */
																						BgL_varz00_bglt BgL_obj1910z00_1976;
																						BgL_variablez00_bglt
																							BgL_val1909z00_1977;
																						BgL_obj1910z00_1976 =
																							BgL_funz00_1163;
																						BgL_val1909z00_1977 =
																							(BgL_variablez00_bglt)
																							(BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00);
																						((((BgL_varz00_bglt)
																									CREF(BgL_obj1910z00_1976))->
																								BgL_variablez00) =
																							((BgL_variablez00_bglt)
																								BgL_val1909z00_1977), BUNSPEC);
																					}
																				else
																					{	/* Cfa/closure.scm 339 */
																						BgL_varz00_bglt BgL_obj1910z00_1978;
																						BgL_variablez00_bglt
																							BgL_val1909z00_1979;
																						BgL_obj1910z00_1978 =
																							BgL_funz00_1163;
																						BgL_val1909z00_1979 =
																							(BgL_variablez00_bglt)
																							(BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00);
																						((((BgL_varz00_bglt)
																									CREF(BgL_obj1910z00_1978))->
																								BgL_variablez00) =
																							((BgL_variablez00_bglt)
																								BgL_val1909z00_1979), BUNSPEC);
																					}
																			}
																		else
																			{	/* Cfa/closure.scm 336 */
																				BFALSE;
																			}
																	}
															}
														}
												}
											}
										}
									}
								}
							}
						}
						{
							obj_t BgL_l4484z00_2513;

							BgL_l4484z00_2513 = CDR(BgL_l4484z00_1156);
							BgL_l4484z00_1156 = BgL_l4484z00_2513;
							goto BgL_forzd2each4485zd2_1157;
						}
					}
				else
					{	/* Cfa/closure.scm 315 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* show-X-T */
	obj_t BGl_showzd2Xzd2Tz00zzcfa_closurez00(obj_t BgL_allocsz00_6)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 345 */
			{
				obj_t BgL_xpz00_1188;
				obj_t BgL_tpz00_1189;
				obj_t BgL_allocsz00_1190;

				BgL_xpz00_1188 = BNIL;
				BgL_tpz00_1189 = BNIL;
				BgL_allocsz00_1190 = BgL_allocsz00_6;
			BgL_loopz00_1191:
				if (NULLP(BgL_allocsz00_1190))
					{	/* Cfa/closure.scm 356 */
						BGl_showz00zzcfa_closurez00(CNST_TABLE_REF(((long) 7)),
							BgL_xpz00_1188);
						BGl_showz00zzcfa_closurez00(CNST_TABLE_REF(((long) 8)),
							BgL_tpz00_1189);
						return BUNSPEC;
					}
				else
					{	/* Cfa/closure.scm 361 */
						obj_t BgL_instance4463z00_1193;

						BgL_instance4463z00_1193 = CAR(BgL_allocsz00_1190);
						{	/* Cfa/closure.scm 363 */
							bool_t BgL_testz00_2522;

							{	/* Cfa/closure.scm 363 */
								BgL_makezd2procedurezd2appz00_bglt BgL_obj4059z00_1983;

								BgL_obj4059z00_1983 =
									(BgL_makezd2procedurezd2appz00_bglt)
									(BgL_instance4463z00_1193);
								{
									obj_t BgL_auxz00_2524;

									{	/* Cfa/closure.scm 363 */
										BgL_objectz00_bglt BgL_auxz00_2525;

										BgL_auxz00_2525 =
											(BgL_objectz00_bglt) (BgL_obj4059z00_1983);
										BgL_auxz00_2524 = BGL_OBJECT_WIDENING(BgL_auxz00_2525);
									}
									BgL_testz00_2522 =
										(((BgL_makezd2procedurezd2appz00_bglt)
											CREF(BgL_auxz00_2524))->BgL_xz00);
								}
							}
							if (BgL_testz00_2522)
								{	/* Cfa/closure.scm 364 */
									obj_t BgL_arg4616z00_1195;
									obj_t BgL_arg4617z00_1196;

									{	/* Cfa/closure.scm 364 */
										BgL_variablez00_bglt BgL_arg4618z00_1197;

										{	/* Cfa/closure.scm 364 */
											BgL_varz00_bglt BgL_obj1908z00_1986;

											{	/* Cfa/closure.scm 364 */
												obj_t BgL_auxz00_2529;

												{	/* Cfa/closure.scm 364 */
													obj_t BgL_pairz00_1985;

													{	/* Cfa/closure.scm 364 */
														BgL_appz00_bglt BgL_obj2005z00_1984;

														BgL_obj2005z00_1984 =
															(BgL_appz00_bglt) (BgL_instance4463z00_1193);
														BgL_pairz00_1985 =
															(((BgL_appz00_bglt) CREF(BgL_obj2005z00_1984))->
															BgL_argsz00);
													}
													BgL_auxz00_2529 = CAR(BgL_pairz00_1985);
												}
												BgL_obj1908z00_1986 =
													(BgL_varz00_bglt) (BgL_auxz00_2529);
											}
											BgL_arg4618z00_1197 =
												(((BgL_varz00_bglt) CREF(BgL_obj1908z00_1986))->
												BgL_variablez00);
										}
										BgL_arg4616z00_1195 =
											MAKE_PAIR((obj_t) (BgL_arg4618z00_1197), BgL_xpz00_1188);
									}
									BgL_arg4617z00_1196 = CDR(BgL_allocsz00_1190);
									{
										obj_t BgL_allocsz00_2539;
										obj_t BgL_xpz00_2538;

										BgL_xpz00_2538 = BgL_arg4616z00_1195;
										BgL_allocsz00_2539 = BgL_arg4617z00_1196;
										BgL_allocsz00_1190 = BgL_allocsz00_2539;
										BgL_xpz00_1188 = BgL_xpz00_2538;
										goto BgL_loopz00_1191;
									}
								}
							else
								{	/* Cfa/closure.scm 365 */
									bool_t BgL_testz00_2540;

									{	/* Cfa/closure.scm 365 */
										BgL_makezd2procedurezd2appz00_bglt BgL_obj4062z00_1988;

										BgL_obj4062z00_1988 =
											(BgL_makezd2procedurezd2appz00_bglt)
											(BgL_instance4463z00_1193);
										{
											obj_t BgL_auxz00_2542;

											{	/* Cfa/closure.scm 365 */
												BgL_objectz00_bglt BgL_auxz00_2543;

												BgL_auxz00_2543 =
													(BgL_objectz00_bglt) (BgL_obj4062z00_1988);
												BgL_auxz00_2542 = BGL_OBJECT_WIDENING(BgL_auxz00_2543);
											}
											BgL_testz00_2540 =
												(((BgL_makezd2procedurezd2appz00_bglt)
													CREF(BgL_auxz00_2542))->BgL_tz00);
										}
									}
									if (BgL_testz00_2540)
										{	/* Cfa/closure.scm 366 */
											obj_t BgL_arg4622z00_1201;
											obj_t BgL_arg4623z00_1202;

											{	/* Cfa/closure.scm 366 */
												BgL_variablez00_bglt BgL_arg4624z00_1203;

												{	/* Cfa/closure.scm 366 */
													BgL_varz00_bglt BgL_obj1908z00_1991;

													{	/* Cfa/closure.scm 366 */
														obj_t BgL_auxz00_2547;

														{	/* Cfa/closure.scm 366 */
															obj_t BgL_pairz00_1990;

															{	/* Cfa/closure.scm 366 */
																BgL_appz00_bglt BgL_obj2005z00_1989;

																BgL_obj2005z00_1989 =
																	(BgL_appz00_bglt) (BgL_instance4463z00_1193);
																BgL_pairz00_1990 =
																	(((BgL_appz00_bglt)
																		CREF(BgL_obj2005z00_1989))->BgL_argsz00);
															}
															BgL_auxz00_2547 = CAR(BgL_pairz00_1990);
														}
														BgL_obj1908z00_1991 =
															(BgL_varz00_bglt) (BgL_auxz00_2547);
													}
													BgL_arg4624z00_1203 =
														(((BgL_varz00_bglt) CREF(BgL_obj1908z00_1991))->
														BgL_variablez00);
												}
												BgL_arg4622z00_1201 =
													MAKE_PAIR(
													(obj_t) (BgL_arg4624z00_1203), BgL_tpz00_1189);
											}
											BgL_arg4623z00_1202 = CDR(BgL_allocsz00_1190);
											{
												obj_t BgL_allocsz00_2557;
												obj_t BgL_tpz00_2556;

												BgL_tpz00_2556 = BgL_arg4622z00_1201;
												BgL_allocsz00_2557 = BgL_arg4623z00_1202;
												BgL_allocsz00_1190 = BgL_allocsz00_2557;
												BgL_tpz00_1189 = BgL_tpz00_2556;
												goto BgL_loopz00_1191;
											}
										}
									else
										{
											obj_t BgL_allocsz00_2558;

											BgL_allocsz00_2558 = CDR(BgL_allocsz00_1190);
											BgL_allocsz00_1190 = BgL_allocsz00_2558;
											goto BgL_loopz00_1191;
										}
								}
						}
					}
			}
		}
	}



/* show */
	bool_t BGl_showz00zzcfa_closurez00(obj_t BgL_propz00_1207,
		obj_t BgL_lz00_1208)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 352 */
			if (PAIRP(BgL_lz00_1208))
				{	/* Cfa/closure.scm 347 */
					{	/* Cfa/closure.scm 349 */
						obj_t BgL_arg4634z00_1214;

						BgL_arg4634z00_1214 =
							BGl_shapez00zztools_shapez00(CAR(BgL_lz00_1208));
						{	/* Cfa/closure.scm 349 */
							obj_t BgL_list4635z00_1215;

							{	/* Cfa/closure.scm 349 */
								obj_t BgL_arg4636z00_1216;

								{	/* Cfa/closure.scm 349 */
									obj_t BgL_arg4637z00_1217;

									{	/* Cfa/closure.scm 349 */
										obj_t BgL_arg4638z00_1218;

										{	/* Cfa/closure.scm 349 */
											obj_t BgL_arg4639z00_1219;

											BgL_arg4639z00_1219 =
												MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
											BgL_arg4638z00_1218 =
												MAKE_PAIR(BgL_arg4634z00_1214, BgL_arg4639z00_1219);
										}
										BgL_arg4637z00_1217 =
											MAKE_PAIR(BGl_string4755z00zzcfa_closurez00,
											BgL_arg4638z00_1218);
									}
									BgL_arg4636z00_1216 =
										MAKE_PAIR(BgL_propz00_1207, BgL_arg4637z00_1217);
								}
								BgL_list4635z00_1215 =
									MAKE_PAIR(BGl_string4756z00zzcfa_closurez00,
									BgL_arg4636z00_1216);
							}
							BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
								BgL_list4635z00_1215);
					}}
					{	/* Cfa/closure.scm 350 */
						obj_t BgL_g4488z00_1221;

						BgL_g4488z00_1221 = CDR(BgL_lz00_1208);
						{
							obj_t BgL_l4486z00_1222;

							BgL_l4486z00_1222 = BgL_g4488z00_1221;
						BgL_forzd2each4487zd2_1223:
							if (PAIRP(BgL_l4486z00_1222))
								{	/* Cfa/closure.scm 350 */
									{	/* Cfa/closure.scm 351 */
										obj_t BgL_xz00_1225;

										BgL_xz00_1225 = CAR(BgL_l4486z00_1222);
										{	/* Cfa/closure.scm 351 */
											obj_t BgL_arg4644z00_1228;

											BgL_arg4644z00_1228 =
												BGl_shapez00zztools_shapez00(BgL_xz00_1225);
											{	/* Cfa/closure.scm 351 */
												obj_t BgL_list4645z00_1229;

												{	/* Cfa/closure.scm 351 */
													obj_t BgL_arg4647z00_1230;

													{	/* Cfa/closure.scm 351 */
														obj_t BgL_arg4648z00_1231;

														BgL_arg4648z00_1231 =
															MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
														BgL_arg4647z00_1230 =
															MAKE_PAIR(BgL_arg4644z00_1228,
															BgL_arg4648z00_1231);
													}
													BgL_list4645z00_1229 =
														MAKE_PAIR(BGl_string4757z00zzcfa_closurez00,
														BgL_arg4647z00_1230);
												}
												BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
													BgL_list4645z00_1229);
									}}}
									{
										obj_t BgL_l4486z00_2583;

										BgL_l4486z00_2583 = CDR(BgL_l4486z00_1222);
										BgL_l4486z00_1222 = BgL_l4486z00_2583;
										goto BgL_forzd2each4487zd2_1223;
									}
								}
							else
								{	/* Cfa/closure.scm 350 */
									return ((bool_t) 1);
								}
						}
					}
				}
			else
				{	/* Cfa/closure.scm 347 */
					return ((bool_t) 0);
				}
		}
	}



/* add-funcall! */
	BGL_EXPORTED_DEF obj_t
		BGl_addzd2funcallz12zc0zzcfa_closurez00(BgL_nodez00_bglt BgL_astz00_7)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 380 */
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 2)))
				{	/* Cfa/closure.scm 381 */
					return (BGl_za2funcallzd2listza2zd2zzcfa_closurez00 =
						MAKE_PAIR(
							(obj_t) (BgL_astz00_7),
							BGl_za2funcallzd2listza2zd2zzcfa_closurez00), BUNSPEC);
				}
			else
				{	/* Cfa/closure.scm 381 */
					return BFALSE;
				}
		}
	}



/* _add-funcall! */
	obj_t BGl__addzd2funcallz12zc0zzcfa_closurez00(obj_t BgL_envz00_2028,
		obj_t BgL_astz00_2029)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 380 */
			return
				BGl_addzd2funcallz12zc0zzcfa_closurez00(
				(BgL_nodez00_bglt) (BgL_astz00_2029));
		}
	}



/* add-make-procedure! */
	BGL_EXPORTED_DEF obj_t
		BGl_addzd2makezd2procedurez12z12zzcfa_closurez00(BgL_nodez00_bglt
		BgL_astz00_8)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 387 */
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 2)))
				{	/* Cfa/closure.scm 388 */
					return (BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00 =
						MAKE_PAIR(
							(obj_t) (BgL_astz00_8),
							BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00), BUNSPEC);
				}
			else
				{	/* Cfa/closure.scm 388 */
					return BFALSE;
				}
		}
	}



/* _add-make-procedure! */
	obj_t BGl__addzd2makezd2procedurez12z12zzcfa_closurez00(obj_t BgL_envz00_2030,
		obj_t BgL_astz00_2031)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 387 */
			return
				BGl_addzd2makezd2procedurez12z12zzcfa_closurez00(
				(BgL_nodez00_bglt) (BgL_astz00_2031));
		}
	}



/* add-procedure-ref! */
	BGL_EXPORTED_DEF obj_t
		BGl_addzd2procedurezd2refz12z12zzcfa_closurez00(BgL_nodez00_bglt
		BgL_astz00_9)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 394 */
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 2)))
				{	/* Cfa/closure.scm 395 */
					return (BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00 =
						MAKE_PAIR(
							(obj_t) (BgL_astz00_9),
							BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00), BUNSPEC);
				}
			else
				{	/* Cfa/closure.scm 395 */
					return BFALSE;
				}
		}
	}



/* _add-procedure-ref! */
	obj_t BGl__addzd2procedurezd2refz12z12zzcfa_closurez00(obj_t BgL_envz00_2032,
		obj_t BgL_astz00_2033)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 394 */
			return
				BGl_addzd2procedurezd2refz12z12zzcfa_closurez00(
				(BgL_nodez00_bglt) (BgL_astz00_2033));
		}
	}



/* approx-procedure-el? */
	BGL_EXPORTED_DEF bool_t
		BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00(BgL_approxz00_bglt
		BgL_approxz00_10)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 401 */
			{	/* Cfa/closure.scm 402 */
				BgL_typez00_bglt BgL_typez00_1237;
				obj_t BgL_alloczd2listzd2_1238;

				BgL_typez00_1237 =
					(((BgL_approxz00_bglt) CREF(BgL_approxz00_10))->BgL_typez00);
				{	/* Cfa/closure.scm 403 */
					obj_t BgL_arg4656z00_1246;

					BgL_arg4656z00_1246 =
						(((BgL_approxz00_bglt) CREF(BgL_approxz00_10))->BgL_allocsz00);
					BgL_alloczd2listzd2_1238 =
						BGl_setzd2ze3listz31zzcfa_setz00(BgL_arg4656z00_1246);
				}
				if (
					((obj_t) (BgL_typez00_1237) == BGl_za2procedureza2z00zztype_cachez00))
					{	/* Cfa/closure.scm 404 */
						if (PAIRP(BgL_alloczd2listzd2_1238))
							{	/* Cfa/closure.scm 405 */
								if (NULLP(CDR(BgL_alloczd2listzd2_1238)))
									{	/* Cfa/closure.scm 407 */
										bool_t BgL_testz00_2617;

										{	/* Cfa/closure.scm 407 */
											obj_t BgL_arg4654z00_1244;

											BgL_arg4654z00_1244 = CAR(BgL_alloczd2listzd2_1238);
											BgL_testz00_2617 =
												BGl_iszd2azf3z21zz__objectz00(BgL_arg4654z00_1244,
												BGl_makezd2procedurezd2appz00zzcfa_info2z00);
										}
										if (BgL_testz00_2617)
											{	/* Cfa/closure.scm 408 */
												BgL_makezd2procedurezd2appz00_bglt BgL_obj4059z00_2014;

												{	/* Cfa/closure.scm 408 */
													obj_t BgL_pairz00_2013;

													BgL_pairz00_2013 = BgL_alloczd2listzd2_1238;
													{	/* Cfa/closure.scm 408 */
														obj_t BgL_auxz00_2620;

														BgL_auxz00_2620 = CAR(BgL_pairz00_2013);
														BgL_obj4059z00_2014 =
															(BgL_makezd2procedurezd2appz00_bglt)
															(BgL_auxz00_2620);
													}
												}
												{
													obj_t BgL_auxz00_2623;

													{	/* Cfa/closure.scm 408 */
														BgL_objectz00_bglt BgL_auxz00_2624;

														BgL_auxz00_2624 =
															(BgL_objectz00_bglt) (BgL_obj4059z00_2014);
														BgL_auxz00_2623 =
															BGL_OBJECT_WIDENING(BgL_auxz00_2624);
													}
													return
														(((BgL_makezd2procedurezd2appz00_bglt)
															CREF(BgL_auxz00_2623))->BgL_xz00);
												}
											}
										else
											{	/* Cfa/closure.scm 407 */
												return ((bool_t) 0);
											}
									}
								else
									{	/* Cfa/closure.scm 406 */
										return ((bool_t) 0);
									}
							}
						else
							{	/* Cfa/closure.scm 405 */
								return ((bool_t) 0);
							}
					}
				else
					{	/* Cfa/closure.scm 404 */
						return ((bool_t) 0);
					}
			}
		}
	}



/* _approx-procedure-el4752 */
	obj_t BGl__approxzd2procedurezd2el4752z00zzcfa_closurez00(obj_t
		BgL_envz00_2034, obj_t BgL_approxz00_2035)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 401 */
			return
				BBOOL(BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00(
					(BgL_approxz00_bglt) (BgL_approxz00_2035)));
		}
	}



/* approx-procedure-el1? */
	BGL_EXPORTED_DEF bool_t
		BGl_approxzd2procedurezd2el1zf3zf3zzcfa_closurez00(BgL_approxz00_bglt
		BgL_approxz00_11)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 413 */
			{	/* Cfa/closure.scm 414 */
				obj_t BgL_alloczd2listzd2_1247;

				{	/* Cfa/closure.scm 414 */
					obj_t BgL_arg4659z00_1251;

					BgL_arg4659z00_1251 =
						(((BgL_approxz00_bglt) CREF(BgL_approxz00_11))->BgL_allocsz00);
					BgL_alloczd2listzd2_1247 =
						BGl_setzd2ze3listz31zzcfa_setz00(BgL_arg4659z00_1251);
				}
				{	/* Cfa/closure.scm 415 */
					obj_t BgL_instance4469z00_1248;

					BgL_instance4469z00_1248 = CAR(BgL_alloczd2listzd2_1247);
					{	/* Cfa/closure.scm 416 */
						BgL_variablez00_bglt BgL_arg4657z00_1249;

						{	/* Cfa/closure.scm 416 */
							BgL_varz00_bglt BgL_obj1908z00_2018;

							{	/* Cfa/closure.scm 416 */
								BgL_appz00_bglt BgL_obj2002z00_2017;

								BgL_obj2002z00_2017 =
									(BgL_appz00_bglt) (BgL_instance4469z00_1248);
								BgL_obj1908z00_2018 =
									(((BgL_appz00_bglt) CREF(BgL_obj2002z00_2017))->BgL_funz00);
							}
							BgL_arg4657z00_1249 =
								(((BgL_varz00_bglt) CREF(BgL_obj1908z00_2018))->
								BgL_variablez00);
						}
						return
							(
							(obj_t) (BgL_arg4657z00_1249) ==
							BGl_za2makezd2elzd2procedurezd21za2zd2zzcfa_closurez00);
					}
				}
			}
		}
	}



/* _approx-procedure-el4753 */
	obj_t BGl__approxzd2procedurezd2el4753z00zzcfa_closurez00(obj_t
		BgL_envz00_2036, obj_t BgL_approxz00_2037)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 413 */
			return
				BBOOL(BGl_approxzd2procedurezd2el1zf3zf3zzcfa_closurez00(
					(BgL_approxz00_bglt) (BgL_approxz00_2037)));
		}
	}



/* start-cache */
	obj_t BGl_startzd2cachezd2zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 436 */
			BGl_za2procedurezd2refza2zd2zzcfa_closurez00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 9)),
				CNST_TABLE_REF(((long) 10)));
			BGl_za2procedurezd2setz12za2zc0zzcfa_closurez00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 11)),
				CNST_TABLE_REF(((long) 10)));
			BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 12)),
				CNST_TABLE_REF(((long) 10)));
			BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 13)),
				CNST_TABLE_REF(((long) 10)));
			BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 14)),
				CNST_TABLE_REF(((long) 10)));
			BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 15)),
				CNST_TABLE_REF(((long) 10)));
			BGl_za2procedurezd21zd2elzd2refza2zd2zzcfa_closurez00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 16)),
				CNST_TABLE_REF(((long) 10)));
			BGl_za2procedurezd21zd2elzd2setz12za2zc0zzcfa_closurez00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 17)),
				CNST_TABLE_REF(((long) 10)));
			BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 18)),
				CNST_TABLE_REF(((long) 10)));
			BGl_za2makezd2elzd2procedurezd21za2zd2zzcfa_closurez00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 19)),
				CNST_TABLE_REF(((long) 10)));
			return (BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 20)),
					CNST_TABLE_REF(((long) 10))), BUNSPEC);
		}
	}



/* stop-cache */
	obj_t BGl_stopzd2cachezd2zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 452 */
			BGl_za2procedurezd2refza2zd2zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2setz12za2zc0zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd21zd2elzd2refza2zd2zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd21zd2elzd2setz12za2zc0zzcfa_closurez00 = BFALSE;
			BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00 = BFALSE;
			BGl_za2makezd2elzd2procedurezd21za2zd2zzcfa_closurez00 = BFALSE;
			return (BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00 =
				BFALSE, BUNSPEC);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 25 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 25 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 12445515),
				BSTRING_TO_STRING(BGl_string4758z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 514705515),
				BSTRING_TO_STRING(BGl_string4758z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string4758z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 484733332),
				BSTRING_TO_STRING(BGl_string4758z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string4758z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 182148081),
				BSTRING_TO_STRING(BGl_string4758z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string4758z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 11585204),
				BSTRING_TO_STRING(BGl_string4758z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 142857872),
				BSTRING_TO_STRING(BGl_string4758z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 243010053),
				BSTRING_TO_STRING(BGl_string4758z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string4758z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_cfaz00(((long) 42139303),
				BSTRING_TO_STRING(BGl_string4758z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long) 535144917),
				BSTRING_TO_STRING(BGl_string4758z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_setz00(((long) 474371048),
				BSTRING_TO_STRING(BGl_string4758z00zzcfa_closurez00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_ltypez00(((long) 315510299),
				BSTRING_TO_STRING(BGl_string4758z00zzcfa_closurez00));
		}
	}

#ifdef __cplusplus
}
#endif
