/*===========================================================================*/
/*   (Coerce/funcall.scm)                                                    */
/*   Bigloo (2.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 25 07:31:22 CET 2006        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/2.9a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Coerce/funcall.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2heapzd2formatz00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_isaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		struct BgL_typez00_bgl *BgL_classz00;
	}             *BgL_isaz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;


	BGL_IMPORT obj_t open_input_string(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_za2compilerzd2debugza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	static obj_t BGl_cnstzd2initzd2zzcoerce_funcallz00();
	extern BgL_nodez00_bglt BGl_convertz12z12zzcoerce_convertz00(BgL_nodez00_bglt,
		BgL_typez00_bglt, BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzcoerce_funcallz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_convertz00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	static obj_t BGl_toplevelzd2initzd2zzcoerce_funcallz00();
	BGL_IMPORT long bgl_list_length(obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern BgL_nodez00_bglt
		BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_locationzd2fullzd2fnamez00zztools_locationz00(obj_t);
	static obj_t BGl_methodzd2initzd2zzcoerce_funcallz00();
	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcoerce_funcallz00 = BUNSPEC;
	extern obj_t BGl_za2unsafezd2arityza2zd2zzengine_paramz00;
	extern BgL_atomz00_bglt BGl_makezd2atomzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t);
	static BgL_nodez00_bglt
		BGl_makezd2arityzd2errorzd2nodezd2zzcoerce_funcallz00(BgL_localz00_bglt,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t
		BGl_coercezd2funcallzd2argsz12z12zzcoerce_funcallz00(BgL_funcallz00_bglt,
		obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzcoerce_funcallz00();
	extern BgL_nodez00_bglt BGl_coercez12z12zzcoerce_coercez00(BgL_nodez00_bglt,
		obj_t, BgL_typez00_bglt);
	extern obj_t BGl_currentzd2functionzd2zztools_errorz00();
	BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_za2intza2z00zztype_cachez00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t,
		BgL_typez00_bglt);
	extern BgL_varz00_bglt BGl_makezd2varzd2zzast_nodez00(obj_t, BgL_typez00_bglt,
		BgL_variablez00_bglt);
	extern BgL_letzd2varzd2_bglt BGl_makezd2letzd2varz00zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, obj_t, BgL_nodez00_bglt, bool_t);
	static obj_t BGl_coercez12zd2funcall3079zc0zzcoerce_funcallz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_funcallz00();
	static obj_t __cnst[18];


	extern obj_t BGl_coercez12zd2envzc0zzcoerce_coercez00;
	   
		 
		DEFINE_STRING(BGl_string3280z00zzcoerce_funcallz00,
		BgL_bgl_string3280za700za7za7c3285za7, ":Wrong number of arguments", 26);
	      DEFINE_STRING(BGl_string3281z00zzcoerce_funcallz00,
		BgL_bgl_string3281za700za7za7c3286za7, "coerce_funcall", 14);
	      DEFINE_STRING(BGl_string3282z00zzcoerce_funcallz00,
		BgL_bgl_string3282za700za7za7c3287za7,
		"correct-arity? if let ::int len fun (light elight) dummy __eoa__ _ quote failure error/location __error @ begin location bdb ",
		125);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzcoerce_funcallz00(long
		BgL_checksumz00_1419, char *BgL_fromz00_1420)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcoerce_funcallz00))
				{
					BGl_requirezd2initializa7ationz75zzcoerce_funcallz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcoerce_funcallz00();
					BGl_cnstzd2initzd2zzcoerce_funcallz00();
					BGl_importedzd2moduleszd2initz00zzcoerce_funcallz00();
					BGl_methodzd2initzd2zzcoerce_funcallz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_funcallz00()
	{
		AN_OBJECT;
		{	/* Coerce/funcall.scm 15 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"coerce_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"coerce_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"coerce_funcall");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"coerce_funcall");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcoerce_funcallz00()
	{
		AN_OBJECT;
		{	/* Coerce/funcall.scm 15 */
			{	/* Coerce/funcall.scm 15 */
				obj_t BgL_cportz00_1411;

				BgL_cportz00_1411 =
					open_input_string(BGl_string3282z00zzcoerce_funcallz00);
				{
					long BgL_iz00_1412;

					BgL_iz00_1412 = ((long) 17);
				BgL_loopz00_1413:
					if ((BgL_iz00_1412 == ((long) -1)))
						{	/* Coerce/funcall.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Coerce/funcall.scm 15 */
							{	/* Coerce/funcall.scm 15 */
								obj_t BgL_arg3284z00_1415;

								{	/* Coerce/funcall.scm 15 */

									{	/* Coerce/funcall.scm 15 */
										obj_t BgL_locationz00_1417;

										BgL_locationz00_1417 = BBOOL(((bool_t) 0));
										{	/* Coerce/funcall.scm 15 */

											BgL_arg3284z00_1415 =
												BGl_readz00zz__readerz00(BgL_cportz00_1411,
												BgL_locationz00_1417);
										}
									}
								}
								{	/* Coerce/funcall.scm 15 */
									int BgL_auxz00_1437;

									BgL_auxz00_1437 = (int) (BgL_iz00_1412);
									CNST_TABLE_SET(BgL_auxz00_1437, BgL_arg3284z00_1415);
							}}
							{	/* Coerce/funcall.scm 15 */
								int BgL_auxz00_1418;

								BgL_auxz00_1418 = (int) ((BgL_iz00_1412 - ((long) 1)));
								{
									long BgL_iz00_1442;

									BgL_iz00_1442 = (long) (BgL_auxz00_1418);
									BgL_iz00_1412 = BgL_iz00_1442;
									goto BgL_loopz00_1413;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcoerce_funcallz00()
	{
		AN_OBJECT;
		{	/* Coerce/funcall.scm 15 */
			return BUNSPEC;
		}
	}



/* make-arity-error-node */
	BgL_nodez00_bglt
		BGl_makezd2arityzd2errorzd2nodezd2zzcoerce_funcallz00(BgL_localz00_bglt
		BgL_funz00_18, obj_t BgL_errorzd2msgzd2_19, obj_t BgL_locz00_20,
		obj_t BgL_callerz00_21, obj_t BgL_toz00_22)
	{
		AN_OBJECT;
		{	/* Coerce/funcall.scm 85 */
			{	/* Coerce/funcall.scm 86 */
				obj_t BgL_utz00_817;

				BgL_utz00_817 = BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
				BGl_za2unsafezd2typeza2zd2zzengine_paramz00 = BTRUE;
				{	/* Coerce/funcall.scm 88 */
					BgL_nodez00_bglt BgL_nodez00_818;

					{	/* Coerce/funcall.scm 90 */
						BgL_nodez00_bglt BgL_arg3089z00_819;

						{	/* Coerce/funcall.scm 90 */
							obj_t BgL_arg3090z00_820;

							{	/* Coerce/funcall.scm 90 */
								bool_t BgL_testz00_1444;

								{	/* Coerce/funcall.scm 90 */
									bool_t BgL_testz00_1445;

									if (
										((long) CINT(BGl_za2compilerzd2debugza2zd2zzengine_paramz00)
											> ((long) 0)))
										{	/* Coerce/funcall.scm 90 */
											BgL_testz00_1445 = ((bool_t) 1);
										}
									else
										{	/* Coerce/funcall.scm 90 */
											if (
												((long) CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00)
													> ((long) 0)))
												{	/* Coerce/funcall.scm 92 */
													obj_t BgL_arg3152z00_879;
													obj_t BgL_arg3153z00_880;

													BgL_arg3152z00_879 = CNST_TABLE_REF(((long) 0));
													{	/* Coerce/funcall.scm 94 */
														obj_t BgL_arg3154z00_881;

														BgL_arg3154z00_881 =
															BGl_thezd2backendzd2zzbackend_backendz00();
														{	/* Coerce/funcall.scm 93 */
															BgL_backendz00_bglt BgL_obj1332z00_1356;

															BgL_obj1332z00_1356 =
																(BgL_backendz00_bglt) (BgL_arg3154z00_881);
															BgL_arg3153z00_880 =
																(((BgL_backendz00_bglt)
																	CREF(BgL_obj1332z00_1356))->
																BgL_debugzd2supportzd2);
													}}
													BgL_testz00_1445 =
														CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
														(BgL_arg3152z00_879, BgL_arg3153z00_880));
												}
											else
												{	/* Coerce/funcall.scm 91 */
													BgL_testz00_1445 = ((bool_t) 0);
												}
										}
									if (BgL_testz00_1445)
										{	/* Coerce/funcall.scm 90 */
											if (STRUCTP(BgL_locz00_20))
												{	/* Coerce/funcall.scm 95 */
													BgL_testz00_1444 =
														(STRUCT_KEY(BgL_locz00_20) ==
														CNST_TABLE_REF(((long) 1)));
												}
											else
												{	/* Coerce/funcall.scm 95 */
													BgL_testz00_1444 = ((bool_t) 0);
												}
										}
									else
										{	/* Coerce/funcall.scm 90 */
											BgL_testz00_1444 = ((bool_t) 0);
										}
								}
								if (BgL_testz00_1444)
									{	/* Coerce/funcall.scm 96 */
										obj_t BgL_arg3092z00_822;
										obj_t BgL_arg3093z00_823;

										BgL_arg3092z00_822 = CNST_TABLE_REF(((long) 2));
										{	/* Coerce/funcall.scm 97 */
											obj_t BgL_arg3094z00_824;
											obj_t BgL_arg3095z00_825;

											{	/* Coerce/funcall.scm 97 */
												obj_t BgL_arg3099z00_829;
												obj_t BgL_arg3100z00_830;

												{	/* Coerce/funcall.scm 97 */
													obj_t BgL_arg3101z00_831;
													obj_t BgL_arg3102z00_832;

													BgL_arg3101z00_831 = CNST_TABLE_REF(((long) 3));
													{	/* Coerce/funcall.scm 97 */
														obj_t BgL_list3103z00_833;

														{	/* Coerce/funcall.scm 97 */
															obj_t BgL_arg3104z00_834;
															obj_t BgL_arg3105z00_835;

															BgL_arg3104z00_834 = CNST_TABLE_REF(((long) 4));
															BgL_arg3105z00_835 = MAKE_PAIR(BNIL, BNIL);
															BgL_list3103z00_833 =
																MAKE_PAIR(BgL_arg3104z00_834,
																BgL_arg3105z00_835);
														}
														BgL_arg3102z00_832 =
															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
															(CNST_TABLE_REF(((long) 5)), BgL_list3103z00_833);
													}
													BgL_arg3099z00_829 =
														MAKE_PAIR(BgL_arg3101z00_831, BgL_arg3102z00_832);
												}
												{	/* Coerce/funcall.scm 99 */
													obj_t BgL_arg3106z00_836;
													obj_t BgL_arg3107z00_837;
													obj_t BgL_arg3108z00_838;

													{	/* Coerce/funcall.scm 99 */
														obj_t BgL_arg3115z00_845;

														BgL_arg3115z00_845 =
															SYMBOL_TO_STRING
															(BGl_currentzd2functionzd2zztools_errorz00());
														BgL_arg3106z00_836 =
															string_append(BgL_arg3115z00_845,
															BGl_string3280z00zzcoerce_funcallz00);
													}
													BgL_arg3107z00_837 =
														BGl_locationzd2fullzd2fnamez00zztools_locationz00
														(BgL_locz00_20);
													BgL_arg3108z00_838 =
														STRUCT_REF(BgL_locz00_20, (int) (((long) 1)));
													{	/* Coerce/funcall.scm 97 */
														obj_t BgL_list3110z00_840;

														{	/* Coerce/funcall.scm 97 */
															obj_t BgL_arg3111z00_841;

															{	/* Coerce/funcall.scm 97 */
																obj_t BgL_arg3112z00_842;

																{	/* Coerce/funcall.scm 97 */
																	obj_t BgL_arg3113z00_843;

																	{	/* Coerce/funcall.scm 97 */
																		obj_t BgL_arg3114z00_844;

																		BgL_arg3114z00_844 = MAKE_PAIR(BNIL, BNIL);
																		BgL_arg3113z00_843 =
																			MAKE_PAIR(BgL_arg3108z00_838,
																			BgL_arg3114z00_844);
																	}
																	BgL_arg3112z00_842 =
																		MAKE_PAIR(BgL_arg3107z00_837,
																		BgL_arg3113z00_843);
																}
																BgL_arg3111z00_841 =
																	MAKE_PAIR(
																	(obj_t) (BgL_funz00_18), BgL_arg3112z00_842);
															}
															BgL_list3110z00_840 =
																MAKE_PAIR(BgL_errorzd2msgzd2_19,
																BgL_arg3111z00_841);
														}
														BgL_arg3100z00_830 =
															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
															(BgL_arg3106z00_836, BgL_list3110z00_840);
												}}
												BgL_arg3094z00_824 =
													MAKE_PAIR(BgL_arg3099z00_829, BgL_arg3100z00_830);
											}
											{	/* Coerce/funcall.scm 105 */
												obj_t BgL_arg3118z00_848;
												obj_t BgL_arg3119z00_849;

												BgL_arg3118z00_848 = CNST_TABLE_REF(((long) 6));
												{	/* Coerce/funcall.scm 105 */
													obj_t BgL_arg3121z00_850;
													obj_t BgL_arg3122z00_851;
													obj_t BgL_arg3123z00_852;

													{	/* Coerce/funcall.scm 105 */
														obj_t BgL_arg3128z00_857;
														obj_t BgL_arg3129z00_858;

														BgL_arg3128z00_857 = CNST_TABLE_REF(((long) 7));
														{	/* Coerce/funcall.scm 105 */
															obj_t BgL_list3130z00_859;

															BgL_list3130z00_859 = MAKE_PAIR(BNIL, BNIL);
															BgL_arg3129z00_858 =
																BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																(CNST_TABLE_REF(((long) 8)),
																BgL_list3130z00_859);
														}
														BgL_arg3121z00_850 =
															MAKE_PAIR(BgL_arg3128z00_857, BgL_arg3129z00_858);
													}
													{	/* Coerce/funcall.scm 105 */
														obj_t BgL_arg3131z00_860;
														obj_t BgL_arg3132z00_861;

														BgL_arg3131z00_860 = CNST_TABLE_REF(((long) 7));
														{	/* Coerce/funcall.scm 105 */
															obj_t BgL_list3133z00_862;

															BgL_list3133z00_862 = MAKE_PAIR(BNIL, BNIL);
															BgL_arg3132z00_861 =
																BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																(CNST_TABLE_REF(((long) 8)),
																BgL_list3133z00_862);
														}
														BgL_arg3122z00_851 =
															MAKE_PAIR(BgL_arg3131z00_860, BgL_arg3132z00_861);
													}
													{	/* Coerce/funcall.scm 105 */
														obj_t BgL_arg3134z00_863;
														obj_t BgL_arg3135z00_864;

														BgL_arg3134z00_863 = CNST_TABLE_REF(((long) 7));
														{	/* Coerce/funcall.scm 105 */
															obj_t BgL_list3136z00_865;

															BgL_list3136z00_865 = MAKE_PAIR(BNIL, BNIL);
															BgL_arg3135z00_864 =
																BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																(CNST_TABLE_REF(((long) 8)),
																BgL_list3136z00_865);
														}
														BgL_arg3123z00_852 =
															MAKE_PAIR(BgL_arg3134z00_863, BgL_arg3135z00_864);
													}
													{	/* Coerce/funcall.scm 105 */
														obj_t BgL_list3125z00_854;

														{	/* Coerce/funcall.scm 105 */
															obj_t BgL_arg3126z00_855;

															{	/* Coerce/funcall.scm 105 */
																obj_t BgL_arg3127z00_856;

																BgL_arg3127z00_856 = MAKE_PAIR(BNIL, BNIL);
																BgL_arg3126z00_855 =
																	MAKE_PAIR(BgL_arg3123z00_852,
																	BgL_arg3127z00_856);
															}
															BgL_list3125z00_854 =
																MAKE_PAIR(BgL_arg3122z00_851,
																BgL_arg3126z00_855);
														}
														BgL_arg3119z00_849 =
															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
															(BgL_arg3121z00_850, BgL_list3125z00_854);
												}}
												BgL_arg3095z00_825 =
													MAKE_PAIR(BgL_arg3118z00_848, BgL_arg3119z00_849);
											}
											{	/* Coerce/funcall.scm 96 */
												obj_t BgL_list3097z00_827;

												{	/* Coerce/funcall.scm 96 */
													obj_t BgL_arg3098z00_828;

													BgL_arg3098z00_828 = MAKE_PAIR(BNIL, BNIL);
													BgL_list3097z00_827 =
														MAKE_PAIR(BgL_arg3095z00_825, BgL_arg3098z00_828);
												}
												BgL_arg3093z00_823 =
													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
													(BgL_arg3094z00_824, BgL_list3097z00_827);
										}}
										BgL_arg3090z00_820 =
											MAKE_PAIR(BgL_arg3092z00_822, BgL_arg3093z00_823);
									}
								else
									{	/* Coerce/funcall.scm 106 */
										obj_t BgL_arg3137z00_866;
										obj_t BgL_arg3138z00_867;

										BgL_arg3137z00_866 = CNST_TABLE_REF(((long) 6));
										{	/* Coerce/funcall.scm 107 */
											obj_t BgL_arg3139z00_868;

											{	/* Coerce/funcall.scm 107 */
												obj_t BgL_arg3145z00_873;

												BgL_arg3145z00_873 =
													SYMBOL_TO_STRING
													(BGl_currentzd2functionzd2zztools_errorz00());
												BgL_arg3139z00_868 =
													string_append(BgL_arg3145z00_873,
													BGl_string3280z00zzcoerce_funcallz00);
											}
											{	/* Coerce/funcall.scm 106 */
												obj_t BgL_list3142z00_870;

												{	/* Coerce/funcall.scm 106 */
													obj_t BgL_arg3143z00_871;

													{	/* Coerce/funcall.scm 106 */
														obj_t BgL_arg3144z00_872;

														BgL_arg3144z00_872 = MAKE_PAIR(BNIL, BNIL);
														BgL_arg3143z00_871 =
															MAKE_PAIR(
															(obj_t) (BgL_funz00_18), BgL_arg3144z00_872);
													}
													BgL_list3142z00_870 =
														MAKE_PAIR(BgL_errorzd2msgzd2_19,
														BgL_arg3143z00_871);
												}
												BgL_arg3138z00_867 =
													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
													(BgL_arg3139z00_868, BgL_list3142z00_870);
										}}
										BgL_arg3090z00_820 =
											MAKE_PAIR(BgL_arg3137z00_866, BgL_arg3138z00_867);
							}}
							BgL_arg3089z00_819 =
								BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
								(BgL_arg3090z00_820, BgL_locz00_20);
						}
						BgL_nodez00_818 =
							BGl_coercez12z12zzcoerce_coercez00(BgL_arg3089z00_819,
							BgL_callerz00_21, (BgL_typez00_bglt) (BgL_toz00_22));
					}
					BGl_za2unsafezd2typeza2zd2zzengine_paramz00 = BgL_utz00_817;
					return BgL_nodez00_818;
				}
			}
		}
	}



/* coerce-funcall-args! */
	obj_t BGl_coercezd2funcallzd2argsz12z12zzcoerce_funcallz00(BgL_funcallz00_bglt
		BgL_nodez00_23, obj_t BgL_callerz00_24, obj_t BgL_toz00_25)
	{
		AN_OBJECT;
		{	/* Coerce/funcall.scm 120 */
			if (NULLP((((BgL_funcallz00_bglt) CREF(BgL_nodez00_23))->BgL_argsz00)))
				{	/* Coerce/funcall.scm 123 */
					obj_t BgL_arg3156z00_883;

					{	/* Coerce/funcall.scm 123 */
						BgL_nodez00_bglt BgL_arg3157z00_884;

						{	/* Coerce/funcall.scm 123 */
							obj_t BgL_arg3159z00_886;
							obj_t BgL_arg3160z00_887;

							BgL_arg3159z00_886 = CNST_TABLE_REF(((long) 9));
							{	/* Coerce/funcall.scm 124 */
								BgL_nodez00_bglt BgL_obj1925z00_1371;

								BgL_obj1925z00_1371 = (BgL_nodez00_bglt) (BgL_nodez00_23);
								BgL_arg3160z00_887 =
									(((BgL_nodez00_bglt) CREF(BgL_obj1925z00_1371))->BgL_locz00);
							}
							BgL_arg3157z00_884 =
								BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
								(BgL_arg3159z00_886, BgL_arg3160z00_887);
						}
						{	/* Coerce/funcall.scm 122 */
							obj_t BgL_list3158z00_885;

							BgL_list3158z00_885 =
								MAKE_PAIR((obj_t) (BgL_arg3157z00_884), BNIL);
							BgL_arg3156z00_883 = BgL_list3158z00_885;
					}}
					return
						((((BgL_funcallz00_bglt) CREF(BgL_nodez00_23))->BgL_argsz00) =
						((obj_t) BgL_arg3156z00_883), BUNSPEC);
				}
			else
				{	/* Coerce/funcall.scm 125 */
					obj_t BgL_g3076z00_888;
					obj_t BgL_g3077z00_889;

					BgL_g3076z00_888 =
						(((BgL_funcallz00_bglt) CREF(BgL_nodez00_23))->BgL_argsz00);
					BgL_g3077z00_889 = CNST_TABLE_REF(((long) 10));
					{
						obj_t BgL_actualsz00_890;
						obj_t BgL_prevz00_891;

						BgL_actualsz00_890 = BgL_g3076z00_888;
						BgL_prevz00_891 = BgL_g3077z00_889;
					BgL_loopz00_892:
						if (NULLP(BgL_actualsz00_890))
							{	/* Coerce/funcall.scm 129 */
								obj_t BgL_arg3162z00_894;

								{	/* Coerce/funcall.scm 129 */
									BgL_nodez00_bglt BgL_arg3163z00_895;

									{	/* Coerce/funcall.scm 129 */
										obj_t BgL_arg3165z00_897;
										obj_t BgL_arg3166z00_898;

										BgL_arg3165z00_897 = CNST_TABLE_REF(((long) 9));
										{	/* Coerce/funcall.scm 130 */
											BgL_nodez00_bglt BgL_obj1925z00_1378;

											BgL_obj1925z00_1378 = (BgL_nodez00_bglt) (BgL_nodez00_23);
											BgL_arg3166z00_898 =
												(((BgL_nodez00_bglt) CREF(BgL_obj1925z00_1378))->
												BgL_locz00);
										}
										BgL_arg3163z00_895 =
											BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
											(BgL_arg3165z00_897, BgL_arg3166z00_898);
									}
									{	/* Coerce/funcall.scm 128 */
										obj_t BgL_list3164z00_896;

										BgL_list3164z00_896 =
											MAKE_PAIR((obj_t) (BgL_arg3163z00_895), BNIL);
										BgL_arg3162z00_894 = BgL_list3164z00_896;
								}}
								return SET_CDR(BgL_prevz00_891, BgL_arg3162z00_894);
							}
						else
							{	/* Coerce/funcall.scm 127 */
								{	/* Coerce/funcall.scm 132 */
									BgL_nodez00_bglt BgL_arg3167z00_899;

									{	/* Coerce/funcall.scm 132 */
										obj_t BgL_arg3168z00_900;

										BgL_arg3168z00_900 = CAR(BgL_actualsz00_890);
										BgL_arg3167z00_899 =
											BGl_coercez12z12zzcoerce_coercez00(
											(BgL_nodez00_bglt) (BgL_arg3168z00_900), BgL_callerz00_24,
											(BgL_typez00_bglt) (BGl_za2objza2z00zztype_cachez00));
									}
									{	/* Coerce/funcall.scm 132 */
										obj_t BgL_pairz00_1384;
										obj_t BgL_objz00_1385;

										BgL_pairz00_1384 = BgL_actualsz00_890;
										BgL_objz00_1385 = (obj_t) (BgL_arg3167z00_899);
										SET_CAR(BgL_pairz00_1384, BgL_objz00_1385);
									}
								}
								{
									obj_t BgL_prevz00_1552;
									obj_t BgL_actualsz00_1550;

									BgL_actualsz00_1550 = CDR(BgL_actualsz00_890);
									BgL_prevz00_1552 = BgL_actualsz00_890;
									BgL_prevz00_891 = BgL_prevz00_1552;
									BgL_actualsz00_890 = BgL_actualsz00_1550;
									goto BgL_loopz00_892;
								}
							}
					}
				}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcoerce_funcallz00()
	{
		AN_OBJECT;
		{	/* Coerce/funcall.scm 15 */
			{	/* Coerce/funcall.scm 15 */
				obj_t BgL_coercez12zd2funcall3079zc0_1401;

				BgL_coercez12zd2funcall3079zc0_1401 =
					make_fx_procedure(BGl_coercez12zd2funcall3079zc0zzcoerce_funcallz00,
					(int) (((long) 3)), (int) (((long) 0)));
				return
					BGl_addzd2methodz12zc0zz__objectz00
					(BGl_coercez12zd2envzc0zzcoerce_coercez00,
					BGl_funcallz00zzast_nodez00, BgL_coercez12zd2funcall3079zc0_1401);
			}
		}
	}



/* coerce!-funcall3079 */
	obj_t BGl_coercez12zd2funcall3079zc0zzcoerce_funcallz00(obj_t BgL_envz00_1402,
		obj_t BgL_nodez00_1403, obj_t BgL_callerz00_1404, obj_t BgL_toz00_1405)
	{
		AN_OBJECT;
		{	/* Coerce/funcall.scm 36 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1273;
				obj_t BgL_callerz00_1274;
				obj_t BgL_toz00_1275;

				BgL_nodez00_1273 = (BgL_funcallz00_bglt) (BgL_nodez00_1403);
				BgL_callerz00_1274 = BgL_callerz00_1404;
				BgL_toz00_1275 = BgL_toz00_1405;
				{	/* Coerce/funcall.scm 38 */
					obj_t BgL_errorzd2msgzd2_1278;
					obj_t BgL_strengthz00_1279;

					{	/* Coerce/funcall.scm 38 */
						obj_t BgL_arg3264z00_1328;
						obj_t BgL_arg3265z00_1329;

						BgL_arg3264z00_1328 = CNST_TABLE_REF(((long) 7));
						BgL_arg3265z00_1329 =
							BGl_shapez00zztools_shapez00((obj_t) (BgL_nodez00_1273));
						{	/* Coerce/funcall.scm 38 */
							obj_t BgL_list3266z00_1330;

							{	/* Coerce/funcall.scm 38 */
								obj_t BgL_arg3267z00_1331;

								BgL_arg3267z00_1331 = MAKE_PAIR(BgL_arg3265z00_1329, BNIL);
								BgL_list3266z00_1330 =
									MAKE_PAIR(BgL_arg3264z00_1328, BgL_arg3267z00_1331);
							}
							BgL_errorzd2msgzd2_1278 = BgL_list3266z00_1330;
					}}
					BgL_strengthz00_1279 =
						(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1273))->BgL_strengthz00);
					BGl_coercezd2funcallzd2argsz12z12zzcoerce_funcallz00(BgL_nodez00_1273,
						BgL_callerz00_1274, BgL_toz00_1275);
					if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
							(BgL_strengthz00_1279, CNST_TABLE_REF(((long) 11)))))
						{	/* Coerce/funcall.scm 43 */
							BgL_nodez00_bglt BgL_auxz00_1568;

							BgL_auxz00_1568 =
								BGl_convertz12z12zzcoerce_convertz00(
								(BgL_nodez00_bglt) (BgL_nodez00_1273),
								(BgL_typez00_bglt) (BGl_za2objza2z00zztype_cachez00),
								(BgL_typez00_bglt) (BgL_toz00_1275));
							return (obj_t) (BgL_auxz00_1568);
						}
					else
						{	/* Coerce/funcall.scm 45 */
							BgL_nodez00_bglt BgL_czd2funzd2_1281;

							{	/* Coerce/funcall.scm 45 */
								BgL_nodez00_bglt BgL_arg3263z00_1327;

								BgL_arg3263z00_1327 =
									(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1273))->BgL_funz00);
								BgL_czd2funzd2_1281 =
									BGl_coercez12z12zzcoerce_coercez00(BgL_arg3263z00_1327,
									BgL_callerz00_1274,
									(BgL_typez00_bglt) (BGl_za2procedureza2z00zztype_cachez00));
							}
							if (CBOOL(BGl_za2unsafezd2arityza2zd2zzengine_paramz00))
								{	/* Coerce/funcall.scm 47 */
									((((BgL_funcallz00_bglt) CREF(BgL_nodez00_1273))->
											BgL_funz00) =
										((BgL_nodez00_bglt) BgL_czd2funzd2_1281), BUNSPEC);
									{	/* Coerce/funcall.scm 50 */
										BgL_nodez00_bglt BgL_auxz00_1580;

										BgL_auxz00_1580 =
											BGl_convertz12z12zzcoerce_convertz00(
											(BgL_nodez00_bglt) (BgL_nodez00_1273),
											(BgL_typez00_bglt) (BGl_za2objza2z00zztype_cachez00),
											(BgL_typez00_bglt) (BgL_toz00_1275));
										return (obj_t) (BgL_auxz00_1580);
									}
								}
							else
								{	/* Coerce/funcall.scm 51 */
									BgL_localz00_bglt BgL_funz00_1282;

									BgL_funz00_1282 =
										BGl_makezd2localzd2svarz00zzast_localz00(CNST_TABLE_REF((
												(long) 12)),
										(BgL_typez00_bglt) (BGl_za2procedureza2z00zztype_cachez00));
									{	/* Coerce/funcall.scm 51 */
										obj_t BgL_locz00_1283;

										{	/* Coerce/funcall.scm 52 */
											BgL_nodez00_bglt BgL_obj1925z00_1393;

											BgL_obj1925z00_1393 =
												(BgL_nodez00_bglt) (BgL_nodez00_1273);
											BgL_locz00_1283 =
												(((BgL_nodez00_bglt) CREF(BgL_obj1925z00_1393))->
												BgL_locz00);
										}
										{	/* Coerce/funcall.scm 52 */
											BgL_atomz00_bglt BgL_lenz00_1284;

											{	/* Coerce/funcall.scm 56 */
												long BgL_arg3259z00_1323;

												BgL_arg3259z00_1323 =
													(bgl_list_length(
														(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1273))->
															BgL_argsz00)) - ((long) 2));
												BgL_lenz00_1284 =
													BGl_makezd2atomzd2zzast_nodez00(BgL_locz00_1283,
													(BgL_typez00_bglt) (BGl_za2intza2z00zztype_cachez00),
													BINT(BgL_arg3259z00_1323));
											}
											{	/* Coerce/funcall.scm 53 */
												obj_t BgL_azd2lenzd2_1285;

												BgL_azd2lenzd2_1285 =
													BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
													(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
																(long) 13))));
												{	/* Coerce/funcall.scm 58 */
													obj_t BgL_azd2tlenzd2_1286;

													{	/* Coerce/funcall.scm 60 */
														obj_t BgL_arg3255z00_1319;

														{	/* Coerce/funcall.scm 60 */
															obj_t BgL_list3256z00_1320;

															{	/* Coerce/funcall.scm 60 */
																obj_t BgL_arg3257z00_1321;

																BgL_arg3257z00_1321 =
																	MAKE_PAIR(CNST_TABLE_REF(((long) 14)), BNIL);
																BgL_list3256z00_1320 =
																	MAKE_PAIR(BgL_azd2lenzd2_1285,
																	BgL_arg3257z00_1321);
															}
															BgL_arg3255z00_1319 =
																BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
																(BgL_list3256z00_1320);
														}
														BgL_azd2tlenzd2_1286 =
															BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
															(BgL_arg3255z00_1319);
													}
													{	/* Coerce/funcall.scm 59 */
														BgL_letzd2varzd2_bglt BgL_lnodez00_1287;

														{	/* Coerce/funcall.scm 61 */
															obj_t BgL_arg3225z00_1290;
															BgL_nodez00_bglt BgL_arg3226z00_1291;

															{	/* Coerce/funcall.scm 64 */
																obj_t BgL_arg3227z00_1292;

																BgL_arg3227z00_1292 =
																	MAKE_PAIR(
																	(obj_t) (BgL_funz00_1282),
																	(obj_t) (BgL_czd2funzd2_1281));
																{	/* Coerce/funcall.scm 64 */
																	obj_t BgL_list3228z00_1293;

																	BgL_list3228z00_1293 =
																		MAKE_PAIR(BgL_arg3227z00_1292, BNIL);
																	BgL_arg3225z00_1290 = BgL_list3228z00_1293;
															}}
															{	/* Coerce/funcall.scm 66 */
																obj_t BgL_arg3229z00_1294;

																{	/* Coerce/funcall.scm 66 */
																	obj_t BgL_arg3230z00_1295;
																	obj_t BgL_arg3231z00_1296;

																	BgL_arg3230z00_1295 =
																		CNST_TABLE_REF(((long) 15));
																	{	/* Coerce/funcall.scm 66 */
																		obj_t BgL_arg3232z00_1297;
																		obj_t BgL_arg3233z00_1298;

																		{	/* Coerce/funcall.scm 66 */
																			obj_t BgL_arg3237z00_1302;

																			{	/* Coerce/funcall.scm 66 */
																				obj_t BgL_arg3239z00_1304;

																				{	/* Coerce/funcall.scm 66 */
																					obj_t BgL_list3240z00_1305;

																					BgL_list3240z00_1305 =
																						MAKE_PAIR(BNIL, BNIL);
																					BgL_arg3239z00_1304 =
																						BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																						((obj_t) (BgL_lenz00_1284),
																						BgL_list3240z00_1305);
																				}
																				BgL_arg3237z00_1302 =
																					MAKE_PAIR(BgL_azd2tlenzd2_1286,
																					BgL_arg3239z00_1304);
																			}
																			BgL_arg3232z00_1297 =
																				MAKE_PAIR(BgL_arg3237z00_1302, BNIL);
																		}
																		{	/* Coerce/funcall.scm 67 */
																			obj_t BgL_arg3241z00_1306;
																			obj_t BgL_arg3242z00_1307;

																			BgL_arg3241z00_1306 =
																				CNST_TABLE_REF(((long) 16));
																			{	/* Coerce/funcall.scm 67 */
																				obj_t BgL_arg3244z00_1308;
																				BgL_nodez00_bglt BgL_arg3245z00_1309;
																				BgL_nodez00_bglt BgL_arg3246z00_1310;

																				{	/* Coerce/funcall.scm 67 */
																					obj_t BgL_arg3251z00_1315;
																					obj_t BgL_arg3252z00_1316;

																					BgL_arg3251z00_1315 =
																						CNST_TABLE_REF(((long) 17));
																					{	/* Coerce/funcall.scm 67 */
																						obj_t BgL_list3253z00_1317;

																						{	/* Coerce/funcall.scm 67 */
																							obj_t BgL_arg3254z00_1318;

																							BgL_arg3254z00_1318 =
																								MAKE_PAIR(BNIL, BNIL);
																							BgL_list3253z00_1317 =
																								MAKE_PAIR(BgL_azd2lenzd2_1285,
																								BgL_arg3254z00_1318);
																						}
																						BgL_arg3252z00_1316 =
																							BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																							((obj_t) (BgL_funz00_1282),
																							BgL_list3253z00_1317);
																					}
																					BgL_arg3244z00_1308 =
																						MAKE_PAIR(BgL_arg3251z00_1315,
																						BgL_arg3252z00_1316);
																				}
																				BgL_arg3245z00_1309 =
																					BGl_convertz12z12zzcoerce_convertz00(
																					(BgL_nodez00_bglt) (BgL_nodez00_1273),
																					(BgL_typez00_bglt)
																					(BGl_za2objza2z00zztype_cachez00),
																					(BgL_typez00_bglt) (BgL_toz00_1275));
																				BgL_arg3246z00_1310 =
																					BGl_makezd2arityzd2errorzd2nodezd2zzcoerce_funcallz00
																					(BgL_funz00_1282,
																					BgL_errorzd2msgzd2_1278,
																					BgL_locz00_1283, BgL_callerz00_1274,
																					BgL_toz00_1275);
																				{	/* Coerce/funcall.scm 67 */
																					obj_t BgL_list3248z00_1312;

																					{	/* Coerce/funcall.scm 67 */
																						obj_t BgL_arg3249z00_1313;

																						{	/* Coerce/funcall.scm 67 */
																							obj_t BgL_arg3250z00_1314;

																							BgL_arg3250z00_1314 =
																								MAKE_PAIR(BNIL, BNIL);
																							BgL_arg3249z00_1313 =
																								MAKE_PAIR(
																								(obj_t) (BgL_arg3246z00_1310),
																								BgL_arg3250z00_1314);
																						}
																						BgL_list3248z00_1312 =
																							MAKE_PAIR(
																							(obj_t) (BgL_arg3245z00_1309),
																							BgL_arg3249z00_1313);
																					}
																					BgL_arg3242z00_1307 =
																						BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																						(BgL_arg3244z00_1308,
																						BgL_list3248z00_1312);
																			}}
																			BgL_arg3233z00_1298 =
																				MAKE_PAIR(BgL_arg3241z00_1306,
																				BgL_arg3242z00_1307);
																		}
																		{	/* Coerce/funcall.scm 66 */
																			obj_t BgL_list3235z00_1300;

																			{	/* Coerce/funcall.scm 66 */
																				obj_t BgL_arg3236z00_1301;

																				BgL_arg3236z00_1301 =
																					MAKE_PAIR(BNIL, BNIL);
																				BgL_list3235z00_1300 =
																					MAKE_PAIR(BgL_arg3233z00_1298,
																					BgL_arg3236z00_1301);
																			}
																			BgL_arg3231z00_1296 =
																				BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																				(BgL_arg3232z00_1297,
																				BgL_list3235z00_1300);
																	}}
																	BgL_arg3229z00_1294 =
																		MAKE_PAIR(BgL_arg3230z00_1295,
																		BgL_arg3231z00_1296);
																}
																BgL_arg3226z00_1291 =
																	BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
																	(BgL_arg3229z00_1294, BgL_locz00_1283);
															}
															BgL_lnodez00_1287 =
																BGl_makezd2letzd2varz00zzast_nodez00
																(BgL_locz00_1283,
																(BgL_typez00_bglt)
																(BGl_za2objza2z00zztype_cachez00), BUNSPEC,
																BINT(((long) -1)), BgL_arg3225z00_1290,
																BgL_arg3226z00_1291, ((bool_t) 1));
														}
														{	/* Coerce/funcall.scm 61 */

															{	/* Coerce/funcall.scm 76 */
																BgL_varz00_bglt BgL_arg3223z00_1288;

																BgL_arg3223z00_1288 =
																	BGl_makezd2varzd2zzast_nodez00
																	(BgL_locz00_1283,
																	(BgL_typez00_bglt)
																	(BGl_za2objza2z00zztype_cachez00),
																	(BgL_variablez00_bglt) (BgL_funz00_1282));
																{	/* Coerce/funcall.scm 76 */
																	BgL_funcallz00_bglt BgL_obj2144z00_1399;
																	BgL_nodez00_bglt BgL_val2143z00_1400;

																	BgL_obj2144z00_1399 = BgL_nodez00_1273;
																	BgL_val2143z00_1400 =
																		(BgL_nodez00_bglt) (BgL_arg3223z00_1288);
																	((((BgL_funcallz00_bglt)
																				CREF(BgL_obj2144z00_1399))->
																			BgL_funz00) =
																		((BgL_nodez00_bglt) BgL_val2143z00_1400),
																		BUNSPEC);
															}}
															return (obj_t) (BgL_lnodez00_1287);
														}
													}
												}
											}
										}
									}
								}
						}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcoerce_funcallz00()
	{
		AN_OBJECT;
		{	/* Coerce/funcall.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 12445515),
				BSTRING_TO_STRING(BGl_string3281z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 514705515),
				BSTRING_TO_STRING(BGl_string3281z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 466514915),
				BSTRING_TO_STRING(BGl_string3281z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string3281z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string3281z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 345457731),
				BSTRING_TO_STRING(BGl_string3281z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string3281z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 484733332),
				BSTRING_TO_STRING(BGl_string3281z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string3281z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 11585204),
				BSTRING_TO_STRING(BGl_string3281z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 77938009),
				BSTRING_TO_STRING(BGl_string3281z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 499216671),
				BSTRING_TO_STRING(BGl_string3281z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 498714928),
				BSTRING_TO_STRING(BGl_string3281z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzcoerce_coercez00(((long) 387636515),
				BSTRING_TO_STRING(BGl_string3281z00zzcoerce_funcallz00));
			return
				BGl_modulezd2initializa7ationz75zzcoerce_convertz00(((long) 65424842),
				BSTRING_TO_STRING(BGl_string3281z00zzcoerce_funcallz00));
		}
	}

#ifdef __cplusplus
}
#endif
