/*===========================================================================*/
/*   (Foreign/cfun.scm)                                                      */
/*   Bigloo (2.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 25 07:31:22 CET 2006        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/2.9a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Foreign/cfun.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_caliasz00_bgl
	{
		bool_t BgL_arrayzf3zf3;
	}                *BgL_caliasz00_bglt;

	typedef struct BgL_cenumz00_bgl
	{
		struct BgL_typez00_bgl *BgL_btypez00;
		obj_t BgL_literalsz00;
	}               *BgL_cenumz00_bglt;

	typedef struct BgL_copaquez00_bgl
	{
		struct BgL_typez00_bgl *BgL_btypez00;
	}                 *BgL_copaquez00_bglt;

	typedef struct BgL_cfunctionz00_bgl
	{
		struct BgL_typez00_bgl *BgL_btypez00;
		long BgL_arityz00;
		struct BgL_typez00_bgl *BgL_typezd2reszd2;
		obj_t BgL_typezd2argszd2;
	}                   *BgL_cfunctionz00_bglt;

	typedef struct BgL_cptrz00_bgl
	{
		struct BgL_typez00_bgl *BgL_btypez00;
		struct BgL_typez00_bgl *BgL_pointzd2tozd2;
		bool_t BgL_arrayzf3zf3;
	}              *BgL_cptrz00_bglt;

	typedef struct BgL_cstructz00_bgl
	{
		bool_t BgL_structzf3zf3;
		obj_t BgL_fieldsz00;
		obj_t BgL_cstructza2za2;
	}                 *BgL_cstructz00_bglt;

	typedef struct BgL_cstructza2za2_bgl
	{
		struct BgL_typez00_bgl *BgL_btypez00;
		struct BgL_cstructz00_bgl *BgL_cstructz00;
	}                    *BgL_cstructza2za2_bglt;

	typedef struct BgL_ccompz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_producerz00;
		obj_t BgL_consumerz00;
		obj_t BgL_finaliza7erza7;
	}               *BgL_ccompz00_bglt;


	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	BGL_IMPORT obj_t open_input_string(obj_t);
	extern obj_t BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(obj_t);
	BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzforeign_cfunctionz00 =
		BUNSPEC;
	extern obj_t
		BGl_registerzd2foreignzd2accesszd2identsz12zc0zzforeign_libraryz00(obj_t);
	BGL_IMPORT obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	extern obj_t BGl_makezd2definezd2inlinez00zzforeign_libraryz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzforeign_cfunctionz00();
	static obj_t
		BGl_makezd2ctypezd2accessesz121881z12zzforeign_cfunctionz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzforeign_cfunctionz00();
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzforeign_cfunctionz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzforeign_ctypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzforeign_accessz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzforeign_libraryz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	static obj_t BGl_toplevelzd2initzd2zzforeign_cfunctionz00();
	extern obj_t BGl_stringzd2sanszd2z42z42zztype_toolsz00(obj_t);
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_za2maxzd2czd2foreignzd2arityza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long,
		obj_t);
	extern obj_t BGl_makezd2protozd2inlinez00zzforeign_libraryz00(obj_t);
	extern obj_t BGl_cfunctionz00zzforeign_ctypez00;
	static obj_t BGl_libraryzd2moduleszd2initz00zzforeign_cfunctionz00();
	static obj_t BGl_methodzd2initzd2zzforeign_cfunctionz00();
	static obj_t __cnst[25];


	   
		 
		DEFINE_STRING(BGl_string2365z00zzforeign_cfunctionz00,
		BgL_bgl_string2365za700za7za7f2369za7, "foreign_cfunction", 17);
	      DEFINE_STRING(BGl_string2366z00zzforeign_cfunctionz00,
		BgL_bgl_string2366za700za7za7f2370za7,
		"predicate-of pragma ::obj static foreign f c- (pragma::bool \"($1 == $2)\" o1 o2) o2 o1 ?::bool = quote foreign-id eq? o foreign? if o::obj symbol macro ::bool ? -> -call ",
		169);
	extern obj_t BGl_makezd2ctypezd2accessesz12zd2envzc0zzforeign_accessz00;
	   
		 
		DEFINE_STRING(BGl_string2356z00zzforeign_cfunctionz00,
		BgL_bgl_string2356za700za7za7f2371za7, "cobj_to_foreign", 15);
	      DEFINE_STRING(BGl_string2357z00zzforeign_cfunctionz00,
		BgL_bgl_string2357za700za7za7f2372za7, "(", 1);
	      DEFINE_STRING(BGl_string2358z00zzforeign_cfunctionz00,
		BgL_bgl_string2358za700za7za7f2373za7, ")FOREIGN_TO_COBJ", 16);
	      DEFINE_STRING(BGl_string2360z00zzforeign_cfunctionz00,
		BgL_bgl_string2360za700za7za7f2374za7,
		"Too large arity for a foreign function (max", 43);
	      DEFINE_STRING(BGl_string2359z00zzforeign_cfunctionz00,
		BgL_bgl_string2359za700za7za7f2375za7, "C_FUNCTION_CALL_", 16);
	      DEFINE_STRING(BGl_string2361z00zzforeign_cfunctionz00,
		BgL_bgl_string2361za700za7za7f2376za7, ")", 1);
	      DEFINE_STRING(BGl_string2362z00zzforeign_cfunctionz00,
		BgL_bgl_string2362za700za7za7f2377za7, " args provided", 14);
	      DEFINE_STRING(BGl_string2363z00zzforeign_cfunctionz00,
		BgL_bgl_string2363za700za7za7f2378za7, "bigloo", 6);
	      DEFINE_STRING(BGl_string2364z00zzforeign_cfunctionz00,
		BgL_bgl_string2364za700za7za7f2379za7,
		"Can't manage pointers on C multiple arity function", 50);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzforeign_cfunctionz00(long
		BgL_checksumz00_558, char *BgL_fromz00_559)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzforeign_cfunctionz00))
				{
					BGl_requirezd2initializa7ationz75zzforeign_cfunctionz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzforeign_cfunctionz00();
					BGl_cnstzd2initzd2zzforeign_cfunctionz00();
					BGl_importedzd2moduleszd2initz00zzforeign_cfunctionz00();
					BGl_methodzd2initzd2zzforeign_cfunctionz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzforeign_cfunctionz00()
	{
		AN_OBJECT;
		{	/* Foreign/cfun.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"foreign_cfunction");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"foreign_cfunction");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"foreign_cfunction");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"foreign_cfunction");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"foreign_cfunction");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzforeign_cfunctionz00()
	{
		AN_OBJECT;
		{	/* Foreign/cfun.scm 15 */
			{	/* Foreign/cfun.scm 15 */
				obj_t BgL_cportz00_550;

				BgL_cportz00_550 =
					open_input_string(BGl_string2366z00zzforeign_cfunctionz00);
				{
					long BgL_iz00_551;

					BgL_iz00_551 = ((long) 24);
				BgL_loopz00_552:
					if ((BgL_iz00_551 == ((long) -1)))
						{	/* Foreign/cfun.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Foreign/cfun.scm 15 */
							{	/* Foreign/cfun.scm 15 */
								obj_t BgL_arg2368z00_554;

								{	/* Foreign/cfun.scm 15 */

									{	/* Foreign/cfun.scm 15 */
										obj_t BgL_locationz00_556;

										BgL_locationz00_556 = BBOOL(((bool_t) 0));
										{	/* Foreign/cfun.scm 15 */

											BgL_arg2368z00_554 =
												BGl_readz00zz__readerz00(BgL_cportz00_550,
												BgL_locationz00_556);
										}
									}
								}
								{	/* Foreign/cfun.scm 15 */
									int BgL_auxz00_577;

									BgL_auxz00_577 = (int) (BgL_iz00_551);
									CNST_TABLE_SET(BgL_auxz00_577, BgL_arg2368z00_554);
							}}
							{	/* Foreign/cfun.scm 15 */
								int BgL_auxz00_557;

								BgL_auxz00_557 = (int) ((BgL_iz00_551 - ((long) 1)));
								{
									long BgL_iz00_582;

									BgL_iz00_582 = (long) (BgL_auxz00_557);
									BgL_iz00_551 = BgL_iz00_582;
									goto BgL_loopz00_552;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzforeign_cfunctionz00()
	{
		AN_OBJECT;
		{	/* Foreign/cfun.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzforeign_cfunctionz00()
	{
		AN_OBJECT;
		{	/* Foreign/cfun.scm 15 */
			{	/* Foreign/cfun.scm 15 */
				obj_t BgL_makezd2ctypezd2accessesz121881z12_541;

				BgL_makezd2ctypezd2accessesz121881z12_541 =
					make_fx_procedure
					(BGl_makezd2ctypezd2accessesz121881z12zzforeign_cfunctionz00,
					(int) (((long) 3)), (int) (((long) 0)));
				return
					BGl_addzd2methodz12zc0zz__objectz00
					(BGl_makezd2ctypezd2accessesz12zd2envzc0zzforeign_accessz00,
					BGl_cfunctionz00zzforeign_ctypez00,
					BgL_makezd2ctypezd2accessesz121881z12_541);
			}
		}
	}



/* make-ctype-accesses!1881 */
	obj_t BGl_makezd2ctypezd2accessesz121881z12zzforeign_cfunctionz00(obj_t
		BgL_envz00_542, obj_t BgL_whatz00_543, obj_t BgL_whoz00_544,
		obj_t BgL_locz00_545)
	{
		AN_OBJECT;
		{	/* Foreign/cfun.scm 30 */
			{
				BgL_cfunctionz00_bglt BgL_whatz00_197;
				BgL_typez00_bglt BgL_whoz00_198;
				obj_t BgL_locz00_199;

				BgL_whatz00_197 = (BgL_cfunctionz00_bglt) (BgL_whatz00_543);
				BgL_whoz00_198 = (BgL_typez00_bglt) (BgL_whoz00_544);
				BgL_locz00_199 = BgL_locz00_545;
				{	/* Foreign/cfun.scm 31 */
					BgL_typez00_bglt BgL_btypez00_202;

					{
						obj_t BgL_auxz00_588;

						{	/* Foreign/cfun.scm 31 */
							BgL_objectz00_bglt BgL_auxz00_589;

							BgL_auxz00_589 = (BgL_objectz00_bglt) (BgL_whatz00_197);
							BgL_auxz00_588 = BGL_OBJECT_WIDENING(BgL_auxz00_589);
						}
						BgL_btypez00_202 =
							(((BgL_cfunctionz00_bglt) CREF(BgL_auxz00_588))->BgL_btypez00);
					}
					{	/* Foreign/cfun.scm 31 */
						obj_t BgL_idz00_203;

						BgL_idz00_203 =
							(((BgL_typez00_bglt) CREF(BgL_whoz00_198))->BgL_idz00);
						{	/* Foreign/cfun.scm 32 */
							obj_t BgL_widz00_204;

							{	/* Foreign/cfun.scm 33 */
								BgL_typez00_bglt BgL_obj1272z00_474;

								BgL_obj1272z00_474 = (BgL_typez00_bglt) (BgL_whatz00_197);
								BgL_widz00_204 =
									(((BgL_typez00_bglt) CREF(BgL_obj1272z00_474))->BgL_idz00);
							}
							{	/* Foreign/cfun.scm 33 */
								obj_t BgL_bidz00_205;

								BgL_bidz00_205 =
									(((BgL_typez00_bglt) CREF(BgL_btypez00_202))->BgL_idz00);
								{	/* Foreign/cfun.scm 34 */
									obj_t BgL_callzd2idzd2_206;

									{	/* Foreign/cfun.scm 35 */
										obj_t BgL_list2348z00_468;

										{	/* Foreign/cfun.scm 35 */
											obj_t BgL_arg2349z00_469;

											BgL_arg2349z00_469 =
												MAKE_PAIR(CNST_TABLE_REF(((long) 0)), BNIL);
											BgL_list2348z00_468 =
												MAKE_PAIR(BgL_idz00_203, BgL_arg2349z00_469);
										}
										BgL_callzd2idzd2_206 =
											BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
											(BgL_list2348z00_468);
									}
									{	/* Foreign/cfun.scm 35 */
										obj_t BgL_idzd2ze3bidz31_207;

										{	/* Foreign/cfun.scm 36 */
											obj_t BgL_list2344z00_464;

											{	/* Foreign/cfun.scm 36 */
												obj_t BgL_arg2345z00_465;

												{	/* Foreign/cfun.scm 36 */
													obj_t BgL_arg2346z00_466;
													obj_t BgL_arg2347z00_467;

													BgL_arg2346z00_466 = CNST_TABLE_REF(((long) 1));
													BgL_arg2347z00_467 = MAKE_PAIR(BgL_bidz00_205, BNIL);
													BgL_arg2345z00_465 =
														MAKE_PAIR(BgL_arg2346z00_466, BgL_arg2347z00_467);
												}
												BgL_list2344z00_464 =
													MAKE_PAIR(BgL_idz00_203, BgL_arg2345z00_465);
											}
											BgL_idzd2ze3bidz31_207 =
												BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
												(BgL_list2344z00_464);
										}
										{	/* Foreign/cfun.scm 36 */
											obj_t BgL_bidzd2ze3idz31_208;

											{	/* Foreign/cfun.scm 37 */
												obj_t BgL_list2340z00_460;

												{	/* Foreign/cfun.scm 37 */
													obj_t BgL_arg2341z00_461;

													{	/* Foreign/cfun.scm 37 */
														obj_t BgL_arg2342z00_462;
														obj_t BgL_arg2343z00_463;

														BgL_arg2342z00_462 = CNST_TABLE_REF(((long) 1));
														BgL_arg2343z00_463 = MAKE_PAIR(BgL_idz00_203, BNIL);
														BgL_arg2341z00_461 =
															MAKE_PAIR(BgL_arg2342z00_462, BgL_arg2343z00_463);
													}
													BgL_list2340z00_460 =
														MAKE_PAIR(BgL_bidz00_205, BgL_arg2341z00_461);
												}
												BgL_bidzd2ze3idz31_208 =
													BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
													(BgL_list2340z00_460);
											}
											{	/* Foreign/cfun.scm 37 */
												obj_t BgL_bidzf3zf3_209;

												{	/* Foreign/cfun.scm 38 */
													obj_t BgL_list2338z00_458;

													{	/* Foreign/cfun.scm 38 */
														obj_t BgL_arg2339z00_459;

														BgL_arg2339z00_459 =
															MAKE_PAIR(CNST_TABLE_REF(((long) 2)), BNIL);
														BgL_list2338z00_458 =
															MAKE_PAIR(BgL_idz00_203, BgL_arg2339z00_459);
													}
													BgL_bidzf3zf3_209 =
														BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
														(BgL_list2338z00_458);
												}
												{	/* Foreign/cfun.scm 38 */
													obj_t BgL_bidzf3zd2boolz21_210;

													{	/* Foreign/cfun.scm 39 */
														obj_t BgL_list2336z00_456;

														{	/* Foreign/cfun.scm 39 */
															obj_t BgL_arg2337z00_457;

															BgL_arg2337z00_457 =
																MAKE_PAIR(CNST_TABLE_REF(((long) 3)), BNIL);
															BgL_list2336z00_456 =
																MAKE_PAIR(BgL_bidzf3zf3_209,
																BgL_arg2337z00_457);
														}
														BgL_bidzf3zd2boolz21_210 =
															BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
															(BgL_list2336z00_456);
													}
													{	/* Foreign/cfun.scm 39 */
														obj_t BgL_namez00_211;

														BgL_namez00_211 =
															(((BgL_typez00_bglt) CREF(BgL_whoz00_198))->
															BgL_namez00);
														{	/* Foreign/cfun.scm 40 */
															obj_t BgL_namezd2sanszd2z42z42_212;

															BgL_namezd2sanszd2z42z42_212 =
																BGl_stringzd2sanszd2z42z42zztype_toolsz00
																(BgL_namez00_211);
															{	/* Foreign/cfun.scm 41 */
																BgL_typez00_bglt BgL_typezd2reszd2_213;

																{
																	obj_t BgL_auxz00_621;

																	{	/* Foreign/cfun.scm 42 */
																		BgL_objectz00_bglt BgL_auxz00_622;

																		BgL_auxz00_622 =
																			(BgL_objectz00_bglt) (BgL_whatz00_197);
																		BgL_auxz00_621 =
																			BGL_OBJECT_WIDENING(BgL_auxz00_622);
																	}
																	BgL_typezd2reszd2_213 =
																		(((BgL_cfunctionz00_bglt)
																			CREF(BgL_auxz00_621))->BgL_typezd2reszd2);
																}
																{	/* Foreign/cfun.scm 42 */
																	obj_t BgL_typezd2argszd2_214;

																	{
																		obj_t BgL_auxz00_626;

																		{	/* Foreign/cfun.scm 43 */
																			BgL_objectz00_bglt BgL_auxz00_627;

																			BgL_auxz00_627 =
																				(BgL_objectz00_bglt) (BgL_whatz00_197);
																			BgL_auxz00_626 =
																				BGL_OBJECT_WIDENING(BgL_auxz00_627);
																		}
																		BgL_typezd2argszd2_214 =
																			(((BgL_cfunctionz00_bglt)
																				CREF(BgL_auxz00_626))->
																			BgL_typezd2argszd2);
																	}
																	{	/* Foreign/cfun.scm 43 */
																		long BgL_arityz00_215;

																		{
																			obj_t BgL_auxz00_631;

																			{	/* Foreign/cfun.scm 44 */
																				BgL_objectz00_bglt BgL_auxz00_632;

																				BgL_auxz00_632 =
																					(BgL_objectz00_bglt)
																					(BgL_whatz00_197);
																				BgL_auxz00_631 =
																					BGL_OBJECT_WIDENING(BgL_auxz00_632);
																			}
																			BgL_arityz00_215 =
																				(((BgL_cfunctionz00_bglt)
																					CREF(BgL_auxz00_631))->BgL_arityz00);
																		}
																		{	/* Foreign/cfun.scm 44 */
																			obj_t BgL_nbzd2argszd2_216;

																			BgL_nbzd2argszd2_216 =
																				BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
																				(BgL_arityz00_215, BNIL);
																			{	/* Foreign/cfun.scm 45 */

																				{

																					{	/* Foreign/cfun.scm 113 */
																						obj_t BgL_arg1918z00_224;

																						{	/* Foreign/cfun.scm 113 */
																							obj_t BgL_list1929z00_228;

																							{	/* Foreign/cfun.scm 113 */
																								obj_t BgL_arg1932z00_229;
																								obj_t BgL_arg1935z00_230;

																								BgL_arg1932z00_229 =
																									CNST_TABLE_REF(((long) 13));
																								{	/* Foreign/cfun.scm 113 */
																									obj_t BgL_arg1937z00_231;

																									BgL_arg1937z00_231 =
																										MAKE_PAIR(CNST_TABLE_REF((
																												(long) 2)), BNIL);
																									BgL_arg1935z00_230 =
																										MAKE_PAIR(BgL_idz00_203,
																										BgL_arg1937z00_231);
																								}
																								BgL_list1929z00_228 =
																									MAKE_PAIR(BgL_arg1932z00_229,
																									BgL_arg1935z00_230);
																							}
																							BgL_arg1918z00_224 =
																								BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
																								(BgL_list1929z00_228);
																						}
																						{	/* Foreign/cfun.scm 111 */
																							obj_t BgL_list1919z00_225;

																							{	/* Foreign/cfun.scm 111 */
																								obj_t BgL_arg1922z00_226;

																								{	/* Foreign/cfun.scm 111 */
																									obj_t BgL_arg1928z00_227;

																									BgL_arg1928z00_227 =
																										MAKE_PAIR
																										(BgL_callzd2idzd2_206,
																										BNIL);
																									BgL_arg1922z00_226 =
																										MAKE_PAIR
																										(BgL_arg1918z00_224,
																										BgL_arg1928z00_227);
																								}
																								BgL_list1919z00_225 =
																									MAKE_PAIR(BgL_bidzf3zf3_209,
																									BgL_arg1922z00_226);
																							}
																							BGl_registerzd2foreignzd2accesszd2identsz12zc0zzforeign_libraryz00
																								(BgL_list1919z00_225);
																					}}
																					{	/* Foreign/cfun.scm 117 */
																						obj_t BgL_arg1943z00_232;

																						{	/* Foreign/cfun.scm 117 */
																							obj_t BgL_arg1947z00_233;
																							obj_t BgL_arg1949z00_234;

																							BgL_arg1947z00_233 =
																								CNST_TABLE_REF(((long) 20));
																							{	/* Foreign/cfun.scm 117 */
																								obj_t BgL_arg1958z00_235;
																								obj_t BgL_arg1962z00_236;
																								obj_t BgL_arg1966z00_237;

																								{	/* Foreign/cfun.scm 51 */
																									obj_t BgL_arg2322z00_436;
																									obj_t BgL_arg2323z00_437;

																									BgL_arg2322z00_436 =
																										CNST_TABLE_REF(((long) 4));
																									{	/* Foreign/cfun.scm 51 */
																										obj_t BgL_arg2324z00_438;

																										{	/* Foreign/cfun.scm 51 */
																											obj_t BgL_arg2332z00_445;
																											obj_t BgL_arg2333z00_446;

																											BgL_arg2332z00_445 =
																												CNST_TABLE_REF(((long)
																													5));
																											{	/* Foreign/cfun.scm 51 */
																												obj_t
																													BgL_list2334z00_447;
																												BgL_list2334z00_447 =
																													MAKE_PAIR(BNIL, BNIL);
																												BgL_arg2333z00_446 =
																													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																													(BgL_idz00_203,
																													BgL_list2334z00_447);
																											}
																											BgL_arg2324z00_438 =
																												MAKE_PAIR
																												(BgL_arg2332z00_445,
																												BgL_arg2333z00_446);
																										}
																										{	/* Foreign/cfun.scm 51 */
																											obj_t BgL_list2327z00_441;

																											{	/* Foreign/cfun.scm 51 */
																												obj_t
																													BgL_arg2328z00_442;
																												{	/* Foreign/cfun.scm 51 */
																													obj_t
																														BgL_arg2329z00_443;
																													{	/* Foreign/cfun.scm 51 */
																														obj_t
																															BgL_arg2331z00_444;
																														BgL_arg2331z00_444 =
																															MAKE_PAIR(BNIL,
																															BNIL);
																														BgL_arg2329z00_443 =
																															MAKE_PAIR
																															(BGl_string2356z00zzforeign_cfunctionz00,
																															BgL_arg2331z00_444);
																													}
																													BgL_arg2328z00_442 =
																														MAKE_PAIR
																														(BgL_arg2324z00_438,
																														BgL_arg2329z00_443);
																												}
																												BgL_list2327z00_441 =
																													MAKE_PAIR
																													(BgL_idzd2ze3bidz31_207,
																													BgL_arg2328z00_442);
																											}
																											BgL_arg2323z00_437 =
																												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																												(BgL_bidz00_205,
																												BgL_list2327z00_441);
																									}}
																									BgL_arg1958z00_235 =
																										MAKE_PAIR
																										(BgL_arg2322z00_436,
																										BgL_arg2323z00_437);
																								}
																								{	/* Foreign/cfun.scm 54 */
																									obj_t BgL_mnamez00_426;

																									BgL_mnamez00_426 =
																										string_append_3
																										(BGl_string2357z00zzforeign_cfunctionz00,
																										BgL_namezd2sanszd2z42z42_212,
																										BGl_string2358z00zzforeign_cfunctionz00);
																									{	/* Foreign/cfun.scm 55 */
																										obj_t BgL_arg2313z00_427;
																										obj_t BgL_arg2314z00_428;

																										BgL_arg2313z00_427 =
																											CNST_TABLE_REF(((long)
																												4));
																										{	/* Foreign/cfun.scm 55 */
																											obj_t BgL_arg2315z00_429;

																											BgL_arg2315z00_429 =
																												MAKE_PAIR
																												(BgL_bidz00_205, BNIL);
																											{	/* Foreign/cfun.scm 55 */
																												obj_t
																													BgL_list2317z00_431;
																												{	/* Foreign/cfun.scm 55 */
																													obj_t
																														BgL_arg2318z00_432;
																													{	/* Foreign/cfun.scm 55 */
																														obj_t
																															BgL_arg2319z00_433;
																														{	/* Foreign/cfun.scm 55 */
																															obj_t
																																BgL_arg2320z00_434;
																															BgL_arg2320z00_434
																																=
																																MAKE_PAIR(BNIL,
																																BNIL);
																															BgL_arg2319z00_433
																																=
																																MAKE_PAIR
																																(BgL_mnamez00_426,
																																BgL_arg2320z00_434);
																														}
																														BgL_arg2318z00_432 =
																															MAKE_PAIR
																															(BgL_arg2315z00_429,
																															BgL_arg2319z00_433);
																													}
																													BgL_list2317z00_431 =
																														MAKE_PAIR
																														(BgL_bidzd2ze3idz31_208,
																														BgL_arg2318z00_432);
																												}
																												BgL_arg2314z00_428 =
																													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																													(BgL_idz00_203,
																													BgL_list2317z00_431);
																										}}
																										BgL_arg1962z00_236 =
																											MAKE_PAIR
																											(BgL_arg2313z00_427,
																											BgL_arg2314z00_428);
																								}}
																								{	/* Foreign/cfun.scm 74 */
																									obj_t BgL_treszd2idzd2_351;

																									BgL_treszd2idzd2_351 =
																										(((BgL_typez00_bglt)
																											CREF
																											(BgL_typezd2reszd2_213))->
																										BgL_idz00);
																									{	/* Foreign/cfun.scm 74 */
																										obj_t BgL_targszd2idzd2_352;

																										if (NULLP
																											(BgL_typezd2argszd2_214))
																											{	/* Foreign/cfun.scm 75 */
																												BgL_targszd2idzd2_352 =
																													BNIL;
																											}
																										else
																											{	/* Foreign/cfun.scm 75 */
																												obj_t
																													BgL_head1876z00_368;
																												{	/* Foreign/cfun.scm 75 */
																													obj_t
																														BgL_arg2237z00_379;
																													{	/* Foreign/cfun.scm 75 */
																														BgL_typez00_bglt
																															BgL_obj1272z00_529;
																														{	/* Foreign/cfun.scm 75 */
																															obj_t
																																BgL_pairz00_528;
																															BgL_pairz00_528 =
																																BgL_typezd2argszd2_214;
																															{	/* Foreign/cfun.scm 75 */
																																obj_t
																																	BgL_auxz00_671;
																																BgL_auxz00_671 =
																																	CAR
																																	(BgL_pairz00_528);
																																BgL_obj1272z00_529
																																	=
																																	(BgL_typez00_bglt)
																																	(BgL_auxz00_671);
																															}
																														}
																														BgL_arg2237z00_379 =
																															(((BgL_typez00_bglt) CREF(BgL_obj1272z00_529))->BgL_idz00);
																													}
																													BgL_head1876z00_368 =
																														MAKE_PAIR
																														(BgL_arg2237z00_379,
																														BNIL);
																												}
																												{	/* Foreign/cfun.scm 75 */
																													obj_t
																														BgL_g1879z00_369;
																													BgL_g1879z00_369 =
																														CDR
																														(BgL_typezd2argszd2_214);
																													{
																														obj_t
																															BgL_l1874z00_370;
																														obj_t
																															BgL_tail1877z00_371;
																														BgL_l1874z00_370 =
																															BgL_g1879z00_369;
																														BgL_tail1877z00_371
																															=
																															BgL_head1876z00_368;
																													BgL_map1875z00_372:
																														if (NULLP
																															(BgL_l1874z00_370))
																															{	/* Foreign/cfun.scm 75 */
																																BgL_targszd2idzd2_352
																																	=
																																	BgL_head1876z00_368;
																															}
																														else
																															{	/* Foreign/cfun.scm 75 */
																																obj_t
																																	BgL_newtail1878z00_374;
																																{	/* Foreign/cfun.scm 75 */
																																	obj_t
																																		BgL_arg2220z00_376;
																																	{	/* Foreign/cfun.scm 75 */
																																		BgL_typez00_bglt
																																			BgL_obj1272z00_535;
																																		{	/* Foreign/cfun.scm 75 */
																																			obj_t
																																				BgL_pairz00_534;
																																			BgL_pairz00_534
																																				=
																																				BgL_l1874z00_370;
																																			{	/* Foreign/cfun.scm 75 */
																																				obj_t
																																					BgL_auxz00_679;
																																				BgL_auxz00_679
																																					=
																																					CAR
																																					(BgL_pairz00_534);
																																				BgL_obj1272z00_535
																																					=
																																					(BgL_typez00_bglt)
																																					(BgL_auxz00_679);
																																			}
																																		}
																																		BgL_arg2220z00_376
																																			=
																																			(((BgL_typez00_bglt) CREF(BgL_obj1272z00_535))->BgL_idz00);
																																	}
																																	BgL_newtail1878z00_374
																																		=
																																		MAKE_PAIR
																																		(BgL_arg2220z00_376,
																																		BNIL);
																																}
																																SET_CDR
																																	(BgL_tail1877z00_371,
																																	BgL_newtail1878z00_374);
																																{
																																	obj_t
																																		BgL_tail1877z00_687;
																																	obj_t
																																		BgL_l1874z00_685;
																																	BgL_l1874z00_685
																																		=
																																		CDR
																																		(BgL_l1874z00_370);
																																	BgL_tail1877z00_687
																																		=
																																		BgL_newtail1878z00_374;
																																	BgL_tail1877z00_371
																																		=
																																		BgL_tail1877z00_687;
																																	BgL_l1874z00_370
																																		=
																																		BgL_l1874z00_685;
																																	goto
																																		BgL_map1875z00_372;
																																}
																															}
																													}
																												}
																											}
																										{	/* Foreign/cfun.scm 75 */
																											obj_t
																												BgL_callerzd2namezd2_353;
																											BgL_callerzd2namezd2_353 =
																												string_append
																												(BGl_string2359z00zzforeign_cfunctionz00,
																												BgL_nbzd2argszd2_216);
																											{	/* Foreign/cfun.scm 76 */
																												obj_t
																													BgL_czd2callzd2idz00_354;
																												{	/* Foreign/cfun.scm 77 */
																													obj_t
																														BgL_list2213z00_363;
																													{	/* Foreign/cfun.scm 77 */
																														obj_t
																															BgL_arg2214z00_364;
																														obj_t
																															BgL_arg2215z00_365;
																														BgL_arg2214z00_364 =
																															CNST_TABLE_REF((
																																(long) 18));
																														BgL_arg2215z00_365 =
																															MAKE_PAIR
																															(BgL_callzd2idzd2_206,
																															BNIL);
																														BgL_list2213z00_363
																															=
																															MAKE_PAIR
																															(BgL_arg2214z00_364,
																															BgL_arg2215z00_365);
																													}
																													BgL_czd2callzd2idz00_354
																														=
																														BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
																														(BgL_list2213z00_363);
																												}
																												{	/* Foreign/cfun.scm 77 */

																													{	/* Foreign/cfun.scm 78 */
																														obj_t
																															BgL_arg2205z00_355;
																														obj_t
																															BgL_arg2206z00_356;
																														BgL_arg2205z00_355 =
																															CNST_TABLE_REF((
																																(long) 4));
																														{	/* Foreign/cfun.scm 78 */
																															obj_t
																																BgL_arg2207z00_357;
																															BgL_arg2207z00_357
																																=
																																MAKE_PAIR
																																(BgL_idz00_203,
																																BgL_targszd2idzd2_352);
																															{	/* Foreign/cfun.scm 78 */
																																obj_t
																																	BgL_list2209z00_359;
																																{	/* Foreign/cfun.scm 78 */
																																	obj_t
																																		BgL_arg2210z00_360;
																																	{	/* Foreign/cfun.scm 78 */
																																		obj_t
																																			BgL_arg2211z00_361;
																																		{	/* Foreign/cfun.scm 78 */
																																			obj_t
																																				BgL_arg2212z00_362;
																																			BgL_arg2212z00_362
																																				=
																																				MAKE_PAIR
																																				(BNIL,
																																				BNIL);
																																			BgL_arg2211z00_361
																																				=
																																				MAKE_PAIR
																																				(BgL_callerzd2namezd2_353,
																																				BgL_arg2212z00_362);
																																		}
																																		BgL_arg2210z00_360
																																			=
																																			MAKE_PAIR
																																			(BgL_arg2207z00_357,
																																			BgL_arg2211z00_361);
																																	}
																																	BgL_list2209z00_359
																																		=
																																		MAKE_PAIR
																																		(BgL_czd2callzd2idz00_354,
																																		BgL_arg2210z00_360);
																																}
																																BgL_arg2206z00_356
																																	=
																																	BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																	(BgL_treszd2idzd2_351,
																																	BgL_list2209z00_359);
																														}}
																														BgL_arg1966z00_237 =
																															MAKE_PAIR
																															(BgL_arg2205z00_355,
																															BgL_arg2206z00_356);
																								}}}}}}
																								{	/* Foreign/cfun.scm 117 */
																									obj_t BgL_list1970z00_239;

																									{	/* Foreign/cfun.scm 117 */
																										obj_t BgL_arg1973z00_240;

																										{	/* Foreign/cfun.scm 117 */
																											obj_t BgL_arg1981z00_241;

																											BgL_arg1981z00_241 =
																												MAKE_PAIR(BNIL, BNIL);
																											BgL_arg1973z00_240 =
																												MAKE_PAIR
																												(BgL_arg1966z00_237,
																												BgL_arg1981z00_241);
																										}
																										BgL_list1970z00_239 =
																											MAKE_PAIR
																											(BgL_arg1962z00_236,
																											BgL_arg1973z00_240);
																									}
																									BgL_arg1949z00_234 =
																										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																										(BgL_arg1958z00_235,
																										BgL_list1970z00_239);
																							}}
																							BgL_arg1943z00_232 =
																								MAKE_PAIR(BgL_arg1947z00_233,
																								BgL_arg1949z00_234);
																						}
																						BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
																							(BgL_arg1943z00_232);
																					}
																					{	/* Foreign/cfun.scm 121 */
																						obj_t BgL_arg1987z00_242;

																						{	/* Foreign/cfun.scm 121 */
																							obj_t BgL_arg1991z00_243;
																							obj_t BgL_arg1997z00_244;

																							BgL_arg1991z00_243 =
																								CNST_TABLE_REF(((long) 21));
																							{	/* Foreign/cfun.scm 122 */
																								obj_t BgL_arg2002z00_245;

																								{	/* Foreign/cfun.scm 122 */
																									obj_t BgL_arg2010z00_248;

																									{	/* Foreign/cfun.scm 122 */
																										obj_t BgL_arg2016z00_249;

																										{	/* Foreign/cfun.scm 122 */
																											obj_t BgL_list2017z00_250;

																											BgL_list2017z00_250 =
																												MAKE_PAIR(BNIL, BNIL);
																											BgL_arg2016z00_249 =
																												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																												(CNST_TABLE_REF(((long)
																														22)),
																												BgL_list2017z00_250);
																										}
																										BgL_arg2010z00_248 =
																											MAKE_PAIR
																											(BgL_bidzf3zd2boolz21_210,
																											BgL_arg2016z00_249);
																									}
																									BgL_arg2002z00_245 =
																										BGl_makezd2protozd2inlinez00zzforeign_libraryz00
																										(BgL_arg2010z00_248);
																								}
																								{	/* Foreign/cfun.scm 121 */
																									obj_t BgL_list2007z00_247;

																									BgL_list2007z00_247 =
																										MAKE_PAIR(BNIL, BNIL);
																									BgL_arg1997z00_244 =
																										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																										(BgL_arg2002z00_245,
																										BgL_list2007z00_247);
																							}}
																							BgL_arg1987z00_242 =
																								MAKE_PAIR(BgL_arg1991z00_243,
																								BgL_arg1997z00_244);
																						}
																						BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
																							(BgL_arg1987z00_242);
																					}
																					{	/* Foreign/cfun.scm 123 */
																						obj_t BgL_arg2019z00_251;

																						{	/* Foreign/cfun.scm 123 */
																							obj_t BgL_arg2021z00_252;
																							obj_t BgL_arg2025z00_253;

																							BgL_arg2021z00_252 =
																								CNST_TABLE_REF(((long) 23));
																							{	/* Foreign/cfun.scm 123 */
																								obj_t BgL_arg2031z00_254;

																								{	/* Foreign/cfun.scm 123 */
																									obj_t BgL_arg2039z00_257;

																									{	/* Foreign/cfun.scm 123 */
																										obj_t BgL_arg2040z00_258;

																										{	/* Foreign/cfun.scm 123 */
																											obj_t BgL_arg2060z00_261;
																											obj_t BgL_arg2064z00_262;

																											BgL_arg2060z00_261 =
																												CNST_TABLE_REF(((long)
																													24));
																											{	/* Foreign/cfun.scm 123 */
																												obj_t
																													BgL_list2065z00_263;
																												BgL_list2065z00_263 =
																													MAKE_PAIR(BNIL, BNIL);
																												BgL_arg2064z00_262 =
																													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																													(BgL_widz00_204,
																													BgL_list2065z00_263);
																											}
																											BgL_arg2040z00_258 =
																												MAKE_PAIR
																												(BgL_arg2060z00_261,
																												BgL_arg2064z00_262);
																										}
																										{	/* Foreign/cfun.scm 123 */
																											obj_t BgL_list2055z00_260;

																											BgL_list2055z00_260 =
																												MAKE_PAIR(BNIL, BNIL);
																											BgL_arg2039z00_257 =
																												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																												(BgL_arg2040z00_258,
																												BgL_list2055z00_260);
																									}}
																									BgL_arg2031z00_254 =
																										MAKE_PAIR(BgL_bidzf3zf3_209,
																										BgL_arg2039z00_257);
																								}
																								{	/* Foreign/cfun.scm 123 */
																									obj_t BgL_list2036z00_256;

																									BgL_list2036z00_256 =
																										MAKE_PAIR(BNIL, BNIL);
																									BgL_arg2025z00_253 =
																										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																										(BgL_arg2031z00_254,
																										BgL_list2036z00_256);
																							}}
																							BgL_arg2019z00_251 =
																								MAKE_PAIR(BgL_arg2021z00_252,
																								BgL_arg2025z00_253);
																						}
																						BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
																							(BgL_arg2019z00_251);
																					}
																					{	/* Foreign/cfun.scm 126 */
																						obj_t BgL_arg2068z00_264;
																						obj_t BgL_arg2078z00_265;
																						obj_t BgL_arg2082z00_266;

																						{	/* Foreign/cfun.scm 60 */
																							obj_t BgL_arg2284z00_397;
																							obj_t BgL_arg2285z00_398;

																							{	/* Foreign/cfun.scm 60 */
																								obj_t BgL_arg2286z00_399;

																								{	/* Foreign/cfun.scm 60 */
																									obj_t BgL_list2287z00_400;

																									BgL_list2287z00_400 =
																										MAKE_PAIR(BNIL, BNIL);
																									BgL_arg2286z00_399 =
																										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																										(CNST_TABLE_REF(((long) 6)),
																										BgL_list2287z00_400);
																								}
																								BgL_arg2284z00_397 =
																									MAKE_PAIR
																									(BgL_bidzf3zd2boolz21_210,
																									BgL_arg2286z00_399);
																							}
																							{	/* Foreign/cfun.scm 61 */
																								obj_t BgL_arg2288z00_401;
																								obj_t BgL_arg2289z00_402;

																								BgL_arg2288z00_401 =
																									CNST_TABLE_REF(((long) 7));
																								{	/* Foreign/cfun.scm 61 */
																									obj_t BgL_arg2290z00_403;
																									obj_t BgL_arg2291z00_404;

																									{	/* Foreign/cfun.scm 61 */
																										obj_t BgL_arg2296z00_409;
																										obj_t BgL_arg2297z00_410;

																										BgL_arg2296z00_409 =
																											CNST_TABLE_REF(((long)
																												8));
																										{	/* Foreign/cfun.scm 61 */
																											obj_t BgL_list2298z00_411;

																											BgL_list2298z00_411 =
																												MAKE_PAIR(BNIL, BNIL);
																											BgL_arg2297z00_410 =
																												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																												(CNST_TABLE_REF(((long)
																														9)),
																												BgL_list2298z00_411);
																										}
																										BgL_arg2290z00_403 =
																											MAKE_PAIR
																											(BgL_arg2296z00_409,
																											BgL_arg2297z00_410);
																									}
																									{	/* Foreign/cfun.scm 62 */
																										obj_t BgL_arg2299z00_412;
																										obj_t BgL_arg2300z00_413;

																										BgL_arg2299z00_412 =
																											CNST_TABLE_REF(((long)
																												10));
																										{	/* Foreign/cfun.scm 62 */
																											obj_t BgL_arg2301z00_414;
																											obj_t BgL_arg2302z00_415;

																											{	/* Foreign/cfun.scm 62 */
																												obj_t
																													BgL_arg2306z00_419;
																												obj_t
																													BgL_arg2307z00_420;
																												BgL_arg2306z00_419 =
																													CNST_TABLE_REF(((long)
																														11));
																												{	/* Foreign/cfun.scm 62 */
																													obj_t
																														BgL_list2308z00_421;
																													BgL_list2308z00_421 =
																														MAKE_PAIR(BNIL,
																														BNIL);
																													BgL_arg2307z00_420 =
																														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																														(CNST_TABLE_REF((
																																(long) 9)),
																														BgL_list2308z00_421);
																												}
																												BgL_arg2301z00_414 =
																													MAKE_PAIR
																													(BgL_arg2306z00_419,
																													BgL_arg2307z00_420);
																											}
																											{	/* Foreign/cfun.scm 62 */
																												obj_t
																													BgL_arg2309z00_422;
																												obj_t
																													BgL_arg2310z00_423;
																												BgL_arg2309z00_422 =
																													CNST_TABLE_REF(((long)
																														12));
																												{	/* Foreign/cfun.scm 62 */
																													obj_t
																														BgL_list2311z00_424;
																													BgL_list2311z00_424 =
																														MAKE_PAIR(BNIL,
																														BNIL);
																													BgL_arg2310z00_423 =
																														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																														(BgL_bidz00_205,
																														BgL_list2311z00_424);
																												}
																												BgL_arg2302z00_415 =
																													MAKE_PAIR
																													(BgL_arg2309z00_422,
																													BgL_arg2310z00_423);
																											}
																											{	/* Foreign/cfun.scm 62 */
																												obj_t
																													BgL_list2304z00_417;
																												{	/* Foreign/cfun.scm 62 */
																													obj_t
																														BgL_arg2305z00_418;
																													BgL_arg2305z00_418 =
																														MAKE_PAIR(BNIL,
																														BNIL);
																													BgL_list2304z00_417 =
																														MAKE_PAIR
																														(BgL_arg2302z00_415,
																														BgL_arg2305z00_418);
																												}
																												BgL_arg2300z00_413 =
																													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																													(BgL_arg2301z00_414,
																													BgL_list2304z00_417);
																										}}
																										BgL_arg2291z00_404 =
																											MAKE_PAIR
																											(BgL_arg2299z00_412,
																											BgL_arg2300z00_413);
																									}
																									{	/* Foreign/cfun.scm 61 */
																										obj_t BgL_list2293z00_406;

																										{	/* Foreign/cfun.scm 61 */
																											obj_t BgL_arg2294z00_407;

																											{	/* Foreign/cfun.scm 61 */
																												obj_t
																													BgL_arg2295z00_408;
																												BgL_arg2295z00_408 =
																													MAKE_PAIR(BNIL, BNIL);
																												BgL_arg2294z00_407 =
																													MAKE_PAIR(BFALSE,
																													BgL_arg2295z00_408);
																											}
																											BgL_list2293z00_406 =
																												MAKE_PAIR
																												(BgL_arg2291z00_404,
																												BgL_arg2294z00_407);
																										}
																										BgL_arg2289z00_402 =
																											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																											(BgL_arg2290z00_403,
																											BgL_list2293z00_406);
																								}}
																								BgL_arg2285z00_398 =
																									MAKE_PAIR(BgL_arg2288z00_401,
																									BgL_arg2289z00_402);
																							}
																							BgL_arg2068z00_264 =
																								BGl_makezd2definezd2inlinez00zzforeign_libraryz00
																								(BgL_arg2284z00_397,
																								BgL_arg2285z00_398);
																						}
																						{	/* Foreign/cfun.scm 68 */
																							obj_t BgL_arg2251z00_383;
																							obj_t BgL_arg2255z00_384;

																							{	/* Foreign/cfun.scm 68 */
																								obj_t BgL_arg2256z00_385;
																								obj_t BgL_arg2257z00_386;

																								{	/* Foreign/cfun.scm 68 */
																									obj_t BgL_list2258z00_387;

																									{	/* Foreign/cfun.scm 68 */
																										obj_t BgL_arg2259z00_388;
																										obj_t BgL_arg2260z00_389;

																										BgL_arg2259z00_388 =
																											CNST_TABLE_REF(((long)
																												13));
																										{	/* Foreign/cfun.scm 68 */
																											obj_t BgL_arg2272z00_390;

																											BgL_arg2272z00_390 =
																												MAKE_PAIR(CNST_TABLE_REF
																												(((long) 14)), BNIL);
																											BgL_arg2260z00_389 =
																												MAKE_PAIR(BgL_idz00_203,
																												BgL_arg2272z00_390);
																										}
																										BgL_list2258z00_387 =
																											MAKE_PAIR
																											(BgL_arg2259z00_388,
																											BgL_arg2260z00_389);
																									}
																									BgL_arg2256z00_385 =
																										BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
																										(BgL_list2258z00_387);
																								}
																								{	/* Foreign/cfun.scm 69 */
																									obj_t BgL_arg2278z00_391;
																									obj_t BgL_arg2279z00_392;

																									BgL_arg2278z00_391 =
																										BGl_makezd2typedzd2identz00zzast_identz00
																										(CNST_TABLE_REF(((long)
																												15)), BgL_idz00_203);
																									BgL_arg2279z00_392 =
																										BGl_makezd2typedzd2identz00zzast_identz00
																										(CNST_TABLE_REF(((long)
																												16)), BgL_idz00_203);
																									{	/* Foreign/cfun.scm 68 */
																										obj_t BgL_list2281z00_394;

																										{	/* Foreign/cfun.scm 68 */
																											obj_t BgL_arg2282z00_395;

																											BgL_arg2282z00_395 =
																												MAKE_PAIR(BNIL, BNIL);
																											BgL_list2281z00_394 =
																												MAKE_PAIR
																												(BgL_arg2279z00_392,
																												BgL_arg2282z00_395);
																										}
																										BgL_arg2257z00_386 =
																											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																											(BgL_arg2278z00_391,
																											BgL_list2281z00_394);
																								}}
																								BgL_arg2251z00_383 =
																									MAKE_PAIR(BgL_arg2256z00_385,
																									BgL_arg2257z00_386);
																							}
																							BgL_arg2255z00_384 =
																								CNST_TABLE_REF(((long) 17));
																							BgL_arg2078z00_265 =
																								BGl_makezd2definezd2inlinez00zzforeign_libraryz00
																								(BgL_arg2251z00_383,
																								BgL_arg2255z00_384);
																						}
																						if (
																							(BgL_arityz00_215 >=
																								(long)
																								CINT
																								(BGl_za2maxzd2czd2foreignzd2arityza2zd2zzengine_paramz00)))
																							{	/* Foreign/cfun.scm 83 */
																								BgL_arg2082z00_266 =
																									BGl_userzd2errorzd2zztools_errorz00
																									(BgL_idz00_203,
																									string_append_3
																									(BGl_string2360z00zzforeign_cfunctionz00,
																										BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
																										((long)
																											CINT
																											(BGl_za2maxzd2czd2foreignzd2arityza2zd2zzengine_paramz00),
																											BNIL),
																										BGl_string2361z00zzforeign_cfunctionz00),
																									string_append
																									(BgL_nbzd2argszd2_216,
																										BGl_string2362z00zzforeign_cfunctionz00),
																									BNIL);
																							}
																						else
																							{	/* Foreign/cfun.scm 83 */
																								if (
																									(BgL_arityz00_215 >=
																										((long) 0)))
																									{	/* Foreign/cfun.scm 90 */
																										{	/* Foreign/cfun.scm 98 */
																											obj_t
																												BgL_treszd2idzd2_271;
																											BgL_treszd2idzd2_271 =
																												(((BgL_typez00_bglt)
																													CREF
																													(BgL_typezd2reszd2_213))->
																												BgL_idz00);
																											{	/* Foreign/cfun.scm 98 */
																												obj_t
																													BgL_targszd2idzd2_272;
																												if (NULLP
																													(BgL_typezd2argszd2_214))
																													{	/* Foreign/cfun.scm 99 */
																														BgL_targszd2idzd2_272
																															= BNIL;
																													}
																												else
																													{	/* Foreign/cfun.scm 99 */
																														obj_t
																															BgL_head1858z00_325;
																														{	/* Foreign/cfun.scm 99 */
																															obj_t
																																BgL_arg2179z00_336;
																															{	/* Foreign/cfun.scm 99 */
																																BgL_typez00_bglt
																																	BgL_obj1272z00_485;
																																{	/* Foreign/cfun.scm 99 */
																																	obj_t
																																		BgL_pairz00_484;
																																	BgL_pairz00_484
																																		=
																																		BgL_typezd2argszd2_214;
																																	{	/* Foreign/cfun.scm 99 */
																																		obj_t
																																			BgL_auxz00_788;
																																		BgL_auxz00_788
																																			=
																																			CAR
																																			(BgL_pairz00_484);
																																		BgL_obj1272z00_485
																																			=
																																			(BgL_typez00_bglt)
																																			(BgL_auxz00_788);
																																	}
																																}
																																BgL_arg2179z00_336
																																	=
																																	(((BgL_typez00_bglt) CREF(BgL_obj1272z00_485))->BgL_idz00);
																															}
																															BgL_head1858z00_325
																																=
																																MAKE_PAIR
																																(BgL_arg2179z00_336,
																																BNIL);
																														}
																														{	/* Foreign/cfun.scm 99 */
																															obj_t
																																BgL_g1861z00_326;
																															BgL_g1861z00_326 =
																																CDR
																																(BgL_typezd2argszd2_214);
																															{
																																obj_t
																																	BgL_l1856z00_327;
																																obj_t
																																	BgL_tail1859z00_328;
																																BgL_l1856z00_327
																																	=
																																	BgL_g1861z00_326;
																																BgL_tail1859z00_328
																																	=
																																	BgL_head1858z00_325;
																															BgL_map1857z00_329:
																																if (NULLP
																																	(BgL_l1856z00_327))
																																	{	/* Foreign/cfun.scm 99 */
																																		BgL_targszd2idzd2_272
																																			=
																																			BgL_head1858z00_325;
																																	}
																																else
																																	{	/* Foreign/cfun.scm 99 */
																																		obj_t
																																			BgL_newtail1860z00_331;
																																		{	/* Foreign/cfun.scm 99 */
																																			obj_t
																																				BgL_arg2176z00_333;
																																			{	/* Foreign/cfun.scm 99 */
																																				BgL_typez00_bglt
																																					BgL_obj1272z00_491;
																																				{	/* Foreign/cfun.scm 99 */
																																					obj_t
																																						BgL_pairz00_490;
																																					BgL_pairz00_490
																																						=
																																						BgL_l1856z00_327;
																																					{	/* Foreign/cfun.scm 99 */
																																						obj_t
																																							BgL_auxz00_796;
																																						BgL_auxz00_796
																																							=
																																							CAR
																																							(BgL_pairz00_490);
																																						BgL_obj1272z00_491
																																							=
																																							(BgL_typez00_bglt)
																																							(BgL_auxz00_796);
																																					}
																																				}
																																				BgL_arg2176z00_333
																																					=
																																					(((BgL_typez00_bglt) CREF(BgL_obj1272z00_491))->BgL_idz00);
																																			}
																																			BgL_newtail1860z00_331
																																				=
																																				MAKE_PAIR
																																				(BgL_arg2176z00_333,
																																				BNIL);
																																		}
																																		SET_CDR
																																			(BgL_tail1859z00_328,
																																			BgL_newtail1860z00_331);
																																		{
																																			obj_t
																																				BgL_tail1859z00_804;
																																			obj_t
																																				BgL_l1856z00_802;
																																			BgL_l1856z00_802
																																				=
																																				CDR
																																				(BgL_l1856z00_327);
																																			BgL_tail1859z00_804
																																				=
																																				BgL_newtail1860z00_331;
																																			BgL_tail1859z00_328
																																				=
																																				BgL_tail1859z00_804;
																																			BgL_l1856z00_327
																																				=
																																				BgL_l1856z00_802;
																																			goto
																																				BgL_map1857z00_329;
																																		}
																																	}
																															}
																														}
																													}
																												{	/* Foreign/cfun.scm 99 */
																													obj_t BgL_argsz00_273;

																													if (NULLP
																														(BgL_targszd2idzd2_272))
																														{	/* Foreign/cfun.scm 100 */
																															BgL_argsz00_273 =
																																BNIL;
																														}
																													else
																														{	/* Foreign/cfun.scm 100 */
																															obj_t
																																BgL_head1864z00_309;
																															BgL_head1864z00_309
																																=
																																MAKE_PAIR
																																(BGl_gensymz00zz__r4_symbols_6_4z00
																																(CAR
																																	(BgL_targszd2idzd2_272)),
																																BNIL);
																															{	/* Foreign/cfun.scm 100 */
																																obj_t
																																	BgL_g1867z00_310;
																																BgL_g1867z00_310
																																	=
																																	CDR
																																	(BgL_targszd2idzd2_272);
																																{
																																	obj_t
																																		BgL_l1862z00_311;
																																	obj_t
																																		BgL_tail1865z00_312;
																																	BgL_l1862z00_311
																																		=
																																		BgL_g1867z00_310;
																																	BgL_tail1865z00_312
																																		=
																																		BgL_head1864z00_309;
																																BgL_map1863z00_313:
																																	if (NULLP
																																		(BgL_l1862z00_311))
																																		{	/* Foreign/cfun.scm 100 */
																																			BgL_argsz00_273
																																				=
																																				BgL_head1864z00_309;
																																		}
																																	else
																																		{	/* Foreign/cfun.scm 100 */
																																			obj_t
																																				BgL_newtail1866z00_315;
																																			BgL_newtail1866z00_315
																																				=
																																				MAKE_PAIR
																																				(BGl_gensymz00zz__r4_symbols_6_4z00
																																				(CAR
																																					(BgL_l1862z00_311)),
																																				BNIL);
																																			SET_CDR
																																				(BgL_tail1865z00_312,
																																				BgL_newtail1866z00_315);
																																			{
																																				obj_t
																																					BgL_tail1865z00_819;
																																				obj_t
																																					BgL_l1862z00_817;
																																				BgL_l1862z00_817
																																					=
																																					CDR
																																					(BgL_l1862z00_311);
																																				BgL_tail1865z00_819
																																					=
																																					BgL_newtail1866z00_315;
																																				BgL_tail1865z00_312
																																					=
																																					BgL_tail1865z00_819;
																																				BgL_l1862z00_311
																																					=
																																					BgL_l1862z00_817;
																																				goto
																																					BgL_map1863z00_313;
																																			}
																																		}
																																}
																															}
																														}
																													{	/* Foreign/cfun.scm 100 */
																														obj_t
																															BgL_czd2callzd2idz00_274;
																														{	/* Foreign/cfun.scm 101 */
																															obj_t
																																BgL_list2157z00_304;
																															{	/* Foreign/cfun.scm 101 */
																																obj_t
																																	BgL_arg2158z00_305;
																																obj_t
																																	BgL_arg2160z00_306;
																																BgL_arg2158z00_305
																																	=
																																	CNST_TABLE_REF
																																	(((long) 18));
																																BgL_arg2160z00_306
																																	=
																																	MAKE_PAIR
																																	(BgL_callzd2idzd2_206,
																																	BNIL);
																																BgL_list2157z00_304
																																	=
																																	MAKE_PAIR
																																	(BgL_arg2158z00_305,
																																	BgL_arg2160z00_306);
																															}
																															BgL_czd2callzd2idz00_274
																																=
																																BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
																																(BgL_list2157z00_304);
																														}
																														{	/* Foreign/cfun.scm 101 */

																															{	/* Foreign/cfun.scm 103 */
																																obj_t
																																	BgL_arg2094z00_275;
																																obj_t
																																	BgL_arg2098z00_276;
																																{	/* Foreign/cfun.scm 103 */
																																	obj_t
																																		BgL_arg2108z00_277;
																																	obj_t
																																		BgL_arg2114z00_278;
																																	BgL_arg2108z00_277
																																		=
																																		BGl_makezd2typedzd2identz00zzast_identz00
																																		(BgL_callzd2idzd2_206,
																																		BgL_treszd2idzd2_271);
																																	{	/* Foreign/cfun.scm 104 */
																																		obj_t
																																			BgL_arg2119z00_279;
																																		obj_t
																																			BgL_arg2125z00_280;
																																		BgL_arg2119z00_279
																																			=
																																			BGl_makezd2typedzd2identz00zzast_identz00
																																			(CNST_TABLE_REF
																																			(((long)
																																					19)),
																																			BgL_idz00_203);
																																		{	/* Foreign/cfun.scm 105 */
																																			obj_t
																																				BgL_arg2129z00_282;
																																			if (NULLP
																																				(BgL_argsz00_273))
																																				{	/* Foreign/cfun.scm 105 */
																																					BgL_arg2129z00_282
																																						=
																																						BNIL;
																																				}
																																			else
																																				{	/* Foreign/cfun.scm 105 */
																																					obj_t
																																						BgL_head1870z00_287;
																																					BgL_head1870z00_287
																																						=
																																						MAKE_PAIR
																																						(BNIL,
																																						BNIL);
																																					{
																																						obj_t
																																							BgL_ll1868z00_288;
																																						obj_t
																																							BgL_ll1869z00_289;
																																						obj_t
																																							BgL_tail1871z00_290;
																																						BgL_ll1868z00_288
																																							=
																																							BgL_argsz00_273;
																																						BgL_ll1869z00_289
																																							=
																																							BgL_targszd2idzd2_272;
																																						BgL_tail1871z00_290
																																							=
																																							BgL_head1870z00_287;
																																					BgL_map1873z00_291:
																																						if (NULLP(BgL_ll1868z00_288))
																																							{	/* Foreign/cfun.scm 105 */
																																								BgL_arg2129z00_282
																																									=
																																									CDR
																																									(BgL_head1870z00_287);
																																							}
																																						else
																																							{	/* Foreign/cfun.scm 105 */
																																								obj_t
																																									BgL_newtail1872z00_293;
																																								BgL_newtail1872z00_293
																																									=
																																									MAKE_PAIR
																																									(BGl_makezd2typedzd2identz00zzast_identz00
																																									(CAR
																																										(BgL_ll1868z00_288),
																																										CAR
																																										(BgL_ll1869z00_289)),
																																									BNIL);
																																								SET_CDR
																																									(BgL_tail1871z00_290,
																																									BgL_newtail1872z00_293);
																																								{
																																									obj_t
																																										BgL_tail1871z00_842;
																																									obj_t
																																										BgL_ll1869z00_840;
																																									obj_t
																																										BgL_ll1868z00_838;
																																									BgL_ll1868z00_838
																																										=
																																										CDR
																																										(BgL_ll1868z00_288);
																																									BgL_ll1869z00_840
																																										=
																																										CDR
																																										(BgL_ll1869z00_289);
																																									BgL_tail1871z00_842
																																										=
																																										BgL_newtail1872z00_293;
																																									BgL_tail1871z00_290
																																										=
																																										BgL_tail1871z00_842;
																																									BgL_ll1869z00_289
																																										=
																																										BgL_ll1869z00_840;
																																									BgL_ll1868z00_288
																																										=
																																										BgL_ll1868z00_838;
																																									goto
																																										BgL_map1873z00_291;
																																								}
																																							}
																																					}
																																				}
																																			BgL_arg2125z00_280
																																				=
																																				BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																				(BgL_arg2129z00_282,
																																				BNIL);
																																		}
																																		{	/* Foreign/cfun.scm 103 */
																																			obj_t
																																				BgL_list2126z00_281;
																																			BgL_list2126z00_281
																																				=
																																				MAKE_PAIR
																																				(BgL_arg2125z00_280,
																																				BNIL);
																																			BgL_arg2114z00_278
																																				=
																																				BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																				(BgL_arg2119z00_279,
																																				BgL_list2126z00_281);
																																		}
																																	}
																																	BgL_arg2094z00_275
																																		=
																																		MAKE_PAIR
																																		(BgL_arg2108z00_277,
																																		BgL_arg2114z00_278);
																																}
																																{	/* Foreign/cfun.scm 108 */
																																	obj_t
																																		BgL_arg2153z00_300;
																																	{	/* Foreign/cfun.scm 108 */
																																		obj_t
																																			BgL_arg2154z00_301;
																																		obj_t
																																			BgL_arg2155z00_302;
																																		BgL_arg2154z00_301
																																			=
																																			CNST_TABLE_REF
																																			(((long)
																																				19));
																																		BgL_arg2155z00_302
																																			=
																																			BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																			(BgL_argsz00_273,
																																			BNIL);
																																		{	/* Foreign/cfun.scm 108 */
																																			obj_t
																																				BgL_list2156z00_303;
																																			BgL_list2156z00_303
																																				=
																																				MAKE_PAIR
																																				(BgL_arg2155z00_302,
																																				BNIL);
																																			BgL_arg2153z00_300
																																				=
																																				BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																				(BgL_arg2154z00_301,
																																				BgL_list2156z00_303);
																																	}}
																																	BgL_arg2098z00_276
																																		=
																																		MAKE_PAIR
																																		(BgL_czd2callzd2idz00_274,
																																		BgL_arg2153z00_300);
																																}
																																BgL_arg2082z00_266
																																	=
																																	BGl_makezd2definezd2inlinez00zzforeign_libraryz00
																																	(BgL_arg2094z00_275,
																																	BgL_arg2098z00_276);
																									}}}}}}}
																								else
																									{	/* Foreign/cfun.scm 90 */
																										BgL_arg2082z00_266 =
																											BGl_userzd2errorzd2zztools_errorz00
																											(BGl_string2363z00zzforeign_cfunctionz00,
																											BGl_string2364z00zzforeign_cfunctionz00,
																											BgL_idz00_203, BNIL);
																									}
																							}
																						{	/* Foreign/cfun.scm 126 */
																							obj_t BgL_list2083z00_267;

																							{	/* Foreign/cfun.scm 126 */
																								obj_t BgL_arg2085z00_268;

																								{	/* Foreign/cfun.scm 126 */
																									obj_t BgL_arg2089z00_269;

																									BgL_arg2089z00_269 =
																										MAKE_PAIR
																										(BgL_arg2082z00_266, BNIL);
																									BgL_arg2085z00_268 =
																										MAKE_PAIR
																										(BgL_arg2078z00_265,
																										BgL_arg2089z00_269);
																								}
																								BgL_list2083z00_267 =
																									MAKE_PAIR(BgL_arg2068z00_264,
																									BgL_arg2085z00_268);
																							}
																							return BgL_list2083z00_267;
																						}
																					}
																				}
																			}
																		}
																	}
																}
															}
														}
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzforeign_cfunctionz00()
	{
		AN_OBJECT;
		{	/* Foreign/cfun.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string2365z00zzforeign_cfunctionz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 315910987),
				BSTRING_TO_STRING(BGl_string2365z00zzforeign_cfunctionz00));
			BGl_modulezd2initializa7ationz75zztype_toolsz00(((long) 195902195),
				BSTRING_TO_STRING(BGl_string2365z00zzforeign_cfunctionz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string2365z00zzforeign_cfunctionz00));
			BGl_modulezd2initializa7ationz75zzforeign_ctypez00(((long) 178768066),
				BSTRING_TO_STRING(BGl_string2365z00zzforeign_cfunctionz00));
			BGl_modulezd2initializa7ationz75zzforeign_accessz00(((long) 477377954),
				BSTRING_TO_STRING(BGl_string2365z00zzforeign_cfunctionz00));
			BGl_modulezd2initializa7ationz75zzforeign_libraryz00(((long) 477408199),
				BSTRING_TO_STRING(BGl_string2365z00zzforeign_cfunctionz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 358171001),
				BSTRING_TO_STRING(BGl_string2365z00zzforeign_cfunctionz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 514705515),
				BSTRING_TO_STRING(BGl_string2365z00zzforeign_cfunctionz00));
			return
				BGl_modulezd2initializa7ationz75zzast_identz00(((long) 498714928),
				BSTRING_TO_STRING(BGl_string2365z00zzforeign_cfunctionz00));
		}
	}

#ifdef __cplusplus
}
#endif
