/*===========================================================================*/
/*   (Inline/simple.scm)                                                     */
/*   Bigloo (2.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 25 07:31:22 CET 2006        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/2.9a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Inline/simple.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2heapzd2formatz00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_isaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		struct BgL_typez00_bgl *BgL_classz00;
	}             *BgL_isaz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_isfunz00_bgl
	{
		struct BgL_nodez00_bgl *BgL_originalzd2bodyzd2;
		obj_t BgL_recursivezd2callszd2;
	}               *BgL_isfunz00_bglt;


	extern BgL_localz00_bglt BGl_clonezd2localzd2zzast_localz00(BgL_localz00_bglt,
		BgL_valuez00_bglt);
	BGL_IMPORT obj_t open_input_string(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	static obj_t BGl_cnstzd2initzd2zzinline_simplez00();
	extern bool_t BGl_sidezd2effectzf3z21zzeffect_effectz00(BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzinline_simplez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_inlinez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_siza7eza7(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_alphatiza7eza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_spreadz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_2zc3zd3z10zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_alphatiza7eza7zzast_alphatiza7eza7(obj_t, obj_t,
		obj_t, BgL_nodez00_bglt);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_inlinezd2appzd2simplez00zzinline_simplez00(BgL_nodez00_bglt, long,
		obj_t, obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_za2verboseza2z00zzengine_paramz00;
	extern BgL_nodez00_bglt
		BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_nodez00_bglt, long, obj_t);
	static obj_t BGl_methodzd2initzd2zzinline_simplez00();
	extern bool_t
		BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(BgL_nodez00_bglt);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzinline_simplez00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzinline_simplez00();
	extern obj_t BGl_currentzd2functionzd2zztools_errorz00();
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t,
		BgL_typez00_bglt);
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_za2inliningzd2reducezd2kfactorza2z00zzengine_paramz00;
	extern BgL_varz00_bglt BGl_makezd2varzd2zzast_nodez00(obj_t, BgL_typez00_bglt,
		BgL_variablez00_bglt);
	extern obj_t BGl_isfunz00zzinline_inlinez00;
	extern BgL_letzd2varzd2_bglt BGl_makezd2letzd2varz00zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, obj_t, BgL_nodez00_bglt, bool_t);
	static obj_t BGl__inlinezd2appzd2simple3216z00zzinline_simplez00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzinline_simplez00();
	extern BgL_svarz00_bglt BGl_makezd2svarzd2zzast_varz00(obj_t);
	static obj_t __cnst[3];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_inlinezd2appzd2simplezd2envzd2zzinline_simplez00,
		BgL_bgl__inlineza7d2appza7d23224z00,
		BGl__inlinezd2appzd2simple3216z00zzinline_simplez00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string3217z00zzinline_simplez00,
		BgL_bgl_string3217za700za7za7i3225za7, " (", 2);
	      DEFINE_STRING(BGl_string3218z00zzinline_simplez00,
		BgL_bgl_string3218za700za7za7i3226za7, " --> ", 5);
	      DEFINE_STRING(BGl_string3220z00zzinline_simplez00,
		BgL_bgl_string3220za700za7za7i3227za7, "inline_simple", 13);
	      DEFINE_STRING(BGl_string3219z00zzinline_simplez00,
		BgL_bgl_string3219za700za7za7i3228za7, "         ", 9);
	      DEFINE_STRING(BGl_string3221z00zzinline_simplez00,
		BgL_bgl_string3221za700za7za7i3229za7, "res (sifun sgfun) read ", 23);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzinline_simplez00(long
		BgL_checksumz00_1268, char *BgL_fromz00_1269)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzinline_simplez00))
				{
					BGl_requirezd2initializa7ationz75zzinline_simplez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzinline_simplez00();
					BGl_cnstzd2initzd2zzinline_simplez00();
					BGl_importedzd2moduleszd2initz00zzinline_simplez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzinline_simplez00()
	{
		AN_OBJECT;
		{	/* Inline/simple.scm 15 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"inline_simple");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"inline_simple");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"inline_simple");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"inline_simple");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"inline_simple");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzinline_simplez00()
	{
		AN_OBJECT;
		{	/* Inline/simple.scm 15 */
			{	/* Inline/simple.scm 15 */
				obj_t BgL_cportz00_1260;

				BgL_cportz00_1260 =
					open_input_string(BGl_string3221z00zzinline_simplez00);
				{
					long BgL_iz00_1261;

					BgL_iz00_1261 = ((long) 2);
				BgL_loopz00_1262:
					if ((BgL_iz00_1261 == ((long) -1)))
						{	/* Inline/simple.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Inline/simple.scm 15 */
							{	/* Inline/simple.scm 15 */
								obj_t BgL_arg3223z00_1264;

								{	/* Inline/simple.scm 15 */

									{	/* Inline/simple.scm 15 */
										obj_t BgL_locationz00_1266;

										BgL_locationz00_1266 = BBOOL(((bool_t) 0));
										{	/* Inline/simple.scm 15 */

											BgL_arg3223z00_1264 =
												BGl_readz00zz__readerz00(BgL_cportz00_1260,
												BgL_locationz00_1266);
										}
									}
								}
								{	/* Inline/simple.scm 15 */
									int BgL_auxz00_1286;

									BgL_auxz00_1286 = (int) (BgL_iz00_1261);
									CNST_TABLE_SET(BgL_auxz00_1286, BgL_arg3223z00_1264);
							}}
							{	/* Inline/simple.scm 15 */
								int BgL_auxz00_1267;

								BgL_auxz00_1267 = (int) ((BgL_iz00_1261 - ((long) 1)));
								{
									long BgL_iz00_1291;

									BgL_iz00_1291 = (long) (BgL_auxz00_1267);
									BgL_iz00_1261 = BgL_iz00_1291;
									goto BgL_loopz00_1262;
								}
							}
						}
				}
			}
		}
	}



/* inline-app-simple */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_inlinezd2appzd2simplez00zzinline_simplez00(BgL_nodez00_bglt
		BgL_nodez00_1, long BgL_kfactorz00_2, obj_t BgL_stackz00_3,
		obj_t BgL_msgz00_4)
	{
		AN_OBJECT;
		{	/* Inline/simple.scm 42 */
			{	/* Inline/simple.scm 45 */
				BgL_variablez00_bglt BgL_calleez00_715;

				{	/* Inline/simple.scm 45 */
					BgL_varz00_bglt BgL_obj1908z00_1199;

					{	/* Inline/simple.scm 45 */
						BgL_appz00_bglt BgL_obj2002z00_1198;

						BgL_obj2002z00_1198 = (BgL_appz00_bglt) (BgL_nodez00_1);
						BgL_obj1908z00_1199 =
							(((BgL_appz00_bglt) CREF(BgL_obj2002z00_1198))->BgL_funz00);
					}
					BgL_calleez00_715 =
						(((BgL_varz00_bglt) CREF(BgL_obj1908z00_1199))->BgL_variablez00);
				}
				{	/* Inline/simple.scm 45 */
					BgL_valuez00_bglt BgL_sfunz00_716;

					BgL_sfunz00_716 =
						(((BgL_variablez00_bglt) CREF(BgL_calleez00_715))->BgL_valuez00);
					{	/* Inline/simple.scm 46 */
						obj_t BgL_formalsz00_717;

						{	/* Inline/simple.scm 47 */
							BgL_sfunz00_bglt BgL_obj1636z00_1201;

							BgL_obj1636z00_1201 = (BgL_sfunz00_bglt) (BgL_sfunz00_716);
							BgL_formalsz00_717 =
								(((BgL_sfunz00_bglt) CREF(BgL_obj1636z00_1201))->BgL_argsz00);
						}
						{	/* Inline/simple.scm 47 */
							obj_t BgL_actualsz00_718;

							{	/* Inline/simple.scm 48 */
								BgL_appz00_bglt BgL_obj2005z00_1202;

								BgL_obj2005z00_1202 = (BgL_appz00_bglt) (BgL_nodez00_1);
								BgL_actualsz00_718 =
									(((BgL_appz00_bglt) CREF(BgL_obj2005z00_1202))->BgL_argsz00);
							}
							{	/* Inline/simple.scm 48 */
								obj_t BgL_reductorsz00_719;

								if (NULLP(BgL_formalsz00_717))
									{	/* Inline/simple.scm 49 */
										BgL_reductorsz00_719 = BNIL;
									}
								else
									{	/* Inline/simple.scm 49 */
										obj_t BgL_head3084z00_796;

										BgL_head3084z00_796 = MAKE_PAIR(BNIL, BNIL);
										{
											obj_t BgL_ll3082z00_797;
											obj_t BgL_ll3083z00_798;
											obj_t BgL_tail3085z00_799;

											BgL_ll3082z00_797 = BgL_formalsz00_717;
											BgL_ll3083z00_798 = BgL_actualsz00_718;
											BgL_tail3085z00_799 = BgL_head3084z00_796;
										BgL_map3087z00_800:
											if (NULLP(BgL_ll3082z00_797))
												{	/* Inline/simple.scm 49 */
													BgL_reductorsz00_719 = CDR(BgL_head3084z00_796);
												}
											else
												{	/* Inline/simple.scm 49 */
													obj_t BgL_newtail3086z00_802;

													{	/* Inline/simple.scm 49 */
														obj_t BgL_arg3150z00_805;

														{	/* Inline/simple.scm 49 */
															obj_t BgL_fz00_807;
															obj_t BgL_az00_808;

															BgL_fz00_807 = CAR(BgL_ll3082z00_797);
															BgL_az00_808 = CAR(BgL_ll3083z00_798);
															{	/* Inline/simple.scm 50 */
																bool_t BgL_testz00_1309;

																if (BGl_iszd2azf3z21zz__objectz00(BgL_az00_808,
																		BGl_closurez00zzast_nodez00))
																	{	/* Inline/simple.scm 51 */
																		bool_t BgL_testz00_1312;

																		{	/* Inline/simple.scm 51 */
																			obj_t BgL_auxz00_1313;

																			{	/* Inline/simple.scm 51 */
																				BgL_variablez00_bglt
																					BgL_obj1372z00_1211;
																				BgL_obj1372z00_1211 =
																					(BgL_variablez00_bglt) (BgL_fz00_807);
																				BgL_auxz00_1313 =
																					(((BgL_variablez00_bglt)
																						CREF(BgL_obj1372z00_1211))->
																					BgL_accessz00);
																			}
																			BgL_testz00_1312 =
																				(BgL_auxz00_1313 ==
																				CNST_TABLE_REF(((long) 0)));
																		}
																		if (BgL_testz00_1312)
																			{	/* Inline/simple.scm 52 */
																				bool_t BgL__ortest_3073z00_816;

																				{	/* Inline/simple.scm 52 */
																					BgL_typez00_bglt BgL_arg3159z00_820;

																					{	/* Inline/simple.scm 52 */
																						BgL_variablez00_bglt
																							BgL_obj1366z00_1212;
																						BgL_obj1366z00_1212 =
																							(BgL_variablez00_bglt)
																							(BgL_fz00_807);
																						BgL_arg3159z00_820 =
																							(((BgL_variablez00_bglt)
																								CREF(BgL_obj1366z00_1212))->
																							BgL_typez00);
																					}
																					BgL__ortest_3073z00_816 =
																						(
																						(obj_t) (BgL_arg3159z00_820) ==
																						BGl_za2procedureza2z00zztype_cachez00);
																				}
																				if (BgL__ortest_3073z00_816)
																					{	/* Inline/simple.scm 52 */
																						BgL_testz00_1309 =
																							BgL__ortest_3073z00_816;
																					}
																				else
																					{	/* Inline/simple.scm 53 */
																						bool_t BgL__ortest_3074z00_817;

																						{	/* Inline/simple.scm 53 */
																							BgL_typez00_bglt
																								BgL_arg3158z00_819;
																							{	/* Inline/simple.scm 53 */
																								BgL_variablez00_bglt
																									BgL_obj1366z00_1213;
																								BgL_obj1366z00_1213 =
																									(BgL_variablez00_bglt)
																									(BgL_fz00_807);
																								BgL_arg3158z00_819 =
																									(((BgL_variablez00_bglt)
																										CREF(BgL_obj1366z00_1213))->
																									BgL_typez00);
																							}
																							BgL__ortest_3074z00_817 =
																								(
																								(obj_t) (BgL_arg3158z00_819) ==
																								BGl_za2_za2z00zztype_cachez00);
																						}
																						if (BgL__ortest_3074z00_817)
																							{	/* Inline/simple.scm 53 */
																								BgL_testz00_1309 =
																									BgL__ortest_3074z00_817;
																							}
																						else
																							{	/* Inline/simple.scm 54 */
																								BgL_typez00_bglt
																									BgL_arg3157z00_818;
																								{	/* Inline/simple.scm 54 */
																									BgL_variablez00_bglt
																										BgL_obj1366z00_1214;
																									BgL_obj1366z00_1214 =
																										(BgL_variablez00_bglt)
																										(BgL_fz00_807);
																									BgL_arg3157z00_818 =
																										(((BgL_variablez00_bglt)
																											CREF
																											(BgL_obj1366z00_1214))->
																										BgL_typez00);
																								}
																								BgL_testz00_1309 =
																									(
																									(obj_t) (BgL_arg3157z00_818)
																									==
																									BGl_za2objza2z00zztype_cachez00);
																							}
																					}
																			}
																		else
																			{	/* Inline/simple.scm 51 */
																				BgL_testz00_1309 = ((bool_t) 0);
																			}
																	}
																else
																	{	/* Inline/simple.scm 50 */
																		BgL_testz00_1309 = ((bool_t) 0);
																	}
																if (BgL_testz00_1309)
																	{	/* Inline/simple.scm 59 */
																		BgL_varz00_bglt BgL_obj1908z00_1215;

																		BgL_obj1908z00_1215 =
																			(BgL_varz00_bglt) (BgL_az00_808);
																		{	/* Inline/simple.scm 59 */
																			BgL_variablez00_bglt BgL_auxz00_1333;

																			BgL_auxz00_1333 =
																				(((BgL_varz00_bglt)
																					CREF(BgL_obj1908z00_1215))->
																				BgL_variablez00);
																			BgL_arg3150z00_805 =
																				(obj_t) (BgL_auxz00_1333);
																		}
																	}
																else
																	{	/* Inline/simple.scm 62 */
																		BgL_svarz00_bglt BgL_arg3153z00_810;

																		{	/* Inline/simple.scm 62 */
																			BgL_svarz00_bglt
																				BgL_duplicated3075z00_811;
																			{	/* Inline/simple.scm 62 */
																				BgL_variablez00_bglt
																					BgL_obj1369z00_1216;
																				BgL_obj1369z00_1216 =
																					(BgL_variablez00_bglt) (BgL_fz00_807);
																				{	/* Inline/simple.scm 62 */
																					BgL_valuez00_bglt BgL_auxz00_1337;

																					BgL_auxz00_1337 =
																						(((BgL_variablez00_bglt)
																							CREF(BgL_obj1369z00_1216))->
																						BgL_valuez00);
																					BgL_duplicated3075z00_811 =
																						(BgL_svarz00_bglt)
																						(BgL_auxz00_1337);
																				}
																			}
																			{	/* Inline/simple.scm 62 */
																				BgL_svarz00_bglt BgL_new3076z00_812;

																				{	/* Inline/simple.scm 62 */
																					obj_t BgL_arg3154z00_813;

																					BgL_arg3154z00_813 =
																						(((BgL_svarz00_bglt)
																							CREF(BgL_duplicated3075z00_811))->
																						BgL_locz00);
																					BgL_new3076z00_812 =
																						BGl_makezd2svarzd2zzast_varz00
																						(BgL_arg3154z00_813);
																				}
																				{	/* Inline/simple.scm 62 */

																					BgL_arg3153z00_810 =
																						BgL_new3076z00_812;
																				}
																			}
																		}
																		{	/* Inline/simple.scm 60 */
																			BgL_localz00_bglt BgL_auxz00_1342;

																			BgL_auxz00_1342 =
																				BGl_clonezd2localzd2zzast_localz00(
																				(BgL_localz00_bglt) (BgL_fz00_807),
																				(BgL_valuez00_bglt)
																				(BgL_arg3153z00_810));
																			BgL_arg3150z00_805 =
																				(obj_t) (BgL_auxz00_1342);
																		}
																	}
															}
														}
														BgL_newtail3086z00_802 =
															MAKE_PAIR(BgL_arg3150z00_805, BNIL);
													}
													SET_CDR(BgL_tail3085z00_799, BgL_newtail3086z00_802);
													{
														obj_t BgL_tail3085z00_1353;
														obj_t BgL_ll3083z00_1351;
														obj_t BgL_ll3082z00_1349;

														BgL_ll3082z00_1349 = CDR(BgL_ll3082z00_797);
														BgL_ll3083z00_1351 = CDR(BgL_ll3083z00_798);
														BgL_tail3085z00_1353 = BgL_newtail3086z00_802;
														BgL_tail3085z00_799 = BgL_tail3085z00_1353;
														BgL_ll3083z00_798 = BgL_ll3083z00_1351;
														BgL_ll3082z00_797 = BgL_ll3082z00_1349;
														goto BgL_map3087z00_800;
													}
												}
										}
									}
								{	/* Inline/simple.scm 49 */
									obj_t BgL_bindingsz00_720;

									{
										obj_t BgL_reductorsz00_774;
										obj_t BgL_actualsz00_775;
										obj_t BgL_resz00_776;

										BgL_reductorsz00_774 = BgL_reductorsz00_719;
										BgL_actualsz00_775 = BgL_actualsz00_718;
										BgL_resz00_776 = BNIL;
									BgL_loopz00_777:
										if (NULLP(BgL_actualsz00_775))
											{	/* Inline/simple.scm 69 */
												BgL_bindingsz00_720 = bgl_reverse_bang(BgL_resz00_776);
											}
										else
											{	/* Inline/simple.scm 71 */
												bool_t BgL_testz00_1357;

												{	/* Inline/simple.scm 71 */
													bool_t BgL_testz00_1358;

													{	/* Inline/simple.scm 71 */
														obj_t BgL_arg3144z00_792;

														BgL_arg3144z00_792 = CAR(BgL_actualsz00_775);
														BgL_testz00_1358 =
															BGl_iszd2azf3z21zz__objectz00(BgL_arg3144z00_792,
															BGl_closurez00zzast_nodez00);
													}
													if (BgL_testz00_1358)
														{	/* Inline/simple.scm 72 */
															obj_t BgL_auxz00_1361;

															{	/* Inline/simple.scm 72 */
																BgL_variablez00_bglt BgL_auxz00_1363;

																{	/* Inline/simple.scm 73 */
																	BgL_varz00_bglt BgL_obj1908z00_1229;

																	{	/* Inline/simple.scm 73 */
																		obj_t BgL_pairz00_1228;

																		BgL_pairz00_1228 = BgL_actualsz00_775;
																		{	/* Inline/simple.scm 73 */
																			obj_t BgL_auxz00_1364;

																			BgL_auxz00_1364 = CAR(BgL_pairz00_1228);
																			BgL_obj1908z00_1229 =
																				(BgL_varz00_bglt) (BgL_auxz00_1364);
																		}
																	}
																	BgL_auxz00_1363 =
																		(((BgL_varz00_bglt)
																			CREF(BgL_obj1908z00_1229))->
																		BgL_variablez00);
																}
																BgL_auxz00_1361 = (obj_t) (BgL_auxz00_1363);
															}
															BgL_testz00_1357 =
																(CAR(BgL_reductorsz00_774) == BgL_auxz00_1361);
														}
													else
														{	/* Inline/simple.scm 71 */
															BgL_testz00_1357 = ((bool_t) 0);
														}
												}
												if (BgL_testz00_1357)
													{
														obj_t BgL_actualsz00_1372;
														obj_t BgL_reductorsz00_1370;

														BgL_reductorsz00_1370 = CDR(BgL_reductorsz00_774);
														BgL_actualsz00_1372 = CDR(BgL_actualsz00_775);
														BgL_actualsz00_775 = BgL_actualsz00_1372;
														BgL_reductorsz00_774 = BgL_reductorsz00_1370;
														goto BgL_loopz00_777;
													}
												else
													{	/* Inline/simple.scm 78 */
														obj_t BgL_arg3134z00_782;
														obj_t BgL_arg3135z00_783;
														obj_t BgL_arg3136z00_784;

														BgL_arg3134z00_782 = CDR(BgL_reductorsz00_774);
														BgL_arg3135z00_783 = CDR(BgL_actualsz00_775);
														{	/* Inline/simple.scm 80 */
															obj_t BgL_arg3137z00_785;

															BgL_arg3137z00_785 =
																MAKE_PAIR(CAR(BgL_reductorsz00_774),
																CAR(BgL_actualsz00_775));
															BgL_arg3136z00_784 =
																MAKE_PAIR(BgL_arg3137z00_785, BgL_resz00_776);
														}
														{
															obj_t BgL_resz00_1382;
															obj_t BgL_actualsz00_1381;
															obj_t BgL_reductorsz00_1380;

															BgL_reductorsz00_1380 = BgL_arg3134z00_782;
															BgL_actualsz00_1381 = BgL_arg3135z00_783;
															BgL_resz00_1382 = BgL_arg3136z00_784;
															BgL_resz00_776 = BgL_resz00_1382;
															BgL_actualsz00_775 = BgL_actualsz00_1381;
															BgL_reductorsz00_774 = BgL_reductorsz00_1380;
															goto BgL_loopz00_777;
														}
													}
											}
									}
									{	/* Inline/simple.scm 65 */
										obj_t BgL_bodyz00_721;

										{	/* Inline/simple.scm 83 */
											bool_t BgL_testz00_1383;

											{	/* Inline/simple.scm 83 */
												obj_t BgL_obj3025z00_1236;

												BgL_obj3025z00_1236 = (obj_t) (BgL_sfunz00_716);
												BgL_testz00_1383 =
													BGl_iszd2azf3z21zz__objectz00(BgL_obj3025z00_1236,
													BGl_isfunz00zzinline_inlinez00);
											}
											if (BgL_testz00_1383)
												{	/* Inline/simple.scm 84 */
													BgL_isfunz00_bglt BgL_obj3026z00_1237;

													BgL_obj3026z00_1237 =
														(BgL_isfunz00_bglt) (BgL_sfunz00_716);
													{	/* Inline/simple.scm 84 */
														BgL_nodez00_bglt BgL_auxz00_1387;

														{
															obj_t BgL_auxz00_1388;

															{	/* Inline/simple.scm 84 */
																BgL_objectz00_bglt BgL_auxz00_1389;

																BgL_auxz00_1389 =
																	(BgL_objectz00_bglt) (BgL_obj3026z00_1237);
																BgL_auxz00_1388 =
																	BGL_OBJECT_WIDENING(BgL_auxz00_1389);
															}
															BgL_auxz00_1387 =
																(((BgL_isfunz00_bglt) CREF(BgL_auxz00_1388))->
																BgL_originalzd2bodyzd2);
														}
														BgL_bodyz00_721 = (obj_t) (BgL_auxz00_1387);
													}
												}
											else
												{	/* Inline/simple.scm 85 */
													BgL_sfunz00_bglt BgL_obj1639z00_1238;

													BgL_obj1639z00_1238 =
														(BgL_sfunz00_bglt) (BgL_sfunz00_716);
													BgL_bodyz00_721 =
														(((BgL_sfunz00_bglt) CREF(BgL_obj1639z00_1238))->
														BgL_bodyz00);
												}
										}
										{	/* Inline/simple.scm 86 */
											obj_t BgL_newzd2kfactorzd2_723;

											BgL_newzd2kfactorzd2_723 =
												PROCEDURE_ENTRY
												(BGl_za2inliningzd2reducezd2kfactorza2z00zzengine_paramz00)
												(BGl_za2inliningzd2reducezd2kfactorza2z00zzengine_paramz00,
												BINT(BgL_kfactorz00_2), BEOA);
											{	/* Inline/simple.scm 87 */
												obj_t BgL_locz00_724;

												BgL_locz00_724 =
													(((BgL_nodez00_bglt) CREF(BgL_nodez00_1))->
													BgL_locz00);
												{	/* Inline/simple.scm 88 */
													BgL_typez00_bglt BgL_typez00_725;

													BgL_typez00_725 =
														(((BgL_variablez00_bglt) CREF(BgL_calleez00_715))->
														BgL_typez00);
													{	/* Inline/simple.scm 89 */

														{	/* Inline/simple.scm 91 */
															bool_t BgL_testz00_1401;

															{	/* Inline/simple.scm 91 */
																obj_t BgL_auxz00_1402;

																{	/* Inline/simple.scm 91 */
																	obj_t BgL_auxz00_1403;

																	{	/* Inline/simple.scm 91 */
																		BgL_sfunz00_bglt BgL_obj1642z00_1242;

																		BgL_obj1642z00_1242 =
																			(BgL_sfunz00_bglt) (BgL_sfunz00_716);
																		BgL_auxz00_1403 =
																			(((BgL_sfunz00_bglt)
																				CREF(BgL_obj1642z00_1242))->
																			BgL_classz00);
																	}
																	BgL_auxz00_1402 =
																		BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																		(BgL_auxz00_1403,
																		CNST_TABLE_REF(((long) 1)));
																}
																BgL_testz00_1401 = CBOOL(BgL_auxz00_1402);
															}
															if (BgL_testz00_1401)
																{	/* Inline/simple.scm 91 */
																	BFALSE;
																}
															else
																{	/* Inline/simple.scm 91 */
																	if (BGl_2zc3zd3z10zz__r4_numbers_6_5z00(BINT((
																					(long) 3)),
																			BGl_za2verboseza2z00zzengine_paramz00))
																		{	/* Inline/simple.scm 92 */
																			obj_t BgL_arg3094z00_730;
																			obj_t BgL_arg3096z00_732;

																			BgL_arg3094z00_730 =
																				BGl_shapez00zztools_shapez00(
																				(obj_t) (BgL_calleez00_715));
																			BgL_arg3096z00_732 =
																				BGl_currentzd2functionzd2zztools_errorz00
																				();
																			{	/* Inline/simple.scm 92 */
																				obj_t BgL_list3098z00_734;

																				{	/* Inline/simple.scm 92 */
																					obj_t BgL_arg3099z00_735;

																					{	/* Inline/simple.scm 92 */
																						obj_t BgL_arg3100z00_736;

																						{	/* Inline/simple.scm 92 */
																							obj_t BgL_arg3101z00_737;

																							{	/* Inline/simple.scm 92 */
																								obj_t BgL_arg3102z00_738;

																								{	/* Inline/simple.scm 92 */
																									obj_t BgL_arg3103z00_739;

																									{	/* Inline/simple.scm 92 */
																										obj_t BgL_arg3104z00_740;

																										{	/* Inline/simple.scm 92 */
																											obj_t BgL_arg3105z00_741;

																											BgL_arg3105z00_741 =
																												MAKE_PAIR(BCHAR((
																														(unsigned char)
																														'\n')), BNIL);
																											BgL_arg3104z00_740 =
																												MAKE_PAIR(BCHAR((
																														(unsigned char)
																														')')),
																												BgL_arg3105z00_741);
																										}
																										BgL_arg3103z00_739 =
																											MAKE_PAIR(BgL_msgz00_4,
																											BgL_arg3104z00_740);
																									}
																									BgL_arg3102z00_738 =
																										MAKE_PAIR
																										(BGl_string3217z00zzinline_simplez00,
																										BgL_arg3103z00_739);
																								}
																								BgL_arg3101z00_737 =
																									MAKE_PAIR(BgL_arg3096z00_732,
																									BgL_arg3102z00_738);
																							}
																							BgL_arg3100z00_736 =
																								MAKE_PAIR
																								(BGl_string3218z00zzinline_simplez00,
																								BgL_arg3101z00_737);
																						}
																						BgL_arg3099z00_735 =
																							MAKE_PAIR(BgL_arg3094z00_730,
																							BgL_arg3100z00_736);
																					}
																					BgL_list3098z00_734 =
																						MAKE_PAIR
																						(BGl_string3219z00zzinline_simplez00,
																						BgL_arg3099z00_735);
																				}
																				BGl_verbosez00zztools_speekz00(BINT((
																							(long) 3)), BgL_list3098z00_734);
																		}}
																	else
																		{	/* Inline/simple.scm 92 */
																			BUNSPEC;
																		}
																}
														}
														{	/* Inline/simple.scm 103 */
															BgL_nodez00_bglt BgL_alphazd2bodyzd2_744;

															BgL_alphazd2bodyzd2_744 =
																BGl_alphatiza7eza7zzast_alphatiza7eza7
																(BgL_formalsz00_717, BgL_reductorsz00_719,
																BgL_locz00_724,
																(BgL_nodez00_bglt) (BgL_bodyz00_721));
															BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00
																(BgL_alphazd2bodyzd2_744);
															{	/* Inline/simple.scm 107 */
																BgL_letzd2varzd2_bglt BgL_inlinezd2bodyzd2_745;

																{	/* Inline/simple.scm 110 */
																	bool_t BgL_arg3125z00_768;
																	BgL_nodez00_bglt BgL_arg3127z00_770;

																	BgL_arg3125z00_768 =
																		BGl_sidezd2effectzf3z21zzeffect_effectz00
																		(BgL_alphazd2bodyzd2_744);
																	{	/* Inline/simple.scm 114 */
																		obj_t BgL_arg3128z00_771;

																		BgL_arg3128z00_771 =
																			MAKE_PAIR(
																			(obj_t) (BgL_calleez00_715),
																			BgL_stackz00_3);
																		BgL_arg3127z00_770 =
																			BGl_inlinezd2nodezd2zzinline_inlinez00
																			(BgL_alphazd2bodyzd2_744,
																			(long) CINT(BgL_newzd2kfactorzd2_723),
																			BgL_arg3128z00_771);
																	}
																	BgL_inlinezd2bodyzd2_745 =
																		BGl_makezd2letzd2varz00zzast_nodez00
																		(BgL_locz00_724, BgL_typez00_725,
																		BBOOL(BgL_arg3125z00_768),
																		BINT(((long) -1)), BgL_bindingsz00_720,
																		BgL_arg3127z00_770, ((bool_t) 1));
																}
																{
																	obj_t BgL_ll3088z00_746;
																	obj_t BgL_ll3089z00_747;

																	BgL_ll3088z00_746 = BgL_reductorsz00_719;
																	BgL_ll3089z00_747 = BgL_formalsz00_717;
																BgL_forzd2each3090zd2_748:
																	if (NULLP(BgL_ll3088z00_746))
																		{	/* Inline/simple.scm 115 */
																			((bool_t) 1);
																		}
																	else
																		{	/* Inline/simple.scm 115 */
																			{	/* Inline/simple.scm 116 */
																				obj_t BgL_reductorz00_750;
																				obj_t BgL_formalz00_751;

																				BgL_reductorz00_750 =
																					CAR(BgL_ll3088z00_746);
																				BgL_formalz00_751 =
																					CAR(BgL_ll3089z00_747);
																				if (BGl_iszd2azf3z21zz__objectz00
																					(BgL_reductorz00_750,
																						BGl_localz00zzast_varz00))
																					{	/* Inline/simple.scm 117 */
																						bool_t BgL_arg3110z00_753;

																						{	/* Inline/simple.scm 117 */
																							BgL_localz00_bglt
																								BgL_obj1532z00_1247;
																							BgL_obj1532z00_1247 =
																								(BgL_localz00_bglt)
																								(BgL_formalz00_751);
																							BgL_arg3110z00_753 =
																								(((BgL_localz00_bglt)
																									CREF(BgL_obj1532z00_1247))->
																								BgL_userzf3zf3);
																						}
																						{	/* Inline/simple.scm 117 */
																							BgL_localz00_bglt
																								BgL_obj1534z00_1248;
																							bool_t BgL_val1533z00_1249;

																							BgL_obj1534z00_1248 =
																								(BgL_localz00_bglt)
																								(BgL_reductorz00_750);
																							BgL_val1533z00_1249 =
																								BgL_arg3110z00_753;
																							((((BgL_localz00_bglt)
																										CREF(BgL_obj1534z00_1248))->
																									BgL_userzf3zf3) =
																								((bool_t) BgL_val1533z00_1249),
																								BUNSPEC);
																						}
																					}
																				else
																					{	/* Inline/simple.scm 116 */
																						BFALSE;
																					}
																			}
																			{
																				obj_t BgL_ll3089z00_1450;
																				obj_t BgL_ll3088z00_1448;

																				BgL_ll3088z00_1448 =
																					CDR(BgL_ll3088z00_746);
																				BgL_ll3089z00_1450 =
																					CDR(BgL_ll3089z00_747);
																				BgL_ll3089z00_747 = BgL_ll3089z00_1450;
																				BgL_ll3088z00_746 = BgL_ll3088z00_1448;
																				goto BgL_forzd2each3090zd2_748;
																			}
																		}
																}
																{	/* Inline/simple.scm 124 */
																	bool_t BgL_testz00_1452;

																	if (
																		((obj_t) (BgL_typez00_725) ==
																			BGl_za2_za2z00zztype_cachez00))
																		{	/* Inline/simple.scm 124 */
																			BgL_testz00_1452 = ((bool_t) 1);
																		}
																	else
																		{	/* Inline/simple.scm 124 */
																			if (
																				((obj_t) (BgL_typez00_725) ==
																					BGl_za2objza2z00zztype_cachez00))
																				{	/* Inline/simple.scm 125 */
																					BgL_testz00_1452 = ((bool_t) 1);
																				}
																			else
																				{	/* Inline/simple.scm 126 */
																					obj_t BgL_auxz00_1459;

																					{	/* Inline/simple.scm 126 */
																						BgL_typez00_bglt BgL_auxz00_1461;

																						BgL_auxz00_1461 =
																							(((BgL_nodez00_bglt)
																								CREF(BgL_alphazd2bodyzd2_744))->
																							BgL_typez00);
																						BgL_auxz00_1459 =
																							(obj_t) (BgL_auxz00_1461);
																					}
																					BgL_testz00_1452 =
																						(
																						(obj_t) (BgL_typez00_725) ==
																						BgL_auxz00_1459);
																				}
																		}
																	if (BgL_testz00_1452)
																		{	/* Inline/simple.scm 124 */
																			return
																				(BgL_nodez00_bglt)
																				(BgL_inlinezd2bodyzd2_745);
																		}
																	else
																		{	/* Inline/simple.scm 128 */
																			BgL_localz00_bglt BgL_varz00_757;

																			BgL_varz00_757 =
																				BGl_makezd2localzd2svarz00zzast_localz00
																				(BGl_gensymz00zz__r4_symbols_6_4z00
																				(CNST_TABLE_REF(((long) 2))),
																				BgL_typez00_725);
																			{	/* Inline/simple.scm 132 */
																				bool_t BgL_arg3114z00_758;
																				obj_t BgL_arg3116z00_760;
																				BgL_varz00_bglt BgL_arg3117z00_761;

																				BgL_arg3114z00_758 =
																					BGl_sidezd2effectzf3z21zzeffect_effectz00
																					((BgL_nodez00_bglt)
																					(BgL_inlinezd2bodyzd2_745));
																				{	/* Inline/simple.scm 133 */
																					obj_t BgL_arg3118z00_762;

																					BgL_arg3118z00_762 =
																						MAKE_PAIR(
																						(obj_t) (BgL_varz00_757),
																						(obj_t) (BgL_inlinezd2bodyzd2_745));
																					{	/* Inline/simple.scm 133 */
																						obj_t BgL_list3119z00_763;

																						BgL_list3119z00_763 =
																							MAKE_PAIR(BgL_arg3118z00_762,
																							BNIL);
																						BgL_arg3116z00_760 =
																							BgL_list3119z00_763;
																				}}
																				BgL_arg3117z00_761 =
																					BGl_makezd2varzd2zzast_nodez00
																					(BgL_locz00_724, BgL_typez00_725,
																					(BgL_variablez00_bglt)
																					(BgL_varz00_757));
																				{	/* Inline/simple.scm 129 */
																					BgL_letzd2varzd2_bglt BgL_auxz00_1477;

																					BgL_auxz00_1477 =
																						BGl_makezd2letzd2varz00zzast_nodez00
																						(BgL_locz00_724, BgL_typez00_725,
																						BBOOL(BgL_arg3114z00_758),
																						BINT(((long) -1)),
																						BgL_arg3116z00_760,
																						(BgL_nodez00_bglt)
																						(BgL_arg3117z00_761), ((bool_t) 1));
																					return (BgL_nodez00_bglt)
																						(BgL_auxz00_1477);
																				}
																			}
																		}
																}
															}
														}
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* _inline-app-simple3216 */
	obj_t BGl__inlinezd2appzd2simple3216z00zzinline_simplez00(obj_t
		BgL_envz00_1255, obj_t BgL_nodez00_1256, obj_t BgL_kfactorz00_1257,
		obj_t BgL_stackz00_1258, obj_t BgL_msgz00_1259)
	{
		AN_OBJECT;
		{	/* Inline/simple.scm 42 */
			{	/* Inline/simple.scm 137 */
				BgL_nodez00_bglt BgL_auxz00_1483;

				BgL_auxz00_1483 =
					BGl_inlinezd2appzd2simplez00zzinline_simplez00(
					(BgL_nodez00_bglt) (BgL_nodez00_1256),
					(long) CINT(BgL_kfactorz00_1257), BgL_stackz00_1258, BgL_msgz00_1259);
				return (obj_t) (BgL_auxz00_1483);
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzinline_simplez00()
	{
		AN_OBJECT;
		{	/* Inline/simple.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzinline_simplez00()
	{
		AN_OBJECT;
		{	/* Inline/simple.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 12445515),
				BSTRING_TO_STRING(BGl_string3220z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 514705515),
				BSTRING_TO_STRING(BGl_string3220z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string3220z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 484733332),
				BSTRING_TO_STRING(BGl_string3220z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string3220z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 11585204),
				BSTRING_TO_STRING(BGl_string3220z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 499216671),
				BSTRING_TO_STRING(BGl_string3220z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string3220z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 182148081),
				BSTRING_TO_STRING(BGl_string3220z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string3220z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zzinline_inlinez00(((long) 61601340),
				BSTRING_TO_STRING(BGl_string3220z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zzinline_siza7eza7(((long) 405067005),
				BSTRING_TO_STRING(BGl_string3220z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zzast_alphatiza7eza7(((long) 509694479),
				BSTRING_TO_STRING(BGl_string3220z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 77938009),
				BSTRING_TO_STRING(BGl_string3220z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zzeffect_effectz00(((long) 470955713),
				BSTRING_TO_STRING(BGl_string3220z00zzinline_simplez00));
			return
				BGl_modulezd2initializa7ationz75zzeffect_spreadz00(((long) 476444243),
				BSTRING_TO_STRING(BGl_string3220z00zzinline_simplez00));
		}
	}

#ifdef __cplusplus
}
#endif
