/*===========================================================================*/
/*   (Integrate/ctn.scm)                                                     */
/*   Bigloo (2.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 25 07:31:22 CET 2006        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/2.9a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Integrate/ctn.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2heapzd2formatz00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_isaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		struct BgL_typez00_bgl *BgL_classz00;
	}             *BgL_isaz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_svarzf2iinfozf2_bgl
	{
		obj_t BgL_fzd2markzd2;
		obj_t BgL_uzd2markzd2;
		bool_t BgL_kapturedzf3zf3;
		bool_t BgL_celledzf3zf3;
	}                      *BgL_svarzf2iinfozf2_bglt;

	typedef struct BgL_sexitzf2iinfozf2_bgl
	{
		obj_t BgL_fzd2markzd2;
		obj_t BgL_uzd2markzd2;
		bool_t BgL_kapturedzf3zf3;
		bool_t BgL_celledzf3zf3;
	}                       *BgL_sexitzf2iinfozf2_bglt;

	typedef struct BgL_sfunzf2iinfozf2_bgl
	{
		obj_t BgL_ownerz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
		obj_t BgL_cfromz00;
		obj_t BgL_ctoz00;
		obj_t BgL_kz00;
		obj_t BgL_kza2za2;
		obj_t BgL_uz00;
		obj_t BgL_cnz00;
		obj_t BgL_ctz00;
		obj_t BgL_kontz00;
		bool_t BgL_gzf3zf3;
		obj_t BgL_lz00;
		obj_t BgL_ledz00;
		obj_t BgL_istampz00;
		obj_t BgL_globalz00;
		obj_t BgL_kapturedz00;
		obj_t BgL_tailzd2coercionzd2;
	}                      *BgL_sfunzf2iinfozf2_bglt;


	BGL_IMPORT obj_t open_input_string(obj_t);
	BGL_IMPORT obj_t bgl_display_fixnum(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzintegrate_ctnz00 = BUNSPEC;
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zzintegrate_ctnz00();
	static obj_t BGl__Cnz62Ctz12z70zzintegrate_ctnz00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzintegrate_ctnz00();
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t bgl_display_string(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_ctnz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_infoz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_az00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_Cnz62Ctz12z70zzintegrate_ctnz00(obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_ctnz00();
	static obj_t BGl_methodzd2initzd2zzintegrate_ctnz00();
	static obj_t __cnst[3];


	   
		 
		DEFINE_STRING(BGl_string3324z00zzintegrate_ctnz00,
		BgL_bgl_string3324za700za7za7i3333za7, "Integrate/ctn.scm", 17);
	      DEFINE_STRING(BGl_string3325z00zzintegrate_ctnz00,
		BgL_bgl_string3325za700za7za7i3334za7, ",", 1);
	      DEFINE_STRING(BGl_string3326z00zzintegrate_ctnz00,
		BgL_bgl_string3326za700za7za7i3335za7, ":", 1);
	      DEFINE_STRING(BGl_string3327z00zzintegrate_ctnz00,
		BgL_bgl_string3327za700za7za7i3336za7, "!!!!! SHOULD NOT BE HERE.....", 29);
	      DEFINE_STRING(BGl_string3328z00zzintegrate_ctnz00,
		BgL_bgl_string3328za700za7za7i3337za7, "SHould not be here", 18);
	      DEFINE_STRING(BGl_string3330z00zzintegrate_ctnz00,
		BgL_bgl_string3330za700za7za7i3338za7, "Cn&Ct! escape tail ", 19);
	      DEFINE_STRING(BGl_string3329z00zzintegrate_ctnz00,
		BgL_bgl_string3329za700za7za7i3339za7, "integrate_ctn", 13);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_Cnz62Ctz12zd2envza2zzintegrate_ctnz00,
		BgL_bgl__cnza762ctza712za770za7za73340za7,
		BGl__Cnz62Ctz12z70zzintegrate_ctnz00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzintegrate_ctnz00(long
		BgL_checksumz00_1318, char *BgL_fromz00_1319)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzintegrate_ctnz00))
				{
					BGl_requirezd2initializa7ationz75zzintegrate_ctnz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzintegrate_ctnz00();
					BGl_cnstzd2initzd2zzintegrate_ctnz00();
					BGl_importedzd2moduleszd2initz00zzintegrate_ctnz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_ctnz00()
	{
		AN_OBJECT;
		{	/* Integrate/ctn.scm 15 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"integrate_ctn");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"integrate_ctn");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "integrate_ctn");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"integrate_ctn");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzintegrate_ctnz00()
	{
		AN_OBJECT;
		{	/* Integrate/ctn.scm 15 */
			{	/* Integrate/ctn.scm 15 */
				obj_t BgL_cportz00_1310;

				BgL_cportz00_1310 =
					open_input_string(BGl_string3330z00zzintegrate_ctnz00);
				{
					long BgL_iz00_1311;

					BgL_iz00_1311 = ((long) 2);
				BgL_loopz00_1312:
					if ((BgL_iz00_1311 == ((long) -1)))
						{	/* Integrate/ctn.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Integrate/ctn.scm 15 */
							{	/* Integrate/ctn.scm 15 */
								obj_t BgL_arg3332z00_1314;

								{	/* Integrate/ctn.scm 15 */

									{	/* Integrate/ctn.scm 15 */
										obj_t BgL_locationz00_1316;

										BgL_locationz00_1316 = BBOOL(((bool_t) 0));
										{	/* Integrate/ctn.scm 15 */

											BgL_arg3332z00_1314 =
												BGl_readz00zz__readerz00(BgL_cportz00_1310,
												BgL_locationz00_1316);
										}
									}
								}
								{	/* Integrate/ctn.scm 15 */
									int BgL_auxz00_1335;

									BgL_auxz00_1335 = (int) (BgL_iz00_1311);
									CNST_TABLE_SET(BgL_auxz00_1335, BgL_arg3332z00_1314);
							}}
							{	/* Integrate/ctn.scm 15 */
								int BgL_auxz00_1317;

								BgL_auxz00_1317 = (int) ((BgL_iz00_1311 - ((long) 1)));
								{
									long BgL_iz00_1340;

									BgL_iz00_1340 = (long) (BgL_auxz00_1317);
									BgL_iz00_1311 = BgL_iz00_1340;
									goto BgL_loopz00_1312;
								}
							}
						}
				}
			}
		}
	}



/* Cn&Ct! */
	BGL_EXPORTED_DEF obj_t BGl_Cnz62Ctz12z70zzintegrate_ctnz00(obj_t BgL_az00_1)
	{
		AN_OBJECT;
		{	/* Integrate/ctn.scm 31 */
			{
				obj_t BgL_asz00_815;
				obj_t BgL_gzf2cnzf2_816;

				BgL_asz00_815 = BgL_az00_1;
				BgL_gzf2cnzf2_816 = BNIL;
			BgL_loopz00_817:
				if (NULLP(BgL_asz00_815))
					{	/* Integrate/ctn.scm 34 */
						return BgL_gzf2cnzf2_816;
					}
				else
					{	/* Integrate/ctn.scm 38 */
						obj_t BgL_az00_819;

						BgL_az00_819 = CAR(BgL_asz00_815);
						{	/* Integrate/ctn.scm 38 */
							obj_t BgL_fz00_820;

							BgL_fz00_820 = CAR(BgL_az00_819);
							{	/* Integrate/ctn.scm 39 */
								obj_t BgL_gz00_821;

								{	/* Integrate/ctn.scm 40 */
									obj_t BgL_pairz00_1258;

									BgL_pairz00_1258 = BgL_az00_819;
									BgL_gz00_821 = CAR(CDR(BgL_pairz00_1258));
								}
								{	/* Integrate/ctn.scm 40 */
									obj_t BgL_kz00_822;

									{	/* Integrate/ctn.scm 41 */
										obj_t BgL_pairz00_1262;

										BgL_pairz00_1262 = BgL_az00_819;
										BgL_kz00_822 = CAR(CDR(CDR(BgL_pairz00_1262)));
									}
									{	/* Integrate/ctn.scm 41 */
										BgL_valuez00_bglt BgL_fiz00_823;

										{	/* Integrate/ctn.scm 42 */
											BgL_variablez00_bglt BgL_obj1369z00_1268;

											BgL_obj1369z00_1268 =
												(BgL_variablez00_bglt) (BgL_fz00_820);
											BgL_fiz00_823 =
												(((BgL_variablez00_bglt) CREF(BgL_obj1369z00_1268))->
												BgL_valuez00);
										}
										{	/* Integrate/ctn.scm 42 */
											BgL_valuez00_bglt BgL_giz00_824;

											{	/* Integrate/ctn.scm 43 */
												BgL_variablez00_bglt BgL_obj1369z00_1269;

												BgL_obj1369z00_1269 =
													(BgL_variablez00_bglt) (BgL_gz00_821);
												BgL_giz00_824 =
													(((BgL_variablez00_bglt) CREF(BgL_obj1369z00_1269))->
													BgL_valuez00);
											}
											{	/* Integrate/ctn.scm 43 */

												if (BGl_iszd2azf3z21zz__objectz00(BgL_gz00_821,
														BGl_globalz00zzast_varz00))
													{
														obj_t BgL_asz00_1357;

														BgL_asz00_1357 = CDR(BgL_asz00_815);
														BgL_asz00_815 = BgL_asz00_1357;
														goto BgL_loopz00_817;
													}
												else
													{	/* Integrate/ctn.scm 45 */
														if ((BgL_kz00_822 == CNST_TABLE_REF(((long) 0))))
															{	/* Integrate/ctn.scm 47 */
																{	/* Integrate/ctn.scm 48 */
																	obj_t BgL_arg3248z00_828;

																	{	/* Integrate/ctn.scm 48 */
																		obj_t BgL_arg3249z00_829;

																		{	/* Integrate/ctn.scm 48 */
																			BgL_sfunzf2iinfozf2_bglt
																				BgL_obj3169z00_1272;
																			BgL_obj3169z00_1272 =
																				(BgL_sfunzf2iinfozf2_bglt)
																				(BgL_fiz00_823);
																			{
																				obj_t BgL_auxz00_1363;

																				{	/* Integrate/ctn.scm 48 */
																					BgL_objectz00_bglt BgL_auxz00_1364;

																					BgL_auxz00_1364 =
																						(BgL_objectz00_bglt)
																						(BgL_obj3169z00_1272);
																					BgL_auxz00_1363 =
																						BGL_OBJECT_WIDENING
																						(BgL_auxz00_1364);
																				}
																				BgL_arg3249z00_829 =
																					(((BgL_sfunzf2iinfozf2_bglt)
																						CREF(BgL_auxz00_1363))->BgL_ctz00);
																		}}
																		BgL_arg3248z00_828 =
																			MAKE_PAIR(BgL_gz00_821,
																			BgL_arg3249z00_829);
																	}
																	{	/* Integrate/ctn.scm 48 */
																		BgL_sfunzf2iinfozf2_bglt
																			BgL_obj3171z00_1273;
																		obj_t BgL_val3170z00_1274;

																		BgL_obj3171z00_1273 =
																			(BgL_sfunzf2iinfozf2_bglt)
																			(BgL_fiz00_823);
																		BgL_val3170z00_1274 = BgL_arg3248z00_828;
																		{
																			obj_t BgL_auxz00_1370;

																			{	/* Integrate/ctn.scm 48 */
																				BgL_objectz00_bglt BgL_auxz00_1371;

																				BgL_auxz00_1371 =
																					(BgL_objectz00_bglt)
																					(BgL_obj3171z00_1273);
																				BgL_auxz00_1370 =
																					BGL_OBJECT_WIDENING(BgL_auxz00_1371);
																			}
																			((((BgL_sfunzf2iinfozf2_bglt)
																						CREF(BgL_auxz00_1370))->BgL_ctz00) =
																				((obj_t) BgL_val3170z00_1274), BUNSPEC);
																}}}
																{	/* Integrate/ctn.scm 49 */
																	bool_t BgL_testz00_1375;

																	if ((BgL_fz00_820 == BgL_gz00_821))
																		{	/* Integrate/ctn.scm 49 */
																			BgL_testz00_1375 = ((bool_t) 0);
																		}
																	else
																		{	/* Integrate/ctn.scm 50 */
																			bool_t BgL_testz00_1378;

																			{	/* Integrate/ctn.scm 50 */
																				obj_t BgL_auxz00_1379;

																				{	/* Integrate/ctn.scm 50 */
																					obj_t BgL_auxz00_1380;

																					{	/* Integrate/ctn.scm 50 */
																						BgL_sfunzf2iinfozf2_bglt
																							BgL_obj3172z00_1275;
																						BgL_obj3172z00_1275 =
																							(BgL_sfunzf2iinfozf2_bglt)
																							(BgL_fiz00_823);
																						{
																							obj_t BgL_auxz00_1382;

																							{	/* Integrate/ctn.scm 50 */
																								BgL_objectz00_bglt
																									BgL_auxz00_1383;
																								BgL_auxz00_1383 =
																									(BgL_objectz00_bglt)
																									(BgL_obj3172z00_1275);
																								BgL_auxz00_1382 =
																									BGL_OBJECT_WIDENING
																									(BgL_auxz00_1383);
																							}
																							BgL_auxz00_1380 =
																								(((BgL_sfunzf2iinfozf2_bglt)
																									CREF(BgL_auxz00_1382))->
																								BgL_kontz00);
																						}
																					}
																					BgL_auxz00_1379 =
																						BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																						(BgL_gz00_821, BgL_auxz00_1380);
																				}
																				BgL_testz00_1378 =
																					CBOOL(BgL_auxz00_1379);
																			}
																			if (BgL_testz00_1378)
																				{	/* Integrate/ctn.scm 50 */
																					BgL_testz00_1375 = ((bool_t) 0);
																				}
																			else
																				{	/* Integrate/ctn.scm 50 */
																					BgL_testz00_1375 = ((bool_t) 1);
																				}
																		}
																	if (BgL_testz00_1375)
																		{	/* Integrate/ctn.scm 51 */
																			obj_t BgL_arg3251z00_831;

																			{	/* Integrate/ctn.scm 51 */
																				obj_t BgL_arg3252z00_832;

																				{	/* Integrate/ctn.scm 51 */
																					BgL_sfunzf2iinfozf2_bglt
																						BgL_obj3172z00_1276;
																					BgL_obj3172z00_1276 =
																						(BgL_sfunzf2iinfozf2_bglt)
																						(BgL_fiz00_823);
																					{
																						obj_t BgL_auxz00_1390;

																						{	/* Integrate/ctn.scm 51 */
																							BgL_objectz00_bglt
																								BgL_auxz00_1391;
																							BgL_auxz00_1391 =
																								(BgL_objectz00_bglt)
																								(BgL_obj3172z00_1276);
																							BgL_auxz00_1390 =
																								BGL_OBJECT_WIDENING
																								(BgL_auxz00_1391);
																						}
																						BgL_arg3252z00_832 =
																							(((BgL_sfunzf2iinfozf2_bglt)
																								CREF(BgL_auxz00_1390))->
																							BgL_kontz00);
																					}
																				}
																				BgL_arg3251z00_831 =
																					MAKE_PAIR(BgL_gz00_821,
																					BgL_arg3252z00_832);
																			}
																			{	/* Integrate/ctn.scm 51 */
																				BgL_sfunzf2iinfozf2_bglt
																					BgL_obj3175z00_1277;
																				obj_t BgL_val3173z00_1278;

																				BgL_obj3175z00_1277 =
																					(BgL_sfunzf2iinfozf2_bglt)
																					(BgL_fiz00_823);
																				BgL_val3173z00_1278 =
																					BgL_arg3251z00_831;
																				{
																					obj_t BgL_auxz00_1397;

																					{	/* Integrate/ctn.scm 51 */
																						BgL_objectz00_bglt BgL_auxz00_1398;

																						BgL_auxz00_1398 =
																							(BgL_objectz00_bglt)
																							(BgL_obj3175z00_1277);
																						BgL_auxz00_1397 =
																							BGL_OBJECT_WIDENING
																							(BgL_auxz00_1398);
																					}
																					((((BgL_sfunzf2iinfozf2_bglt)
																								CREF(BgL_auxz00_1397))->
																							BgL_kontz00) =
																						((obj_t) BgL_val3173z00_1278),
																						BUNSPEC);
																				}
																			}
																		}
																	else
																		{	/* Integrate/ctn.scm 49 */
																			BFALSE;
																		}
																}
																{
																	obj_t BgL_asz00_1402;

																	BgL_asz00_1402 = CDR(BgL_asz00_815);
																	BgL_asz00_815 = BgL_asz00_1402;
																	goto BgL_loopz00_817;
																}
															}
														else
															{	/* Integrate/ctn.scm 47 */
																if (
																	(BgL_kz00_822 == CNST_TABLE_REF(((long) 1))))
																	{	/* Integrate/ctn.scm 53 */
																		{	/* Integrate/ctn.scm 54 */
																			obj_t BgL_port3243z00_838;

																			BgL_port3243z00_838 =
																				BGL_CURRENT_ERROR_PORT();
																			bgl_display_string
																				(BGl_string3324z00zzintegrate_ctnz00,
																				BgL_port3243z00_838);
																			bgl_display_string
																				(BGl_string3325z00zzintegrate_ctnz00,
																				BgL_port3243z00_838);
																			bgl_display_fixnum(BINT(((long) 54)),
																				BgL_port3243z00_838);
																			bgl_display_string
																				(BGl_string3326z00zzintegrate_ctnz00,
																				BgL_port3243z00_838);
																			bgl_display_string
																				(BGl_string3327z00zzintegrate_ctnz00,
																				BgL_port3243z00_838);
																			BGL_DISPLAY_CHAR(((unsigned char) '\n'),
																				BgL_port3243z00_838);
																		}
																		return
																			BGl_errorz00zz__errorz00(CNST_TABLE_REF((
																					(long) 2)),
																			BGl_string3328z00zzintegrate_ctnz00,
																			BgL_az00_819);
																	}
																else
																	{	/* Integrate/ctn.scm 60 */
																		bool_t BgL_testz00_1417;

																		{	/* Integrate/ctn.scm 60 */
																			BgL_sfunzf2iinfozf2_bglt
																				BgL_obj3163z00_1291;
																			BgL_obj3163z00_1291 =
																				(BgL_sfunzf2iinfozf2_bglt)
																				(BgL_giz00_824);
																			{	/* Integrate/ctn.scm 60 */
																				obj_t BgL_auxz00_1419;

																				{
																					obj_t BgL_auxz00_1420;

																					{	/* Integrate/ctn.scm 60 */
																						BgL_objectz00_bglt BgL_auxz00_1421;

																						BgL_auxz00_1421 =
																							(BgL_objectz00_bglt)
																							(BgL_obj3163z00_1291);
																						BgL_auxz00_1420 =
																							BGL_OBJECT_WIDENING
																							(BgL_auxz00_1421);
																					}
																					BgL_auxz00_1419 =
																						(((BgL_sfunzf2iinfozf2_bglt)
																							CREF(BgL_auxz00_1420))->BgL_uz00);
																				}
																				BgL_testz00_1417 =
																					CBOOL(BgL_auxz00_1419);
																			}
																		}
																		if (BgL_testz00_1417)
																			{	/* Integrate/ctn.scm 60 */
																				{	/* Integrate/ctn.scm 61 */
																					obj_t BgL_arg3259z00_840;

																					{	/* Integrate/ctn.scm 61 */
																						obj_t BgL_arg3260z00_841;

																						{	/* Integrate/ctn.scm 61 */
																							BgL_sfunzf2iinfozf2_bglt
																								BgL_obj3169z00_1292;
																							BgL_obj3169z00_1292 =
																								(BgL_sfunzf2iinfozf2_bglt)
																								(BgL_fiz00_823);
																							{
																								obj_t BgL_auxz00_1427;

																								{	/* Integrate/ctn.scm 61 */
																									BgL_objectz00_bglt
																										BgL_auxz00_1428;
																									BgL_auxz00_1428 =
																										(BgL_objectz00_bglt)
																										(BgL_obj3169z00_1292);
																									BgL_auxz00_1427 =
																										BGL_OBJECT_WIDENING
																										(BgL_auxz00_1428);
																								}
																								BgL_arg3260z00_841 =
																									(((BgL_sfunzf2iinfozf2_bglt)
																										CREF(BgL_auxz00_1427))->
																									BgL_ctz00);
																							}
																						}
																						BgL_arg3259z00_840 =
																							MAKE_PAIR(BgL_gz00_821,
																							BgL_arg3260z00_841);
																					}
																					{	/* Integrate/ctn.scm 61 */
																						BgL_sfunzf2iinfozf2_bglt
																							BgL_obj3171z00_1293;
																						obj_t BgL_val3170z00_1294;

																						BgL_obj3171z00_1293 =
																							(BgL_sfunzf2iinfozf2_bglt)
																							(BgL_fiz00_823);
																						BgL_val3170z00_1294 =
																							BgL_arg3259z00_840;
																						{
																							obj_t BgL_auxz00_1434;

																							{	/* Integrate/ctn.scm 61 */
																								BgL_objectz00_bglt
																									BgL_auxz00_1435;
																								BgL_auxz00_1435 =
																									(BgL_objectz00_bglt)
																									(BgL_obj3171z00_1293);
																								BgL_auxz00_1434 =
																									BGL_OBJECT_WIDENING
																									(BgL_auxz00_1435);
																							}
																							((((BgL_sfunzf2iinfozf2_bglt)
																										CREF(BgL_auxz00_1434))->
																									BgL_ctz00) =
																								((obj_t) BgL_val3170z00_1294),
																								BUNSPEC);
																						}
																					}
																				}
																				{	/* Integrate/ctn.scm 62 */
																					bool_t BgL_testz00_1439;

																					{	/* Integrate/ctn.scm 62 */
																						obj_t BgL_auxz00_1440;

																						{	/* Integrate/ctn.scm 62 */
																							obj_t BgL_auxz00_1441;

																							{	/* Integrate/ctn.scm 62 */
																								BgL_sfunzf2iinfozf2_bglt
																									BgL_obj3172z00_1295;
																								BgL_obj3172z00_1295 =
																									(BgL_sfunzf2iinfozf2_bglt)
																									(BgL_fiz00_823);
																								{
																									obj_t BgL_auxz00_1443;

																									{	/* Integrate/ctn.scm 62 */
																										BgL_objectz00_bglt
																											BgL_auxz00_1444;
																										BgL_auxz00_1444 =
																											(BgL_objectz00_bglt)
																											(BgL_obj3172z00_1295);
																										BgL_auxz00_1443 =
																											BGL_OBJECT_WIDENING
																											(BgL_auxz00_1444);
																									}
																									BgL_auxz00_1441 =
																										(((BgL_sfunzf2iinfozf2_bglt)
																											CREF(BgL_auxz00_1443))->
																										BgL_kontz00);
																								}
																							}
																							BgL_auxz00_1440 =
																								BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																								(BgL_gz00_821, BgL_auxz00_1441);
																						}
																						BgL_testz00_1439 =
																							CBOOL(BgL_auxz00_1440);
																					}
																					if (BgL_testz00_1439)
																						{	/* Integrate/ctn.scm 62 */
																							BFALSE;
																						}
																					else
																						{	/* Integrate/ctn.scm 63 */
																							obj_t BgL_arg3262z00_843;

																							{	/* Integrate/ctn.scm 63 */
																								obj_t BgL_arg3263z00_844;

																								{	/* Integrate/ctn.scm 63 */
																									BgL_sfunzf2iinfozf2_bglt
																										BgL_obj3172z00_1296;
																									BgL_obj3172z00_1296 =
																										(BgL_sfunzf2iinfozf2_bglt)
																										(BgL_fiz00_823);
																									{
																										obj_t BgL_auxz00_1451;

																										{	/* Integrate/ctn.scm 63 */
																											BgL_objectz00_bglt
																												BgL_auxz00_1452;
																											BgL_auxz00_1452 =
																												(BgL_objectz00_bglt)
																												(BgL_obj3172z00_1296);
																											BgL_auxz00_1451 =
																												BGL_OBJECT_WIDENING
																												(BgL_auxz00_1452);
																										}
																										BgL_arg3263z00_844 =
																											(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1451))->BgL_kontz00);
																									}
																								}
																								BgL_arg3262z00_843 =
																									MAKE_PAIR(BgL_gz00_821,
																									BgL_arg3263z00_844);
																							}
																							{	/* Integrate/ctn.scm 63 */
																								BgL_sfunzf2iinfozf2_bglt
																									BgL_obj3175z00_1297;
																								obj_t BgL_val3173z00_1298;

																								BgL_obj3175z00_1297 =
																									(BgL_sfunzf2iinfozf2_bglt)
																									(BgL_fiz00_823);
																								BgL_val3173z00_1298 =
																									BgL_arg3262z00_843;
																								{
																									obj_t BgL_auxz00_1458;

																									{	/* Integrate/ctn.scm 63 */
																										BgL_objectz00_bglt
																											BgL_auxz00_1459;
																										BgL_auxz00_1459 =
																											(BgL_objectz00_bglt)
																											(BgL_obj3175z00_1297);
																										BgL_auxz00_1458 =
																											BGL_OBJECT_WIDENING
																											(BgL_auxz00_1459);
																									}
																									((((BgL_sfunzf2iinfozf2_bglt)
																												CREF(BgL_auxz00_1458))->
																											BgL_kontz00) =
																										((obj_t)
																											BgL_val3173z00_1298),
																										BUNSPEC);
																								}
																							}
																						}
																				}
																				{
																					obj_t BgL_asz00_1463;

																					BgL_asz00_1463 = CDR(BgL_asz00_815);
																					BgL_asz00_815 = BgL_asz00_1463;
																					goto BgL_loopz00_817;
																				}
																			}
																		else
																			{	/* Integrate/ctn.scm 60 */
																				{	/* Integrate/ctn.scm 66 */
																					obj_t BgL_arg3266z00_847;

																					{	/* Integrate/ctn.scm 66 */
																						obj_t BgL_arg3267z00_848;

																						{	/* Integrate/ctn.scm 66 */
																							BgL_sfunzf2iinfozf2_bglt
																								BgL_obj3166z00_1300;
																							BgL_obj3166z00_1300 =
																								(BgL_sfunzf2iinfozf2_bglt)
																								(BgL_fiz00_823);
																							{
																								obj_t BgL_auxz00_1466;

																								{	/* Integrate/ctn.scm 66 */
																									BgL_objectz00_bglt
																										BgL_auxz00_1467;
																									BgL_auxz00_1467 =
																										(BgL_objectz00_bglt)
																										(BgL_obj3166z00_1300);
																									BgL_auxz00_1466 =
																										BGL_OBJECT_WIDENING
																										(BgL_auxz00_1467);
																								}
																								BgL_arg3267z00_848 =
																									(((BgL_sfunzf2iinfozf2_bglt)
																										CREF(BgL_auxz00_1466))->
																									BgL_cnz00);
																							}
																						}
																						BgL_arg3266z00_847 =
																							MAKE_PAIR(BgL_gz00_821,
																							BgL_arg3267z00_848);
																					}
																					{	/* Integrate/ctn.scm 66 */
																						BgL_sfunzf2iinfozf2_bglt
																							BgL_obj3168z00_1301;
																						obj_t BgL_val3167z00_1302;

																						BgL_obj3168z00_1301 =
																							(BgL_sfunzf2iinfozf2_bglt)
																							(BgL_fiz00_823);
																						BgL_val3167z00_1302 =
																							BgL_arg3266z00_847;
																						{
																							obj_t BgL_auxz00_1473;

																							{	/* Integrate/ctn.scm 66 */
																								BgL_objectz00_bglt
																									BgL_auxz00_1474;
																								BgL_auxz00_1474 =
																									(BgL_objectz00_bglt)
																									(BgL_obj3168z00_1301);
																								BgL_auxz00_1473 =
																									BGL_OBJECT_WIDENING
																									(BgL_auxz00_1474);
																							}
																							((((BgL_sfunzf2iinfozf2_bglt)
																										CREF(BgL_auxz00_1473))->
																									BgL_cnz00) =
																								((obj_t) BgL_val3167z00_1302),
																								BUNSPEC);
																						}
																					}
																				}
																				{	/* Integrate/ctn.scm 67 */
																					bool_t BgL_testz00_1478;

																					{	/* Integrate/ctn.scm 67 */
																						BgL_sfunzf2iinfozf2_bglt
																							BgL_obj3176z00_1303;
																						BgL_obj3176z00_1303 =
																							(BgL_sfunzf2iinfozf2_bglt)
																							(BgL_giz00_824);
																						{
																							obj_t BgL_auxz00_1480;

																							{	/* Integrate/ctn.scm 67 */
																								BgL_objectz00_bglt
																									BgL_auxz00_1481;
																								BgL_auxz00_1481 =
																									(BgL_objectz00_bglt)
																									(BgL_obj3176z00_1303);
																								BgL_auxz00_1480 =
																									BGL_OBJECT_WIDENING
																									(BgL_auxz00_1481);
																							}
																							BgL_testz00_1478 =
																								(((BgL_sfunzf2iinfozf2_bglt)
																									CREF(BgL_auxz00_1480))->
																								BgL_gzf3zf3);
																						}
																					}
																					if (BgL_testz00_1478)
																						{
																							obj_t BgL_asz00_1485;

																							BgL_asz00_1485 =
																								CDR(BgL_asz00_815);
																							BgL_asz00_815 = BgL_asz00_1485;
																							goto BgL_loopz00_817;
																						}
																					else
																						{	/* Integrate/ctn.scm 67 */
																							{	/* Integrate/ctn.scm 69 */
																								BgL_sfunzf2iinfozf2_bglt
																									BgL_obj3178z00_1305;
																								bool_t BgL_val3177z00_1306;

																								BgL_obj3178z00_1305 =
																									(BgL_sfunzf2iinfozf2_bglt)
																									(BgL_giz00_824);
																								BgL_val3177z00_1306 =
																									((bool_t) 1);
																								{
																									obj_t BgL_auxz00_1488;

																									{	/* Integrate/ctn.scm 69 */
																										BgL_objectz00_bglt
																											BgL_auxz00_1489;
																										BgL_auxz00_1489 =
																											(BgL_objectz00_bglt)
																											(BgL_obj3178z00_1305);
																										BgL_auxz00_1488 =
																											BGL_OBJECT_WIDENING
																											(BgL_auxz00_1489);
																									}
																									((((BgL_sfunzf2iinfozf2_bglt)
																												CREF(BgL_auxz00_1488))->
																											BgL_gzf3zf3) =
																										((bool_t)
																											BgL_val3177z00_1306),
																										BUNSPEC);
																								}
																							}
																							{	/* Integrate/ctn.scm 70 */
																								obj_t BgL_arg3271z00_851;
																								obj_t BgL_arg3272z00_852;

																								BgL_arg3271z00_851 =
																									CDR(BgL_asz00_815);
																								BgL_arg3272z00_852 =
																									MAKE_PAIR(BgL_gz00_821,
																									BgL_gzf2cnzf2_816);
																								{
																									obj_t BgL_gzf2cnzf2_1496;
																									obj_t BgL_asz00_1495;

																									BgL_asz00_1495 =
																										BgL_arg3271z00_851;
																									BgL_gzf2cnzf2_1496 =
																										BgL_arg3272z00_852;
																									BgL_gzf2cnzf2_816 =
																										BgL_gzf2cnzf2_1496;
																									BgL_asz00_815 =
																										BgL_asz00_1495;
																									goto BgL_loopz00_817;
																								}
																							}
																						}
																				}
																			}
																	}
															}
													}
											}
										}
									}
								}
							}
						}
					}
			}
		}
	}



/* _Cn&Ct! */
	obj_t BGl__Cnz62Ctz12z70zzintegrate_ctnz00(obj_t BgL_envz00_1308,
		obj_t BgL_az00_1309)
	{
		AN_OBJECT;
		{	/* Integrate/ctn.scm 31 */
			return BGl_Cnz62Ctz12z70zzintegrate_ctnz00(BgL_az00_1309);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzintegrate_ctnz00()
	{
		AN_OBJECT;
		{	/* Integrate/ctn.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzintegrate_ctnz00()
	{
		AN_OBJECT;
		{	/* Integrate/ctn.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 12445515),
				BSTRING_TO_STRING(BGl_string3329z00zzintegrate_ctnz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string3329z00zzintegrate_ctnz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string3329z00zzintegrate_ctnz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string3329z00zzintegrate_ctnz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 11585204),
				BSTRING_TO_STRING(BGl_string3329z00zzintegrate_ctnz00));
			BGl_modulezd2initializa7ationz75zzintegrate_infoz00(((long) 0),
				BSTRING_TO_STRING(BGl_string3329z00zzintegrate_ctnz00));
			return
				BGl_modulezd2initializa7ationz75zzintegrate_az00(((long) 408271643),
				BSTRING_TO_STRING(BGl_string3329z00zzintegrate_ctnz00));
		}
	}

#ifdef __cplusplus
}
#endif
