/*===========================================================================*/
/*   (Integrate/walk.scm)                                                    */
/*   Bigloo (2.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 25 07:31:22 CET 2006        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/2.9a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Integrate/walk.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;


	extern obj_t BGl_integratezd2definitionz12zc0zzintegrate_definitionz00(obj_t);
	BGL_IMPORT double BGl_roundflz00zz__r4_numbers_6_5_flonumz00(double);
	BGL_IMPORT obj_t open_input_string(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzintegrate_walkz00 = BUNSPEC;
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	static obj_t BGl_cnstzd2initzd2zzintegrate_walkz00();
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzintegrate_walkz00();
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	BGL_IMPORT obj_t bgl_display_string(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_removez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_definitionz00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	extern obj_t BGl_removezd2varzd2zzast_removez00(obj_t, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_integratezd2walkz12zc0zzintegrate_walkz00(obj_t);
	BGL_IMPORT obj_t bgl_append2(obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_walkz00();
	static obj_t BGl__integratezd2walkz12zc0zzintegrate_walkz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzintegrate_walkz00();
	static obj_t __cnst[2];


	   
		 
		DEFINE_STRING(BGl_string2000z00zzintegrate_walkz00,
		BgL_bgl_string2000za700za7za7i2003za7, "(integrate cfa) pass-started ", 29);
	      DEFINE_STRING(BGl_string1991z00zzintegrate_walkz00,
		BgL_bgl_string1991za700za7za7i2004za7, "Integration", 11);
	      DEFINE_STRING(BGl_string1992z00zzintegrate_walkz00,
		BgL_bgl_string1992za700za7za7i2005za7, "   . ", 5);
	      DEFINE_STRING(BGl_string1993z00zzintegrate_walkz00,
		BgL_bgl_string1993za700za7za7i2006za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string1994z00zzintegrate_walkz00,
		BgL_bgl_string1994za700za7za7i2007za7, " error", 6);
	      DEFINE_STRING(BGl_string1995z00zzintegrate_walkz00,
		BgL_bgl_string1995za700za7za7i2008za7, "s", 1);
	      DEFINE_STRING(BGl_string1996z00zzintegrate_walkz00,
		BgL_bgl_string1996za700za7za7i2009za7, "", 0);
	      DEFINE_STRING(BGl_string1997z00zzintegrate_walkz00,
		BgL_bgl_string1997za700za7za7i2010za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string1998z00zzintegrate_walkz00,
		BgL_bgl_string1998za700za7za7i2011za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string1999z00zzintegrate_walkz00,
		BgL_bgl_string1999za700za7za7i2012za7, "integrate_walk", 14);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_integratezd2walkz12zd2envz12zzintegrate_walkz00,
		BgL_bgl__integrateza7d2wal2013za7,
		BGl__integratezd2walkz12zc0zzintegrate_walkz00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_walkz00(long
		BgL_checksumz00_515, char *BgL_fromz00_516)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzintegrate_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzintegrate_walkz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzintegrate_walkz00();
					BGl_cnstzd2initzd2zzintegrate_walkz00();
					BGl_importedzd2moduleszd2initz00zzintegrate_walkz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_walkz00()
	{
		AN_OBJECT;
		{	/* Integrate/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long) 0),
				"integrate_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"integrate_walk");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"integrate_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"integrate_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"integrate_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"integrate_walk");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzintegrate_walkz00()
	{
		AN_OBJECT;
		{	/* Integrate/walk.scm 15 */
			{	/* Integrate/walk.scm 15 */
				obj_t BgL_cportz00_507;

				BgL_cportz00_507 =
					open_input_string(BGl_string2000z00zzintegrate_walkz00);
				{
					long BgL_iz00_508;

					BgL_iz00_508 = ((long) 1);
				BgL_loopz00_509:
					if ((BgL_iz00_508 == ((long) -1)))
						{	/* Integrate/walk.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Integrate/walk.scm 15 */
							{	/* Integrate/walk.scm 15 */
								obj_t BgL_arg2002z00_511;

								{	/* Integrate/walk.scm 15 */

									{	/* Integrate/walk.scm 15 */
										obj_t BgL_locationz00_513;

										BgL_locationz00_513 = BBOOL(((bool_t) 0));
										{	/* Integrate/walk.scm 15 */

											BgL_arg2002z00_511 =
												BGl_readz00zz__readerz00(BgL_cportz00_507,
												BgL_locationz00_513);
										}
									}
								}
								{	/* Integrate/walk.scm 15 */
									int BgL_auxz00_534;

									BgL_auxz00_534 = (int) (BgL_iz00_508);
									CNST_TABLE_SET(BgL_auxz00_534, BgL_arg2002z00_511);
							}}
							{	/* Integrate/walk.scm 15 */
								int BgL_auxz00_514;

								BgL_auxz00_514 = (int) ((BgL_iz00_508 - ((long) 1)));
								{
									long BgL_iz00_539;

									BgL_iz00_539 = (long) (BgL_auxz00_514);
									BgL_iz00_508 = BgL_iz00_539;
									goto BgL_loopz00_509;
								}
							}
						}
				}
			}
		}
	}



/* integrate-walk! */
	BGL_EXPORTED_DEF obj_t BGl_integratezd2walkz12zc0zzintegrate_walkz00(obj_t
		BgL_globalsz00_1)
	{
		AN_OBJECT;
		{	/* Integrate/walk.scm 28 */
			{	/* Integrate/walk.scm 29 */
				obj_t BgL_list1851z00_307;

				{	/* Integrate/walk.scm 29 */
					obj_t BgL_arg1858z00_309;

					{	/* Integrate/walk.scm 29 */
						obj_t BgL_arg1867z00_311;

						BgL_arg1867z00_311 = MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
						BgL_arg1858z00_309 =
							MAKE_PAIR(BGl_string1991z00zzintegrate_walkz00,
							BgL_arg1867z00_311);
					}
					BgL_list1851z00_307 =
						MAKE_PAIR(BGl_string1992z00zzintegrate_walkz00, BgL_arg1858z00_309);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list1851z00_307);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string1991z00zzintegrate_walkz00;
			{
				obj_t BgL_hooksz00_314;
				obj_t BgL_hnamesz00_315;

				BgL_hooksz00_314 = BNIL;
				BgL_hnamesz00_315 = BNIL;
			BgL_loopz00_316:
				if (NULLP(BgL_hooksz00_314))
					{	/* Integrate/walk.scm 29 */
						CNST_TABLE_REF(((long) 0));
					}
				else
					{	/* Integrate/walk.scm 29 */
						bool_t BgL_testz00_551;

						{	/* Integrate/walk.scm 29 */
							obj_t BgL_fun1884z00_324;

							BgL_fun1884z00_324 = CAR(BgL_hooksz00_314);
							BgL_testz00_551 =
								CBOOL(PROCEDURE_ENTRY(BgL_fun1884z00_324) (BgL_fun1884z00_324,
									BEOA));
						}
						if (BgL_testz00_551)
							{
								obj_t BgL_hnamesz00_558;
								obj_t BgL_hooksz00_556;

								BgL_hooksz00_556 = CDR(BgL_hooksz00_314);
								BgL_hnamesz00_558 = CDR(BgL_hnamesz00_315);
								BgL_hnamesz00_315 = BgL_hnamesz00_558;
								BgL_hooksz00_314 = BgL_hooksz00_556;
								goto BgL_loopz00_316;
							}
						else
							{	/* Integrate/walk.scm 29 */
								BGl_internalzd2errorzd2zztools_errorz00
									(BGl_string1991z00zzintegrate_walkz00,
									BGl_string1993z00zzintegrate_walkz00, CAR(BgL_hnamesz00_315));
							}
					}
			}
			{
				obj_t BgL_oldz00_327;
				obj_t BgL_newz00_328;

				BgL_oldz00_327 = BgL_globalsz00_1;
				BgL_newz00_328 = BNIL;
			BgL_loopz00_329:
				if (NULLP(BgL_oldz00_327))
					{	/* Integrate/walk.scm 33 */
						obj_t BgL_valuez00_331;

						BgL_valuez00_331 =
							BGl_removezd2varzd2zzast_removez00(CNST_TABLE_REF(((long) 1)),
							BgL_newz00_328);
						if (((long)
								CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
								((long) 0)))
							{	/* Integrate/walk.scm 33 */
								{	/* Integrate/walk.scm 33 */
									obj_t BgL_port1849z00_333;

									BgL_port1849z00_333 = BGL_CURRENT_ERROR_PORT();
									bgl_display_obj
										(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
										BgL_port1849z00_333);
									bgl_display_string(BGl_string1994z00zzintegrate_walkz00,
										BgL_port1849z00_333);
									{	/* Integrate/walk.scm 33 */
										obj_t BgL_arg1891z00_334;

										{	/* Integrate/walk.scm 33 */
											bool_t BgL_testz00_572;

											{	/* Integrate/walk.scm 33 */
												bool_t BgL_testz00_573;

												{	/* Integrate/walk.scm 33 */
													bool_t BgL_res1989z00_491;

													{	/* Integrate/walk.scm 33 */
														obj_t BgL_objz00_485;

														BgL_objz00_485 =
															BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
														if (INTEGERP(BgL_objz00_485))
															{	/* Integrate/walk.scm 33 */
																BgL_res1989z00_491 = ((bool_t) 1);
															}
														else
															{	/* Integrate/walk.scm 33 */
																if (REALP(BgL_objz00_485))
																	{	/* Integrate/walk.scm 33 */
																		double BgL_arg1719z00_488;

																		BgL_arg1719z00_488 =
																			BGl_roundflz00zz__r4_numbers_6_5_flonumz00
																			(REAL_TO_DOUBLE(BgL_objz00_485));
																		BgL_res1989z00_491 =
																			(REAL_TO_DOUBLE(BgL_objz00_485) ==
																			BgL_arg1719z00_488);
																	}
																else
																	{	/* Integrate/walk.scm 33 */
																		BgL_res1989z00_491 = ((bool_t) 0);
																	}
															}
													}
													BgL_testz00_573 = BgL_res1989z00_491;
												}
												if (BgL_testz00_573)
													{	/* Integrate/walk.scm 33 */
														BgL_testz00_572 =
															BGl_2ze3ze3zz__r4_numbers_6_5z00
															(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
															BINT(((long) 1)));
													}
												else
													{	/* Integrate/walk.scm 33 */
														BgL_testz00_572 = ((bool_t) 0);
													}
											}
											if (BgL_testz00_572)
												{	/* Integrate/walk.scm 33 */
													BgL_arg1891z00_334 =
														BGl_string1995z00zzintegrate_walkz00;
												}
											else
												{	/* Integrate/walk.scm 33 */
													BgL_arg1891z00_334 =
														BGl_string1996z00zzintegrate_walkz00;
												}
										}
										bgl_display_obj(BgL_arg1891z00_334, BgL_port1849z00_333);
									}
									bgl_display_string(BGl_string1997z00zzintegrate_walkz00,
										BgL_port1849z00_333);
									BGL_DISPLAY_CHAR(((unsigned char) '\n'), BgL_port1849z00_333);
								}
								{	/* Integrate/walk.scm 33 */
									obj_t BgL_list1894z00_337;

									BgL_list1894z00_337 = MAKE_PAIR(BINT(((long) -1)), BNIL);
									return BGl_exitz00zz__errorz00(BgL_list1894z00_337);
								}
							}
						else
							{
								obj_t BgL_hooksz00_340;
								obj_t BgL_hnamesz00_341;

								BgL_hooksz00_340 = BNIL;
								BgL_hnamesz00_341 = BNIL;
							BgL_loopz00_342:
								if (NULLP(BgL_hooksz00_340))
									{	/* Integrate/walk.scm 33 */
										return BgL_valuez00_331;
									}
								else
									{	/* Integrate/walk.scm 33 */
										bool_t BgL_testz00_592;

										{	/* Integrate/walk.scm 33 */
											obj_t BgL_fun1907z00_349;

											BgL_fun1907z00_349 = CAR(BgL_hooksz00_340);
											BgL_testz00_592 =
												CBOOL(PROCEDURE_ENTRY(BgL_fun1907z00_349)
												(BgL_fun1907z00_349, BEOA));
										}
										if (BgL_testz00_592)
											{
												obj_t BgL_hnamesz00_599;
												obj_t BgL_hooksz00_597;

												BgL_hooksz00_597 = CDR(BgL_hooksz00_340);
												BgL_hnamesz00_599 = CDR(BgL_hnamesz00_341);
												BgL_hnamesz00_341 = BgL_hnamesz00_599;
												BgL_hooksz00_340 = BgL_hooksz00_597;
												goto BgL_loopz00_342;
											}
										else
											{	/* Integrate/walk.scm 33 */
												obj_t BgL_arg1906z00_348;

												BgL_arg1906z00_348 = CAR(BgL_hnamesz00_341);
												return
													BGl_internalzd2errorzd2zztools_errorz00
													(BGl_za2currentzd2passza2zd2zzengine_passz00,
													BGl_string1998z00zzintegrate_walkz00,
													BgL_arg1906z00_348);
											}
									}
							}
					}
				else
					{	/* Integrate/walk.scm 34 */
						obj_t BgL_globalz00_351;

						BgL_globalz00_351 = CAR(BgL_oldz00_327);
						{	/* Integrate/walk.scm 35 */
							obj_t BgL_arg1914z00_352;

							{	/* Integrate/walk.scm 35 */
								BgL_variablez00_bglt BgL_obj1362z00_503;

								BgL_obj1362z00_503 = (BgL_variablez00_bglt) (BgL_globalz00_351);
								BgL_arg1914z00_352 =
									(((BgL_variablez00_bglt) CREF(BgL_obj1362z00_503))->
									BgL_idz00);
							}
							BGl_enterzd2functionzd2zztools_errorz00(BgL_arg1914z00_352);
						}
						{
							obj_t BgL_newz00_609;
							obj_t BgL_oldz00_607;

							BgL_oldz00_607 = CDR(BgL_oldz00_327);
							BgL_newz00_609 =
								bgl_append2
								(BGl_integratezd2definitionz12zc0zzintegrate_definitionz00
								(BgL_globalz00_351), BgL_newz00_328);
							BgL_newz00_328 = BgL_newz00_609;
							BgL_oldz00_327 = BgL_oldz00_607;
							goto BgL_loopz00_329;
						}
					}
			}
		}
	}



/* _integrate-walk! */
	obj_t BGl__integratezd2walkz12zc0zzintegrate_walkz00(obj_t BgL_envz00_505,
		obj_t BgL_globalsz00_506)
	{
		AN_OBJECT;
		{	/* Integrate/walk.scm 28 */
			return BGl_integratezd2walkz12zc0zzintegrate_walkz00(BgL_globalsz00_506);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzintegrate_walkz00()
	{
		AN_OBJECT;
		{	/* Integrate/walk.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzintegrate_walkz00()
	{
		AN_OBJECT;
		{	/* Integrate/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 182148081),
				BSTRING_TO_STRING(BGl_string1999z00zzintegrate_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string1999z00zzintegrate_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 216344604),
				BSTRING_TO_STRING(BGl_string1999z00zzintegrate_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string1999z00zzintegrate_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string1999z00zzintegrate_walkz00));
			BGl_modulezd2initializa7ationz75zzast_removez00(((long) 215625933),
				BSTRING_TO_STRING(BGl_string1999z00zzintegrate_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzintegrate_definitionz00(((long)
					112483603), BSTRING_TO_STRING(BGl_string1999z00zzintegrate_walkz00));
		}
	}

#ifdef __cplusplus
}
#endif
