/*===========================================================================*/
/*   (Module/statexp.scm)                                                    */
/*   Bigloo (2.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 25 07:31:22 CET 2006        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/2.9a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Module/statexp.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_ccompz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_producerz00;
		obj_t BgL_consumerz00;
		obj_t BgL_finaliza7erza7;
	}               *BgL_ccompz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
	}                *BgL_tclassz00_bglt;

	typedef struct BgL_jclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		obj_t BgL_packagez00;
	}                *BgL_jclassz00_bglt;

	typedef struct BgL_wclassz00_bgl
	{
		obj_t BgL_itszd2classzd2;
	}                *BgL_wclassz00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;


	BGL_IMPORT obj_t open_input_string(obj_t);
	extern obj_t BGl_classzd2finaliza7erz75zzmodule_classz00();
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzmodule_statexpz00 = BUNSPEC;
	static obj_t BGl__exportzd2consumerzd2zzmodule_statexpz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_makezd2promisezd2zz__r4_control_features_6_9z00(obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	BGL_IMPORT obj_t BGl_evalz00zz__evalz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_makezd2staticzd2compilerz00zzmodule_statexpz00();
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	extern obj_t BGl_declarezd2widezd2classz12z12zzmodule_classz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	static obj_t BGl__makezd2staticzd2compilerz00zzmodule_statexpz00(obj_t);
	static obj_t BGl_za2localzd2classesza2zd2zzmodule_statexpz00 = BUNSPEC;
	static obj_t BGl_cnstzd2initzd2zzmodule_statexpz00();
	extern obj_t BGl_za2modulezd2clauseza2zd2zzmodule_modulez00;
	static obj_t BGl_importedzd2moduleszd2initz00zzmodule_statexpz00();
	static obj_t BGl__statexpzd2producerzd2zzmodule_statexpz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_defaultzd2environmentzd2zz__evalz00();
	static obj_t BGl_zc3anonymousza32155ze3z83zzmodule_statexpz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3anonymousza32156ze3z83zzmodule_statexpz00(obj_t);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzmodule_statexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_prototypez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_findzd2gdefszd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_glozd2declzd2(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__evalz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	static obj_t BGl_toplevelzd2initzd2zzmodule_statexpz00();
	extern BgL_globalz00_bglt
		BGl_declarezd2globalzd2svarz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_statexpzd2finaliza7erz75zzmodule_statexpz00();
	static obj_t BGl_statexpzd2parserzd2zzmodule_statexpz00(obj_t, obj_t);
	extern obj_t BGl_parsezd2prototypezd2zzmodule_prototypez00(obj_t);
	extern obj_t BGl_declarezd2classz12zc0zzmodule_classz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_makezd2exportzd2compilerz00zzmodule_statexpz00();
	extern obj_t
		BGl_tozd2bezd2definez12z12zzast_findzd2gdefszd2(BgL_globalz00_bglt);
	static obj_t BGl__makezd2exportzd2compilerz00zzmodule_statexpz00(obj_t);
	extern BgL_globalz00_bglt
		BGl_declarezd2globalzd2sfunz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_zc3anonymousza32204ze3z83zzmodule_statexpz00(obj_t);
	static obj_t BGl__statexpzd2finaliza7erz75zzmodule_statexpz00(obj_t);
	static obj_t BGl_zc3anonymousza32209ze3z83zzmodule_statexpz00(obj_t);
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_zc3anonymousza32214ze3z83zzmodule_statexpz00(obj_t);
	static obj_t BGl_zc3anonymousza32221ze3z83zzmodule_statexpz00(obj_t);
	extern BgL_ccompz00_bglt BGl_makezd2ccompzd2zzmodule_modulez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_statexpzd2producerzd2zzmodule_statexpz00(obj_t);
	BGL_IMPORT obj_t BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_exportzd2consumerzd2zzmodule_statexpz00(obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzmodule_statexpz00();
	static obj_t BGl_methodzd2initzd2zzmodule_statexpz00();
	static obj_t __cnst[12];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_statexpzd2finaliza7erzd2envza7zzmodule_statexpz00,
		BgL_bgl__statexpza7d2final2301za7,
		BGl__statexpzd2finaliza7erz75zzmodule_statexpz00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_statexpzd2producerzd2envz00zzmodule_statexpz00,
		BgL_bgl__statexpza7d2produ2302za7,
		BGl__statexpzd2producerzd2zzmodule_statexpz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_exportzd2consumerzd2envz00zzmodule_statexpz00,
		BgL_bgl__exportza7d2consum2303za7,
		BGl__exportzd2consumerzd2zzmodule_statexpz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2exportzd2compilerzd2envzd2zzmodule_statexpz00,
		BgL_bgl__makeza7d2exportza7d2304z00,
		BGl__makezd2exportzd2compilerz00zzmodule_statexpz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2staticzd2compilerzd2envzd2zzmodule_statexpz00,
		BgL_bgl__makeza7d2staticza7d2305z00,
		BGl__makezd2staticzd2compilerz00zzmodule_statexpz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2292z00zzmodule_statexpz00,
		BgL_bgl_string2292za700za7za7m2306za7, "Illegal `", 9);
	      DEFINE_STRING(BGl_string2293z00zzmodule_statexpz00,
		BgL_bgl_string2293za700za7za7m2307za7, "' clause", 8);
	      DEFINE_STRING(BGl_string2294z00zzmodule_statexpz00,
		BgL_bgl_string2294za700za7za7m2308za7, "Parse error", 11);
	      DEFINE_STRING(BGl_string2295z00zzmodule_statexpz00,
		BgL_bgl_string2295za700za7za7m2309za7, "Illegal `export' clause", 23);
	      DEFINE_STRING(BGl_string2296z00zzmodule_statexpz00,
		BgL_bgl_string2296za700za7za7m2310za7, "Illegal prototype", 17);
	      DEFINE_STRING(BGl_string2297z00zzmodule_statexpz00,
		BgL_bgl_string2297za700za7za7m2311za7, "module_statexp", 14);
	      DEFINE_STRING(BGl_string2298z00zzmodule_statexpz00,
		BgL_bgl_string2298za700za7za7m2312za7,
		"define-macro wide-class final-class abstract-class class svar sgfun sifun sfun export void static ",
		98);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzmodule_statexpz00(long
		BgL_checksumz00_748, char *BgL_fromz00_749)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzmodule_statexpz00))
				{
					BGl_requirezd2initializa7ationz75zzmodule_statexpz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzmodule_statexpz00();
					BGl_cnstzd2initzd2zzmodule_statexpz00();
					BGl_importedzd2moduleszd2initz00zzmodule_statexpz00();
					BGl_toplevelzd2initzd2zzmodule_statexpz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzmodule_statexpz00()
	{
		AN_OBJECT;
		{	/* Module/statexp.scm 15 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"module_statexp");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long) 0),
				"module_statexp");
			BGl_modulezd2initializa7ationz75zz__evalz00(((long) 0), "module_statexp");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"module_statexp");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"module_statexp");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzmodule_statexpz00()
	{
		AN_OBJECT;
		{	/* Module/statexp.scm 15 */
			{	/* Module/statexp.scm 15 */
				obj_t BgL_cportz00_738;

				BgL_cportz00_738 =
					open_input_string(BGl_string2298z00zzmodule_statexpz00);
				{
					long BgL_iz00_739;

					BgL_iz00_739 = ((long) 11);
				BgL_loopz00_740:
					if ((BgL_iz00_739 == ((long) -1)))
						{	/* Module/statexp.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Module/statexp.scm 15 */
							{	/* Module/statexp.scm 15 */
								obj_t BgL_arg2300z00_742;

								{	/* Module/statexp.scm 15 */

									{	/* Module/statexp.scm 15 */
										obj_t BgL_locationz00_744;

										BgL_locationz00_744 = BBOOL(((bool_t) 0));
										{	/* Module/statexp.scm 15 */

											BgL_arg2300z00_742 =
												BGl_readz00zz__readerz00(BgL_cportz00_738,
												BgL_locationz00_744);
										}
									}
								}
								{	/* Module/statexp.scm 15 */
									int BgL_auxz00_767;

									BgL_auxz00_767 = (int) (BgL_iz00_739);
									CNST_TABLE_SET(BgL_auxz00_767, BgL_arg2300z00_742);
							}}
							{	/* Module/statexp.scm 15 */
								int BgL_auxz00_745;

								BgL_auxz00_745 = (int) ((BgL_iz00_739 - ((long) 1)));
								{
									long BgL_iz00_772;

									BgL_iz00_772 = (long) (BgL_auxz00_745);
									BgL_iz00_739 = BgL_iz00_772;
									goto BgL_loopz00_740;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzmodule_statexpz00()
	{
		AN_OBJECT;
		{	/* Module/statexp.scm 15 */
			return (BGl_za2localzd2classesza2zd2zzmodule_statexpz00 = BNIL, BUNSPEC);
		}
	}



/* make-static-compiler */
	BGL_EXPORTED_DEF obj_t BGl_makezd2staticzd2compilerz00zzmodule_statexpz00()
	{
		AN_OBJECT;
		{	/* Module/statexp.scm 35 */
			{	/* Module/statexp.scm 36 */
				obj_t BgL_arg2152z00_400;

				BgL_arg2152z00_400 = CNST_TABLE_REF(((long) 0));
				{	/* Module/module.scm 49 */
					obj_t BgL_zc3anonymousza32156ze3z83_703;
					obj_t BgL_zc3anonymousza32155ze3z83_704;

					BgL_zc3anonymousza32156ze3z83_703 =
						make_fx_procedure(BGl_zc3anonymousza32156ze3z83zzmodule_statexpz00,
						(int) (((long) 0)), (int) (((long) 0)));
					BgL_zc3anonymousza32155ze3z83_704 =
						make_fx_procedure(BGl_zc3anonymousza32155ze3z83zzmodule_statexpz00,
						(int) (((long) 2)), (int) (((long) 0)));
					{	/* Module/statexp.scm 36 */
						BgL_ccompz00_bglt BgL_auxz00_781;

						BgL_auxz00_781 =
							BGl_makezd2ccompzd2zzmodule_modulez00(BgL_arg2152z00_400,
							BGl_statexpzd2producerzd2envz00zzmodule_statexpz00,
							BgL_zc3anonymousza32155ze3z83_704,
							BgL_zc3anonymousza32156ze3z83_703);
						return (obj_t) (BgL_auxz00_781);
					}
				}
			}
		}
	}



/* _make-static-compiler */
	obj_t BGl__makezd2staticzd2compilerz00zzmodule_statexpz00(obj_t
		BgL_envz00_705)
	{
		AN_OBJECT;
		{	/* Module/statexp.scm 35 */
			return BGl_makezd2staticzd2compilerz00zzmodule_statexpz00();
		}
	}



/* <anonymous:2156> */
	obj_t BGl_zc3anonymousza32156ze3z83zzmodule_statexpz00(obj_t BgL_envz00_706)
	{
		AN_OBJECT;
		{	/* Module/module.scm 51 */
			{

				return CNST_TABLE_REF(((long) 1));
		}}
	}



/* <anonymous:2155> */
	obj_t BGl_zc3anonymousza32155ze3z83zzmodule_statexpz00(obj_t BgL_envz00_707,
		obj_t BgL_mz00_708, obj_t BgL_cz00_709)
	{
		AN_OBJECT;
		{	/* Module/module.scm 49 */
			return BNIL;
		}
	}



/* make-export-compiler */
	BGL_EXPORTED_DEF obj_t BGl_makezd2exportzd2compilerz00zzmodule_statexpz00()
	{
		AN_OBJECT;
		{	/* Module/statexp.scm 42 */
			{	/* Module/statexp.scm 43 */
				BgL_ccompz00_bglt BgL_auxz00_786;

				BgL_auxz00_786 =
					BGl_makezd2ccompzd2zzmodule_modulez00(CNST_TABLE_REF(((long) 2)),
					BGl_statexpzd2producerzd2envz00zzmodule_statexpz00,
					BGl_exportzd2consumerzd2envz00zzmodule_statexpz00,
					BGl_statexpzd2finaliza7erzd2envza7zzmodule_statexpz00);
				return (obj_t) (BgL_auxz00_786);
			}
		}
	}



/* _make-export-compiler */
	obj_t BGl__makezd2exportzd2compilerz00zzmodule_statexpz00(obj_t
		BgL_envz00_712)
	{
		AN_OBJECT;
		{	/* Module/statexp.scm 42 */
			return BGl_makezd2exportzd2compilerz00zzmodule_statexpz00();
		}
	}



/* statexp-producer */
	obj_t BGl_statexpzd2producerzd2zzmodule_statexpz00(obj_t BgL_clausez00_19)
	{
		AN_OBJECT;
		{	/* Module/statexp.scm 51 */
			{	/* Module/statexp.scm 52 */
				obj_t BgL_modez00_409;

				BgL_modez00_409 = CAR(BgL_clausez00_19);
				{
					obj_t BgL_protosz00_410;

					if (PAIRP(BgL_clausez00_19))
						{	/* Module/statexp.scm 53 */
							BgL_protosz00_410 = CDR(BgL_clausez00_19);
							{
								obj_t BgL_l2117z00_416;

								BgL_l2117z00_416 = BgL_protosz00_410;
							BgL_forzd2each2118zd2_417:
								if (PAIRP(BgL_l2117z00_416))
									{	/* Module/statexp.scm 55 */
										BGl_statexpzd2parserzd2zzmodule_statexpz00(CAR
											(BgL_l2117z00_416), BgL_modez00_409);
										{
											obj_t BgL_l2117z00_798;

											BgL_l2117z00_798 = CDR(BgL_l2117z00_416);
											BgL_l2117z00_416 = BgL_l2117z00_798;
											goto BgL_forzd2each2118zd2_417;
										}
									}
								else
									{	/* Module/statexp.scm 55 */
										((bool_t) 1);
									}
							}
							return BNIL;
						}
					else
						{	/* Module/statexp.scm 53 */
							{	/* Module/statexp.scm 58 */
								obj_t BgL_arg2161z00_421;
								obj_t BgL_arg2163z00_423;

								BgL_arg2161z00_421 =
									BGl_findzd2locationzd2zztools_locationz00
									(BGl_za2modulezd2clauseza2zd2zzmodule_modulez00);
								{	/* Module/statexp.scm 60 */
									obj_t BgL_arg2170z00_427;

									{	/* Module/statexp.scm 62 */
										obj_t BgL_arg2172z00_429;

										BgL_arg2172z00_429 = SYMBOL_TO_STRING(BgL_modez00_409);
										BgL_arg2170z00_427 =
											BGl_stringzd2downcasezd2zz__r4_strings_6_7z00
											(BgL_arg2172z00_429);
									}
									BgL_arg2163z00_423 =
										string_append_3(BGl_string2292z00zzmodule_statexpz00,
										BgL_arg2170z00_427, BGl_string2293z00zzmodule_statexpz00);
								}
								{	/* Module/statexp.scm 58 */
									obj_t BgL_list2165z00_425;

									BgL_list2165z00_425 = MAKE_PAIR(BNIL, BNIL);
									return
										BGl_userzd2errorzf2locationz20zztools_errorz00
										(BgL_arg2161z00_421, BGl_string2294z00zzmodule_statexpz00,
										BgL_arg2163z00_423, BgL_clausez00_19, BgL_list2165z00_425);
								}
							}
						}
				}
			}
		}
	}



/* _statexp-producer */
	obj_t BGl__statexpzd2producerzd2zzmodule_statexpz00(obj_t BgL_envz00_710,
		obj_t BgL_clausez00_711)
	{
		AN_OBJECT;
		{	/* Module/statexp.scm 51 */
			return BGl_statexpzd2producerzd2zzmodule_statexpz00(BgL_clausez00_711);
		}
	}



/* export-consumer */
	obj_t BGl_exportzd2consumerzd2zzmodule_statexpz00(obj_t BgL_modulez00_20,
		obj_t BgL_clausez00_21)
	{
		AN_OBJECT;
		{	/* Module/statexp.scm 70 */
			{

				if (PAIRP(BgL_clausez00_21))
					{	/* Module/statexp.scm 71 */
						return CDR(BgL_clausez00_21);
					}
				else
					{	/* Module/statexp.scm 71 */
						{	/* Module/statexp.scm 75 */
							obj_t BgL_arg2175z00_436;

							BgL_arg2175z00_436 =
								BGl_findzd2locationzd2zztools_locationz00
								(BGl_za2modulezd2clauseza2zd2zzmodule_modulez00);
							{	/* Module/statexp.scm 75 */
								obj_t BgL_list2179z00_440;

								BgL_list2179z00_440 = MAKE_PAIR(BNIL, BNIL);
								return
									BGl_userzd2errorzf2locationz20zztools_errorz00
									(BgL_arg2175z00_436, BGl_string2294z00zzmodule_statexpz00,
									BGl_string2295z00zzmodule_statexpz00, BgL_clausez00_21,
									BgL_list2179z00_440);
							}
						}
					}
			}
		}
	}



/* _export-consumer */
	obj_t BGl__exportzd2consumerzd2zzmodule_statexpz00(obj_t BgL_envz00_713,
		obj_t BgL_modulez00_714, obj_t BgL_clausez00_715)
	{
		AN_OBJECT;
		{	/* Module/statexp.scm 70 */
			return
				BGl_exportzd2consumerzd2zzmodule_statexpz00(BgL_modulez00_714,
				BgL_clausez00_715);
		}
	}



/* statexp-parser */
	obj_t BGl_statexpzd2parserzd2zzmodule_statexpz00(obj_t BgL_prototypez00_22,
		obj_t BgL_importz00_23)
	{
		AN_OBJECT;
		{	/* Module/statexp.scm 84 */
			{	/* Module/statexp.scm 85 */
				obj_t BgL_protoz00_441;

				BgL_protoz00_441 =
					BGl_parsezd2prototypezd2zzmodule_prototypez00(BgL_prototypez00_22);
				if (PAIRP(BgL_protoz00_441))
					{	/* Module/statexp.scm 92 */
						obj_t BgL_casezd2valuezd2_443;

						BgL_casezd2valuezd2_443 = CAR(BgL_protoz00_441);
						{	/* Module/statexp.scm 92 */
							bool_t BgL_testz00_819;

							{	/* Module/statexp.scm 92 */
								bool_t BgL__ortest_2115z00_480;

								BgL__ortest_2115z00_480 =
									(BgL_casezd2valuezd2_443 == CNST_TABLE_REF(((long) 3)));
								if (BgL__ortest_2115z00_480)
									{	/* Module/statexp.scm 92 */
										BgL_testz00_819 = BgL__ortest_2115z00_480;
									}
								else
									{	/* Module/statexp.scm 92 */
										bool_t BgL__ortest_2116z00_481;

										BgL__ortest_2116z00_481 =
											(BgL_casezd2valuezd2_443 == CNST_TABLE_REF(((long) 4)));
										if (BgL__ortest_2116z00_481)
											{	/* Module/statexp.scm 92 */
												BgL_testz00_819 = BgL__ortest_2116z00_481;
											}
										else
											{	/* Module/statexp.scm 92 */
												BgL_testz00_819 =
													(BgL_casezd2valuezd2_443 ==
													CNST_TABLE_REF(((long) 5)));
							}}}
							if (BgL_testz00_819)
								{	/* Module/statexp.scm 94 */
									BgL_globalz00_bglt BgL_arg2182z00_445;

									{	/* Module/statexp.scm 94 */
										obj_t BgL_arg2195z00_446;
										obj_t BgL_arg2196z00_447;

										{	/* Module/statexp.scm 94 */
											obj_t BgL_pairz00_663;

											BgL_pairz00_663 = BgL_protoz00_441;
											BgL_arg2195z00_446 = CAR(CDR(BgL_pairz00_663));
										}
										{	/* Module/statexp.scm 95 */
											obj_t BgL_pairz00_667;

											BgL_pairz00_667 = BgL_protoz00_441;
											BgL_arg2196z00_447 = CAR(CDR(CDR(BgL_pairz00_667)));
										}
										BgL_arg2182z00_445 =
											BGl_declarezd2globalzd2sfunz12z12zzast_glozd2declzd2
											(BgL_arg2195z00_446, BgL_arg2196z00_447,
											BGl_za2moduleza2z00zzmodule_modulez00, BgL_importz00_23,
											BgL_casezd2valuezd2_443, BgL_prototypez00_22, BFALSE);
									}
									return
										BGl_tozd2bezd2definez12z12zzast_findzd2gdefszd2
										(BgL_arg2182z00_445);
								}
							else
								{	/* Module/statexp.scm 92 */
									if ((BgL_casezd2valuezd2_443 == CNST_TABLE_REF(((long) 6))))
										{	/* Module/statexp.scm 102 */
											BgL_globalz00_bglt BgL_arg2199z00_450;

											{	/* Module/statexp.scm 102 */
												obj_t BgL_arg2200z00_451;

												{	/* Module/statexp.scm 102 */
													obj_t BgL_pairz00_676;

													BgL_pairz00_676 = BgL_protoz00_441;
													BgL_arg2200z00_451 = CAR(CDR(BgL_pairz00_676));
												}
												BgL_arg2199z00_450 =
													BGl_declarezd2globalzd2svarz12z12zzast_glozd2declzd2
													(BgL_arg2200z00_451,
													BGl_za2moduleza2z00zzmodule_modulez00,
													BgL_importz00_23, BgL_prototypez00_22, BFALSE);
											}
											return
												BGl_tozd2bezd2definez12z12zzast_findzd2gdefszd2
												(BgL_arg2199z00_450);
										}
									else
										{	/* Module/statexp.scm 92 */
											if (
												(BgL_casezd2valuezd2_443 == CNST_TABLE_REF(((long) 7))))
												{	/* Module/statexp.scm 108 */
													obj_t BgL_arg2202z00_453;

													{	/* Module/statexp.scm 108 */
														obj_t BgL_zc3anonymousza32204ze3z83_717;

														BgL_zc3anonymousza32204ze3z83_717 =
															make_fx_procedure
															(BGl_zc3anonymousza32204ze3z83zzmodule_statexpz00,
															(int) (((long) 0)), (int) (((long) 3)));
														PROCEDURE_SET(BgL_zc3anonymousza32204ze3z83_717,
															(int) (((long) 0)), BgL_protoz00_441);
														PROCEDURE_SET(BgL_zc3anonymousza32204ze3z83_717,
															(int) (((long) 1)), BgL_importz00_23);
														PROCEDURE_SET(BgL_zc3anonymousza32204ze3z83_717,
															(int) (((long) 2)), BgL_prototypez00_22);
														BgL_arg2202z00_453 =
															BGl_makezd2promisezd2zz__r4_control_features_6_9z00
															(BgL_zc3anonymousza32204ze3z83_717);
													}
													return
														(BGl_za2localzd2classesza2zd2zzmodule_statexpz00 =
														MAKE_PAIR(BgL_arg2202z00_453,
															BGl_za2localzd2classesza2zd2zzmodule_statexpz00),
														BUNSPEC);
												}
											else
												{	/* Module/statexp.scm 92 */
													if (
														(BgL_casezd2valuezd2_443 ==
															CNST_TABLE_REF(((long) 8))))
														{	/* Module/statexp.scm 116 */
															obj_t BgL_arg2207z00_459;

															{	/* Module/statexp.scm 116 */
																obj_t BgL_zc3anonymousza32209ze3z83_718;

																BgL_zc3anonymousza32209ze3z83_718 =
																	make_fx_procedure
																	(BGl_zc3anonymousza32209ze3z83zzmodule_statexpz00,
																	(int) (((long) 0)), (int) (((long) 3)));
																PROCEDURE_SET(BgL_zc3anonymousza32209ze3z83_718,
																	(int) (((long) 0)), BgL_protoz00_441);
																PROCEDURE_SET(BgL_zc3anonymousza32209ze3z83_718,
																	(int) (((long) 1)), BgL_importz00_23);
																PROCEDURE_SET(BgL_zc3anonymousza32209ze3z83_718,
																	(int) (((long) 2)), BgL_prototypez00_22);
																BgL_arg2207z00_459 =
																	BGl_makezd2promisezd2zz__r4_control_features_6_9z00
																	(BgL_zc3anonymousza32209ze3z83_718);
															}
															return
																(BGl_za2localzd2classesza2zd2zzmodule_statexpz00
																=
																MAKE_PAIR(BgL_arg2207z00_459,
																	BGl_za2localzd2classesza2zd2zzmodule_statexpz00),
																BUNSPEC);
														}
													else
														{	/* Module/statexp.scm 92 */
															if (
																(BgL_casezd2valuezd2_443 ==
																	CNST_TABLE_REF(((long) 9))))
																{	/* Module/statexp.scm 124 */
																	obj_t BgL_arg2212z00_465;

																	{	/* Module/statexp.scm 124 */
																		obj_t BgL_zc3anonymousza32214ze3z83_719;

																		BgL_zc3anonymousza32214ze3z83_719 =
																			make_fx_procedure
																			(BGl_zc3anonymousza32214ze3z83zzmodule_statexpz00,
																			(int) (((long) 0)), (int) (((long) 3)));
																		PROCEDURE_SET
																			(BgL_zc3anonymousza32214ze3z83_719,
																			(int) (((long) 0)), BgL_protoz00_441);
																		PROCEDURE_SET
																			(BgL_zc3anonymousza32214ze3z83_719,
																			(int) (((long) 1)), BgL_importz00_23);
																		PROCEDURE_SET
																			(BgL_zc3anonymousza32214ze3z83_719,
																			(int) (((long) 2)), BgL_prototypez00_22);
																		BgL_arg2212z00_465 =
																			BGl_makezd2promisezd2zz__r4_control_features_6_9z00
																			(BgL_zc3anonymousza32214ze3z83_719);
																	}
																	return
																		(BGl_za2localzd2classesza2zd2zzmodule_statexpz00
																		=
																		MAKE_PAIR(BgL_arg2212z00_465,
																			BGl_za2localzd2classesza2zd2zzmodule_statexpz00),
																		BUNSPEC);
																}
															else
																{	/* Module/statexp.scm 92 */
																	if (
																		(BgL_casezd2valuezd2_443 ==
																			CNST_TABLE_REF(((long) 10))))
																		{	/* Module/statexp.scm 132 */
																			obj_t BgL_arg2219z00_471;

																			{	/* Module/statexp.scm 132 */
																				obj_t BgL_zc3anonymousza32221ze3z83_720;

																				BgL_zc3anonymousza32221ze3z83_720 =
																					make_fx_procedure
																					(BGl_zc3anonymousza32221ze3z83zzmodule_statexpz00,
																					(int) (((long) 0)),
																					(int) (((long) 3)));
																				PROCEDURE_SET
																					(BgL_zc3anonymousza32221ze3z83_720,
																					(int) (((long) 0)), BgL_protoz00_441);
																				PROCEDURE_SET
																					(BgL_zc3anonymousza32221ze3z83_720,
																					(int) (((long) 1)), BgL_importz00_23);
																				PROCEDURE_SET
																					(BgL_zc3anonymousza32221ze3z83_720,
																					(int) (((long) 2)),
																					BgL_prototypez00_22);
																				BgL_arg2219z00_471 =
																					BGl_makezd2promisezd2zz__r4_control_features_6_9z00
																					(BgL_zc3anonymousza32221ze3z83_720);
																			}
																			return
																				(BGl_za2localzd2classesza2zd2zzmodule_statexpz00
																				=
																				MAKE_PAIR(BgL_arg2219z00_471,
																					BGl_za2localzd2classesza2zd2zzmodule_statexpz00),
																				BUNSPEC);
																		}
																	else
																		{	/* Module/statexp.scm 92 */
																			if (
																				(BgL_casezd2valuezd2_443 ==
																					CNST_TABLE_REF(((long) 11))))
																				{	/* Module/statexp.scm 138 */
																					obj_t BgL_envz00_478;

																					BgL_envz00_478 =
																						BGl_defaultzd2environmentzd2zz__evalz00
																						();
																					{	/* Module/statexp.scm 138 */

																						return
																							BGl_evalz00zz__evalz00
																							(BgL_protoz00_441,
																							BgL_envz00_478);
																					}
																				}
																			else
																				{	/* Module/statexp.scm 140 */
																					obj_t BgL_list2234z00_479;

																					BgL_list2234z00_479 =
																						MAKE_PAIR(BNIL, BNIL);
																					return
																						BGl_userzd2errorzd2zztools_errorz00
																						(BGl_string2294z00zzmodule_statexpz00,
																						BGl_string2296z00zzmodule_statexpz00,
																						BgL_prototypez00_22,
																						BgL_list2234z00_479);
																				}
																		}
																}
														}
												}
										}
								}
						}
					}
				else
					{	/* Module/statexp.scm 87 */
						obj_t BgL_arg2237z00_482;

						BgL_arg2237z00_482 =
							BGl_findzd2locationzd2zztools_locationz00
							(BGl_za2modulezd2clauseza2zd2zzmodule_modulez00);
						{	/* Module/statexp.scm 87 */
							obj_t BgL_list2252z00_486;

							BgL_list2252z00_486 = MAKE_PAIR(BNIL, BNIL);
							return
								BGl_userzd2errorzf2locationz20zztools_errorz00
								(BgL_arg2237z00_482, BGl_string2294z00zzmodule_statexpz00,
								BGl_string2296z00zzmodule_statexpz00, BgL_prototypez00_22,
								BgL_list2252z00_486);
						}
					}
			}
		}
	}



/* <anonymous:2204> */
	obj_t BGl_zc3anonymousza32204ze3z83zzmodule_statexpz00(obj_t BgL_envz00_721)
	{
		AN_OBJECT;
		{	/* Module/statexp.scm 108 */
			{	/* Module/statexp.scm 108 */
				obj_t BgL_protoz00_722;
				obj_t BgL_importz00_723;
				obj_t BgL_prototypez00_724;

				BgL_protoz00_722 = PROCEDURE_REF(BgL_envz00_721, (int) (((long) 0)));
				BgL_importz00_723 = PROCEDURE_REF(BgL_envz00_721, (int) (((long) 1)));
				BgL_prototypez00_724 =
					PROCEDURE_REF(BgL_envz00_721, (int) (((long) 2)));
				{

					{	/* Module/statexp.scm 108 */
						obj_t BgL_arg2205z00_456;

						BgL_arg2205z00_456 = CDR(BgL_protoz00_722);
						return
							BGl_declarezd2classz12zc0zzmodule_classz00(BgL_arg2205z00_456,
							BGl_za2moduleza2z00zzmodule_modulez00, BgL_importz00_723,
							((bool_t) 0), ((bool_t) 0), BgL_prototypez00_724, BFALSE);
					}
				}
			}
		}
	}



/* <anonymous:2209> */
	obj_t BGl_zc3anonymousza32209ze3z83zzmodule_statexpz00(obj_t BgL_envz00_725)
	{
		AN_OBJECT;
		{	/* Module/statexp.scm 116 */
			{	/* Module/statexp.scm 116 */
				obj_t BgL_protoz00_726;
				obj_t BgL_importz00_727;
				obj_t BgL_prototypez00_728;

				BgL_protoz00_726 = PROCEDURE_REF(BgL_envz00_725, (int) (((long) 0)));
				BgL_importz00_727 = PROCEDURE_REF(BgL_envz00_725, (int) (((long) 1)));
				BgL_prototypez00_728 =
					PROCEDURE_REF(BgL_envz00_725, (int) (((long) 2)));
				{

					{	/* Module/statexp.scm 116 */
						obj_t BgL_arg2210z00_462;

						BgL_arg2210z00_462 = CDR(BgL_protoz00_726);
						return
							BGl_declarezd2classz12zc0zzmodule_classz00(BgL_arg2210z00_462,
							BGl_za2moduleza2z00zzmodule_modulez00, BgL_importz00_727,
							((bool_t) 0), ((bool_t) 1), BgL_prototypez00_728, BFALSE);
					}
				}
			}
		}
	}



/* <anonymous:2214> */
	obj_t BGl_zc3anonymousza32214ze3z83zzmodule_statexpz00(obj_t BgL_envz00_729)
	{
		AN_OBJECT;
		{	/* Module/statexp.scm 124 */
			{	/* Module/statexp.scm 124 */
				obj_t BgL_protoz00_730;
				obj_t BgL_importz00_731;
				obj_t BgL_prototypez00_732;

				BgL_protoz00_730 = PROCEDURE_REF(BgL_envz00_729, (int) (((long) 0)));
				BgL_importz00_731 = PROCEDURE_REF(BgL_envz00_729, (int) (((long) 1)));
				BgL_prototypez00_732 =
					PROCEDURE_REF(BgL_envz00_729, (int) (((long) 2)));
				{

					{	/* Module/statexp.scm 124 */
						obj_t BgL_arg2215z00_468;

						BgL_arg2215z00_468 = CDR(BgL_protoz00_730);
						return
							BGl_declarezd2classz12zc0zzmodule_classz00(BgL_arg2215z00_468,
							BGl_za2moduleza2z00zzmodule_modulez00, BgL_importz00_731,
							((bool_t) 1), ((bool_t) 0), BgL_prototypez00_732, BFALSE);
					}
				}
			}
		}
	}



/* <anonymous:2221> */
	obj_t BGl_zc3anonymousza32221ze3z83zzmodule_statexpz00(obj_t BgL_envz00_733)
	{
		AN_OBJECT;
		{	/* Module/statexp.scm 132 */
			{	/* Module/statexp.scm 132 */
				obj_t BgL_protoz00_734;
				obj_t BgL_importz00_735;
				obj_t BgL_prototypez00_736;

				BgL_protoz00_734 = PROCEDURE_REF(BgL_envz00_733, (int) (((long) 0)));
				BgL_importz00_735 = PROCEDURE_REF(BgL_envz00_733, (int) (((long) 1)));
				BgL_prototypez00_736 =
					PROCEDURE_REF(BgL_envz00_733, (int) (((long) 2)));
				{

					{	/* Module/statexp.scm 132 */
						obj_t BgL_arg2227z00_474;

						BgL_arg2227z00_474 = CDR(BgL_protoz00_734);
						return
							BGl_declarezd2widezd2classz12z12zzmodule_classz00
							(BgL_arg2227z00_474, BGl_za2moduleza2z00zzmodule_modulez00,
							BgL_importz00_735, BgL_prototypez00_736, BFALSE);
					}
				}
			}
		}
	}



/* statexp-finalizer */
	obj_t BGl_statexpzd2finaliza7erz75zzmodule_statexpz00()
	{
		AN_OBJECT;
		{	/* Module/statexp.scm 162 */
			{	/* Module/statexp.scm 164 */
				obj_t BgL_g2121z00_487;

				BgL_g2121z00_487 =
					bgl_reverse_bang(BGl_za2localzd2classesza2zd2zzmodule_statexpz00);
				{
					obj_t BgL_l2119z00_488;

					BgL_l2119z00_488 = BgL_g2121z00_487;
				BgL_forzd2each2120zd2_489:
					if (PAIRP(BgL_l2119z00_488))
						{	/* Module/statexp.scm 164 */
							{	/* Module/statexp.scm 164 */
								obj_t BgL_arg2255z00_491;

								BgL_arg2255z00_491 = CAR(BgL_l2119z00_488);
								PROCEDURE_ENTRY(BgL_arg2255z00_491) (BgL_arg2255z00_491, BEOA);
							}
							{
								obj_t BgL_l2119z00_946;

								BgL_l2119z00_946 = CDR(BgL_l2119z00_488);
								BgL_l2119z00_488 = BgL_l2119z00_946;
								goto BgL_forzd2each2120zd2_489;
							}
						}
					else
						{	/* Module/statexp.scm 164 */
							((bool_t) 1);
						}
				}
			}
			BGl_za2localzd2classesza2zd2zzmodule_statexpz00 = BNIL;
			{	/* Module/statexp.scm 167 */
				obj_t BgL_classesz00_493;

				BgL_classesz00_493 = BGl_classzd2finaliza7erz75zzmodule_classz00();
				if (PAIRP(BgL_classesz00_493))
					{	/* Module/statexp.scm 168 */
						return BgL_classesz00_493;
					}
				else
					{	/* Module/statexp.scm 168 */
						return CNST_TABLE_REF(((long) 1));
		}}}
	}



/* _statexp-finalizer */
	obj_t BGl__statexpzd2finaliza7erz75zzmodule_statexpz00(obj_t BgL_envz00_716)
	{
		AN_OBJECT;
		{	/* Module/statexp.scm 162 */
			return BGl_statexpzd2finaliza7erz75zzmodule_statexpz00();
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzmodule_statexpz00()
	{
		AN_OBJECT;
		{	/* Module/statexp.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzmodule_statexpz00()
	{
		AN_OBJECT;
		{	/* Module/statexp.scm 15 */
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 358171001),
				BSTRING_TO_STRING(BGl_string2297z00zzmodule_statexpz00));
			BGl_modulezd2initializa7ationz75zzmodule_prototypez00(((long) 280176011),
				BSTRING_TO_STRING(BGl_string2297z00zzmodule_statexpz00));
			BGl_modulezd2initializa7ationz75zzmodule_classz00(((long) 271025487),
				BSTRING_TO_STRING(BGl_string2297z00zzmodule_statexpz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string2297z00zzmodule_statexpz00));
			BGl_modulezd2initializa7ationz75zztools_argsz00(((long) 320731191),
				BSTRING_TO_STRING(BGl_string2297z00zzmodule_statexpz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 345457731),
				BSTRING_TO_STRING(BGl_string2297z00zzmodule_statexpz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string2297z00zzmodule_statexpz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 76434050),
				BSTRING_TO_STRING(BGl_string2297z00zzmodule_statexpz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string2297z00zzmodule_statexpz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 498714928),
				BSTRING_TO_STRING(BGl_string2297z00zzmodule_statexpz00));
			BGl_modulezd2initializa7ationz75zzast_findzd2gdefszd2(((long) 356303425),
				BSTRING_TO_STRING(BGl_string2297z00zzmodule_statexpz00));
			return
				BGl_modulezd2initializa7ationz75zzast_glozd2declzd2(((long) 241056438),
				BSTRING_TO_STRING(BGl_string2297z00zzmodule_statexpz00));
		}
	}

#ifdef __cplusplus
}
#endif
