/*===========================================================================*/
/*   (Object/generic.scm)                                                    */
/*   Bigloo (2.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 25 07:31:22 CET 2006        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/2.9a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Object/generic.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
	}                *BgL_tclassz00_bglt;

	typedef struct BgL_jclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		obj_t BgL_packagez00;
	}                *BgL_jclassz00_bglt;

	typedef struct BgL_wclassz00_bgl
	{
		obj_t BgL_itszd2classzd2;
	}                *BgL_wclassz00_bglt;

	typedef struct BgL_ccompz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_producerz00;
		obj_t BgL_consumerz00;
		obj_t BgL_finaliza7erza7;
	}               *BgL_ccompz00_bglt;


	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	static obj_t
		BGl_makezd2nonzd2objectzd2genericzd2bodyz00zzobject_genericz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t open_input_string(obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzobject_genericz00 = BUNSPEC;
	extern obj_t BGl_tclassz00zzobject_classz00;
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	BGL_IMPORT obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	static obj_t BGl_cnstzd2initzd2zzobject_genericz00();
	extern BgL_typez00_bglt BGl_getzd2defaultzd2typez00zztype_cachez00();
	static obj_t BGl_importedzd2moduleszd2initz00zzobject_genericz00();
	static obj_t BGl__makezd2genericzd2body2417z00zzobject_genericz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzobject_genericz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	static obj_t BGl_makezd2objectzd2genericzd2bodyzd2zzobject_genericz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern long BGl_globalzd2arityzd2zztools_argsz00(obj_t);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_parsezd2idzd2zzast_identz00(obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzobject_genericz00();
	BGL_EXPORTED_DECL obj_t BGl_makezd2genericzd2bodyz00zzobject_genericz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzobject_genericz00();
	static obj_t __cnst[16];


	   
		 
		DEFINE_STRING(BGl_string2418z00zzobject_genericz00,
		BgL_bgl_string2418za700za7za7o2425za7,
		"Illegal generic definition (no formal arguments provided)", 57);
	      DEFINE_STRING(BGl_string2420z00zzobject_genericz00,
		BgL_bgl_string2420za700za7za7o2426za7,
		"generic function has a non-class dispatching type arg", 53);
	      DEFINE_STRING(BGl_string2419z00zzobject_genericz00,
		BgL_bgl_string2419za700za7za7o2427za7,
		"Illegal global definition (internal error)", 42);
	      DEFINE_STRING(BGl_string2421z00zzobject_genericz00,
		BgL_bgl_string2421za700za7za7o2428za7, "object_generic", 14);
	      DEFINE_STRING(BGl_string2422z00zzobject_genericz00,
		BgL_bgl_string2422za700za7za7o2429za7,
		"object? labels begin procedure? if -default __r4_pairs_and_lists_6_3 generic-default cons* apply @ find-method let procedure method sgfun ",
		138);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2genericzd2bodyzd2envzd2zzobject_genericz00,
		BgL_bgl__makeza7d2genericza72430z00,
		BGl__makezd2genericzd2body2417z00zzobject_genericz00, 0L, BUNSPEC, 4);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzobject_genericz00(long
		BgL_checksumz00_830, char *BgL_fromz00_831)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzobject_genericz00))
				{
					BGl_requirezd2initializa7ationz75zzobject_genericz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzobject_genericz00();
					BGl_cnstzd2initzd2zzobject_genericz00();
					BGl_importedzd2moduleszd2initz00zzobject_genericz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzobject_genericz00()
	{
		AN_OBJECT;
		{	/* Object/generic.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"object_generic");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"object_generic");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"object_generic");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"object_generic");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzobject_genericz00()
	{
		AN_OBJECT;
		{	/* Object/generic.scm 15 */
			{	/* Object/generic.scm 15 */
				obj_t BgL_cportz00_822;

				BgL_cportz00_822 =
					open_input_string(BGl_string2422z00zzobject_genericz00);
				{
					long BgL_iz00_823;

					BgL_iz00_823 = ((long) 15);
				BgL_loopz00_824:
					if ((BgL_iz00_823 == ((long) -1)))
						{	/* Object/generic.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Object/generic.scm 15 */
							{	/* Object/generic.scm 15 */
								obj_t BgL_arg2424z00_826;

								{	/* Object/generic.scm 15 */

									{	/* Object/generic.scm 15 */
										obj_t BgL_locationz00_828;

										BgL_locationz00_828 = BBOOL(((bool_t) 0));
										{	/* Object/generic.scm 15 */

											BgL_arg2424z00_826 =
												BGl_readz00zz__readerz00(BgL_cportz00_822,
												BgL_locationz00_828);
										}
									}
								}
								{	/* Object/generic.scm 15 */
									int BgL_auxz00_847;

									BgL_auxz00_847 = (int) (BgL_iz00_823);
									CNST_TABLE_SET(BgL_auxz00_847, BgL_arg2424z00_826);
							}}
							{	/* Object/generic.scm 15 */
								int BgL_auxz00_829;

								BgL_auxz00_829 = (int) ((BgL_iz00_823 - ((long) 1)));
								{
									long BgL_iz00_852;

									BgL_iz00_852 = (long) (BgL_auxz00_829);
									BgL_iz00_823 = BgL_iz00_852;
									goto BgL_loopz00_824;
								}
							}
						}
				}
			}
		}
	}



/* make-generic-body */
	BGL_EXPORTED_DEF obj_t BGl_makezd2genericzd2bodyz00zzobject_genericz00(obj_t
		BgL_idz00_1, obj_t BgL_localsz00_2, obj_t BgL_argsz00_3, obj_t BgL_srcz00_4)
	{
		AN_OBJECT;
		{	/* Object/generic.scm 33 */
			{
				obj_t BgL_msgz00_411;

				{	/* Object/generic.scm 36 */
					obj_t BgL_gz00_379;

					BgL_gz00_379 =
						BGl_findzd2globalzf2modulez20zzast_envz00(BgL_idz00_1,
						BGl_za2moduleza2z00zzmodule_modulez00);
					if (NULLP(BgL_argsz00_3))
						{	/* Object/generic.scm 38 */
							BgL_msgz00_411 = BGl_string2418z00zzobject_genericz00;
						BgL_zc3anonymousza32163ze3z83_412:
							{	/* Object/generic.scm 35 */
								obj_t BgL_list2164z00_413;

								BgL_list2164z00_413 = MAKE_PAIR(BNIL, BNIL);
								return
									BGl_userzd2errorzd2zztools_errorz00(BgL_idz00_1,
									BgL_msgz00_411, BgL_srcz00_4, BgL_list2164z00_413);
							}
						}
					else
						{	/* Object/generic.scm 40 */
							bool_t BgL_testz00_859;

							if (BGl_iszd2azf3z21zz__objectz00(BgL_gz00_379,
									BGl_globalz00zzast_varz00))
								{	/* Object/generic.scm 41 */
									bool_t BgL__ortest_2111z00_401;

									{	/* Object/generic.scm 41 */
										bool_t BgL_testz00_862;

										{	/* Object/generic.scm 41 */
											BgL_valuez00_bglt BgL_arg2162z00_410;

											{	/* Object/generic.scm 41 */
												BgL_variablez00_bglt BgL_obj1369z00_758;

												BgL_obj1369z00_758 =
													(BgL_variablez00_bglt) (BgL_gz00_379);
												BgL_arg2162z00_410 =
													(((BgL_variablez00_bglt) CREF(BgL_obj1369z00_758))->
													BgL_valuez00);
											}
											{	/* Object/generic.scm 41 */
												obj_t BgL_obj1707z00_759;

												BgL_obj1707z00_759 = (obj_t) (BgL_arg2162z00_410);
												BgL_testz00_862 =
													BGl_iszd2azf3z21zz__objectz00(BgL_obj1707z00_759,
													BGl_sfunz00zzast_varz00);
											}
										}
										if (BgL_testz00_862)
											{	/* Object/generic.scm 41 */
												BgL__ortest_2111z00_401 = ((bool_t) 0);
											}
										else
											{	/* Object/generic.scm 41 */
												BgL__ortest_2111z00_401 = ((bool_t) 1);
											}
									}
									if (BgL__ortest_2111z00_401)
										{	/* Object/generic.scm 41 */
											BgL_testz00_859 = BgL__ortest_2111z00_401;
										}
									else
										{	/* Object/generic.scm 42 */
											bool_t BgL__ortest_2112z00_402;

											{	/* Object/generic.scm 42 */
												bool_t BgL_testz00_868;

												{	/* Object/generic.scm 42 */
													obj_t BgL_auxz00_869;

													{	/* Object/generic.scm 42 */
														BgL_sfunz00_bglt BgL_obj1642z00_761;

														{	/* Object/generic.scm 42 */
															BgL_variablez00_bglt BgL_obj1369z00_760;

															BgL_obj1369z00_760 =
																(BgL_variablez00_bglt) (BgL_gz00_379);
															{	/* Object/generic.scm 42 */
																BgL_valuez00_bglt BgL_auxz00_871;

																BgL_auxz00_871 =
																	(((BgL_variablez00_bglt)
																		CREF(BgL_obj1369z00_760))->BgL_valuez00);
																BgL_obj1642z00_761 =
																	(BgL_sfunz00_bglt) (BgL_auxz00_871);
															}
														}
														BgL_auxz00_869 =
															(((BgL_sfunz00_bglt) CREF(BgL_obj1642z00_761))->
															BgL_classz00);
													}
													BgL_testz00_868 =
														(BgL_auxz00_869 == CNST_TABLE_REF(((long) 0)));
												}
												if (BgL_testz00_868)
													{	/* Object/generic.scm 42 */
														BgL__ortest_2112z00_402 = ((bool_t) 0);
													}
												else
													{	/* Object/generic.scm 42 */
														BgL__ortest_2112z00_402 = ((bool_t) 1);
													}
											}
											if (BgL__ortest_2112z00_402)
												{	/* Object/generic.scm 42 */
													BgL_testz00_859 = BgL__ortest_2112z00_402;
												}
											else
												{	/* Object/generic.scm 43 */
													obj_t BgL_auxz00_878;

													{	/* Object/generic.scm 43 */
														BgL_sfunz00_bglt BgL_obj1636z00_763;

														{	/* Object/generic.scm 43 */
															BgL_variablez00_bglt BgL_obj1369z00_762;

															BgL_obj1369z00_762 =
																(BgL_variablez00_bglt) (BgL_gz00_379);
															{	/* Object/generic.scm 43 */
																BgL_valuez00_bglt BgL_auxz00_880;

																BgL_auxz00_880 =
																	(((BgL_variablez00_bglt)
																		CREF(BgL_obj1369z00_762))->BgL_valuez00);
																BgL_obj1636z00_763 =
																	(BgL_sfunz00_bglt) (BgL_auxz00_880);
															}
														}
														BgL_auxz00_878 =
															(((BgL_sfunz00_bglt) CREF(BgL_obj1636z00_763))->
															BgL_argsz00);
													}
													BgL_testz00_859 = NULLP(BgL_auxz00_878);
												}
										}
								}
							else
								{	/* Object/generic.scm 40 */
									BgL_testz00_859 = ((bool_t) 0);
								}
							if (BgL_testz00_859)
								{
									obj_t BgL_msgz00_885;

									BgL_msgz00_885 = BGl_string2419z00zzobject_genericz00;
									BgL_msgz00_411 = BgL_msgz00_885;
									goto BgL_zc3anonymousza32163ze3z83_412;
								}
							else
								{	/* Object/generic.scm 46 */
									obj_t BgL_methodzd2argzd2_382;

									BgL_methodzd2argzd2_382 = CAR(BgL_localsz00_2);
									{	/* Object/generic.scm 46 */
										BgL_typez00_bglt BgL_methodzd2argzd2typez00_383;

										{	/* Object/generic.scm 47 */
											BgL_variablez00_bglt BgL_obj1366z00_766;

											BgL_obj1366z00_766 =
												(BgL_variablez00_bglt) (BgL_methodzd2argzd2_382);
											BgL_methodzd2argzd2typez00_383 =
												(((BgL_variablez00_bglt) CREF(BgL_obj1366z00_766))->
												BgL_typez00);
										}
										{	/* Object/generic.scm 47 */
											obj_t BgL_ptypez00_384;

											if (BGl_iszd2azf3z21zz__objectz00(BgL_gz00_379,
													BGl_globalz00zzast_varz00))
												{	/* Object/generic.scm 48 */
													obj_t BgL_pairz00_770;

													{	/* Object/generic.scm 48 */
														BgL_sfunz00_bglt BgL_obj1636z00_769;

														{	/* Object/generic.scm 48 */
															BgL_variablez00_bglt BgL_obj1369z00_768;

															BgL_obj1369z00_768 =
																(BgL_variablez00_bglt) (BgL_gz00_379);
															{	/* Object/generic.scm 48 */
																BgL_valuez00_bglt BgL_auxz00_892;

																BgL_auxz00_892 =
																	(((BgL_variablez00_bglt)
																		CREF(BgL_obj1369z00_768))->BgL_valuez00);
																BgL_obj1636z00_769 =
																	(BgL_sfunz00_bglt) (BgL_auxz00_892);
															}
														}
														BgL_pairz00_770 =
															(((BgL_sfunz00_bglt) CREF(BgL_obj1636z00_769))->
															BgL_argsz00);
													}
													BgL_ptypez00_384 = CAR(BgL_pairz00_770);
												}
											else
												{	/* Object/generic.scm 48 */
													BgL_ptypez00_384 = BFALSE;
												}
											{	/* Object/generic.scm 48 */

												{	/* Object/generic.scm 50 */
													bool_t BgL_testz00_897;

													{	/* Object/generic.scm 50 */
														bool_t BgL_testz00_898;

														{	/* Object/generic.scm 50 */
															obj_t BgL_obj1892z00_771;

															BgL_obj1892z00_771 =
																(obj_t) (BgL_methodzd2argzd2typez00_383);
															BgL_testz00_898 =
																BGl_iszd2azf3z21zz__objectz00
																(BgL_obj1892z00_771,
																BGl_tclassz00zzobject_classz00);
														}
														if (BgL_testz00_898)
															{	/* Object/generic.scm 50 */
																BgL_testz00_897 = ((bool_t) 1);
															}
														else
															{	/* Object/generic.scm 50 */
																BgL_testz00_897 =
																	BGl_iszd2azf3z21zz__objectz00
																	(BgL_ptypez00_384,
																	BGl_tclassz00zzobject_classz00);
															}
													}
													if (BgL_testz00_897)
														{	/* Object/generic.scm 50 */
															return
																BGl_makezd2objectzd2genericzd2bodyzd2zzobject_genericz00
																(BgL_idz00_1, BgL_localsz00_2, BgL_argsz00_3,
																BgL_srcz00_4);
														}
													else
														{	/* Object/generic.scm 52 */
															bool_t BgL_testz00_903;

															{	/* Object/generic.scm 52 */
																bool_t BgL_testz00_904;

																{	/* Object/generic.scm 52 */
																	obj_t BgL_obj1357z00_773;

																	BgL_obj1357z00_773 =
																		(obj_t) (BgL_methodzd2argzd2typez00_383);
																	BgL_testz00_904 =
																		BGl_iszd2azf3z21zz__objectz00
																		(BgL_obj1357z00_773,
																		BGl_typez00zztype_typez00);
																}
																if (BgL_testz00_904)
																	{	/* Object/generic.scm 52 */
																		if (
																			((obj_t) (BgL_methodzd2argzd2typez00_383)
																				== BGl_za2objza2z00zztype_cachez00))
																			{	/* Object/generic.scm 53 */
																				BgL_testz00_903 = ((bool_t) 0);
																			}
																		else
																			{	/* Object/generic.scm 54 */
																				bool_t BgL_testz00_910;

																				{	/* Object/generic.scm 54 */
																					BgL_typez00_bglt BgL_arg2140z00_395;

																					BgL_arg2140z00_395 =
																						BGl_getzd2defaultzd2typez00zztype_cachez00
																						();
																					BgL_testz00_910 =
																						((obj_t)
																						(BgL_methodzd2argzd2typez00_383) ==
																						(obj_t) (BgL_arg2140z00_395));
																				}
																				if (BgL_testz00_910)
																					{	/* Object/generic.scm 54 */
																						BgL_testz00_903 = ((bool_t) 0);
																					}
																				else
																					{	/* Object/generic.scm 54 */
																						BgL_testz00_903 = ((bool_t) 1);
																					}
																			}
																	}
																else
																	{	/* Object/generic.scm 52 */
																		BgL_testz00_903 = ((bool_t) 0);
																	}
															}
															if (BgL_testz00_903)
																{
																	obj_t BgL_msgz00_915;

																	BgL_msgz00_915 =
																		BGl_string2420z00zzobject_genericz00;
																	BgL_msgz00_411 = BgL_msgz00_915;
																	goto BgL_zc3anonymousza32163ze3z83_412;
																}
															else
																{	/* Object/generic.scm 56 */
																	bool_t BgL_testz00_916;

																	if (BGl_iszd2azf3z21zz__objectz00
																		(BgL_ptypez00_384,
																			BGl_typez00zztype_typez00))
																		{	/* Object/generic.scm 56 */
																			if (
																				(BgL_ptypez00_384 ==
																					BGl_za2objza2z00zztype_cachez00))
																				{	/* Object/generic.scm 57 */
																					BgL_testz00_916 = ((bool_t) 0);
																				}
																			else
																				{	/* Object/generic.scm 58 */
																					bool_t BgL_testz00_921;

																					{	/* Object/generic.scm 58 */
																						BgL_typez00_bglt BgL_arg2134z00_391;

																						BgL_arg2134z00_391 =
																							BGl_getzd2defaultzd2typez00zztype_cachez00
																							();
																						BgL_testz00_921 =
																							(BgL_ptypez00_384 ==
																							(obj_t) (BgL_arg2134z00_391));
																					}
																					if (BgL_testz00_921)
																						{	/* Object/generic.scm 58 */
																							BgL_testz00_916 = ((bool_t) 0);
																						}
																					else
																						{	/* Object/generic.scm 58 */
																							BgL_testz00_916 = ((bool_t) 1);
																						}
																				}
																		}
																	else
																		{	/* Object/generic.scm 56 */
																			BgL_testz00_916 = ((bool_t) 0);
																		}
																	if (BgL_testz00_916)
																		{
																			obj_t BgL_msgz00_925;

																			BgL_msgz00_925 =
																				BGl_string2420z00zzobject_genericz00;
																			BgL_msgz00_411 = BgL_msgz00_925;
																			goto BgL_zc3anonymousza32163ze3z83_412;
																		}
																	else
																		{	/* Object/generic.scm 56 */
																			return
																				BGl_makezd2nonzd2objectzd2genericzd2bodyz00zzobject_genericz00
																				(BgL_idz00_1, BgL_localsz00_2,
																				BgL_argsz00_3, BgL_srcz00_4);
																		}
																}
														}
												}
											}
										}
									}
								}
						}
				}
			}
		}
	}



/* _make-generic-body2417 */
	obj_t BGl__makezd2genericzd2body2417z00zzobject_genericz00(obj_t
		BgL_envz00_817, obj_t BgL_idz00_818, obj_t BgL_localsz00_819,
		obj_t BgL_argsz00_820, obj_t BgL_srcz00_821)
	{
		AN_OBJECT;
		{	/* Object/generic.scm 33 */
			return
				BGl_makezd2genericzd2bodyz00zzobject_genericz00(BgL_idz00_818,
				BgL_localsz00_819, BgL_argsz00_820, BgL_srcz00_821);
		}
	}



/* make-object-generic-body */
	obj_t BGl_makezd2objectzd2genericzd2bodyzd2zzobject_genericz00(obj_t
		BgL_idz00_5, obj_t BgL_localsz00_6, obj_t BgL_argsz00_7, obj_t BgL_srcz00_8)
	{
		AN_OBJECT;
		{	/* Object/generic.scm 66 */
			{	/* Object/generic.scm 67 */
				obj_t BgL_pidz00_415;

				BgL_pidz00_415 =
					BGl_parsezd2idzd2zzast_identz00(BgL_idz00_5,
					BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_8));
				{	/* Object/generic.scm 67 */
					obj_t BgL_idz00_416;

					BgL_idz00_416 = CAR(BgL_pidz00_415);
					{	/* Object/generic.scm 68 */
						long BgL_arityz00_417;

						BgL_arityz00_417 =
							BGl_globalzd2arityzd2zztools_argsz00(BgL_argsz00_7);
						{	/* Object/generic.scm 69 */
							obj_t BgL_argszd2idzd2_418;

							if (NULLP(BgL_localsz00_6))
								{	/* Object/generic.scm 70 */
									BgL_argszd2idzd2_418 = BNIL;
								}
							else
								{	/* Object/generic.scm 70 */
									obj_t BgL_head2116z00_459;

									{	/* Object/generic.scm 70 */
										obj_t BgL_arg2237z00_470;

										{	/* Object/generic.scm 70 */
											BgL_variablez00_bglt BgL_obj1362z00_778;

											{	/* Object/generic.scm 70 */
												obj_t BgL_pairz00_777;

												BgL_pairz00_777 = BgL_localsz00_6;
												{	/* Object/generic.scm 70 */
													obj_t BgL_auxz00_934;

													BgL_auxz00_934 = CAR(BgL_pairz00_777);
													BgL_obj1362z00_778 =
														(BgL_variablez00_bglt) (BgL_auxz00_934);
												}
											}
											BgL_arg2237z00_470 =
												(((BgL_variablez00_bglt) CREF(BgL_obj1362z00_778))->
												BgL_idz00);
										}
										BgL_head2116z00_459 = MAKE_PAIR(BgL_arg2237z00_470, BNIL);
									}
									{	/* Object/generic.scm 70 */
										obj_t BgL_g2119z00_460;

										BgL_g2119z00_460 = CDR(BgL_localsz00_6);
										{
											obj_t BgL_l2114z00_461;
											obj_t BgL_tail2117z00_462;

											BgL_l2114z00_461 = BgL_g2119z00_460;
											BgL_tail2117z00_462 = BgL_head2116z00_459;
										BgL_map2115z00_463:
											if (NULLP(BgL_l2114z00_461))
												{	/* Object/generic.scm 70 */
													BgL_argszd2idzd2_418 = BgL_head2116z00_459;
												}
											else
												{	/* Object/generic.scm 70 */
													obj_t BgL_newtail2118z00_465;

													{	/* Object/generic.scm 70 */
														obj_t BgL_arg2220z00_467;

														{	/* Object/generic.scm 70 */
															BgL_variablez00_bglt BgL_obj1362z00_784;

															{	/* Object/generic.scm 70 */
																obj_t BgL_pairz00_783;

																BgL_pairz00_783 = BgL_l2114z00_461;
																{	/* Object/generic.scm 70 */
																	obj_t BgL_auxz00_942;

																	BgL_auxz00_942 = CAR(BgL_pairz00_783);
																	BgL_obj1362z00_784 =
																		(BgL_variablez00_bglt) (BgL_auxz00_942);
																}
															}
															BgL_arg2220z00_467 =
																(((BgL_variablez00_bglt)
																	CREF(BgL_obj1362z00_784))->BgL_idz00);
														}
														BgL_newtail2118z00_465 =
															MAKE_PAIR(BgL_arg2220z00_467, BNIL);
													}
													SET_CDR(BgL_tail2117z00_462, BgL_newtail2118z00_465);
													{
														obj_t BgL_tail2117z00_950;
														obj_t BgL_l2114z00_948;

														BgL_l2114z00_948 = CDR(BgL_l2114z00_461);
														BgL_tail2117z00_950 = BgL_newtail2118z00_465;
														BgL_tail2117z00_462 = BgL_tail2117z00_950;
														BgL_l2114z00_461 = BgL_l2114z00_948;
														goto BgL_map2115z00_463;
													}
												}
										}
									}
								}
							{	/* Object/generic.scm 70 */
								obj_t BgL_methodzd2argzd2_419;

								BgL_methodzd2argzd2_419 = CAR(BgL_localsz00_6);
								{	/* Object/generic.scm 71 */
									obj_t BgL_methodzd2argzd2idz00_420;

									{	/* Object/generic.scm 72 */
										BgL_variablez00_bglt BgL_obj1362z00_791;

										BgL_obj1362z00_791 =
											(BgL_variablez00_bglt) (BgL_methodzd2argzd2_419);
										BgL_methodzd2argzd2idz00_420 =
											(((BgL_variablez00_bglt) CREF(BgL_obj1362z00_791))->
											BgL_idz00);
									}
									{	/* Object/generic.scm 73 */
										obj_t BgL_methodz00_422;

										BgL_methodz00_422 =
											BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
													1)));
										{	/* Object/generic.scm 74 */
											obj_t BgL_tmethodz00_423;

											BgL_tmethodz00_423 =
												BGl_makezd2typedzd2identz00zzast_identz00
												(BgL_methodz00_422, CNST_TABLE_REF(((long) 2)));
											{	/* Object/generic.scm 75 */

												{	/* Object/generic.scm 76 */
													obj_t BgL_arg2165z00_424;
													obj_t BgL_arg2167z00_425;

													BgL_arg2165z00_424 = CNST_TABLE_REF(((long) 3));
													{	/* Object/generic.scm 76 */
														obj_t BgL_arg2170z00_426;
														obj_t BgL_arg2171z00_427;

														{	/* Object/generic.scm 76 */
															obj_t BgL_arg2175z00_431;

															{	/* Object/generic.scm 76 */
																obj_t BgL_arg2177z00_433;

																{	/* Object/generic.scm 76 */
																	obj_t BgL_arg2178z00_434;

																	{	/* Object/generic.scm 76 */
																		obj_t BgL_arg2181z00_437;
																		obj_t BgL_arg2182z00_438;

																		BgL_arg2181z00_437 =
																			CNST_TABLE_REF(((long) 4));
																		{	/* Object/generic.scm 76 */
																			obj_t BgL_arg2195z00_439;

																			{	/* Object/generic.scm 76 */
																				obj_t BgL_arg2199z00_443;
																				obj_t BgL_arg2200z00_444;

																				BgL_arg2199z00_443 =
																					CNST_TABLE_REF(((long) 5));
																				{	/* Object/generic.scm 76 */
																					obj_t BgL_list2201z00_445;

																					{	/* Object/generic.scm 76 */
																						obj_t BgL_arg2202z00_446;

																						BgL_arg2202z00_446 =
																							MAKE_PAIR(BNIL, BNIL);
																						BgL_list2201z00_445 =
																							MAKE_PAIR
																							(BGl_za2moduleza2z00zzmodule_modulez00,
																							BgL_arg2202z00_446);
																					}
																					BgL_arg2200z00_444 =
																						BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																						(BgL_idz00_416,
																						BgL_list2201z00_445);
																				}
																				BgL_arg2195z00_439 =
																					MAKE_PAIR(BgL_arg2199z00_443,
																					BgL_arg2200z00_444);
																			}
																			{	/* Object/generic.scm 76 */
																				obj_t BgL_list2197z00_441;

																				{	/* Object/generic.scm 76 */
																					obj_t BgL_arg2198z00_442;

																					BgL_arg2198z00_442 =
																						MAKE_PAIR(BNIL, BNIL);
																					BgL_list2197z00_441 =
																						MAKE_PAIR(BgL_arg2195z00_439,
																						BgL_arg2198z00_442);
																				}
																				BgL_arg2182z00_438 =
																					BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																					(BgL_methodzd2argzd2idz00_420,
																					BgL_list2197z00_441);
																		}}
																		BgL_arg2178z00_434 =
																			MAKE_PAIR(BgL_arg2181z00_437,
																			BgL_arg2182z00_438);
																	}
																	{	/* Object/generic.scm 76 */
																		obj_t BgL_list2180z00_436;

																		BgL_list2180z00_436 = MAKE_PAIR(BNIL, BNIL);
																		BgL_arg2177z00_433 =
																			BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																			(BgL_arg2178z00_434, BgL_list2180z00_436);
																}}
																BgL_arg2175z00_431 =
																	MAKE_PAIR(BgL_tmethodz00_423,
																	BgL_arg2177z00_433);
															}
															BgL_arg2170z00_426 =
																MAKE_PAIR(BgL_arg2175z00_431, BNIL);
														}
														if ((BgL_arityz00_417 >= ((long) 0)))
															{	/* Object/generic.scm 77 */
																BgL_arg2171z00_427 =
																	MAKE_PAIR(BgL_methodz00_422,
																	BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																	(BgL_argszd2idzd2_418, BNIL));
															}
														else
															{	/* Object/generic.scm 79 */
																obj_t BgL_arg2205z00_449;
																obj_t BgL_arg2206z00_450;

																BgL_arg2205z00_449 = CNST_TABLE_REF(((long) 6));
																{	/* Object/generic.scm 79 */
																	obj_t BgL_arg2207z00_451;

																	{	/* Object/generic.scm 79 */
																		obj_t BgL_arg2211z00_455;
																		obj_t BgL_arg2212z00_456;

																		BgL_arg2211z00_455 =
																			CNST_TABLE_REF(((long) 7));
																		BgL_arg2212z00_456 =
																			BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																			(BgL_argszd2idzd2_418, BNIL);
																		BgL_arg2207z00_451 =
																			MAKE_PAIR(BgL_arg2211z00_455,
																			BgL_arg2212z00_456);
																	}
																	{	/* Object/generic.scm 79 */
																		obj_t BgL_list2209z00_453;

																		{	/* Object/generic.scm 79 */
																			obj_t BgL_arg2210z00_454;

																			BgL_arg2210z00_454 =
																				MAKE_PAIR(BNIL, BNIL);
																			BgL_list2209z00_453 =
																				MAKE_PAIR(BgL_arg2207z00_451,
																				BgL_arg2210z00_454);
																		}
																		BgL_arg2206z00_450 =
																			BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																			(BgL_methodz00_422, BgL_list2209z00_453);
																}}
																BgL_arg2171z00_427 =
																	MAKE_PAIR(BgL_arg2205z00_449,
																	BgL_arg2206z00_450);
															}
														{	/* Object/generic.scm 76 */
															obj_t BgL_list2173z00_429;

															{	/* Object/generic.scm 76 */
																obj_t BgL_arg2174z00_430;

																BgL_arg2174z00_430 = MAKE_PAIR(BNIL, BNIL);
																BgL_list2173z00_429 =
																	MAKE_PAIR(BgL_arg2171z00_427,
																	BgL_arg2174z00_430);
															}
															BgL_arg2167z00_425 =
																BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																(BgL_arg2170z00_426, BgL_list2173z00_429);
													}}
													return
														MAKE_PAIR(BgL_arg2165z00_424, BgL_arg2167z00_425);
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* make-non-object-generic-body */
	obj_t BGl_makezd2nonzd2objectzd2genericzd2bodyz00zzobject_genericz00(obj_t
		BgL_idz00_9, obj_t BgL_localsz00_10, obj_t BgL_argsz00_11,
		obj_t BgL_srcz00_12)
	{
		AN_OBJECT;
		{	/* Object/generic.scm 84 */
			{	/* Object/generic.scm 85 */
				obj_t BgL_pidz00_474;

				BgL_pidz00_474 =
					BGl_parsezd2idzd2zzast_identz00(BgL_idz00_9,
					BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_12));
				{	/* Object/generic.scm 85 */
					obj_t BgL_idz00_475;

					BgL_idz00_475 = CAR(BgL_pidz00_474);
					{	/* Object/generic.scm 86 */
						long BgL_arityz00_476;

						BgL_arityz00_476 =
							BGl_globalzd2arityzd2zztools_argsz00(BgL_argsz00_11);
						{	/* Object/generic.scm 87 */
							obj_t BgL_argszd2idzd2_477;

							if (NULLP(BgL_localsz00_10))
								{	/* Object/generic.scm 88 */
									BgL_argszd2idzd2_477 = BNIL;
								}
							else
								{	/* Object/generic.scm 88 */
									obj_t BgL_head2122z00_598;

									{	/* Object/generic.scm 88 */
										obj_t BgL_arg2393z00_609;

										{	/* Object/generic.scm 88 */
											BgL_variablez00_bglt BgL_obj1362z00_798;

											{	/* Object/generic.scm 88 */
												obj_t BgL_pairz00_797;

												BgL_pairz00_797 = BgL_localsz00_10;
												{	/* Object/generic.scm 88 */
													obj_t BgL_auxz00_995;

													BgL_auxz00_995 = CAR(BgL_pairz00_797);
													BgL_obj1362z00_798 =
														(BgL_variablez00_bglt) (BgL_auxz00_995);
												}
											}
											BgL_arg2393z00_609 =
												(((BgL_variablez00_bglt) CREF(BgL_obj1362z00_798))->
												BgL_idz00);
										}
										BgL_head2122z00_598 = MAKE_PAIR(BgL_arg2393z00_609, BNIL);
									}
									{	/* Object/generic.scm 88 */
										obj_t BgL_g2125z00_599;

										BgL_g2125z00_599 = CDR(BgL_localsz00_10);
										{
											obj_t BgL_l2120z00_600;
											obj_t BgL_tail2123z00_601;

											BgL_l2120z00_600 = BgL_g2125z00_599;
											BgL_tail2123z00_601 = BgL_head2122z00_598;
										BgL_map2121z00_602:
											if (NULLP(BgL_l2120z00_600))
												{	/* Object/generic.scm 88 */
													BgL_argszd2idzd2_477 = BgL_head2122z00_598;
												}
											else
												{	/* Object/generic.scm 88 */
													obj_t BgL_newtail2124z00_604;

													{	/* Object/generic.scm 88 */
														obj_t BgL_arg2390z00_606;

														{	/* Object/generic.scm 88 */
															BgL_variablez00_bglt BgL_obj1362z00_804;

															{	/* Object/generic.scm 88 */
																obj_t BgL_pairz00_803;

																BgL_pairz00_803 = BgL_l2120z00_600;
																{	/* Object/generic.scm 88 */
																	obj_t BgL_auxz00_1003;

																	BgL_auxz00_1003 = CAR(BgL_pairz00_803);
																	BgL_obj1362z00_804 =
																		(BgL_variablez00_bglt) (BgL_auxz00_1003);
																}
															}
															BgL_arg2390z00_606 =
																(((BgL_variablez00_bglt)
																	CREF(BgL_obj1362z00_804))->BgL_idz00);
														}
														BgL_newtail2124z00_604 =
															MAKE_PAIR(BgL_arg2390z00_606, BNIL);
													}
													SET_CDR(BgL_tail2123z00_601, BgL_newtail2124z00_604);
													{
														obj_t BgL_tail2123z00_1011;
														obj_t BgL_l2120z00_1009;

														BgL_l2120z00_1009 = CDR(BgL_l2120z00_600);
														BgL_tail2123z00_1011 = BgL_newtail2124z00_604;
														BgL_tail2123z00_601 = BgL_tail2123z00_1011;
														BgL_l2120z00_600 = BgL_l2120z00_1009;
														goto BgL_map2121z00_602;
													}
												}
										}
									}
								}
							{	/* Object/generic.scm 88 */
								obj_t BgL_defaultzd2bodyzd2_478;

								if ((BgL_arityz00_476 >= ((long) 0)))
									{	/* Object/generic.scm 90 */
										obj_t BgL_arg2351z00_562;
										obj_t BgL_arg2352z00_563;

										{	/* Object/generic.scm 90 */
											obj_t BgL_arg2353z00_564;
											obj_t BgL_arg2354z00_565;

											BgL_arg2353z00_564 = CNST_TABLE_REF(((long) 8));
											{	/* Object/generic.scm 91 */
												obj_t BgL_arg2355z00_566;

												{	/* Object/generic.scm 91 */
													obj_t BgL_arg2358z00_569;
													obj_t BgL_arg2359z00_570;

													BgL_arg2358z00_569 = CNST_TABLE_REF(((long) 5));
													{	/* Object/generic.scm 91 */
														obj_t BgL_list2360z00_571;

														{	/* Object/generic.scm 91 */
															obj_t BgL_arg2361z00_572;

															BgL_arg2361z00_572 = MAKE_PAIR(BNIL, BNIL);
															BgL_list2360z00_571 =
																MAKE_PAIR(BGl_za2moduleza2z00zzmodule_modulez00,
																BgL_arg2361z00_572);
														}
														BgL_arg2359z00_570 =
															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
															(BgL_idz00_475, BgL_list2360z00_571);
													}
													BgL_arg2355z00_566 =
														MAKE_PAIR(BgL_arg2358z00_569, BgL_arg2359z00_570);
												}
												{	/* Object/generic.scm 90 */
													obj_t BgL_list2357z00_568;

													BgL_list2357z00_568 = MAKE_PAIR(BNIL, BNIL);
													BgL_arg2354z00_565 =
														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
														(BgL_arg2355z00_566, BgL_list2357z00_568);
											}}
											BgL_arg2351z00_562 =
												MAKE_PAIR(BgL_arg2353z00_564, BgL_arg2354z00_565);
										}
										BgL_arg2352z00_563 =
											BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
											(BgL_argszd2idzd2_477, BNIL);
										BgL_defaultzd2bodyzd2_478 =
											MAKE_PAIR(BgL_arg2351z00_562, BgL_arg2352z00_563);
									}
								else
									{	/* Object/generic.scm 93 */
										obj_t BgL_arg2362z00_573;
										obj_t BgL_arg2363z00_574;

										BgL_arg2362z00_573 = CNST_TABLE_REF(((long) 6));
										{	/* Object/generic.scm 93 */
											obj_t BgL_arg2364z00_575;
											obj_t BgL_arg2365z00_576;

											{	/* Object/generic.scm 93 */
												obj_t BgL_arg2370z00_580;
												obj_t BgL_arg2371z00_581;

												BgL_arg2370z00_580 = CNST_TABLE_REF(((long) 8));
												{	/* Object/generic.scm 94 */
													obj_t BgL_arg2373z00_582;

													{	/* Object/generic.scm 94 */
														obj_t BgL_arg2376z00_585;
														obj_t BgL_arg2377z00_586;

														BgL_arg2376z00_585 = CNST_TABLE_REF(((long) 5));
														{	/* Object/generic.scm 94 */
															obj_t BgL_list2378z00_587;

															{	/* Object/generic.scm 94 */
																obj_t BgL_arg2379z00_588;

																BgL_arg2379z00_588 = MAKE_PAIR(BNIL, BNIL);
																BgL_list2378z00_587 =
																	MAKE_PAIR
																	(BGl_za2moduleza2z00zzmodule_modulez00,
																	BgL_arg2379z00_588);
															}
															BgL_arg2377z00_586 =
																BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																(BgL_idz00_475, BgL_list2378z00_587);
														}
														BgL_arg2373z00_582 =
															MAKE_PAIR(BgL_arg2376z00_585, BgL_arg2377z00_586);
													}
													{	/* Object/generic.scm 93 */
														obj_t BgL_list2375z00_584;

														BgL_list2375z00_584 = MAKE_PAIR(BNIL, BNIL);
														BgL_arg2371z00_581 =
															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
															(BgL_arg2373z00_582, BgL_list2375z00_584);
												}}
												BgL_arg2364z00_575 =
													MAKE_PAIR(BgL_arg2370z00_580, BgL_arg2371z00_581);
											}
											{	/* Object/generic.scm 95 */
												obj_t BgL_arg2380z00_589;
												obj_t BgL_arg2381z00_590;

												{	/* Object/generic.scm 95 */
													obj_t BgL_arg2382z00_591;
													obj_t BgL_arg2383z00_592;

													BgL_arg2382z00_591 = CNST_TABLE_REF(((long) 5));
													{	/* Object/generic.scm 95 */
														obj_t BgL_list2384z00_593;

														{	/* Object/generic.scm 95 */
															obj_t BgL_arg2385z00_594;
															obj_t BgL_arg2386z00_595;

															BgL_arg2385z00_594 = CNST_TABLE_REF(((long) 9));
															BgL_arg2386z00_595 = MAKE_PAIR(BNIL, BNIL);
															BgL_list2384z00_593 =
																MAKE_PAIR(BgL_arg2385z00_594,
																BgL_arg2386z00_595);
														}
														BgL_arg2383z00_592 =
															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
															(CNST_TABLE_REF(((long) 7)), BgL_list2384z00_593);
													}
													BgL_arg2380z00_589 =
														MAKE_PAIR(BgL_arg2382z00_591, BgL_arg2383z00_592);
												}
												BgL_arg2381z00_590 =
													BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
													(BgL_argszd2idzd2_477, BNIL);
												BgL_arg2365z00_576 =
													MAKE_PAIR(BgL_arg2380z00_589, BgL_arg2381z00_590);
											}
											{	/* Object/generic.scm 93 */
												obj_t BgL_list2368z00_578;

												{	/* Object/generic.scm 93 */
													obj_t BgL_arg2369z00_579;

													BgL_arg2369z00_579 = MAKE_PAIR(BNIL, BNIL);
													BgL_list2368z00_578 =
														MAKE_PAIR(BgL_arg2365z00_576, BgL_arg2369z00_579);
												}
												BgL_arg2363z00_574 =
													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
													(BgL_arg2364z00_575, BgL_list2368z00_578);
										}}
										BgL_defaultzd2bodyzd2_478 =
											MAKE_PAIR(BgL_arg2362z00_573, BgL_arg2363z00_574);
									}
								{	/* Object/generic.scm 89 */
									obj_t BgL_methodzd2argzd2_479;

									BgL_methodzd2argzd2_479 = CAR(BgL_localsz00_10);
									{	/* Object/generic.scm 98 */
										obj_t BgL_methodzd2argzd2idz00_480;

										{	/* Object/generic.scm 99 */
											BgL_variablez00_bglt BgL_obj1362z00_813;

											BgL_obj1362z00_813 =
												(BgL_variablez00_bglt) (BgL_methodzd2argzd2_479);
											BgL_methodzd2argzd2idz00_480 =
												(((BgL_variablez00_bglt) CREF(BgL_obj1362z00_813))->
												BgL_idz00);
										}
										{	/* Object/generic.scm 100 */
											obj_t BgL_methodz00_482;

											BgL_methodz00_482 =
												BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
														(long) 1)));
											{	/* Object/generic.scm 101 */
												obj_t BgL_tmethodz00_483;

												BgL_tmethodz00_483 =
													BGl_makezd2typedzd2identz00zzast_identz00
													(BgL_methodz00_482, CNST_TABLE_REF(((long) 2)));
												{	/* Object/generic.scm 102 */
													obj_t BgL_defaultzd2namezd2_484;

													{	/* Object/generic.scm 103 */
														obj_t BgL_list2348z00_559;

														{	/* Object/generic.scm 103 */
															obj_t BgL_arg2349z00_560;

															BgL_arg2349z00_560 =
																MAKE_PAIR(CNST_TABLE_REF(((long) 10)), BNIL);
															BgL_list2348z00_559 =
																MAKE_PAIR(BgL_idz00_475, BgL_arg2349z00_560);
														}
														BgL_defaultzd2namezd2_484 =
															BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
															(BgL_list2348z00_559);
													}
													{	/* Object/generic.scm 103 */
														obj_t BgL_appzd2lyzd2methodz00_485;

														{	/* Object/generic.scm 104 */
															obj_t BgL_arg2294z00_509;
															obj_t BgL_arg2295z00_510;

															BgL_arg2294z00_509 = CNST_TABLE_REF(((long) 3));
															{	/* Object/generic.scm 104 */
																obj_t BgL_arg2296z00_511;
																obj_t BgL_arg2297z00_512;

																{	/* Object/generic.scm 104 */
																	obj_t BgL_arg2302z00_516;

																	{	/* Object/generic.scm 104 */
																		obj_t BgL_arg2305z00_518;

																		{	/* Object/generic.scm 104 */
																			obj_t BgL_arg2306z00_519;

																			{	/* Object/generic.scm 104 */
																				obj_t BgL_arg2309z00_522;
																				obj_t BgL_arg2310z00_523;

																				BgL_arg2309z00_522 =
																					CNST_TABLE_REF(((long) 4));
																				{	/* Object/generic.scm 105 */
																					obj_t BgL_arg2311z00_524;

																					{	/* Object/generic.scm 105 */
																						obj_t BgL_arg2315z00_528;
																						obj_t BgL_arg2316z00_529;

																						BgL_arg2315z00_528 =
																							CNST_TABLE_REF(((long) 5));
																						{	/* Object/generic.scm 105 */
																							obj_t BgL_list2317z00_530;

																							{	/* Object/generic.scm 105 */
																								obj_t BgL_arg2318z00_531;

																								BgL_arg2318z00_531 =
																									MAKE_PAIR(BNIL, BNIL);
																								BgL_list2317z00_530 =
																									MAKE_PAIR
																									(BGl_za2moduleza2z00zzmodule_modulez00,
																									BgL_arg2318z00_531);
																							}
																							BgL_arg2316z00_529 =
																								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																								(BgL_idz00_475,
																								BgL_list2317z00_530);
																						}
																						BgL_arg2311z00_524 =
																							MAKE_PAIR(BgL_arg2315z00_528,
																							BgL_arg2316z00_529);
																					}
																					{	/* Object/generic.scm 104 */
																						obj_t BgL_list2313z00_526;

																						{	/* Object/generic.scm 104 */
																							obj_t BgL_arg2314z00_527;

																							BgL_arg2314z00_527 =
																								MAKE_PAIR(BNIL, BNIL);
																							BgL_list2313z00_526 =
																								MAKE_PAIR(BgL_arg2311z00_524,
																								BgL_arg2314z00_527);
																						}
																						BgL_arg2310z00_523 =
																							BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																							(BgL_methodzd2argzd2idz00_480,
																							BgL_list2313z00_526);
																				}}
																				BgL_arg2306z00_519 =
																					MAKE_PAIR(BgL_arg2309z00_522,
																					BgL_arg2310z00_523);
																			}
																			{	/* Object/generic.scm 104 */
																				obj_t BgL_list2308z00_521;

																				BgL_list2308z00_521 =
																					MAKE_PAIR(BNIL, BNIL);
																				BgL_arg2305z00_518 =
																					BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																					(BgL_arg2306z00_519,
																					BgL_list2308z00_521);
																		}}
																		BgL_arg2302z00_516 =
																			MAKE_PAIR(BgL_tmethodz00_483,
																			BgL_arg2305z00_518);
																	}
																	BgL_arg2296z00_511 =
																		MAKE_PAIR(BgL_arg2302z00_516, BNIL);
																}
																{	/* Object/generic.scm 107 */
																	obj_t BgL_arg2319z00_532;
																	obj_t BgL_arg2320z00_533;

																	BgL_arg2319z00_532 =
																		CNST_TABLE_REF(((long) 11));
																	{	/* Object/generic.scm 107 */
																		obj_t BgL_arg2321z00_534;
																		obj_t BgL_arg2322z00_535;
																		obj_t BgL_arg2323z00_536;

																		{	/* Object/generic.scm 107 */
																			obj_t BgL_arg2328z00_541;
																			obj_t BgL_arg2329z00_542;

																			BgL_arg2328z00_541 =
																				CNST_TABLE_REF(((long) 12));
																			{	/* Object/generic.scm 107 */
																				obj_t BgL_list2330z00_543;

																				BgL_list2330z00_543 =
																					MAKE_PAIR(BNIL, BNIL);
																				BgL_arg2329z00_542 =
																					BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																					(BgL_methodz00_482,
																					BgL_list2330z00_543);
																			}
																			BgL_arg2321z00_534 =
																				MAKE_PAIR(BgL_arg2328z00_541,
																				BgL_arg2329z00_542);
																		}
																		if ((BgL_arityz00_476 >= ((long) 0)))
																			{	/* Object/generic.scm 108 */
																				BgL_arg2322z00_535 =
																					MAKE_PAIR(BgL_methodz00_482,
																					BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																					(BgL_argszd2idzd2_477, BNIL));
																			}
																		else
																			{	/* Object/generic.scm 110 */
																				obj_t BgL_arg2333z00_546;
																				obj_t BgL_arg2335z00_547;

																				BgL_arg2333z00_546 =
																					CNST_TABLE_REF(((long) 6));
																				{	/* Object/generic.scm 110 */
																					obj_t BgL_arg2336z00_548;

																					{	/* Object/generic.scm 110 */
																						obj_t BgL_arg2341z00_552;
																						obj_t BgL_arg2342z00_553;

																						BgL_arg2341z00_552 =
																							CNST_TABLE_REF(((long) 7));
																						BgL_arg2342z00_553 =
																							BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																							(BgL_argszd2idzd2_477, BNIL);
																						BgL_arg2336z00_548 =
																							MAKE_PAIR(BgL_arg2341z00_552,
																							BgL_arg2342z00_553);
																					}
																					{	/* Object/generic.scm 110 */
																						obj_t BgL_list2338z00_550;

																						{	/* Object/generic.scm 110 */
																							obj_t BgL_arg2339z00_551;

																							BgL_arg2339z00_551 =
																								MAKE_PAIR(BNIL, BNIL);
																							BgL_list2338z00_550 =
																								MAKE_PAIR(BgL_arg2336z00_548,
																								BgL_arg2339z00_551);
																						}
																						BgL_arg2335z00_547 =
																							BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																							(BgL_methodz00_482,
																							BgL_list2338z00_550);
																				}}
																				BgL_arg2322z00_535 =
																					MAKE_PAIR(BgL_arg2333z00_546,
																					BgL_arg2335z00_547);
																			}
																		{	/* Object/generic.scm 111 */
																			obj_t BgL_arg2343z00_554;
																			obj_t BgL_arg2344z00_555;

																			BgL_arg2343z00_554 =
																				CNST_TABLE_REF(((long) 13));
																			{	/* Object/generic.scm 112 */
																				obj_t BgL_arg2345z00_556;

																				BgL_arg2345z00_556 =
																					MAKE_PAIR(BgL_defaultzd2namezd2_484,
																					BNIL);
																				{	/* Object/generic.scm 111 */
																					obj_t BgL_list2347z00_558;

																					BgL_list2347z00_558 =
																						MAKE_PAIR(BNIL, BNIL);
																					BgL_arg2344z00_555 =
																						BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																						(BgL_arg2345z00_556,
																						BgL_list2347z00_558);
																			}}
																			BgL_arg2323z00_536 =
																				MAKE_PAIR(BgL_arg2343z00_554,
																				BgL_arg2344z00_555);
																		}
																		{	/* Object/generic.scm 107 */
																			obj_t BgL_list2325z00_538;

																			{	/* Object/generic.scm 107 */
																				obj_t BgL_arg2326z00_539;

																				{	/* Object/generic.scm 107 */
																					obj_t BgL_arg2327z00_540;

																					BgL_arg2327z00_540 =
																						MAKE_PAIR(BNIL, BNIL);
																					BgL_arg2326z00_539 =
																						MAKE_PAIR(BgL_arg2323z00_536,
																						BgL_arg2327z00_540);
																				}
																				BgL_list2325z00_538 =
																					MAKE_PAIR(BgL_arg2322z00_535,
																					BgL_arg2326z00_539);
																			}
																			BgL_arg2320z00_533 =
																				BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																				(BgL_arg2321z00_534,
																				BgL_list2325z00_538);
																	}}
																	BgL_arg2297z00_512 =
																		MAKE_PAIR(BgL_arg2319z00_532,
																		BgL_arg2320z00_533);
																}
																{	/* Object/generic.scm 104 */
																	obj_t BgL_list2300z00_514;

																	{	/* Object/generic.scm 104 */
																		obj_t BgL_arg2301z00_515;

																		BgL_arg2301z00_515 = MAKE_PAIR(BNIL, BNIL);
																		BgL_list2300z00_514 =
																			MAKE_PAIR(BgL_arg2297z00_512,
																			BgL_arg2301z00_515);
																	}
																	BgL_arg2295z00_510 =
																		BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																		(BgL_arg2296z00_511, BgL_list2300z00_514);
															}}
															BgL_appzd2lyzd2methodz00_485 =
																MAKE_PAIR(BgL_arg2294z00_509,
																BgL_arg2295z00_510);
														}
														{	/* Object/generic.scm 104 */

															{	/* Object/generic.scm 114 */
																obj_t BgL_arg2255z00_486;
																obj_t BgL_arg2256z00_487;

																BgL_arg2255z00_486 =
																	CNST_TABLE_REF(((long) 14));
																{	/* Object/generic.scm 114 */
																	obj_t BgL_arg2257z00_488;
																	obj_t BgL_arg2258z00_489;

																	{	/* Object/generic.scm 114 */
																		obj_t BgL_arg2278z00_493;

																		{	/* Object/generic.scm 114 */
																			obj_t BgL_arg2280z00_495;

																			{	/* Object/generic.scm 114 */
																				obj_t BgL_list2281z00_496;

																				{	/* Object/generic.scm 114 */
																					obj_t BgL_arg2282z00_497;

																					BgL_arg2282z00_497 =
																						MAKE_PAIR(BNIL, BNIL);
																					BgL_list2281z00_496 =
																						MAKE_PAIR(BgL_defaultzd2bodyzd2_478,
																						BgL_arg2282z00_497);
																				}
																				BgL_arg2280z00_495 =
																					BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																					(BNIL, BgL_list2281z00_496);
																			}
																			BgL_arg2278z00_493 =
																				MAKE_PAIR(BgL_defaultzd2namezd2_484,
																				BgL_arg2280z00_495);
																		}
																		BgL_arg2257z00_488 =
																			MAKE_PAIR(BgL_arg2278z00_493, BNIL);
																	}
																	{	/* Object/generic.scm 115 */
																		obj_t BgL_arg2283z00_498;
																		obj_t BgL_arg2284z00_499;

																		BgL_arg2283z00_498 =
																			CNST_TABLE_REF(((long) 11));
																		{	/* Object/generic.scm 115 */
																			obj_t BgL_arg2285z00_500;
																			obj_t BgL_arg2286z00_501;

																			{	/* Object/generic.scm 115 */
																				obj_t BgL_arg2291z00_506;
																				obj_t BgL_arg2292z00_507;

																				BgL_arg2291z00_506 =
																					CNST_TABLE_REF(((long) 15));
																				{	/* Object/generic.scm 115 */
																					obj_t BgL_list2293z00_508;

																					BgL_list2293z00_508 =
																						MAKE_PAIR(BNIL, BNIL);
																					BgL_arg2292z00_507 =
																						BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																						(BgL_methodzd2argzd2idz00_480,
																						BgL_list2293z00_508);
																				}
																				BgL_arg2285z00_500 =
																					MAKE_PAIR(BgL_arg2291z00_506,
																					BgL_arg2292z00_507);
																			}
																			BgL_arg2286z00_501 =
																				MAKE_PAIR(BgL_defaultzd2namezd2_484,
																				BNIL);
																			{	/* Object/generic.scm 115 */
																				obj_t BgL_list2288z00_503;

																				{	/* Object/generic.scm 115 */
																					obj_t BgL_arg2289z00_504;

																					{	/* Object/generic.scm 115 */
																						obj_t BgL_arg2290z00_505;

																						BgL_arg2290z00_505 =
																							MAKE_PAIR(BNIL, BNIL);
																						BgL_arg2289z00_504 =
																							MAKE_PAIR(BgL_arg2286z00_501,
																							BgL_arg2290z00_505);
																					}
																					BgL_list2288z00_503 =
																						MAKE_PAIR
																						(BgL_appzd2lyzd2methodz00_485,
																						BgL_arg2289z00_504);
																				}
																				BgL_arg2284z00_499 =
																					BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																					(BgL_arg2285z00_500,
																					BgL_list2288z00_503);
																		}}
																		BgL_arg2258z00_489 =
																			MAKE_PAIR(BgL_arg2283z00_498,
																			BgL_arg2284z00_499);
																	}
																	{	/* Object/generic.scm 114 */
																		obj_t BgL_list2260z00_491;

																		{	/* Object/generic.scm 114 */
																			obj_t BgL_arg2272z00_492;

																			BgL_arg2272z00_492 =
																				MAKE_PAIR(BNIL, BNIL);
																			BgL_list2260z00_491 =
																				MAKE_PAIR(BgL_arg2258z00_489,
																				BgL_arg2272z00_492);
																		}
																		BgL_arg2256z00_487 =
																			BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																			(BgL_arg2257z00_488, BgL_list2260z00_491);
																}}
																return
																	MAKE_PAIR(BgL_arg2255z00_486,
																	BgL_arg2256z00_487);
															}
														}
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzobject_genericz00()
	{
		AN_OBJECT;
		{	/* Object/generic.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzobject_genericz00()
	{
		AN_OBJECT;
		{	/* Object/generic.scm 15 */
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 514705515),
				BSTRING_TO_STRING(BGl_string2421z00zzobject_genericz00));
			BGl_modulezd2initializa7ationz75zztools_argsz00(((long) 320731191),
				BSTRING_TO_STRING(BGl_string2421z00zzobject_genericz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string2421z00zzobject_genericz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string2421z00zzobject_genericz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 484733332),
				BSTRING_TO_STRING(BGl_string2421z00zzobject_genericz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string2421z00zzobject_genericz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 498714928),
				BSTRING_TO_STRING(BGl_string2421z00zzobject_genericz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 76434050),
				BSTRING_TO_STRING(BGl_string2421z00zzobject_genericz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 358171001),
				BSTRING_TO_STRING(BGl_string2421z00zzobject_genericz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 345457731),
				BSTRING_TO_STRING(BGl_string2421z00zzobject_genericz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 142857872),
				BSTRING_TO_STRING(BGl_string2421z00zzobject_genericz00));
			return
				BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string2421z00zzobject_genericz00));
		}
	}

#ifdef __cplusplus
}
#endif
