/*===========================================================================*/
/*   (Object/nil.scm)                                                        */
/*   Bigloo (2.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 25 07:31:22 CET 2006        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/2.9a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Object/nil.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_tvecz00_bgl
	{
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}              *BgL_tvecz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
	}                *BgL_tclassz00_bglt;

	typedef struct BgL_jclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		obj_t BgL_packagez00;
	}                *BgL_jclassz00_bglt;

	typedef struct BgL_wclassz00_bgl
	{
		obj_t BgL_itszd2classzd2;
	}                *BgL_wclassz00_bglt;

	typedef struct BgL_slotz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_srcz00;
		obj_t BgL_classzd2ownerzd2;
		obj_t BgL_typez00;
		bool_t BgL_readzd2onlyzf3z21;
		obj_t BgL_defaultzd2valuezd2;
		obj_t BgL_virtualzd2numzd2;
		obj_t BgL_getterz00;
		obj_t BgL_setterz00;
		obj_t BgL_indexedz00;
		obj_t BgL_userzd2infozd2;
	}              *BgL_slotz00_bglt;

	typedef struct BgL_ccompz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_producerz00;
		obj_t BgL_consumerz00;
		obj_t BgL_finaliza7erza7;
	}               *BgL_ccompz00_bglt;

	typedef struct BgL_jarrayz00_bgl
	{
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_jarrayz00_bglt;


	extern obj_t BGl_za2charza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	extern obj_t BGl_za2pairzd2nilza2zd2zztype_cachez00;
	BGL_IMPORT obj_t open_input_string(obj_t);
	extern obj_t BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(obj_t);
	BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzobject_nilz00 = BUNSPEC;
	extern obj_t BGl_jarrayz00zzforeign_jtypez00;
	extern obj_t BGl_tclassz00zzobject_classz00;
	static obj_t BGl_bigloozd2primitivezd2typezd2nilzd2zzobject_nilz00(obj_t,
		obj_t);
	extern obj_t BGl_za2symbolza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
	extern obj_t BGl_za2elongza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	extern obj_t BGl_importzd2parserzd2zzmodule_impusez00(obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzobject_nilz00();
	extern obj_t BGl_za2bintza2z00zztype_cachez00;
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	static obj_t BGl_importedzd2moduleszd2initz00zzobject_nilz00();
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_importzd2classzd2nilz00zzobject_nilz00(BgL_tclassz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_za2bnilza2z00zztype_cachez00;
	extern obj_t BGl_za2keywordza2z00zztype_cachez00;
	static obj_t BGl__genzd2widezd2classzd2nilzd2zzobject_nilz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_jclassz00zzobject_classz00;
	extern obj_t BGl_za2bllongza2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzobject_nilz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztvector_tvectorz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_structz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_impusez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzforeign_jtypez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_za2bstringza2z00zztype_cachez00;
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	extern obj_t BGl_za2brealza2z00zztype_cachez00;
	extern obj_t BGl_za2epairza2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t
		BGl_genzd2widezd2classzd2nilzd2zzobject_nilz00(BgL_tclassz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	static obj_t BGl_fillzd2nilzd2zzobject_nilz00(obj_t);
	extern obj_t BGl_za2intza2z00zztype_cachez00;
	extern obj_t BGl_za2vectorza2z00zztype_cachez00;
	extern obj_t BGl_za2bcharza2z00zztype_cachez00;
	extern obj_t BGl_za2boolza2z00zztype_cachez00;
	extern obj_t BGl_za2classzd2nilzf3za2z21zzengine_paramz00;
	extern obj_t BGl_za2cellza2z00zztype_cachez00;
	extern bool_t BGl_slotzd2virtualzf3z21zzobject_slotsz00(BgL_slotz00_bglt);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	extern obj_t BGl_za2stringza2z00zztype_cachez00;
	static obj_t BGl_externzd2typezd2nilz00zzobject_nilz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t BGl_epairifyz00zztools_miscz00(obj_t, obj_t);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_genzd2plainzd2classzd2nilzd2zzobject_nilz00(BgL_tclassz00_bglt, obj_t,
		obj_t);
	static obj_t BGl__genzd2plainzd2classzd2nilzd2zzobject_nilz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static obj_t BGl_slotzd2getzd2nilz00zzobject_nilz00(obj_t);
	extern obj_t BGl_za2llongza2z00zztype_cachez00;
	extern obj_t BGl_makezd2privatezd2sexpz00zzast_privatez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl__importzd2classzd2nilz00zzobject_nilz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_tvecz00zztvector_tvectorz00;
	extern obj_t BGl_za2realza2z00zztype_cachez00;
	extern obj_t BGl_za2pairza2z00zztype_cachez00;
	static obj_t BGl_libraryzd2moduleszd2initz00zzobject_nilz00();
	static obj_t BGl_methodzd2initzd2zzobject_nilz00();
	static obj_t __cnst[80];


	   
		 
		DEFINE_STRING(BGl_string2735z00zzobject_nilz00,
		BgL_bgl_string2735za700za7za7o2742za7, "", 0);
	      DEFINE_STRING(BGl_string2736z00zzobject_nilz00,
		BgL_bgl_string2736za700za7za7o2743za7, "Illegal slot type `~a'", 22);
	      DEFINE_STRING(BGl_string2737z00zzobject_nilz00,
		BgL_bgl_string2737za700za7za7o2744za7, "0L", 2);
	      DEFINE_STRING(BGl_string2738z00zzobject_nilz00,
		BgL_bgl_string2738za700za7za7o2745za7, "object_nil", 10);
	      DEFINE_STRING(BGl_string2739z00zzobject_nilz00,
		BgL_bgl_string2739za700za7za7o2746za7,
		"free-pragma string char double real long int cast-null (condition-variable-nil) condvar (mutex-nil) mutex (utf8-string->ucs2-string \"\") ucs2string (char->ucs2 #\\_) bucs2 (make-server-socket) socket (opaque-nil) opaque (custom-nil) custom (process-nil) process procedure make-struct struct vector keyword symbol bstring epair pair pair-nil nil bchar breal bbool bool (string->elong \"0\") elong llong bint cell unspec (current-date) date binary-port error-port (current-output-port) output-port (current-input-port) input-port cons (quote #()) :_ (quote _) (econs #f #f #f) (cons #f #f) (quote ()) (string->llong \"0\") (make-cell #unspecified) make- quote list->tvector object-widening-set! @ class-num object-class-num-set! - set! eq? when define ! fill- %allocate- obj %the- -nil ",
		778);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genzd2plainzd2classzd2nilzd2envz00zzobject_nilz00,
		BgL_bgl__genza7d2plainza7d2c2747z00,
		BGl__genzd2plainzd2classzd2nilzd2zzobject_nilz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genzd2widezd2classzd2nilzd2envz00zzobject_nilz00,
		BgL_bgl__genza7d2wideza7d2cl2748z00,
		BGl__genzd2widezd2classzd2nilzd2zzobject_nilz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_importzd2classzd2nilzd2envzd2zzobject_nilz00,
		BgL_bgl__importza7d2classza72749z00,
		BGl__importzd2classzd2nilz00zzobject_nilz00, 0L, BUNSPEC, 3);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzobject_nilz00(long
		BgL_checksumz00_1138, char *BgL_fromz00_1139)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzobject_nilz00))
				{
					BGl_requirezd2initializa7ationz75zzobject_nilz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzobject_nilz00();
					BGl_cnstzd2initzd2zzobject_nilz00();
					BGl_importedzd2moduleszd2initz00zzobject_nilz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzobject_nilz00()
	{
		AN_OBJECT;
		{	/* Object/nil.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"object_nil");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "object_nil");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "object_nil");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"object_nil");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "object_nil");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"object_nil");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzobject_nilz00()
	{
		AN_OBJECT;
		{	/* Object/nil.scm 15 */
			{	/* Object/nil.scm 15 */
				obj_t BgL_cportz00_1130;

				BgL_cportz00_1130 = open_input_string(BGl_string2739z00zzobject_nilz00);
				{
					long BgL_iz00_1131;

					BgL_iz00_1131 = ((long) 79);
				BgL_loopz00_1132:
					if ((BgL_iz00_1131 == ((long) -1)))
						{	/* Object/nil.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Object/nil.scm 15 */
							{	/* Object/nil.scm 15 */
								obj_t BgL_arg2741z00_1134;

								{	/* Object/nil.scm 15 */

									{	/* Object/nil.scm 15 */
										obj_t BgL_locationz00_1136;

										BgL_locationz00_1136 = BBOOL(((bool_t) 0));
										{	/* Object/nil.scm 15 */

											BgL_arg2741z00_1134 =
												BGl_readz00zz__readerz00(BgL_cportz00_1130,
												BgL_locationz00_1136);
										}
									}
								}
								{	/* Object/nil.scm 15 */
									int BgL_auxz00_1157;

									BgL_auxz00_1157 = (int) (BgL_iz00_1131);
									CNST_TABLE_SET(BgL_auxz00_1157, BgL_arg2741z00_1134);
							}}
							{	/* Object/nil.scm 15 */
								int BgL_auxz00_1137;

								BgL_auxz00_1137 = (int) ((BgL_iz00_1131 - ((long) 1)));
								{
									long BgL_iz00_1162;

									BgL_iz00_1162 = (long) (BgL_auxz00_1137);
									BgL_iz00_1131 = BgL_iz00_1162;
									goto BgL_loopz00_1132;
								}
							}
						}
				}
			}
		}
	}



/* import-class-nil */
	BGL_EXPORTED_DEF obj_t
		BGl_importzd2classzd2nilz00zzobject_nilz00(BgL_tclassz00_bglt
		BgL_classz00_1, obj_t BgL_srczd2defzd2_2, obj_t BgL_modulez00_3)
	{
		AN_OBJECT;
		{	/* Object/nil.scm 44 */
			if (CBOOL(BGl_za2classzd2nilzf3za2z21zzengine_paramz00))
				{	/* Object/nil.scm 46 */
					obj_t BgL_idz00_500;

					{	/* Object/nil.scm 46 */
						BgL_typez00_bglt BgL_obj1272z00_1007;

						BgL_obj1272z00_1007 = (BgL_typez00_bglt) (BgL_classz00_1);
						BgL_idz00_500 =
							(((BgL_typez00_bglt) CREF(BgL_obj1272z00_1007))->BgL_idz00);
					}
					{	/* Object/nil.scm 46 */
						obj_t BgL_idzd2nilzd2_501;

						{	/* Object/nil.scm 47 */
							obj_t BgL_list2390z00_505;

							{	/* Object/nil.scm 47 */
								obj_t BgL_arg2391z00_506;

								BgL_arg2391z00_506 =
									MAKE_PAIR(CNST_TABLE_REF(((long) 0)), BNIL);
								BgL_list2390z00_505 =
									MAKE_PAIR(BgL_idz00_500, BgL_arg2391z00_506);
							}
							BgL_idzd2nilzd2_501 =
								BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
								(BgL_list2390z00_505);
						}
						{	/* Object/nil.scm 47 */
							obj_t BgL_tidzd2nilzd2_502;

							BgL_tidzd2nilzd2_502 =
								BGl_makezd2typedzd2identz00zzast_identz00(BgL_idzd2nilzd2_501,
								BgL_idz00_500);
							{	/* Object/nil.scm 48 */

								{	/* Object/nil.scm 49 */
									obj_t BgL_arg2388z00_503;

									BgL_arg2388z00_503 = MAKE_PAIR(BgL_tidzd2nilzd2_502, BNIL);
									return
										BGl_importzd2parserzd2zzmodule_impusez00(BgL_modulez00_3,
										BgL_arg2388z00_503, BNIL);
								}
							}
						}
					}
				}
			else
				{	/* Object/nil.scm 45 */
					return BFALSE;
				}
		}
	}



/* _import-class-nil */
	obj_t BGl__importzd2classzd2nilz00zzobject_nilz00(obj_t BgL_envz00_1118,
		obj_t BgL_classz00_1119, obj_t BgL_srczd2defzd2_1120,
		obj_t BgL_modulez00_1121)
	{
		AN_OBJECT;
		{	/* Object/nil.scm 44 */
			return
				BGl_importzd2classzd2nilz00zzobject_nilz00(
				(BgL_tclassz00_bglt) (BgL_classz00_1119), BgL_srczd2defzd2_1120,
				BgL_modulez00_1121);
		}
	}



/* gen-plain-class-nil */
	BGL_EXPORTED_DEF obj_t
		BGl_genzd2plainzd2classzd2nilzd2zzobject_nilz00(BgL_tclassz00_bglt
		BgL_classz00_4, obj_t BgL_srczd2defzd2_5, obj_t BgL_importz00_6)
	{
		AN_OBJECT;
		{	/* Object/nil.scm 56 */
			if (CBOOL(BGl_za2classzd2nilzf3za2z21zzengine_paramz00))
				{	/* Object/nil.scm 59 */
					obj_t BgL_idz00_508;

					{	/* Object/nil.scm 59 */
						BgL_typez00_bglt BgL_obj1272z00_1008;

						BgL_obj1272z00_1008 = (BgL_typez00_bglt) (BgL_classz00_4);
						BgL_idz00_508 =
							(((BgL_typez00_bglt) CREF(BgL_obj1272z00_1008))->BgL_idz00);
					}
					{	/* Object/nil.scm 59 */
						obj_t BgL_idzd2nilzd2_509;

						{	/* Object/nil.scm 60 */
							obj_t BgL_list2453z00_572;

							{	/* Object/nil.scm 60 */
								obj_t BgL_arg2454z00_573;

								BgL_arg2454z00_573 =
									MAKE_PAIR(CNST_TABLE_REF(((long) 0)), BNIL);
								BgL_list2453z00_572 =
									MAKE_PAIR(BgL_idz00_508, BgL_arg2454z00_573);
							}
							BgL_idzd2nilzd2_509 =
								BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
								(BgL_list2453z00_572);
						}
						{	/* Object/nil.scm 60 */
							obj_t BgL_tidzd2nilzd2_510;

							BgL_tidzd2nilzd2_510 =
								BGl_makezd2typedzd2identz00zzast_identz00(BgL_idzd2nilzd2_509,
								BgL_idz00_508);
							{	/* Object/nil.scm 61 */
								obj_t BgL_thezd2idzd2nilz00_511;

								{	/* Object/nil.scm 62 */
									obj_t BgL_list2450z00_569;

									{	/* Object/nil.scm 62 */
										obj_t BgL_arg2451z00_570;
										obj_t BgL_arg2452z00_571;

										BgL_arg2451z00_570 = CNST_TABLE_REF(((long) 1));
										BgL_arg2452z00_571 = MAKE_PAIR(BgL_idzd2nilzd2_509, BNIL);
										BgL_list2450z00_569 =
											MAKE_PAIR(BgL_arg2451z00_570, BgL_arg2452z00_571);
									}
									BgL_thezd2idzd2nilz00_511 =
										BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
										(BgL_list2450z00_569);
								}
								{	/* Object/nil.scm 62 */
									obj_t BgL_thezd2tidzd2nilz00_512;

									BgL_thezd2tidzd2nilz00_512 =
										BGl_makezd2typedzd2identz00zzast_identz00
										(BgL_thezd2idzd2nilz00_511, CNST_TABLE_REF(((long) 2)));
									{	/* Object/nil.scm 63 */
										obj_t BgL_allocz00_513;

										{	/* Object/nil.scm 64 */
											obj_t BgL_list2447z00_566;

											{	/* Object/nil.scm 64 */
												obj_t BgL_arg2448z00_567;
												obj_t BgL_arg2449z00_568;

												BgL_arg2448z00_567 = CNST_TABLE_REF(((long) 3));
												BgL_arg2449z00_568 = MAKE_PAIR(BgL_idz00_508, BNIL);
												BgL_list2447z00_566 =
													MAKE_PAIR(BgL_arg2448z00_567, BgL_arg2449z00_568);
											}
											BgL_allocz00_513 =
												BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
												(BgL_list2447z00_566);
										}
										{	/* Object/nil.scm 64 */
											obj_t BgL_fillz00_514;

											{	/* Object/nil.scm 65 */
												obj_t BgL_list2443z00_562;

												{	/* Object/nil.scm 65 */
													obj_t BgL_arg2444z00_563;
													obj_t BgL_arg2445z00_564;

													BgL_arg2444z00_563 = CNST_TABLE_REF(((long) 4));
													{	/* Object/nil.scm 65 */
														obj_t BgL_arg2446z00_565;

														BgL_arg2446z00_565 =
															MAKE_PAIR(CNST_TABLE_REF(((long) 5)), BNIL);
														BgL_arg2445z00_564 =
															MAKE_PAIR(BgL_idz00_508, BgL_arg2446z00_565);
													}
													BgL_list2443z00_562 =
														MAKE_PAIR(BgL_arg2444z00_563, BgL_arg2445z00_564);
												}
												BgL_fillz00_514 =
													BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
													(BgL_list2443z00_562);
											}
											{	/* Object/nil.scm 65 */

												{	/* Object/nil.scm 66 */
													obj_t BgL_arg2392z00_515;

													{	/* Object/nil.scm 66 */
														obj_t BgL_arg2393z00_516;

														{	/* Object/nil.scm 66 */
															obj_t BgL_arg2395z00_517;

															BgL_arg2395z00_517 =
																MAKE_PAIR(BgL_tidzd2nilzd2_510, BNIL);
															{	/* Object/nil.scm 66 */
																obj_t BgL_list2397z00_519;

																BgL_list2397z00_519 = MAKE_PAIR(BNIL, BNIL);
																BgL_arg2393z00_516 =
																	BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																	(BgL_arg2395z00_517, BgL_list2397z00_519);
														}}
														BgL_arg2392z00_515 =
															MAKE_PAIR(BgL_importz00_6, BgL_arg2393z00_516);
													}
													BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
														(BgL_arg2392z00_515);
												}
												{	/* Object/nil.scm 68 */
													obj_t BgL_arg2398z00_520;
													obj_t BgL_arg2399z00_521;

													{	/* Object/nil.scm 68 */
														obj_t BgL_arg2402z00_524;
														obj_t BgL_arg2403z00_525;

														BgL_arg2402z00_524 = CNST_TABLE_REF(((long) 6));
														{	/* Object/nil.scm 68 */
															obj_t BgL_list2404z00_526;

															{	/* Object/nil.scm 68 */
																obj_t BgL_arg2406z00_527;

																BgL_arg2406z00_527 = MAKE_PAIR(BNIL, BNIL);
																BgL_list2404z00_526 =
																	MAKE_PAIR(BUNSPEC, BgL_arg2406z00_527);
															}
															BgL_arg2403z00_525 =
																BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																(BgL_thezd2tidzd2nilz00_512,
																BgL_list2404z00_526);
														}
														BgL_arg2398z00_520 =
															MAKE_PAIR(BgL_arg2402z00_524, BgL_arg2403z00_525);
													}
													{	/* Object/nil.scm 69 */
														obj_t BgL_arg2407z00_528;

														{	/* Object/nil.scm 69 */
															obj_t BgL_arg2408z00_529;
															obj_t BgL_arg2409z00_530;

															BgL_arg2408z00_529 = CNST_TABLE_REF(((long) 6));
															{	/* Object/nil.scm 69 */
																obj_t BgL_arg2411z00_531;
																obj_t BgL_arg2412z00_532;

																BgL_arg2411z00_531 =
																	MAKE_PAIR(BgL_tidzd2nilzd2_510, BNIL);
																{	/* Object/nil.scm 70 */
																	obj_t BgL_arg2417z00_537;
																	obj_t BgL_arg2418z00_538;

																	BgL_arg2417z00_537 =
																		CNST_TABLE_REF(((long) 7));
																	{	/* Object/nil.scm 70 */
																		obj_t BgL_arg2419z00_539;
																		obj_t BgL_arg2420z00_540;
																		obj_t BgL_arg2421z00_541;

																		{	/* Object/nil.scm 70 */
																			obj_t BgL_arg2426z00_546;
																			obj_t BgL_arg2428z00_547;

																			BgL_arg2426z00_546 =
																				CNST_TABLE_REF(((long) 8));
																			{	/* Object/nil.scm 70 */
																				obj_t BgL_list2429z00_548;

																				{	/* Object/nil.scm 70 */
																					obj_t BgL_arg2430z00_549;

																					BgL_arg2430z00_549 =
																						MAKE_PAIR(BNIL, BNIL);
																					BgL_list2429z00_548 =
																						MAKE_PAIR(BUNSPEC,
																						BgL_arg2430z00_549);
																				}
																				BgL_arg2428z00_547 =
																					BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																					(BgL_thezd2idzd2nilz00_511,
																					BgL_list2429z00_548);
																			}
																			BgL_arg2419z00_539 =
																				MAKE_PAIR(BgL_arg2426z00_546,
																				BgL_arg2428z00_547);
																		}
																		{	/* Object/nil.scm 71 */
																			obj_t BgL_arg2431z00_550;
																			obj_t BgL_arg2432z00_551;

																			BgL_arg2431z00_550 =
																				CNST_TABLE_REF(((long) 9));
																			{	/* Object/nil.scm 71 */
																				obj_t BgL_arg2433z00_552;

																				BgL_arg2433z00_552 =
																					MAKE_PAIR(BgL_allocz00_513, BNIL);
																				{	/* Object/nil.scm 71 */
																					obj_t BgL_list2435z00_554;

																					{	/* Object/nil.scm 71 */
																						obj_t BgL_arg2436z00_555;

																						BgL_arg2436z00_555 =
																							MAKE_PAIR(BNIL, BNIL);
																						BgL_list2435z00_554 =
																							MAKE_PAIR(BgL_arg2433z00_552,
																							BgL_arg2436z00_555);
																					}
																					BgL_arg2432z00_551 =
																						BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																						(BgL_thezd2idzd2nilz00_511,
																						BgL_list2435z00_554);
																			}}
																			BgL_arg2420z00_540 =
																				MAKE_PAIR(BgL_arg2431z00_550,
																				BgL_arg2432z00_551);
																		}
																		{	/* Object/nil.scm 72 */
																			obj_t BgL_arg2437z00_556;

																			{	/* Object/nil.scm 72 */
																				obj_t BgL_arg2438z00_557;

																				{	/* Object/nil.scm 72 */
																					obj_t BgL_arg2440z00_559;

																					{	/* Object/nil.scm 72 */
																						obj_t BgL_arg2442z00_561;

																						{
																							obj_t BgL_auxz00_1226;

																							{	/* Object/nil.scm 72 */
																								BgL_objectz00_bglt
																									BgL_auxz00_1227;
																								BgL_auxz00_1227 =
																									(BgL_objectz00_bglt)
																									(BgL_classz00_4);
																								BgL_auxz00_1226 =
																									BGL_OBJECT_WIDENING
																									(BgL_auxz00_1227);
																							}
																							BgL_arg2442z00_561 =
																								(((BgL_tclassz00_bglt)
																									CREF(BgL_auxz00_1226))->
																								BgL_slotsz00);
																						}
																						BgL_arg2440z00_559 =
																							BGl_fillzd2nilzd2zzobject_nilz00
																							(BgL_arg2442z00_561);
																					}
																					BgL_arg2438z00_557 =
																						BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																						(BgL_arg2440z00_559, BNIL);
																				}
																				{	/* Object/nil.scm 72 */
																					obj_t BgL_list2439z00_558;

																					BgL_list2439z00_558 =
																						MAKE_PAIR(BgL_arg2438z00_557, BNIL);
																					BgL_arg2437z00_556 =
																						BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																						(BgL_thezd2idzd2nilz00_511,
																						BgL_list2439z00_558);
																			}}
																			BgL_arg2421z00_541 =
																				MAKE_PAIR(BgL_fillz00_514,
																				BgL_arg2437z00_556);
																		}
																		{	/* Object/nil.scm 70 */
																			obj_t BgL_list2423z00_543;

																			{	/* Object/nil.scm 70 */
																				obj_t BgL_arg2424z00_544;

																				{	/* Object/nil.scm 70 */
																					obj_t BgL_arg2425z00_545;

																					BgL_arg2425z00_545 =
																						MAKE_PAIR(BNIL, BNIL);
																					BgL_arg2424z00_544 =
																						MAKE_PAIR(BgL_arg2421z00_541,
																						BgL_arg2425z00_545);
																				}
																				BgL_list2423z00_543 =
																					MAKE_PAIR(BgL_arg2420z00_540,
																					BgL_arg2424z00_544);
																			}
																			BgL_arg2418z00_538 =
																				BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																				(BgL_arg2419z00_539,
																				BgL_list2423z00_543);
																	}}
																	BgL_arg2412z00_532 =
																		MAKE_PAIR(BgL_arg2417z00_537,
																		BgL_arg2418z00_538);
																}
																{	/* Object/nil.scm 69 */
																	obj_t BgL_list2414z00_534;

																	{	/* Object/nil.scm 69 */
																		obj_t BgL_arg2415z00_535;

																		{	/* Object/nil.scm 69 */
																			obj_t BgL_arg2416z00_536;

																			BgL_arg2416z00_536 =
																				MAKE_PAIR(BNIL, BNIL);
																			BgL_arg2415z00_535 =
																				MAKE_PAIR(BgL_thezd2idzd2nilz00_511,
																				BgL_arg2416z00_536);
																		}
																		BgL_list2414z00_534 =
																			MAKE_PAIR(BgL_arg2412z00_532,
																			BgL_arg2415z00_535);
																	}
																	BgL_arg2409z00_530 =
																		BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																		(BgL_arg2411z00_531, BgL_list2414z00_534);
															}}
															BgL_arg2407z00_528 =
																MAKE_PAIR(BgL_arg2408z00_529,
																BgL_arg2409z00_530);
														}
														BgL_arg2399z00_521 =
															BGl_epairifyz00zztools_miscz00(BgL_arg2407z00_528,
															BgL_srczd2defzd2_5);
													}
													{	/* Object/nil.scm 67 */
														obj_t BgL_list2400z00_522;

														{	/* Object/nil.scm 67 */
															obj_t BgL_arg2401z00_523;

															BgL_arg2401z00_523 =
																MAKE_PAIR(BgL_arg2399z00_521, BNIL);
															BgL_list2400z00_522 =
																MAKE_PAIR(BgL_arg2398z00_520,
																BgL_arg2401z00_523);
														}
														return BgL_list2400z00_522;
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			else
				{	/* Object/nil.scm 57 */
					return BFALSE;
				}
		}
	}



/* _gen-plain-class-nil */
	obj_t BGl__genzd2plainzd2classzd2nilzd2zzobject_nilz00(obj_t BgL_envz00_1122,
		obj_t BgL_classz00_1123, obj_t BgL_srczd2defzd2_1124,
		obj_t BgL_importz00_1125)
	{
		AN_OBJECT;
		{	/* Object/nil.scm 56 */
			return
				BGl_genzd2plainzd2classzd2nilzd2zzobject_nilz00(
				(BgL_tclassz00_bglt) (BgL_classz00_1123), BgL_srczd2defzd2_1124,
				BgL_importz00_1125);
		}
	}



/* gen-wide-class-nil */
	BGL_EXPORTED_DEF obj_t
		BGl_genzd2widezd2classzd2nilzd2zzobject_nilz00(BgL_tclassz00_bglt
		BgL_classz00_7, obj_t BgL_srczd2defzd2_8, obj_t BgL_importz00_9)
	{
		AN_OBJECT;
		{	/* Object/nil.scm 81 */
			if (CBOOL(BGl_za2classzd2nilzf3za2z21zzengine_paramz00))
				{	/* Object/nil.scm 84 */
					obj_t BgL_idz00_575;

					{	/* Object/nil.scm 84 */
						BgL_typez00_bglt BgL_obj1272z00_1012;

						BgL_obj1272z00_1012 = (BgL_typez00_bglt) (BgL_classz00_7);
						BgL_idz00_575 =
							(((BgL_typez00_bglt) CREF(BgL_obj1272z00_1012))->BgL_idz00);
					}
					{	/* Object/nil.scm 84 */
						obj_t BgL_superzd2idzd2_576;

						{	/* Object/nil.scm 85 */
							BgL_typez00_bglt BgL_obj1272z00_1014;

							{	/* Object/nil.scm 85 */
								obj_t BgL_auxz00_1255;

								{
									obj_t BgL_auxz00_1256;

									{	/* Object/nil.scm 85 */
										BgL_objectz00_bglt BgL_auxz00_1257;

										BgL_auxz00_1257 = (BgL_objectz00_bglt) (BgL_classz00_7);
										BgL_auxz00_1256 = BGL_OBJECT_WIDENING(BgL_auxz00_1257);
									}
									BgL_auxz00_1255 =
										(((BgL_tclassz00_bglt) CREF(BgL_auxz00_1256))->
										BgL_itszd2superzd2);
								}
								BgL_obj1272z00_1014 = (BgL_typez00_bglt) (BgL_auxz00_1255);
							}
							BgL_superzd2idzd2_576 =
								(((BgL_typez00_bglt) CREF(BgL_obj1272z00_1014))->BgL_idz00);
						}
						{	/* Object/nil.scm 85 */
							obj_t BgL_superzd2slotszd2_577;

							{	/* Object/nil.scm 86 */
								BgL_tclassz00_bglt BgL_obj2038z00_1016;

								{	/* Object/nil.scm 86 */
									obj_t BgL_auxz00_1263;

									{
										obj_t BgL_auxz00_1264;

										{	/* Object/nil.scm 86 */
											BgL_objectz00_bglt BgL_auxz00_1265;

											BgL_auxz00_1265 = (BgL_objectz00_bglt) (BgL_classz00_7);
											BgL_auxz00_1264 = BGL_OBJECT_WIDENING(BgL_auxz00_1265);
										}
										BgL_auxz00_1263 =
											(((BgL_tclassz00_bglt) CREF(BgL_auxz00_1264))->
											BgL_itszd2superzd2);
									}
									BgL_obj2038z00_1016 = (BgL_tclassz00_bglt) (BgL_auxz00_1263);
								}
								{
									obj_t BgL_auxz00_1270;

									{	/* Object/nil.scm 86 */
										BgL_objectz00_bglt BgL_auxz00_1271;

										BgL_auxz00_1271 =
											(BgL_objectz00_bglt) (BgL_obj2038z00_1016);
										BgL_auxz00_1270 = BGL_OBJECT_WIDENING(BgL_auxz00_1271);
									}
									BgL_superzd2slotszd2_577 =
										(((BgL_tclassz00_bglt) CREF(BgL_auxz00_1270))->
										BgL_slotsz00);
								}
							}
							{	/* Object/nil.scm 86 */
								obj_t BgL_idzd2nilzd2_578;

								{	/* Object/nil.scm 87 */
									obj_t BgL_list2558z00_680;

									{	/* Object/nil.scm 87 */
										obj_t BgL_arg2559z00_681;

										BgL_arg2559z00_681 =
											MAKE_PAIR(CNST_TABLE_REF(((long) 0)), BNIL);
										BgL_list2558z00_680 =
											MAKE_PAIR(BgL_idz00_575, BgL_arg2559z00_681);
									}
									BgL_idzd2nilzd2_578 =
										BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
										(BgL_list2558z00_680);
								}
								{	/* Object/nil.scm 87 */
									obj_t BgL_tidzd2nilzd2_579;

									BgL_tidzd2nilzd2_579 =
										BGl_makezd2typedzd2identz00zzast_identz00
										(BgL_idzd2nilzd2_578, BgL_idz00_575);
									{	/* Object/nil.scm 88 */
										obj_t BgL_thezd2idzd2nilz00_580;

										{	/* Object/nil.scm 89 */
											obj_t BgL_list2555z00_677;

											{	/* Object/nil.scm 89 */
												obj_t BgL_arg2556z00_678;
												obj_t BgL_arg2557z00_679;

												BgL_arg2556z00_678 = CNST_TABLE_REF(((long) 1));
												BgL_arg2557z00_679 =
													MAKE_PAIR(BgL_idzd2nilzd2_578, BNIL);
												BgL_list2555z00_677 =
													MAKE_PAIR(BgL_arg2556z00_678, BgL_arg2557z00_679);
											}
											BgL_thezd2idzd2nilz00_580 =
												BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
												(BgL_list2555z00_677);
										}
										{	/* Object/nil.scm 89 */
											obj_t BgL_thezd2tidzd2nilz00_581;

											BgL_thezd2tidzd2nilz00_581 =
												BGl_makezd2typedzd2identz00zzast_identz00
												(BgL_thezd2idzd2nilz00_580, CNST_TABLE_REF(((long) 2)));
											{	/* Object/nil.scm 90 */
												obj_t BgL_wideningz00_582;

												{	/* Object/nil.scm 91 */
													obj_t BgL_arg2550z00_672;
													obj_t BgL_arg2551z00_673;

													{
														obj_t BgL_auxz00_1286;

														{	/* Object/nil.scm 91 */
															BgL_objectz00_bglt BgL_auxz00_1287;

															BgL_auxz00_1287 =
																(BgL_objectz00_bglt) (BgL_classz00_7);
															BgL_auxz00_1286 =
																BGL_OBJECT_WIDENING(BgL_auxz00_1287);
														}
														BgL_arg2550z00_672 =
															(((BgL_tclassz00_bglt) CREF(BgL_auxz00_1286))->
															BgL_wideningz00);
													}
													BgL_arg2551z00_673 = CNST_TABLE_REF(((long) 10));
													{	/* Object/nil.scm 91 */
														obj_t BgL_list2552z00_674;

														{	/* Object/nil.scm 91 */
															obj_t BgL_arg2553z00_675;

															{	/* Object/nil.scm 91 */
																obj_t BgL_arg2554z00_676;

																BgL_arg2554z00_676 =
																	MAKE_PAIR(BgL_idz00_575, BNIL);
																BgL_arg2553z00_675 =
																	MAKE_PAIR(BgL_arg2551z00_673,
																	BgL_arg2554z00_676);
															}
															BgL_list2552z00_674 =
																MAKE_PAIR(BgL_arg2550z00_672,
																BgL_arg2553z00_675);
														}
														BgL_wideningz00_582 =
															BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
															(BgL_list2552z00_674);
												}}
												{	/* Object/nil.scm 91 */
													obj_t BgL_superzd2alloczd2_583;

													{	/* Object/nil.scm 92 */
														obj_t BgL_list2547z00_669;

														{	/* Object/nil.scm 92 */
															obj_t BgL_arg2548z00_670;
															obj_t BgL_arg2549z00_671;

															BgL_arg2548z00_670 = CNST_TABLE_REF(((long) 3));
															BgL_arg2549z00_671 =
																MAKE_PAIR(BgL_superzd2idzd2_576, BNIL);
															BgL_list2547z00_669 =
																MAKE_PAIR(BgL_arg2548z00_670,
																BgL_arg2549z00_671);
														}
														BgL_superzd2alloczd2_583 =
															BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
															(BgL_list2547z00_669);
													}
													{	/* Object/nil.scm 92 */
														obj_t BgL_superzd2fillzd2_584;

														{	/* Object/nil.scm 93 */
															obj_t BgL_list2542z00_665;

															{	/* Object/nil.scm 93 */
																obj_t BgL_arg2543z00_666;
																obj_t BgL_arg2545z00_667;

																BgL_arg2543z00_666 = CNST_TABLE_REF(((long) 4));
																{	/* Object/nil.scm 93 */
																	obj_t BgL_arg2546z00_668;

																	BgL_arg2546z00_668 =
																		MAKE_PAIR(CNST_TABLE_REF(((long) 5)), BNIL);
																	BgL_arg2545z00_667 =
																		MAKE_PAIR(BgL_superzd2idzd2_576,
																		BgL_arg2546z00_668);
																}
																BgL_list2542z00_665 =
																	MAKE_PAIR(BgL_arg2543z00_666,
																	BgL_arg2545z00_667);
															}
															BgL_superzd2fillzd2_584 =
																BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
																(BgL_list2542z00_665);
														}
														{	/* Object/nil.scm 93 */

															{	/* Object/nil.scm 94 */
																obj_t BgL_arg2455z00_585;

																{	/* Object/nil.scm 94 */
																	obj_t BgL_arg2456z00_586;

																	{	/* Object/nil.scm 94 */
																		obj_t BgL_arg2458z00_587;

																		BgL_arg2458z00_587 =
																			MAKE_PAIR(BgL_tidzd2nilzd2_579, BNIL);
																		{	/* Object/nil.scm 94 */
																			obj_t BgL_list2460z00_589;

																			BgL_list2460z00_589 =
																				MAKE_PAIR(BNIL, BNIL);
																			BgL_arg2456z00_586 =
																				BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																				(BgL_arg2458z00_587,
																				BgL_list2460z00_589);
																	}}
																	BgL_arg2455z00_585 =
																		MAKE_PAIR(BgL_importz00_9,
																		BgL_arg2456z00_586);
																}
																BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
																	(BgL_arg2455z00_585);
															}
															{	/* Object/nil.scm 96 */
																obj_t BgL_arg2461z00_590;
																obj_t BgL_arg2462z00_591;

																{	/* Object/nil.scm 96 */
																	obj_t BgL_arg2465z00_594;
																	obj_t BgL_arg2466z00_595;

																	BgL_arg2465z00_594 =
																		CNST_TABLE_REF(((long) 6));
																	{	/* Object/nil.scm 96 */
																		obj_t BgL_list2467z00_596;

																		{	/* Object/nil.scm 96 */
																			obj_t BgL_arg2468z00_597;

																			BgL_arg2468z00_597 =
																				MAKE_PAIR(BNIL, BNIL);
																			BgL_list2467z00_596 =
																				MAKE_PAIR(BUNSPEC, BgL_arg2468z00_597);
																		}
																		BgL_arg2466z00_595 =
																			BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																			(BgL_thezd2tidzd2nilz00_581,
																			BgL_list2467z00_596);
																	}
																	BgL_arg2461z00_590 =
																		MAKE_PAIR(BgL_arg2465z00_594,
																		BgL_arg2466z00_595);
																}
																{	/* Object/nil.scm 97 */
																	obj_t BgL_arg2469z00_598;

																	{	/* Object/nil.scm 97 */
																		obj_t BgL_arg2470z00_599;
																		obj_t BgL_arg2471z00_600;

																		BgL_arg2470z00_599 =
																			CNST_TABLE_REF(((long) 6));
																		{	/* Object/nil.scm 97 */
																			obj_t BgL_arg2472z00_601;
																			obj_t BgL_arg2473z00_602;

																			BgL_arg2472z00_601 =
																				MAKE_PAIR(BgL_tidzd2nilzd2_579, BNIL);
																			{	/* Object/nil.scm 98 */
																				obj_t BgL_arg2480z00_607;
																				obj_t BgL_arg2481z00_608;

																				BgL_arg2480z00_607 =
																					CNST_TABLE_REF(((long) 7));
																				{	/* Object/nil.scm 98 */
																					obj_t BgL_arg2482z00_609;
																					obj_t BgL_arg2483z00_610;
																					obj_t BgL_arg2484z00_611;
																					obj_t BgL_arg2485z00_612;
																					obj_t BgL_arg2486z00_613;

																					{	/* Object/nil.scm 98 */
																						obj_t BgL_arg2494z00_620;
																						obj_t BgL_arg2495z00_621;

																						BgL_arg2494z00_620 =
																							CNST_TABLE_REF(((long) 8));
																						{	/* Object/nil.scm 98 */
																							obj_t BgL_list2496z00_622;

																							{	/* Object/nil.scm 98 */
																								obj_t BgL_arg2497z00_623;

																								BgL_arg2497z00_623 =
																									MAKE_PAIR(BNIL, BNIL);
																								BgL_list2496z00_622 =
																									MAKE_PAIR(BUNSPEC,
																									BgL_arg2497z00_623);
																							}
																							BgL_arg2495z00_621 =
																								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																								(BgL_thezd2idzd2nilz00_580,
																								BgL_list2496z00_622);
																						}
																						BgL_arg2482z00_609 =
																							MAKE_PAIR(BgL_arg2494z00_620,
																							BgL_arg2495z00_621);
																					}
																					{	/* Object/nil.scm 100 */
																						obj_t BgL_arg2498z00_624;
																						obj_t BgL_arg2500z00_625;

																						BgL_arg2498z00_624 =
																							CNST_TABLE_REF(((long) 9));
																						{	/* Object/nil.scm 100 */
																							obj_t BgL_arg2501z00_626;

																							BgL_arg2501z00_626 =
																								MAKE_PAIR
																								(BgL_superzd2alloczd2_583,
																								BNIL);
																							{	/* Object/nil.scm 100 */
																								obj_t BgL_list2503z00_628;

																								{	/* Object/nil.scm 100 */
																									obj_t BgL_arg2504z00_629;

																									BgL_arg2504z00_629 =
																										MAKE_PAIR(BNIL, BNIL);
																									BgL_list2503z00_628 =
																										MAKE_PAIR
																										(BgL_arg2501z00_626,
																										BgL_arg2504z00_629);
																								}
																								BgL_arg2500z00_625 =
																									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																									(BgL_thezd2idzd2nilz00_580,
																									BgL_list2503z00_628);
																						}}
																						BgL_arg2483z00_610 =
																							MAKE_PAIR(BgL_arg2498z00_624,
																							BgL_arg2500z00_625);
																					}
																					{	/* Object/nil.scm 103 */
																						obj_t BgL_arg2505z00_630;

																						{	/* Object/nil.scm 103 */
																							obj_t BgL_arg2506z00_631;

																							BgL_arg2506z00_631 =
																								BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																								(BGl_fillzd2nilzd2zzobject_nilz00
																								(BgL_superzd2slotszd2_577),
																								BNIL);
																							{	/* Object/nil.scm 102 */
																								obj_t BgL_list2507z00_632;

																								BgL_list2507z00_632 =
																									MAKE_PAIR(BgL_arg2506z00_631,
																									BNIL);
																								BgL_arg2505z00_630 =
																									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																									(BgL_thezd2idzd2nilz00_580,
																									BgL_list2507z00_632);
																						}}
																						BgL_arg2484z00_611 =
																							MAKE_PAIR(BgL_superzd2fillzd2_584,
																							BgL_arg2505z00_630);
																					}
																					{	/* Object/nil.scm 105 */
																						obj_t BgL_arg2510z00_635;
																						obj_t BgL_arg2511z00_636;

																						BgL_arg2510z00_635 =
																							CNST_TABLE_REF(((long) 11));
																						{	/* Object/nil.scm 107 */
																							obj_t BgL_arg2512z00_637;

																							{	/* Object/nil.scm 107 */
																								obj_t BgL_arg2516z00_641;
																								obj_t BgL_arg2517z00_642;

																								BgL_arg2516z00_641 =
																									CNST_TABLE_REF(((long) 12));
																								{	/* Object/nil.scm 107 */
																									obj_t BgL_arg2518z00_643;

																									{	/* Object/nil.scm 107 */
																										obj_t BgL_arg2521z00_646;
																										obj_t BgL_arg2522z00_647;

																										BgL_arg2521z00_646 =
																											CNST_TABLE_REF(((long)
																												13));
																										{	/* Object/nil.scm 107 */
																											obj_t BgL_arg2523z00_648;
																											obj_t BgL_arg2524z00_649;

																											{	/* Object/nil.scm 107 */
																												BgL_variablez00_bglt
																													BgL_obj1506z00_1019;
																												{	/* Object/nil.scm 107 */
																													BgL_globalz00_bglt
																														BgL_auxz00_1338;
																													{
																														obj_t
																															BgL_auxz00_1339;
																														{	/* Object/nil.scm 107 */
																															BgL_objectz00_bglt
																																BgL_auxz00_1340;
																															BgL_auxz00_1340 =
																																(BgL_objectz00_bglt)
																																(BgL_classz00_7);
																															BgL_auxz00_1339 =
																																BGL_OBJECT_WIDENING
																																(BgL_auxz00_1340);
																														}
																														BgL_auxz00_1338 =
																															(((BgL_tclassz00_bglt) CREF(BgL_auxz00_1339))->BgL_holderz00);
																													}
																													BgL_obj1506z00_1019 =
																														(BgL_variablez00_bglt)
																														(BgL_auxz00_1338);
																												}
																												BgL_arg2523z00_648 =
																													(((BgL_variablez00_bglt) CREF(BgL_obj1506z00_1019))->BgL_idz00);
																											}
																											{	/* Object/nil.scm 108 */
																												BgL_globalz00_bglt
																													BgL_obj1578z00_1021;
																												{
																													obj_t BgL_auxz00_1346;

																													{	/* Object/nil.scm 108 */
																														BgL_objectz00_bglt
																															BgL_auxz00_1347;
																														BgL_auxz00_1347 =
																															(BgL_objectz00_bglt)
																															(BgL_classz00_7);
																														BgL_auxz00_1346 =
																															BGL_OBJECT_WIDENING
																															(BgL_auxz00_1347);
																													}
																													BgL_obj1578z00_1021 =
																														(((BgL_tclassz00_bglt) CREF(BgL_auxz00_1346))->BgL_holderz00);
																												}
																												BgL_arg2524z00_649 =
																													(((BgL_globalz00_bglt)
																														CREF
																														(BgL_obj1578z00_1021))->
																													BgL_modulez00);
																											}
																											{	/* Object/nil.scm 107 */
																												obj_t
																													BgL_list2526z00_651;
																												{	/* Object/nil.scm 107 */
																													obj_t
																														BgL_arg2527z00_652;
																													BgL_arg2527z00_652 =
																														MAKE_PAIR(BNIL,
																														BNIL);
																													BgL_list2526z00_651 =
																														MAKE_PAIR
																														(BgL_arg2524z00_649,
																														BgL_arg2527z00_652);
																												}
																												BgL_arg2522z00_647 =
																													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																													(BgL_arg2523z00_648,
																													BgL_list2526z00_651);
																										}}
																										BgL_arg2518z00_643 =
																											MAKE_PAIR
																											(BgL_arg2521z00_646,
																											BgL_arg2522z00_647);
																									}
																									{	/* Object/nil.scm 107 */
																										obj_t BgL_list2520z00_645;

																										BgL_list2520z00_645 =
																											MAKE_PAIR(BNIL, BNIL);
																										BgL_arg2517z00_642 =
																											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																											(BgL_arg2518z00_643,
																											BgL_list2520z00_645);
																								}}
																								BgL_arg2512z00_637 =
																									MAKE_PAIR(BgL_arg2516z00_641,
																									BgL_arg2517z00_642);
																							}
																							{	/* Object/nil.scm 105 */
																								obj_t BgL_list2514z00_639;

																								{	/* Object/nil.scm 105 */
																									obj_t BgL_arg2515z00_640;

																									BgL_arg2515z00_640 =
																										MAKE_PAIR(BNIL, BNIL);
																									BgL_list2514z00_639 =
																										MAKE_PAIR
																										(BgL_arg2512z00_637,
																										BgL_arg2515z00_640);
																								}
																								BgL_arg2511z00_636 =
																									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																									(BgL_thezd2idzd2nilz00_580,
																									BgL_list2514z00_639);
																						}}
																						BgL_arg2485z00_612 =
																							MAKE_PAIR(BgL_arg2510z00_635,
																							BgL_arg2511z00_636);
																					}
																					{	/* Object/nil.scm 110 */
																						obj_t BgL_arg2531z00_655;
																						obj_t BgL_arg2532z00_656;

																						BgL_arg2531z00_655 =
																							CNST_TABLE_REF(((long) 14));
																						{	/* Object/nil.scm 112 */
																							obj_t BgL_arg2533z00_657;

																							{	/* Object/nil.scm 112 */
																								obj_t BgL_arg2538z00_661;

																								{	/* Object/nil.scm 112 */
																									obj_t BgL_arg2539z00_662;

																									{	/* Object/nil.scm 112 */
																										obj_t BgL_arg2541z00_664;

																										{
																											obj_t BgL_auxz00_1364;

																											{	/* Object/nil.scm 112 */
																												BgL_objectz00_bglt
																													BgL_auxz00_1365;
																												BgL_auxz00_1365 =
																													(BgL_objectz00_bglt)
																													(BgL_classz00_7);
																												BgL_auxz00_1364 =
																													BGL_OBJECT_WIDENING
																													(BgL_auxz00_1365);
																											}
																											BgL_arg2541z00_664 =
																												(((BgL_tclassz00_bglt)
																													CREF
																													(BgL_auxz00_1364))->
																												BgL_slotsz00);
																										}
																										BgL_arg2539z00_662 =
																											BGl_fillzd2nilzd2zzobject_nilz00
																											(BgL_arg2541z00_664);
																									}
																									BgL_arg2538z00_661 =
																										BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																										(BgL_arg2539z00_662, BNIL);
																								}
																								BgL_arg2533z00_657 =
																									MAKE_PAIR(BgL_wideningz00_582,
																									BgL_arg2538z00_661);
																							}
																							{	/* Object/nil.scm 110 */
																								obj_t BgL_list2536z00_659;

																								{	/* Object/nil.scm 110 */
																									obj_t BgL_arg2537z00_660;

																									BgL_arg2537z00_660 =
																										MAKE_PAIR(BNIL, BNIL);
																									BgL_list2536z00_659 =
																										MAKE_PAIR
																										(BgL_arg2533z00_657,
																										BgL_arg2537z00_660);
																								}
																								BgL_arg2532z00_656 =
																									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																									(BgL_thezd2idzd2nilz00_580,
																									BgL_list2536z00_659);
																						}}
																						BgL_arg2486z00_613 =
																							MAKE_PAIR(BgL_arg2531z00_655,
																							BgL_arg2532z00_656);
																					}
																					{	/* Object/nil.scm 98 */
																						obj_t BgL_list2488z00_615;

																						{	/* Object/nil.scm 98 */
																							obj_t BgL_arg2489z00_616;

																							{	/* Object/nil.scm 98 */
																								obj_t BgL_arg2490z00_617;

																								{	/* Object/nil.scm 98 */
																									obj_t BgL_arg2491z00_618;

																									{	/* Object/nil.scm 98 */
																										obj_t BgL_arg2493z00_619;

																										BgL_arg2493z00_619 =
																											MAKE_PAIR(BNIL, BNIL);
																										BgL_arg2491z00_618 =
																											MAKE_PAIR
																											(BgL_arg2486z00_613,
																											BgL_arg2493z00_619);
																									}
																									BgL_arg2490z00_617 =
																										MAKE_PAIR
																										(BgL_arg2485z00_612,
																										BgL_arg2491z00_618);
																								}
																								BgL_arg2489z00_616 =
																									MAKE_PAIR(BgL_arg2484z00_611,
																									BgL_arg2490z00_617);
																							}
																							BgL_list2488z00_615 =
																								MAKE_PAIR(BgL_arg2483z00_610,
																								BgL_arg2489z00_616);
																						}
																						BgL_arg2481z00_608 =
																							BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																							(BgL_arg2482z00_609,
																							BgL_list2488z00_615);
																				}}
																				BgL_arg2473z00_602 =
																					MAKE_PAIR(BgL_arg2480z00_607,
																					BgL_arg2481z00_608);
																			}
																			{	/* Object/nil.scm 97 */
																				obj_t BgL_list2476z00_604;

																				{	/* Object/nil.scm 97 */
																					obj_t BgL_arg2477z00_605;

																					{	/* Object/nil.scm 97 */
																						obj_t BgL_arg2478z00_606;

																						BgL_arg2478z00_606 =
																							MAKE_PAIR(BNIL, BNIL);
																						BgL_arg2477z00_605 =
																							MAKE_PAIR
																							(BgL_thezd2idzd2nilz00_580,
																							BgL_arg2478z00_606);
																					}
																					BgL_list2476z00_604 =
																						MAKE_PAIR(BgL_arg2473z00_602,
																						BgL_arg2477z00_605);
																				}
																				BgL_arg2471z00_600 =
																					BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																					(BgL_arg2472z00_601,
																					BgL_list2476z00_604);
																		}}
																		BgL_arg2469z00_598 =
																			MAKE_PAIR(BgL_arg2470z00_599,
																			BgL_arg2471z00_600);
																	}
																	BgL_arg2462z00_591 =
																		BGl_epairifyz00zztools_miscz00
																		(BgL_arg2469z00_598, BgL_srczd2defzd2_8);
																}
																{	/* Object/nil.scm 95 */
																	obj_t BgL_list2463z00_592;

																	{	/* Object/nil.scm 95 */
																		obj_t BgL_arg2464z00_593;

																		BgL_arg2464z00_593 =
																			MAKE_PAIR(BgL_arg2462z00_591, BNIL);
																		BgL_list2463z00_592 =
																			MAKE_PAIR(BgL_arg2461z00_590,
																			BgL_arg2464z00_593);
																	}
																	return BgL_list2463z00_592;
																}
															}
														}
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			else
				{	/* Object/nil.scm 82 */
					return BFALSE;
				}
		}
	}



/* _gen-wide-class-nil */
	obj_t BGl__genzd2widezd2classzd2nilzd2zzobject_nilz00(obj_t BgL_envz00_1126,
		obj_t BgL_classz00_1127, obj_t BgL_srczd2defzd2_1128,
		obj_t BgL_importz00_1129)
	{
		AN_OBJECT;
		{	/* Object/nil.scm 81 */
			return
				BGl_genzd2widezd2classzd2nilzd2zzobject_nilz00(
				(BgL_tclassz00_bglt) (BgL_classz00_1127), BgL_srczd2defzd2_1128,
				BgL_importz00_1129);
		}
	}



/* fill-nil */
	obj_t BGl_fillzd2nilzd2zzobject_nilz00(obj_t BgL_slotsz00_10)
	{
		AN_OBJECT;
		{	/* Object/nil.scm 119 */
			{
				obj_t BgL_slotsz00_685;
				obj_t BgL_initsz00_686;

				BgL_slotsz00_685 = BgL_slotsz00_10;
				BgL_initsz00_686 = BNIL;
			BgL_loopz00_687:
				if (NULLP(BgL_slotsz00_685))
					{	/* Object/nil.scm 122 */
						return bgl_reverse_bang(BgL_initsz00_686);
					}
				else
					{	/* Object/nil.scm 124 */
						obj_t BgL_slotz00_689;

						BgL_slotz00_689 = CAR(BgL_slotsz00_685);
						{	/* Object/nil.scm 126 */
							bool_t BgL_testz00_1397;

							{	/* Object/nil.scm 126 */
								BgL_slotz00_bglt BgL_obj2252z00_1027;

								BgL_obj2252z00_1027 = (BgL_slotz00_bglt) (BgL_slotz00_689);
								BgL_testz00_1397 =
									CBOOL(
									(((BgL_slotz00_bglt) CREF(BgL_obj2252z00_1027))->
										BgL_indexedz00));
							}
							if (BgL_testz00_1397)
								{	/* Object/nil.scm 127 */
									obj_t BgL_arg2565z00_691;
									obj_t BgL_arg2566z00_692;

									BgL_arg2565z00_691 = CDR(BgL_slotsz00_685);
									BgL_arg2566z00_692 =
										MAKE_PAIR(BGl_slotzd2getzd2nilz00zzobject_nilz00
										(BgL_slotz00_689), BgL_initsz00_686);
									{
										obj_t BgL_initsz00_1405;
										obj_t BgL_slotsz00_1404;

										BgL_slotsz00_1404 = BgL_arg2565z00_691;
										BgL_initsz00_1405 = BgL_arg2566z00_692;
										BgL_initsz00_686 = BgL_initsz00_1405;
										BgL_slotsz00_685 = BgL_slotsz00_1404;
										goto BgL_loopz00_687;
									}
								}
							else
								{	/* Object/nil.scm 126 */
									if (BGl_slotzd2virtualzf3z21zzobject_slotsz00(
											(BgL_slotz00_bglt) (BgL_slotz00_689)))
										{
											obj_t BgL_slotsz00_1409;

											BgL_slotsz00_1409 = CDR(BgL_slotsz00_685);
											BgL_slotsz00_685 = BgL_slotsz00_1409;
											goto BgL_loopz00_687;
										}
									else
										{	/* Object/nil.scm 132 */
											obj_t BgL_arg2571z00_696;
											obj_t BgL_arg2572z00_697;

											BgL_arg2571z00_696 = CDR(BgL_slotsz00_685);
											BgL_arg2572z00_697 =
												MAKE_PAIR(BGl_slotzd2getzd2nilz00zzobject_nilz00
												(BgL_slotz00_689), BgL_initsz00_686);
											{
												obj_t BgL_initsz00_1415;
												obj_t BgL_slotsz00_1414;

												BgL_slotsz00_1414 = BgL_arg2571z00_696;
												BgL_initsz00_1415 = BgL_arg2572z00_697;
												BgL_initsz00_686 = BgL_initsz00_1415;
												BgL_slotsz00_685 = BgL_slotsz00_1414;
												goto BgL_loopz00_687;
											}
										}
								}
						}
					}
			}
		}
	}



/* slot-get-nil */
	obj_t BGl_slotzd2getzd2nilz00zzobject_nilz00(obj_t BgL_slotz00_11)
	{
		AN_OBJECT;
		{	/* Object/nil.scm 138 */
			{	/* Object/nil.scm 141 */
				bool_t BgL_testz00_1416;

				{	/* Object/nil.scm 141 */
					obj_t BgL_arg2617z00_740;

					{	/* Object/nil.scm 141 */
						BgL_slotz00_bglt BgL_obj2240z00_1031;

						BgL_obj2240z00_1031 = (BgL_slotz00_bglt) (BgL_slotz00_11);
						BgL_arg2617z00_740 =
							(((BgL_slotz00_bglt) CREF(BgL_obj2240z00_1031))->BgL_typez00);
					}
					BgL_testz00_1416 =
						BGl_iszd2azf3z21zz__objectz00(BgL_arg2617z00_740,
						BGl_tclassz00zzobject_classz00);
				}
				if (BgL_testz00_1416)
					{	/* Object/nil.scm 142 */
						obj_t BgL_arg2575z00_701;

						{	/* Object/nil.scm 142 */
							obj_t BgL_arg2577z00_703;
							obj_t BgL_arg2578z00_704;

							{	/* Object/nil.scm 142 */
								BgL_typez00_bglt BgL_obj1272z00_1034;

								{	/* Object/nil.scm 142 */
									BgL_slotz00_bglt BgL_obj2240z00_1033;

									BgL_obj2240z00_1033 = (BgL_slotz00_bglt) (BgL_slotz00_11);
									{	/* Object/nil.scm 142 */
										obj_t BgL_auxz00_1421;

										BgL_auxz00_1421 =
											(((BgL_slotz00_bglt) CREF(BgL_obj2240z00_1033))->
											BgL_typez00);
										BgL_obj1272z00_1034 = (BgL_typez00_bglt) (BgL_auxz00_1421);
									}
								}
								BgL_arg2577z00_703 =
									(((BgL_typez00_bglt) CREF(BgL_obj1272z00_1034))->BgL_idz00);
							}
							BgL_arg2578z00_704 = CNST_TABLE_REF(((long) 0));
							{	/* Object/nil.scm 142 */
								obj_t BgL_list2579z00_705;

								{	/* Object/nil.scm 142 */
									obj_t BgL_arg2580z00_706;

									BgL_arg2580z00_706 = MAKE_PAIR(BgL_arg2578z00_704, BNIL);
									BgL_list2579z00_705 =
										MAKE_PAIR(BgL_arg2577z00_703, BgL_arg2580z00_706);
								}
								BgL_arg2575z00_701 =
									BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
									(BgL_list2579z00_705);
						}}
						return MAKE_PAIR(BgL_arg2575z00_701, BNIL);
					}
				else
					{	/* Object/nil.scm 143 */
						bool_t BgL_testz00_1430;

						{	/* Object/nil.scm 143 */
							obj_t BgL_arg2616z00_739;

							{	/* Object/nil.scm 143 */
								BgL_slotz00_bglt BgL_obj2240z00_1035;

								BgL_obj2240z00_1035 = (BgL_slotz00_bglt) (BgL_slotz00_11);
								BgL_arg2616z00_739 =
									(((BgL_slotz00_bglt) CREF(BgL_obj2240z00_1035))->BgL_typez00);
							}
							BgL_testz00_1430 =
								BGl_iszd2azf3z21zz__objectz00(BgL_arg2616z00_739,
								BGl_tvecz00zztvector_tvectorz00);
						}
						if (BgL_testz00_1430)
							{	/* Object/nil.scm 144 */
								obj_t BgL_arg2584z00_709;
								obj_t BgL_arg2585z00_710;

								BgL_arg2584z00_709 = CNST_TABLE_REF(((long) 15));
								{	/* Object/nil.scm 144 */
									obj_t BgL_arg2586z00_711;
									obj_t BgL_arg2587z00_712;

									{	/* Object/nil.scm 144 */
										obj_t BgL_arg2591z00_716;
										obj_t BgL_arg2592z00_717;

										BgL_arg2591z00_716 = CNST_TABLE_REF(((long) 16));
										{	/* Object/nil.scm 144 */
											obj_t BgL_arg2593z00_718;

											{	/* Object/nil.scm 144 */
												BgL_typez00_bglt BgL_obj1272z00_1038;

												{	/* Object/nil.scm 144 */
													BgL_slotz00_bglt BgL_obj2240z00_1037;

													BgL_obj2240z00_1037 =
														(BgL_slotz00_bglt) (BgL_slotz00_11);
													{	/* Object/nil.scm 144 */
														obj_t BgL_auxz00_1437;

														BgL_auxz00_1437 =
															(((BgL_slotz00_bglt) CREF(BgL_obj2240z00_1037))->
															BgL_typez00);
														BgL_obj1272z00_1038 =
															(BgL_typez00_bglt) (BgL_auxz00_1437);
												}}
												BgL_arg2593z00_718 =
													(((BgL_typez00_bglt) CREF(BgL_obj1272z00_1038))->
													BgL_idz00);
											}
											{	/* Object/nil.scm 144 */
												obj_t BgL_list2595z00_720;

												BgL_list2595z00_720 = MAKE_PAIR(BNIL, BNIL);
												BgL_arg2592z00_717 =
													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
													(BgL_arg2593z00_718, BgL_list2595z00_720);
										}}
										BgL_arg2586z00_711 =
											MAKE_PAIR(BgL_arg2591z00_716, BgL_arg2592z00_717);
									}
									{	/* Object/nil.scm 144 */
										obj_t BgL_arg2598z00_722;
										obj_t BgL_arg2599z00_723;

										BgL_arg2598z00_722 = CNST_TABLE_REF(((long) 16));
										{	/* Object/nil.scm 144 */
											obj_t BgL_list2600z00_724;

											BgL_list2600z00_724 = MAKE_PAIR(BNIL, BNIL);
											BgL_arg2599z00_723 =
												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BNIL,
												BgL_list2600z00_724);
										}
										BgL_arg2587z00_712 =
											MAKE_PAIR(BgL_arg2598z00_722, BgL_arg2599z00_723);
									}
									{	/* Object/nil.scm 144 */
										obj_t BgL_list2589z00_714;

										{	/* Object/nil.scm 144 */
											obj_t BgL_arg2590z00_715;

											BgL_arg2590z00_715 = MAKE_PAIR(BNIL, BNIL);
											BgL_list2589z00_714 =
												MAKE_PAIR(BgL_arg2587z00_712, BgL_arg2590z00_715);
										}
										BgL_arg2585z00_710 =
											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
											(BgL_arg2586z00_711, BgL_list2589z00_714);
								}}
								return MAKE_PAIR(BgL_arg2584z00_709, BgL_arg2585z00_710);
							}
						else
							{	/* Object/nil.scm 145 */
								bool_t BgL_testz00_1452;

								{	/* Object/nil.scm 145 */
									obj_t BgL_arg2615z00_738;

									{	/* Object/nil.scm 145 */
										BgL_slotz00_bglt BgL_obj2240z00_1039;

										BgL_obj2240z00_1039 = (BgL_slotz00_bglt) (BgL_slotz00_11);
										BgL_arg2615z00_738 =
											(((BgL_slotz00_bglt) CREF(BgL_obj2240z00_1039))->
											BgL_typez00);
									}
									BgL_testz00_1452 =
										BGl_iszd2azf3z21zz__objectz00(BgL_arg2615z00_738,
										BGl_jarrayz00zzforeign_jtypez00);
								}
								if (BgL_testz00_1452)
									{	/* Object/nil.scm 146 */
										obj_t BgL_arg2602z00_726;
										obj_t BgL_arg2603z00_727;

										{	/* Object/nil.scm 146 */
											obj_t BgL_arg2604z00_728;
											obj_t BgL_arg2605z00_729;

											BgL_arg2604z00_728 = CNST_TABLE_REF(((long) 17));
											{	/* Object/nil.scm 146 */
												BgL_typez00_bglt BgL_obj1272z00_1042;

												{	/* Object/nil.scm 146 */
													BgL_slotz00_bglt BgL_obj2240z00_1041;

													BgL_obj2240z00_1041 =
														(BgL_slotz00_bglt) (BgL_slotz00_11);
													{	/* Object/nil.scm 146 */
														obj_t BgL_auxz00_1458;

														BgL_auxz00_1458 =
															(((BgL_slotz00_bglt) CREF(BgL_obj2240z00_1041))->
															BgL_typez00);
														BgL_obj1272z00_1042 =
															(BgL_typez00_bglt) (BgL_auxz00_1458);
												}}
												BgL_arg2605z00_729 =
													(((BgL_typez00_bglt) CREF(BgL_obj1272z00_1042))->
													BgL_idz00);
											}
											{	/* Object/nil.scm 146 */
												obj_t BgL_list2606z00_730;

												{	/* Object/nil.scm 146 */
													obj_t BgL_arg2608z00_731;

													BgL_arg2608z00_731 =
														MAKE_PAIR(BgL_arg2605z00_729, BNIL);
													BgL_list2606z00_730 =
														MAKE_PAIR(BgL_arg2604z00_728, BgL_arg2608z00_731);
												}
												BgL_arg2602z00_726 =
													BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
													(BgL_list2606z00_730);
										}}
										{	/* Object/nil.scm 146 */
											obj_t BgL_list2610z00_733;

											BgL_list2610z00_733 = MAKE_PAIR(BNIL, BNIL);
											BgL_arg2603z00_727 =
												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BINT(((long)
														0)), BgL_list2610z00_733);
										}
										return MAKE_PAIR(BgL_arg2602z00_726, BgL_arg2603z00_727);
									}
								else
									{	/* Object/nil.scm 147 */
										bool_t BgL_testz00_1469;

										{	/* Object/nil.scm 147 */
											obj_t BgL_arg2614z00_737;

											{	/* Object/nil.scm 147 */
												BgL_slotz00_bglt BgL_obj2240z00_1043;

												BgL_obj2240z00_1043 =
													(BgL_slotz00_bglt) (BgL_slotz00_11);
												BgL_arg2614z00_737 =
													(((BgL_slotz00_bglt) CREF(BgL_obj2240z00_1043))->
													BgL_typez00);
											}
											BgL_testz00_1469 =
												BGl_bigloozd2typezf3z21zztype_typez00(
												(BgL_typez00_bglt) (BgL_arg2614z00_737));
										}
										if (BgL_testz00_1469)
											{	/* Object/nil.scm 148 */
												obj_t BgL_arg2612z00_735;

												{	/* Object/nil.scm 148 */
													BgL_slotz00_bglt BgL_obj2240z00_1044;

													BgL_obj2240z00_1044 =
														(BgL_slotz00_bglt) (BgL_slotz00_11);
													BgL_arg2612z00_735 =
														(((BgL_slotz00_bglt) CREF(BgL_obj2240z00_1044))->
														BgL_typez00);
												}
												return
													BGl_bigloozd2primitivezd2typezd2nilzd2zzobject_nilz00
													(BgL_arg2612z00_735, BgL_slotz00_11);
											}
										else
											{	/* Object/nil.scm 150 */
												obj_t BgL_arg2613z00_736;

												{	/* Object/nil.scm 150 */
													BgL_slotz00_bglt BgL_obj2240z00_1045;

													BgL_obj2240z00_1045 =
														(BgL_slotz00_bglt) (BgL_slotz00_11);
													BgL_arg2613z00_736 =
														(((BgL_slotz00_bglt) CREF(BgL_obj2240z00_1045))->
														BgL_typez00);
												}
												return
													BGl_externzd2typezd2nilz00zzobject_nilz00
													(BgL_arg2613z00_736, BgL_slotz00_11);
											}
									}
							}
					}
			}
		}
	}



/* bigloo-primitive-type-nil */
	obj_t BGl_bigloozd2primitivezd2typezd2nilzd2zzobject_nilz00(obj_t
		BgL_typez00_12, obj_t BgL_slotz00_13)
	{
		AN_OBJECT;
		{	/* Object/nil.scm 155 */
			{	/* Object/nil.scm 157 */
				bool_t BgL_testz00_1480;

				if ((BgL_typez00_12 == BGl_za2objza2z00zztype_cachez00))
					{	/* Object/nil.scm 157 */
						BgL_testz00_1480 = ((bool_t) 1);
					}
				else
					{	/* Object/nil.scm 157 */
						BgL_testz00_1480 =
							(BgL_typez00_12 == BGl_za2unspecza2z00zztype_cachez00);
					}
				if (BgL_testz00_1480)
					{	/* Object/nil.scm 157 */
						return BUNSPEC;
					}
				else
					{	/* Object/nil.scm 157 */
						if ((BgL_typez00_12 == BGl_za2cellza2z00zztype_cachez00))
							{	/* Object/nil.scm 158 */
								return CNST_TABLE_REF(((long) 18));
							}
						else
							{	/* Object/nil.scm 158 */
								if ((BgL_typez00_12 == BGl_za2bintza2z00zztype_cachez00))
									{	/* Object/nil.scm 159 */
										return BINT(((long) 0));
									}
								else
									{	/* Object/nil.scm 159 */
										if ((BgL_typez00_12 == BGl_za2bllongza2z00zztype_cachez00))
											{	/* Object/nil.scm 160 */
												return CNST_TABLE_REF(((long) 19));
											}
										else
											{	/* Object/nil.scm 160 */
												if (
													(BgL_typez00_12 == BGl_za2boolza2z00zztype_cachez00))
													{	/* Object/nil.scm 161 */
														return BFALSE;
													}
												else
													{	/* Object/nil.scm 161 */
														if (
															(BgL_typez00_12 ==
																BGl_za2brealza2z00zztype_cachez00))
															{	/* Object/nil.scm 162 */
																return DOUBLE_TO_REAL(((double) 0.0));
															}
														else
															{	/* Object/nil.scm 162 */
																if (
																	(BgL_typez00_12 ==
																		BGl_za2bcharza2z00zztype_cachez00))
																	{	/* Object/nil.scm 163 */
																		return BCHAR(((unsigned char) '_'));
																	}
																else
																	{	/* Object/nil.scm 164 */
																		bool_t BgL_testz00_1501;

																		if (
																			(BgL_typez00_12 ==
																				BGl_za2bnilza2z00zztype_cachez00))
																			{	/* Object/nil.scm 164 */
																				BgL_testz00_1501 = ((bool_t) 1);
																			}
																		else
																			{	/* Object/nil.scm 164 */
																				BgL_testz00_1501 =
																					(BgL_typez00_12 ==
																					BGl_za2pairzd2nilza2zd2zztype_cachez00);
																			}
																		if (BgL_testz00_1501)
																			{	/* Object/nil.scm 164 */
																				return CNST_TABLE_REF(((long) 20));
																			}
																		else
																			{	/* Object/nil.scm 164 */
																				if (
																					(BgL_typez00_12 ==
																						BGl_za2pairza2z00zztype_cachez00))
																					{	/* Object/nil.scm 165 */
																						return CNST_TABLE_REF(((long) 21));
																					}
																				else
																					{	/* Object/nil.scm 165 */
																						if (
																							(BgL_typez00_12 ==
																								BGl_za2epairza2z00zztype_cachez00))
																							{	/* Object/nil.scm 166 */
																								return
																									CNST_TABLE_REF(((long) 22));
																							}
																						else
																							{	/* Object/nil.scm 166 */
																								if (
																									(BgL_typez00_12 ==
																										BGl_za2bstringza2z00zztype_cachez00))
																									{	/* Object/nil.scm 167 */
																										return
																											BGl_string2735z00zzobject_nilz00;
																									}
																								else
																									{	/* Object/nil.scm 167 */
																										if (
																											(BgL_typez00_12 ==
																												BGl_za2symbolza2z00zztype_cachez00))
																											{	/* Object/nil.scm 168 */
																												return
																													CNST_TABLE_REF(((long)
																														23));
																											}
																										else
																											{	/* Object/nil.scm 168 */
																												if (
																													(BgL_typez00_12 ==
																														BGl_za2keywordza2z00zztype_cachez00))
																													{	/* Object/nil.scm 169 */
																														return
																															CNST_TABLE_REF((
																																(long) 24));
																													}
																												else
																													{	/* Object/nil.scm 169 */
																														if (
																															(BgL_typez00_12 ==
																																BGl_za2vectorza2z00zztype_cachez00))
																															{	/* Object/nil.scm 170 */
																																return
																																	CNST_TABLE_REF
																																	(((long) 25));
																															}
																														else
																															{	/* Object/nil.scm 170 */
																																if (
																																	(BgL_typez00_12
																																		==
																																		BGl_za2procedureza2z00zztype_cachez00))
																																	{	/* Object/nil.scm 171 */
																																		return
																																			CNST_TABLE_REF
																																			(((long)
																																				26));
																																	}
																																else
																																	{	/* Object/nil.scm 173 */
																																		obj_t
																																			BgL_casezd2valuezd2_756;
																																		{	/* Object/nil.scm 173 */
																																			BgL_typez00_bglt
																																				BgL_obj1272z00_1046;
																																			BgL_obj1272z00_1046
																																				=
																																				(BgL_typez00_bglt)
																																				(BgL_typez00_12);
																																			BgL_casezd2valuezd2_756
																																				=
																																				(((BgL_typez00_bglt) CREF(BgL_obj1272z00_1046))->BgL_idz00);
																																		}
																																		if (
																																			(BgL_casezd2valuezd2_756
																																				==
																																				CNST_TABLE_REF
																																				(((long)
																																						27))))
																																			{	/* Object/nil.scm 173 */
																																				return
																																					CNST_TABLE_REF
																																					(((long) 28));
																																			}
																																		else
																																			{	/* Object/nil.scm 173 */
																																				if (
																																					(BgL_casezd2valuezd2_756
																																						==
																																						CNST_TABLE_REF
																																						(((long) 29))))
																																					{	/* Object/nil.scm 173 */
																																						return
																																							CNST_TABLE_REF
																																							(((long) 30));
																																					}
																																				else
																																					{	/* Object/nil.scm 173 */
																																						if (
																																							(BgL_casezd2valuezd2_756
																																								==
																																								CNST_TABLE_REF
																																								(((long) 31))))
																																							{	/* Object/nil.scm 173 */
																																								return
																																									CNST_TABLE_REF
																																									(
																																									((long) 30));
																																							}
																																						else
																																							{	/* Object/nil.scm 173 */
																																								if ((BgL_casezd2valuezd2_756 == CNST_TABLE_REF(((long) 32))))
																																									{	/* Object/nil.scm 173 */
																																										return
																																											CNST_TABLE_REF
																																											(
																																											((long) 30));
																																									}
																																								else
																																									{	/* Object/nil.scm 173 */
																																										if ((BgL_casezd2valuezd2_756 == CNST_TABLE_REF(((long) 33))))
																																											{	/* Object/nil.scm 173 */
																																												return
																																													CNST_TABLE_REF
																																													(
																																													((long) 34));
																																											}
																																										else
																																											{	/* Object/nil.scm 173 */
																																												bool_t
																																													BgL_testz00_1548;
																																												{	/* Object/nil.scm 173 */
																																													bool_t
																																														BgL__ortest_2383z00_810;
																																													BgL__ortest_2383z00_810
																																														=
																																														(BgL_casezd2valuezd2_756
																																														==
																																														CNST_TABLE_REF
																																														(((long) 2)));
																																													if (BgL__ortest_2383z00_810)
																																														{	/* Object/nil.scm 173 */
																																															BgL_testz00_1548
																																																=
																																																BgL__ortest_2383z00_810;
																																														}
																																													else
																																														{	/* Object/nil.scm 173 */
																																															BgL_testz00_1548
																																																=
																																																(BgL_casezd2valuezd2_756
																																																==
																																																CNST_TABLE_REF
																																																(((long) 35)));
																																												}}
																																												if (BgL_testz00_1548)
																																													{	/* Object/nil.scm 173 */
																																														return
																																															BUNSPEC;
																																													}
																																												else
																																													{	/* Object/nil.scm 173 */
																																														if ((BgL_casezd2valuezd2_756 == CNST_TABLE_REF(((long) 36))))
																																															{	/* Object/nil.scm 173 */
																																																return
																																																	CNST_TABLE_REF
																																																	(
																																																	((long) 18));
																																															}
																																														else
																																															{	/* Object/nil.scm 173 */
																																																if ((BgL_casezd2valuezd2_756 == CNST_TABLE_REF(((long) 37))))
																																																	{	/* Object/nil.scm 173 */
																																																		return
																																																			BINT
																																																			(
																																																			((long) 0));
																																																	}
																																																else
																																																	{	/* Object/nil.scm 173 */
																																																		if ((BgL_casezd2valuezd2_756 == CNST_TABLE_REF(((long) 38))))
																																																			{	/* Object/nil.scm 173 */
																																																				return
																																																					CNST_TABLE_REF
																																																					(
																																																					((long) 19));
																																																			}
																																																		else
																																																			{	/* Object/nil.scm 173 */
																																																				if ((BgL_casezd2valuezd2_756 == CNST_TABLE_REF(((long) 39))))
																																																					{	/* Object/nil.scm 173 */
																																																						return
																																																							CNST_TABLE_REF
																																																							(
																																																							((long) 40));
																																																					}
																																																				else
																																																					{	/* Object/nil.scm 173 */
																																																						bool_t
																																																							BgL_testz00_1570;
																																																						{	/* Object/nil.scm 173 */
																																																							bool_t
																																																								BgL__ortest_2384z00_809;
																																																							BgL__ortest_2384z00_809
																																																								=
																																																								(BgL_casezd2valuezd2_756
																																																								==
																																																								CNST_TABLE_REF
																																																								(((long) 41)));
																																																							if (BgL__ortest_2384z00_809)
																																																								{	/* Object/nil.scm 173 */
																																																									BgL_testz00_1570
																																																										=
																																																										BgL__ortest_2384z00_809;
																																																								}
																																																							else
																																																								{	/* Object/nil.scm 173 */
																																																									BgL_testz00_1570
																																																										=
																																																										(BgL_casezd2valuezd2_756
																																																										==
																																																										CNST_TABLE_REF
																																																										(((long) 42)));
																																																						}}
																																																						if (BgL_testz00_1570)
																																																							{	/* Object/nil.scm 173 */
																																																								return
																																																									BFALSE;
																																																							}
																																																						else
																																																							{	/* Object/nil.scm 173 */
																																																								if ((BgL_casezd2valuezd2_756 == CNST_TABLE_REF(((long) 43))))
																																																									{	/* Object/nil.scm 173 */
																																																										return
																																																											DOUBLE_TO_REAL
																																																											(
																																																											((double) 0.0));
																																																									}
																																																								else
																																																									{	/* Object/nil.scm 173 */
																																																										if ((BgL_casezd2valuezd2_756 == CNST_TABLE_REF(((long) 44))))
																																																											{	/* Object/nil.scm 173 */
																																																												return
																																																													BCHAR
																																																													(
																																																													((unsigned char) '_'));
																																																											}
																																																										else
																																																											{	/* Object/nil.scm 173 */
																																																												bool_t
																																																													BgL_testz00_1584;
																																																												{	/* Object/nil.scm 173 */
																																																													bool_t
																																																														BgL__ortest_2385z00_808;
																																																													BgL__ortest_2385z00_808
																																																														=
																																																														(BgL_casezd2valuezd2_756
																																																														==
																																																														CNST_TABLE_REF
																																																														(((long) 45)));
																																																													if (BgL__ortest_2385z00_808)
																																																														{	/* Object/nil.scm 173 */
																																																															BgL_testz00_1584
																																																																=
																																																																BgL__ortest_2385z00_808;
																																																														}
																																																													else
																																																														{	/* Object/nil.scm 173 */
																																																															BgL_testz00_1584
																																																																=
																																																																(BgL_casezd2valuezd2_756
																																																																==
																																																																CNST_TABLE_REF
																																																																(((long) 46)));
																																																												}}
																																																												if (BgL_testz00_1584)
																																																													{	/* Object/nil.scm 173 */
																																																														return
																																																															CNST_TABLE_REF
																																																															(
																																																															((long) 20));
																																																													}
																																																												else
																																																													{	/* Object/nil.scm 173 */
																																																														if ((BgL_casezd2valuezd2_756 == CNST_TABLE_REF(((long) 47))))
																																																															{	/* Object/nil.scm 173 */
																																																																return
																																																																	CNST_TABLE_REF
																																																																	(
																																																																	((long) 21));
																																																															}
																																																														else
																																																															{	/* Object/nil.scm 173 */
																																																																if ((BgL_casezd2valuezd2_756 == CNST_TABLE_REF(((long) 48))))
																																																																	{	/* Object/nil.scm 173 */
																																																																		return
																																																																			CNST_TABLE_REF
																																																																			(
																																																																			((long) 22));
																																																																	}
																																																																else
																																																																	{	/* Object/nil.scm 173 */
																																																																		if ((BgL_casezd2valuezd2_756 == CNST_TABLE_REF(((long) 49))))
																																																																			{	/* Object/nil.scm 173 */
																																																																				return
																																																																					BGl_string2735z00zzobject_nilz00;
																																																																			}
																																																																		else
																																																																			{	/* Object/nil.scm 173 */
																																																																				if ((BgL_casezd2valuezd2_756 == CNST_TABLE_REF(((long) 50))))
																																																																					{	/* Object/nil.scm 173 */
																																																																						return
																																																																							CNST_TABLE_REF
																																																																							(
																																																																							((long) 23));
																																																																					}
																																																																				else
																																																																					{	/* Object/nil.scm 173 */
																																																																						if ((BgL_casezd2valuezd2_756 == CNST_TABLE_REF(((long) 51))))
																																																																							{	/* Object/nil.scm 173 */
																																																																								return
																																																																									CNST_TABLE_REF
																																																																									(
																																																																									((long) 24));
																																																																							}
																																																																						else
																																																																							{	/* Object/nil.scm 173 */
																																																																								if ((BgL_casezd2valuezd2_756 == CNST_TABLE_REF(((long) 52))))
																																																																									{	/* Object/nil.scm 173 */
																																																																										return
																																																																											CNST_TABLE_REF
																																																																											(
																																																																											((long) 25));
																																																																									}
																																																																								else
																																																																									{	/* Object/nil.scm 173 */
																																																																										if ((BgL_casezd2valuezd2_756 == CNST_TABLE_REF(((long) 53))))
																																																																											{	/* Object/nil.scm 194 */
																																																																												obj_t
																																																																													BgL_arg2654z00_778;
																																																																												obj_t
																																																																													BgL_arg2655z00_779;
																																																																												BgL_arg2654z00_778
																																																																													=
																																																																													CNST_TABLE_REF
																																																																													(
																																																																													((long) 54));
																																																																												{	/* Object/nil.scm 194 */
																																																																													obj_t
																																																																														BgL_arg2656z00_780;
																																																																													{	/* Object/nil.scm 194 */
																																																																														obj_t
																																																																															BgL_arg2662z00_786;
																																																																														obj_t
																																																																															BgL_arg2663z00_787;
																																																																														BgL_arg2662z00_786
																																																																															=
																																																																															CNST_TABLE_REF
																																																																															(
																																																																															((long) 16));
																																																																														{	/* Object/nil.scm 194 */
																																																																															obj_t
																																																																																BgL_arg2664z00_788;
																																																																															{	/* Object/nil.scm 194 */

																																																																																{	/* Object/nil.scm 194 */

																																																																																	BgL_arg2664z00_788
																																																																																		=
																																																																																		BGl_gensymz00zz__r4_symbols_6_4z00
																																																																																		(BFALSE);
																																																																															}}
																																																																															{	/* Object/nil.scm 194 */
																																																																																obj_t
																																																																																	BgL_list2666z00_790;
																																																																																BgL_list2666z00_790
																																																																																	=
																																																																																	MAKE_PAIR
																																																																																	(BNIL,
																																																																																	BNIL);
																																																																																BgL_arg2663z00_787
																																																																																	=
																																																																																	BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																																																																	(BgL_arg2664z00_788,
																																																																																	BgL_list2666z00_790);
																																																																														}}
																																																																														BgL_arg2656z00_780
																																																																															=
																																																																															MAKE_PAIR
																																																																															(BgL_arg2662z00_786,
																																																																															BgL_arg2663z00_787);
																																																																													}
																																																																													{	/* Object/nil.scm 194 */
																																																																														obj_t
																																																																															BgL_list2659z00_783;
																																																																														{	/* Object/nil.scm 194 */
																																																																															obj_t
																																																																																BgL_arg2660z00_784;
																																																																															{	/* Object/nil.scm 194 */
																																																																																obj_t
																																																																																	BgL_arg2661z00_785;
																																																																																BgL_arg2661z00_785
																																																																																	=
																																																																																	MAKE_PAIR
																																																																																	(BNIL,
																																																																																	BNIL);
																																																																																BgL_arg2660z00_784
																																																																																	=
																																																																																	MAKE_PAIR
																																																																																	(BFALSE,
																																																																																	BgL_arg2661z00_785);
																																																																															}
																																																																															BgL_list2659z00_783
																																																																																=
																																																																																MAKE_PAIR
																																																																																(BINT
																																																																																(((long) 0)), BgL_arg2660z00_784);
																																																																														}
																																																																														BgL_arg2655z00_779
																																																																															=
																																																																															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																																																															(BgL_arg2656z00_780,
																																																																															BgL_list2659z00_783);
																																																																												}}
																																																																												return
																																																																													MAKE_PAIR
																																																																													(BgL_arg2654z00_778,
																																																																													BgL_arg2655z00_779);
																																																																											}
																																																																										else
																																																																											{	/* Object/nil.scm 173 */
																																																																												if ((BgL_casezd2valuezd2_756 == CNST_TABLE_REF(((long) 55))))
																																																																													{	/* Object/nil.scm 173 */
																																																																														return
																																																																															CNST_TABLE_REF
																																																																															(
																																																																															((long) 26));
																																																																													}
																																																																												else
																																																																													{	/* Object/nil.scm 173 */
																																																																														if ((BgL_casezd2valuezd2_756 == CNST_TABLE_REF(((long) 56))))
																																																																															{	/* Object/nil.scm 173 */
																																																																																return
																																																																																	CNST_TABLE_REF
																																																																																	(
																																																																																	((long) 57));
																																																																															}
																																																																														else
																																																																															{	/* Object/nil.scm 173 */
																																																																																if ((BgL_casezd2valuezd2_756 == CNST_TABLE_REF(((long) 58))))
																																																																																	{	/* Object/nil.scm 173 */
																																																																																		return
																																																																																			CNST_TABLE_REF
																																																																																			(
																																																																																			((long) 59));
																																																																																	}
																																																																																else
																																																																																	{	/* Object/nil.scm 173 */
																																																																																		if ((BgL_casezd2valuezd2_756 == CNST_TABLE_REF(((long) 60))))
																																																																																			{	/* Object/nil.scm 173 */
																																																																																				return
																																																																																					CNST_TABLE_REF
																																																																																					(
																																																																																					((long) 61));
																																																																																			}
																																																																																		else
																																																																																			{	/* Object/nil.scm 173 */
																																																																																				if ((BgL_casezd2valuezd2_756 == CNST_TABLE_REF(((long) 62))))
																																																																																					{	/* Object/nil.scm 173 */
																																																																																						return
																																																																																							CNST_TABLE_REF
																																																																																							(
																																																																																							((long) 63));
																																																																																					}
																																																																																				else
																																																																																					{	/* Object/nil.scm 173 */
																																																																																						if ((BgL_casezd2valuezd2_756 == CNST_TABLE_REF(((long) 64))))
																																																																																							{	/* Object/nil.scm 173 */
																																																																																								return
																																																																																									CNST_TABLE_REF
																																																																																									(
																																																																																									((long) 65));
																																																																																							}
																																																																																						else
																																																																																							{	/* Object/nil.scm 173 */
																																																																																								if ((BgL_casezd2valuezd2_756 == CNST_TABLE_REF(((long) 66))))
																																																																																									{	/* Object/nil.scm 173 */
																																																																																										return
																																																																																											CNST_TABLE_REF
																																																																																											(
																																																																																											((long) 67));
																																																																																									}
																																																																																								else
																																																																																									{	/* Object/nil.scm 173 */
																																																																																										if ((BgL_casezd2valuezd2_756 == CNST_TABLE_REF(((long) 68))))
																																																																																											{	/* Object/nil.scm 173 */
																																																																																												return
																																																																																													CNST_TABLE_REF
																																																																																													(
																																																																																													((long) 69));
																																																																																											}
																																																																																										else
																																																																																											{	/* Object/nil.scm 173 */
																																																																																												if ((BgL_casezd2valuezd2_756 == CNST_TABLE_REF(((long) 70))))
																																																																																													{	/* Object/nil.scm 173 */
																																																																																														return
																																																																																															CNST_TABLE_REF
																																																																																															(
																																																																																															((long) 71));
																																																																																													}
																																																																																												else
																																																																																													{	/* Object/nil.scm 204 */
																																																																																														obj_t
																																																																																															BgL_arg2676z00_801;
																																																																																														obj_t
																																																																																															BgL_arg2677z00_802;
																																																																																														obj_t
																																																																																															BgL_arg2678z00_803;
																																																																																														{	/* Object/nil.scm 204 */
																																																																																															BgL_typez00_bglt
																																																																																																BgL_obj1272z00_1102;
																																																																																															{	/* Object/nil.scm 204 */
																																																																																																BgL_slotz00_bglt
																																																																																																	BgL_obj2239z00_1101;
																																																																																																BgL_obj2239z00_1101
																																																																																																	=
																																																																																																	(BgL_slotz00_bglt)
																																																																																																	(BgL_slotz00_13);
																																																																																																{	/* Object/nil.scm 204 */
																																																																																																	obj_t
																																																																																																		BgL_auxz00_1666;
																																																																																																	BgL_auxz00_1666
																																																																																																		=
																																																																																																		(
																																																																																																		((BgL_slotz00_bglt) CREF(BgL_obj2239z00_1101))->BgL_classzd2ownerzd2);
																																																																																																	BgL_obj1272z00_1102
																																																																																																		=
																																																																																																		(BgL_typez00_bglt)
																																																																																																		(BgL_auxz00_1666);
																																																																																																}
																																																																																															}
																																																																																															BgL_arg2676z00_801
																																																																																																=
																																																																																																(
																																																																																																((BgL_typez00_bglt) CREF(BgL_obj1272z00_1102))->BgL_idz00);
																																																																																														}
																																																																																														{	/* Object/nil.scm 205 */
																																																																																															obj_t
																																																																																																BgL_list2682z00_807;
																																																																																															BgL_list2682z00_807
																																																																																																=
																																																																																																MAKE_PAIR
																																																																																																(BgL_casezd2valuezd2_756,
																																																																																																BNIL);
																																																																																															BgL_arg2677z00_802
																																																																																																=
																																																																																																BGl_formatz00zz__r4_output_6_10_3z00
																																																																																																(BGl_string2736z00zzobject_nilz00,
																																																																																																BgL_list2682z00_807);
																																																																																														}
																																																																																														{	/* Object/nil.scm 206 */
																																																																																															BgL_slotz00_bglt
																																																																																																BgL_obj2236z00_1104;
																																																																																															BgL_obj2236z00_1104
																																																																																																=
																																																																																																(BgL_slotz00_bglt)
																																																																																																(BgL_slotz00_13);
																																																																																															BgL_arg2678z00_803
																																																																																																=
																																																																																																(
																																																																																																((BgL_slotz00_bglt) CREF(BgL_obj2236z00_1104))->BgL_idz00);
																																																																																														}
																																																																																														return
																																																																																															BGl_errorz00zz__errorz00
																																																																																															(BgL_arg2676z00_801,
																																																																																															BgL_arg2677z00_802,
																																																																																															BgL_arg2678z00_803);
																																																																																													}
																																																																																											}
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																	}
																																																																															}
																																																																													}
																																																																											}
																																																																									}
																																																																							}
																																																																					}
																																																																			}
																																																																	}
																																																															}
																																																													}
																																																											}
																																																									}
																																																							}
																																																					}
																																																			}
																																																	}
																																															}
																																													}
																																											}
																																									}
																																							}
																																					}
																																			}
																																	}
																															}
																													}
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
									}
							}
					}
			}
		}
	}



/* extern-type-nil */
	obj_t BGl_externzd2typezd2nilz00zzobject_nilz00(obj_t BgL_typez00_14,
		obj_t BgL_slotz00_15)
	{
		AN_OBJECT;
		{	/* Object/nil.scm 211 */
			{	/* Object/nil.scm 213 */
				bool_t BgL_testz00_1675;

				if ((BgL_typez00_14 == BGl_za2intza2z00zztype_cachez00))
					{	/* Object/nil.scm 213 */
						BgL_testz00_1675 = ((bool_t) 1);
					}
				else
					{	/* Object/nil.scm 213 */
						BgL_testz00_1675 =
							(BgL_typez00_14 == BGl_za2longza2z00zztype_cachez00);
					}
				if (BgL_testz00_1675)
					{	/* Object/nil.scm 213 */
						return BINT(((long) 0));
					}
				else
					{	/* Object/nil.scm 213 */
						if ((BgL_typez00_14 == BGl_za2boolza2z00zztype_cachez00))
							{	/* Object/nil.scm 214 */
								return BFALSE;
							}
						else
							{	/* Object/nil.scm 214 */
								if ((BgL_typez00_14 == BGl_za2realza2z00zztype_cachez00))
									{	/* Object/nil.scm 215 */
										return DOUBLE_TO_REAL(((double) 0.0));
									}
								else
									{	/* Object/nil.scm 215 */
										if ((BgL_typez00_14 == BGl_za2elongza2z00zztype_cachez00))
											{	/* Object/nil.scm 216 */
												return CNST_TABLE_REF(((long) 40));
											}
										else
											{	/* Object/nil.scm 216 */
												if (
													(BgL_typez00_14 == BGl_za2llongza2z00zztype_cachez00))
													{	/* Object/nil.scm 217 */
														return CNST_TABLE_REF(((long) 19));
													}
												else
													{	/* Object/nil.scm 217 */
														if (
															(BgL_typez00_14 ==
																BGl_za2charza2z00zztype_cachez00))
															{	/* Object/nil.scm 218 */
																return BCHAR(((unsigned char) '_'));
															}
														else
															{	/* Object/nil.scm 218 */
																if (
																	(BgL_typez00_14 ==
																		BGl_za2stringza2z00zztype_cachez00))
																	{	/* Object/nil.scm 219 */
																		return BGl_string2735z00zzobject_nilz00;
																	}
																else
																	{	/* Object/nil.scm 220 */
																		bool_t BgL_testz00_1696;

																		if (BGl_iszd2azf3z21zz__objectz00
																			(BgL_typez00_14,
																				BGl_jclassz00zzobject_classz00))
																			{	/* Object/nil.scm 220 */
																				BgL_testz00_1696 = ((bool_t) 1);
																			}
																		else
																			{	/* Object/nil.scm 220 */
																				BgL_testz00_1696 =
																					BGl_iszd2azf3z21zz__objectz00
																					(BgL_typez00_14,
																					BGl_jarrayz00zzforeign_jtypez00);
																			}
																		if (BgL_testz00_1696)
																			{	/* Object/nil.scm 221 */
																				obj_t BgL_arg2693z00_821;
																				obj_t BgL_arg2694z00_822;

																				BgL_arg2693z00_821 =
																					CNST_TABLE_REF(((long) 72));
																				{	/* Object/nil.scm 221 */
																					BgL_typez00_bglt BgL_obj1272z00_1107;

																					BgL_obj1272z00_1107 =
																						(BgL_typez00_bglt) (BgL_typez00_14);
																					BgL_arg2694z00_822 =
																						(((BgL_typez00_bglt)
																							CREF(BgL_obj1272z00_1107))->
																						BgL_idz00);
																				}
																				return
																					BGl_makezd2privatezd2sexpz00zzast_privatez00
																					(BgL_arg2693z00_821,
																					BgL_arg2694z00_822, BNIL);
																			}
																		else
																			{	/* Object/nil.scm 223 */
																				obj_t BgL_casezd2valuezd2_824;

																				{	/* Object/nil.scm 223 */
																					BgL_typez00_bglt BgL_obj1272z00_1108;

																					BgL_obj1272z00_1108 =
																						(BgL_typez00_bglt) (BgL_typez00_14);
																					BgL_casezd2valuezd2_824 =
																						(((BgL_typez00_bglt)
																							CREF(BgL_obj1272z00_1108))->
																						BgL_idz00);
																				}
																				{	/* Object/nil.scm 223 */
																					bool_t BgL_testz00_1706;

																					{	/* Object/nil.scm 223 */
																						bool_t BgL__ortest_2386z00_841;

																						BgL__ortest_2386z00_841 =
																							(BgL_casezd2valuezd2_824 ==
																							CNST_TABLE_REF(((long) 73)));
																						if (BgL__ortest_2386z00_841)
																							{	/* Object/nil.scm 223 */
																								BgL_testz00_1706 =
																									BgL__ortest_2386z00_841;
																							}
																						else
																							{	/* Object/nil.scm 223 */
																								BgL_testz00_1706 =
																									(BgL_casezd2valuezd2_824 ==
																									CNST_TABLE_REF(((long) 74)));
																					}}
																					if (BgL_testz00_1706)
																						{	/* Object/nil.scm 223 */
																							return BINT(((long) 0));
																						}
																					else
																						{	/* Object/nil.scm 223 */
																							if (
																								(BgL_casezd2valuezd2_824 ==
																									CNST_TABLE_REF(((long) 41))))
																								{	/* Object/nil.scm 223 */
																									return BFALSE;
																								}
																							else
																								{	/* Object/nil.scm 223 */
																									bool_t BgL_testz00_1716;

																									{	/* Object/nil.scm 223 */
																										bool_t
																											BgL__ortest_2387z00_840;
																										BgL__ortest_2387z00_840 =
																											(BgL_casezd2valuezd2_824
																											==
																											CNST_TABLE_REF(((long)
																													75)));
																										if (BgL__ortest_2387z00_840)
																											{	/* Object/nil.scm 223 */
																												BgL_testz00_1716 =
																													BgL__ortest_2387z00_840;
																											}
																										else
																											{	/* Object/nil.scm 223 */
																												BgL_testz00_1716 =
																													(BgL_casezd2valuezd2_824
																													==
																													CNST_TABLE_REF(((long)
																															76)));
																									}}
																									if (BgL_testz00_1716)
																										{	/* Object/nil.scm 223 */
																											return
																												DOUBLE_TO_REAL(((double)
																													0.0));
																										}
																									else
																										{	/* Object/nil.scm 223 */
																											if (
																												(BgL_casezd2valuezd2_824
																													==
																													CNST_TABLE_REF(((long)
																															77))))
																												{	/* Object/nil.scm 223 */
																													return
																														BCHAR(((unsigned
																																char) '_'));
																												}
																											else
																												{	/* Object/nil.scm 223 */
																													if (
																														(BgL_casezd2valuezd2_824
																															==
																															CNST_TABLE_REF((
																																	(long) 78))))
																														{	/* Object/nil.scm 223 */
																															return
																																BGl_string2735z00zzobject_nilz00;
																														}
																													else
																														{	/* Object/nil.scm 230 */
																															bool_t
																																BgL_testz00_1730;
																															{	/* Object/nil.scm 230 */
																																obj_t
																																	BgL_arg2710z00_839;
																																BgL_arg2710z00_839
																																	=
																																	BGl_thezd2backendzd2zzbackend_backendz00
																																	();
																																{	/* Object/nil.scm 230 */
																																	BgL_backendz00_bglt
																																		BgL_obj1485z00_1115;
																																	BgL_obj1485z00_1115
																																		=
																																		(BgL_backendz00_bglt)
																																		(BgL_arg2710z00_839);
																																	BgL_testz00_1730
																																		=
																																		(((BgL_backendz00_bglt) CREF(BgL_obj1485z00_1115))->BgL_pragmazd2supportzd2);
																																}
																															}
																															if (BgL_testz00_1730)
																																{	/* Object/nil.scm 231 */
																																	obj_t
																																		BgL_arg2702z00_831;
																																	obj_t
																																		BgL_arg2703z00_832;
																																	{	/* Object/nil.scm 231 */
																																		obj_t
																																			BgL_arg2704z00_833;
																																		obj_t
																																			BgL_arg2705z00_834;
																																		BgL_arg2704z00_833
																																			=
																																			CNST_TABLE_REF
																																			(((long)
																																				79));
																																		{	/* Object/nil.scm 231 */
																																			BgL_typez00_bglt
																																				BgL_obj1272z00_1116;
																																			BgL_obj1272z00_1116
																																				=
																																				(BgL_typez00_bglt)
																																				(BgL_typez00_14);
																																			BgL_arg2705z00_834
																																				=
																																				(((BgL_typez00_bglt) CREF(BgL_obj1272z00_1116))->BgL_idz00);
																																		}
																																		BgL_arg2702z00_831
																																			=
																																			BGl_makezd2typedzd2identz00zzast_identz00
																																			(BgL_arg2704z00_833,
																																			BgL_arg2705z00_834);
																																	}
																																	{	/* Object/nil.scm 231 */
																																		obj_t
																																			BgL_list2706z00_835;
																																		BgL_list2706z00_835
																																			=
																																			MAKE_PAIR
																																			(BNIL,
																																			BNIL);
																																		BgL_arg2703z00_832
																																			=
																																			BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																			(BGl_string2737z00zzobject_nilz00,
																																			BgL_list2706z00_835);
																																	}
																																	return
																																		MAKE_PAIR
																																		(BgL_arg2702z00_831,
																																		BgL_arg2703z00_832);
																																}
																															else
																																{	/* Object/nil.scm 232 */
																																	obj_t
																																		BgL_arg2707z00_836;
																																	obj_t
																																		BgL_arg2708z00_837;
																																	BgL_arg2707z00_836
																																		=
																																		CNST_TABLE_REF
																																		(((long)
																																			72));
																																	{	/* Object/nil.scm 232 */
																																		BgL_typez00_bglt
																																			BgL_obj1272z00_1117;
																																		BgL_obj1272z00_1117
																																			=
																																			(BgL_typez00_bglt)
																																			(BgL_typez00_14);
																																		BgL_arg2708z00_837
																																			=
																																			(((BgL_typez00_bglt) CREF(BgL_obj1272z00_1117))->BgL_idz00);
																																	}
																																	return
																																		BGl_makezd2privatezd2sexpz00zzast_privatez00
																																		(BgL_arg2707z00_836,
																																		BgL_arg2708z00_837,
																																		BNIL);
																																}
																														}
																												}
																										}
																								}
																						}
																				}
																			}
																	}
															}
													}
											}
									}
							}
					}
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzobject_nilz00()
	{
		AN_OBJECT;
		{	/* Object/nil.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzobject_nilz00()
	{
		AN_OBJECT;
		{	/* Object/nil.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 12445515),
				BSTRING_TO_STRING(BGl_string2738z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string2738z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 315910987),
				BSTRING_TO_STRING(BGl_string2738z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 345457731),
				BSTRING_TO_STRING(BGl_string2738z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string2738z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 171845042),
				BSTRING_TO_STRING(BGl_string2738z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zztype_toolsz00(((long) 195902195),
				BSTRING_TO_STRING(BGl_string2738z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 484733332),
				BSTRING_TO_STRING(BGl_string2738z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zztvector_tvectorz00(((long) 2222742),
				BSTRING_TO_STRING(BGl_string2738z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 466514915),
				BSTRING_TO_STRING(BGl_string2738z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string2738z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 498714928),
				BSTRING_TO_STRING(BGl_string2738z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zzast_privatez00(((long) 453255680),
				BSTRING_TO_STRING(BGl_string2738z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 76434050),
				BSTRING_TO_STRING(BGl_string2738z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zzobject_structz00(((long) 112894054),
				BSTRING_TO_STRING(BGl_string2738z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long) 17869975),
				BSTRING_TO_STRING(BGl_string2738z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zzobject_toolsz00(((long) 405988581),
				BSTRING_TO_STRING(BGl_string2738z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 358171001),
				BSTRING_TO_STRING(BGl_string2738z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zzmodule_impusez00(((long) 457322990),
				BSTRING_TO_STRING(BGl_string2738z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 514705515),
				BSTRING_TO_STRING(BGl_string2738z00zzobject_nilz00));
			return
				BGl_modulezd2initializa7ationz75zzforeign_jtypez00(((long) 302809955),
				BSTRING_TO_STRING(BGl_string2738z00zzobject_nilz00));
		}
	}

#ifdef __cplusplus
}
#endif
