/*===========================================================================*/
/*   (Object/predicate.scm)                                                  */
/*   Bigloo (2.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 25 07:31:22 CET 2006        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/2.9a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Object/predicate.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
	}                *BgL_tclassz00_bglt;

	typedef struct BgL_jclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		obj_t BgL_packagez00;
	}                *BgL_jclassz00_bglt;

	typedef struct BgL_wclassz00_bgl
	{
		obj_t BgL_itszd2classzd2;
	}                *BgL_wclassz00_bglt;

	typedef struct BgL_slotz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_srcz00;
		obj_t BgL_classzd2ownerzd2;
		obj_t BgL_typez00;
		bool_t BgL_readzd2onlyzf3z21;
		obj_t BgL_defaultzd2valuezd2;
		obj_t BgL_virtualzd2numzd2;
		obj_t BgL_getterz00;
		obj_t BgL_setterz00;
		obj_t BgL_indexedz00;
		obj_t BgL_userzd2infozd2;
	}              *BgL_slotz00_bglt;

	typedef struct BgL_ccompz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_producerz00;
		obj_t BgL_consumerz00;
		obj_t BgL_finaliza7erza7;
	}               *BgL_ccompz00_bglt;


	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	BGL_IMPORT obj_t open_input_string(obj_t);
	extern obj_t BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(obj_t);
	extern obj_t BGl_za2profilezd2modeza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzobject_predicatez00 = BUNSPEC;
	static obj_t BGl__importzd2classzd2predz12z12zzobject_predicatez00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_tclassz00zzobject_classz00;
	extern obj_t BGl_epairifyza2za2zztools_miscz00(obj_t, obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	BGL_IMPORT obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_importzd2classzd2predz12z12zzobject_predicatez00(BgL_tclassz00_bglt,
		obj_t, obj_t);
	extern obj_t BGl_importzd2parserzd2zzmodule_impusez00(obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzobject_predicatez00();
	static obj_t BGl_importedzd2moduleszd2initz00zzobject_predicatez00();
	static bool_t BGl_inlinezd2predzf3z21zzobject_predicatez00();
	static obj_t
		BGl__importzd2javazd2classzd2predz12zc0zzobject_predicatez00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzobject_predicatez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_structz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_impusez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_importzd2javazd2classzd2predz12zc0zzobject_predicatez00
		(BgL_jclassz00_bglt, obj_t, obj_t);
	static obj_t
		BGl_genzd2javazd2classzd2predz12zc0zzobject_predicatez00(BgL_jclassz00_bglt,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_za2passza2z00zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t
		BGl_genzd2classzd2predz12z12zzobject_predicatez00(BgL_tclassz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_makezd2privatezd2sexpz00zzast_privatez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzobject_predicatez00();
	static obj_t BGl__genzd2classzd2predz12z12zzobject_predicatez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzobject_predicatez00();
	static obj_t __cnst[19];


	   
		 
		DEFINE_STRING(BGl_string2404z00zzobject_predicatez00,
		BgL_bgl_string2404za700za7za7o2408za7, "object_predicate", 16);
	      DEFINE_STRING(BGl_string2405z00zzobject_predicatez00,
		BgL_bgl_string2405za700za7za7o2409za7,
		"export isa static define define-inline effect no-cfa-top predicate-of pragma ::obj inline super super- @ is-a? obj ?::bool ? (make-heap make-add-heap) ",
		151);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_importzd2classzd2predz12zd2envzc0zzobject_predicatez00,
		BgL_bgl__importza7d2classza72410z00,
		BGl__importzd2classzd2predz12z12zzobject_predicatez00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genzd2classzd2predz12zd2envzc0zzobject_predicatez00,
		BgL_bgl__genza7d2classza7d2p2411z00,
		BGl__genzd2classzd2predz12z12zzobject_predicatez00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_importzd2javazd2classzd2predz12zd2envz12zzobject_predicatez00,
		BgL_bgl__importza7d2javaza7d2412z00,
		BGl__importzd2javazd2classzd2predz12zc0zzobject_predicatez00, 0L, BUNSPEC,
		3);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzobject_predicatez00(long
		BgL_checksumz00_795, char *BgL_fromz00_796)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzobject_predicatez00))
				{
					BGl_requirezd2initializa7ationz75zzobject_predicatez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzobject_predicatez00();
					BGl_cnstzd2initzd2zzobject_predicatez00();
					BGl_importedzd2moduleszd2initz00zzobject_predicatez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzobject_predicatez00()
	{
		AN_OBJECT;
		{	/* Object/predicate.scm 21 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"object_predicate");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"object_predicate");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"object_predicate");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"object_predicate");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzobject_predicatez00()
	{
		AN_OBJECT;
		{	/* Object/predicate.scm 21 */
			{	/* Object/predicate.scm 21 */
				obj_t BgL_cportz00_787;

				BgL_cportz00_787 =
					open_input_string(BGl_string2405z00zzobject_predicatez00);
				{
					long BgL_iz00_788;

					BgL_iz00_788 = ((long) 18);
				BgL_loopz00_789:
					if ((BgL_iz00_788 == ((long) -1)))
						{	/* Object/predicate.scm 21 */
							return BUNSPEC;
						}
					else
						{	/* Object/predicate.scm 21 */
							{	/* Object/predicate.scm 21 */
								obj_t BgL_arg2407z00_791;

								{	/* Object/predicate.scm 21 */

									{	/* Object/predicate.scm 21 */
										obj_t BgL_locationz00_793;

										BgL_locationz00_793 = BBOOL(((bool_t) 0));
										{	/* Object/predicate.scm 21 */

											BgL_arg2407z00_791 =
												BGl_readz00zz__readerz00(BgL_cportz00_787,
												BgL_locationz00_793);
										}
									}
								}
								{	/* Object/predicate.scm 21 */
									int BgL_auxz00_812;

									BgL_auxz00_812 = (int) (BgL_iz00_788);
									CNST_TABLE_SET(BgL_auxz00_812, BgL_arg2407z00_791);
							}}
							{	/* Object/predicate.scm 21 */
								int BgL_auxz00_794;

								BgL_auxz00_794 = (int) ((BgL_iz00_788 - ((long) 1)));
								{
									long BgL_iz00_817;

									BgL_iz00_817 = (long) (BgL_auxz00_794);
									BgL_iz00_788 = BgL_iz00_817;
									goto BgL_loopz00_789;
								}
							}
						}
				}
			}
		}
	}



/* inline-pred? */
	bool_t BGl_inlinezd2predzf3z21zzobject_predicatez00()
	{
		AN_OBJECT;
		{	/* Object/predicate.scm 49 */
			{	/* Object/predicate.scm 50 */
				bool_t BgL_testz00_819;

				{	/* Object/predicate.scm 50 */
					bool_t BgL__ortest_2170z00_412;

					{	/* Object/predicate.scm 50 */
						bool_t BgL_testz00_820;

						{	/* Object/predicate.scm 50 */
							bool_t BgL_res2401z00_751;

							{	/* Object/predicate.scm 50 */
								obj_t BgL_objz00_743;

								BgL_objz00_743 = BGl_za2profilezd2modeza2zd2zzengine_paramz00;
								if (INTEGERP(BgL_objz00_743))
									{	/* Object/predicate.scm 50 */
										BgL_res2401z00_751 = ((bool_t) 1);
									}
								else
									{	/* Object/predicate.scm 50 */
										if (REALP(BgL_objz00_743))
											{	/* Object/predicate.scm 50 */
												BgL_res2401z00_751 = ((bool_t) 1);
											}
										else
											{	/* Object/predicate.scm 50 */
												if (ELONGP(BgL_objz00_743))
													{	/* Object/predicate.scm 50 */
														BgL_res2401z00_751 = ((bool_t) 1);
													}
												else
													{	/* Object/predicate.scm 50 */
														BgL_res2401z00_751 = LLONGP(BgL_objz00_743);
													}
											}
									}
							}
							BgL_testz00_820 = BgL_res2401z00_751;
						}
						if (BgL_testz00_820)
							{	/* Object/predicate.scm 50 */
								BgL__ortest_2170z00_412 = ((bool_t) 0);
							}
						else
							{	/* Object/predicate.scm 50 */
								BgL__ortest_2170z00_412 = ((bool_t) 1);
							}
					}
					if (BgL__ortest_2170z00_412)
						{	/* Object/predicate.scm 50 */
							BgL_testz00_819 = BgL__ortest_2170z00_412;
						}
					else
						{	/* Object/predicate.scm 50 */
							BgL_testz00_819 =
								(
								(long) CINT(BGl_za2profilezd2modeza2zd2zzengine_paramz00) <
								((long) 1));
				}}
				if (BgL_testz00_819)
					{	/* Object/predicate.scm 50 */
						if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
								(BGl_za2passza2z00zzengine_paramz00,
									CNST_TABLE_REF(((long) 0)))))
							{	/* Object/predicate.scm 52 */
								return ((bool_t) 0);
							}
						else
							{	/* Object/predicate.scm 52 */
								return ((bool_t) 1);
							}
					}
				else
					{	/* Object/predicate.scm 50 */
						return ((bool_t) 0);
					}
			}
		}
	}



/* gen-class-pred! */
	BGL_EXPORTED_DEF obj_t
		BGl_genzd2classzd2predz12z12zzobject_predicatez00(BgL_tclassz00_bglt
		BgL_classz00_1, obj_t BgL_srczd2defzd2_2, obj_t BgL_importz00_3)
	{
		AN_OBJECT;
		{	/* Object/predicate.scm 60 */
			{	/* Object/predicate.scm 61 */
				obj_t BgL_idz00_414;

				{	/* Object/predicate.scm 61 */
					BgL_typez00_bglt BgL_obj1272z00_754;

					BgL_obj1272z00_754 = (BgL_typez00_bglt) (BgL_classz00_1);
					BgL_idz00_414 =
						(((BgL_typez00_bglt) CREF(BgL_obj1272z00_754))->BgL_idz00);
				}
				{	/* Object/predicate.scm 61 */
					obj_t BgL_idzf3zf3_415;

					{	/* Object/predicate.scm 62 */
						obj_t BgL_list2303z00_497;

						{	/* Object/predicate.scm 62 */
							obj_t BgL_arg2305z00_498;

							BgL_arg2305z00_498 = MAKE_PAIR(CNST_TABLE_REF(((long) 1)), BNIL);
							BgL_list2303z00_497 =
								MAKE_PAIR(BgL_idz00_414, BgL_arg2305z00_498);
						}
						BgL_idzf3zf3_415 =
							BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2303z00_497);
					}
					{	/* Object/predicate.scm 62 */
						obj_t BgL_predzd2idzd2_416;

						{	/* Object/predicate.scm 63 */
							obj_t BgL_list2301z00_495;

							{	/* Object/predicate.scm 63 */
								obj_t BgL_arg2302z00_496;

								BgL_arg2302z00_496 =
									MAKE_PAIR(CNST_TABLE_REF(((long) 2)), BNIL);
								BgL_list2301z00_495 =
									MAKE_PAIR(BgL_idz00_414, BgL_arg2302z00_496);
							}
							BgL_predzd2idzd2_416 =
								BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
								(BgL_list2301z00_495);
						}
						{	/* Object/predicate.scm 63 */
							BgL_globalz00_bglt BgL_holderz00_417;

							{
								obj_t BgL_auxz00_845;

								{	/* Object/predicate.scm 64 */
									BgL_objectz00_bglt BgL_auxz00_846;

									BgL_auxz00_846 = (BgL_objectz00_bglt) (BgL_classz00_1);
									BgL_auxz00_845 = BGL_OBJECT_WIDENING(BgL_auxz00_846);
								}
								BgL_holderz00_417 =
									(((BgL_tclassz00_bglt) CREF(BgL_auxz00_845))->BgL_holderz00);
							}
							{	/* Object/predicate.scm 64 */
								obj_t BgL_objz00_418;

								BgL_objz00_418 =
									BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
									(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
												3))));
								{	/* Object/predicate.scm 65 */
									obj_t BgL_superz00_419;

									{
										obj_t BgL_auxz00_853;

										{	/* Object/predicate.scm 66 */
											BgL_objectz00_bglt BgL_auxz00_854;

											BgL_auxz00_854 = (BgL_objectz00_bglt) (BgL_classz00_1);
											BgL_auxz00_853 = BGL_OBJECT_WIDENING(BgL_auxz00_854);
										}
										BgL_superz00_419 =
											(((BgL_tclassz00_bglt) CREF(BgL_auxz00_853))->
											BgL_itszd2superzd2);
									}
									{	/* Object/predicate.scm 66 */

										{

											if (BGl_iszd2azf3z21zz__objectz00(BgL_superz00_419,
													BGl_tclassz00zzobject_classz00))
												{	/* Object/predicate.scm 73 */
													obj_t BgL_superzd2predzd2idz00_422;
													obj_t BgL_superzd2typedzd2_423;

													{	/* Object/predicate.scm 73 */
														obj_t BgL_list2280z00_474;

														{	/* Object/predicate.scm 73 */
															obj_t BgL_arg2281z00_475;
															obj_t BgL_arg2282z00_476;

															BgL_arg2281z00_475 = CNST_TABLE_REF(((long) 6));
															BgL_arg2282z00_476 =
																MAKE_PAIR(BgL_predzd2idzd2_416, BNIL);
															BgL_list2280z00_474 =
																MAKE_PAIR(BgL_arg2281z00_475,
																BgL_arg2282z00_476);
														}
														BgL_superzd2predzd2idz00_422 =
															BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
															(BgL_list2280z00_474);
													}
													{	/* Object/predicate.scm 74 */
														obj_t BgL_arg2283z00_477;
														obj_t BgL_arg2284z00_478;

														BgL_arg2283z00_477 = CNST_TABLE_REF(((long) 7));
														{	/* Object/predicate.scm 74 */
															BgL_typez00_bglt BgL_obj1272z00_758;

															BgL_obj1272z00_758 =
																(BgL_typez00_bglt) (BgL_superz00_419);
															BgL_arg2284z00_478 =
																(((BgL_typez00_bglt) CREF(BgL_obj1272z00_758))->
																BgL_idz00);
														}
														BgL_superzd2typedzd2_423 =
															BGl_makezd2typedzd2identz00zzast_identz00
															(BgL_arg2283z00_477, BgL_arg2284z00_478);
													}
													{	/* Object/predicate.scm 77 */
														obj_t BgL_arg2174z00_424;

														if (BGl_inlinezd2predzf3z21zzobject_predicatez00())
															{	/* Object/predicate.scm 78 */
																obj_t BgL_arg2176z00_426;

																{	/* Object/predicate.scm 78 */
																	obj_t BgL_arg2177z00_427;

																	{	/* Object/predicate.scm 78 */
																		obj_t BgL_arg2180z00_430;
																		obj_t BgL_arg2181z00_431;

																		BgL_arg2180z00_430 =
																			CNST_TABLE_REF(((long) 8));
																		{	/* Object/predicate.scm 78 */
																			obj_t BgL_list2182z00_432;

																			{	/* Object/predicate.scm 78 */
																				obj_t BgL_arg2195z00_433;
																				obj_t BgL_arg2196z00_434;

																				BgL_arg2195z00_433 =
																					CNST_TABLE_REF(((long) 9));
																				BgL_arg2196z00_434 =
																					MAKE_PAIR(BNIL, BNIL);
																				BgL_list2182z00_432 =
																					MAKE_PAIR(BgL_arg2195z00_433,
																					BgL_arg2196z00_434);
																			}
																			BgL_arg2181z00_431 =
																				BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																				(BgL_predzd2idzd2_416,
																				BgL_list2182z00_432);
																		}
																		BgL_arg2177z00_427 =
																			MAKE_PAIR(BgL_arg2180z00_430,
																			BgL_arg2181z00_431);
																	}
																	{	/* Object/predicate.scm 78 */
																		obj_t BgL_list2179z00_429;

																		BgL_list2179z00_429 = MAKE_PAIR(BNIL, BNIL);
																		BgL_arg2176z00_426 =
																			BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																			(BgL_arg2177z00_427, BgL_list2179z00_429);
																}}
																BgL_arg2174z00_424 =
																	MAKE_PAIR(BgL_importz00_3,
																	BgL_arg2176z00_426);
															}
														else
															{	/* Object/predicate.scm 79 */
																obj_t BgL_arg2197z00_435;

																{	/* Object/predicate.scm 79 */
																	obj_t BgL_arg2198z00_436;

																	{	/* Object/predicate.scm 79 */
																		obj_t BgL_arg2201z00_439;

																		{	/* Object/predicate.scm 79 */
																			obj_t BgL_list2202z00_440;

																			BgL_list2202z00_440 =
																				MAKE_PAIR(BNIL, BNIL);
																			BgL_arg2201z00_439 =
																				BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																				(CNST_TABLE_REF(((long) 9)),
																				BgL_list2202z00_440);
																		}
																		BgL_arg2198z00_436 =
																			MAKE_PAIR(BgL_predzd2idzd2_416,
																			BgL_arg2201z00_439);
																	}
																	{	/* Object/predicate.scm 79 */
																		obj_t BgL_list2200z00_438;

																		BgL_list2200z00_438 = MAKE_PAIR(BNIL, BNIL);
																		BgL_arg2197z00_435 =
																			BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																			(BgL_arg2198z00_436, BgL_list2200z00_438);
																}}
																BgL_arg2174z00_424 =
																	MAKE_PAIR(BgL_importz00_3,
																	BgL_arg2197z00_435);
															}
														BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
															(BgL_arg2174z00_424);
													}
													{	/* Object/predicate.scm 81 */
														obj_t BgL_arg2203z00_441;

														{	/* Object/predicate.scm 81 */
															obj_t BgL_arg2204z00_442;
															obj_t BgL_arg2205z00_443;

															BgL_arg2204z00_442 = CNST_TABLE_REF(((long) 10));
															{	/* Object/predicate.scm 81 */
																obj_t BgL_arg2206z00_444;

																{	/* Object/predicate.scm 81 */
																	obj_t BgL_arg2209z00_447;

																	{	/* Object/predicate.scm 81 */
																		obj_t BgL_arg2210z00_448;
																		obj_t BgL_arg2211z00_449;
																		obj_t BgL_arg2212z00_450;

																		{	/* Object/predicate.scm 81 */
																			obj_t BgL_arg2220z00_455;
																			obj_t BgL_arg2227z00_456;

																			BgL_arg2220z00_455 =
																				CNST_TABLE_REF(((long) 11));
																			{	/* Object/predicate.scm 81 */
																				obj_t BgL_arg2233z00_457;

																				{	/* Object/predicate.scm 81 */
																					BgL_typez00_bglt BgL_obj1272z00_759;

																					BgL_obj1272z00_759 =
																						(BgL_typez00_bglt) (BgL_classz00_1);
																					BgL_arg2233z00_457 =
																						(((BgL_typez00_bglt)
																							CREF(BgL_obj1272z00_759))->
																						BgL_idz00);
																				}
																				{	/* Object/predicate.scm 81 */
																					obj_t BgL_list2238z00_459;

																					BgL_list2238z00_459 =
																						MAKE_PAIR(BNIL, BNIL);
																					BgL_arg2227z00_456 =
																						BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																						(BgL_arg2233z00_457,
																						BgL_list2238z00_459);
																			}}
																			BgL_arg2210z00_448 =
																				MAKE_PAIR(BgL_arg2220z00_455,
																				BgL_arg2227z00_456);
																		}
																		BgL_arg2211z00_449 =
																			CNST_TABLE_REF(((long) 12));
																		BgL_arg2212z00_450 =
																			MAKE_PAIR(CNST_TABLE_REF(((long) 13)),
																			BNIL);
																		{	/* Object/predicate.scm 81 */
																			obj_t BgL_list2214z00_452;

																			{	/* Object/predicate.scm 81 */
																				obj_t BgL_arg2215z00_453;

																				{	/* Object/predicate.scm 81 */
																					obj_t BgL_arg2219z00_454;

																					BgL_arg2219z00_454 =
																						MAKE_PAIR(BNIL, BNIL);
																					BgL_arg2215z00_453 =
																						MAKE_PAIR(BgL_arg2212z00_450,
																						BgL_arg2219z00_454);
																				}
																				BgL_list2214z00_452 =
																					MAKE_PAIR(BgL_arg2211z00_449,
																					BgL_arg2215z00_453);
																			}
																			BgL_arg2209z00_447 =
																				BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																				(BgL_arg2210z00_448,
																				BgL_list2214z00_452);
																	}}
																	BgL_arg2206z00_444 =
																		MAKE_PAIR(BgL_idzf3zf3_415,
																		BgL_arg2209z00_447);
																}
																{	/* Object/predicate.scm 81 */
																	obj_t BgL_list2208z00_446;

																	BgL_list2208z00_446 = MAKE_PAIR(BNIL, BNIL);
																	BgL_arg2205z00_443 =
																		BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																		(BgL_arg2206z00_444, BgL_list2208z00_446);
															}}
															BgL_arg2203z00_441 =
																MAKE_PAIR(BgL_arg2204z00_442,
																BgL_arg2205z00_443);
														}
														BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
															(BgL_arg2203z00_441);
													}
													{	/* Object/predicate.scm 85 */
														obj_t BgL_arg2241z00_460;

														{	/* Object/predicate.scm 85 */
															obj_t BgL_arg2247z00_462;

															{	/* Object/predicate.scm 85 */
																obj_t BgL_arg2251z00_464;
																obj_t BgL_arg2255z00_465;

																if (BGl_inlinezd2predzf3z21zzobject_predicatez00
																	())
																	{	/* Object/predicate.scm 85 */
																		BgL_arg2251z00_464 =
																			CNST_TABLE_REF(((long) 14));
																	}
																else
																	{	/* Object/predicate.scm 85 */
																		BgL_arg2251z00_464 =
																			CNST_TABLE_REF(((long) 15));
																	}
																{	/* Object/predicate.scm 86 */
																	obj_t BgL_arg2257z00_467;
																	obj_t BgL_arg2258z00_468;

																	{	/* Object/predicate.scm 86 */
																		obj_t BgL_arg2278z00_472;

																		{	/* Object/predicate.scm 86 */
																			obj_t BgL_list2279z00_473;

																			BgL_list2279z00_473 =
																				MAKE_PAIR(BNIL, BNIL);
																			BgL_arg2278z00_472 =
																				BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																				(BgL_objz00_418, BgL_list2279z00_473);
																		}
																		BgL_arg2257z00_467 =
																			MAKE_PAIR(BgL_predzd2idzd2_416,
																			BgL_arg2278z00_472);
																	}
																	{	/* Object/predicate.scm 68 */
																		obj_t BgL_arg2286z00_480;
																		obj_t BgL_arg2287z00_481;

																		BgL_arg2286z00_480 =
																			CNST_TABLE_REF(((long) 4));
																		{	/* Object/predicate.scm 68 */
																			obj_t BgL_arg2288z00_482;

																			{	/* Object/predicate.scm 68 */
																				obj_t BgL_arg2292z00_486;
																				obj_t BgL_arg2293z00_487;

																				BgL_arg2292z00_486 =
																					CNST_TABLE_REF(((long) 5));
																				{	/* Object/predicate.scm 68 */
																					obj_t BgL_arg2294z00_488;
																					obj_t BgL_arg2295z00_489;

																					{	/* Object/predicate.scm 68 */
																						BgL_variablez00_bglt
																							BgL_obj1362z00_762;
																						BgL_obj1362z00_762 =
																							(BgL_variablez00_bglt)
																							(BgL_holderz00_417);
																						BgL_arg2294z00_488 =
																							(((BgL_variablez00_bglt)
																								CREF(BgL_obj1362z00_762))->
																							BgL_idz00);
																					}
																					BgL_arg2295z00_489 =
																						(((BgL_globalz00_bglt)
																							CREF(BgL_holderz00_417))->
																						BgL_modulez00);
																					{	/* Object/predicate.scm 68 */
																						obj_t BgL_list2297z00_491;

																						{	/* Object/predicate.scm 68 */
																							obj_t BgL_arg2299z00_492;

																							BgL_arg2299z00_492 =
																								MAKE_PAIR(BNIL, BNIL);
																							BgL_list2297z00_491 =
																								MAKE_PAIR(BgL_arg2295z00_489,
																								BgL_arg2299z00_492);
																						}
																						BgL_arg2293z00_487 =
																							BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																							(BgL_arg2294z00_488,
																							BgL_list2297z00_491);
																				}}
																				BgL_arg2288z00_482 =
																					MAKE_PAIR(BgL_arg2292z00_486,
																					BgL_arg2293z00_487);
																			}
																			{	/* Object/predicate.scm 68 */
																				obj_t BgL_list2290z00_484;

																				{	/* Object/predicate.scm 68 */
																					obj_t BgL_arg2291z00_485;

																					BgL_arg2291z00_485 =
																						MAKE_PAIR(BNIL, BNIL);
																					BgL_list2290z00_484 =
																						MAKE_PAIR(BgL_arg2288z00_482,
																						BgL_arg2291z00_485);
																				}
																				BgL_arg2287z00_481 =
																					BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																					(BgL_objz00_418, BgL_list2290z00_484);
																		}}
																		BgL_arg2258z00_468 =
																			MAKE_PAIR(BgL_arg2286z00_480,
																			BgL_arg2287z00_481);
																	}
																	{	/* Object/predicate.scm 85 */
																		obj_t BgL_list2260z00_470;

																		{	/* Object/predicate.scm 85 */
																			obj_t BgL_arg2272z00_471;

																			BgL_arg2272z00_471 =
																				MAKE_PAIR(BNIL, BNIL);
																			BgL_list2260z00_470 =
																				MAKE_PAIR(BgL_arg2258z00_468,
																				BgL_arg2272z00_471);
																		}
																		BgL_arg2255z00_465 =
																			BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																			(BgL_arg2257z00_467, BgL_list2260z00_470);
																}}
																BgL_arg2247z00_462 =
																	MAKE_PAIR(BgL_arg2251z00_464,
																	BgL_arg2255z00_465);
															}
															{	/* Object/predicate.scm 85 */
																obj_t BgL_list2248z00_463;

																BgL_list2248z00_463 =
																	MAKE_PAIR(BgL_srczd2defzd2_2, BNIL);
																BgL_arg2241z00_460 =
																	BGl_epairifyza2za2zztools_miscz00
																	(BgL_arg2247z00_462, BgL_list2248z00_463);
														}}
														{	/* Object/predicate.scm 84 */
															obj_t BgL_list2242z00_461;

															BgL_list2242z00_461 =
																MAKE_PAIR(BgL_arg2241z00_460, BNIL);
															return BgL_list2242z00_461;
														}
													}
												}
											else
												{	/* Object/predicate.scm 69 */
													return BNIL;
												}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* _gen-class-pred! */
	obj_t BGl__genzd2classzd2predz12z12zzobject_predicatez00(obj_t BgL_envz00_775,
		obj_t BgL_classz00_776, obj_t BgL_srczd2defzd2_777, obj_t BgL_importz00_778)
	{
		AN_OBJECT;
		{	/* Object/predicate.scm 60 */
			return
				BGl_genzd2classzd2predz12z12zzobject_predicatez00(
				(BgL_tclassz00_bglt) (BgL_classz00_776), BgL_srczd2defzd2_777,
				BgL_importz00_778);
		}
	}



/* import-class-pred! */
	BGL_EXPORTED_DEF obj_t
		BGl_importzd2classzd2predz12z12zzobject_predicatez00(BgL_tclassz00_bglt
		BgL_classz00_4, obj_t BgL_srczd2defzd2_5, obj_t BgL_modulez00_6)
	{
		AN_OBJECT;
		{	/* Object/predicate.scm 93 */
			if (BGl_inlinezd2predzf3z21zzobject_predicatez00())
				{	/* Object/predicate.scm 94 */
					return
						BGl_genzd2classzd2predz12z12zzobject_predicatez00(BgL_classz00_4,
						BgL_srczd2defzd2_5, CNST_TABLE_REF(((long) 16)));
				}
			else
				{	/* Object/predicate.scm 98 */
					obj_t BgL_idz00_500;

					{	/* Object/predicate.scm 98 */
						BgL_typez00_bglt BgL_obj1272z00_764;

						BgL_obj1272z00_764 = (BgL_typez00_bglt) (BgL_classz00_4);
						BgL_idz00_500 =
							(((BgL_typez00_bglt) CREF(BgL_obj1272z00_764))->BgL_idz00);
					}
					{	/* Object/predicate.scm 98 */
						obj_t BgL_idzf3zf3_501;

						{	/* Object/predicate.scm 99 */
							obj_t BgL_list2314z00_512;

							{	/* Object/predicate.scm 99 */
								obj_t BgL_arg2315z00_513;

								BgL_arg2315z00_513 =
									MAKE_PAIR(CNST_TABLE_REF(((long) 1)), BNIL);
								BgL_list2314z00_512 =
									MAKE_PAIR(BgL_idz00_500, BgL_arg2315z00_513);
							}
							BgL_idzf3zf3_501 =
								BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
								(BgL_list2314z00_512);
						}
						{	/* Object/predicate.scm 99 */
							obj_t BgL_predzd2idzd2_502;

							{	/* Object/predicate.scm 100 */
								obj_t BgL_list2312z00_510;

								{	/* Object/predicate.scm 100 */
									obj_t BgL_arg2313z00_511;

									BgL_arg2313z00_511 =
										MAKE_PAIR(CNST_TABLE_REF(((long) 2)), BNIL);
									BgL_list2312z00_510 =
										MAKE_PAIR(BgL_idz00_500, BgL_arg2313z00_511);
								}
								BgL_predzd2idzd2_502 =
									BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
									(BgL_list2312z00_510);
							}
							{	/* Object/predicate.scm 101 */
								obj_t BgL_superz00_504;

								{
									obj_t BgL_auxz00_949;

									{	/* Object/predicate.scm 102 */
										BgL_objectz00_bglt BgL_auxz00_950;

										BgL_auxz00_950 = (BgL_objectz00_bglt) (BgL_classz00_4);
										BgL_auxz00_949 = BGL_OBJECT_WIDENING(BgL_auxz00_950);
									}
									BgL_superz00_504 =
										(((BgL_tclassz00_bglt) CREF(BgL_auxz00_949))->
										BgL_itszd2superzd2);
								}
								{	/* Object/predicate.scm 102 */

									if (BGl_iszd2azf3z21zz__objectz00(BgL_superz00_504,
											BGl_tclassz00zzobject_classz00))
										{	/* Object/predicate.scm 105 */
											obj_t BgL_arg2308z00_506;

											{	/* Object/predicate.scm 105 */
												obj_t BgL_arg2310z00_508;

												{	/* Object/predicate.scm 105 */
													obj_t BgL_list2311z00_509;

													BgL_list2311z00_509 = MAKE_PAIR(BNIL, BNIL);
													BgL_arg2310z00_508 =
														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
														(CNST_TABLE_REF(((long) 9)), BgL_list2311z00_509);
												}
												BgL_arg2308z00_506 =
													MAKE_PAIR(BgL_predzd2idzd2_502, BgL_arg2310z00_508);
											}
											BGl_importzd2parserzd2zzmodule_impusez00(BgL_modulez00_6,
												BgL_arg2308z00_506, BNIL);
										}
									else
										{	/* Object/predicate.scm 103 */
											BFALSE;
										}
									return BNIL;
								}
							}
						}
					}
				}
		}
	}



/* _import-class-pred! */
	obj_t BGl__importzd2classzd2predz12z12zzobject_predicatez00(obj_t
		BgL_envz00_779, obj_t BgL_classz00_780, obj_t BgL_srczd2defzd2_781,
		obj_t BgL_modulez00_782)
	{
		AN_OBJECT;
		{	/* Object/predicate.scm 93 */
			return
				BGl_importzd2classzd2predz12z12zzobject_predicatez00(
				(BgL_tclassz00_bglt) (BgL_classz00_780), BgL_srczd2defzd2_781,
				BgL_modulez00_782);
		}
	}



/* gen-java-class-pred! */
	obj_t
		BGl_genzd2javazd2classzd2predz12zc0zzobject_predicatez00(BgL_jclassz00_bglt
		BgL_classz00_7, obj_t BgL_srczd2defzd2_8, obj_t BgL_mclausez00_9)
	{
		AN_OBJECT;
		{	/* Object/predicate.scm 115 */
			{	/* Object/predicate.scm 116 */
				obj_t BgL_idz00_514;

				{	/* Object/predicate.scm 116 */
					BgL_typez00_bglt BgL_obj1272z00_768;

					BgL_obj1272z00_768 = (BgL_typez00_bglt) (BgL_classz00_7);
					BgL_idz00_514 =
						(((BgL_typez00_bglt) CREF(BgL_obj1272z00_768))->BgL_idz00);
				}
				{	/* Object/predicate.scm 116 */
					obj_t BgL_idzf3zf3_515;

					{	/* Object/predicate.scm 117 */
						obj_t BgL_list2368z00_569;

						{	/* Object/predicate.scm 117 */
							obj_t BgL_arg2369z00_570;

							BgL_arg2369z00_570 = MAKE_PAIR(CNST_TABLE_REF(((long) 1)), BNIL);
							BgL_list2368z00_569 =
								MAKE_PAIR(BgL_idz00_514, BgL_arg2369z00_570);
						}
						BgL_idzf3zf3_515 =
							BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2368z00_569);
					}
					{	/* Object/predicate.scm 117 */
						obj_t BgL_predzd2idzd2_516;

						{	/* Object/predicate.scm 118 */
							obj_t BgL_list2365z00_567;

							{	/* Object/predicate.scm 118 */
								obj_t BgL_arg2367z00_568;

								BgL_arg2367z00_568 =
									MAKE_PAIR(CNST_TABLE_REF(((long) 2)), BNIL);
								BgL_list2365z00_567 =
									MAKE_PAIR(BgL_idz00_514, BgL_arg2367z00_568);
							}
							BgL_predzd2idzd2_516 =
								BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
								(BgL_list2365z00_567);
						}
						{	/* Object/predicate.scm 118 */
							obj_t BgL_objz00_517;

							BgL_objz00_517 =
								BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
								(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
											3))));
							{	/* Object/predicate.scm 120 */

								{

									{	/* Object/predicate.scm 125 */
										obj_t BgL_arg2316z00_520;

										{	/* Object/predicate.scm 125 */
											obj_t BgL_arg2317z00_521;

											{	/* Object/predicate.scm 125 */
												obj_t BgL_arg2318z00_522;

												{	/* Object/predicate.scm 125 */
													obj_t BgL_arg2321z00_525;
													obj_t BgL_arg2322z00_526;

													BgL_arg2321z00_525 = CNST_TABLE_REF(((long) 8));
													{	/* Object/predicate.scm 125 */
														obj_t BgL_list2323z00_527;

														{	/* Object/predicate.scm 125 */
															obj_t BgL_arg2324z00_528;
															obj_t BgL_arg2325z00_529;

															BgL_arg2324z00_528 = CNST_TABLE_REF(((long) 9));
															BgL_arg2325z00_529 = MAKE_PAIR(BNIL, BNIL);
															BgL_list2323z00_527 =
																MAKE_PAIR(BgL_arg2324z00_528,
																BgL_arg2325z00_529);
														}
														BgL_arg2322z00_526 =
															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
															(BgL_predzd2idzd2_516, BgL_list2323z00_527);
													}
													BgL_arg2318z00_522 =
														MAKE_PAIR(BgL_arg2321z00_525, BgL_arg2322z00_526);
												}
												{	/* Object/predicate.scm 125 */
													obj_t BgL_list2320z00_524;

													BgL_list2320z00_524 = MAKE_PAIR(BNIL, BNIL);
													BgL_arg2317z00_521 =
														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
														(BgL_arg2318z00_522, BgL_list2320z00_524);
											}}
											BgL_arg2316z00_520 =
												MAKE_PAIR(BgL_mclausez00_9, BgL_arg2317z00_521);
										}
										BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
											(BgL_arg2316z00_520);
									}
									{	/* Object/predicate.scm 127 */
										obj_t BgL_arg2326z00_530;

										{	/* Object/predicate.scm 127 */
											obj_t BgL_arg2327z00_531;
											obj_t BgL_arg2328z00_532;

											BgL_arg2327z00_531 = CNST_TABLE_REF(((long) 10));
											{	/* Object/predicate.scm 127 */
												obj_t BgL_arg2329z00_533;

												{	/* Object/predicate.scm 127 */
													obj_t BgL_arg2333z00_536;

													{	/* Object/predicate.scm 127 */
														obj_t BgL_arg2335z00_537;
														obj_t BgL_arg2336z00_538;
														obj_t BgL_arg2337z00_539;

														{	/* Object/predicate.scm 127 */
															obj_t BgL_arg2343z00_544;
															obj_t BgL_arg2344z00_545;

															BgL_arg2343z00_544 = CNST_TABLE_REF(((long) 11));
															{	/* Object/predicate.scm 127 */
																obj_t BgL_arg2345z00_546;

																{	/* Object/predicate.scm 127 */
																	BgL_typez00_bglt BgL_obj1272z00_770;

																	BgL_obj1272z00_770 =
																		(BgL_typez00_bglt) (BgL_classz00_7);
																	BgL_arg2345z00_546 =
																		(((BgL_typez00_bglt)
																			CREF(BgL_obj1272z00_770))->BgL_idz00);
																}
																{	/* Object/predicate.scm 127 */
																	obj_t BgL_list2347z00_548;

																	BgL_list2347z00_548 = MAKE_PAIR(BNIL, BNIL);
																	BgL_arg2344z00_545 =
																		BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																		(BgL_arg2345z00_546, BgL_list2347z00_548);
															}}
															BgL_arg2335z00_537 =
																MAKE_PAIR(BgL_arg2343z00_544,
																BgL_arg2344z00_545);
														}
														BgL_arg2336z00_538 = CNST_TABLE_REF(((long) 12));
														BgL_arg2337z00_539 =
															MAKE_PAIR(CNST_TABLE_REF(((long) 13)), BNIL);
														{	/* Object/predicate.scm 127 */
															obj_t BgL_list2339z00_541;

															{	/* Object/predicate.scm 127 */
																obj_t BgL_arg2341z00_542;

																{	/* Object/predicate.scm 127 */
																	obj_t BgL_arg2342z00_543;

																	BgL_arg2342z00_543 = MAKE_PAIR(BNIL, BNIL);
																	BgL_arg2341z00_542 =
																		MAKE_PAIR(BgL_arg2337z00_539,
																		BgL_arg2342z00_543);
																}
																BgL_list2339z00_541 =
																	MAKE_PAIR(BgL_arg2336z00_538,
																	BgL_arg2341z00_542);
															}
															BgL_arg2333z00_536 =
																BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																(BgL_arg2335z00_537, BgL_list2339z00_541);
													}}
													BgL_arg2329z00_533 =
														MAKE_PAIR(BgL_idzf3zf3_515, BgL_arg2333z00_536);
												}
												{	/* Object/predicate.scm 127 */
													obj_t BgL_list2332z00_535;

													BgL_list2332z00_535 = MAKE_PAIR(BNIL, BNIL);
													BgL_arg2328z00_532 =
														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
														(BgL_arg2329z00_533, BgL_list2332z00_535);
											}}
											BgL_arg2326z00_530 =
												MAKE_PAIR(BgL_arg2327z00_531, BgL_arg2328z00_532);
										}
										BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
											(BgL_arg2326z00_530);
									}
									{	/* Object/predicate.scm 130 */
										obj_t BgL_arg2348z00_549;

										{	/* Object/predicate.scm 130 */
											obj_t BgL_arg2350z00_551;

											{	/* Object/predicate.scm 130 */
												obj_t BgL_arg2352z00_553;
												obj_t BgL_arg2353z00_554;

												if (BGl_inlinezd2predzf3z21zzobject_predicatez00())
													{	/* Object/predicate.scm 130 */
														BgL_arg2352z00_553 = CNST_TABLE_REF(((long) 14));
													}
												else
													{	/* Object/predicate.scm 130 */
														BgL_arg2352z00_553 = CNST_TABLE_REF(((long) 15));
													}
												{	/* Object/predicate.scm 131 */
													obj_t BgL_arg2355z00_556;
													obj_t BgL_arg2356z00_557;

													{	/* Object/predicate.scm 131 */
														obj_t BgL_arg2360z00_561;

														{	/* Object/predicate.scm 131 */
															obj_t BgL_list2361z00_562;

															BgL_list2361z00_562 = MAKE_PAIR(BNIL, BNIL);
															BgL_arg2360z00_561 =
																BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																(BgL_objz00_517, BgL_list2361z00_562);
														}
														BgL_arg2355z00_556 =
															MAKE_PAIR(BgL_predzd2idzd2_516,
															BgL_arg2360z00_561);
													}
													{	/* Object/predicate.scm 122 */
														obj_t BgL_list2363z00_564;

														BgL_list2363z00_564 =
															MAKE_PAIR(BgL_objz00_517, BNIL);
														BgL_arg2356z00_557 =
															BGl_makezd2privatezd2sexpz00zzast_privatez00
															(CNST_TABLE_REF(((long) 17)), BgL_idz00_514,
															BgL_list2363z00_564);
													}
													{	/* Object/predicate.scm 130 */
														obj_t BgL_list2358z00_559;

														{	/* Object/predicate.scm 130 */
															obj_t BgL_arg2359z00_560;

															BgL_arg2359z00_560 = MAKE_PAIR(BNIL, BNIL);
															BgL_list2358z00_559 =
																MAKE_PAIR(BgL_arg2356z00_557,
																BgL_arg2359z00_560);
														}
														BgL_arg2353z00_554 =
															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
															(BgL_arg2355z00_556, BgL_list2358z00_559);
												}}
												BgL_arg2350z00_551 =
													MAKE_PAIR(BgL_arg2352z00_553, BgL_arg2353z00_554);
											}
											{	/* Object/predicate.scm 130 */
												obj_t BgL_list2351z00_552;

												BgL_list2351z00_552 =
													MAKE_PAIR(BgL_srczd2defzd2_8, BNIL);
												BgL_arg2348z00_549 =
													BGl_epairifyza2za2zztools_miscz00(BgL_arg2350z00_551,
													BgL_list2351z00_552);
										}}
										{	/* Object/predicate.scm 129 */
											obj_t BgL_list2349z00_550;

											BgL_list2349z00_550 = MAKE_PAIR(BgL_arg2348z00_549, BNIL);
											return BgL_list2349z00_550;
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* import-java-class-pred! */
	BGL_EXPORTED_DEF obj_t
		BGl_importzd2javazd2classzd2predz12zc0zzobject_predicatez00
		(BgL_jclassz00_bglt BgL_classz00_10, obj_t BgL_srczd2defzd2_11,
		obj_t BgL_modulez00_12)
	{
		AN_OBJECT;
		{	/* Object/predicate.scm 138 */
			if (BGl_inlinezd2predzf3z21zzobject_predicatez00())
				{	/* Object/predicate.scm 143 */
					obj_t BgL_arg2371z00_572;

					if ((BgL_modulez00_12 == BGl_za2moduleza2z00zzmodule_modulez00))
						{	/* Object/predicate.scm 143 */
							BgL_arg2371z00_572 = CNST_TABLE_REF(((long) 18));
						}
					else
						{	/* Object/predicate.scm 143 */
							BgL_arg2371z00_572 = CNST_TABLE_REF(((long) 16));
						}
					return
						BGl_genzd2javazd2classzd2predz12zc0zzobject_predicatez00
						(BgL_classz00_10, BgL_srczd2defzd2_11, BgL_arg2371z00_572);
				}
			else
				{	/* Object/predicate.scm 145 */
					obj_t BgL_idz00_574;

					{	/* Object/predicate.scm 145 */
						BgL_typez00_bglt BgL_obj1272z00_773;

						BgL_obj1272z00_773 = (BgL_typez00_bglt) (BgL_classz00_10);
						BgL_idz00_574 =
							(((BgL_typez00_bglt) CREF(BgL_obj1272z00_773))->BgL_idz00);
					}
					{	/* Object/predicate.scm 145 */
						obj_t BgL_idzf3zf3_575;

						{	/* Object/predicate.scm 146 */
							obj_t BgL_list2380z00_584;

							{	/* Object/predicate.scm 146 */
								obj_t BgL_arg2381z00_585;

								BgL_arg2381z00_585 =
									MAKE_PAIR(CNST_TABLE_REF(((long) 1)), BNIL);
								BgL_list2380z00_584 =
									MAKE_PAIR(BgL_idz00_574, BgL_arg2381z00_585);
							}
							BgL_idzf3zf3_575 =
								BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
								(BgL_list2380z00_584);
						}
						{	/* Object/predicate.scm 146 */
							obj_t BgL_predzd2idzd2_576;

							{	/* Object/predicate.scm 147 */
								obj_t BgL_list2377z00_582;

								{	/* Object/predicate.scm 147 */
									obj_t BgL_arg2379z00_583;

									BgL_arg2379z00_583 =
										MAKE_PAIR(CNST_TABLE_REF(((long) 2)), BNIL);
									BgL_list2377z00_582 =
										MAKE_PAIR(BgL_idz00_574, BgL_arg2379z00_583);
								}
								BgL_predzd2idzd2_576 =
									BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
									(BgL_list2377z00_582);
							}
							{	/* Object/predicate.scm 148 */

								{	/* Object/predicate.scm 155 */
									obj_t BgL_arg2373z00_578;

									{	/* Object/predicate.scm 155 */
										obj_t BgL_arg2375z00_580;

										{	/* Object/predicate.scm 155 */
											obj_t BgL_list2376z00_581;

											BgL_list2376z00_581 = MAKE_PAIR(BNIL, BNIL);
											BgL_arg2375z00_580 =
												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
												(CNST_TABLE_REF(((long) 9)), BgL_list2376z00_581);
										}
										BgL_arg2373z00_578 =
											MAKE_PAIR(BgL_predzd2idzd2_576, BgL_arg2375z00_580);
									}
									BGl_importzd2parserzd2zzmodule_impusez00(BgL_modulez00_12,
										BgL_arg2373z00_578, BNIL);
								}
								return BNIL;
							}
						}
					}
				}
		}
	}



/* _import-java-class-pred! */
	obj_t BGl__importzd2javazd2classzd2predz12zc0zzobject_predicatez00(obj_t
		BgL_envz00_783, obj_t BgL_classz00_784, obj_t BgL_srczd2defzd2_785,
		obj_t BgL_modulez00_786)
	{
		AN_OBJECT;
		{	/* Object/predicate.scm 138 */
			return
				BGl_importzd2javazd2classzd2predz12zc0zzobject_predicatez00(
				(BgL_jclassz00_bglt) (BgL_classz00_784), BgL_srczd2defzd2_785,
				BgL_modulez00_786);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzobject_predicatez00()
	{
		AN_OBJECT;
		{	/* Object/predicate.scm 21 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzobject_predicatez00()
	{
		AN_OBJECT;
		{	/* Object/predicate.scm 21 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 12445515),
				BSTRING_TO_STRING(BGl_string2404z00zzobject_predicatez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string2404z00zzobject_predicatez00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 315910987),
				BSTRING_TO_STRING(BGl_string2404z00zzobject_predicatez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string2404z00zzobject_predicatez00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 171845042),
				BSTRING_TO_STRING(BGl_string2404z00zzobject_predicatez00));
			BGl_modulezd2initializa7ationz75zztype_toolsz00(((long) 195902195),
				BSTRING_TO_STRING(BGl_string2404z00zzobject_predicatez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 484733332),
				BSTRING_TO_STRING(BGl_string2404z00zzobject_predicatez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string2404z00zzobject_predicatez00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 498714928),
				BSTRING_TO_STRING(BGl_string2404z00zzobject_predicatez00));
			BGl_modulezd2initializa7ationz75zzast_privatez00(((long) 453255680),
				BSTRING_TO_STRING(BGl_string2404z00zzobject_predicatez00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 76434050),
				BSTRING_TO_STRING(BGl_string2404z00zzobject_predicatez00));
			BGl_modulezd2initializa7ationz75zzobject_structz00(((long) 112894054),
				BSTRING_TO_STRING(BGl_string2404z00zzobject_predicatez00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long) 17869975),
				BSTRING_TO_STRING(BGl_string2404z00zzobject_predicatez00));
			BGl_modulezd2initializa7ationz75zzobject_toolsz00(((long) 405988581),
				BSTRING_TO_STRING(BGl_string2404z00zzobject_predicatez00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 358171001),
				BSTRING_TO_STRING(BGl_string2404z00zzobject_predicatez00));
			BGl_modulezd2initializa7ationz75zzmodule_impusez00(((long) 457322990),
				BSTRING_TO_STRING(BGl_string2404z00zzobject_predicatez00));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 514705515),
				BSTRING_TO_STRING(BGl_string2404z00zzobject_predicatez00));
		}
	}

#ifdef __cplusplus
}
#endif
