/*===========================================================================*/
/*   (Read/include.scm)                                                      */
/*   Bigloo (2.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 25 07:31:22 CET 2006        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/2.9a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Read/include.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;


	BGL_IMPORT obj_t open_input_string(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzread_includez00 = BUNSPEC;
	static obj_t BGl__readzd2include1334zd2zzread_includez00(obj_t, obj_t);
	static obj_t BGl_za2includezd2readza2zd2zzread_includez00 = BUNSPEC;
	BGL_IMPORT obj_t close_input_port(obj_t);
	static obj_t BGl_zc3exitza31297ze3z83zzread_includez00(obj_t, obj_t);
	extern obj_t BGl_za2includezd2multipleza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(obj_t,
		obj_t);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	static obj_t BGl_cnstzd2initzd2zzread_includez00();
	static obj_t BGl_zc3exitza31324ze3z83zzread_includez00(obj_t);
	BGL_IMPORT obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzread_includez00();
	BGL_IMPORT obj_t BGl_readerzd2resetz12zc0zz__readerz00();
	BGL_EXPORTED_DECL obj_t BGl_readzd2includezd2zzread_includez00(obj_t);
	BGL_IMPORT obj_t BGl_findzd2filezf2pathz20zz__osz00(obj_t, obj_t);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzread_includez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_enginez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinit_mainz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__evalz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	static obj_t BGl_toplevelzd2initzd2zzread_includez00();
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_assocz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_valzd2fromzd2exitzf3zf3zz__bexitz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_readzd2directiveszd2zzread_includez00(obj_t);
	BGL_IMPORT obj_t BGl_za2loadzd2pathza2zd2zz__evalz00;
	static obj_t BGl__readzd2directiveszd2zzread_includez00(obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzread_includez00();
	static obj_t BGl_methodzd2initzd2zzread_includez00();
	static obj_t __cnst[2];


	   
		 
		DEFINE_STRING(BGl_string1335z00zzread_includez00,
		BgL_bgl_string1335za700za7za7r1347za7, "]", 1);
	      DEFINE_STRING(BGl_string1336z00zzread_includez00,
		BgL_bgl_string1336za700za7za7r1348za7, "      [reading include file ", 28);
	      DEFINE_STRING(BGl_string1337z00zzread_includez00,
		BgL_bgl_string1337za700za7za7r1349za7, "read-include", 12);
	      DEFINE_STRING(BGl_string1338z00zzread_includez00,
		BgL_bgl_string1338za700za7za7r1350za7, "Can't open such file", 20);
	      DEFINE_STRING(BGl_string1340z00zzread_includez00,
		BgL_bgl_string1340za700za7za7r1351za7,
		"      [reading directives include file ", 39);
	      DEFINE_STRING(BGl_string1339z00zzread_includez00,
		BgL_bgl_string1339za700za7za7r1352za7, "Can't find include file", 23);
	      DEFINE_STRING(BGl_string1341z00zzread_includez00,
		BgL_bgl_string1341za700za7za7r1353za7, "read_include", 12);
	      DEFINE_STRING(BGl_string1342z00zzread_includez00,
		BgL_bgl_string1342za700za7za7r1354za7, "read-directives directives ", 27);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_readzd2directiveszd2envz00zzread_includez00,
		BgL_bgl__readza7d2directiv1355za7,
		BGl__readzd2directiveszd2zzread_includez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_readzd2includezd2envz00zzread_includez00,
		BgL_bgl__readza7d2include11356za7,
		BGl__readzd2include1334zd2zzread_includez00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzread_includez00(long
		BgL_checksumz00_141, char *BgL_fromz00_142)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzread_includez00))
				{
					BGl_requirezd2initializa7ationz75zzread_includez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzread_includez00();
					BGl_cnstzd2initzd2zzread_includez00();
					BGl_importedzd2moduleszd2initz00zzread_includez00();
					BGl_toplevelzd2initzd2zzread_includez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzread_includez00()
	{
		AN_OBJECT;
		{	/* Read/include.scm 15 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "read_include");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"read_include");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"read_include");
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 0), "read_include");
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "read_include");
			BGl_modulezd2initializa7ationz75zz__evalz00(((long) 0), "read_include");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzread_includez00()
	{
		AN_OBJECT;
		{	/* Read/include.scm 15 */
			{	/* Read/include.scm 15 */
				obj_t BgL_cportz00_133;

				BgL_cportz00_133 =
					open_input_string(BGl_string1342z00zzread_includez00);
				{
					long BgL_iz00_134;

					BgL_iz00_134 = ((long) 1);
				BgL_loopz00_135:
					if ((BgL_iz00_134 == ((long) -1)))
						{	/* Read/include.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Read/include.scm 15 */
							{	/* Read/include.scm 15 */
								obj_t BgL_arg1346z00_137;

								{	/* Read/include.scm 15 */

									{	/* Read/include.scm 15 */
										obj_t BgL_locationz00_139;

										BgL_locationz00_139 = BBOOL(((bool_t) 0));
										{	/* Read/include.scm 15 */

											BgL_arg1346z00_137 =
												BGl_readz00zz__readerz00(BgL_cportz00_133,
												BgL_locationz00_139);
										}
									}
								}
								{	/* Read/include.scm 15 */
									int BgL_auxz00_161;

									BgL_auxz00_161 = (int) (BgL_iz00_134);
									CNST_TABLE_SET(BgL_auxz00_161, BgL_arg1346z00_137);
							}}
							{	/* Read/include.scm 15 */
								int BgL_auxz00_140;

								BgL_auxz00_140 = (int) ((BgL_iz00_134 - ((long) 1)));
								{
									long BgL_iz00_166;

									BgL_iz00_166 = (long) (BgL_auxz00_140);
									BgL_iz00_134 = BgL_iz00_166;
									goto BgL_loopz00_135;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzread_includez00()
	{
		AN_OBJECT;
		{	/* Read/include.scm 15 */
			return (BGl_za2includezd2readza2zd2zzread_includez00 = BNIL, BUNSPEC);
		}
	}



/* read-include */
	BGL_EXPORTED_DEF obj_t BGl_readzd2includezd2zzread_includez00(obj_t
		BgL_filez00_1)
	{
		AN_OBJECT;
		{	/* Read/include.scm 27 */
			{	/* Read/include.scm 28 */
				obj_t BgL_cellz00_31;

				BgL_cellz00_31 =
					BGl_assocz00zz__r4_pairs_and_lists_6_3z00(BgL_filez00_1,
					BGl_za2includezd2readza2zd2zzread_includez00);
				if (PAIRP(BgL_cellz00_31))
					{	/* Read/include.scm 29 */
						if (CBOOL(BGl_za2includezd2multipleza2zd2zzengine_paramz00))
							{	/* Read/include.scm 61 */
								return CDR(BgL_cellz00_31);
							}
						else
							{	/* Read/include.scm 61 */
								return MAKE_PAIR(BNIL, BNIL);
							}
					}
				else
					{	/* Read/include.scm 31 */
						obj_t BgL_fnamez00_33;

						BgL_fnamez00_33 =
							BGl_findzd2filezf2pathz20zz__osz00(BgL_filez00_1,
							BGl_za2loadzd2pathza2zd2zz__evalz00);
						{	/* Read/include.scm 32 */
							obj_t BgL_arg1285z00_36;

							if (CBOOL(BgL_fnamez00_33))
								{	/* Read/include.scm 32 */
									BgL_arg1285z00_36 = BgL_fnamez00_33;
								}
							else
								{	/* Read/include.scm 32 */
									BgL_arg1285z00_36 = BgL_filez00_1;
								}
							{	/* Read/include.scm 32 */
								obj_t BgL_list1287z00_38;

								{	/* Read/include.scm 32 */
									obj_t BgL_arg1289z00_39;

									{	/* Read/include.scm 32 */
										obj_t BgL_arg1290z00_40;

										{	/* Read/include.scm 32 */
											obj_t BgL_arg1291z00_41;

											BgL_arg1291z00_41 =
												MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
											BgL_arg1290z00_40 =
												MAKE_PAIR(BGl_string1335z00zzread_includez00,
												BgL_arg1291z00_41);
										}
										BgL_arg1289z00_39 =
											MAKE_PAIR(BgL_arg1285z00_36, BgL_arg1290z00_40);
									}
									BgL_list1287z00_38 =
										MAKE_PAIR(BGl_string1336z00zzread_includez00,
										BgL_arg1289z00_39);
								}
								BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
									BgL_list1287z00_38);
						}}
						BGl_readerzd2resetz12zc0zz__readerz00();
						if (STRINGP(BgL_fnamez00_33))
							{	/* Read/include.scm 37 */
								obj_t BgL_portz00_44;

								BgL_portz00_44 =
									BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00
									(BgL_fnamez00_33, BNIL);
								if (INPUT_PORTP(BgL_portz00_44))
									{	/* Read/include.scm 42 */
										obj_t BgL_val1273z00_46;

										BgL_val1273z00_46 =
											BGl_zc3exitza31297ze3z83zzread_includez00(BgL_filez00_1,
											BgL_portz00_44);
										close_input_port(BgL_portz00_44);
										if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
												(BgL_val1273z00_46)))
											{	/* Read/include.scm 60 */
												return
													BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
													(BgL_val1273z00_46), CDR(BgL_val1273z00_46));
											}
										else
											{	/* Read/include.scm 60 */
												return BgL_val1273z00_46;
											}
									}
								else
									{	/* Read/include.scm 38 */
										return
											BGl_userzd2errorzd2zztools_errorz00
											(BGl_string1337z00zzread_includez00,
											BGl_string1338z00zzread_includez00, BgL_filez00_1, BNIL);
									}
							}
						else
							{	/* Read/include.scm 35 */
								return
									BGl_userzd2errorzd2zztools_errorz00
									(BGl_string1337z00zzread_includez00,
									BGl_string1339z00zzread_includez00, BgL_filez00_1, BNIL);
							}
					}
			}
		}
	}



/* <exit:1297> */
	obj_t BGl_zc3exitza31297ze3z83zzread_includez00(obj_t BgL_filez00_132,
		obj_t BgL_portz00_131)
	{
		AN_OBJECT;
		{	/* Read/include.scm 60 */
			jmp_buf jmpbuf;
			obj_t BgL_an_exit1274z00_51;

			{
				BGL_STORE_TRACE();
				if (SET_EXIT(BgL_an_exit1274z00_51))
					{
						BGL_RESTORE_TRACE();
						return _exit_value_;
					}
				else
					{
						BgL_an_exit1274z00_51 = (obj_t) jmpbuf;
						{	/* Read/include.scm 60 */

							PUSH_EXIT(BgL_an_exit1274z00_51, ((long) 0));
							{	/* Read/include.scm 43 */
								obj_t BgL_val1275z00_52;

								{	/* Read/include.scm 43 */
									obj_t BgL_firstz00_53;

									BgL_firstz00_53 =
										BGl_readz00zz__readerz00(BgL_portz00_131, BTRUE);
									{	/* Read/include.scm 43 */
										obj_t BgL_direcz00_54;

										{	/* Read/include.scm 44 */
											bool_t BgL_testz00_205;

											if (PAIRP(BgL_firstz00_53))
												{	/* Read/include.scm 44 */
													BgL_testz00_205 =
														(CAR(BgL_firstz00_53) ==
														CNST_TABLE_REF(((long) 0)));
												}
											else
												{	/* Read/include.scm 44 */
													BgL_testz00_205 = ((bool_t) 0);
												}
											if (BgL_testz00_205)
												{	/* Read/include.scm 44 */
													BgL_direcz00_54 = BgL_firstz00_53;
												}
											else
												{	/* Read/include.scm 44 */
													BgL_direcz00_54 = BNIL;
												}
										}
										{	/* Read/include.scm 44 */

											{	/* Read/include.scm 49 */
												obj_t BgL_g1276z00_55;

												if (PAIRP(BgL_direcz00_54))
													{	/* Read/include.scm 49 */
														BgL_g1276z00_55 =
															BGl_readz00zz__readerz00(BgL_portz00_131, BTRUE);
													}
												else
													{	/* Read/include.scm 49 */
														BgL_g1276z00_55 = BgL_firstz00_53;
													}
												{
													obj_t BgL_auxz00_57;
													obj_t BgL_sexpz00_58;

													BgL_auxz00_57 = BgL_g1276z00_55;
													BgL_sexpz00_58 = BNIL;
												BgL_loopz00_59:
													if (EOF_OBJECTP(BgL_auxz00_57))
														{	/* Read/include.scm 54 */
															obj_t BgL_rz00_61;

															BgL_rz00_61 =
																MAKE_PAIR(BgL_direcz00_54,
																bgl_reverse_bang(BgL_sexpz00_58));
															{	/* Read/include.scm 56 */
																obj_t BgL_arg1333z00_113;

																BgL_arg1333z00_113 =
																	MAKE_PAIR(BgL_filez00_132, BgL_rz00_61);
																BGl_za2includezd2readza2zd2zzread_includez00 =
																	MAKE_PAIR(BgL_arg1333z00_113,
																	BGl_za2includezd2readza2zd2zzread_includez00);
															}
															BgL_val1275z00_52 = BgL_rz00_61;
														}
													else
														{	/* Read/include.scm 58 */
															obj_t BgL_arg1301z00_63;
															obj_t BgL_arg1302z00_64;

															BgL_arg1301z00_63 =
																BGl_readz00zz__readerz00(BgL_portz00_131,
																BTRUE);
															BgL_arg1302z00_64 =
																MAKE_PAIR(BgL_auxz00_57, BgL_sexpz00_58);
															{
																obj_t BgL_sexpz00_223;
																obj_t BgL_auxz00_222;

																BgL_auxz00_222 = BgL_arg1301z00_63;
																BgL_sexpz00_223 = BgL_arg1302z00_64;
																BgL_sexpz00_58 = BgL_sexpz00_223;
																BgL_auxz00_57 = BgL_auxz00_222;
																goto BgL_loopz00_59;
															}
														}
												}
											}
										}
									}
								}
								POP_EXIT();
								return BgL_val1275z00_52;
							}
						}
					}
			}
		}
	}



/* _read-include1334 */
	obj_t BGl__readzd2include1334zd2zzread_includez00(obj_t BgL_envz00_126,
		obj_t BgL_filez00_127)
	{
		AN_OBJECT;
		{	/* Read/include.scm 27 */
			return BGl_readzd2includezd2zzread_includez00(BgL_filez00_127);
		}
	}



/* read-directives */
	BGL_EXPORTED_DEF obj_t BGl_readzd2directiveszd2zzread_includez00(obj_t
		BgL_filez00_2)
	{
		AN_OBJECT;
		{	/* Read/include.scm 68 */
			{	/* Read/include.scm 69 */
				obj_t BgL_fnamez00_73;

				BgL_fnamez00_73 =
					BGl_findzd2filezf2pathz20zz__osz00(BgL_filez00_2,
					BGl_za2loadzd2pathza2zd2zz__evalz00);
				{	/* Read/include.scm 70 */
					obj_t BgL_arg1313z00_76;

					if (CBOOL(BgL_fnamez00_73))
						{	/* Read/include.scm 70 */
							BgL_arg1313z00_76 = BgL_fnamez00_73;
						}
					else
						{	/* Read/include.scm 70 */
							BgL_arg1313z00_76 = BgL_filez00_2;
						}
					{	/* Read/include.scm 70 */
						obj_t BgL_list1315z00_78;

						{	/* Read/include.scm 70 */
							obj_t BgL_arg1316z00_79;

							{	/* Read/include.scm 70 */
								obj_t BgL_arg1317z00_80;

								{	/* Read/include.scm 70 */
									obj_t BgL_arg1318z00_81;

									BgL_arg1318z00_81 =
										MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
									BgL_arg1317z00_80 =
										MAKE_PAIR(BGl_string1335z00zzread_includez00,
										BgL_arg1318z00_81);
								}
								BgL_arg1316z00_79 =
									MAKE_PAIR(BgL_arg1313z00_76, BgL_arg1317z00_80);
							}
							BgL_list1315z00_78 =
								MAKE_PAIR(BGl_string1340z00zzread_includez00,
								BgL_arg1316z00_79);
						}
						BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
							BgL_list1315z00_78);
				}}
				BGl_readerzd2resetz12zc0zz__readerz00();
				if (STRINGP(BgL_fnamez00_73))
					{	/* Read/include.scm 75 */
						obj_t BgL_portz00_84;

						BgL_portz00_84 =
							BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(BgL_fnamez00_73,
							BNIL);
						if (INPUT_PORTP(BgL_portz00_84))
							{	/* Read/include.scm 78 */
								obj_t BgL_val1279z00_86;

								BgL_val1279z00_86 =
									BGl_zc3exitza31324ze3z83zzread_includez00(BgL_portz00_84);
								close_input_port(BgL_portz00_84);
								if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
										(BgL_val1279z00_86)))
									{	/* Read/include.scm 83 */
										return
											BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
											(BgL_val1279z00_86), CDR(BgL_val1279z00_86));
									}
								else
									{	/* Read/include.scm 83 */
										return BgL_val1279z00_86;
									}
							}
						else
							{	/* Read/include.scm 76 */
								return
									BGl_userzd2errorzd2zztools_errorz00(CNST_TABLE_REF(((long)
											1)), BGl_string1338z00zzread_includez00, BgL_filez00_2,
									BNIL);
					}}
				else
					{	/* Read/include.scm 73 */
						return
							BGl_userzd2errorzd2zztools_errorz00(CNST_TABLE_REF(((long) 1)),
							BGl_string1339z00zzread_includez00, BgL_filez00_2, BNIL);
		}}}
	}



/* <exit:1324> */
	obj_t BGl_zc3exitza31324ze3z83zzread_includez00(obj_t BgL_portz00_130)
	{
		AN_OBJECT;
		{	/* Read/include.scm 83 */
			jmp_buf jmpbuf;
			obj_t BgL_an_exit1280z00_91;

			{
				BGL_STORE_TRACE();
				if (SET_EXIT(BgL_an_exit1280z00_91))
					{
						BGL_RESTORE_TRACE();
						return _exit_value_;
					}
				else
					{
						BgL_an_exit1280z00_91 = (obj_t) jmpbuf;
						{	/* Read/include.scm 83 */

							PUSH_EXIT(BgL_an_exit1280z00_91, ((long) 0));
							{	/* Read/include.scm 79 */
								obj_t BgL_val1281z00_92;

								{	/* Read/include.scm 79 */
									obj_t BgL_firstz00_93;

									BgL_firstz00_93 =
										BGl_readz00zz__readerz00(BgL_portz00_130, BTRUE);
									{	/* Read/include.scm 80 */
										bool_t BgL_testz00_258;

										if (PAIRP(BgL_firstz00_93))
											{	/* Read/include.scm 80 */
												BgL_testz00_258 =
													(CAR(BgL_firstz00_93) == CNST_TABLE_REF(((long) 0)));
											}
										else
											{	/* Read/include.scm 80 */
												BgL_testz00_258 = ((bool_t) 0);
											}
										if (BgL_testz00_258)
											{	/* Read/include.scm 80 */
												BgL_val1281z00_92 = CDR(BgL_firstz00_93);
											}
										else
											{	/* Read/include.scm 80 */
												BgL_val1281z00_92 = BNIL;
											}
									}
								}
								POP_EXIT();
								return BgL_val1281z00_92;
							}
						}
					}
			}
		}
	}



/* _read-directives */
	obj_t BGl__readzd2directiveszd2zzread_includez00(obj_t BgL_envz00_128,
		obj_t BgL_filez00_129)
	{
		AN_OBJECT;
		{	/* Read/include.scm 68 */
			return BGl_readzd2directiveszd2zzread_includez00(BgL_filez00_129);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzread_includez00()
	{
		AN_OBJECT;
		{	/* Read/include.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzread_includez00()
	{
		AN_OBJECT;
		{	/* Read/include.scm 15 */
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 514705515),
				BSTRING_TO_STRING(BGl_string1341z00zzread_includez00));
			BGl_modulezd2initializa7ationz75zzengine_enginez00(((long) 528201616),
				BSTRING_TO_STRING(BGl_string1341z00zzread_includez00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 182148081),
				BSTRING_TO_STRING(BGl_string1341z00zzread_includez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string1341z00zzread_includez00));
			return
				BGl_modulezd2initializa7ationz75zzinit_mainz00(((long) 230845835),
				BSTRING_TO_STRING(BGl_string1341z00zzread_includez00));
		}
	}

#ifdef __cplusplus
}
#endif
