/*===========================================================================*/
/*   (SawJvm/type.scm)                                                       */
/*   Bigloo (2.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 25 07:31:22 CET 2006        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/2.9a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent SawJvm/type.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2heapzd2formatz00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_isaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		struct BgL_typez00_bgl *BgL_classz00;
	}             *BgL_isaz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_bvmz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
	}             *BgL_bvmz00_bglt;

	typedef struct BgL_jvmz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		obj_t BgL_qnamez00;
		obj_t BgL_classesz00;
		obj_t BgL_currentzd2classzd2;
		obj_t BgL_declarationsz00;
		obj_t BgL_fieldsz00;
		obj_t BgL_methodsz00;
		obj_t BgL_currentzd2methodzd2;
		obj_t BgL_codez00;
	}             *BgL_jvmz00_bglt;

	typedef struct BgL_rtl_regz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_varz00;
		obj_t BgL_onexprzf3zf3;
		obj_t BgL_namez00;
		obj_t BgL_keyz00;
		obj_t BgL_hardwarez00;
	}                 *BgL_rtl_regz00_bglt;

	typedef struct BgL_rtl_funz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_funz00_bglt;

	typedef struct BgL_rtl_lastz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                  *BgL_rtl_lastz00_bglt;

	typedef struct BgL_rtl_returnz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                    *BgL_rtl_returnz00_bglt;

	typedef struct BgL_rtl_jumpexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                      *BgL_rtl_jumpexitz00_bglt;

	typedef struct BgL_rtl_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                  *BgL_rtl_failz00_bglt;

	typedef struct BgL_rtl_notseqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                    *BgL_rtl_notseqz00_bglt;

	typedef struct BgL_rtl_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                *BgL_rtl_ifz00_bglt;

	typedef struct BgL_rtl_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_patternsz00;
	}                    *BgL_rtl_selectz00_bglt;

	typedef struct BgL_rtl_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_patternsz00;
		obj_t BgL_labelsz00;
	}                    *BgL_rtl_switchz00_bglt;

	typedef struct BgL_rtl_ifeqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_thenz00;
	}                  *BgL_rtl_ifeqz00_bglt;

	typedef struct BgL_rtl_ifnez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_thenz00;
	}                  *BgL_rtl_ifnez00_bglt;

	typedef struct BgL_rtl_goz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_toz00;
	}                *BgL_rtl_goz00_bglt;

	typedef struct BgL_rtl_purez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                  *BgL_rtl_purez00_bglt;

	typedef struct BgL_rtl_nopz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_nopz00_bglt;

	typedef struct BgL_rtl_movz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_movz00_bglt;

	typedef struct BgL_rtl_loadiz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_atomz00_bgl *BgL_constantz00;
	}                   *BgL_rtl_loadiz00_bglt;

	typedef struct BgL_rtl_loadgz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                   *BgL_rtl_loadgz00_bglt;

	typedef struct BgL_rtl_loadfunz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                     *BgL_rtl_loadfunz00_bglt;

	typedef struct BgL_rtl_globalrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                       *BgL_rtl_globalrefz00_bglt;

	typedef struct BgL_rtl_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_objtypez00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                      *BgL_rtl_getfieldz00_bglt;

	typedef struct BgL_rtl_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_rtl_vallocz00_bglt;

	typedef struct BgL_rtl_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                  *BgL_rtl_vrefz00_bglt;

	typedef struct BgL_rtl_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                     *BgL_rtl_vlengthz00_bglt;

	typedef struct BgL_rtl_isaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                 *BgL_rtl_isaz00_bglt;

	typedef struct BgL_rtl_makeboxz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                     *BgL_rtl_makeboxz00_bglt;

	typedef struct BgL_rtl_boxrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                    *BgL_rtl_boxrefz00_bglt;

	typedef struct BgL_rtl_effectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                    *BgL_rtl_effectz00_bglt;

	typedef struct BgL_rtl_storegz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                    *BgL_rtl_storegz00_bglt;

	typedef struct BgL_rtl_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_objtypez00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                      *BgL_rtl_setfieldz00_bglt;

	typedef struct BgL_rtl_vsetz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                  *BgL_rtl_vsetz00_bglt;

	typedef struct BgL_rtl_boxsetz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                    *BgL_rtl_boxsetz00_bglt;

	typedef struct BgL_rtl_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_constrz00;
	}                 *BgL_rtl_newz00_bglt;

	typedef struct BgL_rtl_callz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                  *BgL_rtl_callz00_bglt;

	typedef struct BgL_rtl_applyz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                   *BgL_rtl_applyz00_bglt;

	typedef struct BgL_rtl_lightfuncallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                          *BgL_rtl_lightfuncallz00_bglt;

	typedef struct BgL_rtl_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                     *BgL_rtl_funcallz00_bglt;

	typedef struct BgL_rtl_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_formatz00;
	}                    *BgL_rtl_pragmaz00_bglt;

	typedef struct BgL_rtl_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                  *BgL_rtl_castz00_bglt;

	typedef struct BgL_rtl_cast_nullz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                       *BgL_rtl_cast_nullz00_bglt;

	typedef struct BgL_rtl_protectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                     *BgL_rtl_protectz00_bglt;

	typedef struct BgL_rtl_protectedz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                       *BgL_rtl_protectedz00_bglt;

	typedef struct BgL_rtl_insz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_z52spillz52;
		obj_t BgL_destz00;
		struct BgL_rtl_funz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}                 *BgL_rtl_insz00_bglt;

	typedef struct BgL_blockz00_bgl
	{
		header_t header;
		obj_t widening;
		int BgL_labelz00;
		obj_t BgL_predsz00;
		obj_t BgL_succsz00;
		obj_t BgL_firstz00;
	}               *BgL_blockz00_bglt;

	typedef struct BgL_jvmbasicz00_bgl
	{
		char dummy;
	}                  *BgL_jvmbasicz00_bglt;


	static obj_t BGl_siza7ezd2destzd2funzd2rtl_pu4175z75zzsaw_jvm_typez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_siza7ezd2destzd2funzd2rtl_ap4189z75zzsaw_jvm_typez00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2namezd2zz__objectz00(obj_t);
	BGL_IMPORT obj_t open_input_string(obj_t);
	extern obj_t BGl_rtl_castz00zzsaw_defsz00;
	extern obj_t BGl_rtl_regz00zzsaw_defsz00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzsaw_jvm_typez00 = BUNSPEC;
	BGL_EXPORTED_DECL int BGl_typeSiza7eza7zzsaw_jvm_typez00(BgL_typez00_bglt);
	static BgL_typez00_bglt
		BGl_typezd2destzd2funzd2defaul4196zd2zzsaw_jvm_typez00(BgL_rtl_funz00_bglt);
	static obj_t BGl_siza7ezd2destzd2funzd2rtl_ne4187z75zzsaw_jvm_typez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_rtl_applyz00zzsaw_defsz00;
	static obj_t BGl_siza7ezd2destzd2funzd2rtl_la4169z75zzsaw_jvm_typez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_siza7ezd2destzd2funzd2rtl_no4171z75zzsaw_jvm_typez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl__siza7ezd2destz75zzsaw_jvm_typez00(obj_t, obj_t);
	static obj_t BGl_siza7ezd2destzd2funzd2rtl_ca4195z75zzsaw_jvm_typez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzsaw_jvm_typez00();
	static obj_t BGl_importedzd2moduleszd2initz00zzsaw_jvm_typez00();
	static obj_t BGl_siza7ezd2destzd2funzd2rtl_fu4193z75zzsaw_jvm_typez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl__siza7ezd2destzd2funzd2defaul4166z75zzsaw_jvm_typez00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_notseqz00zzsaw_defsz00;
	static obj_t BGl__typeSiza7eza7zzsaw_jvm_typez00(obj_t, obj_t);
	extern obj_t BGl_rtl_lastz00zzsaw_defsz00;
	static obj_t BGl_siza7ezd2destzd2funzd2rtl_li4191z75zzsaw_jvm_typez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzsaw_jvm_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_bvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_jvm_classz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_namesz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	static obj_t BGl__typezd2destzd2funz00zzsaw_jvm_typez00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzsaw_jvm_typez00();
	static obj_t BGl_siza7ezd2destzd2funzd2rtl_ge4183z75zzsaw_jvm_typez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_rtl_funcallz00zzsaw_defsz00;
	extern obj_t BGl_rtl_lightfuncallz00zzsaw_defsz00;
	BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
	static obj_t BGl_siza7ezd2destzd2funzd2rtl_mo4177z75zzsaw_jvm_typez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_siza7ezd2destzd2funzd2rtl_ef4173z75zzsaw_jvm_typez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_rtl_getfieldz00zzsaw_defsz00;
	static obj_t BGl_typezd2destzd2funzd2rtl_ca4199zd2zzsaw_jvm_typez00(obj_t,
		obj_t);
	static BgL_typez00_bglt
		BGl_typezd2destzd2funz00zzsaw_jvm_typez00(BgL_rtl_funz00_bglt);
	extern obj_t BGl_rtl_effectz00zzsaw_defsz00;
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_rtl_loadgz00zzsaw_defsz00;
	extern obj_t BGl_rtl_loadiz00zzsaw_defsz00;
	BGL_EXPORTED_DECL int BGl_siza7ezd2destz75zzsaw_jvm_typez00(obj_t);
	static int
		BGl_siza7ezd2destzd2funzd2defaul4166z75zzsaw_jvm_typez00
		(BgL_rtl_funz00_bglt, BgL_rtl_insz00_bglt);
	static obj_t BGl__typezd2destzd2funzd2defaul4196zd2zzsaw_jvm_typez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_rtl_newz00zzsaw_defsz00;
	extern obj_t BGl_rtl_vrefz00zzsaw_defsz00;
	static obj_t BGl_siza7ezd2destzd2funzd2rtl_vr4185z75zzsaw_jvm_typez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_rtl_movz00zzsaw_defsz00;
	static obj_t BGl__siza7ezd2destzd2funza7zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
	extern obj_t BGl_rtl_purez00zzsaw_defsz00;
	static obj_t BGl_za2za2longzd2typesza2za2zd2zzsaw_jvm_typez00 = BUNSPEC;
	static obj_t BGl_siza7ezd2destzd2funzd2rtl_lo4179z75zzsaw_jvm_typez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_siza7ezd2destzd2funzd2rtl_lo4181z75zzsaw_jvm_typez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_jvm_typez00();
	static int BGl_siza7ezd2destzd2funza7zzsaw_jvm_typez00(BgL_rtl_funz00_bglt,
		BgL_rtl_insz00_bglt);
	static obj_t BGl_methodzd2initzd2zzsaw_jvm_typez00();
	extern obj_t BGl_rtl_callz00zzsaw_defsz00;
	static obj_t __cnst[3];


	   
		 
		DEFINE_STATIC_BGL_GENERIC(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
		BgL_bgl__siza7a7eza7d2destza7d4347za7,
		BGl__siza7ezd2destzd2funza7zzsaw_jvm_typez00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_siza7ezd2destzd2funzd2defaul4166zd2envza7zzsaw_jvm_typez00,
		BgL_bgl__siza7a7eza7d2destza7d4348za7,
		BGl__siza7ezd2destzd2funzd2defaul4166z75zzsaw_jvm_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string4342z00zzsaw_jvm_typez00,
		BgL_bgl_string4342za700za7za7s4349za7, "no method for", 13);
	      DEFINE_STRING(BGl_string4343z00zzsaw_jvm_typez00,
		BgL_bgl_string4343za700za7za7s4350za7, "saw_jvm_type", 12);
	      DEFINE_STRING(BGl_string4344z00zzsaw_jvm_typez00,
		BgL_bgl_string4344za700za7za7s4351za7,
		"size-dest-fun void (elong llong uelong ullong double) ", 54);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_typezd2destzd2funzd2envzd2zzsaw_jvm_typez00,
		BgL_bgl__typeza7d2destza7d2f4352z00,
		BGl__typezd2destzd2funz00zzsaw_jvm_typez00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_typezd2destzd2funzd2defaul4196zd2envz00zzsaw_jvm_typez00,
		BgL_bgl__typeza7d2destza7d2f4353z00,
		BGl__typezd2destzd2funzd2defaul4196zd2zzsaw_jvm_typez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_typeSiza7ezd2envz75zzsaw_jvm_typez00,
		BgL_bgl__typesiza7a7eza7a7za7za74354z00,
		BGl__typeSiza7eza7zzsaw_jvm_typez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_siza7ezd2destzd2envza7zzsaw_jvm_typez00,
		BgL_bgl__siza7a7eza7d2destza774355za7,
		BGl__siza7ezd2destz75zzsaw_jvm_typez00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_typez00(long
		BgL_checksumz00_2152, char *BgL_fromz00_2153)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsaw_jvm_typez00))
				{
					BGl_requirezd2initializa7ationz75zzsaw_jvm_typez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzsaw_jvm_typez00();
					BGl_cnstzd2initzd2zzsaw_jvm_typez00();
					BGl_importedzd2moduleszd2initz00zzsaw_jvm_typez00();
					BGl_methodzd2initzd2zzsaw_jvm_typez00();
					BGl_toplevelzd2initzd2zzsaw_jvm_typez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_jvm_typez00()
	{
		AN_OBJECT;
		{	/* SawJvm/type.scm 1 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "saw_jvm_type");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "saw_jvm_type");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "saw_jvm_type");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"saw_jvm_type");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_jvm_typez00()
	{
		AN_OBJECT;
		{	/* SawJvm/type.scm 1 */
			{	/* SawJvm/type.scm 1 */
				obj_t BgL_cportz00_2122;

				BgL_cportz00_2122 =
					open_input_string(BGl_string4344z00zzsaw_jvm_typez00);
				{
					long BgL_iz00_2123;

					BgL_iz00_2123 = ((long) 2);
				BgL_loopz00_2124:
					if ((BgL_iz00_2123 == ((long) -1)))
						{	/* SawJvm/type.scm 1 */
							return BUNSPEC;
						}
					else
						{	/* SawJvm/type.scm 1 */
							{	/* SawJvm/type.scm 1 */
								obj_t BgL_arg4346z00_2126;

								{	/* SawJvm/type.scm 1 */

									{	/* SawJvm/type.scm 1 */
										obj_t BgL_locationz00_2128;

										BgL_locationz00_2128 = BBOOL(((bool_t) 0));
										{	/* SawJvm/type.scm 1 */

											BgL_arg4346z00_2126 =
												BGl_readz00zz__readerz00(BgL_cportz00_2122,
												BgL_locationz00_2128);
										}
									}
								}
								{	/* SawJvm/type.scm 1 */
									int BgL_auxz00_2171;

									BgL_auxz00_2171 = (int) (BgL_iz00_2123);
									CNST_TABLE_SET(BgL_auxz00_2171, BgL_arg4346z00_2126);
							}}
							{	/* SawJvm/type.scm 1 */
								int BgL_auxz00_2129;

								BgL_auxz00_2129 = (int) ((BgL_iz00_2123 - ((long) 1)));
								{
									long BgL_iz00_2176;

									BgL_iz00_2176 = (long) (BgL_auxz00_2129);
									BgL_iz00_2123 = BgL_iz00_2176;
									goto BgL_loopz00_2124;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzsaw_jvm_typez00()
	{
		AN_OBJECT;
		{	/* SawJvm/type.scm 1 */
			BGl_za2za2longzd2typesza2za2zd2zzsaw_jvm_typez00 =
				CNST_TABLE_REF(((long) 0));
			return BUNSPEC;
		}
	}



/* typeSize */
	BGL_EXPORTED_DEF int BGl_typeSiza7eza7zzsaw_jvm_typez00(BgL_typez00_bglt
		BgL_typez00_1)
	{
		AN_OBJECT;
		{	/* SawJvm/type.scm 18 */
			{	/* SawJvm/type.scm 19 */
				obj_t BgL_idz00_1198;

				BgL_idz00_1198 = (((BgL_typez00_bglt) CREF(BgL_typez00_1))->BgL_idz00);
				if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_idz00_1198,
							BGl_za2za2longzd2typesza2za2zd2zzsaw_jvm_typez00)))
					{	/* SawJvm/type.scm 20 */
						return (int) (((long) 2));
					}
				else
					{	/* SawJvm/type.scm 20 */
						if ((BgL_idz00_1198 == CNST_TABLE_REF(((long) 1))))
							{	/* SawJvm/type.scm 21 */
								return (int) (((long) 0));
							}
						else
							{	/* SawJvm/type.scm 21 */
								return (int) (((long) 1));
		}}}}
	}



/* _typeSize */
	obj_t BGl__typeSiza7eza7zzsaw_jvm_typez00(obj_t BgL_envz00_2049,
		obj_t BgL_typez00_2050)
	{
		AN_OBJECT;
		{	/* SawJvm/type.scm 18 */
			return
				BINT(BGl_typeSiza7eza7zzsaw_jvm_typez00(
					(BgL_typez00_bglt) (BgL_typez00_2050)));
		}
	}



/* size-dest */
	BGL_EXPORTED_DEF int BGl_siza7ezd2destz75zzsaw_jvm_typez00(obj_t BgL_insz00_2)
	{
		AN_OBJECT;
		{	/* SawJvm/type.scm 24 */
			if (BGl_iszd2azf3z21zz__objectz00(BgL_insz00_2,
					BGl_rtl_regz00zzsaw_defsz00))
				{	/* SawJvm/type.scm 26 */
					BgL_typez00_bglt BgL_auxz00_2194;

					{	/* SawJvm/type.scm 26 */
						BgL_rtl_regz00_bglt BgL_obj3378z00_1903;

						BgL_obj3378z00_1903 = (BgL_rtl_regz00_bglt) (BgL_insz00_2);
						BgL_auxz00_2194 =
							(((BgL_rtl_regz00_bglt) CREF(BgL_obj3378z00_1903))->BgL_typez00);
					}
					return BGl_typeSiza7eza7zzsaw_jvm_typez00(BgL_auxz00_2194);
				}
			else
				{	/* SawJvm/type.scm 28 */
					bool_t BgL_testz00_2198;

					{	/* SawJvm/type.scm 28 */
						BgL_rtl_insz00_bglt BgL_obj4045z00_1904;

						BgL_obj4045z00_1904 = (BgL_rtl_insz00_bglt) (BgL_insz00_2);
						BgL_testz00_2198 =
							CBOOL(
							(((BgL_rtl_insz00_bglt) CREF(BgL_obj4045z00_1904))->BgL_destz00));
					}
					if (BgL_testz00_2198)
						{	/* SawJvm/type.scm 29 */
							BgL_typez00_bglt BgL_auxz00_2202;

							{	/* SawJvm/type.scm 29 */
								BgL_rtl_regz00_bglt BgL_obj3378z00_1906;

								{	/* SawJvm/type.scm 29 */
									BgL_rtl_insz00_bglt BgL_obj4045z00_1905;

									BgL_obj4045z00_1905 = (BgL_rtl_insz00_bglt) (BgL_insz00_2);
									{	/* SawJvm/type.scm 29 */
										obj_t BgL_auxz00_2204;

										BgL_auxz00_2204 =
											(((BgL_rtl_insz00_bglt) CREF(BgL_obj4045z00_1905))->
											BgL_destz00);
										BgL_obj3378z00_1906 =
											(BgL_rtl_regz00_bglt) (BgL_auxz00_2204);
									}
								}
								BgL_auxz00_2202 =
									(((BgL_rtl_regz00_bglt) CREF(BgL_obj3378z00_1906))->
									BgL_typez00);
							}
							return BGl_typeSiza7eza7zzsaw_jvm_typez00(BgL_auxz00_2202);
						}
					else
						{	/* SawJvm/type.scm 30 */
							BgL_rtl_funz00_bglt BgL_arg4207z00_1207;

							{	/* SawJvm/type.scm 30 */
								BgL_rtl_insz00_bglt BgL_obj4048z00_1907;

								BgL_obj4048z00_1907 = (BgL_rtl_insz00_bglt) (BgL_insz00_2);
								BgL_arg4207z00_1207 =
									(((BgL_rtl_insz00_bglt) CREF(BgL_obj4048z00_1907))->
									BgL_funz00);
							}
							{	/* SawJvm/type.scm 30 */
								int BgL_res4333z00_1935;

								{	/* SawJvm/type.scm 30 */
									BgL_rtl_insz00_bglt BgL_insz00_1909;

									BgL_insz00_1909 = (BgL_rtl_insz00_bglt) (BgL_insz00_2);
									{	/* SawJvm/type.scm 30 */
										obj_t BgL_method4167z00_1910;

										{	/* SawJvm/type.scm 30 */
											BgL_objectz00_bglt BgL_objz00_1911;

											BgL_objz00_1911 =
												(BgL_objectz00_bglt) (BgL_arg4207z00_1207);
											{	/* SawJvm/type.scm 30 */
												long BgL_objzd2classzd2numz00_1912;

												BgL_objzd2classzd2numz00_1912 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_1911);
												{	/* SawJvm/type.scm 30 */
													obj_t BgL_arg2273z00_1913;

													BgL_arg2273z00_1913 =
														PROCEDURE_REF
														(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
														(int) (((long) 1)));
													{	/* SawJvm/type.scm 30 */
														obj_t BgL_arrayz00_1915;
														int BgL_offsetz00_1916;

														BgL_arrayz00_1915 = BgL_arg2273z00_1913;
														BgL_offsetz00_1916 =
															(int) (BgL_objzd2classzd2numz00_1912);
														{	/* SawJvm/type.scm 30 */
															long BgL_offsetz00_1917;

															BgL_offsetz00_1917 =
																((long) (BgL_offsetz00_1916) - OBJECT_TYPE);
															{	/* SawJvm/type.scm 30 */
																long BgL_modz00_1918;

																{	/* SawJvm/type.scm 30 */
																	int BgL_arg2275z00_1919;

																	BgL_arg2275z00_1919 = (int) (((long) 8));
																	{	/* SawJvm/type.scm 30 */
																		long BgL_auxz00_2220;

																		BgL_auxz00_2220 =
																			(long) (BgL_arg2275z00_1919);
																		BgL_modz00_1918 =
																			(BgL_offsetz00_1917 / BgL_auxz00_2220);
																}}
																{	/* SawJvm/type.scm 30 */
																	long BgL_restz00_1920;

																	{	/* SawJvm/type.scm 30 */
																		int BgL_arg2274z00_1921;

																		BgL_arg2274z00_1921 = (int) (((long) 8));
																		{	/* SawJvm/type.scm 30 */
																			long BgL_auxz00_2224;

																			BgL_auxz00_2224 =
																				(long) (BgL_arg2274z00_1921);
																			BgL_restz00_1920 =
																				(BgL_offsetz00_1917 % BgL_auxz00_2224);
																	}}
																	{	/* SawJvm/type.scm 30 */

																		BgL_method4167z00_1910 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_1915,
																				(int) (BgL_modz00_1918)),
																			(int) (BgL_restz00_1920));
										}}}}}}}}
										BgL_res4333z00_1935 =
											CINT(PROCEDURE_ENTRY(BgL_method4167z00_1910)
											(BgL_method4167z00_1910, (obj_t) (BgL_arg4207z00_1207),
												(obj_t) (BgL_insz00_1909), BEOA));
								}}
								return BgL_res4333z00_1935;
							}
						}
				}
		}
	}



/* _size-dest */
	obj_t BGl__siza7ezd2destz75zzsaw_jvm_typez00(obj_t BgL_envz00_2051,
		obj_t BgL_insz00_2052)
	{
		AN_OBJECT;
		{	/* SawJvm/type.scm 24 */
			return BINT(BGl_siza7ezd2destz75zzsaw_jvm_typez00(BgL_insz00_2052));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_jvm_typez00()
	{
		AN_OBJECT;
		{	/* SawJvm/type.scm 1 */
			BGl_addzd2genericz12zc0zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_siza7ezd2destzd2funzd2defaul4166zd2envza7zzsaw_jvm_typez00);
			{	/* SawJvm/type.scm 1 */
				obj_t BgL_siza7ezd2destzd2funzd2rtl_la4169z75_2070;

				BgL_siza7ezd2destzd2funzd2rtl_la4169z75_2070 =
					make_fx_procedure
					(BGl_siza7ezd2destzd2funzd2rtl_la4169z75zzsaw_jvm_typez00,
					(int) (((long) 2)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
					BGl_rtl_lastz00zzsaw_defsz00,
					BgL_siza7ezd2destzd2funzd2rtl_la4169z75_2070);
			}
			{	/* SawJvm/type.scm 1 */
				obj_t BgL_siza7ezd2destzd2funzd2rtl_no4171z75_2069;

				BgL_siza7ezd2destzd2funzd2rtl_no4171z75_2069 =
					make_fx_procedure
					(BGl_siza7ezd2destzd2funzd2rtl_no4171z75zzsaw_jvm_typez00,
					(int) (((long) 2)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
					BGl_rtl_notseqz00zzsaw_defsz00,
					BgL_siza7ezd2destzd2funzd2rtl_no4171z75_2069);
			}
			{	/* SawJvm/type.scm 1 */
				obj_t BgL_siza7ezd2destzd2funzd2rtl_ef4173z75_2068;

				BgL_siza7ezd2destzd2funzd2rtl_ef4173z75_2068 =
					make_fx_procedure
					(BGl_siza7ezd2destzd2funzd2rtl_ef4173z75zzsaw_jvm_typez00,
					(int) (((long) 2)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
					BGl_rtl_effectz00zzsaw_defsz00,
					BgL_siza7ezd2destzd2funzd2rtl_ef4173z75_2068);
			}
			{	/* SawJvm/type.scm 1 */
				obj_t BgL_siza7ezd2destzd2funzd2rtl_pu4175z75_2067;

				BgL_siza7ezd2destzd2funzd2rtl_pu4175z75_2067 =
					make_fx_procedure
					(BGl_siza7ezd2destzd2funzd2rtl_pu4175z75zzsaw_jvm_typez00,
					(int) (((long) 2)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
					BGl_rtl_purez00zzsaw_defsz00,
					BgL_siza7ezd2destzd2funzd2rtl_pu4175z75_2067);
			}
			{	/* SawJvm/type.scm 1 */
				obj_t BgL_siza7ezd2destzd2funzd2rtl_mo4177z75_2066;

				BgL_siza7ezd2destzd2funzd2rtl_mo4177z75_2066 =
					make_fx_procedure
					(BGl_siza7ezd2destzd2funzd2rtl_mo4177z75zzsaw_jvm_typez00,
					(int) (((long) 2)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
					BGl_rtl_movz00zzsaw_defsz00,
					BgL_siza7ezd2destzd2funzd2rtl_mo4177z75_2066);
			}
			{	/* SawJvm/type.scm 1 */
				obj_t BgL_siza7ezd2destzd2funzd2rtl_lo4179z75_2065;

				BgL_siza7ezd2destzd2funzd2rtl_lo4179z75_2065 =
					make_fx_procedure
					(BGl_siza7ezd2destzd2funzd2rtl_lo4179z75zzsaw_jvm_typez00,
					(int) (((long) 2)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
					BGl_rtl_loadiz00zzsaw_defsz00,
					BgL_siza7ezd2destzd2funzd2rtl_lo4179z75_2065);
			}
			{	/* SawJvm/type.scm 1 */
				obj_t BgL_siza7ezd2destzd2funzd2rtl_lo4181z75_2064;

				BgL_siza7ezd2destzd2funzd2rtl_lo4181z75_2064 =
					make_fx_procedure
					(BGl_siza7ezd2destzd2funzd2rtl_lo4181z75zzsaw_jvm_typez00,
					(int) (((long) 2)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
					BGl_rtl_loadgz00zzsaw_defsz00,
					BgL_siza7ezd2destzd2funzd2rtl_lo4181z75_2064);
			}
			{	/* SawJvm/type.scm 1 */
				obj_t BgL_siza7ezd2destzd2funzd2rtl_ge4183z75_2063;

				BgL_siza7ezd2destzd2funzd2rtl_ge4183z75_2063 =
					make_fx_procedure
					(BGl_siza7ezd2destzd2funzd2rtl_ge4183z75zzsaw_jvm_typez00,
					(int) (((long) 2)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
					BGl_rtl_getfieldz00zzsaw_defsz00,
					BgL_siza7ezd2destzd2funzd2rtl_ge4183z75_2063);
			}
			{	/* SawJvm/type.scm 1 */
				obj_t BgL_siza7ezd2destzd2funzd2rtl_vr4185z75_2062;

				BgL_siza7ezd2destzd2funzd2rtl_vr4185z75_2062 =
					make_fx_procedure
					(BGl_siza7ezd2destzd2funzd2rtl_vr4185z75zzsaw_jvm_typez00,
					(int) (((long) 2)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
					BGl_rtl_vrefz00zzsaw_defsz00,
					BgL_siza7ezd2destzd2funzd2rtl_vr4185z75_2062);
			}
			{	/* SawJvm/type.scm 1 */
				obj_t BgL_siza7ezd2destzd2funzd2rtl_ne4187z75_2061;

				BgL_siza7ezd2destzd2funzd2rtl_ne4187z75_2061 =
					make_fx_procedure
					(BGl_siza7ezd2destzd2funzd2rtl_ne4187z75zzsaw_jvm_typez00,
					(int) (((long) 2)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
					BGl_rtl_newz00zzsaw_defsz00,
					BgL_siza7ezd2destzd2funzd2rtl_ne4187z75_2061);
			}
			{	/* SawJvm/type.scm 1 */
				obj_t BgL_siza7ezd2destzd2funzd2rtl_ap4189z75_2060;

				BgL_siza7ezd2destzd2funzd2rtl_ap4189z75_2060 =
					make_fx_procedure
					(BGl_siza7ezd2destzd2funzd2rtl_ap4189z75zzsaw_jvm_typez00,
					(int) (((long) 2)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
					BGl_rtl_applyz00zzsaw_defsz00,
					BgL_siza7ezd2destzd2funzd2rtl_ap4189z75_2060);
			}
			{	/* SawJvm/type.scm 1 */
				obj_t BgL_siza7ezd2destzd2funzd2rtl_li4191z75_2059;

				BgL_siza7ezd2destzd2funzd2rtl_li4191z75_2059 =
					make_fx_procedure
					(BGl_siza7ezd2destzd2funzd2rtl_li4191z75zzsaw_jvm_typez00,
					(int) (((long) 2)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
					BGl_rtl_lightfuncallz00zzsaw_defsz00,
					BgL_siza7ezd2destzd2funzd2rtl_li4191z75_2059);
			}
			{	/* SawJvm/type.scm 1 */
				obj_t BgL_siza7ezd2destzd2funzd2rtl_fu4193z75_2058;

				BgL_siza7ezd2destzd2funzd2rtl_fu4193z75_2058 =
					make_fx_procedure
					(BGl_siza7ezd2destzd2funzd2rtl_fu4193z75zzsaw_jvm_typez00,
					(int) (((long) 2)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
					BGl_rtl_funcallz00zzsaw_defsz00,
					BgL_siza7ezd2destzd2funzd2rtl_fu4193z75_2058);
			}
			{	/* SawJvm/type.scm 1 */
				obj_t BgL_siza7ezd2destzd2funzd2rtl_ca4195z75_2057;

				BgL_siza7ezd2destzd2funzd2rtl_ca4195z75_2057 =
					make_fx_procedure
					(BGl_siza7ezd2destzd2funzd2rtl_ca4195z75zzsaw_jvm_typez00,
					(int) (((long) 2)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
					BGl_rtl_castz00zzsaw_defsz00,
					BgL_siza7ezd2destzd2funzd2rtl_ca4195z75_2057);
			}
			BGl_addzd2genericz12zc0zz__objectz00
				(BGl_typezd2destzd2funzd2envzd2zzsaw_jvm_typez00,
				BGl_typezd2destzd2funzd2defaul4196zd2envz00zzsaw_jvm_typez00);
			{	/* SawJvm/type.scm 1 */
				obj_t BgL_typezd2destzd2funzd2rtl_ca4199zd2_2056;

				BgL_typezd2destzd2funzd2rtl_ca4199zd2_2056 =
					make_fx_procedure
					(BGl_typezd2destzd2funzd2rtl_ca4199zd2zzsaw_jvm_typez00,
					(int) (((long) 1)), (int) (((long) 0)));
				return
					BGl_addzd2methodz12zc0zz__objectz00
					(BGl_typezd2destzd2funzd2envzd2zzsaw_jvm_typez00,
					BGl_rtl_callz00zzsaw_defsz00,
					BgL_typezd2destzd2funzd2rtl_ca4199zd2_2056);
			}
		}
	}



/* type-dest-fun-rtl_ca4199 */
	obj_t BGl_typezd2destzd2funzd2rtl_ca4199zd2zzsaw_jvm_typez00(obj_t
		BgL_envz00_2071, obj_t BgL_funz00_2072)
	{
		AN_OBJECT;
		{	/* SawJvm/type.scm 78 */
			{
				BgL_rtl_callz00_bglt BgL_funz00_1888;

				{	/* SawJvm/type.scm 79 */
					BgL_typez00_bglt BgL_auxz00_2300;

					BgL_funz00_1888 = (BgL_rtl_callz00_bglt) (BgL_funz00_2072);
					{	/* SawJvm/type.scm 79 */
						BgL_variablez00_bglt BgL_obj1366z00_1962;

						{	/* SawJvm/type.scm 79 */
							BgL_globalz00_bglt BgL_auxz00_2301;

							BgL_auxz00_2301 =
								(((BgL_rtl_callz00_bglt) CREF(BgL_funz00_1888))->BgL_varz00);
							BgL_obj1366z00_1962 = (BgL_variablez00_bglt) (BgL_auxz00_2301);
						}
						BgL_auxz00_2300 =
							(((BgL_variablez00_bglt) CREF(BgL_obj1366z00_1962))->BgL_typez00);
					}
					return (obj_t) (BgL_auxz00_2300);
				}
			}
		}
	}



/* size-dest-fun-rtl_ca4195 */
	obj_t BGl_siza7ezd2destzd2funzd2rtl_ca4195z75zzsaw_jvm_typez00(obj_t
		BgL_envz00_2073, obj_t BgL_funz00_2074, obj_t BgL_insz00_2075)
	{
		AN_OBJECT;
		{	/* SawJvm/type.scm 70 */
			return BINT(((long) 1));
		}
	}



/* size-dest-fun-rtl_fu4193 */
	obj_t BGl_siza7ezd2destzd2funzd2rtl_fu4193z75zzsaw_jvm_typez00(obj_t
		BgL_envz00_2076, obj_t BgL_funz00_2077, obj_t BgL_insz00_2078)
	{
		AN_OBJECT;
		{	/* SawJvm/type.scm 69 */
			return BINT(((long) 1));
		}
	}



/* size-dest-fun-rtl_li4191 */
	obj_t BGl_siza7ezd2destzd2funzd2rtl_li4191z75zzsaw_jvm_typez00(obj_t
		BgL_envz00_2079, obj_t BgL_funz00_2080, obj_t BgL_insz00_2081)
	{
		AN_OBJECT;
		{	/* SawJvm/type.scm 68 */
			return BINT(((long) 1));
		}
	}



/* size-dest-fun-rtl_ap4189 */
	obj_t BGl_siza7ezd2destzd2funzd2rtl_ap4189z75zzsaw_jvm_typez00(obj_t
		BgL_envz00_2082, obj_t BgL_funz00_2083, obj_t BgL_insz00_2084)
	{
		AN_OBJECT;
		{	/* SawJvm/type.scm 67 */
			return BINT(((long) 1));
		}
	}



/* size-dest-fun-rtl_ne4187 */
	obj_t BGl_siza7ezd2destzd2funzd2rtl_ne4187z75zzsaw_jvm_typez00(obj_t
		BgL_envz00_2085, obj_t BgL_funz00_2086, obj_t BgL_insz00_2087)
	{
		AN_OBJECT;
		{	/* SawJvm/type.scm 66 */
			return BINT(((long) 1));
		}
	}



/* size-dest-fun-rtl_vr4185 */
	obj_t BGl_siza7ezd2destzd2funzd2rtl_vr4185z75zzsaw_jvm_typez00(obj_t
		BgL_envz00_2088, obj_t BgL_funz00_2089, obj_t BgL_insz00_2090)
	{
		AN_OBJECT;
		{	/* SawJvm/type.scm 62 */
			{	/* SawJvm/type.scm 63 */
				int BgL_auxz00_2312;

				{	/* SawJvm/type.scm 63 */
					BgL_rtl_vrefz00_bglt BgL_funz00_2140;

					BgL_funz00_2140 = (BgL_rtl_vrefz00_bglt) (BgL_funz00_2089);
					BgL_auxz00_2312 =
						BGl_typeSiza7eza7zzsaw_jvm_typez00(
						(((BgL_rtl_vrefz00_bglt) CREF(BgL_funz00_2140))->BgL_typez00));
				}
				return BINT(BgL_auxz00_2312);
			}
		}
	}



/* size-dest-fun-rtl_ge4183 */
	obj_t BGl_siza7ezd2destzd2funzd2rtl_ge4183z75zzsaw_jvm_typez00(obj_t
		BgL_envz00_2091, obj_t BgL_funz00_2092, obj_t BgL_insz00_2093)
	{
		AN_OBJECT;
		{	/* SawJvm/type.scm 59 */
			{	/* SawJvm/type.scm 60 */
				int BgL_auxz00_2317;

				{	/* SawJvm/type.scm 60 */
					BgL_rtl_getfieldz00_bglt BgL_funz00_2142;

					BgL_funz00_2142 = (BgL_rtl_getfieldz00_bglt) (BgL_funz00_2092);
					BgL_auxz00_2317 =
						BGl_typeSiza7eza7zzsaw_jvm_typez00(
						(((BgL_rtl_getfieldz00_bglt) CREF(BgL_funz00_2142))->BgL_typez00));
				}
				return BINT(BgL_auxz00_2317);
			}
		}
	}



/* size-dest-fun-rtl_lo4181 */
	obj_t BGl_siza7ezd2destzd2funzd2rtl_lo4181z75zzsaw_jvm_typez00(obj_t
		BgL_envz00_2094, obj_t BgL_funz00_2095, obj_t BgL_insz00_2096)
	{
		AN_OBJECT;
		{	/* SawJvm/type.scm 56 */
			{
				BgL_rtl_loadgz00_bglt BgL_funz00_1836;
				obj_t BgL_insz00_1837;

				{	/* SawJvm/type.scm 57 */
					int BgL_auxz00_2322;

					BgL_funz00_1836 = (BgL_rtl_loadgz00_bglt) (BgL_funz00_2095);
					BgL_insz00_1837 = BgL_insz00_2096;
					{	/* SawJvm/type.scm 57 */
						BgL_typez00_bglt BgL_auxz00_2323;

						{	/* SawJvm/type.scm 57 */
							BgL_variablez00_bglt BgL_obj1366z00_1955;

							{	/* SawJvm/type.scm 57 */
								BgL_globalz00_bglt BgL_auxz00_2324;

								BgL_auxz00_2324 =
									(((BgL_rtl_loadgz00_bglt) CREF(BgL_funz00_1836))->BgL_varz00);
								BgL_obj1366z00_1955 = (BgL_variablez00_bglt) (BgL_auxz00_2324);
							}
							BgL_auxz00_2323 =
								(((BgL_variablez00_bglt) CREF(BgL_obj1366z00_1955))->
								BgL_typez00);
						}
						BgL_auxz00_2322 =
							BGl_typeSiza7eza7zzsaw_jvm_typez00(BgL_auxz00_2323);
					}
					return BINT(BgL_auxz00_2322);
				}
			}
		}
	}



/* size-dest-fun-rtl_lo4179 */
	obj_t BGl_siza7ezd2destzd2funzd2rtl_lo4179z75zzsaw_jvm_typez00(obj_t
		BgL_envz00_2097, obj_t BgL_funz00_2098, obj_t BgL_insz00_2099)
	{
		AN_OBJECT;
		{	/* SawJvm/type.scm 49 */
			{
				BgL_rtl_loadiz00_bglt BgL_funz00_1826;
				obj_t BgL_insz00_1827;

				{	/* SawJvm/type.scm 50 */
					int BgL_auxz00_2331;

					BgL_funz00_1826 = (BgL_rtl_loadiz00_bglt) (BgL_funz00_2098);
					BgL_insz00_1827 = BgL_insz00_2099;
					{	/* SawJvm/type.scm 50 */
						BgL_atomz00_bglt BgL_constantz00_1830;

						BgL_constantz00_1830 =
							(((BgL_rtl_loadiz00_bglt) CREF(BgL_funz00_1826))->
							BgL_constantz00);
						{	/* SawJvm/type.scm 51 */
							obj_t BgL_valuez00_1831;

							BgL_valuez00_1831 =
								(((BgL_atomz00_bglt) CREF(BgL_constantz00_1830))->BgL_valuez00);
							{	/* SawJvm/type.scm 52 */
								bool_t BgL_testz00_2334;

								if (INTEGERP(BgL_valuez00_1831))
									{	/* SawJvm/type.scm 52 */
										BgL_testz00_2334 = ((bool_t) 1);
									}
								else
									{	/* SawJvm/type.scm 52 */
										if (REALP(BgL_valuez00_1831))
											{	/* SawJvm/type.scm 52 */
												BgL_testz00_2334 = ((bool_t) 1);
											}
										else
											{	/* SawJvm/type.scm 52 */
												if (ELONGP(BgL_valuez00_1831))
													{	/* SawJvm/type.scm 52 */
														BgL_testz00_2334 = ((bool_t) 1);
													}
												else
													{	/* SawJvm/type.scm 52 */
														BgL_testz00_2334 = LLONGP(BgL_valuez00_1831);
													}
											}
									}
								if (BgL_testz00_2334)
									{	/* SawJvm/type.scm 53 */
										BgL_typez00_bglt BgL_auxz00_2342;

										{	/* SawJvm/type.scm 53 */
											BgL_nodez00_bglt BgL_obj1845z00_1951;

											BgL_obj1845z00_1951 =
												(BgL_nodez00_bglt) (BgL_constantz00_1830);
											BgL_auxz00_2342 =
												(((BgL_nodez00_bglt) CREF(BgL_obj1845z00_1951))->
												BgL_typez00);
										}
										BgL_auxz00_2331 =
											BGl_typeSiza7eza7zzsaw_jvm_typez00(BgL_auxz00_2342);
									}
								else
									{	/* SawJvm/type.scm 52 */
										BgL_auxz00_2331 = (int) (((long) 1));
					}}}}
					return BINT(BgL_auxz00_2331);
				}
			}
		}
	}



/* size-dest-fun-rtl_mo4177 */
	obj_t BGl_siza7ezd2destzd2funzd2rtl_mo4177z75zzsaw_jvm_typez00(obj_t
		BgL_envz00_2100, obj_t BgL_funz00_2101, obj_t BgL_insz00_2102)
	{
		AN_OBJECT;
		{	/* SawJvm/type.scm 46 */
			{
				BgL_rtl_movz00_bglt BgL_funz00_1818;
				obj_t BgL_insz00_1819;

				{	/* SawJvm/type.scm 47 */
					int BgL_auxz00_2349;

					BgL_funz00_1818 = (BgL_rtl_movz00_bglt) (BgL_funz00_2101);
					BgL_insz00_1819 = BgL_insz00_2102;
					{	/* SawJvm/type.scm 47 */
						obj_t BgL_arg4306z00_1936;

						{	/* SawJvm/type.scm 47 */
							obj_t BgL_pairz00_1939;

							{	/* SawJvm/type.scm 47 */
								BgL_rtl_insz00_bglt BgL_obj4052z00_1938;

								BgL_obj4052z00_1938 = (BgL_rtl_insz00_bglt) (BgL_insz00_1819);
								BgL_pairz00_1939 =
									(((BgL_rtl_insz00_bglt) CREF(BgL_obj4052z00_1938))->
									BgL_argsz00);
							}
							BgL_arg4306z00_1936 = CAR(BgL_pairz00_1939);
						}
						BgL_auxz00_2349 =
							BGl_siza7ezd2destz75zzsaw_jvm_typez00(BgL_arg4306z00_1936);
					}
					return BINT(BgL_auxz00_2349);
				}
			}
		}
	}



/* size-dest-fun-rtl_pu4175 */
	obj_t BGl_siza7ezd2destzd2funzd2rtl_pu4175z75zzsaw_jvm_typez00(obj_t
		BgL_envz00_2103, obj_t BgL_funz00_2104, obj_t BgL_insz00_2105)
	{
		AN_OBJECT;
		{	/* SawJvm/type.scm 44 */
			return BINT(((long) 1));
		}
	}



/* size-dest-fun-rtl_ef4173 */
	obj_t BGl_siza7ezd2destzd2funzd2rtl_ef4173z75zzsaw_jvm_typez00(obj_t
		BgL_envz00_2106, obj_t BgL_funz00_2107, obj_t BgL_insz00_2108)
	{
		AN_OBJECT;
		{	/* SawJvm/type.scm 41 */
			return BINT(((long) 0));
		}
	}



/* size-dest-fun-rtl_no4171 */
	obj_t BGl_siza7ezd2destzd2funzd2rtl_no4171z75zzsaw_jvm_typez00(obj_t
		BgL_envz00_2109, obj_t BgL_funz00_2110, obj_t BgL_insz00_2111)
	{
		AN_OBJECT;
		{	/* SawJvm/type.scm 40 */
			return BINT(((long) 0));
		}
	}



/* size-dest-fun-rtl_la4169 */
	obj_t BGl_siza7ezd2destzd2funzd2rtl_la4169z75zzsaw_jvm_typez00(obj_t
		BgL_envz00_2112, obj_t BgL_funz00_2113, obj_t BgL_insz00_2114)
	{
		AN_OBJECT;
		{	/* SawJvm/type.scm 39 */
			return BINT(((long) 0));
		}
	}



/* size-dest-fun */
	int BGl_siza7ezd2destzd2funza7zzsaw_jvm_typez00(BgL_rtl_funz00_bglt
		BgL_funz00_3, BgL_rtl_insz00_bglt BgL_insz00_4)
	{
		AN_OBJECT;
		{	/* SawJvm/type.scm 35 */
			{	/* SawJvm/type.scm 35 */
				obj_t BgL_method4167z00_1963;

				{	/* SawJvm/type.scm 35 */
					BgL_objectz00_bglt BgL_objz00_1964;

					BgL_objz00_1964 = (BgL_objectz00_bglt) (BgL_funz00_3);
					{	/* SawJvm/type.scm 35 */
						long BgL_objzd2classzd2numz00_1965;

						BgL_objzd2classzd2numz00_1965 =
							BGL_OBJECT_CLASS_NUM(BgL_objz00_1964);
						{	/* SawJvm/type.scm 35 */
							obj_t BgL_arg2273z00_1966;

							BgL_arg2273z00_1966 =
								PROCEDURE_REF(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
								(int) (((long) 1)));
							{	/* SawJvm/type.scm 35 */
								obj_t BgL_arrayz00_1968;
								int BgL_offsetz00_1969;

								BgL_arrayz00_1968 = BgL_arg2273z00_1966;
								BgL_offsetz00_1969 = (int) (BgL_objzd2classzd2numz00_1965);
								{	/* SawJvm/type.scm 35 */
									long BgL_offsetz00_1970;

									BgL_offsetz00_1970 =
										((long) (BgL_offsetz00_1969) - OBJECT_TYPE);
									{	/* SawJvm/type.scm 35 */
										long BgL_modz00_1971;

										{	/* SawJvm/type.scm 35 */
											int BgL_arg2275z00_1972;

											BgL_arg2275z00_1972 = (int) (((long) 8));
											{	/* SawJvm/type.scm 35 */
												long BgL_auxz00_2368;

												BgL_auxz00_2368 = (long) (BgL_arg2275z00_1972);
												BgL_modz00_1971 =
													(BgL_offsetz00_1970 / BgL_auxz00_2368);
										}}
										{	/* SawJvm/type.scm 35 */
											long BgL_restz00_1973;

											{	/* SawJvm/type.scm 35 */
												int BgL_arg2274z00_1974;

												BgL_arg2274z00_1974 = (int) (((long) 8));
												{	/* SawJvm/type.scm 35 */
													long BgL_auxz00_2372;

													BgL_auxz00_2372 = (long) (BgL_arg2274z00_1974);
													BgL_restz00_1973 =
														(BgL_offsetz00_1970 % BgL_auxz00_2372);
											}}
											{	/* SawJvm/type.scm 35 */

												BgL_method4167z00_1963 =
													VECTOR_REF(VECTOR_REF(BgL_arrayz00_1968,
														(int) (BgL_modz00_1971)), (int) (BgL_restz00_1973));
				}}}}}}}}
				return
					CINT(PROCEDURE_ENTRY(BgL_method4167z00_1963) (BgL_method4167z00_1963,
						(obj_t) (BgL_funz00_3), (obj_t) (BgL_insz00_4), BEOA));
			}
		}
	}



/* _size-dest-fun */
	obj_t BGl__siza7ezd2destzd2funza7zzsaw_jvm_typez00(obj_t BgL_envz00_2053,
		obj_t BgL_funz00_2054, obj_t BgL_insz00_2055)
	{
		AN_OBJECT;
		{	/* SawJvm/type.scm 35 */
			return
				BINT(BGl_siza7ezd2destzd2funza7zzsaw_jvm_typez00(
					(BgL_rtl_funz00_bglt) (BgL_funz00_2054),
					(BgL_rtl_insz00_bglt) (BgL_insz00_2055)));
		}
	}



/* size-dest-fun-defaul4166 */
	int
		BGl_siza7ezd2destzd2funzd2defaul4166z75zzsaw_jvm_typez00(BgL_rtl_funz00_bglt
		BgL_funz00_5, BgL_rtl_insz00_bglt BgL_insz00_6)
	{
		AN_OBJECT;
		{	/* SawJvm/type.scm 1 */
			{	/* SawJvm/type.scm 37 */
				BgL_typez00_bglt BgL_arg4326z00_1988;

				{	/* SawJvm/type.scm 37 */
					BgL_typez00_bglt BgL_res4339z00_2015;

					{	/* SawJvm/type.scm 37 */
						obj_t BgL_method4197z00_1990;

						{	/* SawJvm/type.scm 37 */
							BgL_objectz00_bglt BgL_objz00_1991;

							BgL_objz00_1991 = (BgL_objectz00_bglt) (BgL_funz00_5);
							{	/* SawJvm/type.scm 37 */
								long BgL_objzd2classzd2numz00_1992;

								BgL_objzd2classzd2numz00_1992 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1991);
								{	/* SawJvm/type.scm 37 */
									obj_t BgL_arg2273z00_1993;

									BgL_arg2273z00_1993 =
										PROCEDURE_REF
										(BGl_typezd2destzd2funzd2envzd2zzsaw_jvm_typez00,
										(int) (((long) 1)));
									{	/* SawJvm/type.scm 37 */
										obj_t BgL_arrayz00_1995;
										int BgL_offsetz00_1996;

										BgL_arrayz00_1995 = BgL_arg2273z00_1993;
										BgL_offsetz00_1996 = (int) (BgL_objzd2classzd2numz00_1992);
										{	/* SawJvm/type.scm 37 */
											long BgL_offsetz00_1997;

											BgL_offsetz00_1997 =
												((long) (BgL_offsetz00_1996) - OBJECT_TYPE);
											{	/* SawJvm/type.scm 37 */
												long BgL_modz00_1998;

												{	/* SawJvm/type.scm 37 */
													int BgL_arg2275z00_1999;

													BgL_arg2275z00_1999 = (int) (((long) 8));
													{	/* SawJvm/type.scm 37 */
														long BgL_auxz00_2396;

														BgL_auxz00_2396 = (long) (BgL_arg2275z00_1999);
														BgL_modz00_1998 =
															(BgL_offsetz00_1997 / BgL_auxz00_2396);
												}}
												{	/* SawJvm/type.scm 37 */
													long BgL_restz00_2000;

													{	/* SawJvm/type.scm 37 */
														int BgL_arg2274z00_2001;

														BgL_arg2274z00_2001 = (int) (((long) 8));
														{	/* SawJvm/type.scm 37 */
															long BgL_auxz00_2400;

															BgL_auxz00_2400 = (long) (BgL_arg2274z00_2001);
															BgL_restz00_2000 =
																(BgL_offsetz00_1997 % BgL_auxz00_2400);
													}}
													{	/* SawJvm/type.scm 37 */

														BgL_method4197z00_1990 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1995,
																(int) (BgL_modz00_1998)),
															(int) (BgL_restz00_2000));
						}}}}}}}}
						{	/* SawJvm/type.scm 37 */
							obj_t BgL_auxz00_2407;

							BgL_auxz00_2407 =
								PROCEDURE_ENTRY(BgL_method4197z00_1990) (BgL_method4197z00_1990,
								(obj_t) (BgL_funz00_5), BEOA);
							BgL_res4339z00_2015 = (BgL_typez00_bglt) (BgL_auxz00_2407);
					}}
					BgL_arg4326z00_1988 = BgL_res4339z00_2015;
				}
				return BGl_typeSiza7eza7zzsaw_jvm_typez00(BgL_arg4326z00_1988);
			}
		}
	}



/* _size-dest-fun-defaul4166 */
	obj_t BGl__siza7ezd2destzd2funzd2defaul4166z75zzsaw_jvm_typez00(obj_t
		BgL_envz00_2115, obj_t BgL_funz00_2116, obj_t BgL_insz00_2117)
	{
		AN_OBJECT;
		{	/* SawJvm/type.scm 1 */
			return
				BINT(BGl_siza7ezd2destzd2funzd2defaul4166z75zzsaw_jvm_typez00(
					(BgL_rtl_funz00_bglt) (BgL_funz00_2116),
					(BgL_rtl_insz00_bglt) (BgL_insz00_2117)));
		}
	}



/* type-dest-fun */
	BgL_typez00_bglt BGl_typezd2destzd2funz00zzsaw_jvm_typez00(BgL_rtl_funz00_bglt
		BgL_funz00_35)
	{
		AN_OBJECT;
		{	/* SawJvm/type.scm 74 */
			{	/* SawJvm/type.scm 74 */
				obj_t BgL_method4197z00_2016;

				{	/* SawJvm/type.scm 74 */
					BgL_objectz00_bglt BgL_objz00_2017;

					BgL_objz00_2017 = (BgL_objectz00_bglt) (BgL_funz00_35);
					{	/* SawJvm/type.scm 74 */
						long BgL_objzd2classzd2numz00_2018;

						BgL_objzd2classzd2numz00_2018 =
							BGL_OBJECT_CLASS_NUM(BgL_objz00_2017);
						{	/* SawJvm/type.scm 74 */
							obj_t BgL_arg2273z00_2019;

							BgL_arg2273z00_2019 =
								PROCEDURE_REF(BGl_typezd2destzd2funzd2envzd2zzsaw_jvm_typez00,
								(int) (((long) 1)));
							{	/* SawJvm/type.scm 74 */
								obj_t BgL_arrayz00_2021;
								int BgL_offsetz00_2022;

								BgL_arrayz00_2021 = BgL_arg2273z00_2019;
								BgL_offsetz00_2022 = (int) (BgL_objzd2classzd2numz00_2018);
								{	/* SawJvm/type.scm 74 */
									long BgL_offsetz00_2023;

									BgL_offsetz00_2023 =
										((long) (BgL_offsetz00_2022) - OBJECT_TYPE);
									{	/* SawJvm/type.scm 74 */
										long BgL_modz00_2024;

										{	/* SawJvm/type.scm 74 */
											int BgL_arg2275z00_2025;

											BgL_arg2275z00_2025 = (int) (((long) 8));
											{	/* SawJvm/type.scm 74 */
												long BgL_auxz00_2425;

												BgL_auxz00_2425 = (long) (BgL_arg2275z00_2025);
												BgL_modz00_2024 =
													(BgL_offsetz00_2023 / BgL_auxz00_2425);
										}}
										{	/* SawJvm/type.scm 74 */
											long BgL_restz00_2026;

											{	/* SawJvm/type.scm 74 */
												int BgL_arg2274z00_2027;

												BgL_arg2274z00_2027 = (int) (((long) 8));
												{	/* SawJvm/type.scm 74 */
													long BgL_auxz00_2429;

													BgL_auxz00_2429 = (long) (BgL_arg2274z00_2027);
													BgL_restz00_2026 =
														(BgL_offsetz00_2023 % BgL_auxz00_2429);
											}}
											{	/* SawJvm/type.scm 74 */

												BgL_method4197z00_2016 =
													VECTOR_REF(VECTOR_REF(BgL_arrayz00_2021,
														(int) (BgL_modz00_2024)), (int) (BgL_restz00_2026));
				}}}}}}}}
				{	/* SawJvm/type.scm 74 */
					obj_t BgL_auxz00_2436;

					BgL_auxz00_2436 =
						PROCEDURE_ENTRY(BgL_method4197z00_2016) (BgL_method4197z00_2016,
						(obj_t) (BgL_funz00_35), BEOA);
					return (BgL_typez00_bglt) (BgL_auxz00_2436);
				}
			}
		}
	}



/* _type-dest-fun */
	obj_t BGl__typezd2destzd2funz00zzsaw_jvm_typez00(obj_t BgL_envz00_2118,
		obj_t BgL_funz00_2119)
	{
		AN_OBJECT;
		{	/* SawJvm/type.scm 74 */
			{	/* SawJvm/type.scm 74 */
				BgL_typez00_bglt BgL_auxz00_2441;

				BgL_auxz00_2441 =
					BGl_typezd2destzd2funz00zzsaw_jvm_typez00(
					(BgL_rtl_funz00_bglt) (BgL_funz00_2119));
				return (obj_t) (BgL_auxz00_2441);
			}
		}
	}



/* type-dest-fun-defaul4196 */
	BgL_typez00_bglt
		BGl_typezd2destzd2funzd2defaul4196zd2zzsaw_jvm_typez00(BgL_rtl_funz00_bglt
		BgL_funz00_36)
	{
		AN_OBJECT;
		{	/* SawJvm/type.scm 1 */
			{	/* SawJvm/type.scm 76 */
				obj_t BgL_arg4327z00_1897;
				obj_t BgL_arg4329z00_1899;

				BgL_arg4327z00_1897 = CNST_TABLE_REF(((long) 2));
				{	/* SawJvm/type.scm 76 */
					obj_t BgL_arg4330z00_1900;

					{	/* SawJvm/type.scm 76 */
						BgL_objectz00_bglt BgL_objectz00_2041;

						BgL_objectz00_2041 = (BgL_objectz00_bglt) (BgL_funz00_36);
						{	/* SawJvm/type.scm 76 */
							long BgL_arg2276z00_2042;

							{	/* SawJvm/type.scm 76 */
								long BgL_arg2277z00_2043;

								BgL_arg2277z00_2043 = BGL_OBJECT_CLASS_NUM(BgL_objectz00_2041);
								BgL_arg2276z00_2042 = (BgL_arg2277z00_2043 - OBJECT_TYPE);
							}
							BgL_arg4330z00_1900 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								(int) (BgL_arg2276z00_2042));
					}}
					BgL_arg4329z00_1899 =
						BGl_classzd2namezd2zz__objectz00(BgL_arg4330z00_1900);
				}
				{	/* SawJvm/type.scm 76 */
					obj_t BgL_auxz00_2452;

					BgL_auxz00_2452 =
						BGl_errorz00zz__errorz00(BgL_arg4327z00_1897,
						BGl_string4342z00zzsaw_jvm_typez00, BgL_arg4329z00_1899);
					return (BgL_typez00_bglt) (BgL_auxz00_2452);
				}
			}
		}
	}



/* _type-dest-fun-defaul4196 */
	obj_t BGl__typezd2destzd2funzd2defaul4196zd2zzsaw_jvm_typez00(obj_t
		BgL_envz00_2120, obj_t BgL_funz00_2121)
	{
		AN_OBJECT;
		{	/* SawJvm/type.scm 1 */
			{	/* SawJvm/type.scm 76 */
				BgL_typez00_bglt BgL_auxz00_2455;

				BgL_auxz00_2455 =
					BGl_typezd2destzd2funzd2defaul4196zd2zzsaw_jvm_typez00(
					(BgL_rtl_funz00_bglt) (BgL_funz00_2121));
				return (obj_t) (BgL_auxz00_2455);
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_jvm_typez00()
	{
		AN_OBJECT;
		{	/* SawJvm/type.scm 1 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string4343z00zzsaw_jvm_typez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string4343z00zzsaw_jvm_typez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 11585204),
				BSTRING_TO_STRING(BGl_string4343z00zzsaw_jvm_typez00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 466514915),
				BSTRING_TO_STRING(BGl_string4343z00zzsaw_jvm_typez00));
			BGl_modulezd2initializa7ationz75zzbackend_bvmz00(((long) 52967775),
				BSTRING_TO_STRING(BGl_string4343z00zzsaw_jvm_typez00));
			BGl_modulezd2initializa7ationz75zzbackend_jvm_classz00(((long) 0),
				BSTRING_TO_STRING(BGl_string4343z00zzsaw_jvm_typez00));
			BGl_modulezd2initializa7ationz75zzsaw_defsz00(((long) 192042637),
				BSTRING_TO_STRING(BGl_string4343z00zzsaw_jvm_typez00));
			return
				BGl_modulezd2initializa7ationz75zzsaw_jvm_namesz00(((long) 67756028),
				BSTRING_TO_STRING(BGl_string4343z00zzsaw_jvm_typez00));
		}
	}

#ifdef __cplusplus
}
#endif
