/*===========================================================================*/
/*   (Tools/misc.scm)                                                        */
/*   Bigloo (2.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 25 07:31:22 CET 2006        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/2.9a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Tools/misc.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;


	BGL_IMPORT obj_t open_input_string(obj_t);
	static obj_t BGl__replacez12z12zztools_miscz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_uncygdrivez00zztools_miscz00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zztools_miscz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_epairifyza2za2zztools_miscz00(obj_t, obj_t);
	BGL_IMPORT obj_t close_input_port(obj_t);
	BGL_IMPORT bool_t bigloo_strcmp(obj_t, obj_t);
	static obj_t BGl__epairifyzd2propagatezd2zztools_miscz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_getenvz00zz__osz00(char *);
	static obj_t BGl_cnstzd2initzd2zztools_miscz00();
	BGL_EXPORTED_DECL obj_t BGl_epairifyzd2propagatezd2zztools_miscz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
	static obj_t BGl__epairifyzd2reczd2zztools_miscz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_mingwzd2buildzd2pathzd2fromzd2shellzd2variablezd2zztools_miscz00(obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	BGL_IMPORT bool_t bigloo_strncmp(obj_t, obj_t, long);
	BGL_EXPORTED_DECL obj_t BGl_epairifyzd2reczd2zztools_miscz00(obj_t, obj_t);
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_stringza2zd2ze3stringz93zztools_miscz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t BGl_valzd2fromzd2exitzf3zf3zz__bexitz00(obj_t);
	BGL_IMPORT obj_t bgl_reverse(obj_t);
	BGL_IMPORT obj_t rgc_buffer_substring(obj_t, long, long);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_oszd2classzd2zz__osz00();
	BGL_IMPORT obj_t c_substring(obj_t, long, long);
	static obj_t BGl__stringza2zd2ze3stringz93zztools_miscz00(obj_t, obj_t);
	static obj_t BGl__epairifyza2za2zztools_miscz00(obj_t, obj_t, obj_t);
	static obj_t BGl_loopz00zztools_miscz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_buildzd2pathzd2fromzd2shellzd2variablez00zztools_miscz00(obj_t);
	static obj_t BGl__buildzd2pathzd2fromzd2she1535zd2zztools_miscz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_replacez12z12zztools_miscz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_stringzd2splitzd2charz00zztools_miscz00(obj_t,
		obj_t);
	static obj_t BGl__uncygdrivez00zztools_miscz00(obj_t, obj_t);
	static obj_t
		BGl_unixzd2buildzd2pathzd2fromzd2shellzd2variablezd2zztools_miscz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_epairifyz00zztools_miscz00(obj_t, obj_t);
	BGL_IMPORT bool_t rgc_fill_buffer(obj_t);
	static obj_t BGl_normaliza7ezd2mingwzd2pathza7zztools_miscz00(obj_t);
	static obj_t BGl_zc3anonymousza31413ze3z83zztools_miscz00(obj_t, obj_t);
	static obj_t BGl__epairify1534z00zztools_miscz00(obj_t, obj_t, obj_t);
	static obj_t BGl_zc3exitza31411ze3z83zztools_miscz00(obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zztools_miscz00();
	static obj_t BGl_ignorez00zztools_miscz00(obj_t);
	BGL_IMPORT obj_t BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl__stringzd2splitzd2charz00zztools_miscz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zztools_miscz00();
	static obj_t __cnst[1];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_buildzd2pathzd2fromzd2shellzd2variablezd2envzd2zztools_miscz00,
		BgL_bgl__buildza7d2pathza7d21547z00,
		BGl__buildzd2pathzd2fromzd2she1535zd2zztools_miscz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_epairifyzd2propagatezd2envz00zztools_miscz00,
		BgL_bgl__epairifyza7d2prop1548za7,
		BGl__epairifyzd2propagatezd2zztools_miscz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_epairifyzd2reczd2envz00zztools_miscz00,
		BgL_bgl__epairifyza7d2recza71549z00, BGl__epairifyzd2reczd2zztools_miscz00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_replacez12zd2envzc0zztools_miscz00,
		BgL_bgl__replaceza712za712za7za71550z00, BGl__replacez12z12zztools_miscz00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_epairifyza2zd2envz70zztools_miscz00,
		BgL_bgl__epairifyza7a2za7a2za71551za7, va_generic_entry,
		BGl__epairifyza2za2zztools_miscz00, BUNSPEC, -2);
	      DEFINE_STRING(BGl_string1536z00zztools_miscz00,
		BgL_bgl_string1536za700za7za7t1552za7, " ", 1);
	      DEFINE_STRING(BGl_string1537z00zztools_miscz00,
		BgL_bgl_string1537za700za7za7t1553za7, "", 0);
	      DEFINE_STRING(BGl_string1538z00zztools_miscz00,
		BgL_bgl_string1538za700za7za7t1554za7, "mingw", 5);
	      DEFINE_STRING(BGl_string1540z00zztools_miscz00,
		BgL_bgl_string1540za700za7za7t1555za7, "Grammar arity mismatch", 22);
	      DEFINE_STRING(BGl_string1539z00zztools_miscz00,
		BgL_bgl_string1539za700za7za7t1556za7, ":/", 2);
	      DEFINE_STRING(BGl_string1541z00zztools_miscz00,
		BgL_bgl_string1541za700za7za7t1557za7, "regular-grammar", 15);
	      DEFINE_STRING(BGl_string1542z00zztools_miscz00,
		BgL_bgl_string1542za700za7za7t1558za7, "Illegal match", 13);
	      DEFINE_STRING(BGl_string1543z00zztools_miscz00,
		BgL_bgl_string1543za700za7za7t1559za7, "/cygdrive/", 10);
	      DEFINE_STRING(BGl_string1544z00zztools_miscz00,
		BgL_bgl_string1544za700za7za7t1560za7, "read/rp ", 8);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_uncygdrivezd2envzd2zztools_miscz00,
		BgL_bgl__uncygdriveza700za7za71561za7, BGl__uncygdrivez00zztools_miscz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_epairifyzd2envzd2zztools_miscz00,
		BgL_bgl__epairify1534za7001562za7, BGl__epairify1534z00zztools_miscz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_stringzd2splitzd2charzd2envzd2zztools_miscz00,
		BgL_bgl__stringza7d2splitza71563z00,
		BGl__stringzd2splitzd2charz00zztools_miscz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_stringza2zd2ze3stringzd2envz41zztools_miscz00,
		BgL_bgl__stringza7a2za7d2za7e31564za7,
		BGl__stringza2zd2ze3stringz93zztools_miscz00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long
		BgL_checksumz00_624, char *BgL_fromz00_625)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zztools_miscz00))
				{
					BGl_requirezd2initializa7ationz75zztools_miscz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zztools_miscz00();
					BGl_cnstzd2initzd2zztools_miscz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zztools_miscz00()
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 15 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "tools_misc");
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "tools_misc");
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 0), "tools_misc");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "tools_misc");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"tools_misc");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"tools_misc");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zztools_miscz00()
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 15 */
			{	/* Tools/misc.scm 15 */
				obj_t BgL_cportz00_587;

				BgL_cportz00_587 = open_input_string(BGl_string1544z00zztools_miscz00);
				{
					long BgL_iz00_588;

					BgL_iz00_588 = ((long) 0);
				BgL_loopz00_589:
					if ((BgL_iz00_588 == ((long) -1)))
						{	/* Tools/misc.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Tools/misc.scm 15 */
							{	/* Tools/misc.scm 15 */
								obj_t BgL_arg1546z00_591;

								{	/* Tools/misc.scm 15 */

									{	/* Tools/misc.scm 15 */
										obj_t BgL_locationz00_593;

										BgL_locationz00_593 = BBOOL(((bool_t) 0));
										{	/* Tools/misc.scm 15 */

											BgL_arg1546z00_591 =
												BGl_readz00zz__readerz00(BgL_cportz00_587,
												BgL_locationz00_593);
										}
									}
								}
								{	/* Tools/misc.scm 15 */
									int BgL_auxz00_642;

									BgL_auxz00_642 = (int) (BgL_iz00_588);
									CNST_TABLE_SET(BgL_auxz00_642, BgL_arg1546z00_591);
							}}
							{	/* Tools/misc.scm 15 */
								int BgL_auxz00_594;

								BgL_auxz00_594 = (int) ((BgL_iz00_588 - ((long) 1)));
								{
									long BgL_iz00_647;

									BgL_iz00_647 = (long) (BgL_auxz00_594);
									BgL_iz00_588 = BgL_iz00_647;
									goto BgL_loopz00_589;
								}
							}
						}
				}
			}
		}
	}



/* string*->string */
	BGL_EXPORTED_DEF obj_t BGl_stringza2zd2ze3stringz93zztools_miscz00(obj_t
		BgL_lz00_1)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 29 */
			{	/* Tools/misc.scm 30 */
				obj_t BgL_g1272z00_43;

				BgL_g1272z00_43 = bgl_reverse(BgL_lz00_1);
				{
					obj_t BgL_lz00_44;
					obj_t BgL_rz00_45;

					BgL_lz00_44 = BgL_g1272z00_43;
					BgL_rz00_45 = BGl_string1537z00zztools_miscz00;
				BgL_loopz00_46:
					if (NULLP(BgL_lz00_44))
						{	/* Tools/misc.scm 32 */
							return BgL_rz00_45;
						}
					else
						{
							obj_t BgL_rz00_654;
							obj_t BgL_lz00_652;

							BgL_lz00_652 = CDR(BgL_lz00_44);
							BgL_rz00_654 =
								string_append_3(CAR(BgL_lz00_44),
								BGl_string1536z00zztools_miscz00, BgL_rz00_45);
							BgL_rz00_45 = BgL_rz00_654;
							BgL_lz00_44 = BgL_lz00_652;
							goto BgL_loopz00_46;
						}
				}
			}
		}
	}



/* _string*->string */
	obj_t BGl__stringza2zd2ze3stringz93zztools_miscz00(obj_t BgL_envz00_557,
		obj_t BgL_lz00_558)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 29 */
			return BGl_stringza2zd2ze3stringz93zztools_miscz00(BgL_lz00_558);
		}
	}



/* replace! */
	BGL_EXPORTED_DEF obj_t BGl_replacez12z12zztools_miscz00(obj_t BgL_p1z00_2,
		obj_t BgL_p2z00_3)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 40 */
			{	/* Tools/misc.scm 41 */
				bool_t BgL_testz00_658;

				if (PAIRP(BgL_p1z00_2))
					{	/* Tools/misc.scm 41 */
						if (PAIRP(BgL_p2z00_3))
							{	/* Tools/misc.scm 41 */
								if (EXTENDED_PAIRP(BgL_p2z00_3))
									{	/* Tools/misc.scm 41 */
										BgL_testz00_658 = ((bool_t) 0);
									}
								else
									{	/* Tools/misc.scm 41 */
										BgL_testz00_658 = ((bool_t) 1);
									}
							}
						else
							{	/* Tools/misc.scm 41 */
								BgL_testz00_658 = ((bool_t) 0);
							}
					}
				else
					{	/* Tools/misc.scm 41 */
						BgL_testz00_658 = ((bool_t) 0);
					}
				if (BgL_testz00_658)
					{	/* Tools/misc.scm 41 */
						{	/* Tools/misc.scm 43 */
							obj_t BgL_auxz00_665;

							BgL_auxz00_665 = CAR(BgL_p2z00_3);
							SET_CAR(BgL_p1z00_2, BgL_auxz00_665);
						}
						{	/* Tools/misc.scm 44 */
							obj_t BgL_auxz00_668;

							BgL_auxz00_668 = CDR(BgL_p2z00_3);
							SET_CDR(BgL_p1z00_2, BgL_auxz00_668);
						}
						return BgL_p1z00_2;
					}
				else
					{	/* Tools/misc.scm 41 */
						return BgL_p2z00_3;
					}
			}
		}
	}



/* _replace! */
	obj_t BGl__replacez12z12zztools_miscz00(obj_t BgL_envz00_559,
		obj_t BgL_p1z00_560, obj_t BgL_p2z00_561)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 40 */
			return BGl_replacez12z12zztools_miscz00(BgL_p1z00_560, BgL_p2z00_561);
		}
	}



/* string-split-char */
	BGL_EXPORTED_DEF obj_t BGl_stringzd2splitzd2charz00zztools_miscz00(obj_t
		BgL_strz00_4, obj_t BgL_separatorz00_5)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 51 */
		BGl_stringzd2splitzd2charz00zztools_miscz00:
			{	/* Tools/misc.scm 52 */
				long BgL_strzd2lengthzd2_58;

				BgL_strzd2lengthzd2_58 = STRING_LENGTH(BgL_strz00_4);
				if ((BgL_strzd2lengthzd2_58 == ((long) 0)))
					{	/* Tools/misc.scm 53 */
						return BNIL;
					}
				else
					{
						long BgL_iz00_60;

						BgL_iz00_60 = ((long) 0);
					BgL_loopz00_61:
						if ((BgL_iz00_60 >= BgL_strzd2lengthzd2_58))
							{	/* Tools/misc.scm 57 */
								obj_t BgL_list1309z00_63;

								BgL_list1309z00_63 = MAKE_PAIR(BgL_strz00_4, BNIL);
								return BgL_list1309z00_63;
							}
						else
							{	/* Tools/misc.scm 56 */
								if (
									(STRING_REF(BgL_strz00_4, BgL_iz00_60) ==
										CCHAR(BgL_separatorz00_5)))
									{	/* Tools/misc.scm 58 */
										if ((BgL_iz00_60 == ((long) 0)))
											{
												obj_t BgL_strz00_684;

												BgL_strz00_684 =
													c_substring(BgL_strz00_4, ((long) 1),
													BgL_strzd2lengthzd2_58);
												BgL_strz00_4 = BgL_strz00_684;
												goto BGl_stringzd2splitzd2charz00zztools_miscz00;
											}
										else
											{	/* Tools/misc.scm 59 */
												return
													MAKE_PAIR(c_substring(BgL_strz00_4, ((long) 0),
														BgL_iz00_60),
													BGl_stringzd2splitzd2charz00zztools_miscz00
													(c_substring(BgL_strz00_4, (BgL_iz00_60 + ((long) 1)),
															BgL_strzd2lengthzd2_58), BgL_separatorz00_5));
									}}
								else
									{
										long BgL_iz00_691;

										BgL_iz00_691 = (BgL_iz00_60 + ((long) 1));
										BgL_iz00_60 = BgL_iz00_691;
										goto BgL_loopz00_61;
									}
							}
					}
			}
		}
	}



/* _string-split-char */
	obj_t BGl__stringzd2splitzd2charz00zztools_miscz00(obj_t BgL_envz00_562,
		obj_t BgL_strz00_563, obj_t BgL_separatorz00_564)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 51 */
			return
				BGl_stringzd2splitzd2charz00zztools_miscz00(BgL_strz00_563,
				BgL_separatorz00_564);
		}
	}



/* epairify */
	BGL_EXPORTED_DEF obj_t BGl_epairifyz00zztools_miscz00(obj_t BgL_pairz00_6,
		obj_t BgL_epairz00_7)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 77 */
			if (EXTENDED_PAIRP(BgL_epairz00_7))
				{	/* Tools/misc.scm 79 */
					obj_t BgL_arg1322z00_74;
					obj_t BgL_arg1323z00_75;
					obj_t BgL_arg1324z00_76;

					BgL_arg1322z00_74 = CAR(BgL_pairz00_6);
					BgL_arg1323z00_75 = CDR(BgL_pairz00_6);
					BgL_arg1324z00_76 = CER(BgL_epairz00_7);
					{	/* Tools/misc.scm 79 */
						obj_t BgL_res1529z00_410;

						BgL_res1529z00_410 =
							MAKE_EXTENDED_PAIR(BgL_arg1322z00_74, BgL_arg1323z00_75,
							BgL_arg1324z00_76);
						return BgL_res1529z00_410;
					}
				}
			else
				{	/* Tools/misc.scm 78 */
					return BgL_pairz00_6;
				}
		}
	}



/* _epairify1534 */
	obj_t BGl__epairify1534z00zztools_miscz00(obj_t BgL_envz00_565,
		obj_t BgL_pairz00_566, obj_t BgL_epairz00_567)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 77 */
			return BGl_epairifyz00zztools_miscz00(BgL_pairz00_566, BgL_epairz00_567);
		}
	}



/* epairify-rec */
	BGL_EXPORTED_DEF obj_t BGl_epairifyzd2reczd2zztools_miscz00(obj_t BgL_pz00_8,
		obj_t BgL_epz00_9)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 87 */
			if (PAIRP(BgL_pz00_8))
				{	/* Tools/misc.scm 89 */
					if (EXTENDED_PAIRP(BgL_epz00_9))
						{	/* Tools/misc.scm 91 */
							if (EXTENDED_PAIRP(BgL_pz00_8))
								{	/* Tools/misc.scm 93 */
									return BgL_pz00_8;
								}
							else
								{	/* Tools/misc.scm 96 */
									obj_t BgL_arg1329z00_80;
									obj_t BgL_arg1330z00_81;
									obj_t BgL_arg1332z00_82;

									BgL_arg1329z00_80 =
										BGl_epairifyzd2reczd2zztools_miscz00(CAR(BgL_pz00_8),
										CAR(BgL_epz00_9));
									BgL_arg1330z00_81 =
										BGl_epairifyzd2reczd2zztools_miscz00(CDR(BgL_pz00_8),
										CDR(BgL_epz00_9));
									BgL_arg1332z00_82 = CER(BgL_epz00_9);
									{	/* Tools/misc.scm 96 */
										obj_t BgL_res1530z00_422;

										BgL_res1530z00_422 =
											MAKE_EXTENDED_PAIR(BgL_arg1329z00_80, BgL_arg1330z00_81,
											BgL_arg1332z00_82);
										return BgL_res1530z00_422;
									}
								}
						}
					else
						{	/* Tools/misc.scm 91 */
							return BgL_pz00_8;
						}
				}
			else
				{	/* Tools/misc.scm 89 */
					return BgL_pz00_8;
				}
		}
	}



/* _epairify-rec */
	obj_t BGl__epairifyzd2reczd2zztools_miscz00(obj_t BgL_envz00_568,
		obj_t BgL_pz00_569, obj_t BgL_epz00_570)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 87 */
			return BGl_epairifyzd2reczd2zztools_miscz00(BgL_pz00_569, BgL_epz00_570);
		}
	}



/* epairify-propagate */
	BGL_EXPORTED_DEF obj_t BGl_epairifyzd2propagatezd2zztools_miscz00(obj_t
		BgL_pz00_10, obj_t BgL_epz00_11)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 105 */
			if (EXTENDED_PAIRP(BgL_epz00_11))
				{	/* Tools/misc.scm 106 */
					return BGl_loopz00zztools_miscz00(BgL_epz00_11, BgL_pz00_10);
				}
			else
				{	/* Tools/misc.scm 106 */
					return BgL_pz00_10;
				}
		}
	}



/* loop */
	obj_t BGl_loopz00zztools_miscz00(obj_t BgL_epz00_586, obj_t BgL_pz00_88)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 108 */
			if (PAIRP(BgL_pz00_88))
				{	/* Tools/misc.scm 110 */
					if (EXTENDED_PAIRP(BgL_pz00_88))
						{	/* Tools/misc.scm 112 */
							return BgL_pz00_88;
						}
					else
						{	/* Tools/misc.scm 115 */
							obj_t BgL_arg1343z00_92;
							obj_t BgL_arg1346z00_93;
							obj_t BgL_arg1347z00_94;

							BgL_arg1343z00_92 =
								BGl_loopz00zztools_miscz00(BgL_epz00_586, CAR(BgL_pz00_88));
							BgL_arg1346z00_93 =
								BGl_loopz00zztools_miscz00(BgL_epz00_586, CDR(BgL_pz00_88));
							BgL_arg1347z00_94 = CER(BgL_epz00_586);
							{	/* Tools/misc.scm 115 */
								obj_t BgL_res1531z00_432;

								BgL_res1531z00_432 =
									MAKE_EXTENDED_PAIR(BgL_arg1343z00_92, BgL_arg1346z00_93,
									BgL_arg1347z00_94);
								return BgL_res1531z00_432;
							}
						}
				}
			else
				{	/* Tools/misc.scm 110 */
					return BgL_pz00_88;
				}
		}
	}



/* _epairify-propagate */
	obj_t BGl__epairifyzd2propagatezd2zztools_miscz00(obj_t BgL_envz00_571,
		obj_t BgL_pz00_572, obj_t BgL_epz00_573)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 105 */
			return
				BGl_epairifyzd2propagatezd2zztools_miscz00(BgL_pz00_572, BgL_epz00_573);
		}
	}



/* epairify* */
	BGL_EXPORTED_DEF obj_t BGl_epairifyza2za2zztools_miscz00(obj_t BgL_defz00_12,
		obj_t BgL_srcsz00_13)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 122 */
			{
				obj_t BgL_srcsz00_97;

				BgL_srcsz00_97 = BgL_srcsz00_13;
			BgL_loopz00_98:
				if (NULLP(BgL_srcsz00_97))
					{	/* Tools/misc.scm 125 */
						return BgL_defz00_12;
					}
				else
					{	/* Tools/misc.scm 127 */
						bool_t BgL_testz00_732;

						{	/* Tools/misc.scm 127 */
							obj_t BgL_auxz00_733;

							BgL_auxz00_733 = CAR(BgL_srcsz00_97);
							BgL_testz00_732 = EXTENDED_PAIRP(BgL_auxz00_733);
						}
						if (BgL_testz00_732)
							{	/* Tools/misc.scm 128 */
								obj_t BgL_arg1352z00_101;
								obj_t BgL_arg1353z00_102;
								obj_t BgL_arg1355z00_103;

								BgL_arg1352z00_101 = CAR(BgL_defz00_12);
								BgL_arg1353z00_102 = CDR(BgL_defz00_12);
								BgL_arg1355z00_103 = CER(CAR(BgL_srcsz00_97));
								{	/* Tools/misc.scm 128 */
									obj_t BgL_res1532z00_443;

									BgL_res1532z00_443 =
										MAKE_EXTENDED_PAIR(BgL_arg1352z00_101, BgL_arg1353z00_102,
										BgL_arg1355z00_103);
									return BgL_res1532z00_443;
								}
							}
						else
							{
								obj_t BgL_srcsz00_741;

								BgL_srcsz00_741 = CDR(BgL_srcsz00_97);
								BgL_srcsz00_97 = BgL_srcsz00_741;
								goto BgL_loopz00_98;
							}
					}
			}
		}
	}



/* _epairify* */
	obj_t BGl__epairifyza2za2zztools_miscz00(obj_t BgL_envz00_574,
		obj_t BgL_defz00_575, obj_t BgL_srcsz00_576)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 122 */
			return BGl_epairifyza2za2zztools_miscz00(BgL_defz00_575, BgL_srcsz00_576);
		}
	}



/* build-path-from-shell-variable */
	BGL_EXPORTED_DEF obj_t
		BGl_buildzd2pathzd2fromzd2shellzd2variablez00zztools_miscz00(obj_t
		BgL_varz00_14)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 135 */
			if (bigloo_strcmp(BGl_oszd2classzd2zz__osz00(),
					BGl_string1538z00zztools_miscz00))
				{	/* Tools/misc.scm 136 */
					return
						BGl_mingwzd2buildzd2pathzd2fromzd2shellzd2variablezd2zztools_miscz00
						(BgL_varz00_14);
				}
			else
				{	/* Tools/misc.scm 136 */
					return
						BGl_unixzd2buildzd2pathzd2fromzd2shellzd2variablezd2zztools_miscz00
						(BgL_varz00_14);
				}
		}
	}



/* _build-path-from-she1535 */
	obj_t BGl__buildzd2pathzd2fromzd2she1535zd2zztools_miscz00(obj_t
		BgL_envz00_577, obj_t BgL_varz00_578)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 135 */
			return
				BGl_buildzd2pathzd2fromzd2shellzd2variablez00zztools_miscz00
				(BgL_varz00_578);
		}
	}



/* mingw-build-path-from-shell-variable */
	obj_t
		BGl_mingwzd2buildzd2pathzd2fromzd2shellzd2variablezd2zztools_miscz00(obj_t
		BgL_varz00_15)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 143 */
			{	/* Tools/misc.scm 156 */
				obj_t BgL_valz00_111;
				obj_t BgL_resz00_112;

				BgL_valz00_111 =
					BGl_getenvz00zz__osz00(BSTRING_TO_STRING(BgL_varz00_15));
				BgL_resz00_112 = BNIL;
				if (STRINGP(BgL_valz00_111))
					{	/* Tools/misc.scm 160 */
						long BgL_nz00_114;
						long BgL_kz00_115;

						BgL_nz00_114 = STRING_LENGTH(BgL_valz00_111);
						BgL_kz00_115 = ((long) 0);
						{
							long BgL_iz00_143;

							{
								long BgL_iz00_118;

								BgL_iz00_118 = ((long) 0);
							BgL_zc3anonymousza31363ze3z83_119:
								if ((BgL_iz00_118 >= BgL_nz00_114))
									{	/* Tools/misc.scm 171 */
										obj_t BgL_l1286z00_121;

										{	/* Tools/misc.scm 172 */
											obj_t BgL_arg1376z00_137;

											{	/* Tools/misc.scm 172 */
												obj_t BgL_arg1377z00_138;

												BgL_arg1377z00_138 =
													c_substring(BgL_valz00_111, BgL_kz00_115,
													BgL_iz00_118);
												BgL_arg1376z00_137 =
													MAKE_PAIR(BgL_arg1377z00_138, BgL_resz00_112);
											}
											BgL_l1286z00_121 = bgl_reverse(BgL_arg1376z00_137);
										}
										if (NULLP(BgL_l1286z00_121))
											{	/* Tools/misc.scm 171 */
												return BNIL;
											}
										else
											{	/* Tools/misc.scm 171 */
												obj_t BgL_head1288z00_123;

												BgL_head1288z00_123 =
													MAKE_PAIR
													(BGl_normaliza7ezd2mingwzd2pathza7zztools_miscz00(CAR
														(BgL_l1286z00_121)), BNIL);
												{	/* Tools/misc.scm 171 */
													obj_t BgL_g1291z00_124;

													BgL_g1291z00_124 = CDR(BgL_l1286z00_121);
													{
														obj_t BgL_l1286z00_125;
														obj_t BgL_tail1289z00_126;

														BgL_l1286z00_125 = BgL_g1291z00_124;
														BgL_tail1289z00_126 = BgL_head1288z00_123;
													BgL_map1287z00_127:
														if (NULLP(BgL_l1286z00_125))
															{	/* Tools/misc.scm 171 */
																return BgL_head1288z00_123;
															}
														else
															{	/* Tools/misc.scm 171 */
																obj_t BgL_newtail1290z00_129;

																BgL_newtail1290z00_129 =
																	MAKE_PAIR
																	(BGl_normaliza7ezd2mingwzd2pathza7zztools_miscz00
																	(CAR(BgL_l1286z00_125)), BNIL);
																SET_CDR(BgL_tail1289z00_126,
																	BgL_newtail1290z00_129);
																{
																	obj_t BgL_tail1289z00_774;
																	obj_t BgL_l1286z00_772;

																	BgL_l1286z00_772 = CDR(BgL_l1286z00_125);
																	BgL_tail1289z00_774 = BgL_newtail1290z00_129;
																	BgL_tail1289z00_126 = BgL_tail1289z00_774;
																	BgL_l1286z00_125 = BgL_l1286z00_772;
																	goto BgL_map1287z00_127;
																}
															}
													}
												}
											}
									}
								else
									{	/* Tools/misc.scm 170 */
										{	/* Tools/misc.scm 173 */
											bool_t BgL_testz00_775;

											BgL_iz00_143 = BgL_iz00_118;
											if (
												(STRING_REF(BgL_valz00_111,
														BgL_iz00_143) == ((unsigned char) ':')))
												{	/* Tools/misc.scm 163 */
													if ((BgL_iz00_143 < (BgL_nz00_114 - ((long) 1))))
														{	/* Tools/misc.scm 165 */
															bool_t BgL_testz00_782;

															if (
																(STRING_REF(BgL_valz00_111,
																		(BgL_iz00_143 + ((long) 1))) ==
																	((unsigned char) '/')))
																{	/* Tools/misc.scm 166 */
																	BgL_testz00_782 = ((bool_t) 1);
																}
															else
																{	/* Tools/misc.scm 166 */
																	BgL_testz00_782 =
																		(STRING_REF(BgL_valz00_111,
																			(BgL_iz00_143 + ((long) 1))) ==
																		((unsigned char) '\\'));
																}
															if (BgL_testz00_782)
																{	/* Tools/misc.scm 165 */
																	BgL_testz00_775 = ((bool_t) 0);
																}
															else
																{	/* Tools/misc.scm 165 */
																	BgL_testz00_775 = ((bool_t) 1);
																}
														}
													else
														{	/* Tools/misc.scm 164 */
															BgL_testz00_775 = ((bool_t) 0);
														}
												}
											else
												{	/* Tools/misc.scm 163 */
													BgL_testz00_775 = ((bool_t) 0);
												}
											if (BgL_testz00_775)
												{	/* Tools/misc.scm 173 */
													{	/* Tools/misc.scm 175 */
														obj_t BgL_arg1379z00_140;

														BgL_arg1379z00_140 =
															c_substring(BgL_valz00_111, BgL_kz00_115,
															BgL_iz00_118);
														BgL_resz00_112 =
															MAKE_PAIR(BgL_arg1379z00_140, BgL_resz00_112);
													}
													BgL_kz00_115 = (BgL_iz00_118 + ((long) 1));
												}
											else
												{	/* Tools/misc.scm 173 */
													BFALSE;
												}
										}
										{
											long BgL_iz00_793;

											BgL_iz00_793 = (BgL_iz00_118 + ((long) 1));
											BgL_iz00_118 = BgL_iz00_793;
											goto BgL_zc3anonymousza31363ze3z83_119;
										}
									}
							}
						}
					}
				else
					{	/* Tools/misc.scm 158 */
						return BNIL;
					}
			}
		}
	}



/* normalize-mingw-path */
	obj_t BGl_normaliza7ezd2mingwzd2pathza7zztools_miscz00(obj_t BgL_pathz00_156)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 155 */
			{	/* Tools/misc.scm 145 */
				long BgL_nz00_158;

				BgL_nz00_158 = STRING_LENGTH(BgL_pathz00_156);
				if ((BgL_nz00_158 < ((long) 3)))
					{	/* Tools/misc.scm 147 */
						return BgL_pathz00_156;
					}
				else
					{	/* Tools/misc.scm 147 */
						if (
							(STRING_REF(BgL_pathz00_156,
									((long) 0)) == ((unsigned char) '/')))
							{	/* Tools/misc.scm 149 */
								if (
									(STRING_REF(BgL_pathz00_156,
											((long) 2)) == ((unsigned char) '/')))
									{	/* Tools/misc.scm 151 */
										obj_t BgL_arg1396z00_163;
										obj_t BgL_arg1400z00_165;

										{	/* Tools/misc.scm 151 */
											unsigned char BgL_arg1403z00_166;

											BgL_arg1403z00_166 =
												STRING_REF(BgL_pathz00_156, ((long) 1));
											{	/* Tools/misc.scm 151 */
												obj_t BgL_list1404z00_167;

												BgL_list1404z00_167 =
													MAKE_PAIR(BCHAR(BgL_arg1403z00_166), BNIL);
												BgL_arg1396z00_163 =
													BGl_listzd2ze3stringz31zz__r4_strings_6_7z00
													(BgL_list1404z00_167);
										}}
										BgL_arg1400z00_165 =
											c_substring(BgL_pathz00_156, ((long) 3), BgL_nz00_158);
										return
											string_append_3(BgL_arg1396z00_163,
											BGl_string1539z00zztools_miscz00, BgL_arg1400z00_165);
									}
								else
									{	/* Tools/misc.scm 150 */
										return BgL_pathz00_156;
									}
							}
						else
							{	/* Tools/misc.scm 149 */
								return BgL_pathz00_156;
							}
					}
			}
		}
	}



/* unix-build-path-from-shell-variable */
	obj_t
		BGl_unixzd2buildzd2pathzd2fromzd2shellzd2variablezd2zztools_miscz00(obj_t
		BgL_varz00_16)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 181 */
			{	/* Tools/misc.scm 182 */
				obj_t BgL_valz00_171;

				BgL_valz00_171 =
					BGl_getenvz00zz__osz00(BSTRING_TO_STRING(BgL_varz00_16));
				if (STRINGP(BgL_valz00_171))
					{	/* Tools/misc.scm 184 */
						obj_t BgL_port1275z00_173;

						BgL_port1275z00_173 = open_input_string(BgL_valz00_171);
						{	/* Tools/misc.scm 184 */
							obj_t BgL_val1276z00_174;

							BgL_val1276z00_174 =
								BGl_zc3exitza31411ze3z83zztools_miscz00(BgL_port1275z00_173);
							close_input_port(BgL_port1275z00_173);
							if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
									(BgL_val1276z00_174)))
								{	/* Tools/misc.scm 184 */
									return
										BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
										(BgL_val1276z00_174), CDR(BgL_val1276z00_174));
								}
							else
								{	/* Tools/misc.scm 184 */
									return BgL_val1276z00_174;
								}
						}
					}
				else
					{	/* Tools/misc.scm 183 */
						return BNIL;
					}
			}
		}
	}



/* <exit:1411> */
	obj_t BGl_zc3exitza31411ze3z83zztools_miscz00(obj_t BgL_port1275z00_585)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 184 */
			jmp_buf jmpbuf;
			obj_t BgL_an_exit1277z00_179;

			{
				BGL_STORE_TRACE();
				if (SET_EXIT(BgL_an_exit1277z00_179))
					{
						BGL_RESTORE_TRACE();
						return _exit_value_;
					}
				else
					{
						BgL_an_exit1277z00_179 = (obj_t) jmpbuf;
						{	/* Tools/misc.scm 184 */

							PUSH_EXIT(BgL_an_exit1277z00_179, ((long) 0));
							{	/* Tools/misc.scm 184 */
								obj_t BgL_val1278z00_180;

								{	/* Tools/misc.scm 184 */
									obj_t BgL_g1294z00_181;

									BgL_g1294z00_181 =
										make_fx_procedure
										(BGl_zc3anonymousza31413ze3z83zztools_miscz00,
										(int) (((long) 1)), (int) (((long) 0)));
									if (PROCEDURE_CORRECT_ARITYP(BgL_g1294z00_181,
											(int) (((long) 1))))
										{	/* Tools/misc.scm 184 */
											BgL_val1278z00_180 =
												PROCEDURE_ENTRY(BgL_g1294z00_181) (BgL_g1294z00_181,
												BgL_port1275z00_585, BEOA);
										}
									else
										{	/* Tools/misc.scm 184 */
											BgL_val1278z00_180 =
												BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 0)),
												BGl_string1540z00zztools_miscz00, BgL_g1294z00_181);
								}}
								POP_EXIT();
								return BgL_val1278z00_180;
							}
						}
					}
			}
		}
	}



/* <anonymous:1413> */
	obj_t BGl_zc3anonymousza31413ze3z83zztools_miscz00(obj_t BgL_envz00_580,
		obj_t BgL_inputzd2portzd2_581)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 184 */
			return BGl_ignorez00zztools_miscz00(BgL_inputzd2portzd2_581);
		}
	}



/* ignore */
	obj_t BGl_ignorez00zztools_miscz00(obj_t BgL_inputzd2portzd2_584)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 184 */
		BGl_ignorez00zztools_miscz00:
			{
				obj_t BgL_inputzd2portzd2_323;
				long BgL_lastzd2matchzd2_324;
				obj_t BgL_thezd2rgczd2contextz00_325;
				obj_t BgL_inputzd2portzd2_313;
				long BgL_lastzd2matchzd2_314;
				obj_t BgL_thezd2rgczd2contextz00_315;
				obj_t BgL_inputzd2portzd2_298;
				long BgL_lastzd2matchzd2_299;
				obj_t BgL_thezd2rgczd2contextz00_300;

				RGC_START_MATCH(BgL_inputzd2portzd2_584);
				{	/* Tools/misc.scm 184 */
					long BgL_matchz00_214;

					BgL_inputzd2portzd2_323 = BgL_inputzd2portzd2_584;
					BgL_lastzd2matchzd2_324 = ((long) 2);
					BgL_thezd2rgczd2contextz00_325 = BUNSPEC;
				BgL_zc3anonymousza31501ze3z83_326:
					{	/* Tools/misc.scm 184 */
						int BgL_currentzd2charzd2_327;

						BgL_currentzd2charzd2_327 =
							RGC_BUFFER_GET_CHAR(BgL_inputzd2portzd2_323);
						if (((long) (BgL_currentzd2charzd2_327) == ((long) 0)))
							{	/* Tools/misc.scm 184 */
								if (RGC_BUFFER_EMPTY(BgL_inputzd2portzd2_323))
									{	/* Tools/misc.scm 184 */
										if (rgc_fill_buffer(BgL_inputzd2portzd2_323))
											{

												goto BgL_zc3anonymousza31501ze3z83_326;
											}
										else
											{	/* Tools/misc.scm 184 */
												BgL_matchz00_214 = BgL_lastzd2matchzd2_324;
											}
									}
								else
									{	/* Tools/misc.scm 184 */
										BgL_inputzd2portzd2_313 = BgL_inputzd2portzd2_323;
										BgL_lastzd2matchzd2_314 = BgL_lastzd2matchzd2_324;
										BgL_thezd2rgczd2contextz00_315 =
											BgL_thezd2rgczd2contextz00_325;
									BgL_zc3anonymousza31496ze3z83_316:
										{	/* Tools/misc.scm 184 */
											long BgL_newzd2matchzd2_317;

											RGC_STOP_MATCH(BgL_inputzd2portzd2_313);
											BgL_newzd2matchzd2_317 = ((long) 0);
											{	/* Tools/misc.scm 184 */
												int BgL_currentzd2charzd2_318;

												BgL_currentzd2charzd2_318 =
													RGC_BUFFER_GET_CHAR(BgL_inputzd2portzd2_313);
												if (((long) (BgL_currentzd2charzd2_318) == ((long) 0)))
													{	/* Tools/misc.scm 184 */
														if (RGC_BUFFER_EMPTY(BgL_inputzd2portzd2_313))
															{	/* Tools/misc.scm 184 */
																if (rgc_fill_buffer(BgL_inputzd2portzd2_313))
																	{

																		goto BgL_zc3anonymousza31496ze3z83_316;
																	}
																else
																	{	/* Tools/misc.scm 184 */
																		BgL_matchz00_214 = BgL_newzd2matchzd2_317;
																	}
															}
														else
															{	/* Tools/misc.scm 184 */
																BgL_inputzd2portzd2_298 =
																	BgL_inputzd2portzd2_313;
																BgL_lastzd2matchzd2_299 =
																	BgL_newzd2matchzd2_317;
																BgL_thezd2rgczd2contextz00_300 =
																	BgL_thezd2rgczd2contextz00_315;
															BgL_zc3anonymousza31490ze3z83_301:
																{	/* Tools/misc.scm 184 */
																	long BgL_newzd2matchzd2_302;

																	RGC_STOP_MATCH(BgL_inputzd2portzd2_298);
																	BgL_newzd2matchzd2_302 = ((long) 0);
																	{	/* Tools/misc.scm 184 */
																		int BgL_currentzd2charzd2_303;

																		BgL_currentzd2charzd2_303 =
																			RGC_BUFFER_GET_CHAR
																			(BgL_inputzd2portzd2_298);
																		if (((long) (BgL_currentzd2charzd2_303) ==
																				((long) 0)))
																			{	/* Tools/misc.scm 184 */
																				if (RGC_BUFFER_EMPTY
																					(BgL_inputzd2portzd2_298))
																					{	/* Tools/misc.scm 184 */
																						if (rgc_fill_buffer
																							(BgL_inputzd2portzd2_298))
																							{

																								goto
																									BgL_zc3anonymousza31490ze3z83_301;
																							}
																						else
																							{	/* Tools/misc.scm 184 */
																								BgL_matchz00_214 =
																									BgL_newzd2matchzd2_302;
																							}
																					}
																				else
																					{
																						long BgL_lastzd2matchzd2_865;

																						BgL_lastzd2matchzd2_865 =
																							BgL_newzd2matchzd2_302;
																						BgL_lastzd2matchzd2_299 =
																							BgL_lastzd2matchzd2_865;
																						goto
																							BgL_zc3anonymousza31490ze3z83_301;
																					}
																			}
																		else
																			{	/* Tools/misc.scm 184 */
																				if (
																					((long) (BgL_currentzd2charzd2_303) ==
																						((long) 58)))
																					{	/* Tools/misc.scm 184 */
																						BgL_matchz00_214 =
																							BgL_newzd2matchzd2_302;
																					}
																				else
																					{
																						long BgL_lastzd2matchzd2_869;

																						BgL_lastzd2matchzd2_869 =
																							BgL_newzd2matchzd2_302;
																						BgL_lastzd2matchzd2_299 =
																							BgL_lastzd2matchzd2_869;
																						goto
																							BgL_zc3anonymousza31490ze3z83_301;
																					}
																			}
																	}
																}
															}
													}
												else
													{	/* Tools/misc.scm 184 */
														if (
															((long) (BgL_currentzd2charzd2_318) ==
																((long) 58)))
															{	/* Tools/misc.scm 184 */
																BgL_matchz00_214 = BgL_newzd2matchzd2_317;
															}
														else
															{
																obj_t BgL_thezd2rgczd2contextz00_875;
																long BgL_lastzd2matchzd2_874;
																obj_t BgL_inputzd2portzd2_873;

																BgL_inputzd2portzd2_873 =
																	BgL_inputzd2portzd2_313;
																BgL_lastzd2matchzd2_874 =
																	BgL_newzd2matchzd2_317;
																BgL_thezd2rgczd2contextz00_875 =
																	BgL_thezd2rgczd2contextz00_315;
																BgL_thezd2rgczd2contextz00_300 =
																	BgL_thezd2rgczd2contextz00_875;
																BgL_lastzd2matchzd2_299 =
																	BgL_lastzd2matchzd2_874;
																BgL_inputzd2portzd2_298 =
																	BgL_inputzd2portzd2_873;
																goto BgL_zc3anonymousza31490ze3z83_301;
															}
													}
											}
										}
									}
							}
						else
							{	/* Tools/misc.scm 184 */
								if (((long) (BgL_currentzd2charzd2_327) == ((long) 58)))
									{	/* Tools/misc.scm 184 */
										long BgL_newzd2matchzd2_532;

										RGC_STOP_MATCH(BgL_inputzd2portzd2_323);
										BgL_newzd2matchzd2_532 = ((long) 1);
										BgL_matchz00_214 = BgL_newzd2matchzd2_532;
									}
								else
									{
										obj_t BgL_thezd2rgczd2contextz00_882;
										long BgL_lastzd2matchzd2_881;
										obj_t BgL_inputzd2portzd2_880;

										BgL_inputzd2portzd2_880 = BgL_inputzd2portzd2_323;
										BgL_lastzd2matchzd2_881 = BgL_lastzd2matchzd2_324;
										BgL_thezd2rgczd2contextz00_882 =
											BgL_thezd2rgczd2contextz00_325;
										BgL_thezd2rgczd2contextz00_315 =
											BgL_thezd2rgczd2contextz00_882;
										BgL_lastzd2matchzd2_314 = BgL_lastzd2matchzd2_881;
										BgL_inputzd2portzd2_313 = BgL_inputzd2portzd2_880;
										goto BgL_zc3anonymousza31496ze3z83_316;
									}
							}
					}
					RGC_SET_FILEPOS(BgL_inputzd2portzd2_584);
					{

						switch (BgL_matchz00_214)
							{
							case ((long) 2):

								return BNIL;
								break;
							case ((long) 1):

								{

									goto BGl_ignorez00zztools_miscz00;
								}
								break;
							case ((long) 0):

								{	/* Tools/misc.scm 186 */
									obj_t BgL_strz00_221;

									{	/* Tools/misc.scm 184 */
										int BgL_arg1485z00_290;

										{	/* Tools/misc.scm 184 */
											int BgL_res1533z00_500;

											{	/* Tools/misc.scm 184 */
												obj_t BgL_inputzd2portzd2_499;

												BgL_inputzd2portzd2_499 = BgL_inputzd2portzd2_584;
												BgL_res1533z00_500 =
													(int) (RGC_BUFFER_LENGTH(BgL_inputzd2portzd2_499));
											}
											BgL_arg1485z00_290 = BgL_res1533z00_500;
										}
										BgL_strz00_221 =
											rgc_buffer_substring(BgL_inputzd2portzd2_584, ((long) 0),
											(long) (BgL_arg1485z00_290));
									}
									{	/* Tools/misc.scm 186 */
										obj_t BgL_resz00_222;

										BgL_resz00_222 =
											BGl_ignorez00zztools_miscz00(BgL_inputzd2portzd2_584);
										{	/* Tools/misc.scm 187 */

											return MAKE_PAIR(BgL_strz00_221, BgL_resz00_222);
										}
									}
								}
								break;
							default:
								return
									BGl_errorz00zz__errorz00(BGl_string1541z00zztools_miscz00,
									BGl_string1542z00zztools_miscz00, BINT(BgL_matchz00_214));
							}
					}
				}
			}
		}
	}



/* uncygdrive */
	BGL_EXPORTED_DEF obj_t BGl_uncygdrivez00zztools_miscz00(obj_t BgL_strz00_17)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 201 */
			if (bigloo_strncmp(BGl_string1543z00zztools_miscz00, BgL_strz00_17,
					((long) 10)))
				{	/* Tools/misc.scm 203 */
					bool_t BgL_testz00_895;

					if ((STRING_LENGTH(BgL_strz00_17) > ((long) 12)))
						{	/* Tools/misc.scm 204 */
							bool_t BgL_testz00_899;

							{	/* Tools/misc.scm 204 */
								unsigned char BgL_auxz00_900;

								BgL_auxz00_900 = STRING_REF(BgL_strz00_17, ((long) 10));
								BgL_testz00_899 = isalpha(BgL_auxz00_900);
							}
							if (BgL_testz00_899)
								{	/* Tools/misc.scm 204 */
									BgL_testz00_895 =
										(STRING_REF(BgL_strz00_17,
											((long) 11)) == ((unsigned char) '/'));
								}
							else
								{	/* Tools/misc.scm 204 */
									BgL_testz00_895 = ((bool_t) 0);
								}
						}
					else
						{	/* Tools/misc.scm 203 */
							BgL_testz00_895 = ((bool_t) 0);
						}
					if (BgL_testz00_895)
						{	/* Tools/misc.scm 206 */
							obj_t BgL_arg1508z00_361;
							obj_t BgL_arg1513z00_362;

							{	/* Tools/misc.scm 206 */
								unsigned char BgL_arg1514z00_363;

								BgL_arg1514z00_363 = STRING_REF(BgL_strz00_17, ((long) 10));
								{	/* Tools/misc.scm 206 */
									obj_t BgL_list1515z00_364;

									{	/* Tools/misc.scm 206 */
										obj_t BgL_arg1516z00_365;

										{	/* Tools/misc.scm 206 */
											obj_t BgL_arg1517z00_366;

											BgL_arg1517z00_366 =
												MAKE_PAIR(BCHAR(((unsigned char) '/')), BNIL);
											BgL_arg1516z00_365 =
												MAKE_PAIR(BCHAR(((unsigned char) ':')),
												BgL_arg1517z00_366);
										}
										BgL_list1515z00_364 =
											MAKE_PAIR(BCHAR(BgL_arg1514z00_363), BgL_arg1516z00_365);
									}
									BgL_arg1508z00_361 =
										BGl_listzd2ze3stringz31zz__r4_strings_6_7z00
										(BgL_list1515z00_364);
							}}
							BgL_arg1513z00_362 =
								c_substring(BgL_strz00_17, ((long) 12),
								STRING_LENGTH(BgL_strz00_17));
							return string_append(BgL_arg1508z00_361, BgL_arg1513z00_362);
						}
					else
						{	/* Tools/misc.scm 203 */
							return BgL_strz00_17;
						}
				}
			else
				{	/* Tools/misc.scm 202 */
					return BgL_strz00_17;
				}
		}
	}



/* _uncygdrive */
	obj_t BGl__uncygdrivez00zztools_miscz00(obj_t BgL_envz00_582,
		obj_t BgL_strz00_583)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 201 */
			return BGl_uncygdrivez00zztools_miscz00(BgL_strz00_583);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zztools_miscz00()
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 15 */
			return BUNSPEC;
		}
	}

#ifdef __cplusplus
}
#endif
