/*=====================================================================*/
/*    .../project/bigloo/api/ssl/src/Java/ssl_server_socket.java       */
/*    -------------------------------------------------------------    */
/*    Author      :  Manuel Serrano                                    */
/*    Creation    :  Tue Dec  5 10:53:03 2000                          */
/*    Last change :  Tue Oct 17 15:08:53 2006 (serrano)                */
/*    Copyright   :  2000-06 Manuel Serrano                            */
/*    -------------------------------------------------------------    */
/*    The Server Socket implementation for the JVM back-end.           */
/*=====================================================================*/
package bigloo.ssl;
import bigloo.*;
import java.io.*;
import java.net.*;

public class ssl_server_socket extends server_socket {
   public ssl_server_socket( Object name, final int port ) {
      super( name, port );
   }

   public client_socket accept( boolean blocking, boolean errp )
      throws IOException, SecurityException {
      // WARNING this blocking parameter is not called blocking in C
      // it is called buffered, and C does not do non-blocking [yet], so
      // we don't support it [yet] (but we can)
      final Socket accepted_socket = JDK.accept(server_socket, true);
      if( accepted_socket == null )
	 throw new IOException("Nothing to accept");

      return new client_socket( accepted_socket, blocking );
   }
}
