/*===========================================================================*/
/*   (Ast/apply.scm)                                                         */
/*   Bigloo (2.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 25 07:31:22 CET 2006        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/2.9a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/apply.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2heapzd2formatz00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_isaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		struct BgL_typez00_bgl *BgL_classz00;
	}             *BgL_isaz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;


	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	BGL_IMPORT obj_t open_input_string(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	static obj_t BGl__applycationzd2ze3node3329z31zzast_applyz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_appz00_bglt BGl_makezd2appzd2zzast_nodez00(obj_t, BgL_typez00_bglt,
		obj_t, obj_t, BgL_varz00_bglt, obj_t);
	static obj_t BGl_cnstzd2initzd2zzast_applyz00();
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_findzd2locationzf2locz20zztools_locationz00(obj_t, obj_t);
	static obj_t BGl_makezd2funzd2framezd2sfun3039zd2zzast_applyz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_applyz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	static obj_t BGl_toplevelzd2initzd2zzast_applyz00();
	static obj_t BGl_makezd2funzd2framezd2cfun3041zd2zzast_applyz00(obj_t, obj_t);
	static obj_t BGl__makezd2funzd2framezd2defau3034zd2zzast_applyz00(obj_t,
		obj_t);
	static obj_t BGl_loopz00zzast_applyz00(BgL_nodez00_bglt, obj_t,
		BgL_typez00_bglt, obj_t, obj_t, BgL_localz00_bglt, obj_t, obj_t);
	extern bool_t BGl_globalzd2optionalzf3z21zzast_varz00(obj_t);
	static obj_t BGl_loopz72z72zzast_applyz00(obj_t, BgL_nodez00_bglt, obj_t,
		BgL_typez00_bglt, obj_t, obj_t, BgL_localz00_bglt, obj_t);
	extern BgL_nodez00_bglt BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzast_applyz00();
	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_applycationzd2ze3nodez31zzast_applyz00(obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzast_applyz00 = BUNSPEC;
	extern obj_t BGl_za2unsafezd2arityza2zd2zzengine_paramz00;
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_knownzd2appzd2lyzd2ze3nodez31zzast_applyz00(obj_t, obj_t,
		BgL_nodez00_bglt, BgL_nodez00_bglt, obj_t);
	extern obj_t BGl_funz00zzast_varz00;
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_typez00zztype_typez00;
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	static obj_t BGl_makezd2funzd2framez00zzast_applyz00(BgL_funz00_bglt);
	static BgL_letzd2varzd2_bglt
		BGl_vazd2knownzd2appzd2lyzd2ze3nodeze3zzast_applyz00(obj_t, obj_t,
		BgL_nodez00_bglt, BgL_nodez00_bglt, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzast_applyz00();
	static obj_t BGl__makezd2funzd2frame3331z00zzast_applyz00(obj_t, obj_t);
	static BgL_letzd2varzd2_bglt
		BGl_fxzd2knownzd2appzd2lyzd2ze3nodeze3zzast_applyz00(obj_t, obj_t,
		BgL_nodez00_bglt, BgL_nodez00_bglt, obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_applicationzd2ze3nodez31zzast_appz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	static obj_t BGl__knownzd2appzd2lyzd2ze3node3330z31zzast_applyz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t,
		BgL_typez00_bglt);
	extern BgL_varz00_bglt BGl_makezd2varzd2zzast_nodez00(obj_t, BgL_typez00_bglt,
		BgL_variablez00_bglt);
	extern BgL_appzd2lyzd2_bglt BGl_makezd2appzd2lyz00zzast_nodez00(obj_t,
		BgL_typez00_bglt, BgL_nodez00_bglt, BgL_nodez00_bglt);
	extern BgL_letzd2varzd2_bglt BGl_makezd2letzd2varz00zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, obj_t, BgL_nodez00_bglt, bool_t);
	extern bool_t BGl_globalzd2keyzf3z21zzast_varz00(obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_applyz00();
	static obj_t
		BGl_makezd2funzd2framezd2defau3034zd2zzast_applyz00(BgL_funz00_bglt);
	static obj_t __cnst[14];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_makezd2funzd2framezd2defau3034zd2envz00zzast_applyz00,
		BgL_bgl__makeza7d2funza7d2fr3340z00,
		BGl__makezd2funzd2framezd2defau3034zd2zzast_applyz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_applycationzd2ze3nodezd2envze3zzast_applyz00,
		BgL_bgl__applycationza7d2za73341z00,
		BGl__applycationzd2ze3node3329z31zzast_applyz00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string3332z00zzast_applyz00,
		BgL_bgl_string3332za700za7za7a3342za7, "Illegal `apply' form", 20);
	      DEFINE_STRING(BGl_string3333z00zzast_applyz00,
		BgL_bgl_string3333za700za7za7a3343za7, "Too many arguments provided", 27);
	      DEFINE_STRING(BGl_string3334z00zzast_applyz00,
		BgL_bgl_string3334za700za7za7a3344za7, "apply", 5);
	      DEFINE_STRING(BGl_string3335z00zzast_applyz00,
		BgL_bgl_string3335za700za7za7a3345za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string3336z00zzast_applyz00,
		BgL_bgl_string3336za700za7za7a3346za7, "ast_apply", 9);
	      DEFINE_STRING(BGl_string3337z00zzast_applyz00,
		BgL_bgl_string3337za700za7za7a3347za7,
		"make-fun-frame-defau3034 aux set! begin car quote failure cdr null? if write runner value apply ",
		96);
	      DEFINE_STATIC_BGL_GENERIC(BGl_makezd2funzd2framezd2envzd2zzast_applyz00,
		BgL_bgl__makeza7d2funza7d2fr3348z00,
		BGl__makezd2funzd2frame3331z00zzast_applyz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_knownzd2appzd2lyzd2ze3nodezd2envze3zzast_applyz00,
		BgL_bgl__knownza7d2appza7d2l3349z00,
		BGl__knownzd2appzd2lyzd2ze3node3330z31zzast_applyz00, 0L, BUNSPEC, 5);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_applyz00(long
		BgL_checksumz00_1607, char *BgL_fromz00_1608)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_applyz00))
				{
					BGl_requirezd2initializa7ationz75zzast_applyz00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzast_applyz00();
					BGl_cnstzd2initzd2zzast_applyz00();
					BGl_importedzd2moduleszd2initz00zzast_applyz00();
					BGl_methodzd2initzd2zzast_applyz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_applyz00()
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 14 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_apply");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_apply");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "ast_apply");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "ast_apply");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"ast_apply");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_applyz00()
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 14 */
			{	/* Ast/apply.scm 14 */
				obj_t BgL_cportz00_1599;

				BgL_cportz00_1599 = open_input_string(BGl_string3337z00zzast_applyz00);
				{
					long BgL_iz00_1600;

					BgL_iz00_1600 = ((long) 13);
				BgL_loopz00_1601:
					if ((BgL_iz00_1600 == ((long) -1)))
						{	/* Ast/apply.scm 14 */
							return BUNSPEC;
						}
					else
						{	/* Ast/apply.scm 14 */
							{	/* Ast/apply.scm 14 */
								obj_t BgL_arg3339z00_1603;

								{	/* Ast/apply.scm 14 */

									{	/* Ast/apply.scm 14 */
										obj_t BgL_locationz00_1605;

										BgL_locationz00_1605 = BBOOL(((bool_t) 0));
										{	/* Ast/apply.scm 14 */

											BgL_arg3339z00_1603 =
												BGl_readz00zz__readerz00(BgL_cportz00_1599,
												BgL_locationz00_1605);
										}
									}
								}
								{	/* Ast/apply.scm 14 */
									int BgL_auxz00_1626;

									BgL_auxz00_1626 = (int) (BgL_iz00_1600);
									CNST_TABLE_SET(BgL_auxz00_1626, BgL_arg3339z00_1603);
							}}
							{	/* Ast/apply.scm 14 */
								int BgL_auxz00_1606;

								BgL_auxz00_1606 = (int) ((BgL_iz00_1600 - ((long) 1)));
								{
									long BgL_iz00_1631;

									BgL_iz00_1631 = (long) (BgL_auxz00_1606);
									BgL_iz00_1600 = BgL_iz00_1631;
									goto BgL_loopz00_1601;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_applyz00()
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 14 */
			return BUNSPEC;
		}
	}



/* applycation->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_applycationzd2ze3nodez31zzast_applyz00(obj_t BgL_expz00_1,
		obj_t BgL_stackz00_2, obj_t BgL_locz00_3, obj_t BgL_sitez00_4)
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 31 */
			{
				obj_t BgL_procz00_734;
				obj_t BgL_argz00_735;

				if (PAIRP(BgL_expz00_1))
					{	/* Ast/apply.scm 32 */
						obj_t BgL_cdrzd2937zd2_740;

						BgL_cdrzd2937zd2_740 = CDR(BgL_expz00_1);
						if ((CAR(BgL_expz00_1) == CNST_TABLE_REF(((long) 0))))
							{	/* Ast/apply.scm 32 */
								if (PAIRP(BgL_cdrzd2937zd2_740))
									{	/* Ast/apply.scm 32 */
										obj_t BgL_cdrzd2941zd2_743;

										BgL_cdrzd2941zd2_743 = CDR(BgL_cdrzd2937zd2_740);
										if (PAIRP(BgL_cdrzd2941zd2_743))
											{	/* Ast/apply.scm 32 */
												if (NULLP(CDR(BgL_cdrzd2941zd2_743)))
													{	/* Ast/apply.scm 32 */
														obj_t BgL_arg3047z00_746;
														obj_t BgL_arg3048z00_747;

														BgL_arg3047z00_746 = CAR(BgL_cdrzd2937zd2_740);
														BgL_arg3048z00_747 = CAR(BgL_cdrzd2941zd2_743);
														{	/* Ast/apply.scm 32 */
															obj_t BgL_auxz00_1650;

															BgL_procz00_734 = BgL_arg3047z00_746;
															BgL_argz00_735 = BgL_arg3048z00_747;
															{	/* Ast/apply.scm 34 */
																obj_t BgL_locz00_751;

																BgL_locz00_751 =
																	BGl_findzd2locationzf2locz20zztools_locationz00
																	(BgL_expz00_1, BgL_locz00_3);
																{	/* Ast/apply.scm 34 */
																	BgL_nodez00_bglt BgL_procz00_752;

																	{	/* Ast/apply.scm 37 */
																		obj_t BgL_arg3065z00_769;
																		obj_t BgL_arg3066z00_770;

																		BgL_arg3065z00_769 =
																			BGl_findzd2locationzf2locz20zztools_locationz00
																			(BgL_procz00_734, BgL_locz00_751);
																		BgL_arg3066z00_770 =
																			CNST_TABLE_REF(((long) 0));
																		BgL_procz00_752 =
																			BGl_sexpzd2ze3nodez31zzast_sexpz00
																			(BgL_procz00_734, BgL_stackz00_2,
																			BgL_arg3065z00_769, BgL_arg3066z00_770);
																	}
																	{	/* Ast/apply.scm 35 */
																		BgL_nodez00_bglt BgL_argz00_753;

																		{	/* Ast/apply.scm 41 */
																			obj_t BgL_arg3063z00_767;
																			obj_t BgL_arg3064z00_768;

																			BgL_arg3063z00_767 =
																				BGl_findzd2locationzf2locz20zztools_locationz00
																				(BgL_argz00_735, BgL_locz00_751);
																			BgL_arg3064z00_768 =
																				CNST_TABLE_REF(((long) 1));
																			BgL_argz00_753 =
																				BGl_sexpzd2ze3nodez31zzast_sexpz00
																				(BgL_argz00_735, BgL_stackz00_2,
																				BgL_arg3063z00_767, BgL_arg3064z00_768);
																		}
																		{	/* Ast/apply.scm 39 */

																			{	/* Ast/apply.scm 43 */
																				bool_t BgL_testz00_1658;

																				{	/* Ast/apply.scm 43 */
																					bool_t BgL_testz00_1659;

																					{	/* Ast/apply.scm 43 */
																						obj_t BgL_obj1923z00_1395;

																						BgL_obj1923z00_1395 =
																							(obj_t) (BgL_procz00_752);
																						BgL_testz00_1659 =
																							BGl_iszd2azf3z21zz__objectz00
																							(BgL_obj1923z00_1395,
																							BGl_varz00zzast_nodez00);
																					}
																					if (BgL_testz00_1659)
																						{	/* Ast/apply.scm 44 */
																							bool_t BgL_testz00_1662;

																							{	/* Ast/apply.scm 44 */
																								BgL_valuez00_bglt
																									BgL_arg3061z00_765;
																								{	/* Ast/apply.scm 44 */
																									BgL_variablez00_bglt
																										BgL_obj1369z00_1397;
																									{	/* Ast/apply.scm 44 */
																										BgL_varz00_bglt
																											BgL_obj1908z00_1396;
																										BgL_obj1908z00_1396 =
																											(BgL_varz00_bglt)
																											(BgL_procz00_752);
																										BgL_obj1369z00_1397 =
																											(((BgL_varz00_bglt)
																												CREF
																												(BgL_obj1908z00_1396))->
																											BgL_variablez00);
																									}
																									BgL_arg3061z00_765 =
																										(((BgL_variablez00_bglt)
																											CREF
																											(BgL_obj1369z00_1397))->
																										BgL_valuez00);
																								}
																								{	/* Ast/apply.scm 44 */
																									obj_t BgL_obj1613z00_1398;

																									BgL_obj1613z00_1398 =
																										(obj_t)
																										(BgL_arg3061z00_765);
																									BgL_testz00_1662 =
																										BGl_iszd2azf3z21zz__objectz00
																										(BgL_obj1613z00_1398,
																										BGl_funz00zzast_varz00);
																								}
																							}
																							if (BgL_testz00_1662)
																								{	/* Ast/apply.scm 45 */
																									bool_t
																										BgL__ortest_3000z00_757;
																									{	/* Ast/apply.scm 45 */
																										bool_t BgL_testz00_1668;

																										{	/* Ast/apply.scm 45 */
																											BgL_variablez00_bglt
																												BgL_arg3060z00_764;
																											{	/* Ast/apply.scm 45 */
																												BgL_varz00_bglt
																													BgL_obj1908z00_1399;
																												BgL_obj1908z00_1399 =
																													(BgL_varz00_bglt)
																													(BgL_procz00_752);
																												BgL_arg3060z00_764 =
																													(((BgL_varz00_bglt)
																														CREF
																														(BgL_obj1908z00_1399))->
																													BgL_variablez00);
																											}
																											{	/* Ast/apply.scm 45 */
																												obj_t
																													BgL_obj1509z00_1400;
																												BgL_obj1509z00_1400 =
																													(obj_t)
																													(BgL_arg3060z00_764);
																												BgL_testz00_1668 =
																													BGl_iszd2azf3z21zz__objectz00
																													(BgL_obj1509z00_1400,
																													BGl_globalz00zzast_varz00);
																											}
																										}
																										if (BgL_testz00_1668)
																											{	/* Ast/apply.scm 45 */
																												BgL__ortest_3000z00_757
																													= ((bool_t) 0);
																											}
																										else
																											{	/* Ast/apply.scm 45 */
																												BgL__ortest_3000z00_757
																													= ((bool_t) 1);
																											}
																									}
																									if (BgL__ortest_3000z00_757)
																										{	/* Ast/apply.scm 45 */
																											BgL_testz00_1658 =
																												BgL__ortest_3000z00_757;
																										}
																									else
																										{	/* Ast/apply.scm 46 */
																											bool_t BgL_testz00_1674;

																											{	/* Ast/apply.scm 46 */
																												bool_t BgL_testz00_1675;

																												{	/* Ast/apply.scm 46 */
																													BgL_variablez00_bglt
																														BgL_arg3058z00_762;
																													{	/* Ast/apply.scm 46 */
																														BgL_varz00_bglt
																															BgL_obj1908z00_1401;
																														BgL_obj1908z00_1401
																															=
																															(BgL_varz00_bglt)
																															(BgL_procz00_752);
																														BgL_arg3058z00_762 =
																															(((BgL_varz00_bglt) CREF(BgL_obj1908z00_1401))->BgL_variablez00);
																													}
																													BgL_testz00_1675 =
																														BGl_globalzd2optionalzf3z21zzast_varz00
																														((obj_t)
																														(BgL_arg3058z00_762));
																												}
																												if (BgL_testz00_1675)
																													{	/* Ast/apply.scm 46 */
																														BgL_testz00_1674 =
																															((bool_t) 0);
																													}
																												else
																													{	/* Ast/apply.scm 46 */
																														BgL_testz00_1674 =
																															((bool_t) 1);
																													}
																											}
																											if (BgL_testz00_1674)
																												{	/* Ast/apply.scm 47 */
																													bool_t
																														BgL_testz00_1680;
																													{	/* Ast/apply.scm 47 */
																														BgL_variablez00_bglt
																															BgL_arg3056z00_760;
																														{	/* Ast/apply.scm 47 */
																															BgL_varz00_bglt
																																BgL_obj1908z00_1402;
																															BgL_obj1908z00_1402
																																=
																																(BgL_varz00_bglt)
																																(BgL_procz00_752);
																															BgL_arg3056z00_760
																																=
																																(((BgL_varz00_bglt) CREF(BgL_obj1908z00_1402))->BgL_variablez00);
																														}
																														BgL_testz00_1680 =
																															BGl_globalzd2keyzf3z21zzast_varz00
																															((obj_t)
																															(BgL_arg3056z00_760));
																													}
																													if (BgL_testz00_1680)
																														{	/* Ast/apply.scm 47 */
																															BgL_testz00_1658 =
																																((bool_t) 0);
																														}
																													else
																														{	/* Ast/apply.scm 47 */
																															BgL_testz00_1658 =
																																((bool_t) 1);
																														}
																												}
																											else
																												{	/* Ast/apply.scm 46 */
																													BgL_testz00_1658 =
																														((bool_t) 0);
																												}
																										}
																								}
																							else
																								{	/* Ast/apply.scm 44 */
																									BgL_testz00_1658 =
																										((bool_t) 0);
																								}
																						}
																					else
																						{	/* Ast/apply.scm 43 */
																							BgL_testz00_1658 = ((bool_t) 0);
																						}
																				}
																				if (BgL_testz00_1658)
																					{	/* Ast/apply.scm 48 */
																						BgL_nodez00_bglt BgL_auxz00_1685;

																						BgL_auxz00_1685 =
																							BGl_knownzd2appzd2lyzd2ze3nodez31zzast_applyz00
																							(BgL_stackz00_2, BgL_locz00_751,
																							BgL_procz00_752, BgL_argz00_753,
																							BgL_sitez00_4);
																						BgL_auxz00_1650 =
																							(obj_t) (BgL_auxz00_1685);
																					}
																				else
																					{	/* Ast/apply.scm 49 */
																						BgL_appzd2lyzd2_bglt
																							BgL_auxz00_1688;
																						BgL_auxz00_1688 =
																							BGl_makezd2appzd2lyz00zzast_nodez00
																							(BgL_locz00_751,
																							(BgL_typez00_bglt)
																							(BGl_za2_za2z00zztype_cachez00),
																							BgL_procz00_752, BgL_argz00_753);
																						BgL_auxz00_1650 =
																							(obj_t) (BgL_auxz00_1688);
																					}
																			}
																		}
																	}
																}
															}
															return (BgL_nodez00_bglt) (BgL_auxz00_1650);
														}
													}
												else
													{	/* Ast/apply.scm 32 */
													BgL_tagzd2930zd2_737:
														return
															BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
															(BGl_string3332z00zzast_applyz00, BgL_expz00_1,
															BGl_findzd2locationzf2locz20zztools_locationz00
															(BgL_expz00_1, BgL_locz00_3));
													}
											}
										else
											{	/* Ast/apply.scm 32 */
												goto BgL_tagzd2930zd2_737;
											}
									}
								else
									{	/* Ast/apply.scm 32 */
										goto BgL_tagzd2930zd2_737;
									}
							}
						else
							{	/* Ast/apply.scm 32 */
								goto BgL_tagzd2930zd2_737;
							}
					}
				else
					{	/* Ast/apply.scm 32 */
						goto BgL_tagzd2930zd2_737;
					}
			}
		}
	}



/* _applycation->node3329 */
	obj_t BGl__applycationzd2ze3node3329z31zzast_applyz00(obj_t BgL_envz00_1563,
		obj_t BgL_expz00_1564, obj_t BgL_stackz00_1565, obj_t BgL_locz00_1566,
		obj_t BgL_sitez00_1567)
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 31 */
			{	/* Ast/apply.scm 32 */
				BgL_nodez00_bglt BgL_auxz00_1695;

				BgL_auxz00_1695 =
					BGl_applycationzd2ze3nodez31zzast_applyz00(BgL_expz00_1564,
					BgL_stackz00_1565, BgL_locz00_1566, BgL_sitez00_1567);
				return (obj_t) (BgL_auxz00_1695);
			}
		}
	}



/* known-app-ly->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_knownzd2appzd2lyzd2ze3nodez31zzast_applyz00(obj_t BgL_stackz00_9,
		obj_t BgL_locz00_10, BgL_nodez00_bglt BgL_procz00_11,
		BgL_nodez00_bglt BgL_argz00_12, obj_t BgL_sitez00_13)
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 108 */
			{	/* Ast/apply.scm 109 */
				BgL_valuez00_bglt BgL_funz00_773;

				{	/* Ast/apply.scm 109 */
					BgL_variablez00_bglt BgL_obj1369z00_1404;

					{	/* Ast/apply.scm 109 */
						BgL_varz00_bglt BgL_obj1908z00_1403;

						BgL_obj1908z00_1403 = (BgL_varz00_bglt) (BgL_procz00_11);
						BgL_obj1369z00_1404 =
							(((BgL_varz00_bglt) CREF(BgL_obj1908z00_1403))->BgL_variablez00);
					}
					BgL_funz00_773 =
						(((BgL_variablez00_bglt) CREF(BgL_obj1369z00_1404))->BgL_valuez00);
				}
				{	/* Ast/apply.scm 109 */
					long BgL_arityz00_774;

					{	/* Ast/apply.scm 110 */
						BgL_funz00_bglt BgL_obj1570z00_1405;

						BgL_obj1570z00_1405 = (BgL_funz00_bglt) (BgL_funz00_773);
						BgL_arityz00_774 =
							(((BgL_funz00_bglt) CREF(BgL_obj1570z00_1405))->BgL_arityz00);
					}
					{	/* Ast/apply.scm 110 */
						obj_t BgL_framez00_775;

						{	/* Ast/apply.scm 111 */
							BgL_funz00_bglt BgL_funz00_1406;

							BgL_funz00_1406 = (BgL_funz00_bglt) (BgL_funz00_773);
							{	/* Ast/apply.scm 111 */
								obj_t BgL_method3037z00_1407;

								{	/* Ast/apply.scm 111 */
									BgL_objectz00_bglt BgL_objz00_1408;

									BgL_objz00_1408 = (BgL_objectz00_bglt) (BgL_funz00_1406);
									{	/* Ast/apply.scm 111 */
										long BgL_objzd2classzd2numz00_1409;

										BgL_objzd2classzd2numz00_1409 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_1408);
										{	/* Ast/apply.scm 111 */
											obj_t BgL_arg2273z00_1410;

											BgL_arg2273z00_1410 =
												PROCEDURE_REF
												(BGl_makezd2funzd2framezd2envzd2zzast_applyz00,
												(int) (((long) 1)));
											{	/* Ast/apply.scm 111 */
												obj_t BgL_arrayz00_1412;
												int BgL_offsetz00_1413;

												BgL_arrayz00_1412 = BgL_arg2273z00_1410;
												BgL_offsetz00_1413 =
													(int) (BgL_objzd2classzd2numz00_1409);
												{	/* Ast/apply.scm 111 */
													long BgL_offsetz00_1414;

													BgL_offsetz00_1414 =
														((long) (BgL_offsetz00_1413) - OBJECT_TYPE);
													{	/* Ast/apply.scm 111 */
														long BgL_modz00_1415;

														{	/* Ast/apply.scm 111 */
															int BgL_arg2275z00_1416;

															BgL_arg2275z00_1416 = (int) (((long) 8));
															{	/* Ast/apply.scm 111 */
																long BgL_auxz00_1712;

																BgL_auxz00_1712 = (long) (BgL_arg2275z00_1416);
																BgL_modz00_1415 =
																	(BgL_offsetz00_1414 / BgL_auxz00_1712);
														}}
														{	/* Ast/apply.scm 111 */
															long BgL_restz00_1417;

															{	/* Ast/apply.scm 111 */
																int BgL_arg2274z00_1418;

																BgL_arg2274z00_1418 = (int) (((long) 8));
																{	/* Ast/apply.scm 111 */
																	long BgL_auxz00_1716;

																	BgL_auxz00_1716 =
																		(long) (BgL_arg2274z00_1418);
																	BgL_restz00_1417 =
																		(BgL_offsetz00_1414 % BgL_auxz00_1716);
															}}
															{	/* Ast/apply.scm 111 */

																BgL_method3037z00_1407 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_1412,
																		(int) (BgL_modz00_1415)),
																	(int) (BgL_restz00_1417));
								}}}}}}}}
								BgL_framez00_775 =
									PROCEDURE_ENTRY(BgL_method3037z00_1407)
									(BgL_method3037z00_1407, (obj_t) (BgL_funz00_1406), BEOA);
						}}
						{	/* Ast/apply.scm 111 */

							if ((BgL_arityz00_774 > ((long) 0)))
								{	/* Ast/apply.scm 117 */
									BgL_letzd2varzd2_bglt BgL_auxz00_1728;

									BgL_auxz00_1728 =
										BGl_fxzd2knownzd2appzd2lyzd2ze3nodeze3zzast_applyz00
										(BgL_stackz00_9, BgL_locz00_10, BgL_procz00_11,
										BgL_argz00_12, BgL_framez00_775, BgL_sitez00_13);
									return (BgL_nodez00_bglt) (BgL_auxz00_1728);
								}
							else
								{	/* Ast/apply.scm 116 */
									if ((BgL_arityz00_774 == ((long) 0)))
										{	/* Ast/apply.scm 119 */
											obj_t BgL_arg3072z00_1442;

											{	/* Ast/apply.scm 119 */
												obj_t BgL_list3073z00_1443;

												BgL_list3073z00_1443 =
													MAKE_PAIR((obj_t) (BgL_procz00_11), BNIL);
												BgL_arg3072z00_1442 = BgL_list3073z00_1443;
											}
											return
												BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg3072z00_1442,
												BgL_stackz00_9, BgL_locz00_10, BgL_sitez00_13);
										}
									else
										{	/* Ast/apply.scm 121 */
											BgL_letzd2varzd2_bglt BgL_auxz00_1736;

											BgL_auxz00_1736 =
												BGl_vazd2knownzd2appzd2lyzd2ze3nodeze3zzast_applyz00
												(BgL_stackz00_9, BgL_locz00_10, BgL_procz00_11,
												BgL_argz00_12, BgL_framez00_775, BgL_sitez00_13);
											return (BgL_nodez00_bglt) (BgL_auxz00_1736);
										}
								}
						}
					}
				}
			}
		}
	}



/* _known-app-ly->node3330 */
	obj_t BGl__knownzd2appzd2lyzd2ze3node3330z31zzast_applyz00(obj_t
		BgL_envz00_1568, obj_t BgL_stackz00_1569, obj_t BgL_locz00_1570,
		obj_t BgL_procz00_1571, obj_t BgL_argz00_1572, obj_t BgL_sitez00_1573)
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 108 */
			{	/* Ast/apply.scm 109 */
				BgL_nodez00_bglt BgL_auxz00_1739;

				BgL_auxz00_1739 =
					BGl_knownzd2appzd2lyzd2ze3nodez31zzast_applyz00(BgL_stackz00_1569,
					BgL_locz00_1570, (BgL_nodez00_bglt) (BgL_procz00_1571),
					(BgL_nodez00_bglt) (BgL_argz00_1572), BgL_sitez00_1573);
				return (obj_t) (BgL_auxz00_1739);
			}
		}
	}



/* fx-known-app-ly->node */
	BgL_letzd2varzd2_bglt
		BGl_fxzd2knownzd2appzd2lyzd2ze3nodeze3zzast_applyz00(obj_t BgL_stackz00_20,
		obj_t BgL_locz00_21, BgL_nodez00_bglt BgL_procz00_22,
		BgL_nodez00_bglt BgL_argz00_23, obj_t BgL_framez00_24, obj_t BgL_sitez00_25)
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 148 */
			{	/* Ast/apply.scm 149 */
				BgL_localz00_bglt BgL_runnerz00_781;
				BgL_typez00_bglt BgL_typez00_782;

				{	/* Ast/apply.scm 149 */
					obj_t BgL_arg3171z00_887;

					BgL_arg3171z00_887 =
						BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
						(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 2))));
					BgL_runnerz00_781 =
						BGl_makezd2localzd2svarz00zzast_localz00(BgL_arg3171z00_887,
						(BgL_typez00_bglt) (BGl_za2_za2z00zztype_cachez00));
				}
				BgL_typez00_782 =
					(((BgL_nodez00_bglt) CREF(BgL_procz00_22))->BgL_typez00);
				{	/* Ast/apply.scm 152 */
					BgL_variablez00_bglt BgL_obj1374z00_1451;
					obj_t BgL_val1373z00_1452;

					BgL_obj1374z00_1451 = (BgL_variablez00_bglt) (BgL_runnerz00_781);
					BgL_val1373z00_1452 = CNST_TABLE_REF(((long) 3));
					((((BgL_variablez00_bglt) CREF(BgL_obj1374z00_1451))->BgL_accessz00) =
						((obj_t) BgL_val1373z00_1452), BUNSPEC);
				}
				{	/* Ast/apply.scm 153 */
					obj_t BgL_arg3075z00_784;
					obj_t BgL_arg3076z00_785;

					{	/* Ast/apply.scm 156 */
						obj_t BgL_arg3077z00_786;

						BgL_arg3077z00_786 =
							MAKE_PAIR((obj_t) (BgL_runnerz00_781), (obj_t) (BgL_argz00_23));
						{	/* Ast/apply.scm 156 */
							obj_t BgL_list3078z00_787;

							BgL_list3078z00_787 = MAKE_PAIR(BgL_arg3077z00_786, BNIL);
							BgL_arg3075z00_784 = BgL_list3078z00_787;
					}}
					BgL_arg3076z00_785 =
						BGl_loopz72z72zzast_applyz00(BgL_sitez00_25, BgL_procz00_22,
						BgL_framez00_24, BgL_typez00_782, BgL_stackz00_20, BgL_locz00_21,
						BgL_runnerz00_781, BgL_framez00_24);
					return BGl_makezd2letzd2varz00zzast_nodez00(BgL_locz00_21,
						BgL_typez00_782, BUNSPEC, BINT(((long) -1)), BgL_arg3075z00_784,
						(BgL_nodez00_bglt) (BgL_arg3076z00_785), ((bool_t) 1));
		}}}
	}



/* loop' */
	obj_t BGl_loopz72z72zzast_applyz00(obj_t BgL_sitez00_1598,
		BgL_nodez00_bglt BgL_procz00_1597, obj_t BgL_framez00_1596,
		BgL_typez00_bglt BgL_typez00_1595, obj_t BgL_stackz00_1594,
		obj_t BgL_locz00_1593, BgL_localz00_bglt BgL_runnerz00_1592,
		obj_t BgL_localsz00_788)
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 157 */
			if (NULLP(BgL_localsz00_788))
				{	/* Ast/apply.scm 159 */
					BgL_nodez00_bglt BgL_appz00_791;

					{	/* Ast/apply.scm 161 */
						obj_t BgL_arg3115z00_827;
						obj_t BgL_arg3116z00_828;

						{	/* Ast/apply.scm 161 */
							obj_t BgL_arg3117z00_829;

							{	/* Ast/apply.scm 161 */
								obj_t BgL_arg3118z00_830;

								if (NULLP(BgL_framez00_1596))
									{	/* Ast/apply.scm 161 */
										BgL_arg3118z00_830 = BNIL;
									}
								else
									{	/* Ast/apply.scm 161 */
										obj_t BgL_head3026z00_834;

										BgL_head3026z00_834 = MAKE_PAIR(BNIL, BNIL);
										{
											obj_t BgL_l3024z00_835;
											obj_t BgL_tail3027z00_836;

											BgL_l3024z00_835 = BgL_framez00_1596;
											BgL_tail3027z00_836 = BgL_head3026z00_834;
										BgL_map3025z00_837:
											if (NULLP(BgL_l3024z00_835))
												{	/* Ast/apply.scm 161 */
													BgL_arg3118z00_830 = CDR(BgL_head3026z00_834);
												}
											else
												{	/* Ast/apply.scm 161 */
													obj_t BgL_newtail3028z00_839;

													{	/* Ast/apply.scm 161 */
														BgL_varz00_bglt BgL_arg3123z00_841;

														{	/* Ast/apply.scm 161 */
															obj_t BgL_localz00_843;

															BgL_localz00_843 = CAR(BgL_l3024z00_835);
															{	/* Ast/apply.scm 164 */
																BgL_typez00_bglt BgL_arg3125z00_844;

																{	/* Ast/apply.scm 164 */
																	BgL_variablez00_bglt BgL_obj1366z00_1462;

																	BgL_obj1366z00_1462 =
																		(BgL_variablez00_bglt) (BgL_localz00_843);
																	BgL_arg3125z00_844 =
																		(((BgL_variablez00_bglt)
																			CREF(BgL_obj1366z00_1462))->BgL_typez00);
																}
																BgL_arg3123z00_841 =
																	BGl_makezd2varzd2zzast_nodez00
																	(BgL_locz00_1593, BgL_arg3125z00_844,
																	(BgL_variablez00_bglt) (BgL_localz00_843));
															}
														}
														{	/* Ast/apply.scm 161 */
															obj_t BgL_obj1z00_1463;

															BgL_obj1z00_1463 = (obj_t) (BgL_arg3123z00_841);
															BgL_newtail3028z00_839 =
																MAKE_PAIR(BgL_obj1z00_1463, BNIL);
														}
													}
													SET_CDR(BgL_tail3027z00_836, BgL_newtail3028z00_839);
													{
														obj_t BgL_tail3027z00_1779;
														obj_t BgL_l3024z00_1777;

														BgL_l3024z00_1777 = CDR(BgL_l3024z00_835);
														BgL_tail3027z00_1779 = BgL_newtail3028z00_839;
														BgL_tail3027z00_836 = BgL_tail3027z00_1779;
														BgL_l3024z00_835 = BgL_l3024z00_1777;
														goto BgL_map3025z00_837;
													}
												}
										}
									}
								BgL_arg3117z00_829 =
									BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
									(BgL_arg3118z00_830, BNIL);
							}
							BgL_arg3115z00_827 =
								MAKE_PAIR((obj_t) (BgL_procz00_1597), BgL_arg3117z00_829);
						}
						BgL_arg3116z00_828 = CNST_TABLE_REF(((long) 1));
						BgL_appz00_791 =
							BGl_applicationzd2ze3nodez31zzast_appz00(BgL_arg3115z00_827,
							BgL_stackz00_1594, BgL_locz00_1593, BgL_arg3116z00_828);
					}
					if (CBOOL(BGl_za2unsafezd2arityza2zd2zzengine_paramz00))
						{	/* Ast/apply.scm 170 */
							return (obj_t) (BgL_appz00_791);
						}
					else
						{	/* Ast/apply.scm 173 */
							obj_t BgL_arg3080z00_792;

							{	/* Ast/apply.scm 173 */
								obj_t BgL_arg3081z00_793;
								obj_t BgL_arg3082z00_794;

								BgL_arg3081z00_793 = CNST_TABLE_REF(((long) 4));
								{	/* Ast/apply.scm 173 */
									obj_t BgL_arg3083z00_795;
									obj_t BgL_arg3084z00_796;

									{	/* Ast/apply.scm 173 */
										obj_t BgL_arg3089z00_801;
										obj_t BgL_arg3090z00_802;

										BgL_arg3089z00_801 = CNST_TABLE_REF(((long) 5));
										{	/* Ast/apply.scm 173 */
											obj_t BgL_arg3091z00_803;

											{	/* Ast/apply.scm 173 */
												obj_t BgL_arg3094z00_806;
												obj_t BgL_arg3095z00_807;

												BgL_arg3094z00_806 = CNST_TABLE_REF(((long) 6));
												{	/* Ast/apply.scm 176 */
													BgL_varz00_bglt BgL_arg3096z00_808;

													{	/* Ast/apply.scm 176 */
														BgL_typez00_bglt BgL_arg3099z00_811;

														{	/* Ast/apply.scm 176 */
															BgL_variablez00_bglt BgL_obj1366z00_1468;

															BgL_obj1366z00_1468 =
																(BgL_variablez00_bglt) (BgL_runnerz00_1592);
															BgL_arg3099z00_811 =
																(((BgL_variablez00_bglt)
																	CREF(BgL_obj1366z00_1468))->BgL_typez00);
														}
														BgL_arg3096z00_808 =
															BGl_makezd2varzd2zzast_nodez00(BgL_locz00_1593,
															BgL_arg3099z00_811,
															(BgL_variablez00_bglt) (BgL_runnerz00_1592));
													}
													{	/* Ast/apply.scm 173 */
														obj_t BgL_list3098z00_810;

														BgL_list3098z00_810 = MAKE_PAIR(BNIL, BNIL);
														BgL_arg3095z00_807 =
															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
															(obj_t) (BgL_arg3096z00_808),
															BgL_list3098z00_810);
												}}
												BgL_arg3091z00_803 =
													MAKE_PAIR(BgL_arg3094z00_806, BgL_arg3095z00_807);
											}
											{	/* Ast/apply.scm 173 */
												obj_t BgL_list3093z00_805;

												BgL_list3093z00_805 = MAKE_PAIR(BNIL, BNIL);
												BgL_arg3090z00_802 =
													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
													(BgL_arg3091z00_803, BgL_list3093z00_805);
										}}
										BgL_arg3083z00_795 =
											MAKE_PAIR(BgL_arg3089z00_801, BgL_arg3090z00_802);
									}
									{	/* Ast/apply.scm 179 */
										obj_t BgL_arg3100z00_812;
										obj_t BgL_arg3101z00_813;

										BgL_arg3100z00_812 = CNST_TABLE_REF(((long) 7));
										{	/* Ast/apply.scm 179 */
											obj_t BgL_arg3104z00_816;

											{	/* Ast/apply.scm 181 */
												obj_t BgL_arg3109z00_821;
												obj_t BgL_arg3110z00_822;

												BgL_arg3109z00_821 = CNST_TABLE_REF(((long) 8));
												{	/* Ast/apply.scm 181 */
													obj_t BgL_arg3111z00_823;

													{	/* Ast/apply.scm 181 */
														BgL_variablez00_bglt BgL_arg3114z00_826;

														{	/* Ast/apply.scm 181 */
															BgL_varz00_bglt BgL_obj1908z00_1469;

															BgL_obj1908z00_1469 =
																(BgL_varz00_bglt) (BgL_procz00_1597);
															BgL_arg3114z00_826 =
																(((BgL_varz00_bglt) CREF(BgL_obj1908z00_1469))->
																BgL_variablez00);
														}
														BgL_arg3111z00_823 =
															BGl_shapez00zztools_shapez00(
															(obj_t) (BgL_arg3114z00_826));
													}
													{	/* Ast/apply.scm 181 */
														obj_t BgL_list3113z00_825;

														BgL_list3113z00_825 = MAKE_PAIR(BNIL, BNIL);
														BgL_arg3110z00_822 =
															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
															(BgL_arg3111z00_823, BgL_list3113z00_825);
												}}
												BgL_arg3104z00_816 =
													MAKE_PAIR(BgL_arg3109z00_821, BgL_arg3110z00_822);
											}
											{	/* Ast/apply.scm 179 */
												obj_t BgL_list3106z00_818;

												{	/* Ast/apply.scm 179 */
													obj_t BgL_arg3107z00_819;

													{	/* Ast/apply.scm 179 */
														obj_t BgL_arg3108z00_820;

														BgL_arg3108z00_820 = MAKE_PAIR(BNIL, BNIL);
														BgL_arg3107z00_819 =
															MAKE_PAIR(BgL_arg3104z00_816, BgL_arg3108z00_820);
													}
													BgL_list3106z00_818 =
														MAKE_PAIR(BGl_string3333z00zzast_applyz00,
														BgL_arg3107z00_819);
												}
												BgL_arg3101z00_813 =
													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
													(BGl_string3334z00zzast_applyz00,
													BgL_list3106z00_818);
										}}
										BgL_arg3084z00_796 =
											MAKE_PAIR(BgL_arg3100z00_812, BgL_arg3101z00_813);
									}
									{	/* Ast/apply.scm 173 */
										obj_t BgL_list3086z00_798;

										{	/* Ast/apply.scm 173 */
											obj_t BgL_arg3087z00_799;

											{	/* Ast/apply.scm 173 */
												obj_t BgL_arg3088z00_800;

												BgL_arg3088z00_800 = MAKE_PAIR(BNIL, BNIL);
												BgL_arg3087z00_799 =
													MAKE_PAIR(BgL_arg3084z00_796, BgL_arg3088z00_800);
											}
											BgL_list3086z00_798 =
												MAKE_PAIR((obj_t) (BgL_appz00_791), BgL_arg3087z00_799);
										}
										BgL_arg3082z00_794 =
											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
											(BgL_arg3083z00_795, BgL_list3086z00_798);
								}}
								BgL_arg3080z00_792 =
									MAKE_PAIR(BgL_arg3081z00_793, BgL_arg3082z00_794);
							}
							{	/* Ast/apply.scm 172 */
								BgL_nodez00_bglt BgL_auxz00_1822;

								BgL_auxz00_1822 =
									BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg3080z00_792,
									BgL_stackz00_1594, BgL_locz00_1593, BgL_sitez00_1598);
								return (obj_t) (BgL_auxz00_1822);
							}
						}
				}
			else
				{	/* Ast/apply.scm 185 */
					obj_t BgL_arg3127z00_846;
					obj_t BgL_arg3128z00_847;

					{	/* Ast/apply.scm 189 */
						obj_t BgL_arg3129z00_848;

						{	/* Ast/apply.scm 189 */
							obj_t BgL_arg3131z00_850;
							BgL_nodez00_bglt BgL_arg3132z00_851;

							BgL_arg3131z00_850 = CAR(BgL_localsz00_788);
							{	/* Ast/apply.scm 191 */
								obj_t BgL_arg3133z00_852;
								obj_t BgL_arg3134z00_853;

								{	/* Ast/apply.scm 191 */
									obj_t BgL_arg3135z00_854;
									obj_t BgL_arg3136z00_855;

									BgL_arg3135z00_854 = CNST_TABLE_REF(((long) 9));
									{	/* Ast/apply.scm 194 */
										BgL_varz00_bglt BgL_arg3137z00_856;

										{	/* Ast/apply.scm 194 */
											BgL_typez00_bglt BgL_arg3141z00_859;

											{	/* Ast/apply.scm 194 */
												BgL_variablez00_bglt BgL_obj1366z00_1471;

												BgL_obj1366z00_1471 =
													(BgL_variablez00_bglt) (BgL_runnerz00_1592);
												BgL_arg3141z00_859 =
													(((BgL_variablez00_bglt) CREF(BgL_obj1366z00_1471))->
													BgL_typez00);
											}
											BgL_arg3137z00_856 =
												BGl_makezd2varzd2zzast_nodez00(BgL_locz00_1593,
												BgL_arg3141z00_859,
												(BgL_variablez00_bglt) (BgL_runnerz00_1592));
										}
										{	/* Ast/apply.scm 191 */
											obj_t BgL_list3139z00_858;

											BgL_list3139z00_858 = MAKE_PAIR(BNIL, BNIL);
											BgL_arg3136z00_855 =
												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
												(obj_t) (BgL_arg3137z00_856), BgL_list3139z00_858);
									}}
									BgL_arg3133z00_852 =
										MAKE_PAIR(BgL_arg3135z00_854, BgL_arg3136z00_855);
								}
								BgL_arg3134z00_853 = CNST_TABLE_REF(((long) 1));
								BgL_arg3132z00_851 =
									BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg3133z00_852,
									BgL_stackz00_1594, BgL_locz00_1593, BgL_arg3134z00_853);
							}
							BgL_arg3129z00_848 =
								MAKE_PAIR(BgL_arg3131z00_850, (obj_t) (BgL_arg3132z00_851));
						}
						{	/* Ast/apply.scm 188 */
							obj_t BgL_list3130z00_849;

							BgL_list3130z00_849 = MAKE_PAIR(BgL_arg3129z00_848, BNIL);
							BgL_arg3127z00_846 = BgL_list3130z00_849;
					}}
					if (NULLP(CDR(BgL_localsz00_788)))
						{	/* Ast/apply.scm 199 */
							BgL_arg3128z00_847 =
								BGl_loopz72z72zzast_applyz00(BgL_sitez00_1598, BgL_procz00_1597,
								BgL_framez00_1596, BgL_typez00_1595, BgL_stackz00_1594,
								BgL_locz00_1593, BgL_runnerz00_1592, CDR(BgL_localsz00_788));
						}
					else
						{	/* Ast/apply.scm 202 */
							obj_t BgL_arg3144z00_862;
							obj_t BgL_arg3145z00_863;

							{	/* Ast/apply.scm 202 */
								obj_t BgL_arg3148z00_864;
								obj_t BgL_arg3149z00_865;

								BgL_arg3148z00_864 = CNST_TABLE_REF(((long) 10));
								{	/* Ast/apply.scm 203 */
									obj_t BgL_arg3150z00_866;
									obj_t BgL_arg3151z00_867;

									{	/* Ast/apply.scm 203 */
										obj_t BgL_arg3155z00_871;
										obj_t BgL_arg3156z00_872;

										BgL_arg3155z00_871 = CNST_TABLE_REF(((long) 11));
										{	/* Ast/apply.scm 205 */
											BgL_varz00_bglt BgL_arg3157z00_873;
											obj_t BgL_arg3158z00_874;

											{	/* Ast/apply.scm 205 */
												BgL_typez00_bglt BgL_arg3162z00_878;

												{	/* Ast/apply.scm 205 */
													BgL_variablez00_bglt BgL_obj1366z00_1477;

													BgL_obj1366z00_1477 =
														(BgL_variablez00_bglt) (BgL_runnerz00_1592);
													BgL_arg3162z00_878 =
														(((BgL_variablez00_bglt)
															CREF(BgL_obj1366z00_1477))->BgL_typez00);
												}
												BgL_arg3157z00_873 =
													BGl_makezd2varzd2zzast_nodez00(BgL_locz00_1593,
													BgL_arg3162z00_878,
													(BgL_variablez00_bglt) (BgL_runnerz00_1592));
											}
											{	/* Ast/apply.scm 207 */
												obj_t BgL_arg3163z00_879;
												obj_t BgL_arg3164z00_880;

												BgL_arg3163z00_879 = CNST_TABLE_REF(((long) 6));
												{	/* Ast/apply.scm 210 */
													BgL_varz00_bglt BgL_arg3165z00_881;

													{	/* Ast/apply.scm 210 */
														BgL_typez00_bglt BgL_arg3168z00_884;

														{	/* Ast/apply.scm 210 */
															BgL_variablez00_bglt BgL_obj1366z00_1478;

															BgL_obj1366z00_1478 =
																(BgL_variablez00_bglt) (BgL_runnerz00_1592);
															BgL_arg3168z00_884 =
																(((BgL_variablez00_bglt)
																	CREF(BgL_obj1366z00_1478))->BgL_typez00);
														}
														BgL_arg3165z00_881 =
															BGl_makezd2varzd2zzast_nodez00(BgL_locz00_1593,
															BgL_arg3168z00_884,
															(BgL_variablez00_bglt) (BgL_runnerz00_1592));
													}
													{	/* Ast/apply.scm 207 */
														obj_t BgL_list3167z00_883;

														BgL_list3167z00_883 = MAKE_PAIR(BNIL, BNIL);
														BgL_arg3164z00_880 =
															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
															(obj_t) (BgL_arg3165z00_881),
															BgL_list3167z00_883);
												}}
												BgL_arg3158z00_874 =
													MAKE_PAIR(BgL_arg3163z00_879, BgL_arg3164z00_880);
											}
											{	/* Ast/apply.scm 203 */
												obj_t BgL_list3160z00_876;

												{	/* Ast/apply.scm 203 */
													obj_t BgL_arg3161z00_877;

													BgL_arg3161z00_877 = MAKE_PAIR(BNIL, BNIL);
													BgL_list3160z00_876 =
														MAKE_PAIR(BgL_arg3158z00_874, BgL_arg3161z00_877);
												}
												BgL_arg3156z00_872 =
													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
													(obj_t) (BgL_arg3157z00_873), BgL_list3160z00_876);
										}}
										BgL_arg3150z00_866 =
											MAKE_PAIR(BgL_arg3155z00_871, BgL_arg3156z00_872);
									}
									BgL_arg3151z00_867 =
										BGl_loopz72z72zzast_applyz00(BgL_sitez00_1598,
										BgL_procz00_1597, BgL_framez00_1596, BgL_typez00_1595,
										BgL_stackz00_1594, BgL_locz00_1593, BgL_runnerz00_1592,
										CDR(BgL_localsz00_788));
									{	/* Ast/apply.scm 202 */
										obj_t BgL_list3153z00_869;

										{	/* Ast/apply.scm 202 */
											obj_t BgL_arg3154z00_870;

											BgL_arg3154z00_870 = MAKE_PAIR(BNIL, BNIL);
											BgL_list3153z00_869 =
												MAKE_PAIR(BgL_arg3151z00_867, BgL_arg3154z00_870);
										}
										BgL_arg3149z00_865 =
											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
											(BgL_arg3150z00_866, BgL_list3153z00_869);
								}}
								BgL_arg3144z00_862 =
									MAKE_PAIR(BgL_arg3148z00_864, BgL_arg3149z00_865);
							}
							BgL_arg3145z00_863 = CNST_TABLE_REF(((long) 1));
							{	/* Ast/apply.scm 201 */
								BgL_nodez00_bglt BgL_auxz00_1872;

								BgL_auxz00_1872 =
									BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg3144z00_862,
									BgL_stackz00_1594, BgL_locz00_1593, BgL_arg3145z00_863);
								BgL_arg3128z00_847 = (obj_t) (BgL_auxz00_1872);
						}}
					{	/* Ast/apply.scm 185 */
						BgL_letzd2varzd2_bglt BgL_auxz00_1875;

						BgL_auxz00_1875 =
							BGl_makezd2letzd2varz00zzast_nodez00(BgL_locz00_1593,
							BgL_typez00_1595, BUNSPEC, BINT(((long) -1)), BgL_arg3127z00_846,
							(BgL_nodez00_bglt) (BgL_arg3128z00_847), ((bool_t) 1));
						return (obj_t) (BgL_auxz00_1875);
					}
				}
		}
	}



/* va-known-app-ly->node */
	BgL_letzd2varzd2_bglt
		BGl_vazd2knownzd2appzd2lyzd2ze3nodeze3zzast_applyz00(obj_t BgL_stackz00_26,
		obj_t BgL_locz00_27, BgL_nodez00_bglt BgL_procz00_28,
		BgL_nodez00_bglt BgL_argz00_29, obj_t BgL_framez00_30, obj_t BgL_sitez00_31)
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 233 */
			{	/* Ast/apply.scm 234 */
				obj_t BgL_framez00_1591;

				BgL_framez00_1591 = MAKE_CELL(BgL_framez00_30);
				{	/* Ast/apply.scm 234 */
					BgL_localz00_bglt BgL_runnerz00_889;
					BgL_typez00_bglt BgL_typez00_890;

					{	/* Ast/apply.scm 234 */
						obj_t BgL_arg3241z00_967;

						BgL_arg3241z00_967 =
							BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
							(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 2))));
						BgL_runnerz00_889 =
							BGl_makezd2localzd2svarz00zzast_localz00(BgL_arg3241z00_967,
							(BgL_typez00_bglt) (BGl_za2_za2z00zztype_cachez00));
					}
					BgL_typez00_890 =
						(((BgL_nodez00_bglt) CREF(BgL_procz00_28))->BgL_typez00);
					{	/* Ast/apply.scm 237 */
						bool_t BgL_testz00_1886;

						{	/* Ast/apply.scm 237 */
							obj_t BgL_objz00_1481;

							BgL_objz00_1481 = CELL_REF(BgL_framez00_1591);
							BgL_testz00_1886 = PAIRP(BgL_objz00_1481);
						}
						if (BgL_testz00_1886)
							{	/* Ast/apply.scm 238 */
								BgL_variablez00_bglt BgL_obj1374z00_1482;
								obj_t BgL_val1373z00_1483;

								BgL_obj1374z00_1482 =
									(BgL_variablez00_bglt) (BgL_runnerz00_889);
								BgL_val1373z00_1483 = CNST_TABLE_REF(((long) 3));
								((((BgL_variablez00_bglt) CREF(BgL_obj1374z00_1482))->
										BgL_accessz00) = ((obj_t) BgL_val1373z00_1483), BUNSPEC);
							}
						else
							{	/* Ast/apply.scm 237 */
								BFALSE;
							}
					}
					{	/* Ast/apply.scm 239 */
						obj_t BgL_arg3175z00_893;
						obj_t BgL_arg3178z00_894;

						{	/* Ast/apply.scm 242 */
							obj_t BgL_arg3179z00_895;

							BgL_arg3179z00_895 =
								MAKE_PAIR((obj_t) (BgL_runnerz00_889), (obj_t) (BgL_argz00_29));
							{	/* Ast/apply.scm 242 */
								obj_t BgL_list3180z00_896;

								BgL_list3180z00_896 = MAKE_PAIR(BgL_arg3179z00_895, BNIL);
								BgL_arg3175z00_893 = BgL_list3180z00_896;
							}
						}
						BgL_arg3178z00_894 =
							BGl_loopz00zzast_applyz00(BgL_procz00_28, BgL_framez00_1591,
							BgL_typez00_890, BgL_stackz00_26, BgL_locz00_27,
							BgL_runnerz00_889, CELL_REF(BgL_framez00_1591), BNIL);
						return BGl_makezd2letzd2varz00zzast_nodez00(BgL_locz00_27,
							BgL_typez00_890, BUNSPEC, BINT(((long) -1)), BgL_arg3175z00_893,
							(BgL_nodez00_bglt) (BgL_arg3178z00_894), ((bool_t) 1));
		}}}}
	}



/* loop */
	obj_t BGl_loopz00zzast_applyz00(BgL_nodez00_bglt BgL_procz00_1589,
		obj_t BgL_framez00_1588, BgL_typez00_bglt BgL_typez00_1587,
		obj_t BgL_stackz00_1586, obj_t BgL_locz00_1585,
		BgL_localz00_bglt BgL_runnerz00_1584, obj_t BgL_localsz00_898,
		obj_t BgL_oldz00_899)
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 243 */
			if (NULLP(BgL_localsz00_898))
				{	/* Ast/apply.scm 245 */
					if (NULLP(BgL_oldz00_899))
						{	/* Ast/apply.scm 248 */
							obj_t BgL_auxz00_1590;

							{	/* Ast/apply.scm 248 */
								obj_t BgL_list3183z00_903;

								BgL_list3183z00_903 =
									MAKE_PAIR((obj_t) (BgL_runnerz00_1584), BNIL);
								BgL_auxz00_1590 = BgL_list3183z00_903;
							}
							CELL_SET(BgL_framez00_1588, BgL_auxz00_1590);
						}
					else
						{	/* Ast/apply.scm 249 */
							obj_t BgL_arg3186z00_904;

							BgL_arg3186z00_904 =
								MAKE_PAIR((obj_t) (BgL_runnerz00_1584), BNIL);
							SET_CDR(BgL_oldz00_899, BgL_arg3186z00_904);
						}
					{	/* Ast/apply.scm 252 */
						BgL_typez00_bglt BgL_arg3187z00_905;
						BgL_varz00_bglt BgL_arg3190z00_907;
						obj_t BgL_arg3191z00_908;

						{	/* Ast/apply.scm 252 */
							BgL_variablez00_bglt BgL_obj1366z00_1493;

							{	/* Ast/apply.scm 252 */
								BgL_varz00_bglt BgL_obj1908z00_1492;

								BgL_obj1908z00_1492 = (BgL_varz00_bglt) (BgL_procz00_1589);
								BgL_obj1366z00_1493 =
									(((BgL_varz00_bglt) CREF(BgL_obj1908z00_1492))->
									BgL_variablez00);
							}
							BgL_arg3187z00_905 =
								(((BgL_variablez00_bglt) CREF(BgL_obj1366z00_1493))->
								BgL_typez00);
						}
						{	/* Ast/apply.scm 253 */
							BgL_varz00_bglt BgL_duplicated3017z00_910;

							BgL_duplicated3017z00_910 = (BgL_varz00_bglt) (BgL_procz00_1589);
							{	/* Ast/apply.scm 253 */
								BgL_varz00_bglt BgL_new3018z00_911;

								{	/* Ast/apply.scm 253 */
									obj_t BgL_arg3193z00_912;
									BgL_typez00_bglt BgL_arg3194z00_913;
									BgL_variablez00_bglt BgL_arg3195z00_914;

									{	/* Ast/apply.scm 253 */
										BgL_nodez00_bglt BgL_obj1844z00_1494;

										BgL_obj1844z00_1494 =
											(BgL_nodez00_bglt) (BgL_duplicated3017z00_910);
										BgL_arg3193z00_912 =
											(((BgL_nodez00_bglt) CREF(BgL_obj1844z00_1494))->
											BgL_locz00);
									}
									{	/* Ast/apply.scm 253 */
										BgL_nodez00_bglt BgL_obj1845z00_1495;

										BgL_obj1845z00_1495 =
											(BgL_nodez00_bglt) (BgL_duplicated3017z00_910);
										BgL_arg3194z00_913 =
											(((BgL_nodez00_bglt) CREF(BgL_obj1845z00_1495))->
											BgL_typez00);
									}
									BgL_arg3195z00_914 =
										(((BgL_varz00_bglt) CREF(BgL_duplicated3017z00_910))->
										BgL_variablez00);
									BgL_new3018z00_911 =
										BGl_makezd2varzd2zzast_nodez00(BgL_arg3193z00_912,
										BgL_arg3194z00_913, BgL_arg3195z00_914);
								}
								{	/* Ast/apply.scm 253 */

									BgL_arg3190z00_907 = BgL_new3018z00_911;
								}
							}
						}
						{	/* Ast/apply.scm 254 */
							obj_t BgL_l3029z00_915;

							BgL_l3029z00_915 = CELL_REF(BgL_framez00_1588);
							if (NULLP(BgL_l3029z00_915))
								{	/* Ast/apply.scm 254 */
									BgL_arg3191z00_908 = BNIL;
								}
							else
								{	/* Ast/apply.scm 254 */
									obj_t BgL_head3031z00_917;

									BgL_head3031z00_917 = MAKE_PAIR(BNIL, BNIL);
									{
										obj_t BgL_l3029z00_918;
										obj_t BgL_tail3032z00_919;

										BgL_l3029z00_918 = BgL_l3029z00_915;
										BgL_tail3032z00_919 = BgL_head3031z00_917;
									BgL_map3030z00_920:
										if (NULLP(BgL_l3029z00_918))
											{	/* Ast/apply.scm 254 */
												BgL_arg3191z00_908 = CDR(BgL_head3031z00_917);
											}
										else
											{	/* Ast/apply.scm 254 */
												obj_t BgL_newtail3033z00_922;

												{	/* Ast/apply.scm 254 */
													BgL_varz00_bglt BgL_arg3199z00_924;

													{	/* Ast/apply.scm 254 */
														obj_t BgL_localz00_926;

														BgL_localz00_926 = CAR(BgL_l3029z00_918);
														{	/* Ast/apply.scm 257 */
															BgL_typez00_bglt BgL_arg3201z00_927;

															{	/* Ast/apply.scm 257 */
																BgL_variablez00_bglt BgL_obj1366z00_1503;

																BgL_obj1366z00_1503 =
																	(BgL_variablez00_bglt) (BgL_localz00_926);
																BgL_arg3201z00_927 =
																	(((BgL_variablez00_bglt)
																		CREF(BgL_obj1366z00_1503))->BgL_typez00);
															}
															BgL_arg3199z00_924 =
																BGl_makezd2varzd2zzast_nodez00(BgL_locz00_1585,
																BgL_arg3201z00_927,
																(BgL_variablez00_bglt) (BgL_localz00_926));
														}
													}
													{	/* Ast/apply.scm 254 */
														obj_t BgL_obj1z00_1504;

														BgL_obj1z00_1504 = (obj_t) (BgL_arg3199z00_924);
														BgL_newtail3033z00_922 =
															MAKE_PAIR(BgL_obj1z00_1504, BNIL);
													}
												}
												SET_CDR(BgL_tail3032z00_919, BgL_newtail3033z00_922);
												{
													obj_t BgL_tail3032z00_1934;
													obj_t BgL_l3029z00_1932;

													BgL_l3029z00_1932 = CDR(BgL_l3029z00_918);
													BgL_tail3032z00_1934 = BgL_newtail3033z00_922;
													BgL_tail3032z00_919 = BgL_tail3032z00_1934;
													BgL_l3029z00_918 = BgL_l3029z00_1932;
													goto BgL_map3030z00_920;
												}
											}
									}
								}
						}
						{	/* Ast/apply.scm 250 */
							BgL_appz00_bglt BgL_auxz00_1935;

							BgL_auxz00_1935 =
								BGl_makezd2appzd2zzast_nodez00(BgL_locz00_1585,
								BgL_arg3187z00_905, BUNSPEC, BINT(((long) -1)),
								BgL_arg3190z00_907, BgL_arg3191z00_908);
							return (obj_t) (BgL_auxz00_1935);
						}
					}
				}
			else
				{	/* Ast/apply.scm 260 */
					obj_t BgL_arg3203z00_929;
					BgL_nodez00_bglt BgL_arg3204z00_930;

					{	/* Ast/apply.scm 264 */
						obj_t BgL_arg3205z00_931;

						{	/* Ast/apply.scm 264 */
							obj_t BgL_arg3207z00_933;
							BgL_nodez00_bglt BgL_arg3208z00_934;

							BgL_arg3207z00_933 = CAR(BgL_localsz00_898);
							{	/* Ast/apply.scm 266 */
								obj_t BgL_arg3209z00_935;
								obj_t BgL_arg3210z00_936;

								{	/* Ast/apply.scm 266 */
									obj_t BgL_arg3211z00_937;
									obj_t BgL_arg3212z00_938;

									BgL_arg3211z00_937 = CNST_TABLE_REF(((long) 9));
									{	/* Ast/apply.scm 269 */
										BgL_varz00_bglt BgL_arg3213z00_939;

										{	/* Ast/apply.scm 269 */
											BgL_typez00_bglt BgL_arg3216z00_942;

											{	/* Ast/apply.scm 269 */
												BgL_variablez00_bglt BgL_obj1366z00_1510;

												BgL_obj1366z00_1510 =
													(BgL_variablez00_bglt) (BgL_runnerz00_1584);
												BgL_arg3216z00_942 =
													(((BgL_variablez00_bglt) CREF(BgL_obj1366z00_1510))->
													BgL_typez00);
											}
											BgL_arg3213z00_939 =
												BGl_makezd2varzd2zzast_nodez00(BgL_locz00_1585,
												BgL_arg3216z00_942,
												(BgL_variablez00_bglt) (BgL_runnerz00_1584));
										}
										{	/* Ast/apply.scm 266 */
											obj_t BgL_list3215z00_941;

											BgL_list3215z00_941 = MAKE_PAIR(BNIL, BNIL);
											BgL_arg3212z00_938 =
												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
												(obj_t) (BgL_arg3213z00_939), BgL_list3215z00_941);
									}}
									BgL_arg3209z00_935 =
										MAKE_PAIR(BgL_arg3211z00_937, BgL_arg3212z00_938);
								}
								BgL_arg3210z00_936 = CNST_TABLE_REF(((long) 1));
								BgL_arg3208z00_934 =
									BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg3209z00_935,
									BgL_stackz00_1586, BgL_locz00_1585, BgL_arg3210z00_936);
							}
							BgL_arg3205z00_931 =
								MAKE_PAIR(BgL_arg3207z00_933, (obj_t) (BgL_arg3208z00_934));
						}
						{	/* Ast/apply.scm 263 */
							obj_t BgL_list3206z00_932;

							BgL_list3206z00_932 = MAKE_PAIR(BgL_arg3205z00_931, BNIL);
							BgL_arg3203z00_929 = BgL_list3206z00_932;
					}}
					{	/* Ast/apply.scm 275 */
						obj_t BgL_arg3217z00_943;
						obj_t BgL_arg3218z00_944;

						{	/* Ast/apply.scm 275 */
							obj_t BgL_arg3219z00_945;
							obj_t BgL_arg3220z00_946;

							BgL_arg3219z00_945 = CNST_TABLE_REF(((long) 10));
							{	/* Ast/apply.scm 276 */
								obj_t BgL_arg3221z00_947;
								obj_t BgL_arg3222z00_948;

								{	/* Ast/apply.scm 276 */
									obj_t BgL_arg3226z00_952;
									obj_t BgL_arg3227z00_953;

									BgL_arg3226z00_952 = CNST_TABLE_REF(((long) 11));
									{	/* Ast/apply.scm 278 */
										BgL_varz00_bglt BgL_arg3228z00_954;
										obj_t BgL_arg3229z00_955;

										{	/* Ast/apply.scm 278 */
											BgL_typez00_bglt BgL_arg3233z00_959;

											{	/* Ast/apply.scm 278 */
												BgL_variablez00_bglt BgL_obj1366z00_1513;

												BgL_obj1366z00_1513 =
													(BgL_variablez00_bglt) (BgL_runnerz00_1584);
												BgL_arg3233z00_959 =
													(((BgL_variablez00_bglt) CREF(BgL_obj1366z00_1513))->
													BgL_typez00);
											}
											BgL_arg3228z00_954 =
												BGl_makezd2varzd2zzast_nodez00(BgL_locz00_1585,
												BgL_arg3233z00_959,
												(BgL_variablez00_bglt) (BgL_runnerz00_1584));
										}
										{	/* Ast/apply.scm 280 */
											obj_t BgL_arg3234z00_960;
											obj_t BgL_arg3235z00_961;

											BgL_arg3234z00_960 = CNST_TABLE_REF(((long) 6));
											{	/* Ast/apply.scm 282 */
												BgL_varz00_bglt BgL_arg3236z00_962;

												{	/* Ast/apply.scm 282 */
													BgL_typez00_bglt BgL_arg3239z00_965;

													{	/* Ast/apply.scm 282 */
														BgL_variablez00_bglt BgL_obj1366z00_1514;

														BgL_obj1366z00_1514 =
															(BgL_variablez00_bglt) (BgL_runnerz00_1584);
														BgL_arg3239z00_965 =
															(((BgL_variablez00_bglt)
																CREF(BgL_obj1366z00_1514))->BgL_typez00);
													}
													BgL_arg3236z00_962 =
														BGl_makezd2varzd2zzast_nodez00(BgL_locz00_1585,
														BgL_arg3239z00_965,
														(BgL_variablez00_bglt) (BgL_runnerz00_1584));
												}
												{	/* Ast/apply.scm 280 */
													obj_t BgL_list3238z00_964;

													BgL_list3238z00_964 = MAKE_PAIR(BNIL, BNIL);
													BgL_arg3235z00_961 =
														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
														(obj_t) (BgL_arg3236z00_962), BgL_list3238z00_964);
											}}
											BgL_arg3229z00_955 =
												MAKE_PAIR(BgL_arg3234z00_960, BgL_arg3235z00_961);
										}
										{	/* Ast/apply.scm 276 */
											obj_t BgL_list3231z00_957;

											{	/* Ast/apply.scm 276 */
												obj_t BgL_arg3232z00_958;

												BgL_arg3232z00_958 = MAKE_PAIR(BNIL, BNIL);
												BgL_list3231z00_957 =
													MAKE_PAIR(BgL_arg3229z00_955, BgL_arg3232z00_958);
											}
											BgL_arg3227z00_953 =
												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
												(obj_t) (BgL_arg3228z00_954), BgL_list3231z00_957);
									}}
									BgL_arg3221z00_947 =
										MAKE_PAIR(BgL_arg3226z00_952, BgL_arg3227z00_953);
								}
								{	/* Ast/apply.scm 284 */
									obj_t BgL_arg3240z00_966;

									BgL_arg3240z00_966 = CDR(BgL_localsz00_898);
									BgL_arg3222z00_948 =
										BGl_loopz00zzast_applyz00(BgL_procz00_1589,
										BgL_framez00_1588, BgL_typez00_1587, BgL_stackz00_1586,
										BgL_locz00_1585, BgL_runnerz00_1584, BgL_arg3240z00_966,
										BgL_localsz00_898);
								}
								{	/* Ast/apply.scm 275 */
									obj_t BgL_list3224z00_950;

									{	/* Ast/apply.scm 275 */
										obj_t BgL_arg3225z00_951;

										BgL_arg3225z00_951 = MAKE_PAIR(BNIL, BNIL);
										BgL_list3224z00_950 =
											MAKE_PAIR(BgL_arg3222z00_948, BgL_arg3225z00_951);
									}
									BgL_arg3220z00_946 =
										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
										(BgL_arg3221z00_947, BgL_list3224z00_950);
							}}
							BgL_arg3217z00_943 =
								MAKE_PAIR(BgL_arg3219z00_945, BgL_arg3220z00_946);
						}
						BgL_arg3218z00_944 = CNST_TABLE_REF(((long) 1));
						BgL_arg3204z00_930 =
							BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg3217z00_943,
							BgL_stackz00_1586, BgL_locz00_1585, BgL_arg3218z00_944);
					}
					{	/* Ast/apply.scm 260 */
						BgL_letzd2varzd2_bglt BgL_auxz00_1982;

						BgL_auxz00_1982 =
							BGl_makezd2letzd2varz00zzast_nodez00(BgL_locz00_1585,
							BgL_typez00_1587, BUNSPEC, BINT(((long) -1)), BgL_arg3203z00_929,
							BgL_arg3204z00_930, ((bool_t) 1));
						return (obj_t) (BgL_auxz00_1982);
					}
				}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_applyz00()
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 14 */
			BGl_addzd2genericz12zc0zz__objectz00
				(BGl_makezd2funzd2framezd2envzd2zzast_applyz00,
				BGl_makezd2funzd2framezd2defau3034zd2envz00zzast_applyz00);
			{	/* Ast/apply.scm 14 */
				obj_t BgL_makezd2funzd2framezd2sfun3039zd2_1577;

				BgL_makezd2funzd2framezd2sfun3039zd2_1577 =
					make_fx_procedure(BGl_makezd2funzd2framezd2sfun3039zd2zzast_applyz00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_makezd2funzd2framezd2envzd2zzast_applyz00,
					BGl_sfunz00zzast_varz00, BgL_makezd2funzd2framezd2sfun3039zd2_1577);
			}
			{	/* Ast/apply.scm 14 */
				obj_t BgL_makezd2funzd2framezd2cfun3041zd2_1576;

				BgL_makezd2funzd2framezd2cfun3041zd2_1576 =
					make_fx_procedure(BGl_makezd2funzd2framezd2cfun3041zd2zzast_applyz00,
					(int) (((long) 1)), (int) (((long) 0)));
				return
					BGl_addzd2methodz12zc0zz__objectz00
					(BGl_makezd2funzd2framezd2envzd2zzast_applyz00,
					BGl_cfunz00zzast_varz00, BgL_makezd2funzd2framezd2cfun3041zd2_1576);
			}
		}
	}



/* make-fun-frame-cfun3041 */
	obj_t BGl_makezd2funzd2framezd2cfun3041zd2zzast_applyz00(obj_t
		BgL_envz00_1578, obj_t BgL_funz00_1579)
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 87 */
			{
				BgL_cfunz00_bglt BgL_funz00_1363;

				BgL_funz00_1363 = (BgL_cfunz00_bglt) (BgL_funz00_1579);
				{	/* Ast/apply.scm 88 */
					long BgL_arityz00_1366;

					{	/* Ast/apply.scm 88 */
						BgL_funz00_bglt BgL_obj1570z00_1529;

						BgL_obj1570z00_1529 = (BgL_funz00_bglt) (BgL_funz00_1363);
						BgL_arityz00_1366 =
							(((BgL_funz00_bglt) CREF(BgL_obj1570z00_1529))->BgL_arityz00);
					}
					{	/* Ast/apply.scm 89 */
						obj_t BgL_g3005z00_1367;

						BgL_g3005z00_1367 =
							(((BgL_cfunz00_bglt) CREF(BgL_funz00_1363))->BgL_argszd2typezd2);
						{
							obj_t BgL_typesz00_1369;
							obj_t BgL_localsz00_1370;

							BgL_typesz00_1369 = BgL_g3005z00_1367;
							BgL_localsz00_1370 = BNIL;
						BgL_loopz00_1371:
							if (NULLP(BgL_typesz00_1369))
								{	/* Ast/apply.scm 92 */
									return bgl_reverse_bang(BgL_localsz00_1370);
								}
							else
								{	/* Ast/apply.scm 94 */
									bool_t BgL_testz00_2001;

									if (NULLP(CDR(BgL_typesz00_1369)))
										{	/* Ast/apply.scm 94 */
											BgL_testz00_2001 = (BgL_arityz00_1366 < ((long) 0));
										}
									else
										{	/* Ast/apply.scm 94 */
											BgL_testz00_2001 = ((bool_t) 0);
										}
									if (BgL_testz00_2001)
										{	/* Ast/apply.scm 94 */
											return bgl_reverse_bang(BgL_localsz00_1370);
										}
									else
										{	/* Ast/apply.scm 97 */
											obj_t BgL_arg3308z00_1374;
											obj_t BgL_arg3309z00_1375;

											BgL_arg3308z00_1374 = CDR(BgL_typesz00_1369);
											{	/* Ast/apply.scm 98 */
												BgL_localz00_bglt BgL_arg3310z00_1376;

												{	/* Ast/apply.scm 98 */
													obj_t BgL_arg3311z00_1377;
													obj_t BgL_arg3312z00_1378;

													BgL_arg3311z00_1377 =
														BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
														(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
																	(long) 12))));
													BgL_arg3312z00_1378 = CAR(BgL_typesz00_1369);
													BgL_arg3310z00_1376 =
														BGl_makezd2localzd2svarz00zzast_localz00
														(BgL_arg3311z00_1377,
														(BgL_typez00_bglt) (BgL_arg3312z00_1378));
												}
												BgL_arg3309z00_1375 =
													MAKE_PAIR(
													(obj_t) (BgL_arg3310z00_1376), BgL_localsz00_1370);
											}
											{
												obj_t BgL_localsz00_2017;
												obj_t BgL_typesz00_2016;

												BgL_typesz00_2016 = BgL_arg3308z00_1374;
												BgL_localsz00_2017 = BgL_arg3309z00_1375;
												BgL_localsz00_1370 = BgL_localsz00_2017;
												BgL_typesz00_1369 = BgL_typesz00_2016;
												goto BgL_loopz00_1371;
											}
										}
								}
						}
					}
				}
			}
		}
	}



/* make-fun-frame-sfun3039 */
	obj_t BGl_makezd2funzd2framezd2sfun3039zd2zzast_applyz00(obj_t
		BgL_envz00_1580, obj_t BgL_funz00_1581)
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 67 */
			{
				BgL_sfunz00_bglt BgL_funz00_1339;

				BgL_funz00_1339 = (BgL_sfunz00_bglt) (BgL_funz00_1581);
				{	/* Ast/apply.scm 68 */
					long BgL_arityz00_1342;

					{	/* Ast/apply.scm 68 */
						BgL_funz00_bglt BgL_obj1570z00_1516;

						BgL_obj1570z00_1516 = (BgL_funz00_bglt) (BgL_funz00_1339);
						BgL_arityz00_1342 =
							(((BgL_funz00_bglt) CREF(BgL_obj1570z00_1516))->BgL_arityz00);
					}
					{	/* Ast/apply.scm 69 */
						obj_t BgL_g3003z00_1343;

						BgL_g3003z00_1343 =
							(((BgL_sfunz00_bglt) CREF(BgL_funz00_1339))->BgL_argsz00);
						{
							obj_t BgL_formalsz00_1345;
							obj_t BgL_localsz00_1346;

							BgL_formalsz00_1345 = BgL_g3003z00_1343;
							BgL_localsz00_1346 = BNIL;
						BgL_loopz00_1347:
							if (NULLP(BgL_formalsz00_1345))
								{	/* Ast/apply.scm 72 */
									return bgl_reverse_bang(BgL_localsz00_1346);
								}
							else
								{	/* Ast/apply.scm 74 */
									bool_t BgL_testz00_2025;

									if (NULLP(CDR(BgL_formalsz00_1345)))
										{	/* Ast/apply.scm 74 */
											BgL_testz00_2025 = (BgL_arityz00_1342 < ((long) 0));
										}
									else
										{	/* Ast/apply.scm 74 */
											BgL_testz00_2025 = ((bool_t) 0);
										}
									if (BgL_testz00_2025)
										{	/* Ast/apply.scm 74 */
											return bgl_reverse_bang(BgL_localsz00_1346);
										}
									else
										{	/* Ast/apply.scm 77 */
											obj_t BgL_arg3293z00_1350;
											obj_t BgL_arg3294z00_1351;

											BgL_arg3293z00_1350 = CDR(BgL_formalsz00_1345);
											{	/* Ast/apply.scm 78 */
												BgL_localz00_bglt BgL_arg3295z00_1352;

												{	/* Ast/apply.scm 78 */
													obj_t BgL_arg3296z00_1353;
													obj_t BgL_arg3297z00_1354;

													BgL_arg3296z00_1353 =
														BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
														(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
																	(long) 12))));
													{	/* Ast/apply.scm 79 */
														bool_t BgL_testz00_2035;

														{	/* Ast/apply.scm 79 */
															obj_t BgL_arg3302z00_1358;

															BgL_arg3302z00_1358 = CAR(BgL_formalsz00_1345);
															BgL_testz00_2035 =
																BGl_iszd2azf3z21zz__objectz00
																(BgL_arg3302z00_1358,
																BGl_typez00zztype_typez00);
														}
														if (BgL_testz00_2035)
															{	/* Ast/apply.scm 79 */
																BgL_arg3297z00_1354 = CAR(BgL_formalsz00_1345);
															}
														else
															{	/* Ast/apply.scm 81 */
																BgL_variablez00_bglt BgL_obj1366z00_1528;

																{	/* Ast/apply.scm 81 */
																	obj_t BgL_pairz00_1527;

																	BgL_pairz00_1527 = BgL_formalsz00_1345;
																	{	/* Ast/apply.scm 81 */
																		obj_t BgL_auxz00_2039;

																		BgL_auxz00_2039 = CAR(BgL_pairz00_1527);
																		BgL_obj1366z00_1528 =
																			(BgL_variablez00_bglt) (BgL_auxz00_2039);
																	}
																}
																{	/* Ast/apply.scm 81 */
																	BgL_typez00_bglt BgL_auxz00_2042;

																	BgL_auxz00_2042 =
																		(((BgL_variablez00_bglt)
																			CREF(BgL_obj1366z00_1528))->BgL_typez00);
																	BgL_arg3297z00_1354 =
																		(obj_t) (BgL_auxz00_2042);
																}
															}
													}
													BgL_arg3295z00_1352 =
														BGl_makezd2localzd2svarz00zzast_localz00
														(BgL_arg3296z00_1353,
														(BgL_typez00_bglt) (BgL_arg3297z00_1354));
												}
												BgL_arg3294z00_1351 =
													MAKE_PAIR(
													(obj_t) (BgL_arg3295z00_1352), BgL_localsz00_1346);
											}
											{
												obj_t BgL_localsz00_2050;
												obj_t BgL_formalsz00_2049;

												BgL_formalsz00_2049 = BgL_arg3293z00_1350;
												BgL_localsz00_2050 = BgL_arg3294z00_1351;
												BgL_localsz00_1346 = BgL_localsz00_2050;
												BgL_formalsz00_1345 = BgL_formalsz00_2049;
												goto BgL_loopz00_1347;
											}
										}
								}
						}
					}
				}
			}
		}
	}



/* make-fun-frame */
	obj_t BGl_makezd2funzd2framez00zzast_applyz00(BgL_funz00_bglt BgL_funz00_5)
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 62 */
			{	/* Ast/apply.scm 62 */
				obj_t BgL_method3037z00_1538;

				{	/* Ast/apply.scm 62 */
					BgL_objectz00_bglt BgL_objz00_1539;

					BgL_objz00_1539 = (BgL_objectz00_bglt) (BgL_funz00_5);
					{	/* Ast/apply.scm 62 */
						long BgL_objzd2classzd2numz00_1540;

						BgL_objzd2classzd2numz00_1540 =
							BGL_OBJECT_CLASS_NUM(BgL_objz00_1539);
						{	/* Ast/apply.scm 62 */
							obj_t BgL_arg2273z00_1541;

							BgL_arg2273z00_1541 =
								PROCEDURE_REF(BGl_makezd2funzd2framezd2envzd2zzast_applyz00,
								(int) (((long) 1)));
							{	/* Ast/apply.scm 62 */
								obj_t BgL_arrayz00_1543;
								int BgL_offsetz00_1544;

								BgL_arrayz00_1543 = BgL_arg2273z00_1541;
								BgL_offsetz00_1544 = (int) (BgL_objzd2classzd2numz00_1540);
								{	/* Ast/apply.scm 62 */
									long BgL_offsetz00_1545;

									BgL_offsetz00_1545 =
										((long) (BgL_offsetz00_1544) - OBJECT_TYPE);
									{	/* Ast/apply.scm 62 */
										long BgL_modz00_1546;

										{	/* Ast/apply.scm 62 */
											int BgL_arg2275z00_1547;

											BgL_arg2275z00_1547 = (int) (((long) 8));
											{	/* Ast/apply.scm 62 */
												long BgL_auxz00_2060;

												BgL_auxz00_2060 = (long) (BgL_arg2275z00_1547);
												BgL_modz00_1546 =
													(BgL_offsetz00_1545 / BgL_auxz00_2060);
										}}
										{	/* Ast/apply.scm 62 */
											long BgL_restz00_1548;

											{	/* Ast/apply.scm 62 */
												int BgL_arg2274z00_1549;

												BgL_arg2274z00_1549 = (int) (((long) 8));
												{	/* Ast/apply.scm 62 */
													long BgL_auxz00_2064;

													BgL_auxz00_2064 = (long) (BgL_arg2274z00_1549);
													BgL_restz00_1548 =
														(BgL_offsetz00_1545 % BgL_auxz00_2064);
											}}
											{	/* Ast/apply.scm 62 */

												BgL_method3037z00_1538 =
													VECTOR_REF(VECTOR_REF(BgL_arrayz00_1543,
														(int) (BgL_modz00_1546)), (int) (BgL_restz00_1548));
				}}}}}}}}
				return
					PROCEDURE_ENTRY(BgL_method3037z00_1538) (BgL_method3037z00_1538,
					(obj_t) (BgL_funz00_5), BEOA);
			}
		}
	}



/* _make-fun-frame3331 */
	obj_t BGl__makezd2funzd2frame3331z00zzast_applyz00(obj_t BgL_envz00_1574,
		obj_t BgL_funz00_1575)
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 62 */
			return
				BGl_makezd2funzd2framez00zzast_applyz00(
				(BgL_funz00_bglt) (BgL_funz00_1575));
		}
	}



/* make-fun-frame-defau3034 */
	obj_t BGl_makezd2funzd2framezd2defau3034zd2zzast_applyz00(BgL_funz00_bglt
		BgL_funz00_6)
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 14 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 13)),
				BGl_string3335z00zzast_applyz00, (obj_t) (BgL_funz00_6));
		}
	}



/* _make-fun-frame-defau3034 */
	obj_t BGl__makezd2funzd2framezd2defau3034zd2zzast_applyz00(obj_t
		BgL_envz00_1582, obj_t BgL_funz00_1583)
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 14 */
			return
				BGl_makezd2funzd2framezd2defau3034zd2zzast_applyz00(
				(BgL_funz00_bglt) (BgL_funz00_1583));
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_applyz00()
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 14 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string3336z00zzast_applyz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string3336z00zzast_applyz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 11585204),
				BSTRING_TO_STRING(BGl_string3336z00zzast_applyz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 514705515),
				BSTRING_TO_STRING(BGl_string3336z00zzast_applyz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string3336z00zzast_applyz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 345457731),
				BSTRING_TO_STRING(BGl_string3336z00zzast_applyz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string3336z00zzast_applyz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 484733332),
				BSTRING_TO_STRING(BGl_string3336z00zzast_applyz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 77938009),
				BSTRING_TO_STRING(BGl_string3336z00zzast_applyz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 499216671),
				BSTRING_TO_STRING(BGl_string3336z00zzast_applyz00));
			BGl_modulezd2initializa7ationz75zzast_appz00(((long) 271227279),
				BSTRING_TO_STRING(BGl_string3336z00zzast_applyz00));
			return
				BGl_modulezd2initializa7ationz75zzast_identz00(((long) 498714928),
				BSTRING_TO_STRING(BGl_string3336z00zzast_applyz00));
		}
	}

#ifdef __cplusplus
}
#endif
