/*===========================================================================*/
/*   (Ast/build.scm)                                                         */
/*   Bigloo (2.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 25 07:31:22 CET 2006        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/2.9a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/build.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2heapzd2formatz00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_isaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		struct BgL_typez00_bgl *BgL_classz00;
	}             *BgL_isaz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;


	BGL_IMPORT double BGl_roundflz00zz__r4_numbers_6_5_flonumz00(double);
	BGL_IMPORT obj_t open_input_string(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzast_buildz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_buildzd2astzd2zzast_buildz00(obj_t);
	extern obj_t BGl_checkzd2tozd2bezd2definezd2zzast_findzd2gdefszd2();
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	static obj_t BGl_cnstzd2initzd2zzast_buildz00();
	BGL_IMPORT obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzast_buildz00();
	extern obj_t BGl_findzd2locationzf2locz20zztools_locationz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	static obj_t BGl__buildzd2astzd2sanszd2removezd2zzast_buildz00(obj_t, obj_t);
	static BgL_globalz00_bglt
		BGl_sfunzd2defzd2ze3astze3zzast_buildz00(BgL_globalz00_bglt);
	BGL_IMPORT obj_t bgl_display_string(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_buildz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_unitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_findzd2gdefszd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_removez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33090ze3z83zzast_buildz00(BgL_globalz00_bglt);
	BGL_IMPORT obj_t BGl_valzd2fromzd2exitzf3zf3zz__bexitz00(obj_t);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	static obj_t BGl__buildzd2astzd2zzast_buildz00(obj_t, obj_t);
	extern obj_t BGl_leavezd2functionzd2zztools_errorz00();
	extern obj_t BGl_removezd2varzd2zzast_removez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_appendzd2astzd2zzast_buildz00(obj_t, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl__appendzd2ast3144zd2zzast_buildz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t bgl_append2(obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_unitzd2ze3defsz31zzast_unitz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_buildzd2astzd2sanszd2removezd2zzast_buildz00(obj_t);
	BGL_IMPORT obj_t BGl_appendz00zz__r4_pairs_and_lists_6_3z00(obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_buildz00();
	static obj_t BGl_methodzd2initzd2zzast_buildz00();
	static obj_t __cnst[3];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_appendzd2astzd2envz00zzast_buildz00,
		BgL_bgl__appendza7d2ast3143158za7, BGl__appendzd2ast3144zd2zzast_buildz00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_buildzd2astzd2envz00zzast_buildz00,
		BgL_bgl__buildza7d2astza7d2za73159za7, BGl__buildzd2astzd2zzast_buildz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3145z00zzast_buildz00,
		BgL_bgl_string3145za700za7za7a3160za7, "Ast", 3);
	      DEFINE_STRING(BGl_string3146z00zzast_buildz00,
		BgL_bgl_string3146za700za7za7a3161za7, "   . ", 5);
	      DEFINE_STRING(BGl_string3147z00zzast_buildz00,
		BgL_bgl_string3147za700za7za7a3162za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string3148z00zzast_buildz00,
		BgL_bgl_string3148za700za7za7a3163za7, " error", 6);
	      DEFINE_STRING(BGl_string3150z00zzast_buildz00,
		BgL_bgl_string3150za700za7za7a3164za7, "", 0);
	      DEFINE_STRING(BGl_string3149z00zzast_buildz00,
		BgL_bgl_string3149za700za7za7a3165za7, "s", 1);
	      DEFINE_STRING(BGl_string3151z00zzast_buildz00,
		BgL_bgl_string3151za700za7za7a3166za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string3152z00zzast_buildz00,
		BgL_bgl_string3152za700za7za7a3167za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string3153z00zzast_buildz00,
		BgL_bgl_string3153za700za7za7a3168za7, "ast_build", 9);
	      DEFINE_STRING(BGl_string3154z00zzast_buildz00,
		BgL_bgl_string3154za700za7za7a3169za7, "value pass-started ast ", 23);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_buildzd2astzd2sanszd2removezd2envz00zzast_buildz00,
		BgL_bgl__buildza7d2astza7d2s3170z00,
		BGl__buildzd2astzd2sanszd2removezd2zzast_buildz00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_buildz00(long
		BgL_checksumz00_1296, char *BgL_fromz00_1297)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_buildz00))
				{
					BGl_requirezd2initializa7ationz75zzast_buildz00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzast_buildz00();
					BGl_cnstzd2initzd2zzast_buildz00();
					BGl_importedzd2moduleszd2initz00zzast_buildz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_buildz00()
	{
		AN_OBJECT;
		{	/* Ast/build.scm 14 */
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long) 0),
				"ast_build");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_build");
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 0), "ast_build");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"ast_build");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "ast_build");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"ast_build");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_build");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_buildz00()
	{
		AN_OBJECT;
		{	/* Ast/build.scm 14 */
			{	/* Ast/build.scm 14 */
				obj_t BgL_cportz00_1285;

				BgL_cportz00_1285 = open_input_string(BGl_string3154z00zzast_buildz00);
				{
					long BgL_iz00_1286;

					BgL_iz00_1286 = ((long) 2);
				BgL_loopz00_1287:
					if ((BgL_iz00_1286 == ((long) -1)))
						{	/* Ast/build.scm 14 */
							return BUNSPEC;
						}
					else
						{	/* Ast/build.scm 14 */
							{	/* Ast/build.scm 14 */
								obj_t BgL_arg3156z00_1289;

								{	/* Ast/build.scm 14 */

									{	/* Ast/build.scm 14 */
										obj_t BgL_locationz00_1291;

										BgL_locationz00_1291 = BBOOL(((bool_t) 0));
										{	/* Ast/build.scm 14 */

											BgL_arg3156z00_1289 =
												BGl_readz00zz__readerz00(BgL_cportz00_1285,
												BgL_locationz00_1291);
										}
									}
								}
								{	/* Ast/build.scm 14 */
									int BgL_auxz00_1316;

									BgL_auxz00_1316 = (int) (BgL_iz00_1286);
									CNST_TABLE_SET(BgL_auxz00_1316, BgL_arg3156z00_1289);
							}}
							{	/* Ast/build.scm 14 */
								int BgL_auxz00_1292;

								BgL_auxz00_1292 = (int) ((BgL_iz00_1286 - ((long) 1)));
								{
									long BgL_iz00_1321;

									BgL_iz00_1321 = (long) (BgL_auxz00_1292);
									BgL_iz00_1286 = BgL_iz00_1321;
									goto BgL_loopz00_1287;
								}
							}
						}
				}
			}
		}
	}



/* append-ast */
	BGL_EXPORTED_DEF obj_t BGl_appendzd2astzd2zzast_buildz00(obj_t BgL_a1z00_1,
		obj_t BgL_a2z00_2)
	{
		AN_OBJECT;
		{	/* Ast/build.scm 35 */
			return bgl_append2(BgL_a1z00_1, BgL_a2z00_2);
		}
	}



/* _append-ast3144 */
	obj_t BGl__appendzd2ast3144zd2zzast_buildz00(obj_t BgL_envz00_1277,
		obj_t BgL_a1z00_1278, obj_t BgL_a2z00_1279)
	{
		AN_OBJECT;
		{	/* Ast/build.scm 35 */
			return bgl_append2(BgL_a1z00_1278, BgL_a2z00_1279);
		}
	}



/* build-ast */
	BGL_EXPORTED_DEF obj_t BGl_buildzd2astzd2zzast_buildz00(obj_t BgL_unitsz00_3)
	{
		AN_OBJECT;
		{	/* Ast/build.scm 43 */
			{	/* Ast/build.scm 44 */
				obj_t BgL_arg3023z00_1191;
				obj_t BgL_arg3024z00_1192;

				BgL_arg3023z00_1191 = CNST_TABLE_REF(((long) 0));
				BgL_arg3024z00_1192 =
					BGl_buildzd2astzd2sanszd2removezd2zzast_buildz00(BgL_unitsz00_3);
				return
					BGl_removezd2varzd2zzast_removez00(BgL_arg3023z00_1191,
					BgL_arg3024z00_1192);
			}
		}
	}



/* _build-ast */
	obj_t BGl__buildzd2astzd2zzast_buildz00(obj_t BgL_envz00_1280,
		obj_t BgL_unitsz00_1281)
	{
		AN_OBJECT;
		{	/* Ast/build.scm 43 */
			return BGl_buildzd2astzd2zzast_buildz00(BgL_unitsz00_1281);
		}
	}



/* build-ast-sans-remove */
	BGL_EXPORTED_DEF obj_t BGl_buildzd2astzd2sanszd2removezd2zzast_buildz00(obj_t
		BgL_unitsz00_4)
	{
		AN_OBJECT;
		{	/* Ast/build.scm 51 */
			{	/* Ast/build.scm 52 */
				obj_t BgL_list3025z00_710;

				{	/* Ast/build.scm 52 */
					obj_t BgL_arg3027z00_712;

					{	/* Ast/build.scm 52 */
						obj_t BgL_arg3029z00_714;

						BgL_arg3029z00_714 = MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
						BgL_arg3027z00_712 =
							MAKE_PAIR(BGl_string3145z00zzast_buildz00, BgL_arg3029z00_714);
					}
					BgL_list3025z00_710 =
						MAKE_PAIR(BGl_string3146z00zzast_buildz00, BgL_arg3027z00_712);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list3025z00_710);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string3145z00zzast_buildz00;
			{
				obj_t BgL_hooksz00_717;
				obj_t BgL_hnamesz00_718;

				BgL_hooksz00_717 = BNIL;
				BgL_hnamesz00_718 = BNIL;
			BgL_loopz00_719:
				if (NULLP(BgL_hooksz00_717))
					{	/* Ast/build.scm 52 */
						CNST_TABLE_REF(((long) 1));
					}
				else
					{	/* Ast/build.scm 52 */
						bool_t BgL_testz00_1339;

						{	/* Ast/build.scm 52 */
							obj_t BgL_fun3037z00_727;

							BgL_fun3037z00_727 = CAR(BgL_hooksz00_717);
							BgL_testz00_1339 =
								CBOOL(PROCEDURE_ENTRY(BgL_fun3037z00_727) (BgL_fun3037z00_727,
									BEOA));
						}
						if (BgL_testz00_1339)
							{
								obj_t BgL_hnamesz00_1346;
								obj_t BgL_hooksz00_1344;

								BgL_hooksz00_1344 = CDR(BgL_hooksz00_717);
								BgL_hnamesz00_1346 = CDR(BgL_hnamesz00_718);
								BgL_hnamesz00_718 = BgL_hnamesz00_1346;
								BgL_hooksz00_717 = BgL_hooksz00_1344;
								goto BgL_loopz00_719;
							}
						else
							{	/* Ast/build.scm 52 */
								BGl_internalzd2errorzd2zztools_errorz00
									(BGl_string3145z00zzast_buildz00,
									BGl_string3147z00zzast_buildz00, CAR(BgL_hnamesz00_718));
							}
					}
			}
			{	/* Ast/build.scm 56 */
				obj_t BgL_nberrz00_729;

				BgL_nberrz00_729 = BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
				{	/* Ast/build.scm 56 */
					obj_t BgL_defsz00_730;

					{	/* Ast/build.scm 57 */
						obj_t BgL_runner3085z00_805;

						if (NULLP(BgL_unitsz00_4))
							{	/* Ast/build.scm 57 */
								BgL_runner3085z00_805 = BNIL;
							}
						else
							{	/* Ast/build.scm 57 */
								obj_t BgL_head3011z00_791;

								BgL_head3011z00_791 =
									MAKE_PAIR(BGl_unitzd2ze3defsz31zzast_unitz00(CAR
										(BgL_unitsz00_4)), BNIL);
								{	/* Ast/build.scm 57 */
									obj_t BgL_g3014z00_792;

									BgL_g3014z00_792 = CDR(BgL_unitsz00_4);
									{
										obj_t BgL_l3009z00_793;
										obj_t BgL_tail3012z00_794;

										BgL_l3009z00_793 = BgL_g3014z00_792;
										BgL_tail3012z00_794 = BgL_head3011z00_791;
									BgL_map3010z00_795:
										if (NULLP(BgL_l3009z00_793))
											{	/* Ast/build.scm 57 */
												BgL_runner3085z00_805 = BgL_head3011z00_791;
											}
										else
											{	/* Ast/build.scm 57 */
												obj_t BgL_newtail3013z00_797;

												BgL_newtail3013z00_797 =
													MAKE_PAIR(BGl_unitzd2ze3defsz31zzast_unitz00(CAR
														(BgL_l3009z00_793)), BNIL);
												SET_CDR(BgL_tail3012z00_794, BgL_newtail3013z00_797);
												{
													obj_t BgL_tail3012z00_1364;
													obj_t BgL_l3009z00_1362;

													BgL_l3009z00_1362 = CDR(BgL_l3009z00_793);
													BgL_tail3012z00_1364 = BgL_newtail3013z00_797;
													BgL_tail3012z00_794 = BgL_tail3012z00_1364;
													BgL_l3009z00_793 = BgL_l3009z00_1362;
													goto BgL_map3010z00_795;
												}
											}
									}
								}
							}
						BgL_defsz00_730 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_runner3085z00_805);
					}
					{	/* Ast/build.scm 57 */

						if (
							((long) CINT(BgL_nberrz00_729) ==
								(long)
								CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)))
							{	/* Ast/build.scm 58 */
								BGl_checkzd2tozd2bezd2definezd2zzast_findzd2gdefszd2();
								{	/* Ast/build.scm 63 */
									obj_t BgL_astz00_732;

									if (NULLP(BgL_defsz00_730))
										{	/* Ast/build.scm 63 */
											BgL_astz00_732 = BNIL;
										}
									else
										{	/* Ast/build.scm 63 */
											obj_t BgL_head3017z00_755;

											{	/* Ast/build.scm 63 */
												BgL_globalz00_bglt BgL_arg3060z00_766;

												{	/* Ast/build.scm 63 */
													obj_t BgL_arg3062z00_768;

													BgL_arg3062z00_768 = CAR(BgL_defsz00_730);
													BgL_arg3060z00_766 =
														BGl_sfunzd2defzd2ze3astze3zzast_buildz00(
														(BgL_globalz00_bglt) (BgL_arg3062z00_768));
												}
												{	/* Ast/build.scm 63 */
													obj_t BgL_obj1z00_1216;

													BgL_obj1z00_1216 = (obj_t) (BgL_arg3060z00_766);
													BgL_head3017z00_755 =
														MAKE_PAIR(BgL_obj1z00_1216, BNIL);
												}
											}
											{	/* Ast/build.scm 63 */
												obj_t BgL_g3020z00_756;

												BgL_g3020z00_756 = CDR(BgL_defsz00_730);
												{
													obj_t BgL_l3015z00_757;
													obj_t BgL_tail3018z00_758;

													BgL_l3015z00_757 = BgL_g3020z00_756;
													BgL_tail3018z00_758 = BgL_head3017z00_755;
												BgL_map3016z00_759:
													if (NULLP(BgL_l3015z00_757))
														{	/* Ast/build.scm 63 */
															BgL_astz00_732 = BgL_head3017z00_755;
														}
													else
														{	/* Ast/build.scm 63 */
															obj_t BgL_newtail3019z00_761;

															{	/* Ast/build.scm 63 */
																BgL_globalz00_bglt BgL_arg3057z00_763;

																{	/* Ast/build.scm 63 */
																	obj_t BgL_arg3059z00_765;

																	BgL_arg3059z00_765 = CAR(BgL_l3015z00_757);
																	BgL_arg3057z00_763 =
																		BGl_sfunzd2defzd2ze3astze3zzast_buildz00(
																		(BgL_globalz00_bglt) (BgL_arg3059z00_765));
																}
																{	/* Ast/build.scm 63 */
																	obj_t BgL_obj1z00_1221;

																	BgL_obj1z00_1221 =
																		(obj_t) (BgL_arg3057z00_763);
																	BgL_newtail3019z00_761 =
																		MAKE_PAIR(BgL_obj1z00_1221, BNIL);
																}
															}
															SET_CDR(BgL_tail3018z00_758,
																BgL_newtail3019z00_761);
															{
																obj_t BgL_tail3018z00_1389;
																obj_t BgL_l3015z00_1387;

																BgL_l3015z00_1387 = CDR(BgL_l3015z00_757);
																BgL_tail3018z00_1389 = BgL_newtail3019z00_761;
																BgL_tail3018z00_758 = BgL_tail3018z00_1389;
																BgL_l3015z00_757 = BgL_l3015z00_1387;
																goto BgL_map3016z00_759;
															}
														}
												}
											}
										}
									if (
										((long)
											CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
											> ((long) 0)))
										{	/* Ast/build.scm 65 */
											{	/* Ast/build.scm 65 */
												obj_t BgL_port3021z00_735;

												BgL_port3021z00_735 = BGL_CURRENT_ERROR_PORT();
												bgl_display_obj
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BgL_port3021z00_735);
												bgl_display_string(BGl_string3148z00zzast_buildz00,
													BgL_port3021z00_735);
												{	/* Ast/build.scm 65 */
													obj_t BgL_arg3041z00_736;

													{	/* Ast/build.scm 65 */
														bool_t BgL_testz00_1396;

														{	/* Ast/build.scm 65 */
															bool_t BgL_testz00_1397;

															{	/* Ast/build.scm 65 */
																bool_t BgL_res3140z00_1236;

																{	/* Ast/build.scm 65 */
																	obj_t BgL_objz00_1230;

																	BgL_objz00_1230 =
																		BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
																	if (INTEGERP(BgL_objz00_1230))
																		{	/* Ast/build.scm 65 */
																			BgL_res3140z00_1236 = ((bool_t) 1);
																		}
																	else
																		{	/* Ast/build.scm 65 */
																			if (REALP(BgL_objz00_1230))
																				{	/* Ast/build.scm 65 */
																					double BgL_arg1719z00_1233;

																					BgL_arg1719z00_1233 =
																						BGl_roundflz00zz__r4_numbers_6_5_flonumz00
																						(REAL_TO_DOUBLE(BgL_objz00_1230));
																					BgL_res3140z00_1236 =
																						(REAL_TO_DOUBLE(BgL_objz00_1230) ==
																						BgL_arg1719z00_1233);
																				}
																			else
																				{	/* Ast/build.scm 65 */
																					BgL_res3140z00_1236 = ((bool_t) 0);
																				}
																		}
																}
																BgL_testz00_1397 = BgL_res3140z00_1236;
															}
															if (BgL_testz00_1397)
																{	/* Ast/build.scm 65 */
																	BgL_testz00_1396 =
																		BGl_2ze3ze3zz__r4_numbers_6_5z00
																		(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
																		BINT(((long) 1)));
																}
															else
																{	/* Ast/build.scm 65 */
																	BgL_testz00_1396 = ((bool_t) 0);
																}
														}
														if (BgL_testz00_1396)
															{	/* Ast/build.scm 65 */
																BgL_arg3041z00_736 =
																	BGl_string3149z00zzast_buildz00;
															}
														else
															{	/* Ast/build.scm 65 */
																BgL_arg3041z00_736 =
																	BGl_string3150z00zzast_buildz00;
															}
													}
													bgl_display_obj(BgL_arg3041z00_736,
														BgL_port3021z00_735);
												}
												bgl_display_string(BGl_string3151z00zzast_buildz00,
													BgL_port3021z00_735);
												BGL_DISPLAY_CHAR(((unsigned char) '\n'),
													BgL_port3021z00_735);
											}
											{	/* Ast/build.scm 65 */
												obj_t BgL_list3044z00_739;

												BgL_list3044z00_739 =
													MAKE_PAIR(BINT(((long) -1)), BNIL);
												return BGl_exitz00zz__errorz00(BgL_list3044z00_739);
											}
										}
									else
										{
											obj_t BgL_hooksz00_742;
											obj_t BgL_hnamesz00_743;

											BgL_hooksz00_742 = BNIL;
											BgL_hnamesz00_743 = BNIL;
										BgL_loopz00_744:
											if (NULLP(BgL_hooksz00_742))
												{	/* Ast/build.scm 65 */
													return BgL_astz00_732;
												}
											else
												{	/* Ast/build.scm 65 */
													bool_t BgL_testz00_1416;

													{	/* Ast/build.scm 65 */
														obj_t BgL_fun3052z00_751;

														BgL_fun3052z00_751 = CAR(BgL_hooksz00_742);
														BgL_testz00_1416 =
															CBOOL(PROCEDURE_ENTRY(BgL_fun3052z00_751)
															(BgL_fun3052z00_751, BEOA));
													}
													if (BgL_testz00_1416)
														{
															obj_t BgL_hnamesz00_1423;
															obj_t BgL_hooksz00_1421;

															BgL_hooksz00_1421 = CDR(BgL_hooksz00_742);
															BgL_hnamesz00_1423 = CDR(BgL_hnamesz00_743);
															BgL_hnamesz00_743 = BgL_hnamesz00_1423;
															BgL_hooksz00_742 = BgL_hooksz00_1421;
															goto BgL_loopz00_744;
														}
													else
														{	/* Ast/build.scm 65 */
															obj_t BgL_arg3050z00_750;

															BgL_arg3050z00_750 = CAR(BgL_hnamesz00_743);
															return
																BGl_internalzd2errorzd2zztools_errorz00
																(BGl_za2currentzd2passza2zd2zzengine_passz00,
																BGl_string3152z00zzast_buildz00,
																BgL_arg3050z00_750);
														}
												}
										}
								}
							}
						else
							{	/* Ast/build.scm 58 */
								if (
									((long)
										CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
										((long) 0)))
									{	/* Ast/build.scm 66 */
										{	/* Ast/build.scm 66 */
											obj_t BgL_port3022z00_771;

											BgL_port3022z00_771 = BGL_CURRENT_ERROR_PORT();
											bgl_display_obj
												(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
												BgL_port3022z00_771);
											bgl_display_string(BGl_string3148z00zzast_buildz00,
												BgL_port3022z00_771);
											{	/* Ast/build.scm 66 */
												obj_t BgL_arg3064z00_772;

												{	/* Ast/build.scm 66 */
													bool_t BgL_testz00_1433;

													{	/* Ast/build.scm 66 */
														bool_t BgL_testz00_1434;

														{	/* Ast/build.scm 66 */
															bool_t BgL_res3142z00_1257;

															{	/* Ast/build.scm 66 */
																obj_t BgL_objz00_1251;

																BgL_objz00_1251 =
																	BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
																if (INTEGERP(BgL_objz00_1251))
																	{	/* Ast/build.scm 66 */
																		BgL_res3142z00_1257 = ((bool_t) 1);
																	}
																else
																	{	/* Ast/build.scm 66 */
																		if (REALP(BgL_objz00_1251))
																			{	/* Ast/build.scm 66 */
																				double BgL_arg1719z00_1254;

																				BgL_arg1719z00_1254 =
																					BGl_roundflz00zz__r4_numbers_6_5_flonumz00
																					(REAL_TO_DOUBLE(BgL_objz00_1251));
																				BgL_res3142z00_1257 =
																					(REAL_TO_DOUBLE(BgL_objz00_1251) ==
																					BgL_arg1719z00_1254);
																			}
																		else
																			{	/* Ast/build.scm 66 */
																				BgL_res3142z00_1257 = ((bool_t) 0);
																			}
																	}
															}
															BgL_testz00_1434 = BgL_res3142z00_1257;
														}
														if (BgL_testz00_1434)
															{	/* Ast/build.scm 66 */
																BgL_testz00_1433 =
																	BGl_2ze3ze3zz__r4_numbers_6_5z00
																	(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
																	BINT(((long) 1)));
															}
														else
															{	/* Ast/build.scm 66 */
																BgL_testz00_1433 = ((bool_t) 0);
															}
													}
													if (BgL_testz00_1433)
														{	/* Ast/build.scm 66 */
															BgL_arg3064z00_772 =
																BGl_string3149z00zzast_buildz00;
														}
													else
														{	/* Ast/build.scm 66 */
															BgL_arg3064z00_772 =
																BGl_string3150z00zzast_buildz00;
														}
												}
												bgl_display_obj(BgL_arg3064z00_772,
													BgL_port3022z00_771);
											}
											bgl_display_string(BGl_string3151z00zzast_buildz00,
												BgL_port3022z00_771);
											BGL_DISPLAY_CHAR(((unsigned char) '\n'),
												BgL_port3022z00_771);
										}
										{	/* Ast/build.scm 66 */
											obj_t BgL_list3067z00_775;

											BgL_list3067z00_775 = MAKE_PAIR(BINT(((long) -1)), BNIL);
											return BGl_exitz00zz__errorz00(BgL_list3067z00_775);
										}
									}
								else
									{
										obj_t BgL_hooksz00_778;
										obj_t BgL_hnamesz00_779;

										BgL_hooksz00_778 = BNIL;
										BgL_hnamesz00_779 = BNIL;
									BgL_loopz00_780:
										if (NULLP(BgL_hooksz00_778))
											{	/* Ast/build.scm 66 */
												return BNIL;
											}
										else
											{	/* Ast/build.scm 66 */
												bool_t BgL_testz00_1453;

												{	/* Ast/build.scm 66 */
													obj_t BgL_fun3074z00_787;

													BgL_fun3074z00_787 = CAR(BgL_hooksz00_778);
													BgL_testz00_1453 =
														CBOOL(PROCEDURE_ENTRY(BgL_fun3074z00_787)
														(BgL_fun3074z00_787, BEOA));
												}
												if (BgL_testz00_1453)
													{
														obj_t BgL_hnamesz00_1460;
														obj_t BgL_hooksz00_1458;

														BgL_hooksz00_1458 = CDR(BgL_hooksz00_778);
														BgL_hnamesz00_1460 = CDR(BgL_hnamesz00_779);
														BgL_hnamesz00_779 = BgL_hnamesz00_1460;
														BgL_hooksz00_778 = BgL_hooksz00_1458;
														goto BgL_loopz00_780;
													}
												else
													{	/* Ast/build.scm 66 */
														obj_t BgL_arg3073z00_786;

														BgL_arg3073z00_786 = CAR(BgL_hnamesz00_779);
														return
															BGl_internalzd2errorzd2zztools_errorz00
															(BGl_za2currentzd2passza2zd2zzengine_passz00,
															BGl_string3152z00zzast_buildz00,
															BgL_arg3073z00_786);
													}
											}
									}
							}
					}
				}
			}
		}
	}



/* _build-ast-sans-remove */
	obj_t BGl__buildzd2astzd2sanszd2removezd2zzast_buildz00(obj_t BgL_envz00_1282,
		obj_t BgL_unitsz00_1283)
	{
		AN_OBJECT;
		{	/* Ast/build.scm 51 */
			return
				BGl_buildzd2astzd2sanszd2removezd2zzast_buildz00(BgL_unitsz00_1283);
		}
	}



/* sfun-def->ast */
	BgL_globalz00_bglt BGl_sfunzd2defzd2ze3astze3zzast_buildz00(BgL_globalz00_bglt
		BgL_defz00_5)
	{
		AN_OBJECT;
		{	/* Ast/build.scm 71 */
			{	/* Ast/build.scm 72 */
				obj_t BgL_arg3086z00_806;

				{	/* Ast/build.scm 72 */
					BgL_variablez00_bglt BgL_obj1362z00_1268;

					BgL_obj1362z00_1268 = (BgL_variablez00_bglt) (BgL_defz00_5);
					BgL_arg3086z00_806 =
						(((BgL_variablez00_bglt) CREF(BgL_obj1362z00_1268))->BgL_idz00);
				}
				BGl_enterzd2functionzd2zztools_errorz00(BgL_arg3086z00_806);
			}
			{	/* Ast/build.scm 73 */
				obj_t BgL_val3006z00_807;

				BgL_val3006z00_807 =
					BGl_zc3exitza33090ze3z83zzast_buildz00(BgL_defz00_5);
				BGl_leavezd2functionzd2zztools_errorz00();
				if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00(BgL_val3006z00_807)))
					{	/* Ast/build.scm 84 */
						BGl_unwindzd2untilz12zc0zz__bexitz00(CAR(BgL_val3006z00_807),
							CDR(BgL_val3006z00_807));
					}
				else
					{	/* Ast/build.scm 84 */
						BgL_val3006z00_807;
					}
			}
			return BgL_defz00_5;
		}
	}



/* <exit:3090> */
	obj_t BGl_zc3exitza33090ze3z83zzast_buildz00(BgL_globalz00_bglt
		BgL_defz00_1284)
	{
		AN_OBJECT;
		{	/* Ast/build.scm 84 */
			jmp_buf jmpbuf;
			obj_t BgL_an_exit3007z00_812;

			{
				BGL_STORE_TRACE();
				if (SET_EXIT(BgL_an_exit3007z00_812))
					{
						BGL_RESTORE_TRACE();
						return _exit_value_;
					}
				else
					{
						BgL_an_exit3007z00_812 = (obj_t) jmpbuf;
						{	/* Ast/build.scm 84 */

							PUSH_EXIT(BgL_an_exit3007z00_812, ((long) 0));
							{	/* Ast/build.scm 74 */
								obj_t BgL_val3008z00_813;

								{	/* Ast/build.scm 74 */
									BgL_valuez00_bglt BgL_sfunz00_814;

									{	/* Ast/build.scm 74 */
										BgL_variablez00_bglt BgL_obj1369z00_1269;

										BgL_obj1369z00_1269 =
											(BgL_variablez00_bglt) (BgL_defz00_1284);
										BgL_sfunz00_814 =
											(((BgL_variablez00_bglt) CREF(BgL_obj1369z00_1269))->
											BgL_valuez00);
									}
									{	/* Ast/build.scm 74 */
										obj_t BgL_sfunzd2argszd2_815;

										{	/* Ast/build.scm 75 */
											BgL_sfunz00_bglt BgL_obj1636z00_1270;

											BgL_obj1636z00_1270 =
												(BgL_sfunz00_bglt) (BgL_sfunz00_814);
											BgL_sfunzd2argszd2_815 =
												(((BgL_sfunz00_bglt) CREF(BgL_obj1636z00_1270))->
												BgL_argsz00);
										}
										{	/* Ast/build.scm 75 */
											obj_t BgL_sfunzd2bodyzd2expz00_816;

											{	/* Ast/build.scm 76 */
												BgL_sfunz00_bglt BgL_obj1639z00_1271;

												BgL_obj1639z00_1271 =
													(BgL_sfunz00_bglt) (BgL_sfunz00_814);
												BgL_sfunzd2bodyzd2expz00_816 =
													(((BgL_sfunz00_bglt) CREF(BgL_obj1639z00_1271))->
													BgL_bodyz00);
											}
											{	/* Ast/build.scm 76 */
												obj_t BgL_defzd2loczd2_817;

												{	/* Ast/build.scm 77 */
													obj_t BgL_arg3091z00_820;

													BgL_arg3091z00_820 =
														(((BgL_globalz00_bglt) CREF(BgL_defz00_1284))->
														BgL_srcz00);
													BgL_defzd2loczd2_817 =
														BGl_findzd2locationzd2zztools_locationz00
														(BgL_arg3091z00_820);
												}
												{	/* Ast/build.scm 77 */
													obj_t BgL_locz00_818;

													BgL_locz00_818 =
														BGl_findzd2locationzf2locz20zztools_locationz00
														(BgL_sfunzd2bodyzd2expz00_816,
														BgL_defzd2loczd2_817);
													{	/* Ast/build.scm 78 */
														BgL_nodez00_bglt BgL_bodyz00_819;

														BgL_bodyz00_819 =
															BGl_sexpzd2ze3nodez31zzast_sexpz00
															(BgL_sfunzd2bodyzd2expz00_816,
															BgL_sfunzd2argszd2_815, BgL_locz00_818,
															CNST_TABLE_REF(((long) 2)));
														{	/* Ast/build.scm 79 */

															{	/* Ast/build.scm 83 */
																BgL_sfunz00_bglt BgL_obj1641z00_1273;
																obj_t BgL_val1640z00_1274;

																BgL_obj1641z00_1273 =
																	(BgL_sfunz00_bglt) (BgL_sfunz00_814);
																BgL_val1640z00_1274 = (obj_t) (BgL_bodyz00_819);
																BgL_val3008z00_813 =
																	((((BgL_sfunz00_bglt)
																			CREF(BgL_obj1641z00_1273))->BgL_bodyz00) =
																	((obj_t) BgL_val1640z00_1274), BUNSPEC);
								}}}}}}}}
								POP_EXIT();
								return BgL_val3008z00_813;
							}
						}
					}
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_buildz00()
	{
		AN_OBJECT;
		{	/* Ast/build.scm 14 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_buildz00()
	{
		AN_OBJECT;
		{	/* Ast/build.scm 14 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 182148081),
				BSTRING_TO_STRING(BGl_string3153z00zzast_buildz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string3153z00zzast_buildz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 216344604),
				BSTRING_TO_STRING(BGl_string3153z00zzast_buildz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string3153z00zzast_buildz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string3153z00zzast_buildz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 11585204),
				BSTRING_TO_STRING(BGl_string3153z00zzast_buildz00));
			BGl_modulezd2initializa7ationz75zzast_unitz00(((long) 451721304),
				BSTRING_TO_STRING(BGl_string3153z00zzast_buildz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 77938009),
				BSTRING_TO_STRING(BGl_string3153z00zzast_buildz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 142857872),
				BSTRING_TO_STRING(BGl_string3153z00zzast_buildz00));
			BGl_modulezd2initializa7ationz75zzast_findzd2gdefszd2(((long) 356303425),
				BSTRING_TO_STRING(BGl_string3153z00zzast_buildz00));
			BGl_modulezd2initializa7ationz75zzast_removez00(((long) 215625933),
				BSTRING_TO_STRING(BGl_string3153z00zzast_buildz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 499216671),
				BSTRING_TO_STRING(BGl_string3153z00zzast_buildz00));
			BGl_modulezd2initializa7ationz75zztools_argsz00(((long) 320731191),
				BSTRING_TO_STRING(BGl_string3153z00zzast_buildz00));
			BGl_modulezd2initializa7ationz75zztools_prognz00(((long) 139728077),
				BSTRING_TO_STRING(BGl_string3153z00zzast_buildz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 345457731),
				BSTRING_TO_STRING(BGl_string3153z00zzast_buildz00));
			return
				BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string3153z00zzast_buildz00));
		}
	}

#ifdef __cplusplus
}
#endif
