/*===========================================================================*/
/*   (Ast/labels.scm)                                                        */
/*   Bigloo (2.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 25 07:31:22 CET 2006        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/2.9a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/labels.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2heapzd2formatz00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_isaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		struct BgL_typez00_bgl *BgL_classz00;
	}             *BgL_isaz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;


	extern obj_t BGl_dssslzd2argsza2zd2ze3argszd2listz93zztools_dssslz00(obj_t);
	BGL_IMPORT obj_t open_input_string(obj_t);
	BGL_EXPORTED_DECL BgL_letzd2funzd2_bglt
		BGl_labelszd2ze3nodez31zzast_labelsz00(obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzast_labelsz00 = BUNSPEC;
	extern long BGl_localzd2arityzd2zztools_argsz00(obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	static obj_t BGl_cnstzd2initzd2zzast_labelsz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzast_labelsz00();
	extern bool_t BGl_userzd2symbolzf3z21zzast_identz00(obj_t);
	static obj_t BGl_labelszd2bindingzd2zzast_labelsz00(obj_t, obj_t, obj_t,
		obj_t);
	extern bool_t BGl_dssslzd2arityzd2za7erozf3z54zztools_argsz00(int, obj_t);
	extern obj_t BGl_findzd2locationzf2locz20zztools_locationz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_labelsz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_normaliza7ezd2prognz75zztools_prognz00(obj_t);
	static obj_t BGl_toplevelzd2initzd2zzast_labelsz00();
	static obj_t BGl_makezd2localzd2nooptzd2sfunzd2zzast_labelsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl__labelszd2ze3node3137z31zzast_labelsz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern BgL_localz00_bglt BGl_makezd2localzd2sfunz00zzast_localz00(obj_t,
		BgL_typez00_bglt, BgL_sfunz00_bglt);
	extern obj_t BGl_leavezd2functionzd2zztools_errorz00();
	extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t,
		BgL_typez00_bglt);
	extern BgL_localz00_bglt
		BGl_makezd2userzd2localzd2sfunzd2zzast_localz00(obj_t, BgL_typez00_bglt,
		BgL_sfunz00_bglt);
	static obj_t BGl_allocatezd2sfunszd2zzast_labelsz00(obj_t, obj_t);
	extern BgL_letzd2funzd2_bglt BGl_makezd2letzd2funz00zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, obj_t, BgL_nodez00_bglt);
	extern BgL_nodez00_bglt BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	BGL_IMPORT obj_t bgl_append2(obj_t, obj_t);
	extern BgL_sfunz00_bglt BGl_makezd2sfunzd2zzast_varz00(long, obj_t, obj_t,
		obj_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	extern BgL_localz00_bglt
		BGl_makezd2userzd2localzd2svarzd2zzast_localz00(obj_t, BgL_typez00_bglt);
	extern obj_t BGl_parsezd2idzd2zzast_identz00(obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_labelsz00();
	static obj_t BGl_methodzd2initzd2zzast_labelsz00();
	static obj_t __cnst[2];


	extern obj_t BGl_userzd2errorzd2envz00zztools_errorz00;
	   
		 
		DEFINE_STRING(BGl_string3142z00zzast_labelsz00,
		BgL_bgl_string3142za700za7za7a3150za7, "Illegal `labels' expression", 27);
	      DEFINE_STRING(BGl_string3143z00zzast_labelsz00,
		BgL_bgl_string3143za700za7za7a3151za7, "Illegal `binding' form", 22);
	      DEFINE_STRING(BGl_string3144z00zzast_labelsz00,
		BgL_bgl_string3144za700za7za7a3152za7, "Illegal formal type", 19);
	      DEFINE_STRING(BGl_string3145z00zzast_labelsz00,
		BgL_bgl_string3145za700za7za7a3153za7, "Illegal `labels' form", 21);
	      DEFINE_STRING(BGl_string3146z00zzast_labelsz00,
		BgL_bgl_string3146za700za7za7a3154za7, "ast_labels", 10);
	      DEFINE_STRING(BGl_string3147z00zzast_labelsz00,
		BgL_bgl_string3147za700za7za7a3155za7, "value plain ", 12);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_labelszd2ze3nodezd2envze3zzast_labelsz00,
		BgL_bgl__labelsza7d2za7e3nod3156z00,
		BGl__labelszd2ze3node3137z31zzast_labelsz00, 0L, BUNSPEC, 4);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_labelsz00(long
		BgL_checksumz00_1339, char *BgL_fromz00_1340)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_labelsz00))
				{
					BGl_requirezd2initializa7ationz75zzast_labelsz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzast_labelsz00();
					BGl_cnstzd2initzd2zzast_labelsz00();
					BGl_importedzd2moduleszd2initz00zzast_labelsz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_labelsz00()
	{
		AN_OBJECT;
		{	/* Ast/labels.scm 14 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_labels");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_labels");
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 0), "ast_labels");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_labelsz00()
	{
		AN_OBJECT;
		{	/* Ast/labels.scm 14 */
			{	/* Ast/labels.scm 14 */
				obj_t BgL_cportz00_1331;

				BgL_cportz00_1331 = open_input_string(BGl_string3147z00zzast_labelsz00);
				{
					long BgL_iz00_1332;

					BgL_iz00_1332 = ((long) 1);
				BgL_loopz00_1333:
					if ((BgL_iz00_1332 == ((long) -1)))
						{	/* Ast/labels.scm 14 */
							return BUNSPEC;
						}
					else
						{	/* Ast/labels.scm 14 */
							{	/* Ast/labels.scm 14 */
								obj_t BgL_arg3149z00_1335;

								{	/* Ast/labels.scm 14 */

									{	/* Ast/labels.scm 14 */
										obj_t BgL_locationz00_1337;

										BgL_locationz00_1337 = BBOOL(((bool_t) 0));
										{	/* Ast/labels.scm 14 */

											BgL_arg3149z00_1335 =
												BGl_readz00zz__readerz00(BgL_cportz00_1331,
												BgL_locationz00_1337);
										}
									}
								}
								{	/* Ast/labels.scm 14 */
									int BgL_auxz00_1355;

									BgL_auxz00_1355 = (int) (BgL_iz00_1332);
									CNST_TABLE_SET(BgL_auxz00_1355, BgL_arg3149z00_1335);
							}}
							{	/* Ast/labels.scm 14 */
								int BgL_auxz00_1338;

								BgL_auxz00_1338 = (int) ((BgL_iz00_1332 - ((long) 1)));
								{
									long BgL_iz00_1360;

									BgL_iz00_1360 = (long) (BgL_auxz00_1338);
									BgL_iz00_1332 = BgL_iz00_1360;
									goto BgL_loopz00_1333;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_labelsz00()
	{
		AN_OBJECT;
		{	/* Ast/labels.scm 14 */
			return BUNSPEC;
		}
	}



/* labels->node */
	BGL_EXPORTED_DEF BgL_letzd2funzd2_bglt
		BGl_labelszd2ze3nodez31zzast_labelsz00(obj_t BgL_expz00_15,
		obj_t BgL_stackz00_16, obj_t BgL_locz00_17, obj_t BgL_sitez00_18)
	{
		AN_OBJECT;
		{	/* Ast/labels.scm 32 */
			{	/* Ast/labels.scm 33 */
				obj_t BgL_locz00_742;

				BgL_locz00_742 =
					BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_15,
					BgL_locz00_17);
				{
					obj_t BgL_bindingsz00_743;
					obj_t BgL_bodyz00_744;

					if (PAIRP(BgL_expz00_15))
						{	/* Ast/labels.scm 34 */
							obj_t BgL_cdrzd21161zd2_749;

							BgL_cdrzd21161zd2_749 = CDR(BgL_expz00_15);
							if (PAIRP(BgL_cdrzd21161zd2_749))
								{	/* Ast/labels.scm 34 */
									obj_t BgL_carzd21164zd2_751;

									BgL_carzd21164zd2_751 = CAR(BgL_cdrzd21161zd2_749);
									if (PAIRP(BgL_carzd21164zd2_751))
										{	/* Ast/labels.scm 34 */
											BgL_bindingsz00_743 = BgL_carzd21164zd2_751;
											BgL_bodyz00_744 = CDR(BgL_cdrzd21161zd2_749);
											{	/* Ast/labels.scm 36 */
												obj_t BgL_localsz00_754;

												BgL_localsz00_754 =
													BGl_allocatezd2sfunszd2zzast_labelsz00
													(BgL_bindingsz00_743, BgL_locz00_742);
												{	/* Ast/labels.scm 36 */
													obj_t BgL_newzd2stackzd2_755;

													BgL_newzd2stackzd2_755 =
														bgl_append2(BgL_localsz00_754, BgL_stackz00_16);
													{	/* Ast/labels.scm 37 */
														BgL_nodez00_bglt BgL_bodyz00_756;

														BgL_bodyz00_756 =
															BGl_sexpzd2ze3nodez31zzast_sexpz00
															(BGl_normaliza7ezd2prognz75zztools_prognz00
															(BgL_bodyz00_744), BgL_newzd2stackzd2_755,
															BgL_locz00_742, BgL_sitez00_18);
														{	/* Ast/labels.scm 38 */
															obj_t BgL_locz00_757;

															BgL_locz00_757 =
																BGl_findzd2locationzf2locz20zztools_locationz00
																(BgL_expz00_15, BgL_locz00_742);
															{	/* Ast/labels.scm 42 */

																{
																	obj_t BgL_ll3003z00_758;
																	obj_t BgL_ll3004z00_759;

																	BgL_ll3003z00_758 = BgL_localsz00_754;
																	BgL_ll3004z00_759 = BgL_bindingsz00_743;
																BgL_forzd2each3006zd2_760:
																	if (NULLP(BgL_ll3003z00_758))
																		{	/* Ast/labels.scm 44 */
																			((bool_t) 1);
																		}
																	else
																		{	/* Ast/labels.scm 44 */
																			BGl_labelszd2bindingzd2zzast_labelsz00(CAR
																				(BgL_ll3003z00_758),
																				CAR(BgL_ll3004z00_759),
																				BgL_newzd2stackzd2_755, BgL_locz00_757);
																			{
																				obj_t BgL_ll3004z00_1383;
																				obj_t BgL_ll3003z00_1381;

																				BgL_ll3003z00_1381 =
																					CDR(BgL_ll3003z00_758);
																				BgL_ll3004z00_1383 =
																					CDR(BgL_ll3004z00_759);
																				BgL_ll3004z00_759 = BgL_ll3004z00_1383;
																				BgL_ll3003z00_758 = BgL_ll3003z00_1381;
																				goto BgL_forzd2each3006zd2_760;
																			}
																		}
																}
																{	/* Ast/labels.scm 50 */
																	BgL_typez00_bglt BgL_arg3035z00_766;

																	BgL_arg3035z00_766 =
																		(((BgL_nodez00_bglt)
																			CREF(BgL_bodyz00_756))->BgL_typez00);
																	return
																		BGl_makezd2letzd2funz00zzast_nodez00
																		(BgL_locz00_757, BgL_arg3035z00_766,
																		BUNSPEC, BINT(((long) -1)),
																		BgL_localsz00_754, BgL_bodyz00_756);
										}}}}}}}
									else
										{	/* Ast/labels.scm 34 */
											BgL_nodez00_bglt BgL_auxz00_1389;

										BgL_tagzd21154zd2_746:
											BgL_auxz00_1389 =
												BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
												(BGl_string3142z00zzast_labelsz00, BgL_expz00_15,
												BgL_locz00_742);
											return (BgL_letzd2funzd2_bglt) (BgL_auxz00_1389);
										}
								}
							else
								{	/* Ast/labels.scm 34 */
									BgL_nodez00_bglt BgL_auxz00_1392;

									goto BgL_tagzd21154zd2_746;
									return (BgL_letzd2funzd2_bglt) (BgL_auxz00_1392);
								}
						}
					else
						{	/* Ast/labels.scm 34 */
							BgL_nodez00_bglt BgL_auxz00_1394;

							goto BgL_tagzd21154zd2_746;
							return (BgL_letzd2funzd2_bglt) (BgL_auxz00_1394);
						}
				}
			}
		}
	}



/* _labels->node3137 */
	obj_t BGl__labelszd2ze3node3137z31zzast_labelsz00(obj_t BgL_envz00_1320,
		obj_t BgL_expz00_1321, obj_t BgL_stackz00_1322, obj_t BgL_locz00_1323,
		obj_t BgL_sitez00_1324)
	{
		AN_OBJECT;
		{	/* Ast/labels.scm 32 */
			{	/* Ast/labels.scm 33 */
				BgL_letzd2funzd2_bglt BgL_auxz00_1396;

				BgL_auxz00_1396 =
					BGl_labelszd2ze3nodez31zzast_labelsz00(BgL_expz00_1321,
					BgL_stackz00_1322, BgL_locz00_1323, BgL_sitez00_1324);
				return (obj_t) (BgL_auxz00_1396);
			}
		}
	}



/* allocate-sfuns */
	obj_t BGl_allocatezd2sfunszd2zzast_labelsz00(obj_t BgL_bindingsz00_19,
		obj_t BgL_locz00_20)
	{
		AN_OBJECT;
		{	/* Ast/labels.scm 59 */
			{
				obj_t BgL_bindingsz00_770;
				obj_t BgL_resz00_771;

				BgL_bindingsz00_770 = BgL_bindingsz00_19;
				BgL_resz00_771 = BNIL;
			BgL_loopz00_772:
				if (NULLP(BgL_bindingsz00_770))
					{	/* Ast/labels.scm 62 */
						return bgl_reverse_bang(BgL_resz00_771);
					}
				else
					{	/* Ast/labels.scm 64 */
						obj_t BgL_srcz00_774;

						BgL_srcz00_774 = CAR(BgL_bindingsz00_770);
						{
							obj_t BgL_funz00_775;
							obj_t BgL_argsz00_776;
							obj_t BgL_bodyz00_777;

							if (PAIRP(BgL_srcz00_774))
								{	/* Ast/labels.scm 65 */
									obj_t BgL_carzd21179zd2_782;
									obj_t BgL_cdrzd21180zd2_783;

									BgL_carzd21179zd2_782 = CAR(BgL_srcz00_774);
									BgL_cdrzd21180zd2_783 = CDR(BgL_srcz00_774);
									if (SYMBOLP(BgL_carzd21179zd2_782))
										{	/* Ast/labels.scm 65 */
											if (PAIRP(BgL_cdrzd21180zd2_783))
												{	/* Ast/labels.scm 65 */
													BgL_funz00_775 = BgL_carzd21179zd2_782;
													BgL_argsz00_776 = CAR(BgL_cdrzd21180zd2_783);
													BgL_bodyz00_777 = CDR(BgL_cdrzd21180zd2_783);
													{	/* Ast/labels.scm 67 */
														obj_t BgL_locz00_788;

														BgL_locz00_788 =
															BGl_findzd2locationzf2locz20zztools_locationz00
															(CAR(BgL_bindingsz00_770), BgL_locz00_20);
														{	/* Ast/labels.scm 67 */
															obj_t BgL_funz00_789;

															BgL_funz00_789 =
																BGl_makezd2localzd2nooptzd2sfunzd2zzast_labelsz00
																(BgL_locz00_788, BgL_srcz00_774, BgL_funz00_775,
																BgL_argsz00_776, BgL_bodyz00_777);
															{	/* Ast/labels.scm 68 */

																{	/* Ast/labels.scm 69 */
																	obj_t BgL_arg3044z00_790;
																	obj_t BgL_arg3045z00_791;

																	BgL_arg3044z00_790 = CDR(BgL_bindingsz00_770);
																	BgL_arg3045z00_791 =
																		MAKE_PAIR(BgL_funz00_789, BgL_resz00_771);
																	{
																		obj_t BgL_resz00_1417;
																		obj_t BgL_bindingsz00_1416;

																		BgL_bindingsz00_1416 = BgL_arg3044z00_790;
																		BgL_resz00_1417 = BgL_arg3045z00_791;
																		BgL_resz00_771 = BgL_resz00_1417;
																		BgL_bindingsz00_770 = BgL_bindingsz00_1416;
																		goto BgL_loopz00_772;
																	}
																}
															}
														}
													}
												}
											else
												{	/* Ast/labels.scm 65 */
												BgL_tagzd21171zd2_779:
													BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
														(BGl_string3143z00zzast_labelsz00, BgL_srcz00_774,
														BgL_locz00_20);
													return BNIL;
												}
										}
									else
										{	/* Ast/labels.scm 65 */
											goto BgL_tagzd21171zd2_779;
										}
								}
							else
								{	/* Ast/labels.scm 65 */
									goto BgL_tagzd21171zd2_779;
								}
						}
					}
			}
		}
	}



/* make-local-noopt-sfun */
	obj_t BGl_makezd2localzd2nooptzd2sfunzd2zzast_labelsz00(obj_t BgL_locz00_21,
		obj_t BgL_srcz00_22, obj_t BgL_funz00_23, obj_t BgL_argsz00_24,
		obj_t BgL_bodyz00_25)
	{
		AN_OBJECT;
		{	/* Ast/labels.scm 130 */
			{	/* Ast/labels.scm 131 */
				obj_t BgL_idze2typeze2_793;

				BgL_idze2typeze2_793 =
					BGl_parsezd2idzd2zzast_identz00(BgL_funz00_23, BgL_locz00_21);
				{	/* Ast/labels.scm 131 */
					obj_t BgL_idz00_794;

					BgL_idz00_794 = CAR(BgL_idze2typeze2_793);
					{	/* Ast/labels.scm 132 */
						obj_t BgL_typez00_795;

						BgL_typez00_795 = CDR(BgL_idze2typeze2_793);
						{	/* Ast/labels.scm 133 */
							long BgL_arityz00_796;

							BgL_arityz00_796 =
								BGl_localzd2arityzd2zztools_argsz00(BgL_argsz00_24);
							{	/* Ast/labels.scm 134 */
								obj_t BgL_formalsz00_797;

								{	/* Ast/labels.scm 135 */
									obj_t BgL_l3007z00_833;

									BgL_l3007z00_833 =
										BGl_dssslzd2argsza2zd2ze3argszd2listz93zztools_dssslz00
										(BgL_argsz00_24);
									if (NULLP(BgL_l3007z00_833))
										{	/* Ast/labels.scm 135 */
											BgL_formalsz00_797 = BNIL;
										}
									else
										{	/* Ast/labels.scm 135 */
											obj_t BgL_head3009z00_835;

											BgL_head3009z00_835 = MAKE_PAIR(BNIL, BNIL);
											{
												obj_t BgL_l3007z00_836;
												obj_t BgL_tail3010z00_837;

												BgL_l3007z00_836 = BgL_l3007z00_833;
												BgL_tail3010z00_837 = BgL_head3009z00_835;
											BgL_map3008z00_838:
												if (NULLP(BgL_l3007z00_836))
													{	/* Ast/labels.scm 135 */
														BgL_formalsz00_797 = CDR(BgL_head3009z00_835);
													}
												else
													{	/* Ast/labels.scm 135 */
														obj_t BgL_newtail3011z00_840;

														BgL_newtail3011z00_840 =
															MAKE_PAIR(BGl_parsezd2idzd2zzast_identz00(CAR
																(BgL_l3007z00_836), BgL_locz00_21), BNIL);
														SET_CDR(BgL_tail3010z00_837,
															BgL_newtail3011z00_840);
														{
															obj_t BgL_tail3010z00_1438;
															obj_t BgL_l3007z00_1436;

															BgL_l3007z00_1436 = CDR(BgL_l3007z00_836);
															BgL_tail3010z00_1438 = BgL_newtail3011z00_840;
															BgL_tail3010z00_837 = BgL_tail3010z00_1438;
															BgL_l3007z00_836 = BgL_l3007z00_1436;
															goto BgL_map3008z00_838;
														}
													}
											}
										}
								}
								{	/* Ast/labels.scm 135 */

									{	/* Ast/labels.scm 139 */
										bool_t BgL_testz00_1439;

										if ((BgL_arityz00_796 >= ((long) 0)))
											{	/* Ast/labels.scm 139 */
												BgL_testz00_1439 = ((bool_t) 1);
											}
										else
											{	/* Ast/labels.scm 139 */
												if (BGl_dssslzd2arityzd2za7erozf3z54zztools_argsz00(
														(int) (BgL_arityz00_796), BgL_formalsz00_797))
													{	/* Ast/labels.scm 143 */
														BgL_testz00_1439 = ((bool_t) 1);
													}
												else
													{	/* Ast/labels.scm 144 */
														obj_t BgL_largz00_828;

														BgL_largz00_828 =
															CAR
															(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00
															(BgL_formalsz00_797));
														{	/* Ast/labels.scm 144 */
															obj_t BgL_typez00_829;

															BgL_typez00_829 = CDR(BgL_largz00_828);
															{	/* Ast/labels.scm 145 */

																if (
																	(BgL_typez00_829 ==
																		BGl_za2objza2z00zztype_cachez00))
																	{	/* Ast/labels.scm 147 */
																		BgL_testz00_1439 = ((bool_t) 1);
																	}
																else
																	{	/* Ast/labels.scm 147 */
																		if (
																			(BgL_typez00_829 ==
																				BGl_za2_za2z00zztype_cachez00))
																			{	/* Ast/labels.scm 149 */
																				SET_CDR(BgL_largz00_828,
																					BGl_za2objza2z00zztype_cachez00);
																				BgL_testz00_1439 = ((bool_t) 1);
																			}
																		else
																			{	/* Ast/labels.scm 149 */
																				BgL_testz00_1439 = ((bool_t) 0);
																			}
																	}
															}
														}
													}
											}
										if (BgL_testz00_1439)
											{	/* Ast/labels.scm 154 */
												obj_t BgL_argsz00_799;

												if (NULLP(BgL_formalsz00_797))
													{	/* Ast/labels.scm 154 */
														BgL_argsz00_799 = BNIL;
													}
												else
													{	/* Ast/labels.scm 154 */
														obj_t BgL_head3016z00_810;

														BgL_head3016z00_810 = MAKE_PAIR(BNIL, BNIL);
														{
															obj_t BgL_l3012z00_811;
															obj_t BgL_tail3017z00_812;

															BgL_l3012z00_811 = BgL_formalsz00_797;
															BgL_tail3017z00_812 = BgL_head3016z00_810;
														BgL_map3015z00_813:
															if (NULLP(BgL_l3012z00_811))
																{	/* Ast/labels.scm 154 */
																	BgL_argsz00_799 = CDR(BgL_head3016z00_810);
																}
															else
																{	/* Ast/labels.scm 154 */
																	obj_t BgL_newtail3018z00_815;

																	{	/* Ast/labels.scm 154 */
																		BgL_localz00_bglt BgL_arg3058z00_817;

																		{	/* Ast/labels.scm 154 */
																			obj_t BgL_fz00_819;

																			BgL_fz00_819 = CAR(BgL_l3012z00_811);
																			if (BGl_userzd2symbolzf3z21zzast_identz00
																				(CAR(BgL_fz00_819)))
																				{	/* Ast/labels.scm 156 */
																					obj_t BgL_arg3061z00_821;
																					obj_t BgL_arg3062z00_822;

																					BgL_arg3061z00_821 =
																						CAR(BgL_fz00_819);
																					BgL_arg3062z00_822 =
																						CDR(BgL_fz00_819);
																					BgL_arg3058z00_817 =
																						BGl_makezd2userzd2localzd2svarzd2zzast_localz00
																						(BgL_arg3061z00_821,
																						(BgL_typez00_bglt)
																						(BgL_arg3062z00_822));
																				}
																			else
																				{	/* Ast/labels.scm 157 */
																					obj_t BgL_arg3063z00_823;
																					obj_t BgL_arg3064z00_824;

																					BgL_arg3063z00_823 =
																						CAR(BgL_fz00_819);
																					BgL_arg3064z00_824 =
																						CDR(BgL_fz00_819);
																					BgL_arg3058z00_817 =
																						BGl_makezd2localzd2svarz00zzast_localz00
																						(BgL_arg3063z00_823,
																						(BgL_typez00_bglt)
																						(BgL_arg3064z00_824));
																				}
																		}
																		{	/* Ast/labels.scm 154 */
																			obj_t BgL_obj1z00_1300;

																			BgL_obj1z00_1300 =
																				(obj_t) (BgL_arg3058z00_817);
																			BgL_newtail3018z00_815 =
																				MAKE_PAIR(BgL_obj1z00_1300, BNIL);
																		}
																	}
																	SET_CDR(BgL_tail3017z00_812,
																		BgL_newtail3018z00_815);
																	{
																		obj_t BgL_tail3017z00_1476;
																		obj_t BgL_l3012z00_1474;

																		BgL_l3012z00_1474 = CDR(BgL_l3012z00_811);
																		BgL_tail3017z00_1476 =
																			BgL_newtail3018z00_815;
																		BgL_tail3017z00_812 = BgL_tail3017z00_1476;
																		BgL_l3012z00_811 = BgL_l3012z00_1474;
																		goto BgL_map3015z00_813;
																	}
																}
														}
													}
												{	/* Ast/labels.scm 154 */
													BgL_sfunz00_bglt BgL_sfunz00_800;

													{	/* Ast/var.scm 96 */
														obj_t BgL_arg3050z00_803;
														obj_t BgL_arg3052z00_805;

														BgL_arg3050z00_803 = CNST_TABLE_REF(((long) 0));
														BgL_arg3052z00_805 =
															BGl_findzd2locationzf2locz20zztools_locationz00
															(BgL_bodyz00_25, BgL_locz00_21);
														BgL_sfunz00_800 =
															BGl_makezd2sfunzd2zzast_varz00(BgL_arityz00_796,
															BUNSPEC, BFALSE, BFALSE, ((bool_t) 1), BUNSPEC,
															BUNSPEC, BNIL, BgL_argsz00_799, BUNSPEC,
															BgL_arg3050z00_803, BNIL, BgL_arg3052z00_805,
															BNIL, BNIL, BUNSPEC);
													}
													{	/* Ast/labels.scm 159 */

														if (BGl_userzd2symbolzf3z21zzast_identz00
															(BgL_idz00_794))
															{	/* Ast/labels.scm 165 */
																BgL_localz00_bglt BgL_auxz00_1482;

																BgL_auxz00_1482 =
																	BGl_makezd2userzd2localzd2sfunzd2zzast_localz00
																	(BgL_idz00_794,
																	(BgL_typez00_bglt) (BgL_typez00_795),
																	BgL_sfunz00_800);
																return (obj_t) (BgL_auxz00_1482);
															}
														else
															{	/* Ast/labels.scm 166 */
																BgL_localz00_bglt BgL_auxz00_1486;

																BgL_auxz00_1486 =
																	BGl_makezd2localzd2sfunz00zzast_localz00
																	(BgL_idz00_794,
																	(BgL_typez00_bglt) (BgL_typez00_795),
																	BgL_sfunz00_800);
																return (obj_t) (BgL_auxz00_1486);
															}
													}
												}
											}
										else
											{	/* Ast/labels.scm 139 */
												BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
													(BGl_string3144z00zzast_labelsz00, BgL_srcz00_22,
													BgL_locz00_21);
												return BNIL;
											}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* labels-binding */
	obj_t BGl_labelszd2bindingzd2zzast_labelsz00(obj_t BgL_localz00_26,
		obj_t BgL_bindingz00_27, obj_t BgL_stackz00_28, obj_t BgL_locz00_29)
	{
		AN_OBJECT;
		{	/* Ast/labels.scm 174 */
			{
				obj_t BgL_argsz00_845;
				obj_t BgL_bodyz00_846;

				if (PAIRP(BgL_bindingz00_27))
					{	/* Ast/labels.scm 175 */
						obj_t BgL_cdrzd21198zd2_851;

						BgL_cdrzd21198zd2_851 = CDR(BgL_bindingz00_27);
						if (PAIRP(BgL_cdrzd21198zd2_851))
							{	/* Ast/labels.scm 175 */
								BgL_argsz00_845 = CAR(BgL_cdrzd21198zd2_851);
								BgL_bodyz00_846 = CDR(BgL_cdrzd21198zd2_851);
								{	/* Ast/labels.scm 177 */
									obj_t BgL_arg3080z00_855;

									{	/* Ast/labels.scm 177 */
										BgL_variablez00_bglt BgL_obj1362z00_1310;

										BgL_obj1362z00_1310 =
											(BgL_variablez00_bglt) (BgL_localz00_26);
										BgL_arg3080z00_855 =
											(((BgL_variablez00_bglt) CREF(BgL_obj1362z00_1310))->
											BgL_idz00);
									}
									BGl_enterzd2functionzd2zztools_errorz00(BgL_arg3080z00_855);
								}
								{	/* Ast/labels.scm 178 */
									obj_t BgL_locz00_856;

									BgL_locz00_856 =
										BGl_findzd2locationzf2locz20zztools_locationz00
										(BgL_bindingz00_27, BgL_locz00_29);
									{	/* Ast/labels.scm 178 */
										obj_t BgL_body2z00_857;

										{	/* Ast/labels.scm 179 */
											obj_t BgL_arg3087z00_865;
											obj_t BgL_arg3088z00_866;

											{	/* Ast/labels.scm 179 */
												BgL_variablez00_bglt BgL_obj1362z00_1311;

												BgL_obj1362z00_1311 =
													(BgL_variablez00_bglt) (BgL_localz00_26);
												BgL_arg3087z00_865 =
													(((BgL_variablez00_bglt) CREF(BgL_obj1362z00_1311))->
													BgL_idz00);
											}
											BgL_arg3088z00_866 =
												BGl_normaliza7ezd2prognz75zztools_prognz00
												(BgL_bodyz00_846);
											BgL_body2z00_857 =
												BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00
												(BgL_arg3087z00_865, BgL_argsz00_845,
												BgL_arg3088z00_866,
												BGl_userzd2errorzd2envz00zztools_errorz00);
										}
										{	/* Ast/labels.scm 179 */
											BgL_nodez00_bglt BgL_body3z00_858;

											{	/* Ast/labels.scm 184 */
												obj_t BgL_arg3083z00_861;
												obj_t BgL_arg3084z00_862;

												{	/* Ast/labels.scm 184 */
													obj_t BgL_auxz00_1504;

													{	/* Ast/labels.scm 184 */
														BgL_sfunz00_bglt BgL_obj1636z00_1313;

														{	/* Ast/labels.scm 184 */
															BgL_variablez00_bglt BgL_obj1369z00_1312;

															BgL_obj1369z00_1312 =
																(BgL_variablez00_bglt) (BgL_localz00_26);
															{	/* Ast/labels.scm 184 */
																BgL_valuez00_bglt BgL_auxz00_1506;

																BgL_auxz00_1506 =
																	(((BgL_variablez00_bglt)
																		CREF(BgL_obj1369z00_1312))->BgL_valuez00);
																BgL_obj1636z00_1313 =
																	(BgL_sfunz00_bglt) (BgL_auxz00_1506);
															}
														}
														BgL_auxz00_1504 =
															(((BgL_sfunz00_bglt) CREF(BgL_obj1636z00_1313))->
															BgL_argsz00);
													}
													BgL_arg3083z00_861 =
														bgl_append2(BgL_auxz00_1504, BgL_stackz00_28);
												}
												BgL_arg3084z00_862 = CNST_TABLE_REF(((long) 1));
												BgL_body3z00_858 =
													BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_body2z00_857,
													BgL_arg3083z00_861, BgL_locz00_856,
													BgL_arg3084z00_862);
											}
											{	/* Ast/labels.scm 183 */

												{	/* Ast/labels.scm 187 */
													BgL_valuez00_bglt BgL_arg3081z00_859;

													{	/* Ast/labels.scm 187 */
														BgL_variablez00_bglt BgL_obj1369z00_1314;

														BgL_obj1369z00_1314 =
															(BgL_variablez00_bglt) (BgL_localz00_26);
														BgL_arg3081z00_859 =
															(((BgL_variablez00_bglt)
																CREF(BgL_obj1369z00_1314))->BgL_valuez00);
													}
													{	/* Ast/labels.scm 187 */
														BgL_sfunz00_bglt BgL_obj1650z00_1315;
														obj_t BgL_val1649z00_1316;

														BgL_obj1650z00_1315 =
															(BgL_sfunz00_bglt) (BgL_arg3081z00_859);
														BgL_val1649z00_1316 = BgL_locz00_856;
														((((BgL_sfunz00_bglt) CREF(BgL_obj1650z00_1315))->
																BgL_locz00) =
															((obj_t) BgL_val1649z00_1316), BUNSPEC);
												}}
												{	/* Ast/labels.scm 188 */
													BgL_valuez00_bglt BgL_arg3082z00_860;

													{	/* Ast/labels.scm 188 */
														BgL_variablez00_bglt BgL_obj1369z00_1317;

														BgL_obj1369z00_1317 =
															(BgL_variablez00_bglt) (BgL_localz00_26);
														BgL_arg3082z00_860 =
															(((BgL_variablez00_bglt)
																CREF(BgL_obj1369z00_1317))->BgL_valuez00);
													}
													{	/* Ast/labels.scm 188 */
														BgL_sfunz00_bglt BgL_obj1641z00_1318;
														obj_t BgL_val1640z00_1319;

														BgL_obj1641z00_1318 =
															(BgL_sfunz00_bglt) (BgL_arg3082z00_860);
														BgL_val1640z00_1319 = (obj_t) (BgL_body3z00_858);
														((((BgL_sfunz00_bglt) CREF(BgL_obj1641z00_1318))->
																BgL_bodyz00) =
															((obj_t) BgL_val1640z00_1319), BUNSPEC);
												}}
												return BGl_leavezd2functionzd2zztools_errorz00();
											}
										}
									}
								}
							}
						else
							{	/* Ast/labels.scm 175 */
								BgL_nodez00_bglt BgL_auxz00_1525;

							BgL_tagzd21191zd2_848:
								BgL_auxz00_1525 =
									BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
									(BGl_string3145z00zzast_labelsz00, BgL_bindingz00_27,
									BgL_locz00_29);
								return (obj_t) (BgL_auxz00_1525);
							}
					}
				else
					{	/* Ast/labels.scm 175 */
						BgL_nodez00_bglt BgL_auxz00_1528;

						goto BgL_tagzd21191zd2_848;
						return (obj_t) (BgL_auxz00_1528);
					}
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_labelsz00()
	{
		AN_OBJECT;
		{	/* Ast/labels.scm 14 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_labelsz00()
	{
		AN_OBJECT;
		{	/* Ast/labels.scm 14 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string3146z00zzast_labelsz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string3146z00zzast_labelsz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 11585204),
				BSTRING_TO_STRING(BGl_string3146z00zzast_labelsz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 12445515),
				BSTRING_TO_STRING(BGl_string3146z00zzast_labelsz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string3146z00zzast_labelsz00));
			BGl_modulezd2initializa7ationz75zztools_prognz00(((long) 139728077),
				BSTRING_TO_STRING(BGl_string3146z00zzast_labelsz00));
			BGl_modulezd2initializa7ationz75zztools_argsz00(((long) 320731191),
				BSTRING_TO_STRING(BGl_string3146z00zzast_labelsz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 345457731),
				BSTRING_TO_STRING(BGl_string3146z00zzast_labelsz00));
			BGl_modulezd2initializa7ationz75zztools_dssslz00(((long) 315458190),
				BSTRING_TO_STRING(BGl_string3146z00zzast_labelsz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 484733332),
				BSTRING_TO_STRING(BGl_string3146z00zzast_labelsz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 77938009),
				BSTRING_TO_STRING(BGl_string3146z00zzast_labelsz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 498714928),
				BSTRING_TO_STRING(BGl_string3146z00zzast_labelsz00));
			return
				BGl_modulezd2initializa7ationz75zzast_localz00(((long) 499216671),
				BSTRING_TO_STRING(BGl_string3146z00zzast_labelsz00));
		}
	}

#ifdef __cplusplus
}
#endif
