/*===========================================================================*/
/*   (Ast/venv.scm)                                                          */
/*   Bigloo (2.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 25 07:31:22 CET 2006        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/2.9a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/venv.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2heapzd2formatz00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_isaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		struct BgL_typez00_bgl *BgL_classz00;
	}             *BgL_isaz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_ccompz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_producerz00;
		obj_t BgL_consumerz00;
		obj_t BgL_finaliza7erza7;
	}               *BgL_ccompz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
	}                 *BgL_backendz00_bglt;


	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	BGL_IMPORT obj_t open_input_string(obj_t);
	static obj_t BGl__unbindzd2globalz12zc0zzast_envz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_sfunz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t BGl_setzd2genvz12zc0zzast_envz00(obj_t);
	static obj_t BGl__getzd2genvzd2zzast_envz00(obj_t);
	BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl__restorezd2valuezd2typesz123131z12zzast_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_restorezd2valuezd2typesz12z12zzast_envz00(BgL_valuez00_bglt);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzast_envz00 = BUNSPEC;
	static obj_t BGl__forzd2eachzd2globalz12z12zzast_envz00(obj_t, obj_t, obj_t);
	static obj_t BGl__restorezd2valuezd2typesz12z12zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	BGL_EXPORTED_DECL obj_t BGl_alreadyzd2restoredzf3z21zzast_envz00(obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_funz00zzast_varz00;
	extern obj_t BGl_hrtypezd2nodez12zc0zzast_hrtypez00(BgL_nodez00_bglt);
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_modulezd2initializa7ationzd2idza7zzmodule_modulez00(obj_t);
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	extern obj_t BGl_za2libzd2modeza2zd2zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t BGl_unbindzd2globalz12zc0zzast_envz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzast_envz00();
	static obj_t BGl__addzd2genvz12zc0zzast_envz00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzast_envz00();
	BGL_IMPORT obj_t BGl_makezd2hashtablezd2zz__hashz00(obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl__alreadyzd2restoredzf3z21zzast_envz00(obj_t, obj_t);
	static obj_t
		BGl__additionalzd2heapzd2restorezd2globalsz12zc0zzast_envz00(obj_t);
	static obj_t BGl_restorezd2valuezd2typesz123134z12zzast_envz00(obj_t, obj_t);
	static obj_t BGl_restorezd2valuezd2typesz123136z12zzast_envz00(obj_t, obj_t);
	static obj_t BGl__initializa7ezd2Genvz12z67zzast_envz00(obj_t);
	static obj_t BGl_restorezd2valuezd2typesz123138z12zzast_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_hashtablezd2getzd2zz__hashz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_hashtablezd2forzd2eachz00zz__hashz00(obj_t, obj_t);
	static obj_t BGl_warningzd2overridezd2globalz12z12zzast_envz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_hrtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	static obj_t BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00 = BUNSPEC;
	extern obj_t BGl_userzd2warningzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzast_envz00();
	static obj_t BGl_za2Genvza2z00zzast_envz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_restorezd2globalz12zc0zzast_envz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_additionalzd2heapzd2restorezd2globalsz12zc0zzast_envz00();
	BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
	BGL_IMPORT int BGl_bigloozd2warningzd2zz__paramz00();
	static obj_t BGl__bindzd2globalz12zc0zzast_envz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern BgL_typez00_bglt BGl_findzd2typezd2zztype_envz00(obj_t);
	static obj_t BGl__setzd2genvz12zc0zzast_envz00(obj_t, obj_t);
	static obj_t BGl__globalzd2bucketzd2positionz00zzast_envz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern BgL_globalz00_bglt BGl_makezd2globalzd2zzast_varz00(obj_t, obj_t,
		BgL_typez00_bglt, BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, obj_t,
		obj_t, bool_t, obj_t, bool_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_globalzd2bucketzd2positionz00zzast_envz00(obj_t,
		obj_t);
	static obj_t BGl_za2restoredza2z00zzast_envz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t,
		obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_bindzd2globalz12zc0zzast_envz00(obj_t, obj_t, BgL_valuez00_bglt, obj_t,
		obj_t);
	static obj_t BGl__restorezd2globalz12zc0zzast_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_hashtablezd2putz12zc0zz__hashz00(obj_t, obj_t, obj_t);
	static obj_t BGl_zc3anonymousza33274ze3z83zzast_envz00(obj_t, obj_t, obj_t);
	static obj_t BGl_zc3anonymousza33140ze3z83zzast_envz00(obj_t, obj_t, obj_t);
	static obj_t BGl_warningzd2rebindzd2globalz12z12zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl__findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_addzd2genvz12zc0zzast_envz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_getzd2genvzd2zzast_envz00();
	extern obj_t BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t);
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl__findzd2globalzd2zzast_envz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
	static obj_t BGl_errorzd2rebindzd2globalz12z12zzast_envz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t,
		obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_envz00();
	extern obj_t BGl_userzd2warningzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_initializa7ezd2Genvz12z67zzast_envz00();
	static obj_t BGl_methodzd2initzd2zzast_envz00();
	extern obj_t BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(obj_t, obj_t,
		obj_t);
	static obj_t __cnst[6];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_forzd2eachzd2globalz12zd2envzc0zzast_envz00,
		BgL_bgl__forza7d2eachza7d2gl3391z00, va_generic_entry,
		BGl__forzd2eachzd2globalz12z12zzast_envz00, BUNSPEC, -2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_findzd2globalzd2envz00zzast_envz00,
		BgL_bgl__findza7d2globalza7d3392z00, va_generic_entry,
		BGl__findzd2globalzd2zzast_envz00, BUNSPEC, -2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_addzd2genvz12zd2envz12zzast_envz00,
		BgL_bgl__addza7d2genvza712za7c3393za7, BGl__addzd2genvz12zc0zzast_envz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_initializa7ezd2Genvz12zd2envzb5zzast_envz00,
		BgL_bgl__initializa7a7eza7d23394z00,
		BGl__initializa7ezd2Genvz12z67zzast_envz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_restorezd2globalz12zd2envz12zzast_envz00,
		BgL_bgl__restoreza7d2globa3395za7, BGl__restorezd2globalz12zc0zzast_envz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzd2bucketzd2positionzd2envzd2zzast_envz00,
		BgL_bgl__globalza7d2bucket3396za7,
		BGl__globalzd2bucketzd2positionz00zzast_envz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_alreadyzd2restoredzf3zd2envzf3zzast_envz00,
		BgL_bgl__alreadyza7d2resto3397za7,
		BGl__alreadyzd2restoredzf3z21zzast_envz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2genvz12zd2envz12zzast_envz00,
		BgL_bgl__setza7d2genvza712za7c3398za7, BGl__setzd2genvz12zc0zzast_envz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_additionalzd2heapzd2restorezd2globalsz12zd2envz12zzast_envz00,
		BgL_bgl__additionalza7d2he3399za7,
		BGl__additionalzd2heapzd2restorezd2globalsz12zc0zzast_envz00, 0L, BUNSPEC,
		0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_findzd2globalzf2modulezd2envzf2zzast_envz00,
		BgL_bgl__findza7d2globalza7f3400z00,
		BGl__findzd2globalzf2modulez20zzast_envz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_getzd2genvzd2envz00zzast_envz00,
		BgL_bgl__getza7d2genvza7d2za7za73401z00, BGl__getzd2genvzd2zzast_envz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STRING(BGl_string3378z00zzast_envz00,
		BgL_bgl_string3378za700za7za7a3402za7, "Variable overridden by", 22);
	      DEFINE_STRING(BGl_string3380z00zzast_envz00,
		BgL_bgl_string3380za700za7za7a3403za7, "eval", 4);
	      DEFINE_STRING(BGl_string3379z00zzast_envz00,
		BgL_bgl_string3379za700za7za7a3404za7, "Duplicate definition", 20);
	      DEFINE_STRING(BGl_string3381z00zzast_envz00,
		BgL_bgl_string3381za700za7za7a3405za7, "unbind-global!", 14);
	      DEFINE_STRING(BGl_string3382z00zzast_envz00,
		BgL_bgl_string3382za700za7za7a3406za7, "Can't find global", 17);
	      DEFINE_STRING(BGl_string3383z00zzast_envz00,
		BgL_bgl_string3383za700za7za7a3407za7, "restore-value-types(sfun)", 25);
	      DEFINE_STRING(BGl_string3384z00zzast_envz00,
		BgL_bgl_string3384za700za7za7a3408za7, "Illegal argument", 16);
	      DEFINE_STRING(BGl_string3385z00zzast_envz00,
		BgL_bgl_string3385za700za7za7a3409za7, "restore-value-types", 19);
	      DEFINE_STRING(BGl_string3386z00zzast_envz00,
		BgL_bgl_string3386za700za7za7a3410za7, "Illegal non pair argument", 25);
	      DEFINE_STRING(BGl_string3387z00zzast_envz00,
		BgL_bgl_string3387za700za7za7a3411za7, "ast_env", 7);
	      DEFINE_STRING(BGl_string3388z00zzast_envz00,
		BgL_bgl_string3388za700za7za7a3412za7,
		"eval now read @ foreign the-global-environment ", 47);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
		BgL_bgl__restoreza7d2value3413za7,
		BGl__restorezd2valuezd2typesz12z12zzast_envz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_bindzd2globalz12zd2envz12zzast_envz00,
		BgL_bgl__bindza7d2globalza713414z00, BGl__bindzd2globalz12zc0zzast_envz00,
		0L, BUNSPEC, 5);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_unbindzd2globalz12zd2envz12zzast_envz00,
		BgL_bgl__unbindza7d2global3415za7, BGl__unbindzd2globalz12zc0zzast_envz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_restorezd2valuezd2typesz123131zd2envzc0zzast_envz00,
		BgL_bgl__restoreza7d2value3416za7,
		BGl__restorezd2valuezd2typesz123131z12zzast_envz00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long
		BgL_checksumz00_1789, char *BgL_fromz00_1790)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_envz00))
				{
					BGl_requirezd2initializa7ationz75zzast_envz00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzast_envz00();
					BGl_cnstzd2initzd2zzast_envz00();
					BGl_importedzd2moduleszd2initz00zzast_envz00();
					BGl_methodzd2initzd2zzast_envz00();
					BGl_toplevelzd2initzd2zzast_envz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 14 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "ast_env");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_env");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_env");
			BGl_modulezd2initializa7ationz75zz__hashz00(((long) 0), "ast_env");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "ast_env");
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 0), "ast_env");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 14 */
			{	/* Ast/venv.scm 14 */
				obj_t BgL_cportz00_1780;

				BgL_cportz00_1780 = open_input_string(BGl_string3388z00zzast_envz00);
				{
					long BgL_iz00_1781;

					BgL_iz00_1781 = ((long) 5);
				BgL_loopz00_1782:
					if ((BgL_iz00_1781 == ((long) -1)))
						{	/* Ast/venv.scm 14 */
							return BUNSPEC;
						}
					else
						{	/* Ast/venv.scm 14 */
							{	/* Ast/venv.scm 14 */
								obj_t BgL_arg3390z00_1784;

								{	/* Ast/venv.scm 14 */

									{	/* Ast/venv.scm 14 */
										obj_t BgL_locationz00_1786;

										BgL_locationz00_1786 = BBOOL(((bool_t) 0));
										{	/* Ast/venv.scm 14 */

											BgL_arg3390z00_1784 =
												BGl_readz00zz__readerz00(BgL_cportz00_1780,
												BgL_locationz00_1786);
										}
									}
								}
								{	/* Ast/venv.scm 14 */
									int BgL_auxz00_1810;

									BgL_auxz00_1810 = (int) (BgL_iz00_1781);
									CNST_TABLE_SET(BgL_auxz00_1810, BgL_arg3390z00_1784);
							}}
							{	/* Ast/venv.scm 14 */
								int BgL_auxz00_1787;

								BgL_auxz00_1787 = (int) ((BgL_iz00_1781 - ((long) 1)));
								{
									long BgL_iz00_1815;

									BgL_iz00_1815 = (long) (BgL_auxz00_1787);
									BgL_iz00_1781 = BgL_iz00_1815;
									goto BgL_loopz00_1782;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 14 */
			BGl_za2Genvza2z00zzast_envz00 = CNST_TABLE_REF(((long) 0));
			BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00 = BNIL;
			BGl_za2restoredza2z00zzast_envz00 = BNIL;
			return BUNSPEC;
		}
	}



/* set-genv! */
	BGL_EXPORTED_DEF obj_t BGl_setzd2genvz12zc0zzast_envz00(obj_t BgL_genvz00_1)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 52 */
			return (BGl_za2Genvza2z00zzast_envz00 = BgL_genvz00_1, BUNSPEC);
		}
	}



/* _set-genv! */
	obj_t BGl__setzd2genvz12zc0zzast_envz00(obj_t BgL_envz00_1726,
		obj_t BgL_genvz00_1727)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 52 */
			return BGl_setzd2genvz12zc0zzast_envz00(BgL_genvz00_1727);
		}
	}



/* add-genv! */
	BGL_EXPORTED_DEF obj_t BGl_addzd2genvz12zc0zzast_envz00(obj_t BgL_genvz00_2)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 61 */
			BGl_hashtablezd2forzd2eachz00zz__hashz00(BgL_genvz00_2,
				make_fx_procedure(BGl_zc3anonymousza33140ze3z83zzast_envz00,
					(int) (((long) 2)), (int) (((long) 0))));
			return (BGl_za2restoredza2z00zzast_envz00 = BNIL, BUNSPEC);
		}
	}



/* _add-genv! */
	obj_t BGl__addzd2genvz12zc0zzast_envz00(obj_t BgL_envz00_1729,
		obj_t BgL_genvz00_1730)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 61 */
			return BGl_addzd2genvz12zc0zzast_envz00(BgL_genvz00_1730);
		}
	}



/* <anonymous:3140> */
	obj_t BGl_zc3anonymousza33140ze3z83zzast_envz00(obj_t BgL_envz00_1731,
		obj_t BgL_kz00_1732, obj_t BgL_bucketz00_1733)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 64 */
			{
				obj_t BgL_kz00_826;
				obj_t BgL_bucketz00_827;

				{	/* Ast/venv.scm 65 */
					bool_t BgL_auxz00_1824;

					BgL_kz00_826 = BgL_kz00_1732;
					BgL_bucketz00_827 = BgL_bucketz00_1733;
					{	/* Ast/venv.scm 65 */
						obj_t BgL_g3124z00_829;

						BgL_g3124z00_829 = CDR(BgL_bucketz00_827);
						{
							obj_t BgL_l3122z00_830;

							BgL_l3122z00_830 = BgL_g3124z00_829;
						BgL_forzd2each3123zd2_831:
							if (PAIRP(BgL_l3122z00_830))
								{	/* Ast/venv.scm 65 */
									{	/* Ast/venv.scm 84 */
										obj_t BgL_newz00_833;

										BgL_newz00_833 = CAR(BgL_l3122z00_830);
										BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00 =
											MAKE_PAIR(BgL_newz00_833,
											BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00);
										{	/* Ast/venv.scm 67 */
											obj_t BgL_modulez00_834;

											{	/* Ast/venv.scm 67 */
												BgL_globalz00_bglt BgL_obj1434z00_1464;

												BgL_obj1434z00_1464 =
													(BgL_globalz00_bglt) (BgL_newz00_833);
												BgL_modulez00_834 =
													(((BgL_globalz00_bglt) CREF(BgL_obj1434z00_1464))->
													BgL_modulez00);
											}
											{	/* Ast/venv.scm 67 */
												obj_t BgL_idz00_835;

												{	/* Ast/venv.scm 68 */
													BgL_variablez00_bglt BgL_obj1362z00_1465;

													BgL_obj1362z00_1465 =
														(BgL_variablez00_bglt) (BgL_newz00_833);
													BgL_idz00_835 =
														(((BgL_variablez00_bglt)
															CREF(BgL_obj1362z00_1465))->BgL_idz00);
												}
												{	/* Ast/venv.scm 68 */
													obj_t BgL_bucketz00_836;

													BgL_bucketz00_836 =
														BGl_hashtablezd2getzd2zz__hashz00
														(BGl_za2Genvza2z00zzast_envz00, BgL_idz00_835);
													{	/* Ast/venv.scm 69 */

														if (PAIRP(BgL_bucketz00_836))
															{	/* Ast/venv.scm 73 */
																bool_t BgL_testz00_1837;

																if (
																	(BgL_modulez00_834 ==
																		BGl_za2moduleza2z00zzmodule_modulez00))
																	{	/* Ast/venv.scm 73 */
																		BgL_testz00_1837 = ((bool_t) 1);
																	}
																else
																	{	/* Ast/venv.scm 74 */
																		bool_t BgL_testz00_1840;

																		{	/* Ast/venv.scm 75 */
																			obj_t BgL_arg3152z00_846;

																			{	/* Ast/venv.scm 75 */
																				BgL_globalz00_bglt BgL_obj1434z00_1471;

																				{	/* Ast/venv.scm 75 */
																					obj_t BgL_pairz00_1467;

																					BgL_pairz00_1467 = BgL_bucketz00_836;
																					{	/* Ast/venv.scm 75 */
																						obj_t BgL_pairz00_1470;

																						BgL_pairz00_1470 =
																							CDR(BgL_pairz00_1467);
																						{	/* Ast/venv.scm 75 */
																							obj_t BgL_auxz00_1842;

																							BgL_auxz00_1842 =
																								CAR(BgL_pairz00_1470);
																							BgL_obj1434z00_1471 =
																								(BgL_globalz00_bglt)
																								(BgL_auxz00_1842);
																						}
																					}
																				}
																				BgL_arg3152z00_846 =
																					(((BgL_globalz00_bglt)
																						CREF(BgL_obj1434z00_1471))->
																					BgL_modulez00);
																			}
																			BgL_testz00_1840 =
																				(BGl_za2moduleza2z00zzmodule_modulez00
																				== BgL_arg3152z00_846);
																		}
																		if (BgL_testz00_1840)
																			{	/* Ast/venv.scm 74 */
																				BgL_testz00_1837 = ((bool_t) 0);
																			}
																		else
																			{	/* Ast/venv.scm 74 */
																				BgL_testz00_1837 = ((bool_t) 1);
																			}
																	}
																if (BgL_testz00_1837)
																	{	/* Ast/venv.scm 81 */
																		obj_t BgL_newzd2bucketzd2_839;

																		BgL_newzd2bucketzd2_839 =
																			MAKE_PAIR(BgL_newz00_833,
																			CDR(BgL_bucketz00_836));
																		SET_CDR(BgL_bucketz00_836,
																			BgL_newzd2bucketzd2_839);
																	}
																else
																	{	/* Ast/venv.scm 84 */
																		obj_t BgL_arg3145z00_841;
																		obj_t BgL_arg3148z00_842;

																		BgL_arg3145z00_841 = CDR(BgL_bucketz00_836);
																		{	/* Ast/venv.scm 84 */
																			obj_t BgL_arg3149z00_843;

																			{	/* Ast/venv.scm 84 */
																				obj_t BgL_pairz00_1476;

																				BgL_pairz00_1476 = BgL_bucketz00_836;
																				BgL_arg3149z00_843 =
																					CDR(CDR(BgL_pairz00_1476));
																			}
																			BgL_arg3148z00_842 =
																				MAKE_PAIR(BgL_newz00_833,
																				BgL_arg3149z00_843);
																		}
																		SET_CDR(BgL_arg3145z00_841,
																			BgL_arg3148z00_842);
																	}
															}
														else
															{	/* Ast/venv.scm 72 */
																obj_t BgL_arg3154z00_848;

																{	/* Ast/venv.scm 72 */
																	obj_t BgL_list3155z00_849;

																	{	/* Ast/venv.scm 72 */
																		obj_t BgL_arg3156z00_850;

																		BgL_arg3156z00_850 =
																			MAKE_PAIR(BgL_newz00_833, BNIL);
																		BgL_list3155z00_849 =
																			MAKE_PAIR(BgL_idz00_835,
																			BgL_arg3156z00_850);
																	}
																	BgL_arg3154z00_848 = BgL_list3155z00_849;
																}
																BGl_hashtablezd2putz12zc0zz__hashz00
																	(BGl_za2Genvza2z00zzast_envz00, BgL_idz00_835,
																	BgL_arg3154z00_848);
															}
													}
												}
											}
										}
									}
									{
										obj_t BgL_l3122z00_1858;

										BgL_l3122z00_1858 = CDR(BgL_l3122z00_830);
										BgL_l3122z00_830 = BgL_l3122z00_1858;
										goto BgL_forzd2each3123zd2_831;
									}
								}
							else
								{	/* Ast/venv.scm 65 */
									BgL_auxz00_1824 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_1824);
				}
			}
		}
	}



/* additional-heap-restore-globals! */
	BGL_EXPORTED_DEF obj_t
		BGl_additionalzd2heapzd2restorezd2globalsz12zc0zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 102 */
			{
				obj_t BgL_l3125z00_853;

				BgL_l3125z00_853 = BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00;
			BgL_forzd2each3126zd2_854:
				if (PAIRP(BgL_l3125z00_853))
					{	/* Ast/venv.scm 103 */
						BGl_restorezd2globalz12zc0zzast_envz00(CAR(BgL_l3125z00_853));
						{
							obj_t BgL_l3125z00_1865;

							BgL_l3125z00_1865 = CDR(BgL_l3125z00_853);
							BgL_l3125z00_853 = BgL_l3125z00_1865;
							goto BgL_forzd2each3126zd2_854;
						}
					}
				else
					{	/* Ast/venv.scm 103 */
						((bool_t) 1);
					}
			}
			return BTRUE;
		}
	}



/* _additional-heap-restore-globals! */
	obj_t BGl__additionalzd2heapzd2restorezd2globalsz12zc0zzast_envz00(obj_t
		BgL_envz00_1734)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 102 */
			return BGl_additionalzd2heapzd2restorezd2globalsz12zc0zzast_envz00();
		}
	}



/* restore-global! */
	BGL_EXPORTED_DEF obj_t BGl_restorezd2globalz12zc0zzast_envz00(obj_t
		BgL_newz00_4)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 109 */
			BGl_za2restoredza2z00zzast_envz00 =
				MAKE_PAIR(BgL_newz00_4, BGl_za2restoredza2z00zzast_envz00);
			{	/* Ast/venv.scm 112 */
				BgL_typez00_bglt BgL_typez00_859;

				{	/* Ast/venv.scm 113 */
					BgL_variablez00_bglt BgL_obj1366z00_1490;

					BgL_obj1366z00_1490 = (BgL_variablez00_bglt) (BgL_newz00_4);
					BgL_typez00_859 =
						(((BgL_variablez00_bglt) CREF(BgL_obj1366z00_1490))->BgL_typez00);
				}
				{	/* Ast/venv.scm 113 */
					BgL_valuez00_bglt BgL_valuez00_860;

					{	/* Ast/venv.scm 114 */
						BgL_variablez00_bglt BgL_obj1369z00_1491;

						BgL_obj1369z00_1491 = (BgL_variablez00_bglt) (BgL_newz00_4);
						BgL_valuez00_860 =
							(((BgL_variablez00_bglt) CREF(BgL_obj1369z00_1491))->
							BgL_valuez00);
					}
					{	/* Ast/venv.scm 114 */
						obj_t BgL_typezd2idzd2_861;

						BgL_typezd2idzd2_861 =
							(((BgL_typez00_bglt) CREF(BgL_typez00_859))->BgL_idz00);
						{	/* Ast/venv.scm 115 */

							{	/* Ast/venv.scm 117 */
								BgL_typez00_bglt BgL_arg3161z00_862;

								BgL_arg3161z00_862 =
									BGl_findzd2typezd2zztype_envz00(BgL_typezd2idzd2_861);
								{	/* Ast/venv.scm 117 */
									BgL_variablez00_bglt BgL_obj1368z00_1493;
									BgL_typez00_bglt BgL_val1367z00_1494;

									BgL_obj1368z00_1493 = (BgL_variablez00_bglt) (BgL_newz00_4);
									BgL_val1367z00_1494 = BgL_arg3161z00_862;
									((((BgL_variablez00_bglt) CREF(BgL_obj1368z00_1493))->
											BgL_typez00) =
										((BgL_typez00_bglt) BgL_val1367z00_1494), BUNSPEC);
								}
							}
							{	/* Ast/venv.scm 119 */
								obj_t BgL_method3132z00_1496;

								{	/* Ast/venv.scm 119 */
									BgL_objectz00_bglt BgL_objz00_1497;

									BgL_objz00_1497 = (BgL_objectz00_bglt) (BgL_valuez00_860);
									{	/* Ast/venv.scm 119 */
										long BgL_objzd2classzd2numz00_1498;

										BgL_objzd2classzd2numz00_1498 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_1497);
										{	/* Ast/venv.scm 119 */
											obj_t BgL_arg2273z00_1499;

											BgL_arg2273z00_1499 =
												PROCEDURE_REF
												(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
												(int) (((long) 1)));
											{	/* Ast/venv.scm 119 */
												obj_t BgL_arrayz00_1501;
												int BgL_offsetz00_1502;

												BgL_arrayz00_1501 = BgL_arg2273z00_1499;
												BgL_offsetz00_1502 =
													(int) (BgL_objzd2classzd2numz00_1498);
												{	/* Ast/venv.scm 119 */
													long BgL_offsetz00_1503;

													BgL_offsetz00_1503 =
														((long) (BgL_offsetz00_1502) - OBJECT_TYPE);
													{	/* Ast/venv.scm 119 */
														long BgL_modz00_1504;

														{	/* Ast/venv.scm 119 */
															int BgL_arg2275z00_1505;

															BgL_arg2275z00_1505 = (int) (((long) 8));
															{	/* Ast/venv.scm 119 */
																long BgL_auxz00_1885;

																BgL_auxz00_1885 = (long) (BgL_arg2275z00_1505);
																BgL_modz00_1504 =
																	(BgL_offsetz00_1503 / BgL_auxz00_1885);
														}}
														{	/* Ast/venv.scm 119 */
															long BgL_restz00_1506;

															{	/* Ast/venv.scm 119 */
																int BgL_arg2274z00_1507;

																BgL_arg2274z00_1507 = (int) (((long) 8));
																{	/* Ast/venv.scm 119 */
																	long BgL_auxz00_1889;

																	BgL_auxz00_1889 =
																		(long) (BgL_arg2274z00_1507);
																	BgL_restz00_1506 =
																		(BgL_offsetz00_1503 % BgL_auxz00_1889);
															}}
															{	/* Ast/venv.scm 119 */

																BgL_method3132z00_1496 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_1501,
																		(int) (BgL_modz00_1504)),
																	(int) (BgL_restz00_1506));
								}}}}}}}}
								PROCEDURE_ENTRY(BgL_method3132z00_1496) (BgL_method3132z00_1496,
									(obj_t) (BgL_valuez00_860), BEOA);
							}
							{	/* Ast/venv.scm 121 */
								bool_t BgL_testz00_1899;

								{	/* Ast/venv.scm 121 */
									bool_t BgL_testz00_1900;

									{	/* Ast/venv.scm 121 */
										obj_t BgL_arg3171z00_872;

										BgL_arg3171z00_872 =
											BGl_thezd2backendzd2zzbackend_backendz00();
										{	/* Ast/venv.scm 121 */
											BgL_backendz00_bglt BgL_obj3060z00_1521;

											BgL_obj3060z00_1521 =
												(BgL_backendz00_bglt) (BgL_arg3171z00_872);
											BgL_testz00_1900 =
												(((BgL_backendz00_bglt) CREF(BgL_obj3060z00_1521))->
												BgL_qualifiedzd2typeszd2);
									}}
									if (BgL_testz00_1900)
										{	/* Ast/venv.scm 122 */
											bool_t BgL_testz00_1904;

											{	/* Ast/venv.scm 122 */
												obj_t BgL_auxz00_1905;

												{	/* Ast/venv.scm 122 */
													BgL_globalz00_bglt BgL_obj1434z00_1522;

													BgL_obj1434z00_1522 =
														(BgL_globalz00_bglt) (BgL_newz00_4);
													BgL_auxz00_1905 =
														(((BgL_globalz00_bglt) CREF(BgL_obj1434z00_1522))->
														BgL_modulez00);
												}
												BgL_testz00_1904 =
													(BgL_auxz00_1905 == CNST_TABLE_REF(((long) 1)));
											}
											if (BgL_testz00_1904)
												{	/* Ast/venv.scm 122 */
													BgL_testz00_1899 = ((bool_t) 0);
												}
											else
												{	/* Ast/venv.scm 122 */
													BgL_testz00_1899 = ((bool_t) 1);
												}
										}
									else
										{	/* Ast/venv.scm 121 */
											BgL_testz00_1899 = ((bool_t) 0);
										}
								}
								if (BgL_testz00_1899)
									{	/* Ast/venv.scm 123 */
										obj_t BgL_arg3163z00_864;
										obj_t BgL_arg3164z00_865;
										obj_t BgL_arg3165z00_866;

										{	/* Ast/venv.scm 123 */
											BgL_globalz00_bglt BgL_obj1434z00_1523;

											BgL_obj1434z00_1523 = (BgL_globalz00_bglt) (BgL_newz00_4);
											BgL_arg3163z00_864 =
												(((BgL_globalz00_bglt) CREF(BgL_obj1434z00_1523))->
												BgL_modulez00);
										}
										{	/* Ast/venv.scm 124 */
											BgL_globalz00_bglt BgL_obj1455z00_1524;

											BgL_obj1455z00_1524 = (BgL_globalz00_bglt) (BgL_newz00_4);
											BgL_arg3164z00_865 =
												(((BgL_globalz00_bglt) CREF(BgL_obj1455z00_1524))->
												BgL_jvmzd2typezd2namez00);
										}
										BgL_arg3165z00_866 =
											BGl_shapez00zztools_shapez00(BgL_newz00_4);
										{	/* Ast/venv.scm 123 */
											obj_t BgL_list3166z00_867;

											BgL_list3166z00_867 = MAKE_PAIR(BgL_arg3165z00_866, BNIL);
											return
												BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00
												(BgL_arg3163z00_864, BgL_arg3164z00_865,
												BgL_list3166z00_867);
										}
									}
								else
									{	/* Ast/venv.scm 121 */
										return BFALSE;
									}
							}
						}
					}
				}
			}
		}
	}



/* _restore-global! */
	obj_t BGl__restorezd2globalz12zc0zzast_envz00(obj_t BgL_envz00_1735,
		obj_t BgL_newz00_1736)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 109 */
			return BGl_restorezd2globalz12zc0zzast_envz00(BgL_newz00_1736);
		}
	}



/* already-restored? */
	BGL_EXPORTED_DEF obj_t BGl_alreadyzd2restoredzf3z21zzast_envz00(obj_t
		BgL_funz00_6)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 144 */
			return
				BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_funz00_6,
				BGl_za2restoredza2z00zzast_envz00);
		}
	}



/* _already-restored? */
	obj_t BGl__alreadyzd2restoredzf3z21zzast_envz00(obj_t BgL_envz00_1739,
		obj_t BgL_funz00_1740)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 144 */
			return BGl_alreadyzd2restoredzf3z21zzast_envz00(BgL_funz00_1740);
		}
	}



/* get-genv */
	BGL_EXPORTED_DEF obj_t BGl_getzd2genvzd2zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 212 */
			return BGl_za2Genvza2z00zzast_envz00;
		}
	}



/* _get-genv */
	obj_t BGl__getzd2genvzd2zzast_envz00(obj_t BgL_envz00_1741)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 212 */
			return BGl_za2Genvza2z00zzast_envz00;
		}
	}



/* initialize-Genv! */
	BGL_EXPORTED_DEF obj_t BGl_initializa7ezd2Genvz12z67zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 218 */
			return (BGl_za2Genvza2z00zzast_envz00 =
				BGl_makezd2hashtablezd2zz__hashz00(BNIL), BUNSPEC);
		}
	}



/* _initialize-Genv! */
	obj_t BGl__initializa7ezd2Genvz12z67zzast_envz00(obj_t BgL_envz00_1742)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 218 */
			return BGl_initializa7ezd2Genvz12z67zzast_envz00();
		}
	}



/* find-global */
	BGL_EXPORTED_DEF obj_t BGl_findzd2globalzd2zzast_envz00(obj_t BgL_idz00_12,
		obj_t BgL_modulez00_13)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 224 */
			{	/* Ast/venv.scm 226 */
				obj_t BgL_bucketz00_874;
				obj_t BgL_modulez00_875;

				BgL_bucketz00_874 =
					BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00,
					BgL_idz00_12);
				if (NULLP(BgL_modulez00_13))
					{	/* Ast/venv.scm 227 */
						BgL_modulez00_875 = BNIL;
					}
				else
					{	/* Ast/venv.scm 227 */
						BgL_modulez00_875 = CAR(BgL_modulez00_13);
					}
				if (PAIRP(BgL_bucketz00_874))
					{	/* Ast/venv.scm 229 */
						if (NULLP(CDR(BgL_bucketz00_874)))
							{	/* Ast/venv.scm 231 */
								return BFALSE;
							}
						else
							{	/* Ast/venv.scm 231 */
								if (NULLP(BgL_modulez00_875))
									{	/* Ast/venv.scm 234 */
										obj_t BgL_pairz00_1531;

										BgL_pairz00_1531 = BgL_bucketz00_874;
										return CAR(CDR(BgL_pairz00_1531));
									}
								else
									{
										obj_t BgL_globalsz00_880;

										BgL_globalsz00_880 = CDR(BgL_bucketz00_874);
									BgL_loopz00_881:
										if (NULLP(BgL_globalsz00_880))
											{	/* Ast/venv.scm 238 */
												return BFALSE;
											}
										else
											{	/* Ast/venv.scm 240 */
												bool_t BgL_testz00_1937;

												{	/* Ast/venv.scm 240 */
													obj_t BgL_auxz00_1938;

													{	/* Ast/venv.scm 240 */
														BgL_globalz00_bglt BgL_obj1434z00_1538;

														{	/* Ast/venv.scm 240 */
															obj_t BgL_pairz00_1537;

															BgL_pairz00_1537 = BgL_globalsz00_880;
															{	/* Ast/venv.scm 240 */
																obj_t BgL_auxz00_1939;

																BgL_auxz00_1939 = CAR(BgL_pairz00_1537);
																BgL_obj1434z00_1538 =
																	(BgL_globalz00_bglt) (BgL_auxz00_1939);
															}
														}
														BgL_auxz00_1938 =
															(((BgL_globalz00_bglt)
																CREF(BgL_obj1434z00_1538))->BgL_modulez00);
													}
													BgL_testz00_1937 =
														(BgL_auxz00_1938 == BgL_modulez00_875);
												}
												if (BgL_testz00_1937)
													{	/* Ast/venv.scm 240 */
														return CAR(BgL_globalsz00_880);
													}
												else
													{
														obj_t BgL_globalsz00_1945;

														BgL_globalsz00_1945 = CDR(BgL_globalsz00_880);
														BgL_globalsz00_880 = BgL_globalsz00_1945;
														goto BgL_loopz00_881;
													}
											}
									}
							}
					}
				else
					{	/* Ast/venv.scm 229 */
						return BFALSE;
					}
			}
		}
	}



/* _find-global */
	obj_t BGl__findzd2globalzd2zzast_envz00(obj_t BgL_envz00_1743,
		obj_t BgL_idz00_1744, obj_t BgL_modulez00_1745)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 224 */
			return
				BGl_findzd2globalzd2zzast_envz00(BgL_idz00_1744, BgL_modulez00_1745);
		}
	}



/* find-global/module */
	BGL_EXPORTED_DEF obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t
		BgL_idz00_14, obj_t BgL_modulez00_15)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 248 */
			{	/* Ast/venv.scm 249 */
				obj_t BgL_bucketz00_889;

				BgL_bucketz00_889 =
					BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00,
					BgL_idz00_14);
				if (PAIRP(BgL_bucketz00_889))
					{	/* Ast/venv.scm 251 */
						if (NULLP(CDR(BgL_bucketz00_889)))
							{	/* Ast/venv.scm 253 */
								return BFALSE;
							}
						else
							{
								obj_t BgL_globalsz00_894;

								BgL_globalsz00_894 = CDR(BgL_bucketz00_889);
							BgL_loopz00_895:
								if (NULLP(BgL_globalsz00_894))
									{	/* Ast/venv.scm 260 */
										return BFALSE;
									}
								else
									{	/* Ast/venv.scm 262 */
										bool_t BgL_testz00_1957;

										{	/* Ast/venv.scm 262 */
											obj_t BgL_auxz00_1958;

											{	/* Ast/venv.scm 262 */
												BgL_globalz00_bglt BgL_obj1434z00_1552;

												{	/* Ast/venv.scm 262 */
													obj_t BgL_pairz00_1551;

													BgL_pairz00_1551 = BgL_globalsz00_894;
													{	/* Ast/venv.scm 262 */
														obj_t BgL_auxz00_1959;

														BgL_auxz00_1959 = CAR(BgL_pairz00_1551);
														BgL_obj1434z00_1552 =
															(BgL_globalz00_bglt) (BgL_auxz00_1959);
													}
												}
												BgL_auxz00_1958 =
													(((BgL_globalz00_bglt) CREF(BgL_obj1434z00_1552))->
													BgL_modulez00);
											}
											BgL_testz00_1957 = (BgL_auxz00_1958 == BgL_modulez00_15);
										}
										if (BgL_testz00_1957)
											{	/* Ast/venv.scm 262 */
												return CAR(BgL_globalsz00_894);
											}
										else
											{
												obj_t BgL_globalsz00_1965;

												BgL_globalsz00_1965 = CDR(BgL_globalsz00_894);
												BgL_globalsz00_894 = BgL_globalsz00_1965;
												goto BgL_loopz00_895;
											}
									}
							}
					}
				else
					{	/* Ast/venv.scm 251 */
						return BFALSE;
					}
			}
		}
	}



/* _find-global/module */
	obj_t BGl__findzd2globalzf2modulez20zzast_envz00(obj_t BgL_envz00_1746,
		obj_t BgL_idz00_1747, obj_t BgL_modulez00_1748)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 248 */
			return
				BGl_findzd2globalzf2modulez20zzast_envz00(BgL_idz00_1747,
				BgL_modulez00_1748);
		}
	}



/* warning-override-global! */
	obj_t BGl_warningzd2overridezd2globalz12z12zzast_envz00(obj_t BgL_nz00_16,
		obj_t BgL_oz00_17, obj_t BgL_msgz00_18)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 270 */
			{	/* Ast/venv.scm 271 */
				bool_t BgL_testz00_1969;

				{	/* Ast/venv.scm 271 */
					int BgL_arg3210z00_924;

					BgL_arg3210z00_924 = BGl_bigloozd2warningzd2zz__paramz00();
					BgL_testz00_1969 = ((long) (BgL_arg3210z00_924) > ((long) 0));
				}
				if (BgL_testz00_1969)
					{	/* Ast/venv.scm 273 */
						obj_t BgL_locz00_904;
						obj_t BgL_oldz00_905;
						obj_t BgL_newz00_906;
						obj_t BgL_msgz00_907;

						{	/* Ast/venv.scm 273 */
							obj_t BgL_arg3194z00_908;

							{	/* Ast/venv.scm 273 */
								BgL_globalz00_bglt BgL_obj1452z00_1557;

								BgL_obj1452z00_1557 = (BgL_globalz00_bglt) (BgL_oz00_17);
								BgL_arg3194z00_908 =
									(((BgL_globalz00_bglt) CREF(BgL_obj1452z00_1557))->
									BgL_srcz00);
							}
							BgL_locz00_904 =
								BGl_findzd2locationzd2zztools_locationz00(BgL_arg3194z00_908);
						}
						{	/* Ast/venv.scm 274 */
							obj_t BgL_arg3195z00_909;
							obj_t BgL_arg3196z00_910;

							BgL_arg3195z00_909 = CNST_TABLE_REF(((long) 2));
							{	/* Ast/venv.scm 274 */
								obj_t BgL_arg3197z00_911;
								obj_t BgL_arg3198z00_912;

								{	/* Ast/venv.scm 274 */
									BgL_variablez00_bglt BgL_obj1362z00_1558;

									BgL_obj1362z00_1558 = (BgL_variablez00_bglt) (BgL_oz00_17);
									BgL_arg3197z00_911 =
										(((BgL_variablez00_bglt) CREF(BgL_obj1362z00_1558))->
										BgL_idz00);
								}
								{	/* Ast/venv.scm 274 */
									BgL_globalz00_bglt BgL_obj1434z00_1559;

									BgL_obj1434z00_1559 = (BgL_globalz00_bglt) (BgL_oz00_17);
									BgL_arg3198z00_912 =
										(((BgL_globalz00_bglt) CREF(BgL_obj1434z00_1559))->
										BgL_modulez00);
								}
								{	/* Ast/venv.scm 274 */
									obj_t BgL_list3200z00_914;

									{	/* Ast/venv.scm 274 */
										obj_t BgL_arg3201z00_915;

										BgL_arg3201z00_915 = MAKE_PAIR(BNIL, BNIL);
										BgL_list3200z00_914 =
											MAKE_PAIR(BgL_arg3198z00_912, BgL_arg3201z00_915);
									}
									BgL_arg3196z00_910 =
										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
										(BgL_arg3197z00_911, BgL_list3200z00_914);
							}}
							BgL_oldz00_905 =
								MAKE_PAIR(BgL_arg3195z00_909, BgL_arg3196z00_910);
						}
						{	/* Ast/venv.scm 275 */
							obj_t BgL_arg3202z00_916;
							obj_t BgL_arg3203z00_917;

							BgL_arg3202z00_916 = CNST_TABLE_REF(((long) 2));
							{	/* Ast/venv.scm 275 */
								obj_t BgL_arg3204z00_918;
								obj_t BgL_arg3205z00_919;

								{	/* Ast/venv.scm 275 */
									BgL_variablez00_bglt BgL_obj1362z00_1560;

									BgL_obj1362z00_1560 = (BgL_variablez00_bglt) (BgL_nz00_16);
									BgL_arg3204z00_918 =
										(((BgL_variablez00_bglt) CREF(BgL_obj1362z00_1560))->
										BgL_idz00);
								}
								{	/* Ast/venv.scm 275 */
									BgL_globalz00_bglt BgL_obj1434z00_1561;

									BgL_obj1434z00_1561 = (BgL_globalz00_bglt) (BgL_nz00_16);
									BgL_arg3205z00_919 =
										(((BgL_globalz00_bglt) CREF(BgL_obj1434z00_1561))->
										BgL_modulez00);
								}
								{	/* Ast/venv.scm 275 */
									obj_t BgL_list3207z00_921;

									{	/* Ast/venv.scm 275 */
										obj_t BgL_arg3208z00_922;

										BgL_arg3208z00_922 = MAKE_PAIR(BNIL, BNIL);
										BgL_list3207z00_921 =
											MAKE_PAIR(BgL_arg3205z00_919, BgL_arg3208z00_922);
									}
									BgL_arg3203z00_917 =
										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
										(BgL_arg3204z00_918, BgL_list3207z00_921);
							}}
							BgL_newz00_906 =
								MAKE_PAIR(BgL_arg3202z00_916, BgL_arg3203z00_917);
						}
						if (PAIRP(BgL_msgz00_18))
							{	/* Ast/venv.scm 276 */
								BgL_msgz00_907 = CAR(BgL_msgz00_18);
							}
						else
							{	/* Ast/venv.scm 276 */
								BgL_msgz00_907 = BGl_string3378z00zzast_envz00;
							}
						if (CBOOL(BgL_locz00_904))
							{	/* Ast/venv.scm 277 */
								return
									BGl_userzd2warningzf2locationz20zztools_errorz00
									(BgL_locz00_904, BgL_oldz00_905, BgL_msgz00_907,
									BgL_newz00_906);
							}
						else
							{	/* Ast/venv.scm 277 */
								return
									BGl_userzd2warningzd2zztools_errorz00(BgL_oldz00_905,
									BgL_msgz00_907, BgL_newz00_906);
							}
					}
				else
					{	/* Ast/venv.scm 271 */
						return BFALSE;
					}
			}
		}
	}



/* error-rebind-global! */
	obj_t BGl_errorzd2rebindzd2globalz12z12zzast_envz00(obj_t BgL_oz00_19,
		obj_t BgL_srcz00_20)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 284 */
			{	/* Ast/venv.scm 286 */
				obj_t BgL_locz00_927;

				BgL_locz00_927 =
					BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_20);
				if (CBOOL(BgL_locz00_927))
					{	/* Ast/venv.scm 289 */
						obj_t BgL_arg3212z00_929;
						obj_t BgL_arg3213z00_930;

						{	/* Ast/venv.scm 289 */
							BgL_globalz00_bglt BgL_obj1434z00_1564;

							BgL_obj1434z00_1564 = (BgL_globalz00_bglt) (BgL_oz00_19);
							BgL_arg3212z00_929 =
								(((BgL_globalz00_bglt) CREF(BgL_obj1434z00_1564))->
								BgL_modulez00);
						}
						BgL_arg3213z00_930 = BGl_shapez00zztools_shapez00(BgL_oz00_19);
						return
							BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_927,
							BgL_arg3212z00_929, BGl_string3379z00zzast_envz00,
							BgL_arg3213z00_930, BNIL);
					}
				else
					{	/* Ast/venv.scm 290 */
						obj_t BgL_arg3215z00_932;
						obj_t BgL_arg3216z00_933;

						{	/* Ast/venv.scm 290 */
							BgL_globalz00_bglt BgL_obj1434z00_1565;

							BgL_obj1434z00_1565 = (BgL_globalz00_bglt) (BgL_oz00_19);
							BgL_arg3215z00_932 =
								(((BgL_globalz00_bglt) CREF(BgL_obj1434z00_1565))->
								BgL_modulez00);
						}
						BgL_arg3216z00_933 = BGl_shapez00zztools_shapez00(BgL_oz00_19);
						return
							BGl_userzd2errorzd2zztools_errorz00(BgL_arg3215z00_932,
							BGl_string3379z00zzast_envz00, BgL_arg3216z00_933, BNIL);
					}
			}
		}
	}



/* warning-rebind-global! */
	obj_t BGl_warningzd2rebindzd2globalz12z12zzast_envz00(obj_t BgL_oz00_21,
		obj_t BgL_srcz00_22)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 295 */
			{	/* Ast/venv.scm 297 */
				obj_t BgL_locz00_936;

				BgL_locz00_936 =
					BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_22);
				if (CBOOL(BgL_locz00_936))
					{	/* Ast/venv.scm 300 */
						obj_t BgL_arg3218z00_938;
						obj_t BgL_arg3219z00_939;

						{	/* Ast/venv.scm 300 */
							BgL_globalz00_bglt BgL_obj1434z00_1566;

							BgL_obj1434z00_1566 = (BgL_globalz00_bglt) (BgL_oz00_21);
							BgL_arg3218z00_938 =
								(((BgL_globalz00_bglt) CREF(BgL_obj1434z00_1566))->
								BgL_modulez00);
						}
						BgL_arg3219z00_939 = BGl_shapez00zztools_shapez00(BgL_oz00_21);
						return
							BGl_userzd2warningzf2locationz20zztools_errorz00(BgL_locz00_936,
							BgL_arg3218z00_938, BGl_string3379z00zzast_envz00,
							BgL_arg3219z00_939);
					}
				else
					{	/* Ast/venv.scm 301 */
						obj_t BgL_arg3220z00_940;
						obj_t BgL_arg3221z00_941;

						{	/* Ast/venv.scm 301 */
							BgL_globalz00_bglt BgL_obj1434z00_1567;

							BgL_obj1434z00_1567 = (BgL_globalz00_bglt) (BgL_oz00_21);
							BgL_arg3220z00_940 =
								(((BgL_globalz00_bglt) CREF(BgL_obj1434z00_1567))->
								BgL_modulez00);
						}
						BgL_arg3221z00_941 = BGl_shapez00zztools_shapez00(BgL_oz00_21);
						return
							BGl_userzd2warningzd2zztools_errorz00(BgL_arg3220z00_940,
							BGl_string3379z00zzast_envz00, BgL_arg3221z00_941);
					}
			}
		}
	}



/* bind-global! */
	BGL_EXPORTED_DEF BgL_globalz00_bglt BGl_bindzd2globalz12zc0zzast_envz00(obj_t
		BgL_idz00_23, obj_t BgL_modulez00_24, BgL_valuez00_bglt BgL_valuez00_25,
		obj_t BgL_importz00_26, obj_t BgL_srcz00_27)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 318 */
			{	/* Ast/venv.scm 323 */
				obj_t BgL_oldz00_942;

				{	/* Ast/venv.scm 323 */
					obj_t BgL_list3254z00_979;

					BgL_list3254z00_979 = MAKE_PAIR(BgL_modulez00_24, BNIL);
					BgL_oldz00_942 =
						BGl_findzd2globalzd2zzast_envz00(BgL_idz00_23, BgL_list3254z00_979);
				}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_oldz00_942,
						BGl_globalz00zzast_varz00))
					{	/* Ast/venv.scm 324 */
						if (CBOOL(BGl_za2libzd2modeza2zd2zzengine_paramz00))
							{	/* Ast/venv.scm 326 */
								return (BgL_globalz00_bglt) (BgL_oldz00_942);
							}
						else
							{	/* Ast/venv.scm 328 */
								bool_t BgL_testz00_2030;

								{	/* Ast/venv.scm 328 */
									obj_t BgL_auxz00_2031;

									{	/* Ast/venv.scm 328 */
										BgL_globalz00_bglt BgL_obj1434z00_1569;

										BgL_obj1434z00_1569 = (BgL_globalz00_bglt) (BgL_oldz00_942);
										BgL_auxz00_2031 =
											(((BgL_globalz00_bglt) CREF(BgL_obj1434z00_1569))->
											BgL_modulez00);
									}
									BgL_testz00_2030 = (BgL_modulez00_24 == BgL_auxz00_2031);
								}
								if (BgL_testz00_2030)
									{	/* Ast/venv.scm 328 */
										BGl_warningzd2rebindzd2globalz12z12zzast_envz00
											(BgL_oldz00_942, BgL_srcz00_27);
										return (BgL_globalz00_bglt) (BgL_oldz00_942);
									}
								else
									{	/* Ast/venv.scm 332 */
										obj_t BgL_auxz00_2037;

										BgL_auxz00_2037 =
											BGl_errorzd2rebindzd2globalz12z12zzast_envz00
											(BgL_oldz00_942, BgL_srcz00_27);
										return (BgL_globalz00_bglt) (BgL_auxz00_2037);
									}
							}
					}
				else
					{	/* Ast/venv.scm 333 */
						obj_t BgL_bucketz00_946;
						BgL_globalz00_bglt BgL_newz00_947;

						BgL_bucketz00_946 =
							BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00,
							BgL_idz00_23);
						{	/* Ast/var.scm 32 */
							obj_t BgL_arg3248z00_973;
							obj_t BgL_arg3249z00_974;
							obj_t BgL_arg3252z00_977;

							BgL_arg3248z00_973 = CNST_TABLE_REF(((long) 3));
							BgL_arg3249z00_974 = CNST_TABLE_REF(((long) 4));
							if ((BgL_importz00_26 == CNST_TABLE_REF(((long) 5))))
								{	/* Ast/venv.scm 336 */
									BgL_arg3252z00_977 = BGl_string3380z00zzast_envz00;
								}
							else
								{	/* Ast/venv.scm 336 */
									BgL_arg3252z00_977 =
										BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00
										(BgL_modulez00_24);
								}
							BgL_newz00_947 =
								BGl_makezd2globalzd2zzast_varz00(BgL_idz00_23, BFALSE,
								(BgL_typez00_bglt) (BGl_za2_za2z00zztype_cachez00),
								BgL_valuez00_25, BgL_arg3248z00_973, BUNSPEC,
								BgL_arg3249z00_974, ((long) 0), BgL_modulez00_24,
								BgL_importz00_26, ((bool_t) 1), BFALSE, ((bool_t) 1), BNIL,
								BgL_srcz00_27, BgL_arg3252z00_977);
						}
						{	/* Ast/venv.scm 344 */
							bool_t BgL_testz00_2049;

							if (PAIRP(BgL_bucketz00_946))
								{	/* Ast/venv.scm 344 */
									BgL_testz00_2049 = NULLP(CDR(BgL_bucketz00_946));
								}
							else
								{	/* Ast/venv.scm 344 */
									BgL_testz00_2049 = ((bool_t) 1);
								}
							if (BgL_testz00_2049)
								{	/* Ast/venv.scm 344 */
									{	/* Ast/venv.scm 346 */
										obj_t BgL_arg3226z00_949;

										{	/* Ast/venv.scm 346 */
											obj_t BgL_list3227z00_950;

											{	/* Ast/venv.scm 346 */
												obj_t BgL_arg3228z00_951;

												BgL_arg3228z00_951 =
													MAKE_PAIR((obj_t) (BgL_newz00_947), BNIL);
												BgL_list3227z00_950 =
													MAKE_PAIR(BgL_idz00_23, BgL_arg3228z00_951);
											}
											BgL_arg3226z00_949 = BgL_list3227z00_950;
										}
										BGl_hashtablezd2putz12zc0zz__hashz00
											(BGl_za2Genvza2z00zzast_envz00, BgL_idz00_23,
											BgL_arg3226z00_949);
									}
									return BgL_newz00_947;
								}
							else
								{	/* Ast/venv.scm 349 */
									obj_t BgL_oldza2za2_952;

									BgL_oldza2za2_952 = CDR(BgL_bucketz00_946);
									{	/* Ast/venv.scm 349 */
										obj_t BgL_midz00_953;

										{	/* Ast/venv.scm 351 */
											obj_t BgL_arg3244z00_969;

											{	/* Ast/venv.scm 351 */
												BgL_globalz00_bglt BgL_obj1434z00_1577;

												{	/* Ast/venv.scm 351 */
													obj_t BgL_pairz00_1576;

													BgL_pairz00_1576 = BgL_oldza2za2_952;
													{	/* Ast/venv.scm 351 */
														obj_t BgL_auxz00_2059;

														BgL_auxz00_2059 = CAR(BgL_pairz00_1576);
														BgL_obj1434z00_1577 =
															(BgL_globalz00_bglt) (BgL_auxz00_2059);
													}
												}
												BgL_arg3244z00_969 =
													(((BgL_globalz00_bglt) CREF(BgL_obj1434z00_1577))->
													BgL_modulez00);
											}
											BgL_midz00_953 =
												BGl_modulezd2initializa7ationzd2idza7zzmodule_modulez00
												(BgL_arg3244z00_969);
										}
										{	/* Ast/venv.scm 350 */

											{	/* Ast/venv.scm 353 */
												bool_t BgL_testz00_2064;

												{	/* Ast/venv.scm 353 */
													obj_t BgL_arg3241z00_967;

													{	/* Ast/venv.scm 353 */
														BgL_globalz00_bglt BgL_obj1434z00_1579;

														{	/* Ast/venv.scm 353 */
															obj_t BgL_pairz00_1578;

															BgL_pairz00_1578 = BgL_oldza2za2_952;
															{	/* Ast/venv.scm 353 */
																obj_t BgL_auxz00_2065;

																BgL_auxz00_2065 = CAR(BgL_pairz00_1578);
																BgL_obj1434z00_1579 =
																	(BgL_globalz00_bglt) (BgL_auxz00_2065);
															}
														}
														BgL_arg3241z00_967 =
															(((BgL_globalz00_bglt)
																CREF(BgL_obj1434z00_1579))->BgL_modulez00);
													}
													BgL_testz00_2064 =
														(BgL_arg3241z00_967 ==
														BGl_za2moduleza2z00zzmodule_modulez00);
												}
												if (BgL_testz00_2064)
													{	/* Ast/venv.scm 353 */
														{	/* Ast/venv.scm 355 */
															bool_t BgL_testz00_2070;

															if ((BgL_idz00_23 == BgL_midz00_953))
																{	/* Ast/venv.scm 355 */
																	BgL_testz00_2070 = ((bool_t) 0);
																}
															else
																{	/* Ast/venv.scm 355 */
																	if (CBOOL
																		(BGl_za2libzd2modeza2zd2zzengine_paramz00))
																		{	/* Ast/venv.scm 356 */
																			BgL_testz00_2070 = ((bool_t) 0);
																		}
																	else
																		{	/* Ast/venv.scm 356 */
																			BgL_testz00_2070 = ((bool_t) 1);
																		}
																}
															if (BgL_testz00_2070)
																{	/* Ast/venv.scm 357 */
																	obj_t BgL_arg3231z00_956;

																	BgL_arg3231z00_956 = CAR(BgL_oldza2za2_952);
																	BGl_warningzd2overridezd2globalz12z12zzast_envz00
																		(BgL_arg3231z00_956,
																		(obj_t) (BgL_newz00_947), BNIL);
																}
															else
																{	/* Ast/venv.scm 355 */
																	BFALSE;
																}
														}
														{	/* Ast/venv.scm 358 */
															obj_t BgL_arg3234z00_959;
															obj_t BgL_arg3235z00_960;

															BgL_arg3234z00_959 = CDR(BgL_bucketz00_946);
															{	/* Ast/venv.scm 358 */
																obj_t BgL_arg3236z00_961;

																{	/* Ast/venv.scm 358 */
																	obj_t BgL_pairz00_1582;

																	BgL_pairz00_1582 = BgL_bucketz00_946;
																	BgL_arg3236z00_961 =
																		CDR(CDR(BgL_pairz00_1582));
																}
																BgL_arg3235z00_960 =
																	MAKE_PAIR(
																	(obj_t) (BgL_newz00_947), BgL_arg3236z00_961);
															}
															SET_CDR(BgL_arg3234z00_959, BgL_arg3235z00_960);
														}
														return BgL_newz00_947;
													}
												else
													{	/* Ast/venv.scm 361 */
														obj_t BgL_newza2za2_962;

														BgL_newza2za2_962 =
															MAKE_PAIR(
															(obj_t) (BgL_newz00_947), BgL_oldza2za2_952);
														{	/* Ast/venv.scm 362 */
															bool_t BgL_testz00_2086;

															if ((BgL_idz00_23 == BgL_midz00_953))
																{	/* Ast/venv.scm 362 */
																	BgL_testz00_2086 = ((bool_t) 0);
																}
															else
																{	/* Ast/venv.scm 362 */
																	if (CBOOL
																		(BGl_za2libzd2modeza2zd2zzengine_paramz00))
																		{	/* Ast/venv.scm 363 */
																			BgL_testz00_2086 = ((bool_t) 0);
																		}
																	else
																		{	/* Ast/venv.scm 363 */
																			BgL_testz00_2086 = ((bool_t) 1);
																		}
																}
															if (BgL_testz00_2086)
																{	/* Ast/venv.scm 364 */
																	obj_t BgL_arg3238z00_964;

																	BgL_arg3238z00_964 = CAR(BgL_oldza2za2_952);
																	BGl_warningzd2overridezd2globalz12z12zzast_envz00
																		((obj_t) (BgL_newz00_947),
																		BgL_arg3238z00_964, BNIL);
																}
															else
																{	/* Ast/venv.scm 362 */
																	BFALSE;
																}
														}
														SET_CDR(BgL_bucketz00_946, BgL_newza2za2_962);
														return BgL_newz00_947;
													}
											}
										}
									}
								}
						}
					}
			}
		}
	}



/* _bind-global! */
	obj_t BGl__bindzd2globalz12zc0zzast_envz00(obj_t BgL_envz00_1749,
		obj_t BgL_idz00_1750, obj_t BgL_modulez00_1751, obj_t BgL_valuez00_1752,
		obj_t BgL_importz00_1753, obj_t BgL_srcz00_1754)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 318 */
			{	/* Ast/venv.scm 323 */
				BgL_globalz00_bglt BgL_auxz00_2095;

				BgL_auxz00_2095 =
					BGl_bindzd2globalz12zc0zzast_envz00(BgL_idz00_1750,
					BgL_modulez00_1751, (BgL_valuez00_bglt) (BgL_valuez00_1752),
					BgL_importz00_1753, BgL_srcz00_1754);
				return (obj_t) (BgL_auxz00_2095);
			}
		}
	}



/* unbind-global! */
	BGL_EXPORTED_DEF obj_t BGl_unbindzd2globalz12zc0zzast_envz00(obj_t
		BgL_idz00_28, obj_t BgL_modulez00_29)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 371 */
			{	/* Ast/venv.scm 372 */
				obj_t BgL_globalz00_980;

				{	/* Ast/venv.scm 372 */
					obj_t BgL_list3269z00_1000;

					BgL_list3269z00_1000 = MAKE_PAIR(BgL_modulez00_29, BNIL);
					BgL_globalz00_980 =
						BGl_findzd2globalzd2zzast_envz00(BgL_idz00_28,
						BgL_list3269z00_1000);
				}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_globalz00_980,
						BGl_globalz00zzast_varz00))
					{	/* Ast/venv.scm 375 */
						obj_t BgL_bucketz00_982;

						BgL_bucketz00_982 =
							BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00,
							BgL_idz00_28);
						{	/* Ast/venv.scm 376 */
							obj_t BgL_g3120z00_983;

							BgL_g3120z00_983 = CDR(BgL_bucketz00_982);
							{
								obj_t BgL_curz00_984;
								obj_t BgL_prevz00_985;

								BgL_curz00_984 = BgL_g3120z00_983;
								BgL_prevz00_985 = BgL_bucketz00_982;
							BgL_loopz00_986:
								if ((CAR(BgL_curz00_984) == BgL_globalz00_980))
									{	/* Ast/venv.scm 379 */
										obj_t BgL_auxz00_2108;

										BgL_auxz00_2108 = CDR(BgL_curz00_984);
										return SET_CDR(BgL_prevz00_985, BgL_auxz00_2108);
									}
								else
									{
										obj_t BgL_prevz00_2113;
										obj_t BgL_curz00_2111;

										BgL_curz00_2111 = CDR(BgL_curz00_984);
										BgL_prevz00_2113 = CDR(BgL_prevz00_985);
										BgL_prevz00_985 = BgL_prevz00_2113;
										BgL_curz00_984 = BgL_curz00_2111;
										goto BgL_loopz00_986;
									}
							}
						}
					}
				else
					{	/* Ast/venv.scm 374 */
						obj_t BgL_arg3263z00_994;

						{	/* Ast/venv.scm 374 */
							obj_t BgL_arg3265z00_996;
							obj_t BgL_arg3266z00_997;

							BgL_arg3265z00_996 = CNST_TABLE_REF(((long) 2));
							{	/* Ast/venv.scm 374 */
								obj_t BgL_list3267z00_998;

								{	/* Ast/venv.scm 374 */
									obj_t BgL_arg3268z00_999;

									BgL_arg3268z00_999 = MAKE_PAIR(BNIL, BNIL);
									BgL_list3267z00_998 =
										MAKE_PAIR(BgL_modulez00_29, BgL_arg3268z00_999);
								}
								BgL_arg3266z00_997 =
									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_idz00_28,
									BgL_list3267z00_998);
							}
							BgL_arg3263z00_994 =
								MAKE_PAIR(BgL_arg3265z00_996, BgL_arg3266z00_997);
						}
						return
							BGl_userzd2errorzd2zztools_errorz00(BGl_string3381z00zzast_envz00,
							BGl_string3382z00zzast_envz00, BgL_arg3263z00_994, BNIL);
					}
			}
		}
	}



/* _unbind-global! */
	obj_t BGl__unbindzd2globalz12zc0zzast_envz00(obj_t BgL_envz00_1755,
		obj_t BgL_idz00_1756, obj_t BgL_modulez00_1757)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 371 */
			return
				BGl_unbindzd2globalz12zc0zzast_envz00(BgL_idz00_1756,
				BgL_modulez00_1757);
		}
	}



/* for-each-global! */
	BGL_EXPORTED_DEF obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t
		BgL_procz00_30, obj_t BgL_envz00_31)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 385 */
			{	/* Ast/venv.scm 386 */
				obj_t BgL_arg3271z00_1001;

				if (NULLP(BgL_envz00_31))
					{	/* Ast/venv.scm 386 */
						BgL_arg3271z00_1001 = BGl_za2Genvza2z00zzast_envz00;
					}
				else
					{	/* Ast/venv.scm 386 */
						BgL_arg3271z00_1001 = CAR(BgL_envz00_31);
					}
				{	/* Ast/venv.scm 387 */
					obj_t BgL_zc3anonymousza33274ze3z83_1758;

					BgL_zc3anonymousza33274ze3z83_1758 =
						make_fx_procedure(BGl_zc3anonymousza33274ze3z83zzast_envz00,
						(int) (((long) 2)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3anonymousza33274ze3z83_1758,
						(int) (((long) 0)), BgL_procz00_30);
					return
						BGl_hashtablezd2forzd2eachz00zz__hashz00(BgL_arg3271z00_1001,
						BgL_zc3anonymousza33274ze3z83_1758);
				}
			}
		}
	}



/* _for-each-global! */
	obj_t BGl__forzd2eachzd2globalz12z12zzast_envz00(obj_t BgL_envz00_1759,
		obj_t BgL_procz00_1760, obj_t BgL_envz00_1761)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 385 */
			return
				BGl_forzd2eachzd2globalz12z12zzast_envz00(BgL_procz00_1760,
				BgL_envz00_1761);
		}
	}



/* <anonymous:3274> */
	obj_t BGl_zc3anonymousza33274ze3z83zzast_envz00(obj_t BgL_envz00_1762,
		obj_t BgL_kz00_1764, obj_t BgL_bucketz00_1765)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 387 */
			{	/* Ast/venv.scm 387 */
				obj_t BgL_procz00_1763;

				BgL_procz00_1763 = PROCEDURE_REF(BgL_envz00_1762, (int) (((long) 0)));
				{
					obj_t BgL_kz00_1004;
					obj_t BgL_bucketz00_1005;

					{	/* Ast/venv.scm 387 */
						bool_t BgL_auxz00_2134;

						BgL_kz00_1004 = BgL_kz00_1764;
						BgL_bucketz00_1005 = BgL_bucketz00_1765;
						{	/* Ast/venv.scm 387 */
							obj_t BgL_g3130z00_1007;

							BgL_g3130z00_1007 = CDR(BgL_bucketz00_1005);
							{
								obj_t BgL_l3127z00_1008;

								BgL_l3127z00_1008 = BgL_g3130z00_1007;
							BgL_forzd2each3129zd2_1009:
								if (PAIRP(BgL_l3127z00_1008))
									{	/* Ast/venv.scm 387 */
										{	/* Ast/venv.scm 387 */
											obj_t BgL_arg3276z00_1011;

											BgL_arg3276z00_1011 = CAR(BgL_l3127z00_1008);
											PROCEDURE_ENTRY(BgL_procz00_1763) (BgL_procz00_1763,
												BgL_arg3276z00_1011, BEOA);
										}
										{
											obj_t BgL_l3127z00_2141;

											BgL_l3127z00_2141 = CDR(BgL_l3127z00_1008);
											BgL_l3127z00_1008 = BgL_l3127z00_2141;
											goto BgL_forzd2each3129zd2_1009;
										}
									}
								else
									{	/* Ast/venv.scm 387 */
										BgL_auxz00_2134 = ((bool_t) 1);
									}
							}
						}
						return BBOOL(BgL_auxz00_2134);
					}
				}
			}
		}
	}



/* global-bucket-position */
	BGL_EXPORTED_DEF obj_t BGl_globalzd2bucketzd2positionz00zzast_envz00(obj_t
		BgL_idz00_32, obj_t BgL_modulez00_33)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 392 */
			{	/* Ast/venv.scm 393 */
				obj_t BgL_bucketz00_1014;

				BgL_bucketz00_1014 =
					BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00,
					BgL_idz00_32);
				if (PAIRP(BgL_bucketz00_1014))
					{
						obj_t BgL_globalsz00_1017;
						long BgL_posz00_1018;

						{	/* Ast/venv.scm 396 */
							long BgL_auxz00_2147;

							BgL_globalsz00_1017 = CDR(BgL_bucketz00_1014);
							BgL_posz00_1018 = ((long) 0);
						BgL_loopz00_1019:
							if (NULLP(BgL_globalsz00_1017))
								{	/* Ast/venv.scm 399 */
									BgL_auxz00_2147 = ((long) -1);
								}
							else
								{	/* Ast/venv.scm 401 */
									bool_t BgL_testz00_2150;

									{	/* Ast/venv.scm 401 */
										obj_t BgL_auxz00_2151;

										{	/* Ast/venv.scm 401 */
											BgL_globalz00_bglt BgL_obj1434z00_1609;

											{	/* Ast/venv.scm 401 */
												obj_t BgL_pairz00_1608;

												BgL_pairz00_1608 = BgL_globalsz00_1017;
												{	/* Ast/venv.scm 401 */
													obj_t BgL_auxz00_2152;

													BgL_auxz00_2152 = CAR(BgL_pairz00_1608);
													BgL_obj1434z00_1609 =
														(BgL_globalz00_bglt) (BgL_auxz00_2152);
												}
											}
											BgL_auxz00_2151 =
												(((BgL_globalz00_bglt) CREF(BgL_obj1434z00_1609))->
												BgL_modulez00);
										}
										BgL_testz00_2150 = (BgL_auxz00_2151 == BgL_modulez00_33);
									}
									if (BgL_testz00_2150)
										{	/* Ast/venv.scm 401 */
											BgL_auxz00_2147 = BgL_posz00_1018;
										}
									else
										{
											long BgL_posz00_2159;
											obj_t BgL_globalsz00_2157;

											BgL_globalsz00_2157 = CDR(BgL_globalsz00_1017);
											BgL_posz00_2159 = (BgL_posz00_1018 + ((long) 1));
											BgL_posz00_1018 = BgL_posz00_2159;
											BgL_globalsz00_1017 = BgL_globalsz00_2157;
											goto BgL_loopz00_1019;
										}
								}
							return BINT(BgL_auxz00_2147);
						}
					}
				else
					{	/* Ast/venv.scm 394 */
						return BINT(((long) -1));
		}}}
	}



/* _global-bucket-position */
	obj_t BGl__globalzd2bucketzd2positionz00zzast_envz00(obj_t BgL_envz00_1766,
		obj_t BgL_idz00_1767, obj_t BgL_modulez00_1768)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 392 */
			return
				BGl_globalzd2bucketzd2positionz00zzast_envz00(BgL_idz00_1767,
				BgL_modulez00_1768);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 14 */
			BGl_addzd2genericz12zc0zz__objectz00
				(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
				BGl_restorezd2valuezd2typesz123131zd2envzc0zzast_envz00);
			{	/* Ast/venv.scm 14 */
				obj_t BgL_restorezd2valuezd2typesz123134z12_1771;

				BgL_restorezd2valuezd2typesz123134z12_1771 =
					make_fx_procedure(BGl_restorezd2valuezd2typesz123134z12zzast_envz00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
					BGl_funz00zzast_varz00, BgL_restorezd2valuezd2typesz123134z12_1771);
			}
			{	/* Ast/venv.scm 14 */
				obj_t BgL_restorezd2valuezd2typesz123136z12_1770;

				BgL_restorezd2valuezd2typesz123136z12_1770 =
					make_fx_procedure(BGl_restorezd2valuezd2typesz123136z12zzast_envz00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
					BGl_sfunz00zzast_varz00, BgL_restorezd2valuezd2typesz123136z12_1770);
			}
			{	/* Ast/venv.scm 14 */
				obj_t BgL_restorezd2valuezd2typesz123138z12_1769;

				BgL_restorezd2valuezd2typesz123138z12_1769 =
					make_fx_procedure(BGl_restorezd2valuezd2typesz123138z12zzast_envz00,
					(int) (((long) 1)), (int) (((long) 0)));
				return
					BGl_addzd2methodz12zc0zz__objectz00
					(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
					BGl_cfunz00zzast_varz00, BgL_restorezd2valuezd2typesz123138z12_1769);
			}
		}
	}



/* restore-value-types!3138 */
	obj_t BGl_restorezd2valuezd2typesz123138z12zzast_envz00(obj_t BgL_envz00_1772,
		obj_t BgL_valuez00_1773)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 200 */
			{
				BgL_cfunz00_bglt BgL_valuez00_1445;

				{	/* Ast/venv.scm 200 */
					bool_t BgL_auxz00_2178;

					BgL_valuez00_1445 = (BgL_cfunz00_bglt) (BgL_valuez00_1773);
					{

						{	/* Ast/venv.scm 200 */
							obj_t BgL_nextzd2method3137zd2_1457;

							BgL_nextzd2method3137zd2_1457 =
								BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
								(BgL_objectz00_bglt) (BgL_valuez00_1445),
								BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
								BGl_cfunz00zzast_varz00);
							if (PROCEDUREP(BgL_nextzd2method3137zd2_1457))
								{	/* Ast/venv.scm 200 */
									PROCEDURE_ENTRY(BgL_nextzd2method3137zd2_1457)
										(BgL_nextzd2method3137zd2_1457, (obj_t) (BgL_valuez00_1445),
										BEOA);
								}
							else
								{	/* Ast/venv.scm 200 */
									{	/* Ast/venv.scm 200 */
										BgL_valuez00_bglt BgL_valuez00_1675;

										BgL_valuez00_1675 = (BgL_valuez00_bglt) (BgL_valuez00_1445);
										{	/* Ast/venv.scm 200 */
											obj_t BgL_method3132z00_1676;

											{	/* Ast/venv.scm 200 */
												BgL_objectz00_bglt BgL_objz00_1677;

												BgL_objz00_1677 =
													(BgL_objectz00_bglt) (BgL_valuez00_1675);
												{	/* Ast/venv.scm 200 */
													long BgL_objzd2classzd2numz00_1678;

													BgL_objzd2classzd2numz00_1678 =
														BGL_OBJECT_CLASS_NUM(BgL_objz00_1677);
													{	/* Ast/venv.scm 200 */
														obj_t BgL_arg2273z00_1679;

														BgL_arg2273z00_1679 =
															PROCEDURE_REF
															(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
															(int) (((long) 1)));
														{	/* Ast/venv.scm 200 */
															obj_t BgL_arrayz00_1681;
															int BgL_offsetz00_1682;

															BgL_arrayz00_1681 = BgL_arg2273z00_1679;
															BgL_offsetz00_1682 =
																(int) (BgL_objzd2classzd2numz00_1678);
															{	/* Ast/venv.scm 200 */
																long BgL_offsetz00_1683;

																BgL_offsetz00_1683 =
																	((long) (BgL_offsetz00_1682) - OBJECT_TYPE);
																{	/* Ast/venv.scm 200 */
																	long BgL_modz00_1684;

																	{	/* Ast/venv.scm 200 */
																		int BgL_arg2275z00_1685;

																		BgL_arg2275z00_1685 = (int) (((long) 8));
																		{	/* Ast/venv.scm 200 */
																			long BgL_auxz00_2195;

																			BgL_auxz00_2195 =
																				(long) (BgL_arg2275z00_1685);
																			BgL_modz00_1684 =
																				(BgL_offsetz00_1683 / BgL_auxz00_2195);
																	}}
																	{	/* Ast/venv.scm 200 */
																		long BgL_restz00_1686;

																		{	/* Ast/venv.scm 200 */
																			int BgL_arg2274z00_1687;

																			BgL_arg2274z00_1687 = (int) (((long) 8));
																			{	/* Ast/venv.scm 200 */
																				long BgL_auxz00_2199;

																				BgL_auxz00_2199 =
																					(long) (BgL_arg2274z00_1687);
																				BgL_restz00_1686 =
																					(BgL_offsetz00_1683 %
																					BgL_auxz00_2199);
																		}}
																		{	/* Ast/venv.scm 200 */

																			BgL_method3132z00_1676 =
																				VECTOR_REF(VECTOR_REF(BgL_arrayz00_1681,
																					(int) (BgL_modz00_1684)),
																				(int) (BgL_restz00_1686));
											}}}}}}}}
											PROCEDURE_ENTRY(BgL_method3132z00_1676)
												(BgL_method3132z00_1676, (obj_t) (BgL_valuez00_1675),
												BEOA);
						}}}}
						{
							obj_t BgL_argsz00_1449;

							{	/* Ast/venv.scm 203 */
								obj_t BgL_arg3361z00_1451;

								BgL_arg3361z00_1451 =
									(((BgL_cfunz00_bglt) CREF(BgL_valuez00_1445))->
									BgL_argszd2typezd2);
								BgL_argsz00_1449 = BgL_arg3361z00_1451;
							BgL_loopz00_1450:
								if (PAIRP(BgL_argsz00_1449))
									{	/* Ast/venv.scm 204 */
										{	/* Ast/venv.scm 206 */
											BgL_typez00_bglt BgL_arg3363z00_1453;

											{	/* Ast/venv.scm 206 */
												obj_t BgL_arg3364z00_1454;

												{	/* Ast/venv.scm 206 */
													BgL_typez00_bglt BgL_obj1272z00_1670;

													{	/* Ast/venv.scm 206 */
														obj_t BgL_pairz00_1669;

														BgL_pairz00_1669 = BgL_argsz00_1449;
														{	/* Ast/venv.scm 206 */
															obj_t BgL_auxz00_2212;

															BgL_auxz00_2212 = CAR(BgL_pairz00_1669);
															BgL_obj1272z00_1670 =
																(BgL_typez00_bglt) (BgL_auxz00_2212);
														}
													}
													BgL_arg3364z00_1454 =
														(((BgL_typez00_bglt) CREF(BgL_obj1272z00_1670))->
														BgL_idz00);
												}
												BgL_arg3363z00_1453 =
													BGl_findzd2typezd2zztype_envz00(BgL_arg3364z00_1454);
											}
											{	/* Ast/venv.scm 206 */
												obj_t BgL_pairz00_1671;
												obj_t BgL_objz00_1672;

												BgL_pairz00_1671 = BgL_argsz00_1449;
												BgL_objz00_1672 = (obj_t) (BgL_arg3363z00_1453);
												SET_CAR(BgL_pairz00_1671, BgL_objz00_1672);
											}
										}
										{
											obj_t BgL_argsz00_2219;

											BgL_argsz00_2219 = CDR(BgL_argsz00_1449);
											BgL_argsz00_1449 = BgL_argsz00_2219;
											goto BgL_loopz00_1450;
										}
									}
								else
									{	/* Ast/venv.scm 204 */
										BgL_auxz00_2178 = ((bool_t) 0);
									}
							}
						}
					}
					return BBOOL(BgL_auxz00_2178);
				}
			}
		}
	}



/* restore-value-types!3136 */
	obj_t BGl_restorezd2valuezd2typesz123136z12zzast_envz00(obj_t BgL_envz00_1774,
		obj_t BgL_valuez00_1775)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 164 */
			{
				BgL_sfunz00_bglt BgL_valuez00_1413;

				BgL_valuez00_1413 = (BgL_sfunz00_bglt) (BgL_valuez00_1775);
				{

					{	/* Ast/venv.scm 164 */
						obj_t BgL_nextzd2method3135zd2_1443;

						BgL_nextzd2method3135zd2_1443 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							(BgL_objectz00_bglt) (BgL_valuez00_1413),
							BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
							BGl_sfunz00zzast_varz00);
						if (PROCEDUREP(BgL_nextzd2method3135zd2_1443))
							{	/* Ast/venv.scm 164 */
								PROCEDURE_ENTRY(BgL_nextzd2method3135zd2_1443)
									(BgL_nextzd2method3135zd2_1443, (obj_t) (BgL_valuez00_1413),
									BEOA);
							}
						else
							{	/* Ast/venv.scm 164 */
								{	/* Ast/venv.scm 164 */
									BgL_valuez00_bglt BgL_valuez00_1641;

									BgL_valuez00_1641 = (BgL_valuez00_bglt) (BgL_valuez00_1413);
									{	/* Ast/venv.scm 164 */
										obj_t BgL_method3132z00_1642;

										{	/* Ast/venv.scm 164 */
											BgL_objectz00_bglt BgL_objz00_1643;

											BgL_objz00_1643 =
												(BgL_objectz00_bglt) (BgL_valuez00_1641);
											{	/* Ast/venv.scm 164 */
												long BgL_objzd2classzd2numz00_1644;

												BgL_objzd2classzd2numz00_1644 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_1643);
												{	/* Ast/venv.scm 164 */
													obj_t BgL_arg2273z00_1645;

													BgL_arg2273z00_1645 =
														PROCEDURE_REF
														(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
														(int) (((long) 1)));
													{	/* Ast/venv.scm 164 */
														obj_t BgL_arrayz00_1647;
														int BgL_offsetz00_1648;

														BgL_arrayz00_1647 = BgL_arg2273z00_1645;
														BgL_offsetz00_1648 =
															(int) (BgL_objzd2classzd2numz00_1644);
														{	/* Ast/venv.scm 164 */
															long BgL_offsetz00_1649;

															BgL_offsetz00_1649 =
																((long) (BgL_offsetz00_1648) - OBJECT_TYPE);
															{	/* Ast/venv.scm 164 */
																long BgL_modz00_1650;

																{	/* Ast/venv.scm 164 */
																	int BgL_arg2275z00_1651;

																	BgL_arg2275z00_1651 = (int) (((long) 8));
																	{	/* Ast/venv.scm 164 */
																		long BgL_auxz00_2239;

																		BgL_auxz00_2239 =
																			(long) (BgL_arg2275z00_1651);
																		BgL_modz00_1650 =
																			(BgL_offsetz00_1649 / BgL_auxz00_2239);
																}}
																{	/* Ast/venv.scm 164 */
																	long BgL_restz00_1652;

																	{	/* Ast/venv.scm 164 */
																		int BgL_arg2274z00_1653;

																		BgL_arg2274z00_1653 = (int) (((long) 8));
																		{	/* Ast/venv.scm 164 */
																			long BgL_auxz00_2243;

																			BgL_auxz00_2243 =
																				(long) (BgL_arg2274z00_1653);
																			BgL_restz00_1652 =
																				(BgL_offsetz00_1649 % BgL_auxz00_2243);
																	}}
																	{	/* Ast/venv.scm 164 */

																		BgL_method3132z00_1642 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_1647,
																				(int) (BgL_modz00_1650)),
																			(int) (BgL_restz00_1652));
										}}}}}}}}
										PROCEDURE_ENTRY(BgL_method3132z00_1642)
											(BgL_method3132z00_1642, (obj_t) (BgL_valuez00_1641),
											BEOA);
					}}}}
					{
						obj_t BgL_argsz00_1417;

						{	/* Ast/venv.scm 167 */
							obj_t BgL_arg3340z00_1419;

							BgL_arg3340z00_1419 =
								(((BgL_sfunz00_bglt) CREF(BgL_valuez00_1413))->BgL_argsz00);
							BgL_argsz00_1417 = BgL_arg3340z00_1419;
						BgL_loopz00_1418:
							if (PAIRP(BgL_argsz00_1417))
								{	/* Ast/venv.scm 170 */
									obj_t BgL_argz00_1421;

									BgL_argz00_1421 = CAR(BgL_argsz00_1417);
									if (BGl_iszd2azf3z21zz__objectz00(BgL_argz00_1421,
											BGl_typez00zztype_typez00))
										{	/* Ast/venv.scm 173 */
											BgL_typez00_bglt BgL_arg3343z00_1423;

											{	/* Ast/venv.scm 173 */
												obj_t BgL_arg3344z00_1424;

												{	/* Ast/venv.scm 173 */
													BgL_typez00_bglt BgL_obj1272z00_1623;

													BgL_obj1272z00_1623 =
														(BgL_typez00_bglt) (BgL_argz00_1421);
													BgL_arg3344z00_1424 =
														(((BgL_typez00_bglt) CREF(BgL_obj1272z00_1623))->
														BgL_idz00);
												}
												BgL_arg3343z00_1423 =
													BGl_findzd2typezd2zztype_envz00(BgL_arg3344z00_1424);
											}
											{	/* Ast/venv.scm 173 */
												obj_t BgL_pairz00_1624;
												obj_t BgL_objz00_1625;

												BgL_pairz00_1624 = BgL_argsz00_1417;
												BgL_objz00_1625 = (obj_t) (BgL_arg3343z00_1423);
												SET_CAR(BgL_pairz00_1624, BgL_objz00_1625);
											}
										}
									else
										{	/* Ast/venv.scm 172 */
											if (BGl_iszd2azf3z21zz__objectz00(BgL_argz00_1421,
													BGl_localz00zzast_varz00))
												{	/* Ast/venv.scm 175 */
													BgL_typez00_bglt BgL_newzd2typezd2_1426;

													{	/* Ast/venv.scm 175 */
														obj_t BgL_arg3346z00_1427;

														{	/* Ast/venv.scm 175 */
															BgL_typez00_bglt BgL_obj1272z00_1628;

															{	/* Ast/venv.scm 175 */
																BgL_variablez00_bglt BgL_obj1366z00_1627;

																BgL_obj1366z00_1627 =
																	(BgL_variablez00_bglt) (BgL_argz00_1421);
																BgL_obj1272z00_1628 =
																	(((BgL_variablez00_bglt)
																		CREF(BgL_obj1366z00_1627))->BgL_typez00);
															}
															BgL_arg3346z00_1427 =
																(((BgL_typez00_bglt)
																	CREF(BgL_obj1272z00_1628))->BgL_idz00);
														}
														BgL_newzd2typezd2_1426 =
															BGl_findzd2typezd2zztype_envz00
															(BgL_arg3346z00_1427);
													}
													{	/* Ast/venv.scm 176 */
														BgL_variablez00_bglt BgL_obj1368z00_1629;
														BgL_typez00_bglt BgL_val1367z00_1630;

														BgL_obj1368z00_1629 =
															(BgL_variablez00_bglt) (BgL_argz00_1421);
														BgL_val1367z00_1630 = BgL_newzd2typezd2_1426;
														((((BgL_variablez00_bglt)
																	CREF(BgL_obj1368z00_1629))->BgL_typez00) =
															((BgL_typez00_bglt) BgL_val1367z00_1630),
															BUNSPEC);
													}
												}
											else
												{	/* Ast/venv.scm 174 */
													BGl_errorz00zz__errorz00
														(BGl_string3383z00zzast_envz00,
														BGl_string3384z00zzast_envz00,
														BGl_shapez00zztools_shapez00(BgL_argz00_1421));
												}
										}
									{
										obj_t BgL_argsz00_2274;

										BgL_argsz00_2274 = CDR(BgL_argsz00_1417);
										BgL_argsz00_1417 = BgL_argsz00_2274;
										goto BgL_loopz00_1418;
									}
								}
							else
								{	/* Ast/venv.scm 169 */
									if (NULLP(BgL_argsz00_1417))
										{	/* Ast/venv.scm 183 */
											obj_t BgL_bodyz00_1434;

											BgL_bodyz00_1434 =
												(((BgL_sfunz00_bglt) CREF(BgL_valuez00_1413))->
												BgL_bodyz00);
											if (BGl_iszd2azf3z21zz__objectz00(BgL_bodyz00_1434,
													BGl_nodez00zzast_nodez00))
												{	/* Ast/venv.scm 186 */
													BgL_typez00_bglt BgL_tresz00_1436;

													{	/* Ast/venv.scm 186 */
														BgL_nodez00_bglt BgL_obj1845z00_1635;

														BgL_obj1845z00_1635 =
															(BgL_nodez00_bglt) (BgL_bodyz00_1434);
														BgL_tresz00_1436 =
															(((BgL_nodez00_bglt) CREF(BgL_obj1845z00_1635))->
															BgL_typez00);
													}
													{	/* Ast/venv.scm 187 */
														bool_t BgL_testz00_2283;

														{	/* Ast/venv.scm 187 */
															obj_t BgL_obj1357z00_1636;

															BgL_obj1357z00_1636 = (obj_t) (BgL_tresz00_1436);
															BgL_testz00_2283 =
																BGl_iszd2azf3z21zz__objectz00
																(BgL_obj1357z00_1636,
																BGl_typez00zztype_typez00);
														}
														if (BgL_testz00_2283)
															{	/* Ast/venv.scm 187 */
																BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
																	(BgL_nodez00_bglt) (BgL_bodyz00_1434));
																{	/* Ast/venv.scm 191 */
																	BgL_typez00_bglt BgL_arg3355z00_1438;

																	{	/* Ast/venv.scm 191 */
																		obj_t BgL_arg3356z00_1439;

																		BgL_arg3356z00_1439 =
																			(((BgL_typez00_bglt)
																				CREF(BgL_tresz00_1436))->BgL_idz00);
																		BgL_arg3355z00_1438 =
																			BGl_findzd2typezd2zztype_envz00
																			(BgL_arg3356z00_1439);
																	}
																	{	/* Ast/venv.scm 190 */
																		BgL_nodez00_bglt BgL_obj1847z00_1638;
																		BgL_typez00_bglt BgL_val1846z00_1639;

																		BgL_obj1847z00_1638 =
																			(BgL_nodez00_bglt) (BgL_bodyz00_1434);
																		BgL_val1846z00_1639 = BgL_arg3355z00_1438;
																		return
																			((((BgL_nodez00_bglt)
																					CREF(BgL_obj1847z00_1638))->
																				BgL_typez00) =
																			((BgL_typez00_bglt) BgL_val1846z00_1639),
																			BUNSPEC);
																	}
																}
															}
														else
															{	/* Ast/venv.scm 187 */
																return BFALSE;
															}
													}
												}
											else
												{	/* Ast/venv.scm 185 */
													return BFALSE;
												}
										}
									else
										{	/* Ast/venv.scm 182 */
											return
												BGl_errorz00zz__errorz00(BGl_string3385z00zzast_envz00,
												BGl_string3386z00zzast_envz00,
												BGl_shapez00zztools_shapez00(BgL_argsz00_1417));
										}
								}
						}
					}
				}
			}
		}
	}



/* restore-value-types!3134 */
	obj_t BGl_restorezd2valuezd2typesz123134z12zzast_envz00(obj_t BgL_envz00_1776,
		obj_t BgL_valuez00_1777)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 156 */
			{
				BgL_funz00_bglt BgL_valuez00_1402;

				BgL_valuez00_1402 = (BgL_funz00_bglt) (BgL_valuez00_1777);
				{	/* Ast/venv.scm 158 */
					bool_t BgL_testz00_2295;

					{	/* Ast/venv.scm 158 */
						obj_t BgL_arg3338z00_1410;

						BgL_arg3338z00_1410 =
							(((BgL_funz00_bglt) CREF(BgL_valuez00_1402))->
							BgL_predicatezd2ofzd2);
						BgL_testz00_2295 =
							BGl_iszd2azf3z21zz__objectz00(BgL_arg3338z00_1410,
							BGl_typez00zztype_typez00);
					}
					if (BgL_testz00_2295)
						{	/* Ast/venv.scm 159 */
							BgL_typez00_bglt BgL_arg3335z00_1407;

							{	/* Ast/venv.scm 159 */
								obj_t BgL_arg3336z00_1408;

								{	/* Ast/venv.scm 159 */
									BgL_typez00_bglt BgL_obj1272z00_1616;

									{	/* Ast/venv.scm 159 */
										obj_t BgL_auxz00_2298;

										BgL_auxz00_2298 =
											(((BgL_funz00_bglt) CREF(BgL_valuez00_1402))->
											BgL_predicatezd2ofzd2);
										BgL_obj1272z00_1616 = (BgL_typez00_bglt) (BgL_auxz00_2298);
									}
									BgL_arg3336z00_1408 =
										(((BgL_typez00_bglt) CREF(BgL_obj1272z00_1616))->BgL_idz00);
								}
								BgL_arg3335z00_1407 =
									BGl_findzd2typezd2zztype_envz00(BgL_arg3336z00_1408);
							}
							{	/* Ast/venv.scm 159 */
								BgL_funz00_bglt BgL_obj1576z00_1617;
								obj_t BgL_val1575z00_1618;

								BgL_obj1576z00_1617 = BgL_valuez00_1402;
								BgL_val1575z00_1618 = (obj_t) (BgL_arg3335z00_1407);
								return
									((((BgL_funz00_bglt) CREF(BgL_obj1576z00_1617))->
										BgL_predicatezd2ofzd2) =
									((obj_t) BgL_val1575z00_1618), BUNSPEC);
							}
						}
					else
						{	/* Ast/venv.scm 158 */
							return BFALSE;
						}
				}
			}
		}
	}



/* restore-value-types! */
	obj_t BGl_restorezd2valuezd2typesz12z12zzast_envz00(BgL_valuez00_bglt
		BgL_valuez00_7)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 150 */
			{	/* Ast/venv.scm 150 */
				obj_t BgL_method3132z00_1701;

				{	/* Ast/venv.scm 150 */
					BgL_objectz00_bglt BgL_objz00_1702;

					BgL_objz00_1702 = (BgL_objectz00_bglt) (BgL_valuez00_7);
					{	/* Ast/venv.scm 150 */
						long BgL_objzd2classzd2numz00_1703;

						BgL_objzd2classzd2numz00_1703 =
							BGL_OBJECT_CLASS_NUM(BgL_objz00_1702);
						{	/* Ast/venv.scm 150 */
							obj_t BgL_arg2273z00_1704;

							BgL_arg2273z00_1704 =
								PROCEDURE_REF
								(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
								(int) (((long) 1)));
							{	/* Ast/venv.scm 150 */
								obj_t BgL_arrayz00_1706;
								int BgL_offsetz00_1707;

								BgL_arrayz00_1706 = BgL_arg2273z00_1704;
								BgL_offsetz00_1707 = (int) (BgL_objzd2classzd2numz00_1703);
								{	/* Ast/venv.scm 150 */
									long BgL_offsetz00_1708;

									BgL_offsetz00_1708 =
										((long) (BgL_offsetz00_1707) - OBJECT_TYPE);
									{	/* Ast/venv.scm 150 */
										long BgL_modz00_1709;

										{	/* Ast/venv.scm 150 */
											int BgL_arg2275z00_1710;

											BgL_arg2275z00_1710 = (int) (((long) 8));
											{	/* Ast/venv.scm 150 */
												long BgL_auxz00_2314;

												BgL_auxz00_2314 = (long) (BgL_arg2275z00_1710);
												BgL_modz00_1709 =
													(BgL_offsetz00_1708 / BgL_auxz00_2314);
										}}
										{	/* Ast/venv.scm 150 */
											long BgL_restz00_1711;

											{	/* Ast/venv.scm 150 */
												int BgL_arg2274z00_1712;

												BgL_arg2274z00_1712 = (int) (((long) 8));
												{	/* Ast/venv.scm 150 */
													long BgL_auxz00_2318;

													BgL_auxz00_2318 = (long) (BgL_arg2274z00_1712);
													BgL_restz00_1711 =
														(BgL_offsetz00_1708 % BgL_auxz00_2318);
											}}
											{	/* Ast/venv.scm 150 */

												BgL_method3132z00_1701 =
													VECTOR_REF(VECTOR_REF(BgL_arrayz00_1706,
														(int) (BgL_modz00_1709)), (int) (BgL_restz00_1711));
				}}}}}}}}
				return
					PROCEDURE_ENTRY(BgL_method3132z00_1701) (BgL_method3132z00_1701,
					(obj_t) (BgL_valuez00_7), BEOA);
			}
		}
	}



/* _restore-value-types! */
	obj_t BGl__restorezd2valuezd2typesz12z12zzast_envz00(obj_t BgL_envz00_1737,
		obj_t BgL_valuez00_1738)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 150 */
			return
				BGl_restorezd2valuezd2typesz12z12zzast_envz00(
				(BgL_valuez00_bglt) (BgL_valuez00_1738));
		}
	}



/* _restore-value-types!3131 */
	obj_t BGl__restorezd2valuezd2typesz123131z12zzast_envz00(obj_t
		BgL_envz00_1778, obj_t BgL_valuez00_1779)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 14 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 14 */
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string3387z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 514705515),
				BSTRING_TO_STRING(BGl_string3387z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string3387z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string3387z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 484733332),
				BSTRING_TO_STRING(BGl_string3387z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 171845042),
				BSTRING_TO_STRING(BGl_string3387z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string3387z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 11585204),
				BSTRING_TO_STRING(BGl_string3387z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzast_hrtypez00(((long) 346346738),
				BSTRING_TO_STRING(BGl_string3387z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzread_jvmz00(((long) 143212498),
				BSTRING_TO_STRING(BGl_string3387z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 358171001),
				BSTRING_TO_STRING(BGl_string3387z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 345457731),
				BSTRING_TO_STRING(BGl_string3387z00zzast_envz00));
			return
				BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 466514915),
				BSTRING_TO_STRING(BGl_string3387z00zzast_envz00));
		}
	}

#ifdef __cplusplus
}
#endif
