/*===========================================================================*/
/*   (Expand/exit.scm)                                                       */
/*   Bigloo (2.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 25 07:31:22 CET 2006        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/2.9a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Expand/exit.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
	}                 *BgL_backendz00_bglt;


	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	static obj_t BGl__expandzd2bindzd2exit2394z00zzexpand_exitz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl__expandzd2jumpzd2exit2392z00zzexpand_exitz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t open_input_string(obj_t);
	BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzexpand_exitz00 = BUNSPEC;
	static obj_t BGl__expandzd2unwindzd2prote2395z00zzexpand_exitz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl__expandzd2setzd2exit2393z00zzexpand_exitz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_expandzd2withzd2handlerz00zzexpand_exitz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	static obj_t BGl_cnstzd2initzd2zzexpand_exitz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzexpand_exitz00();
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzexpand_exitz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzexpand_expanderz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzexpand_epsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzexpand_lambdaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	static obj_t BGl_toplevelzd2initzd2zzexpand_exitz00();
	BGL_EXPORTED_DECL obj_t BGl_expandzd2jumpzd2exitz00zzexpand_exitz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t string_to_symbol(char *);
	static obj_t BGl__expandzd2withzd2handler2396z00zzexpand_exitz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_expandzd2unwindzd2protectz00zzexpand_exitz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_expandzd2bindzd2exitz00zzexpand_exitz00(obj_t,
		obj_t);
	BGL_IMPORT int BGl_bigloozd2compilerzd2debugz00zz__paramz00();
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	extern obj_t BGl_replacez12z12zztools_miscz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_expandzd2prognzd2zz__prognz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_expandzd2setzd2exitz00zzexpand_exitz00(obj_t,
		obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzexpand_exitz00();
	static obj_t BGl_methodzd2initzd2zzexpand_exitz00();
	static obj_t __cnst[34];


	   
		 
		DEFINE_STRING(BGl_string2400z00zzexpand_exitz00,
		BgL_bgl_string2400za700za7za7e2408za7, "Illegal `unwind-protect' form", 29);
	      DEFINE_STRING(BGl_string2401z00zzexpand_exitz00,
		BgL_bgl_string2401za700za7za7e2409za7, "with-handler, ~a:~a", 19);
	      DEFINE_STRING(BGl_string2402z00zzexpand_exitz00,
		BgL_bgl_string2402za700za7za7e2410za7, "Incorrect handler arity", 23);
	      DEFINE_STRING(BGl_string2403z00zzexpand_exitz00,
		BgL_bgl_string2403za700za7za7e2411za7, "Illegal `with-handler' form", 27);
	      DEFINE_STRING(BGl_string2404z00zzexpand_exitz00,
		BgL_bgl_string2404za700za7za7e2412za7, "expand_exit", 11);
	      DEFINE_STRING(BGl_string2405z00zzexpand_exitz00,
		BgL_bgl_string2405za700za7za7e2413za7,
		"with-handler error cons $set-error-handler! e lambda $get-error-handler correct-arity? tmp exitd exit handlers handler $pop-trace $push-trace quote location cdr car val-from-exit? if pop-exit! begin unwind-until! labels $get-exitd-top push-exit! let res val an_exitd an_exit set-exit jump-exit ",
		294);
	      DEFINE_STRING(BGl_string2397z00zzexpand_exitz00,
		BgL_bgl_string2397za700za7za7e2414za7, "Illegal 'jump-exit' form", 24);
	      DEFINE_STRING(BGl_string2398z00zzexpand_exitz00,
		BgL_bgl_string2398za700za7za7e2415za7, "Illegal `set-exit' form", 23);
	      DEFINE_STRING(BGl_string2399z00zzexpand_exitz00,
		BgL_bgl_string2399za700za7za7e2416za7, "Illegal `bind-exit' form", 24);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_expandzd2setzd2exitzd2envzd2zzexpand_exitz00,
		BgL_bgl__expandza7d2setza7d22417z00,
		BGl__expandzd2setzd2exit2393z00zzexpand_exitz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_expandzd2withzd2handlerzd2envzd2zzexpand_exitz00,
		BgL_bgl__expandza7d2withza7d2418z00,
		BGl__expandzd2withzd2handler2396z00zzexpand_exitz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_expandzd2bindzd2exitzd2envzd2zzexpand_exitz00,
		BgL_bgl__expandza7d2bindza7d2419z00,
		BGl__expandzd2bindzd2exit2394z00zzexpand_exitz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_expandzd2jumpzd2exitzd2envzd2zzexpand_exitz00,
		BgL_bgl__expandza7d2jumpza7d2420z00,
		BGl__expandzd2jumpzd2exit2392z00zzexpand_exitz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_expandzd2unwindzd2protectzd2envzd2zzexpand_exitz00,
		BgL_bgl__expandza7d2unwind2421za7,
		BGl__expandzd2unwindzd2prote2395z00zzexpand_exitz00, 0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzexpand_exitz00(long
		BgL_checksumz00_850, char *BgL_fromz00_851)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzexpand_exitz00))
				{
					BGl_requirezd2initializa7ationz75zzexpand_exitz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzexpand_exitz00();
					BGl_cnstzd2initzd2zzexpand_exitz00();
					BGl_importedzd2moduleszd2initz00zzexpand_exitz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzexpand_exitz00()
	{
		AN_OBJECT;
		{	/* Expand/exit.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"expand_exit");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "expand_exit");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"expand_exit");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "expand_exit");
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 0), "expand_exit");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"expand_exit");
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 0), "expand_exit");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzexpand_exitz00()
	{
		AN_OBJECT;
		{	/* Expand/exit.scm 15 */
			{	/* Expand/exit.scm 15 */
				obj_t BgL_cportz00_842;

				BgL_cportz00_842 = open_input_string(BGl_string2405z00zzexpand_exitz00);
				{
					long BgL_iz00_843;

					BgL_iz00_843 = ((long) 33);
				BgL_loopz00_844:
					if ((BgL_iz00_843 == ((long) -1)))
						{	/* Expand/exit.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Expand/exit.scm 15 */
							{	/* Expand/exit.scm 15 */
								obj_t BgL_arg2407z00_846;

								{	/* Expand/exit.scm 15 */

									{	/* Expand/exit.scm 15 */
										obj_t BgL_locationz00_848;

										BgL_locationz00_848 = BBOOL(((bool_t) 0));
										{	/* Expand/exit.scm 15 */

											BgL_arg2407z00_846 =
												BGl_readz00zz__readerz00(BgL_cportz00_842,
												BgL_locationz00_848);
										}
									}
								}
								{	/* Expand/exit.scm 15 */
									int BgL_auxz00_870;

									BgL_auxz00_870 = (int) (BgL_iz00_843);
									CNST_TABLE_SET(BgL_auxz00_870, BgL_arg2407z00_846);
							}}
							{	/* Expand/exit.scm 15 */
								int BgL_auxz00_849;

								BgL_auxz00_849 = (int) ((BgL_iz00_843 - ((long) 1)));
								{
									long BgL_iz00_875;

									BgL_iz00_875 = (long) (BgL_auxz00_849);
									BgL_iz00_843 = BgL_iz00_875;
									goto BgL_loopz00_844;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzexpand_exitz00()
	{
		AN_OBJECT;
		{	/* Expand/exit.scm 15 */
			return BUNSPEC;
		}
	}



/* expand-jump-exit */
	BGL_EXPORTED_DEF obj_t BGl_expandzd2jumpzd2exitz00zzexpand_exitz00(obj_t
		BgL_xz00_25, obj_t BgL_ez00_26)
	{
		AN_OBJECT;
		{	/* Expand/exit.scm 39 */
			{
				obj_t BgL_exitz00_215;
				obj_t BgL_valuez00_216;

				if (PAIRP(BgL_xz00_25))
					{	/* Expand/exit.scm 40 */
						obj_t BgL_cdrzd21161zd2_221;

						BgL_cdrzd21161zd2_221 = CDR(BgL_xz00_25);
						if (PAIRP(BgL_cdrzd21161zd2_221))
							{	/* Expand/exit.scm 40 */
								BgL_exitz00_215 = CAR(BgL_cdrzd21161zd2_221);
								BgL_valuez00_216 = CDR(BgL_cdrzd21161zd2_221);
								{	/* Expand/exit.scm 42 */
									obj_t BgL_newz00_225;

									{	/* Expand/exit.scm 42 */
										obj_t BgL_arg1465z00_226;
										obj_t BgL_arg1466z00_227;

										BgL_arg1465z00_226 = CNST_TABLE_REF(((long) 0));
										{	/* Expand/exit.scm 42 */
											obj_t BgL_arg1467z00_228;
											obj_t BgL_arg1468z00_229;

											BgL_arg1467z00_228 =
												PROCEDURE_ENTRY(BgL_ez00_26) (BgL_ez00_26,
												BgL_exitz00_215, BgL_ez00_26, BEOA);
											{	/* Expand/exit.scm 42 */
												obj_t BgL_arg1476z00_233;

												BgL_arg1476z00_233 =
													BGl_expandzd2prognzd2zz__prognz00(BgL_valuez00_216);
												BgL_arg1468z00_229 =
													PROCEDURE_ENTRY(BgL_ez00_26) (BgL_ez00_26,
													BgL_arg1476z00_233, BgL_ez00_26, BEOA);
											}
											{	/* Expand/exit.scm 42 */
												obj_t BgL_list1470z00_231;

												{	/* Expand/exit.scm 42 */
													obj_t BgL_arg1471z00_232;

													BgL_arg1471z00_232 = MAKE_PAIR(BNIL, BNIL);
													BgL_list1470z00_231 =
														MAKE_PAIR(BgL_arg1468z00_229, BgL_arg1471z00_232);
												}
												BgL_arg1466z00_227 =
													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
													(BgL_arg1467z00_228, BgL_list1470z00_231);
										}}
										BgL_newz00_225 =
											MAKE_PAIR(BgL_arg1465z00_226, BgL_arg1466z00_227);
									}
									return
										BGl_replacez12z12zztools_miscz00(BgL_xz00_25,
										BgL_newz00_225);
								}
							}
						else
							{	/* Expand/exit.scm 40 */
							BgL_tagzd21154zd2_218:
								return
									BGl_errorz00zz__errorz00(BFALSE,
									BGl_string2397z00zzexpand_exitz00, BgL_xz00_25);
							}
					}
				else
					{	/* Expand/exit.scm 40 */
						goto BgL_tagzd21154zd2_218;
					}
			}
		}
	}



/* _expand-jump-exit2392 */
	obj_t BGl__expandzd2jumpzd2exit2392z00zzexpand_exitz00(obj_t BgL_envz00_825,
		obj_t BgL_xz00_826, obj_t BgL_ez00_827)
	{
		AN_OBJECT;
		{	/* Expand/exit.scm 39 */
			return
				BGl_expandzd2jumpzd2exitz00zzexpand_exitz00(BgL_xz00_826, BgL_ez00_827);
		}
	}



/* expand-set-exit */
	BGL_EXPORTED_DEF obj_t BGl_expandzd2setzd2exitz00zzexpand_exitz00(obj_t
		BgL_xz00_27, obj_t BgL_ez00_28)
	{
		AN_OBJECT;
		{	/* Expand/exit.scm 50 */
			{
				obj_t BgL_exitz00_234;
				obj_t BgL_bodyz00_235;

				if (PAIRP(BgL_xz00_27))
					{	/* Expand/exit.scm 51 */
						obj_t BgL_cdrzd21176zd2_240;

						BgL_cdrzd21176zd2_240 = CDR(BgL_xz00_27);
						if (PAIRP(BgL_cdrzd21176zd2_240))
							{	/* Expand/exit.scm 51 */
								obj_t BgL_carzd21179zd2_242;

								BgL_carzd21179zd2_242 = CAR(BgL_cdrzd21176zd2_240);
								if (PAIRP(BgL_carzd21179zd2_242))
									{	/* Expand/exit.scm 51 */
										if (NULLP(CDR(BgL_carzd21179zd2_242)))
											{	/* Expand/exit.scm 51 */
												BgL_exitz00_234 = CAR(BgL_carzd21179zd2_242);
												BgL_bodyz00_235 = CDR(BgL_cdrzd21176zd2_240);
												{	/* Expand/exit.scm 53 */
													obj_t BgL_newz00_248;

													{	/* Expand/exit.scm 53 */
														obj_t BgL_arg1485z00_249;
														obj_t BgL_arg1487z00_250;

														BgL_arg1485z00_249 = CNST_TABLE_REF(((long) 1));
														{	/* Expand/exit.scm 53 */
															obj_t BgL_arg1488z00_251;
															obj_t BgL_arg1489z00_252;

															BgL_arg1488z00_251 =
																MAKE_PAIR(BgL_exitz00_234, BNIL);
															{	/* Expand/exit.scm 53 */
																obj_t BgL_arg1493z00_256;

																BgL_arg1493z00_256 =
																	BGl_expandzd2prognzd2zz__prognz00
																	(BgL_bodyz00_235);
																BgL_arg1489z00_252 =
																	PROCEDURE_ENTRY(BgL_ez00_28) (BgL_ez00_28,
																	BgL_arg1493z00_256, BgL_ez00_28, BEOA);
															}
															{	/* Expand/exit.scm 53 */
																obj_t BgL_list1491z00_254;

																{	/* Expand/exit.scm 53 */
																	obj_t BgL_arg1492z00_255;

																	BgL_arg1492z00_255 = MAKE_PAIR(BNIL, BNIL);
																	BgL_list1491z00_254 =
																		MAKE_PAIR(BgL_arg1489z00_252,
																		BgL_arg1492z00_255);
																}
																BgL_arg1487z00_250 =
																	BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																	(BgL_arg1488z00_251, BgL_list1491z00_254);
														}}
														BgL_newz00_248 =
															MAKE_PAIR(BgL_arg1485z00_249, BgL_arg1487z00_250);
													}
													return
														BGl_replacez12z12zztools_miscz00(BgL_xz00_27,
														BgL_newz00_248);
												}
											}
										else
											{	/* Expand/exit.scm 51 */
											BgL_tagzd21169zd2_237:
												return
													BGl_errorz00zz__errorz00(BFALSE,
													BGl_string2398z00zzexpand_exitz00, BgL_xz00_27);
											}
									}
								else
									{	/* Expand/exit.scm 51 */
										goto BgL_tagzd21169zd2_237;
									}
							}
						else
							{	/* Expand/exit.scm 51 */
								goto BgL_tagzd21169zd2_237;
							}
					}
				else
					{	/* Expand/exit.scm 51 */
						goto BgL_tagzd21169zd2_237;
					}
			}
		}
	}



/* _expand-set-exit2393 */
	obj_t BGl__expandzd2setzd2exit2393z00zzexpand_exitz00(obj_t BgL_envz00_828,
		obj_t BgL_xz00_829, obj_t BgL_ez00_830)
	{
		AN_OBJECT;
		{	/* Expand/exit.scm 50 */
			return
				BGl_expandzd2setzd2exitz00zzexpand_exitz00(BgL_xz00_829, BgL_ez00_830);
		}
	}



/* expand-bind-exit */
	BGL_EXPORTED_DEF obj_t BGl_expandzd2bindzd2exitz00zzexpand_exitz00(obj_t
		BgL_xz00_29, obj_t BgL_ez00_30)
	{
		AN_OBJECT;
		{	/* Expand/exit.scm 61 */
			{
				obj_t BgL_exitz00_257;
				obj_t BgL_bodyz00_258;

				if (PAIRP(BgL_xz00_29))
					{	/* Expand/exit.scm 62 */
						obj_t BgL_cdrzd21194zd2_263;

						BgL_cdrzd21194zd2_263 = CDR(BgL_xz00_29);
						if (PAIRP(BgL_cdrzd21194zd2_263))
							{	/* Expand/exit.scm 62 */
								obj_t BgL_carzd21197zd2_265;

								BgL_carzd21197zd2_265 = CAR(BgL_cdrzd21194zd2_263);
								if (PAIRP(BgL_carzd21197zd2_265))
									{	/* Expand/exit.scm 62 */
										if (NULLP(CDR(BgL_carzd21197zd2_265)))
											{	/* Expand/exit.scm 62 */
												BgL_exitz00_257 = CAR(BgL_carzd21197zd2_265);
												BgL_bodyz00_258 = CDR(BgL_cdrzd21194zd2_263);
												{	/* Expand/exit.scm 64 */
													obj_t BgL_anzd2exitzd2_271;
													obj_t BgL_anzd2exitdzd2_272;
													obj_t BgL_valz00_273;
													obj_t BgL_resz00_274;

													BgL_anzd2exitzd2_271 =
														BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
														(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
																	(long) 2))));
													BgL_anzd2exitdzd2_272 =
														BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
														(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
																	(long) 3))));
													BgL_valz00_273 =
														BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
														(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
																	(long) 4))));
													BgL_resz00_274 =
														BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
														(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
																	(long) 5))));
													{	/* Expand/exit.scm 68 */
														obj_t BgL_newz00_275;

														{	/* Expand/exit.scm 68 */
															obj_t BgL_arg1502z00_276;

															{	/* Expand/exit.scm 68 */
																obj_t BgL_arg1503z00_277;
																obj_t BgL_arg1504z00_278;

																BgL_arg1503z00_277 = CNST_TABLE_REF(((long) 1));
																{	/* Expand/exit.scm 68 */
																	obj_t BgL_arg1505z00_279;
																	obj_t BgL_arg1506z00_280;

																	BgL_arg1505z00_279 =
																		MAKE_PAIR(BgL_anzd2exitzd2_271, BNIL);
																	{	/* Expand/exit.scm 69 */
																		obj_t BgL_arg1514z00_284;
																		obj_t BgL_arg1516z00_285;

																		BgL_arg1514z00_284 =
																			CNST_TABLE_REF(((long) 6));
																		{	/* Expand/exit.scm 69 */
																			obj_t BgL_arg1520z00_287;
																			obj_t BgL_arg1521z00_288;

																			{	/* Expand/exit.scm 70 */
																				obj_t BgL_arg1526z00_293;
																				obj_t BgL_arg1527z00_294;

																				BgL_arg1526z00_293 =
																					CNST_TABLE_REF(((long) 7));
																				{	/* Expand/exit.scm 70 */
																					obj_t BgL_list1528z00_295;

																					{	/* Expand/exit.scm 70 */
																						obj_t BgL_arg1530z00_297;

																						BgL_arg1530z00_297 =
																							MAKE_PAIR(BNIL, BNIL);
																						BgL_list1528z00_295 =
																							MAKE_PAIR(BINT(((long) 1)),
																							BgL_arg1530z00_297);
																					}
																					BgL_arg1527z00_294 =
																						BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																						(BgL_anzd2exitzd2_271,
																						BgL_list1528z00_295);
																				}
																				BgL_arg1520z00_287 =
																					MAKE_PAIR(BgL_arg1526z00_293,
																					BgL_arg1527z00_294);
																			}
																			{	/* Expand/exit.scm 71 */
																				obj_t BgL_arg1532z00_298;
																				obj_t BgL_arg1533z00_299;

																				BgL_arg1532z00_298 =
																					CNST_TABLE_REF(((long) 6));
																				{	/* Expand/exit.scm 71 */
																					obj_t BgL_arg1534z00_300;
																					obj_t BgL_arg1535z00_301;

																					{	/* Expand/exit.scm 71 */
																						obj_t BgL_arg1540z00_305;

																						{	/* Expand/exit.scm 71 */
																							obj_t BgL_arg1543z00_307;

																							{	/* Expand/exit.scm 71 */
																								obj_t BgL_arg1544z00_308;

																								BgL_arg1544z00_308 =
																									MAKE_PAIR(CNST_TABLE_REF((
																											(long) 8)), BNIL);
																								{	/* Expand/exit.scm 71 */
																									obj_t BgL_list1547z00_310;

																									BgL_list1547z00_310 =
																										MAKE_PAIR(BNIL, BNIL);
																									BgL_arg1543z00_307 =
																										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																										(BgL_arg1544z00_308,
																										BgL_list1547z00_310);
																							}}
																							BgL_arg1540z00_305 =
																								MAKE_PAIR(BgL_anzd2exitdzd2_272,
																								BgL_arg1543z00_307);
																						}
																						BgL_arg1534z00_300 =
																							MAKE_PAIR(BgL_arg1540z00_305,
																							BNIL);
																					}
																					{	/* Expand/exit.scm 72 */
																						obj_t BgL_arg1553z00_311;
																						obj_t BgL_arg1559z00_312;

																						BgL_arg1553z00_311 =
																							CNST_TABLE_REF(((long) 9));
																						{	/* Expand/exit.scm 72 */
																							obj_t BgL_arg1560z00_313;
																							obj_t BgL_arg1561z00_314;

																							{	/* Expand/exit.scm 72 */
																								obj_t BgL_arg1566z00_318;

																								{	/* Expand/exit.scm 72 */
																									obj_t BgL_arg1568z00_320;

																									{	/* Expand/exit.scm 72 */
																										obj_t BgL_arg1571z00_321;
																										obj_t BgL_arg1572z00_322;

																										BgL_arg1571z00_321 =
																											MAKE_PAIR(BgL_valz00_273,
																											BNIL);
																										{	/* Expand/exit.scm 73 */
																											obj_t BgL_arg1576z00_326;
																											obj_t BgL_arg1577z00_327;

																											BgL_arg1576z00_326 =
																												CNST_TABLE_REF(((long)
																													10));
																											{	/* Expand/exit.scm 73 */
																												obj_t
																													BgL_list1578z00_328;
																												{	/* Expand/exit.scm 73 */
																													obj_t
																														BgL_arg1579z00_329;
																													BgL_arg1579z00_329 =
																														MAKE_PAIR(BNIL,
																														BNIL);
																													BgL_list1578z00_328 =
																														MAKE_PAIR
																														(BgL_valz00_273,
																														BgL_arg1579z00_329);
																												}
																												BgL_arg1577z00_327 =
																													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																													(BgL_anzd2exitdzd2_272,
																													BgL_list1578z00_328);
																											}
																											BgL_arg1572z00_322 =
																												MAKE_PAIR
																												(BgL_arg1576z00_326,
																												BgL_arg1577z00_327);
																										}
																										{	/* Expand/exit.scm 72 */
																											obj_t BgL_list1574z00_324;

																											{	/* Expand/exit.scm 72 */
																												obj_t
																													BgL_arg1575z00_325;
																												BgL_arg1575z00_325 =
																													MAKE_PAIR(BNIL, BNIL);
																												BgL_list1574z00_324 =
																													MAKE_PAIR
																													(BgL_arg1572z00_322,
																													BgL_arg1575z00_325);
																											}
																											BgL_arg1568z00_320 =
																												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																												(BgL_arg1571z00_321,
																												BgL_list1574z00_324);
																									}}
																									BgL_arg1566z00_318 =
																										MAKE_PAIR(BgL_exitz00_257,
																										BgL_arg1568z00_320);
																								}
																								BgL_arg1560z00_313 =
																									MAKE_PAIR(BgL_arg1566z00_318,
																									BNIL);
																							}
																							{	/* Expand/exit.scm 76 */
																								obj_t BgL_arg1580z00_330;
																								obj_t BgL_arg1581z00_331;

																								BgL_arg1580z00_330 =
																									CNST_TABLE_REF(((long) 6));
																								{	/* Expand/exit.scm 76 */
																									obj_t BgL_arg1582z00_332;
																									obj_t BgL_arg1583z00_333;

																									{	/* Expand/exit.scm 76 */
																										obj_t BgL_arg1609z00_338;

																										{	/* Expand/exit.scm 76 */
																											obj_t BgL_arg1614z00_340;

																											{	/* Expand/exit.scm 76 */
																												obj_t
																													BgL_arg1616z00_341;
																												{	/* Expand/exit.scm 76 */
																													obj_t
																														BgL_arg1619z00_344;
																													obj_t
																														BgL_arg1625z00_345;
																													BgL_arg1619z00_344 =
																														CNST_TABLE_REF((
																															(long) 11));
																													BgL_arg1625z00_345 =
																														BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																														(BgL_bodyz00_258,
																														BNIL);
																													BgL_arg1616z00_341 =
																														MAKE_PAIR
																														(BgL_arg1619z00_344,
																														BgL_arg1625z00_345);
																												}
																												{	/* Expand/exit.scm 76 */
																													obj_t
																														BgL_list1618z00_343;
																													BgL_list1618z00_343 =
																														MAKE_PAIR(BNIL,
																														BNIL);
																													BgL_arg1614z00_340 =
																														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																														(BgL_arg1616z00_341,
																														BgL_list1618z00_343);
																											}}
																											BgL_arg1609z00_338 =
																												MAKE_PAIR
																												(BgL_resz00_274,
																												BgL_arg1614z00_340);
																										}
																										BgL_arg1582z00_332 =
																											MAKE_PAIR
																											(BgL_arg1609z00_338,
																											BNIL);
																									}
																									BgL_arg1583z00_333 =
																										MAKE_PAIR(CNST_TABLE_REF((
																												(long) 12)), BNIL);
																									{	/* Expand/exit.scm 76 */
																										obj_t BgL_list1585z00_335;

																										{	/* Expand/exit.scm 76 */
																											obj_t BgL_arg1591z00_336;

																											{	/* Expand/exit.scm 76 */
																												obj_t
																													BgL_arg1599z00_337;
																												BgL_arg1599z00_337 =
																													MAKE_PAIR(BNIL, BNIL);
																												BgL_arg1591z00_336 =
																													MAKE_PAIR
																													(BgL_resz00_274,
																													BgL_arg1599z00_337);
																											}
																											BgL_list1585z00_335 =
																												MAKE_PAIR
																												(BgL_arg1583z00_333,
																												BgL_arg1591z00_336);
																										}
																										BgL_arg1581z00_331 =
																											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																											(BgL_arg1582z00_332,
																											BgL_list1585z00_335);
																								}}
																								BgL_arg1561z00_314 =
																									MAKE_PAIR(BgL_arg1580z00_330,
																									BgL_arg1581z00_331);
																							}
																							{	/* Expand/exit.scm 72 */
																								obj_t BgL_list1563z00_316;

																								{	/* Expand/exit.scm 72 */
																									obj_t BgL_arg1564z00_317;

																									BgL_arg1564z00_317 =
																										MAKE_PAIR(BNIL, BNIL);
																									BgL_list1563z00_316 =
																										MAKE_PAIR
																										(BgL_arg1561z00_314,
																										BgL_arg1564z00_317);
																								}
																								BgL_arg1559z00_312 =
																									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																									(BgL_arg1560z00_313,
																									BgL_list1563z00_316);
																						}}
																						BgL_arg1535z00_301 =
																							MAKE_PAIR(BgL_arg1553z00_311,
																							BgL_arg1559z00_312);
																					}
																					{	/* Expand/exit.scm 71 */
																						obj_t BgL_list1537z00_303;

																						{	/* Expand/exit.scm 71 */
																							obj_t BgL_arg1538z00_304;

																							BgL_arg1538z00_304 =
																								MAKE_PAIR(BNIL, BNIL);
																							BgL_list1537z00_303 =
																								MAKE_PAIR(BgL_arg1535z00_301,
																								BgL_arg1538z00_304);
																						}
																						BgL_arg1533z00_299 =
																							BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																							(BgL_arg1534z00_300,
																							BgL_list1537z00_303);
																				}}
																				BgL_arg1521z00_288 =
																					MAKE_PAIR(BgL_arg1532z00_298,
																					BgL_arg1533z00_299);
																			}
																			{	/* Expand/exit.scm 69 */
																				obj_t BgL_list1523z00_290;

																				{	/* Expand/exit.scm 69 */
																					obj_t BgL_arg1524z00_291;

																					{	/* Expand/exit.scm 69 */
																						obj_t BgL_arg1525z00_292;

																						BgL_arg1525z00_292 =
																							MAKE_PAIR(BNIL, BNIL);
																						BgL_arg1524z00_291 =
																							MAKE_PAIR(BgL_arg1521z00_288,
																							BgL_arg1525z00_292);
																					}
																					BgL_list1523z00_290 =
																						MAKE_PAIR(BgL_arg1520z00_287,
																						BgL_arg1524z00_291);
																				}
																				BgL_arg1516z00_285 =
																					BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																					(BNIL, BgL_list1523z00_290);
																		}}
																		BgL_arg1506z00_280 =
																			MAKE_PAIR(BgL_arg1514z00_284,
																			BgL_arg1516z00_285);
																	}
																	{	/* Expand/exit.scm 68 */
																		obj_t BgL_list1508z00_282;

																		{	/* Expand/exit.scm 68 */
																			obj_t BgL_arg1513z00_283;

																			BgL_arg1513z00_283 =
																				MAKE_PAIR(BNIL, BNIL);
																			BgL_list1508z00_282 =
																				MAKE_PAIR(BgL_arg1506z00_280,
																				BgL_arg1513z00_283);
																		}
																		BgL_arg1504z00_278 =
																			BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																			(BgL_arg1505z00_279, BgL_list1508z00_282);
																}}
																BgL_arg1502z00_276 =
																	MAKE_PAIR(BgL_arg1503z00_277,
																	BgL_arg1504z00_278);
															}
															BgL_newz00_275 =
																PROCEDURE_ENTRY(BgL_ez00_30) (BgL_ez00_30,
																BgL_arg1502z00_276, BgL_ez00_30, BEOA);
														}
														return
															BGl_replacez12z12zztools_miscz00(BgL_xz00_29,
															BgL_newz00_275);
													}
												}
											}
										else
											{	/* Expand/exit.scm 62 */
											BgL_tagzd21187zd2_260:
												return
													BGl_errorz00zz__errorz00(BFALSE,
													BGl_string2399z00zzexpand_exitz00, BgL_xz00_29);
											}
									}
								else
									{	/* Expand/exit.scm 62 */
										goto BgL_tagzd21187zd2_260;
									}
							}
						else
							{	/* Expand/exit.scm 62 */
								goto BgL_tagzd21187zd2_260;
							}
					}
				else
					{	/* Expand/exit.scm 62 */
						goto BgL_tagzd21187zd2_260;
					}
			}
		}
	}



/* _expand-bind-exit2394 */
	obj_t BGl__expandzd2bindzd2exit2394z00zzexpand_exitz00(obj_t BgL_envz00_831,
		obj_t BgL_xz00_832, obj_t BgL_ez00_833)
	{
		AN_OBJECT;
		{	/* Expand/exit.scm 61 */
			return
				BGl_expandzd2bindzd2exitz00zzexpand_exitz00(BgL_xz00_832, BgL_ez00_833);
		}
	}



/* expand-unwind-protect */
	BGL_EXPORTED_DEF obj_t BGl_expandzd2unwindzd2protectz00zzexpand_exitz00(obj_t
		BgL_xz00_31, obj_t BgL_ez00_32)
	{
		AN_OBJECT;
		{	/* Expand/exit.scm 87 */
			{
				obj_t BgL_expz00_350;
				obj_t BgL_cleanupz00_351;

				if (PAIRP(BgL_xz00_31))
					{	/* Expand/exit.scm 88 */
						obj_t BgL_cdrzd21212zd2_356;

						BgL_cdrzd21212zd2_356 = CDR(BgL_xz00_31);
						if (PAIRP(BgL_cdrzd21212zd2_356))
							{	/* Expand/exit.scm 88 */
								obj_t BgL_cdrzd21216zd2_358;

								BgL_cdrzd21216zd2_358 = CDR(BgL_cdrzd21212zd2_356);
								if (PAIRP(BgL_cdrzd21216zd2_358))
									{	/* Expand/exit.scm 88 */
										BgL_expz00_350 = CAR(BgL_cdrzd21212zd2_356);
										BgL_cleanupz00_351 = BgL_cdrzd21216zd2_358;
										{	/* Expand/exit.scm 90 */
											obj_t BgL_valz00_361;

											BgL_valz00_361 =
												BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
												(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
															(long) 4))));
											{	/* Expand/exit.scm 90 */
												obj_t BgL_anzd2exitzd2_362;

												BgL_anzd2exitzd2_362 =
													BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
													(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
																(long) 2))));
												{	/* Expand/exit.scm 91 */
													obj_t BgL_valbisz00_363;

													BgL_valbisz00_363 =
														BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
														(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
																	(long) 4))));
													{	/* Expand/exit.scm 92 */
														obj_t BgL_eexpz00_364;

														BgL_eexpz00_364 =
															PROCEDURE_ENTRY(BgL_ez00_32) (BgL_ez00_32,
															BgL_expz00_350, BgL_ez00_32, BEOA);
														{	/* Expand/exit.scm 93 */
															obj_t BgL_auxz00_365;

															{	/* Expand/exit.scm 94 */
																obj_t BgL_arg1821z00_432;
																obj_t BgL_arg1825z00_433;

																BgL_arg1821z00_432 = CNST_TABLE_REF(((long) 6));
																{	/* Expand/exit.scm 94 */
																	obj_t BgL_arg1829z00_434;
																	obj_t BgL_arg1832z00_435;

																	{	/* Expand/exit.scm 94 */
																		obj_t BgL_arg1854z00_440;

																		{	/* Expand/exit.scm 94 */
																			obj_t BgL_arg1864z00_442;

																			{	/* Expand/exit.scm 94 */
																				obj_t BgL_list1865z00_443;

																				BgL_list1865z00_443 =
																					MAKE_PAIR(BNIL, BNIL);
																				BgL_arg1864z00_442 =
																					BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																					(BgL_eexpz00_364,
																					BgL_list1865z00_443);
																			}
																			BgL_arg1854z00_440 =
																				MAKE_PAIR(BgL_valbisz00_363,
																				BgL_arg1864z00_442);
																		}
																		BgL_arg1829z00_434 =
																			MAKE_PAIR(BgL_arg1854z00_440, BNIL);
																	}
																	BgL_arg1832z00_435 =
																		MAKE_PAIR(CNST_TABLE_REF(((long) 12)),
																		BNIL);
																	{	/* Expand/exit.scm 94 */
																		obj_t BgL_list1837z00_437;

																		{	/* Expand/exit.scm 94 */
																			obj_t BgL_arg1844z00_438;

																			{	/* Expand/exit.scm 94 */
																				obj_t BgL_arg1850z00_439;

																				BgL_arg1850z00_439 =
																					MAKE_PAIR(BNIL, BNIL);
																				BgL_arg1844z00_438 =
																					MAKE_PAIR(BgL_valbisz00_363,
																					BgL_arg1850z00_439);
																			}
																			BgL_list1837z00_437 =
																				MAKE_PAIR(BgL_arg1832z00_435,
																				BgL_arg1844z00_438);
																		}
																		BgL_arg1825z00_433 =
																			BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																			(BgL_arg1829z00_434, BgL_list1837z00_437);
																}}
																BgL_auxz00_365 =
																	MAKE_PAIR(BgL_arg1821z00_432,
																	BgL_arg1825z00_433);
															}
															{	/* Expand/exit.scm 94 */
																obj_t BgL_eauxz00_366;

																if (EXTENDED_PAIRP(BgL_eexpz00_364))
																	{	/* Expand/exit.scm 98 */
																		obj_t BgL_arg1811z00_429;
																		obj_t BgL_arg1812z00_430;
																		obj_t BgL_arg1815z00_431;

																		BgL_arg1811z00_429 = CAR(BgL_auxz00_365);
																		BgL_arg1812z00_430 = CDR(BgL_auxz00_365);
																		BgL_arg1815z00_431 = CER(BgL_eexpz00_364);
																		{	/* Expand/exit.scm 98 */
																			obj_t BgL_res2389z00_792;

																			BgL_res2389z00_792 =
																				MAKE_EXTENDED_PAIR(BgL_arg1811z00_429,
																				BgL_arg1812z00_430, BgL_arg1815z00_431);
																			BgL_eauxz00_366 = BgL_res2389z00_792;
																		}
																	}
																else
																	{	/* Expand/exit.scm 97 */
																		BgL_eauxz00_366 = BgL_auxz00_365;
																	}
																{	/* Expand/exit.scm 97 */

																	{	/* Expand/exit.scm 100 */
																		obj_t BgL_newz00_367;

																		{	/* Expand/exit.scm 100 */
																			obj_t BgL_arg1640z00_368;
																			obj_t BgL_arg1641z00_369;

																			BgL_arg1640z00_368 =
																				CNST_TABLE_REF(((long) 6));
																			{	/* Expand/exit.scm 100 */
																				obj_t BgL_arg1642z00_370;
																				obj_t BgL_arg1643z00_371;
																				obj_t BgL_arg1644z00_372;

																				{	/* Expand/exit.scm 100 */
																					obj_t BgL_arg1650z00_377;

																					{	/* Expand/exit.scm 100 */
																						obj_t BgL_arg1652z00_379;

																						{	/* Expand/exit.scm 100 */
																							obj_t BgL_arg1653z00_380;

																							{	/* Expand/exit.scm 100 */
																								obj_t BgL_arg1656z00_383;
																								obj_t BgL_arg1657z00_384;

																								BgL_arg1656z00_383 =
																									CNST_TABLE_REF(((long) 1));
																								{	/* Expand/exit.scm 100 */
																									obj_t BgL_arg1663z00_385;
																									obj_t BgL_arg1667z00_386;

																									BgL_arg1663z00_385 =
																										MAKE_PAIR
																										(BgL_anzd2exitzd2_362,
																										BNIL);
																									{	/* Expand/exit.scm 101 */
																										obj_t BgL_arg1682z00_390;
																										obj_t BgL_arg1686z00_391;

																										BgL_arg1682z00_390 =
																											CNST_TABLE_REF(((long)
																												6));
																										{	/* Expand/exit.scm 101 */
																											obj_t BgL_arg1702z00_393;

																											{	/* Expand/exit.scm 102 */
																												obj_t
																													BgL_arg1709z00_398;
																												obj_t
																													BgL_arg1710z00_399;
																												BgL_arg1709z00_398 =
																													CNST_TABLE_REF(((long)
																														7));
																												{	/* Expand/exit.scm 102 */
																													obj_t
																														BgL_list1711z00_400;
																													{	/* Expand/exit.scm 102 */
																														obj_t
																															BgL_arg1714z00_402;
																														BgL_arg1714z00_402 =
																															MAKE_PAIR(BNIL,
																															BNIL);
																														BgL_list1711z00_400
																															=
																															MAKE_PAIR(BINT((
																																	(long) 0)),
																															BgL_arg1714z00_402);
																													}
																													BgL_arg1710z00_399 =
																														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																														(BgL_anzd2exitzd2_362,
																														BgL_list1711z00_400);
																												}
																												BgL_arg1702z00_393 =
																													MAKE_PAIR
																													(BgL_arg1709z00_398,
																													BgL_arg1710z00_399);
																											}
																											{	/* Expand/exit.scm 101 */
																												obj_t
																													BgL_list1704z00_395;
																												{	/* Expand/exit.scm 101 */
																													obj_t
																														BgL_arg1705z00_396;
																													{	/* Expand/exit.scm 101 */
																														obj_t
																															BgL_arg1706z00_397;
																														BgL_arg1706z00_397 =
																															MAKE_PAIR(BNIL,
																															BNIL);
																														BgL_arg1705z00_396 =
																															MAKE_PAIR
																															(BgL_auxz00_365,
																															BgL_arg1706z00_397);
																													}
																													BgL_list1704z00_395 =
																														MAKE_PAIR
																														(BgL_arg1702z00_393,
																														BgL_arg1705z00_396);
																												}
																												BgL_arg1686z00_391 =
																													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																													(BNIL,
																													BgL_list1704z00_395);
																										}}
																										BgL_arg1667z00_386 =
																											MAKE_PAIR
																											(BgL_arg1682z00_390,
																											BgL_arg1686z00_391);
																									}
																									{	/* Expand/exit.scm 100 */
																										obj_t BgL_list1669z00_388;

																										{	/* Expand/exit.scm 100 */
																											obj_t BgL_arg1672z00_389;

																											BgL_arg1672z00_389 =
																												MAKE_PAIR(BNIL, BNIL);
																											BgL_list1669z00_388 =
																												MAKE_PAIR
																												(BgL_arg1667z00_386,
																												BgL_arg1672z00_389);
																										}
																										BgL_arg1657z00_384 =
																											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																											(BgL_arg1663z00_385,
																											BgL_list1669z00_388);
																								}}
																								BgL_arg1653z00_380 =
																									MAKE_PAIR(BgL_arg1656z00_383,
																									BgL_arg1657z00_384);
																							}
																							{	/* Expand/exit.scm 100 */
																								obj_t BgL_list1655z00_382;

																								BgL_list1655z00_382 =
																									MAKE_PAIR(BNIL, BNIL);
																								BgL_arg1652z00_379 =
																									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																									(BgL_arg1653z00_380,
																									BgL_list1655z00_382);
																						}}
																						BgL_arg1650z00_377 =
																							MAKE_PAIR(BgL_valz00_361,
																							BgL_arg1652z00_379);
																					}
																					BgL_arg1642z00_370 =
																						MAKE_PAIR(BgL_arg1650z00_377, BNIL);
																				}
																				{	/* Expand/exit.scm 104 */
																					obj_t BgL_arg1715z00_403;

																					BgL_arg1715z00_403 =
																						BGl_expandzd2prognzd2zz__prognz00
																						(BgL_cleanupz00_351);
																					BgL_arg1643z00_371 =
																						PROCEDURE_ENTRY(BgL_ez00_32)
																						(BgL_ez00_32, BgL_arg1715z00_403,
																						BgL_ez00_32, BEOA);
																				}
																				{	/* Expand/exit.scm 105 */
																					obj_t BgL_arg1717z00_404;
																					obj_t BgL_arg1718z00_405;

																					BgL_arg1717z00_404 =
																						CNST_TABLE_REF(((long) 13));
																					{	/* Expand/exit.scm 105 */
																						obj_t BgL_arg1720z00_406;
																						obj_t BgL_arg1721z00_407;

																						{	/* Expand/exit.scm 105 */
																							obj_t BgL_arg1728z00_412;
																							obj_t BgL_arg1729z00_413;

																							BgL_arg1728z00_412 =
																								CNST_TABLE_REF(((long) 14));
																							{	/* Expand/exit.scm 105 */
																								obj_t BgL_list1730z00_414;

																								BgL_list1730z00_414 =
																									MAKE_PAIR(BNIL, BNIL);
																								BgL_arg1729z00_413 =
																									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																									(BgL_valz00_361,
																									BgL_list1730z00_414);
																							}
																							BgL_arg1720z00_406 =
																								MAKE_PAIR(BgL_arg1728z00_412,
																								BgL_arg1729z00_413);
																						}
																						{	/* Expand/exit.scm 106 */
																							obj_t BgL_arg1731z00_415;
																							obj_t BgL_arg1732z00_416;

																							BgL_arg1731z00_415 =
																								CNST_TABLE_REF(((long) 10));
																							{	/* Expand/exit.scm 106 */
																								obj_t BgL_arg1733z00_417;
																								obj_t BgL_arg1734z00_418;

																								{	/* Expand/exit.scm 106 */
																									obj_t BgL_arg1738z00_422;
																									obj_t BgL_arg1743z00_423;

																									BgL_arg1738z00_422 =
																										CNST_TABLE_REF(((long) 15));
																									{	/* Expand/exit.scm 106 */
																										obj_t BgL_list1744z00_424;

																										BgL_list1744z00_424 =
																											MAKE_PAIR(BNIL, BNIL);
																										BgL_arg1743z00_423 =
																											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																											(BgL_valz00_361,
																											BgL_list1744z00_424);
																									}
																									BgL_arg1733z00_417 =
																										MAKE_PAIR
																										(BgL_arg1738z00_422,
																										BgL_arg1743z00_423);
																								}
																								{	/* Expand/exit.scm 106 */
																									obj_t BgL_arg1764z00_425;
																									obj_t BgL_arg1792z00_426;

																									BgL_arg1764z00_425 =
																										CNST_TABLE_REF(((long) 16));
																									{	/* Expand/exit.scm 106 */
																										obj_t BgL_list1793z00_427;

																										BgL_list1793z00_427 =
																											MAKE_PAIR(BNIL, BNIL);
																										BgL_arg1792z00_426 =
																											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																											(BgL_valz00_361,
																											BgL_list1793z00_427);
																									}
																									BgL_arg1734z00_418 =
																										MAKE_PAIR
																										(BgL_arg1764z00_425,
																										BgL_arg1792z00_426);
																								}
																								{	/* Expand/exit.scm 106 */
																									obj_t BgL_list1736z00_420;

																									{	/* Expand/exit.scm 106 */
																										obj_t BgL_arg1737z00_421;

																										BgL_arg1737z00_421 =
																											MAKE_PAIR(BNIL, BNIL);
																										BgL_list1736z00_420 =
																											MAKE_PAIR
																											(BgL_arg1734z00_418,
																											BgL_arg1737z00_421);
																									}
																									BgL_arg1732z00_416 =
																										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																										(BgL_arg1733z00_417,
																										BgL_list1736z00_420);
																							}}
																							BgL_arg1721z00_407 =
																								MAKE_PAIR(BgL_arg1731z00_415,
																								BgL_arg1732z00_416);
																						}
																						{	/* Expand/exit.scm 105 */
																							obj_t BgL_list1725z00_409;

																							{	/* Expand/exit.scm 105 */
																								obj_t BgL_arg1726z00_410;

																								{	/* Expand/exit.scm 105 */
																									obj_t BgL_arg1727z00_411;

																									BgL_arg1727z00_411 =
																										MAKE_PAIR(BNIL, BNIL);
																									BgL_arg1726z00_410 =
																										MAKE_PAIR(BgL_valz00_361,
																										BgL_arg1727z00_411);
																								}
																								BgL_list1725z00_409 =
																									MAKE_PAIR(BgL_arg1721z00_407,
																									BgL_arg1726z00_410);
																							}
																							BgL_arg1718z00_405 =
																								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																								(BgL_arg1720z00_406,
																								BgL_list1725z00_409);
																					}}
																					BgL_arg1644z00_372 =
																						MAKE_PAIR(BgL_arg1717z00_404,
																						BgL_arg1718z00_405);
																				}
																				{	/* Expand/exit.scm 100 */
																					obj_t BgL_list1646z00_374;

																					{	/* Expand/exit.scm 100 */
																						obj_t BgL_arg1647z00_375;

																						{	/* Expand/exit.scm 100 */
																							obj_t BgL_arg1649z00_376;

																							BgL_arg1649z00_376 =
																								MAKE_PAIR(BNIL, BNIL);
																							BgL_arg1647z00_375 =
																								MAKE_PAIR(BgL_arg1644z00_372,
																								BgL_arg1649z00_376);
																						}
																						BgL_list1646z00_374 =
																							MAKE_PAIR(BgL_arg1643z00_371,
																							BgL_arg1647z00_375);
																					}
																					BgL_arg1641z00_369 =
																						BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																						(BgL_arg1642z00_370,
																						BgL_list1646z00_374);
																			}}
																			BgL_newz00_367 =
																				MAKE_PAIR(BgL_arg1640z00_368,
																				BgL_arg1641z00_369);
																		}
																		return
																			BGl_replacez12z12zztools_miscz00
																			(BgL_xz00_31, BgL_newz00_367);
																	}
																}
															}
														}
													}
												}
											}
										}
									}
								else
									{	/* Expand/exit.scm 88 */
									BgL_tagzd21205zd2_353:
										return
											BGl_errorz00zz__errorz00(BFALSE,
											BGl_string2400z00zzexpand_exitz00, BgL_xz00_31);
									}
							}
						else
							{	/* Expand/exit.scm 88 */
								goto BgL_tagzd21205zd2_353;
							}
					}
				else
					{	/* Expand/exit.scm 88 */
						goto BgL_tagzd21205zd2_353;
					}
			}
		}
	}



/* _expand-unwind-prote2395 */
	obj_t BGl__expandzd2unwindzd2prote2395z00zzexpand_exitz00(obj_t
		BgL_envz00_834, obj_t BgL_xz00_835, obj_t BgL_ez00_836)
	{
		AN_OBJECT;
		{	/* Expand/exit.scm 87 */
			return
				BGl_expandzd2unwindzd2protectz00zzexpand_exitz00(BgL_xz00_835,
				BgL_ez00_836);
		}
	}



/* expand-with-handler */
	BGL_EXPORTED_DEF obj_t BGl_expandzd2withzd2handlerz00zzexpand_exitz00(obj_t
		BgL_xz00_33, obj_t BgL_ez00_34)
	{
		AN_OBJECT;
		{	/* Expand/exit.scm 115 */
			{
				obj_t BgL_handlerz00_521;
				obj_t BgL_bodyz00_522;
				obj_t BgL_bodyz00_461;

				{

					if (PAIRP(BgL_xz00_33))
						{	/* Expand/exit.scm 165 */
							obj_t BgL_cdrzd21229zd2_455;

							BgL_cdrzd21229zd2_455 = CDR(BgL_xz00_33);
							if (PAIRP(BgL_cdrzd21229zd2_455))
								{	/* Expand/exit.scm 165 */
									obj_t BgL_arg1875z00_457;
									obj_t BgL_arg1878z00_458;

									BgL_arg1875z00_457 = CAR(BgL_cdrzd21229zd2_455);
									BgL_arg1878z00_458 = CDR(BgL_cdrzd21229zd2_455);
									{	/* Expand/exit.scm 165 */
										obj_t BgL_auxz00_1114;

										BgL_handlerz00_521 = BgL_arg1875z00_457;
										BgL_bodyz00_522 = BgL_arg1878z00_458;
										{	/* Expand/exit.scm 117 */
											obj_t BgL_hdlz00_524;
											obj_t BgL_ohsz00_525;
											obj_t BgL_nhz00_526;
											obj_t BgL_valz00_527;
											obj_t BgL_exitz00_528;
											obj_t BgL_etopz00_529;
											obj_t BgL_tmpz00_530;
											obj_t BgL_ebodyz00_531;

											BgL_hdlz00_524 =
												BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
														(long) 21)));
											BgL_ohsz00_525 =
												BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
														(long) 22)));
											BgL_nhz00_526 =
												BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
														(long) 21)));
											BgL_valz00_527 =
												BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
														(long) 4)));
											BgL_exitz00_528 =
												BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
														(long) 23)));
											BgL_etopz00_529 =
												BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
														(long) 24)));
											BgL_tmpz00_530 =
												BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
														(long) 25)));
											{	/* Expand/exit.scm 124 */
												obj_t BgL_arg2384z00_710;

												BgL_arg2384z00_710 =
													BGl_expandzd2prognzd2zz__prognz00(BgL_bodyz00_522);
												BgL_ebodyz00_531 =
													PROCEDURE_ENTRY(BgL_ez00_34) (BgL_ez00_34,
													BgL_arg2384z00_710, BgL_ez00_34, BEOA);
											}
											{	/* Expand/exit.scm 125 */
												obj_t BgL_arg2085z00_532;
												obj_t BgL_arg2089z00_533;

												BgL_arg2085z00_532 = CNST_TABLE_REF(((long) 6));
												{	/* Expand/exit.scm 125 */
													obj_t BgL_arg2090z00_534;
													obj_t BgL_arg2094z00_535;

													{	/* Expand/exit.scm 125 */
														obj_t BgL_arg2114z00_539;

														{	/* Expand/exit.scm 125 */
															obj_t BgL_arg2125z00_541;

															{	/* Expand/exit.scm 125 */
																obj_t BgL_arg2129z00_542;

																BgL_arg2129z00_542 =
																	PROCEDURE_ENTRY(BgL_ez00_34) (BgL_ez00_34,
																	BgL_handlerz00_521, BgL_ez00_34, BEOA);
																{	/* Expand/exit.scm 125 */
																	obj_t BgL_list2135z00_544;

																	BgL_list2135z00_544 = MAKE_PAIR(BNIL, BNIL);
																	BgL_arg2125z00_541 =
																		BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																		(BgL_arg2129z00_542, BgL_list2135z00_544);
															}}
															BgL_arg2114z00_539 =
																MAKE_PAIR(BgL_hdlz00_524, BgL_arg2125z00_541);
														}
														BgL_arg2090z00_534 =
															MAKE_PAIR(BgL_arg2114z00_539, BNIL);
													}
													{	/* Expand/exit.scm 126 */
														obj_t BgL_arg2140z00_545;
														obj_t BgL_arg2144z00_546;

														BgL_arg2140z00_545 = CNST_TABLE_REF(((long) 13));
														{	/* Expand/exit.scm 126 */
															obj_t BgL_arg2151z00_547;
															obj_t BgL_arg2152z00_548;
															obj_t BgL_arg2153z00_549;

															{	/* Expand/exit.scm 126 */
																obj_t BgL_arg2160z00_554;
																obj_t BgL_arg2161z00_555;

																BgL_arg2160z00_554 =
																	CNST_TABLE_REF(((long) 26));
																{	/* Expand/exit.scm 126 */
																	obj_t BgL_list2162z00_556;

																	{	/* Expand/exit.scm 126 */
																		obj_t BgL_arg2164z00_558;

																		BgL_arg2164z00_558 = MAKE_PAIR(BNIL, BNIL);
																		BgL_list2162z00_556 =
																			MAKE_PAIR(BINT(((long) 1)),
																			BgL_arg2164z00_558);
																	}
																	BgL_arg2161z00_555 =
																		BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																		(BgL_hdlz00_524, BgL_list2162z00_556);
																}
																BgL_arg2151z00_547 =
																	MAKE_PAIR(BgL_arg2160z00_554,
																	BgL_arg2161z00_555);
															}
															{	/* Expand/exit.scm 127 */
																obj_t BgL_arg2165z00_559;
																obj_t BgL_arg2167z00_560;

																BgL_arg2165z00_559 = CNST_TABLE_REF(((long) 6));
																{	/* Expand/exit.scm 127 */
																	obj_t BgL_arg2170z00_561;
																	obj_t BgL_arg2171z00_562;

																	{	/* Expand/exit.scm 127 */
																		obj_t BgL_arg2175z00_566;

																		{	/* Expand/exit.scm 127 */
																			obj_t BgL_arg2177z00_568;

																			{	/* Expand/exit.scm 127 */
																				obj_t BgL_arg2178z00_569;

																				BgL_arg2178z00_569 =
																					MAKE_PAIR(CNST_TABLE_REF(((long) 27)),
																					BNIL);
																				{	/* Expand/exit.scm 127 */
																					obj_t BgL_list2180z00_571;

																					BgL_list2180z00_571 =
																						MAKE_PAIR(BNIL, BNIL);
																					BgL_arg2177z00_568 =
																						BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																						(BgL_arg2178z00_569,
																						BgL_list2180z00_571);
																			}}
																			BgL_arg2175z00_566 =
																				MAKE_PAIR(BgL_ohsz00_525,
																				BgL_arg2177z00_568);
																		}
																		BgL_arg2170z00_561 =
																			MAKE_PAIR(BgL_arg2175z00_566, BNIL);
																	}
																	{	/* Expand/exit.scm 128 */
																		obj_t BgL_arg2181z00_572;
																		obj_t BgL_arg2182z00_573;

																		BgL_arg2181z00_572 =
																			CNST_TABLE_REF(((long) 6));
																		{	/* Expand/exit.scm 128 */
																			obj_t BgL_arg2195z00_574;
																			obj_t BgL_arg2196z00_575;
																			obj_t BgL_arg2197z00_576;

																			{	/* Expand/exit.scm 128 */
																				obj_t BgL_arg2202z00_581;

																				{	/* Expand/exit.scm 128 */
																					obj_t BgL_arg2204z00_583;

																					{	/* Expand/exit.scm 128 */
																						obj_t BgL_arg2205z00_584;

																						{	/* Expand/exit.scm 128 */
																							obj_t BgL_arg2208z00_587;
																							obj_t BgL_arg2209z00_588;

																							BgL_arg2208z00_587 =
																								CNST_TABLE_REF(((long) 1));
																							{	/* Expand/exit.scm 128 */
																								obj_t BgL_arg2210z00_589;
																								obj_t BgL_arg2211z00_590;

																								BgL_arg2210z00_589 =
																									MAKE_PAIR(BgL_exitz00_528,
																									BNIL);
																								{	/* Expand/exit.scm 129 */
																									obj_t BgL_arg2215z00_594;
																									obj_t BgL_arg2219z00_595;

																									BgL_arg2215z00_594 =
																										CNST_TABLE_REF(((long) 6));
																									{	/* Expand/exit.scm 129 */
																										obj_t BgL_arg2227z00_597;
																										obj_t BgL_arg2233z00_598;

																										{	/* Expand/exit.scm 130 */
																											obj_t BgL_arg2251z00_603;
																											obj_t BgL_arg2255z00_604;

																											BgL_arg2251z00_603 =
																												CNST_TABLE_REF(((long)
																													7));
																											{	/* Expand/exit.scm 130 */
																												obj_t
																													BgL_list2256z00_605;
																												{	/* Expand/exit.scm 130 */
																													obj_t
																														BgL_arg2258z00_607;
																													BgL_arg2258z00_607 =
																														MAKE_PAIR(BNIL,
																														BNIL);
																													BgL_list2256z00_605 =
																														MAKE_PAIR(BINT((
																																(long) 0)),
																														BgL_arg2258z00_607);
																												}
																												BgL_arg2255z00_604 =
																													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																													(BgL_exitz00_528,
																													BgL_list2256z00_605);
																											}
																											BgL_arg2227z00_597 =
																												MAKE_PAIR
																												(BgL_arg2251z00_603,
																												BgL_arg2255z00_604);
																										}
																										{	/* Expand/exit.scm 131 */
																											obj_t BgL_arg2259z00_608;
																											obj_t BgL_arg2260z00_609;

																											BgL_arg2259z00_608 =
																												CNST_TABLE_REF(((long)
																													6));
																											{	/* Expand/exit.scm 131 */
																												obj_t
																													BgL_arg2272z00_610;
																												obj_t
																													BgL_arg2278z00_611;
																												{	/* Expand/exit.scm 131 */
																													obj_t
																														BgL_arg2282z00_615;
																													{	/* Expand/exit.scm 131 */
																														obj_t
																															BgL_arg2284z00_617;
																														{	/* Expand/exit.scm 131 */
																															obj_t
																																BgL_arg2285z00_618;
																															BgL_arg2285z00_618
																																=
																																MAKE_PAIR
																																(CNST_TABLE_REF(
																																	((long) 8)),
																																BNIL);
																															{	/* Expand/exit.scm 131 */
																																obj_t
																																	BgL_list2287z00_620;
																																BgL_list2287z00_620
																																	=
																																	MAKE_PAIR
																																	(BNIL, BNIL);
																																BgL_arg2284z00_617
																																	=
																																	BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																	(BgL_arg2285z00_618,
																																	BgL_list2287z00_620);
																														}}
																														BgL_arg2282z00_615 =
																															MAKE_PAIR
																															(BgL_etopz00_529,
																															BgL_arg2284z00_617);
																													}
																													BgL_arg2272z00_610 =
																														MAKE_PAIR
																														(BgL_arg2282z00_615,
																														BNIL);
																												}
																												{	/* Expand/exit.scm 132 */
																													obj_t
																														BgL_arg2288z00_621;
																													obj_t
																														BgL_arg2289z00_622;
																													BgL_arg2288z00_621 =
																														CNST_TABLE_REF((
																															(long) 6));
																													{	/* Expand/exit.scm 132 */
																														obj_t
																															BgL_arg2290z00_623;
																														obj_t
																															BgL_arg2291z00_624;
																														obj_t
																															BgL_arg2292z00_625;
																														{	/* Expand/exit.scm 132 */
																															obj_t
																																BgL_arg2297z00_630;
																															{	/* Expand/exit.scm 132 */
																																obj_t
																																	BgL_arg2300z00_632;
																																{	/* Expand/exit.scm 132 */
																																	obj_t
																																		BgL_arg2301z00_633;
																																	{	/* Expand/exit.scm 132 */
																																		obj_t
																																			BgL_arg2305z00_636;
																																		obj_t
																																			BgL_arg2306z00_637;
																																		BgL_arg2305z00_636
																																			=
																																			CNST_TABLE_REF
																																			(((long)
																																				28));
																																		{	/* Expand/exit.scm 132 */
																																			obj_t
																																				BgL_arg2307z00_638;
																																			obj_t
																																				BgL_arg2308z00_639;
																																			BgL_arg2307z00_638
																																				=
																																				MAKE_PAIR
																																				(CNST_TABLE_REF
																																				(((long)
																																						29)),
																																				BNIL);
																																			{	/* Expand/exit.scm 133 */
																																				obj_t
																																					BgL_arg2312z00_643;
																																				obj_t
																																					BgL_arg2313z00_644;
																																				BgL_arg2312z00_643
																																					=
																																					CNST_TABLE_REF
																																					(((long) 10));
																																				{	/* Expand/exit.scm 135 */
																																					obj_t
																																						BgL_arg2314z00_645;
																																					{	/* Expand/exit.scm 135 */
																																						obj_t
																																							BgL_arg2318z00_649;
																																						{	/* Expand/exit.scm 135 */
																																							obj_t
																																								BgL_list2319z00_650;
																																							BgL_list2319z00_650
																																								=
																																								MAKE_PAIR
																																								(BNIL,
																																								BNIL);
																																							BgL_arg2318z00_649
																																								=
																																								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																								(CNST_TABLE_REF
																																								(((long) 29)), BgL_list2319z00_650);
																																						}
																																						BgL_arg2314z00_645
																																							=
																																							MAKE_PAIR
																																							(BgL_hdlz00_524,
																																							BgL_arg2318z00_649);
																																					}
																																					{	/* Expand/exit.scm 133 */
																																						obj_t
																																							BgL_list2316z00_647;
																																						{	/* Expand/exit.scm 133 */
																																							obj_t
																																								BgL_arg2317z00_648;
																																							BgL_arg2317z00_648
																																								=
																																								MAKE_PAIR
																																								(BNIL,
																																								BNIL);
																																							BgL_list2316z00_647
																																								=
																																								MAKE_PAIR
																																								(BgL_arg2314z00_645,
																																								BgL_arg2317z00_648);
																																						}
																																						BgL_arg2313z00_644
																																							=
																																							BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																							(BgL_etopz00_529,
																																							BgL_list2316z00_647);
																																				}}
																																				BgL_arg2308z00_639
																																					=
																																					MAKE_PAIR
																																					(BgL_arg2312z00_643,
																																					BgL_arg2313z00_644);
																																			}
																																			{	/* Expand/exit.scm 132 */
																																				obj_t
																																					BgL_list2310z00_641;
																																				{	/* Expand/exit.scm 132 */
																																					obj_t
																																						BgL_arg2311z00_642;
																																					BgL_arg2311z00_642
																																						=
																																						MAKE_PAIR
																																						(BNIL,
																																						BNIL);
																																					BgL_list2310z00_641
																																						=
																																						MAKE_PAIR
																																						(BgL_arg2308z00_639,
																																						BgL_arg2311z00_642);
																																				}
																																				BgL_arg2306z00_637
																																					=
																																					BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																					(BgL_arg2307z00_638,
																																					BgL_list2310z00_641);
																																		}}
																																		BgL_arg2301z00_633
																																			=
																																			MAKE_PAIR
																																			(BgL_arg2305z00_636,
																																			BgL_arg2306z00_637);
																																	}
																																	{	/* Expand/exit.scm 132 */
																																		obj_t
																																			BgL_list2303z00_635;
																																		BgL_list2303z00_635
																																			=
																																			MAKE_PAIR
																																			(BNIL,
																																			BNIL);
																																		BgL_arg2300z00_632
																																			=
																																			BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																			(BgL_arg2301z00_633,
																																			BgL_list2303z00_635);
																																}}
																																BgL_arg2297z00_630
																																	=
																																	MAKE_PAIR
																																	(BgL_nhz00_526,
																																	BgL_arg2300z00_632);
																															}
																															BgL_arg2290z00_623
																																=
																																MAKE_PAIR
																																(BgL_arg2297z00_630,
																																BNIL);
																														}
																														{	/* Expand/exit.scm 136 */
																															obj_t
																																BgL_arg2320z00_651;
																															obj_t
																																BgL_arg2321z00_652;
																															BgL_arg2320z00_651
																																=
																																CNST_TABLE_REF((
																																	(long) 30));
																															{	/* Expand/exit.scm 137 */
																																obj_t
																																	BgL_arg2322z00_653;
																																{	/* Expand/exit.scm 137 */
																																	obj_t
																																		BgL_arg2325z00_656;
																																	obj_t
																																		BgL_arg2326z00_657;
																																	BgL_arg2325z00_656
																																		=
																																		CNST_TABLE_REF
																																		(((long)
																																			31));
																																	{	/* Expand/exit.scm 137 */
																																		obj_t
																																			BgL_list2327z00_658;
																																		{	/* Expand/exit.scm 137 */
																																			obj_t
																																				BgL_arg2328z00_659;
																																			BgL_arg2328z00_659
																																				=
																																				MAKE_PAIR
																																				(BNIL,
																																				BNIL);
																																			BgL_list2327z00_658
																																				=
																																				MAKE_PAIR
																																				(BgL_ohsz00_525,
																																				BgL_arg2328z00_659);
																																		}
																																		BgL_arg2326z00_657
																																			=
																																			BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																			(BgL_nhz00_526,
																																			BgL_list2327z00_658);
																																	}
																																	BgL_arg2322z00_653
																																		=
																																		MAKE_PAIR
																																		(BgL_arg2325z00_656,
																																		BgL_arg2326z00_657);
																																}
																																{	/* Expand/exit.scm 136 */
																																	obj_t
																																		BgL_list2324z00_655;
																																	BgL_list2324z00_655
																																		=
																																		MAKE_PAIR
																																		(BNIL,
																																		BNIL);
																																	BgL_arg2321z00_652
																																		=
																																		BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																		(BgL_arg2322z00_653,
																																		BgL_list2324z00_655);
																															}}
																															BgL_arg2291z00_624
																																=
																																MAKE_PAIR
																																(BgL_arg2320z00_651,
																																BgL_arg2321z00_652);
																														}
																														{	/* Expand/exit.scm 138 */
																															obj_t
																																BgL_arg2329z00_660;
																															obj_t
																																BgL_arg2331z00_661;
																															BgL_arg2329z00_660
																																=
																																CNST_TABLE_REF((
																																	(long) 6));
																															{	/* Expand/exit.scm 138 */
																																obj_t
																																	BgL_arg2332z00_662;
																																obj_t
																																	BgL_arg2333z00_663;
																																{	/* Expand/exit.scm 138 */
																																	obj_t
																																		BgL_arg2339z00_668;
																																	{	/* Expand/exit.scm 138 */
																																		obj_t
																																			BgL_arg2342z00_670;
																																		{	/* Expand/exit.scm 138 */
																																			obj_t
																																				BgL_list2343z00_671;
																																			BgL_list2343z00_671
																																				=
																																				MAKE_PAIR
																																				(BNIL,
																																				BNIL);
																																			BgL_arg2342z00_670
																																				=
																																				BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																				(BgL_ebodyz00_531,
																																				BgL_list2343z00_671);
																																		}
																																		BgL_arg2339z00_668
																																			=
																																			MAKE_PAIR
																																			(BgL_tmpz00_530,
																																			BgL_arg2342z00_670);
																																	}
																																	BgL_arg2332z00_662
																																		=
																																		MAKE_PAIR
																																		(BgL_arg2339z00_668,
																																		BNIL);
																																}
																																BgL_arg2333z00_663
																																	=
																																	MAKE_PAIR
																																	(CNST_TABLE_REF
																																	(((long) 12)),
																																	BNIL);
																																{	/* Expand/exit.scm 138 */
																																	obj_t
																																		BgL_list2336z00_665;
																																	{	/* Expand/exit.scm 138 */
																																		obj_t
																																			BgL_arg2337z00_666;
																																		{	/* Expand/exit.scm 138 */
																																			obj_t
																																				BgL_arg2338z00_667;
																																			BgL_arg2338z00_667
																																				=
																																				MAKE_PAIR
																																				(BNIL,
																																				BNIL);
																																			BgL_arg2337z00_666
																																				=
																																				MAKE_PAIR
																																				(BgL_tmpz00_530,
																																				BgL_arg2338z00_667);
																																		}
																																		BgL_list2336z00_665
																																			=
																																			MAKE_PAIR
																																			(BgL_arg2333z00_663,
																																			BgL_arg2337z00_666);
																																	}
																																	BgL_arg2331z00_661
																																		=
																																		BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																		(BgL_arg2332z00_662,
																																		BgL_list2336z00_665);
																															}}
																															BgL_arg2292z00_625
																																=
																																MAKE_PAIR
																																(BgL_arg2329z00_660,
																																BgL_arg2331z00_661);
																														}
																														{	/* Expand/exit.scm 132 */
																															obj_t
																																BgL_list2294z00_627;
																															{	/* Expand/exit.scm 132 */
																																obj_t
																																	BgL_arg2295z00_628;
																																{	/* Expand/exit.scm 132 */
																																	obj_t
																																		BgL_arg2296z00_629;
																																	BgL_arg2296z00_629
																																		=
																																		MAKE_PAIR
																																		(BNIL,
																																		BNIL);
																																	BgL_arg2295z00_628
																																		=
																																		MAKE_PAIR
																																		(BgL_arg2292z00_625,
																																		BgL_arg2296z00_629);
																																}
																																BgL_list2294z00_627
																																	=
																																	MAKE_PAIR
																																	(BgL_arg2291z00_624,
																																	BgL_arg2295z00_628);
																															}
																															BgL_arg2289z00_622
																																=
																																BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																(BgL_arg2290z00_623,
																																BgL_list2294z00_627);
																													}}
																													BgL_arg2278z00_611 =
																														MAKE_PAIR
																														(BgL_arg2288z00_621,
																														BgL_arg2289z00_622);
																												}
																												{	/* Expand/exit.scm 131 */
																													obj_t
																														BgL_list2280z00_613;
																													{	/* Expand/exit.scm 131 */
																														obj_t
																															BgL_arg2281z00_614;
																														BgL_arg2281z00_614 =
																															MAKE_PAIR(BNIL,
																															BNIL);
																														BgL_list2280z00_613
																															=
																															MAKE_PAIR
																															(BgL_arg2278z00_611,
																															BgL_arg2281z00_614);
																													}
																													BgL_arg2260z00_609 =
																														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																														(BgL_arg2272z00_610,
																														BgL_list2280z00_613);
																											}}
																											BgL_arg2233z00_598 =
																												MAKE_PAIR
																												(BgL_arg2259z00_608,
																												BgL_arg2260z00_609);
																										}
																										{	/* Expand/exit.scm 129 */
																											obj_t BgL_list2238z00_600;

																											{	/* Expand/exit.scm 129 */
																												obj_t
																													BgL_arg2241z00_601;
																												{	/* Expand/exit.scm 129 */
																													obj_t
																														BgL_arg2247z00_602;
																													BgL_arg2247z00_602 =
																														MAKE_PAIR(BNIL,
																														BNIL);
																													BgL_arg2241z00_601 =
																														MAKE_PAIR
																														(BgL_arg2233z00_598,
																														BgL_arg2247z00_602);
																												}
																												BgL_list2238z00_600 =
																													MAKE_PAIR
																													(BgL_arg2227z00_597,
																													BgL_arg2241z00_601);
																											}
																											BgL_arg2219z00_595 =
																												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																												(BNIL,
																												BgL_list2238z00_600);
																									}}
																									BgL_arg2211z00_590 =
																										MAKE_PAIR
																										(BgL_arg2215z00_594,
																										BgL_arg2219z00_595);
																								}
																								{	/* Expand/exit.scm 128 */
																									obj_t BgL_list2213z00_592;

																									{	/* Expand/exit.scm 128 */
																										obj_t BgL_arg2214z00_593;

																										BgL_arg2214z00_593 =
																											MAKE_PAIR(BNIL, BNIL);
																										BgL_list2213z00_592 =
																											MAKE_PAIR
																											(BgL_arg2211z00_590,
																											BgL_arg2214z00_593);
																									}
																									BgL_arg2209z00_588 =
																										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																										(BgL_arg2210z00_589,
																										BgL_list2213z00_592);
																							}}
																							BgL_arg2205z00_584 =
																								MAKE_PAIR(BgL_arg2208z00_587,
																								BgL_arg2209z00_588);
																						}
																						{	/* Expand/exit.scm 128 */
																							obj_t BgL_list2207z00_586;

																							BgL_list2207z00_586 =
																								MAKE_PAIR(BNIL, BNIL);
																							BgL_arg2204z00_583 =
																								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																								(BgL_arg2205z00_584,
																								BgL_list2207z00_586);
																					}}
																					BgL_arg2202z00_581 =
																						MAKE_PAIR(BgL_valz00_527,
																						BgL_arg2204z00_583);
																				}
																				BgL_arg2195z00_574 =
																					MAKE_PAIR(BgL_arg2202z00_581, BNIL);
																			}
																			{	/* Expand/exit.scm 141 */
																				obj_t BgL_arg2344z00_672;
																				obj_t BgL_arg2345z00_673;

																				BgL_arg2344z00_672 =
																					CNST_TABLE_REF(((long) 30));
																				{	/* Expand/exit.scm 141 */
																					obj_t BgL_list2346z00_674;

																					BgL_list2346z00_674 =
																						MAKE_PAIR(BNIL, BNIL);
																					BgL_arg2345z00_673 =
																						BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																						(BgL_ohsz00_525,
																						BgL_list2346z00_674);
																				}
																				BgL_arg2196z00_575 =
																					MAKE_PAIR(BgL_arg2344z00_672,
																					BgL_arg2345z00_673);
																			}
																			{	/* Expand/exit.scm 142 */
																				obj_t BgL_arg2347z00_675;
																				obj_t BgL_arg2348z00_676;

																				BgL_arg2347z00_675 =
																					CNST_TABLE_REF(((long) 13));
																				{	/* Expand/exit.scm 142 */
																					obj_t BgL_arg2349z00_677;
																					obj_t BgL_arg2350z00_678;

																					{	/* Expand/exit.scm 142 */
																						obj_t BgL_arg2355z00_683;
																						obj_t BgL_arg2356z00_684;

																						BgL_arg2355z00_683 =
																							CNST_TABLE_REF(((long) 14));
																						{	/* Expand/exit.scm 142 */
																							obj_t BgL_list2357z00_685;

																							BgL_list2357z00_685 =
																								MAKE_PAIR(BNIL, BNIL);
																							BgL_arg2356z00_684 =
																								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																								(BgL_valz00_527,
																								BgL_list2357z00_685);
																						}
																						BgL_arg2349z00_677 =
																							MAKE_PAIR(BgL_arg2355z00_683,
																							BgL_arg2356z00_684);
																					}
																					{	/* Expand/exit.scm 143 */
																						obj_t BgL_arg2358z00_686;
																						obj_t BgL_arg2359z00_687;

																						BgL_arg2358z00_686 =
																							CNST_TABLE_REF(((long) 10));
																						{	/* Expand/exit.scm 143 */
																							obj_t BgL_arg2360z00_688;
																							obj_t BgL_arg2361z00_689;

																							{	/* Expand/exit.scm 143 */
																								obj_t BgL_arg2365z00_693;
																								obj_t BgL_arg2367z00_694;

																								BgL_arg2365z00_693 =
																									CNST_TABLE_REF(((long) 15));
																								{	/* Expand/exit.scm 143 */
																									obj_t BgL_list2368z00_695;

																									BgL_list2368z00_695 =
																										MAKE_PAIR(BNIL, BNIL);
																									BgL_arg2367z00_694 =
																										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																										(BgL_valz00_527,
																										BgL_list2368z00_695);
																								}
																								BgL_arg2360z00_688 =
																									MAKE_PAIR(BgL_arg2365z00_693,
																									BgL_arg2367z00_694);
																							}
																							{	/* Expand/exit.scm 143 */
																								obj_t BgL_arg2369z00_696;
																								obj_t BgL_arg2370z00_697;

																								BgL_arg2369z00_696 =
																									CNST_TABLE_REF(((long) 16));
																								{	/* Expand/exit.scm 143 */
																									obj_t BgL_list2371z00_698;

																									BgL_list2371z00_698 =
																										MAKE_PAIR(BNIL, BNIL);
																									BgL_arg2370z00_697 =
																										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																										(BgL_valz00_527,
																										BgL_list2371z00_698);
																								}
																								BgL_arg2361z00_689 =
																									MAKE_PAIR(BgL_arg2369z00_696,
																									BgL_arg2370z00_697);
																							}
																							{	/* Expand/exit.scm 143 */
																								obj_t BgL_list2363z00_691;

																								{	/* Expand/exit.scm 143 */
																									obj_t BgL_arg2364z00_692;

																									BgL_arg2364z00_692 =
																										MAKE_PAIR(BNIL, BNIL);
																									BgL_list2363z00_691 =
																										MAKE_PAIR
																										(BgL_arg2361z00_689,
																										BgL_arg2364z00_692);
																								}
																								BgL_arg2359z00_687 =
																									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																									(BgL_arg2360z00_688,
																									BgL_list2363z00_691);
																						}}
																						BgL_arg2350z00_678 =
																							MAKE_PAIR(BgL_arg2358z00_686,
																							BgL_arg2359z00_687);
																					}
																					{	/* Expand/exit.scm 142 */
																						obj_t BgL_list2352z00_680;

																						{	/* Expand/exit.scm 142 */
																							obj_t BgL_arg2353z00_681;

																							{	/* Expand/exit.scm 142 */
																								obj_t BgL_arg2354z00_682;

																								BgL_arg2354z00_682 =
																									MAKE_PAIR(BNIL, BNIL);
																								BgL_arg2353z00_681 =
																									MAKE_PAIR(BgL_valz00_527,
																									BgL_arg2354z00_682);
																							}
																							BgL_list2352z00_680 =
																								MAKE_PAIR(BgL_arg2350z00_678,
																								BgL_arg2353z00_681);
																						}
																						BgL_arg2348z00_676 =
																							BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																							(BgL_arg2349z00_677,
																							BgL_list2352z00_680);
																				}}
																				BgL_arg2197z00_576 =
																					MAKE_PAIR(BgL_arg2347z00_675,
																					BgL_arg2348z00_676);
																			}
																			{	/* Expand/exit.scm 128 */
																				obj_t BgL_list2199z00_578;

																				{	/* Expand/exit.scm 128 */
																					obj_t BgL_arg2200z00_579;

																					{	/* Expand/exit.scm 128 */
																						obj_t BgL_arg2201z00_580;

																						BgL_arg2201z00_580 =
																							MAKE_PAIR(BNIL, BNIL);
																						BgL_arg2200z00_579 =
																							MAKE_PAIR(BgL_arg2197z00_576,
																							BgL_arg2201z00_580);
																					}
																					BgL_list2199z00_578 =
																						MAKE_PAIR(BgL_arg2196z00_575,
																						BgL_arg2200z00_579);
																				}
																				BgL_arg2182z00_573 =
																					BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																					(BgL_arg2195z00_574,
																					BgL_list2199z00_578);
																		}}
																		BgL_arg2171z00_562 =
																			MAKE_PAIR(BgL_arg2181z00_572,
																			BgL_arg2182z00_573);
																	}
																	{	/* Expand/exit.scm 127 */
																		obj_t BgL_list2173z00_564;

																		{	/* Expand/exit.scm 127 */
																			obj_t BgL_arg2174z00_565;

																			BgL_arg2174z00_565 =
																				MAKE_PAIR(BNIL, BNIL);
																			BgL_list2173z00_564 =
																				MAKE_PAIR(BgL_arg2171z00_562,
																				BgL_arg2174z00_565);
																		}
																		BgL_arg2167z00_560 =
																			BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																			(BgL_arg2170z00_561, BgL_list2173z00_564);
																}}
																BgL_arg2152z00_548 =
																	MAKE_PAIR(BgL_arg2165z00_559,
																	BgL_arg2167z00_560);
															}
															{	/* Expand/exit.scm 145 */
																obj_t BgL_arg2373z00_699;
																obj_t BgL_arg2374z00_700;

																BgL_arg2373z00_699 =
																	CNST_TABLE_REF(((long) 32));
																{	/* Expand/exit.scm 145 */
																	obj_t BgL_arg2375z00_701;

																	{	/* Expand/exit.scm 145 */
																		obj_t BgL_arg2381z00_707;
																		obj_t BgL_arg2382z00_708;

																		BgL_arg2381z00_707 =
																			CNST_TABLE_REF(((long) 18));
																		{	/* Expand/exit.scm 145 */
																			obj_t BgL_list2383z00_709;

																			BgL_list2383z00_709 =
																				MAKE_PAIR(BNIL, BNIL);
																			BgL_arg2382z00_708 =
																				BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																				(CNST_TABLE_REF(((long) 33)),
																				BgL_list2383z00_709);
																		}
																		BgL_arg2375z00_701 =
																			MAKE_PAIR(BgL_arg2381z00_707,
																			BgL_arg2382z00_708);
																	}
																	{	/* Expand/exit.scm 145 */
																		obj_t BgL_list2378z00_704;

																		{	/* Expand/exit.scm 145 */
																			obj_t BgL_arg2379z00_705;

																			{	/* Expand/exit.scm 145 */
																				obj_t BgL_arg2380z00_706;

																				BgL_arg2380z00_706 =
																					MAKE_PAIR(BNIL, BNIL);
																				BgL_arg2379z00_705 =
																					MAKE_PAIR(BgL_hdlz00_524,
																					BgL_arg2380z00_706);
																			}
																			BgL_list2378z00_704 =
																				MAKE_PAIR
																				(BGl_string2402z00zzexpand_exitz00,
																				BgL_arg2379z00_705);
																		}
																		BgL_arg2374z00_700 =
																			BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																			(BgL_arg2375z00_701, BgL_list2378z00_704);
																}}
																BgL_arg2153z00_549 =
																	MAKE_PAIR(BgL_arg2373z00_699,
																	BgL_arg2374z00_700);
															}
															{	/* Expand/exit.scm 126 */
																obj_t BgL_list2155z00_551;

																{	/* Expand/exit.scm 126 */
																	obj_t BgL_arg2156z00_552;

																	{	/* Expand/exit.scm 126 */
																		obj_t BgL_arg2158z00_553;

																		BgL_arg2158z00_553 = MAKE_PAIR(BNIL, BNIL);
																		BgL_arg2156z00_552 =
																			MAKE_PAIR(BgL_arg2153z00_549,
																			BgL_arg2158z00_553);
																	}
																	BgL_list2155z00_551 =
																		MAKE_PAIR(BgL_arg2152z00_548,
																		BgL_arg2156z00_552);
																}
																BgL_arg2144z00_546 =
																	BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																	(BgL_arg2151z00_547, BgL_list2155z00_551);
														}}
														BgL_arg2094z00_535 =
															MAKE_PAIR(BgL_arg2140z00_545, BgL_arg2144z00_546);
													}
													{	/* Expand/exit.scm 125 */
														obj_t BgL_list2099z00_537;

														{	/* Expand/exit.scm 125 */
															obj_t BgL_arg2108z00_538;

															BgL_arg2108z00_538 = MAKE_PAIR(BNIL, BNIL);
															BgL_list2099z00_537 =
																MAKE_PAIR(BgL_arg2094z00_535,
																BgL_arg2108z00_538);
														}
														BgL_arg2089z00_533 =
															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
															(BgL_arg2090z00_534, BgL_list2099z00_537);
												}}
												BgL_bodyz00_461 =
													MAKE_PAIR(BgL_arg2085z00_532, BgL_arg2089z00_533);
										}}
										{	/* Expand/exit.scm 149 */
											obj_t BgL_locz00_463;

											BgL_locz00_463 =
												BGl_findzd2locationzd2zztools_locationz00(BgL_xz00_33);
											{	/* Expand/exit.scm 150 */
												bool_t BgL_testz00_1116;

												{	/* Expand/exit.scm 150 */
													bool_t BgL_testz00_1117;

													if (STRUCTP(BgL_locz00_463))
														{	/* Expand/exit.scm 150 */
															BgL_testz00_1117 =
																(STRUCT_KEY(BgL_locz00_463) ==
																CNST_TABLE_REF(((long) 17)));
														}
													else
														{	/* Expand/exit.scm 150 */
															BgL_testz00_1117 = ((bool_t) 0);
														}
													if (BgL_testz00_1117)
														{	/* Expand/exit.scm 151 */
															bool_t BgL_testz00_1123;

															{	/* Expand/exit.scm 151 */
																int BgL_arg2078z00_519;

																BgL_arg2078z00_519 =
																	BGl_bigloozd2compilerzd2debugz00zz__paramz00
																	();
																BgL_testz00_1123 =
																	((long) (BgL_arg2078z00_519) > ((long) 0));
															}
															if (BgL_testz00_1123)
																{	/* Expand/exit.scm 152 */
																	obj_t BgL_arg2068z00_518;

																	BgL_arg2068z00_518 =
																		BGl_thezd2backendzd2zzbackend_backendz00();
																	{	/* Expand/exit.scm 152 */
																		BgL_backendz00_bglt BgL_obj1412z00_813;

																		BgL_obj1412z00_813 =
																			(BgL_backendz00_bglt)
																			(BgL_arg2068z00_518);
																		BgL_testz00_1116 =
																			(((BgL_backendz00_bglt)
																				CREF(BgL_obj1412z00_813))->
																			BgL_tracezd2supportzd2);
																	}
																}
															else
																{	/* Expand/exit.scm 151 */
																	BgL_testz00_1116 = ((bool_t) 0);
																}
														}
													else
														{	/* Expand/exit.scm 150 */
															BgL_testz00_1116 = ((bool_t) 0);
														}
												}
												if (BgL_testz00_1116)
													{	/* Expand/exit.scm 153 */
														obj_t BgL_trcz00_465;
														obj_t BgL_symidz00_466;
														obj_t BgL_vidz00_467;

														{	/* Expand/exit.scm 153 */
															obj_t BgL_arg2039z00_508;

															{	/* Expand/exit.scm 153 */
																obj_t BgL_arg2054z00_510;
																obj_t BgL_arg2060z00_511;

																BgL_arg2054z00_510 =
																	STRUCT_REF(BgL_locz00_463,
																	(int) (((long) 0)));
																BgL_arg2060z00_511 =
																	STRUCT_REF(BgL_locz00_463,
																	(int) (((long) 2)));
																{	/* Expand/exit.scm 153 */
																	obj_t BgL_list2061z00_512;

																	{	/* Expand/exit.scm 153 */
																		obj_t BgL_arg2064z00_513;

																		BgL_arg2064z00_513 =
																			MAKE_PAIR(BgL_arg2060z00_511, BNIL);
																		BgL_list2061z00_512 =
																			MAKE_PAIR(BgL_arg2054z00_510,
																			BgL_arg2064z00_513);
																	}
																	BgL_arg2039z00_508 =
																		BGl_formatz00zz__r4_output_6_10_3z00
																		(BGl_string2401z00zzexpand_exitz00,
																		BgL_list2061z00_512);
															}}
															{	/* Expand/exit.scm 153 */
																obj_t BgL_stringz00_820;

																BgL_stringz00_820 = BgL_arg2039z00_508;
																BgL_trcz00_465 =
																	string_to_symbol(BSTRING_TO_STRING
																	(BgL_stringz00_820));
														}}
														{	/* Expand/exit.scm 156 */

															{	/* Expand/exit.scm 156 */

																BgL_symidz00_466 =
																	BGl_gensymz00zz__r4_symbols_6_4z00(BFALSE);
														}}
														{	/* Expand/exit.scm 157 */

															{	/* Expand/exit.scm 157 */

																BgL_vidz00_467 =
																	BGl_gensymz00zz__r4_symbols_6_4z00(BFALSE);
														}}
														{	/* Expand/exit.scm 158 */
															obj_t BgL_arg1891z00_468;
															obj_t BgL_arg1897z00_469;

															BgL_arg1891z00_468 = CNST_TABLE_REF(((long) 6));
															{	/* Expand/exit.scm 158 */
																obj_t BgL_arg1898z00_470;
																obj_t BgL_arg1902z00_471;

																{	/* Expand/exit.scm 158 */
																	obj_t BgL_arg1918z00_475;

																	{	/* Expand/exit.scm 158 */
																		obj_t BgL_arg1928z00_477;

																		{	/* Expand/exit.scm 158 */
																			obj_t BgL_arg1932z00_478;

																			{	/* Expand/exit.scm 158 */
																				obj_t BgL_arg1937z00_481;
																				obj_t BgL_arg1943z00_482;

																				BgL_arg1937z00_481 =
																					CNST_TABLE_REF(((long) 18));
																				{	/* Expand/exit.scm 158 */
																					obj_t BgL_list1944z00_483;

																					BgL_list1944z00_483 =
																						MAKE_PAIR(BNIL, BNIL);
																					BgL_arg1943z00_482 =
																						BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																						(BgL_trcz00_465,
																						BgL_list1944z00_483);
																				}
																				BgL_arg1932z00_478 =
																					MAKE_PAIR(BgL_arg1937z00_481,
																					BgL_arg1943z00_482);
																			}
																			{	/* Expand/exit.scm 158 */
																				obj_t BgL_list1936z00_480;

																				BgL_list1936z00_480 =
																					MAKE_PAIR(BNIL, BNIL);
																				BgL_arg1928z00_477 =
																					BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																					(BgL_arg1932z00_478,
																					BgL_list1936z00_480);
																		}}
																		BgL_arg1918z00_475 =
																			MAKE_PAIR(BgL_symidz00_466,
																			BgL_arg1928z00_477);
																	}
																	BgL_arg1898z00_470 =
																		MAKE_PAIR(BgL_arg1918z00_475, BNIL);
																}
																{	/* Expand/exit.scm 159 */
																	obj_t BgL_arg1947z00_484;
																	obj_t BgL_arg1949z00_485;

																	BgL_arg1947z00_484 =
																		CNST_TABLE_REF(((long) 6));
																	{	/* Expand/exit.scm 159 */
																		obj_t BgL_arg1962z00_487;
																		obj_t BgL_arg1966z00_488;

																		{	/* Expand/exit.scm 160 */
																			obj_t BgL_arg1987z00_493;
																			obj_t BgL_arg1991z00_494;

																			BgL_arg1987z00_493 =
																				CNST_TABLE_REF(((long) 19));
																			{	/* Expand/exit.scm 160 */
																				obj_t BgL_list1992z00_495;

																				BgL_list1992z00_495 =
																					MAKE_PAIR(BNIL, BNIL);
																				BgL_arg1991z00_494 =
																					BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																					(BgL_symidz00_466,
																					BgL_list1992z00_495);
																			}
																			BgL_arg1962z00_487 =
																				MAKE_PAIR(BgL_arg1987z00_493,
																				BgL_arg1991z00_494);
																		}
																		{	/* Expand/exit.scm 161 */
																			obj_t BgL_arg1997z00_496;
																			obj_t BgL_arg2002z00_497;

																			BgL_arg1997z00_496 =
																				CNST_TABLE_REF(((long) 6));
																			{	/* Expand/exit.scm 161 */
																				obj_t BgL_arg2006z00_498;
																				obj_t BgL_arg2010z00_499;

																				{	/* Expand/exit.scm 161 */
																					obj_t BgL_arg2025z00_504;

																					{	/* Expand/exit.scm 161 */
																						obj_t BgL_arg2035z00_506;

																						{	/* Expand/exit.scm 161 */
																							obj_t BgL_list2036z00_507;

																							BgL_list2036z00_507 =
																								MAKE_PAIR(BNIL, BNIL);
																							BgL_arg2035z00_506 =
																								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																								(BgL_bodyz00_461,
																								BgL_list2036z00_507);
																						}
																						BgL_arg2025z00_504 =
																							MAKE_PAIR(BgL_vidz00_467,
																							BgL_arg2035z00_506);
																					}
																					BgL_arg2006z00_498 =
																						MAKE_PAIR(BgL_arg2025z00_504, BNIL);
																				}
																				{	/* Expand/exit.scm 162 */
																					obj_t BgL_res2391z00_824;

																					{	/* Expand/exit.scm 162 */
																						obj_t BgL_obj1z00_821;

																						BgL_obj1z00_821 =
																							CNST_TABLE_REF(((long) 20));
																						BgL_res2391z00_824 =
																							MAKE_EXTENDED_PAIR
																							(BgL_obj1z00_821, BNIL,
																							BgL_locz00_463);
																					}
																					BgL_arg2010z00_499 =
																						BgL_res2391z00_824;
																				}
																				{	/* Expand/exit.scm 161 */
																					obj_t BgL_list2017z00_501;

																					{	/* Expand/exit.scm 161 */
																						obj_t BgL_arg2019z00_502;

																						{	/* Expand/exit.scm 161 */
																							obj_t BgL_arg2021z00_503;

																							BgL_arg2021z00_503 =
																								MAKE_PAIR(BNIL, BNIL);
																							BgL_arg2019z00_502 =
																								MAKE_PAIR(BgL_vidz00_467,
																								BgL_arg2021z00_503);
																						}
																						BgL_list2017z00_501 =
																							MAKE_PAIR(BgL_arg2010z00_499,
																							BgL_arg2019z00_502);
																					}
																					BgL_arg2002z00_497 =
																						BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																						(BgL_arg2006z00_498,
																						BgL_list2017z00_501);
																			}}
																			BgL_arg1966z00_488 =
																				MAKE_PAIR(BgL_arg1997z00_496,
																				BgL_arg2002z00_497);
																		}
																		{	/* Expand/exit.scm 159 */
																			obj_t BgL_list1970z00_490;

																			{	/* Expand/exit.scm 159 */
																				obj_t BgL_arg1973z00_491;

																				{	/* Expand/exit.scm 159 */
																					obj_t BgL_arg1981z00_492;

																					BgL_arg1981z00_492 =
																						MAKE_PAIR(BNIL, BNIL);
																					BgL_arg1973z00_491 =
																						MAKE_PAIR(BgL_arg1966z00_488,
																						BgL_arg1981z00_492);
																				}
																				BgL_list1970z00_490 =
																					MAKE_PAIR(BgL_arg1962z00_487,
																					BgL_arg1973z00_491);
																			}
																			BgL_arg1949z00_485 =
																				BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																				(BNIL, BgL_list1970z00_490);
																	}}
																	BgL_arg1902z00_471 =
																		MAKE_PAIR(BgL_arg1947z00_484,
																		BgL_arg1949z00_485);
																}
																{	/* Expand/exit.scm 158 */
																	obj_t BgL_list1907z00_473;

																	{	/* Expand/exit.scm 158 */
																		obj_t BgL_arg1914z00_474;

																		BgL_arg1914z00_474 = MAKE_PAIR(BNIL, BNIL);
																		BgL_list1907z00_473 =
																			MAKE_PAIR(BgL_arg1902z00_471,
																			BgL_arg1914z00_474);
																	}
																	BgL_arg1897z00_469 =
																		BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																		(BgL_arg1898z00_470, BgL_list1907z00_473);
															}}
															BgL_auxz00_1114 =
																MAKE_PAIR(BgL_arg1891z00_468,
																BgL_arg1897z00_469);
													}}
												else
													{	/* Expand/exit.scm 150 */
														BgL_auxz00_1114 = BgL_bodyz00_461;
													}
											}
										}
										return
											BGl_replacez12z12zztools_miscz00(BgL_xz00_33,
											BgL_auxz00_1114);
									}
								}
							else
								{	/* Expand/exit.scm 165 */
								BgL_tagzd21222zd2_452:
									return
										BGl_errorz00zz__errorz00(BFALSE,
										BGl_string2403z00zzexpand_exitz00, BgL_xz00_33);
								}
						}
					else
						{	/* Expand/exit.scm 165 */
							goto BgL_tagzd21222zd2_452;
						}
				}
			}
		}
	}



/* _expand-with-handler2396 */
	obj_t BGl__expandzd2withzd2handler2396z00zzexpand_exitz00(obj_t
		BgL_envz00_837, obj_t BgL_xz00_838, obj_t BgL_ez00_839)
	{
		AN_OBJECT;
		{	/* Expand/exit.scm 115 */
			return
				BGl_expandzd2withzd2handlerz00zzexpand_exitz00(BgL_xz00_838,
				BgL_ez00_839);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzexpand_exitz00()
	{
		AN_OBJECT;
		{	/* Expand/exit.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzexpand_exitz00()
	{
		AN_OBJECT;
		{	/* Expand/exit.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 12445515),
				BSTRING_TO_STRING(BGl_string2404z00zzexpand_exitz00));
			BGl_modulezd2initializa7ationz75zztools_argsz00(((long) 320731191),
				BSTRING_TO_STRING(BGl_string2404z00zzexpand_exitz00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 182148081),
				BSTRING_TO_STRING(BGl_string2404z00zzexpand_exitz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 315910987),
				BSTRING_TO_STRING(BGl_string2404z00zzexpand_exitz00));
			BGl_modulezd2initializa7ationz75zzexpand_expanderz00(((long) 496618478),
				BSTRING_TO_STRING(BGl_string2404z00zzexpand_exitz00));
			BGl_modulezd2initializa7ationz75zzexpand_epsz00(((long) 95912462),
				BSTRING_TO_STRING(BGl_string2404z00zzexpand_exitz00));
			BGl_modulezd2initializa7ationz75zzexpand_lambdaz00(((long) 245373811),
				BSTRING_TO_STRING(BGl_string2404z00zzexpand_exitz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 514705515),
				BSTRING_TO_STRING(BGl_string2404z00zzexpand_exitz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string2404z00zzexpand_exitz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 498714928),
				BSTRING_TO_STRING(BGl_string2404z00zzexpand_exitz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 466514915),
				BSTRING_TO_STRING(BGl_string2404z00zzexpand_exitz00));
			return
				BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 345457731),
				BSTRING_TO_STRING(BGl_string2404z00zzexpand_exitz00));
		}
	}

#ifdef __cplusplus
}
#endif
