/*===========================================================================*/
/*   (Expand/lambda.scm)                                                     */
/*   Bigloo (2.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 25 07:31:22 CET 2006        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/2.9a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Expand/lambda.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;


	BGL_IMPORT obj_t open_input_string(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internalzd2beginzd2expanderz00zzexpand_lambdaz00(obj_t);
	BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzexpand_lambdaz00 = BUNSPEC;
	static obj_t BGl_zc3anonymousza31312ze3z83zzexpand_lambdaz00(obj_t);
	static obj_t BGl_zc3anonymousza31320ze3z83zzexpand_lambdaz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_expandzd2argszd2zzexpand_lambdaz00(obj_t, obj_t);
	static obj_t BGl__expandzd2lambdazd2zzexpand_lambdaz00(obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzexpand_lambdaz00();
	static obj_t BGl_zc3anonymousza31334ze3z83zzexpand_lambdaz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_internalzd2definitionzf3z21zzexpand_lambdaz00 =
		BUNSPEC;
	static obj_t BGl_zc3anonymousza31339ze3z83zzexpand_lambdaz00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzexpand_lambdaz00();
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_expandzd2lambdazd2zzexpand_lambdaz00(obj_t,
		obj_t);
	extern obj_t BGl_withzd2lexicalzd2zzexpand_epsz00(obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_emapz00zztools_prognz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzexpand_lambdaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzexpand_epsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	static obj_t BGl_toplevelzd2initzd2zzexpand_lambdaz00();
	static obj_t BGl__expandzd2argszd2zzexpand_lambdaz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t bgl_reverse(obj_t);
	static obj_t BGl_lambdazd2defineszd2zzexpand_lambdaz00(obj_t);
	static obj_t BGl_loopz00zzexpand_lambdaz00(obj_t, obj_t);
	extern obj_t BGl_replacez12z12zztools_miscz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_append2(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_expandzd2prognzd2zz__prognz00(obj_t);
	BGL_IMPORT bool_t BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
	static obj_t BGl__internalzd2beginzd2expanderz00zzexpand_lambdaz00(obj_t,
		obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzexpand_lambdaz00();
	static obj_t BGl_beginzd2bindingszd2zzexpand_lambdaz00(obj_t);
	static obj_t BGl_methodzd2initzd2zzexpand_lambdaz00();
	extern obj_t BGl_argsza2zd2ze3argszd2listz41zztools_argsz00(obj_t);
	static obj_t __cnst[4];


	   
		 
		DEFINE_STRING(BGl_string1424z00zzexpand_lambdaz00,
		BgL_bgl_string1424za700za7za7e1432za7, "expand", 6);
	      DEFINE_STRING(BGl_string1425z00zzexpand_lambdaz00,
		BgL_bgl_string1425za700za7za7e1433za7, "Illegal argument", 16);
	      DEFINE_STRING(BGl_string1426z00zzexpand_lambdaz00,
		BgL_bgl_string1426za700za7za7e1434za7, "Illegal `lambda' form", 21);
	      DEFINE_STRING(BGl_string1427z00zzexpand_lambdaz00,
		BgL_bgl_string1427za700za7za7e1435za7, "Illegal `begin' form", 20);
	      DEFINE_STRING(BGl_string1428z00zzexpand_lambdaz00,
		BgL_bgl_string1428za700za7za7e1436za7, "expand_lambda", 13);
	      DEFINE_STRING(BGl_string1429z00zzexpand_lambdaz00,
		BgL_bgl_string1429za700za7za7e1437za7, "letrec define begin _ ", 22);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_expandzd2argszd2envz00zzexpand_lambdaz00,
		BgL_bgl__expandza7d2argsza7d1438z00,
		BGl__expandzd2argszd2zzexpand_lambdaz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_expandzd2lambdazd2envz00zzexpand_lambdaz00,
		BgL_bgl__expandza7d2lambda1439za7,
		BGl__expandzd2lambdazd2zzexpand_lambdaz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internalzd2beginzd2expanderzd2envzd2zzexpand_lambdaz00,
		BgL_bgl__internalza7d2begi1440za7,
		BGl__internalzd2beginzd2expanderz00zzexpand_lambdaz00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzexpand_lambdaz00(long
		BgL_checksumz00_332, char *BgL_fromz00_333)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzexpand_lambdaz00))
				{
					BGl_requirezd2initializa7ationz75zzexpand_lambdaz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzexpand_lambdaz00();
					BGl_cnstzd2initzd2zzexpand_lambdaz00();
					BGl_importedzd2moduleszd2initz00zzexpand_lambdaz00();
					BGl_toplevelzd2initzd2zzexpand_lambdaz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzexpand_lambdaz00()
	{
		AN_OBJECT;
		{	/* Expand/lambda.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"expand_lambda");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"expand_lambda");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "expand_lambda");
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 0), "expand_lambda");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzexpand_lambdaz00()
	{
		AN_OBJECT;
		{	/* Expand/lambda.scm 15 */
			{	/* Expand/lambda.scm 15 */
				obj_t BgL_cportz00_320;

				BgL_cportz00_320 =
					open_input_string(BGl_string1429z00zzexpand_lambdaz00);
				{
					long BgL_iz00_321;

					BgL_iz00_321 = ((long) 3);
				BgL_loopz00_322:
					if ((BgL_iz00_321 == ((long) -1)))
						{	/* Expand/lambda.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Expand/lambda.scm 15 */
							{	/* Expand/lambda.scm 15 */
								obj_t BgL_arg1431z00_324;

								{	/* Expand/lambda.scm 15 */

									{	/* Expand/lambda.scm 15 */
										obj_t BgL_locationz00_326;

										BgL_locationz00_326 = BBOOL(((bool_t) 0));
										{	/* Expand/lambda.scm 15 */

											BgL_arg1431z00_324 =
												BGl_readz00zz__readerz00(BgL_cportz00_320,
												BgL_locationz00_326);
										}
									}
								}
								{	/* Expand/lambda.scm 15 */
									int BgL_auxz00_350;

									BgL_auxz00_350 = (int) (BgL_iz00_321);
									CNST_TABLE_SET(BgL_auxz00_350, BgL_arg1431z00_324);
							}}
							{	/* Expand/lambda.scm 15 */
								int BgL_auxz00_327;

								BgL_auxz00_327 = (int) ((BgL_iz00_321 - ((long) 1)));
								{
									long BgL_iz00_355;

									BgL_iz00_355 = (long) (BgL_auxz00_327);
									BgL_iz00_321 = BgL_iz00_355;
									goto BgL_loopz00_322;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzexpand_lambdaz00()
	{
		AN_OBJECT;
		{	/* Expand/lambda.scm 15 */
			return (BGl_internalzd2definitionzf3z21zzexpand_lambdaz00 =
				BFALSE, BUNSPEC);
		}
	}



/* expand-args */
	BGL_EXPORTED_DEF obj_t BGl_expandzd2argszd2zzexpand_lambdaz00(obj_t
		BgL_argsz00_1, obj_t BgL_ez00_2)
	{
		AN_OBJECT;
		{	/* Expand/lambda.scm 37 */
			return BGl_loopz00zzexpand_lambdaz00(BgL_ez00_2, BgL_argsz00_1);
		}
	}



/* loop */
	obj_t BGl_loopz00zzexpand_lambdaz00(obj_t BgL_ez00_319, obj_t BgL_argsz00_34)
	{
		AN_OBJECT;
		{	/* Expand/lambda.scm 38 */
			if (NULLP(BgL_argsz00_34))
				{	/* Expand/lambda.scm 40 */
					return BNIL;
				}
			else
				{	/* Expand/lambda.scm 40 */
					if (SYMBOLP(BgL_argsz00_34))
						{	/* Expand/lambda.scm 42 */
							return BgL_argsz00_34;
						}
					else
						{	/* Expand/lambda.scm 42 */
							if (PAIRP(BgL_argsz00_34))
								{	/* Expand/lambda.scm 46 */
									bool_t BgL_testz00_364;

									{	/* Expand/lambda.scm 46 */
										bool_t BgL_testz00_365;

										{	/* Expand/lambda.scm 46 */
											obj_t BgL_auxz00_366;

											BgL_auxz00_366 = CAR(BgL_argsz00_34);
											BgL_testz00_365 = PAIRP(BgL_auxz00_366);
										}
										if (BgL_testz00_365)
											{	/* Expand/lambda.scm 47 */
												bool_t BgL_testz00_369;

												{	/* Expand/lambda.scm 47 */
													obj_t BgL_auxz00_370;

													BgL_auxz00_370 = CDR(CAR(BgL_argsz00_34));
													BgL_testz00_369 = PAIRP(BgL_auxz00_370);
												}
												if (BgL_testz00_369)
													{	/* Expand/lambda.scm 48 */
														obj_t BgL_auxz00_374;

														{	/* Expand/lambda.scm 48 */
															obj_t BgL_pairz00_231;

															BgL_pairz00_231 = CAR(BgL_argsz00_34);
															BgL_auxz00_374 = CDR(CDR(BgL_pairz00_231));
														}
														BgL_testz00_364 = NULLP(BgL_auxz00_374);
													}
												else
													{	/* Expand/lambda.scm 47 */
														BgL_testz00_364 = ((bool_t) 0);
													}
											}
										else
											{	/* Expand/lambda.scm 46 */
												BgL_testz00_364 = ((bool_t) 0);
											}
									}
									if (BgL_testz00_364)
										{	/* Expand/lambda.scm 51 */
											obj_t BgL_arg1280z00_40;
											obj_t BgL_arg1281z00_41;

											{	/* Expand/lambda.scm 51 */
												obj_t BgL_arg1282z00_42;
												obj_t BgL_arg1283z00_43;

												BgL_arg1282z00_42 = CAR(CAR(BgL_argsz00_34));
												{	/* Expand/lambda.scm 51 */
													obj_t BgL_arg1287z00_47;

													{	/* Expand/lambda.scm 51 */
														obj_t BgL_pairz00_239;

														BgL_pairz00_239 = CAR(BgL_argsz00_34);
														BgL_arg1287z00_47 = CAR(CDR(BgL_pairz00_239));
													}
													BgL_arg1283z00_43 =
														PROCEDURE_ENTRY(BgL_ez00_319) (BgL_ez00_319,
														BgL_arg1287z00_47, BgL_ez00_319, BEOA);
												}
												{	/* Expand/lambda.scm 51 */
													obj_t BgL_list1284z00_44;

													{	/* Expand/lambda.scm 51 */
														obj_t BgL_arg1285z00_45;

														BgL_arg1285z00_45 =
															MAKE_PAIR(BgL_arg1283z00_43, BNIL);
														BgL_list1284z00_44 =
															MAKE_PAIR(BgL_arg1282z00_42, BgL_arg1285z00_45);
													}
													BgL_arg1280z00_40 = BgL_list1284z00_44;
												}
											}
											BgL_arg1281z00_41 =
												BGl_loopz00zzexpand_lambdaz00(BgL_ez00_319,
												CDR(BgL_argsz00_34));
											return MAKE_PAIR(BgL_arg1280z00_40, BgL_arg1281z00_41);
										}
									else
										{	/* Expand/lambda.scm 46 */
											return
												MAKE_PAIR(CAR(BgL_argsz00_34),
												BGl_loopz00zzexpand_lambdaz00(BgL_ez00_319,
													CDR(BgL_argsz00_34)));
										}
								}
							else
								{	/* Expand/lambda.scm 44 */
									return
										BGl_errorz00zz__errorz00
										(BGl_string1424z00zzexpand_lambdaz00,
										BGl_string1425z00zzexpand_lambdaz00, BgL_argsz00_34);
								}
						}
				}
		}
	}



/* _expand-args */
	obj_t BGl__expandzd2argszd2zzexpand_lambdaz00(obj_t BgL_envz00_292,
		obj_t BgL_argsz00_293, obj_t BgL_ez00_294)
	{
		AN_OBJECT;
		{	/* Expand/lambda.scm 37 */
			return BGl_loopz00zzexpand_lambdaz00(BgL_ez00_294, BgL_argsz00_293);
		}
	}



/* expand-lambda */
	BGL_EXPORTED_DEF obj_t BGl_expandzd2lambdazd2zzexpand_lambdaz00(obj_t
		BgL_xz00_3, obj_t BgL_ez00_4)
	{
		AN_OBJECT;
		{	/* Expand/lambda.scm 57 */
			{	/* Expand/lambda.scm 58 */
				obj_t BgL_oldzd2internalzd2_60;

				BgL_oldzd2internalzd2_60 =
					BGl_internalzd2definitionzf3z21zzexpand_lambdaz00;
				BGl_internalzd2definitionzf3z21zzexpand_lambdaz00 = BTRUE;
				{	/* Expand/lambda.scm 60 */
					obj_t BgL_resz00_61;

					{
						obj_t BgL_lamz00_62;
						obj_t BgL_argsz00_63;
						obj_t BgL_bodyz00_64;

						if (PAIRP(BgL_xz00_3))
							{	/* Expand/lambda.scm 60 */
								obj_t BgL_cdrzd21163zd2_69;

								BgL_cdrzd21163zd2_69 = CDR(BgL_xz00_3);
								if (PAIRP(BgL_cdrzd21163zd2_69))
									{	/* Expand/lambda.scm 60 */
										obj_t BgL_cdrzd21168zd2_71;

										BgL_cdrzd21168zd2_71 = CDR(BgL_cdrzd21163zd2_69);
										if (NULLP(BgL_cdrzd21168zd2_71))
											{	/* Expand/lambda.scm 60 */
											BgL_tagzd21154zd2_66:
												BgL_resz00_61 =
													BGl_errorz00zz__errorz00(BFALSE,
													BGl_string1426z00zzexpand_lambdaz00, BgL_xz00_3);
											}
										else
											{	/* Expand/lambda.scm 60 */
												BgL_lamz00_62 = CAR(BgL_xz00_3);
												BgL_argsz00_63 = CAR(BgL_cdrzd21163zd2_69);
												BgL_bodyz00_64 = BgL_cdrzd21168zd2_71;
												{	/* Expand/lambda.scm 62 */
													obj_t BgL_arg1308z00_75;
													obj_t BgL_arg1309z00_76;
													obj_t BgL_arg1310z00_77;

													BgL_arg1308z00_75 =
														BGl_argsza2zd2ze3argszd2listz41zztools_argsz00
														(BgL_argsz00_63);
													BgL_arg1309z00_76 = CNST_TABLE_REF(((long) 0));
													BgL_arg1310z00_77 =
														BGl_findzd2locationzd2zztools_locationz00
														(BgL_xz00_3);
													{	/* Expand/lambda.scm 66 */
														obj_t BgL_zc3anonymousza31312ze3z83_295;

														BgL_zc3anonymousza31312ze3z83_295 =
															make_fx_procedure
															(BGl_zc3anonymousza31312ze3z83zzexpand_lambdaz00,
															(int) (((long) 0)), (int) (((long) 4)));
														PROCEDURE_SET(BgL_zc3anonymousza31312ze3z83_295,
															(int) (((long) 0)), BgL_ez00_4);
														PROCEDURE_SET(BgL_zc3anonymousza31312ze3z83_295,
															(int) (((long) 1)), BgL_argsz00_63);
														PROCEDURE_SET(BgL_zc3anonymousza31312ze3z83_295,
															(int) (((long) 2)), BgL_bodyz00_64);
														PROCEDURE_SET(BgL_zc3anonymousza31312ze3z83_295,
															(int) (((long) 3)), BgL_lamz00_62);
														BgL_resz00_61 =
															BGl_withzd2lexicalzd2zzexpand_epsz00
															(BgL_arg1308z00_75, BgL_arg1309z00_76,
															BgL_arg1310z00_77,
															BgL_zc3anonymousza31312ze3z83_295);
									}}}}
								else
									{	/* Expand/lambda.scm 60 */
										goto BgL_tagzd21154zd2_66;
									}
							}
						else
							{	/* Expand/lambda.scm 60 */
								goto BgL_tagzd21154zd2_66;
							}
					}
					BGl_internalzd2definitionzf3z21zzexpand_lambdaz00 =
						BgL_oldzd2internalzd2_60;
					return BGl_replacez12z12zztools_miscz00(BgL_xz00_3, BgL_resz00_61);
				}
			}
		}
	}



/* _expand-lambda */
	obj_t BGl__expandzd2lambdazd2zzexpand_lambdaz00(obj_t BgL_envz00_296,
		obj_t BgL_xz00_297, obj_t BgL_ez00_298)
	{
		AN_OBJECT;
		{	/* Expand/lambda.scm 57 */
			return
				BGl_expandzd2lambdazd2zzexpand_lambdaz00(BgL_xz00_297, BgL_ez00_298);
		}
	}



/* <anonymous:1312> */
	obj_t BGl_zc3anonymousza31312ze3z83zzexpand_lambdaz00(obj_t BgL_envz00_299)
	{
		AN_OBJECT;
		{	/* Expand/lambda.scm 65 */
			{	/* Expand/lambda.scm 66 */
				obj_t BgL_ez00_300;
				obj_t BgL_argsz00_301;
				obj_t BgL_bodyz00_302;
				obj_t BgL_lamz00_303;

				BgL_ez00_300 = PROCEDURE_REF(BgL_envz00_299, (int) (((long) 0)));
				BgL_argsz00_301 = PROCEDURE_REF(BgL_envz00_299, (int) (((long) 1)));
				BgL_bodyz00_302 = PROCEDURE_REF(BgL_envz00_299, (int) (((long) 2)));
				BgL_lamz00_303 = PROCEDURE_REF(BgL_envz00_299, (int) (((long) 3)));
				{

					{	/* Expand/lambda.scm 66 */
						obj_t BgL_ez00_80;

						BgL_ez00_80 =
							BGl_internalzd2beginzd2expanderz00zzexpand_lambdaz00
							(BgL_ez00_300);
						{	/* Expand/lambda.scm 67 */
							obj_t BgL_arg1313z00_81;

							{	/* Expand/lambda.scm 67 */
								obj_t BgL_arg1314z00_82;
								obj_t BgL_arg1315z00_83;

								BgL_arg1314z00_82 =
									BGl_loopz00zzexpand_lambdaz00(BgL_ez00_80, BgL_argsz00_301);
								{	/* Expand/lambda.scm 68 */
									obj_t BgL_arg1319z00_87;

									BgL_arg1319z00_87 =
										BGl_expandzd2prognzd2zz__prognz00(BgL_bodyz00_302);
									BgL_arg1315z00_83 =
										PROCEDURE_ENTRY(BgL_ez00_80) (BgL_ez00_80,
										BgL_arg1319z00_87, BgL_ez00_80, BEOA);
								}
								{	/* Expand/lambda.scm 67 */
									obj_t BgL_list1317z00_85;

									{	/* Expand/lambda.scm 67 */
										obj_t BgL_arg1318z00_86;

										BgL_arg1318z00_86 = MAKE_PAIR(BNIL, BNIL);
										BgL_list1317z00_85 =
											MAKE_PAIR(BgL_arg1315z00_83, BgL_arg1318z00_86);
									}
									BgL_arg1313z00_81 =
										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
										(BgL_arg1314z00_82, BgL_list1317z00_85);
							}}
							return MAKE_PAIR(BgL_lamz00_303, BgL_arg1313z00_81);
						}
					}
				}
			}
		}
	}



/* internal-begin-expander */
	BGL_EXPORTED_DEF obj_t
		BGl_internalzd2beginzd2expanderz00zzexpand_lambdaz00(obj_t
		BgL_oldzd2expanderzd2_5)
	{
		AN_OBJECT;
		{	/* Expand/lambda.scm 77 */
			{	/* Expand/lambda.scm 78 */
				obj_t BgL_zc3anonymousza31320ze3z83_306;

				BgL_zc3anonymousza31320ze3z83_306 =
					make_fx_procedure(BGl_zc3anonymousza31320ze3z83zzexpand_lambdaz00,
					(int) (((long) 2)), (int) (((long) 1)));
				PROCEDURE_SET(BgL_zc3anonymousza31320ze3z83_306,
					(int) (((long) 0)), BgL_oldzd2expanderzd2_5);
				return BgL_zc3anonymousza31320ze3z83_306;
			}
		}
	}



/* _internal-begin-expander */
	obj_t BGl__internalzd2beginzd2expanderz00zzexpand_lambdaz00(obj_t
		BgL_envz00_307, obj_t BgL_oldzd2expanderzd2_308)
	{
		AN_OBJECT;
		{	/* Expand/lambda.scm 77 */
			return
				BGl_internalzd2beginzd2expanderz00zzexpand_lambdaz00
				(BgL_oldzd2expanderzd2_308);
		}
	}



/* <anonymous:1320> */
	obj_t BGl_zc3anonymousza31320ze3z83zzexpand_lambdaz00(obj_t BgL_envz00_309,
		obj_t BgL_exprz00_311, obj_t BgL_expanderz00_312)
	{
		AN_OBJECT;
		{	/* Expand/lambda.scm 78 */
			{	/* Expand/lambda.scm 78 */
				obj_t BgL_oldzd2expanderzd2_310;

				BgL_oldzd2expanderzd2_310 =
					PROCEDURE_REF(BgL_envz00_309, (int) (((long) 0)));
				{
					obj_t BgL_exprz00_89;
					obj_t BgL_expanderz00_90;

					BgL_exprz00_89 = BgL_exprz00_311;
					BgL_expanderz00_90 = BgL_expanderz00_312;
					{
						obj_t BgL_restz00_93;

						if (PAIRP(BgL_exprz00_89))
							{	/* Expand/lambda.scm 78 */
								if ((CAR(BgL_exprz00_89) == CNST_TABLE_REF(((long) 1))))
									{	/* Expand/lambda.scm 78 */
										if (NULLP(CDR(BgL_exprz00_89)))
											{	/* Expand/lambda.scm 78 */
												return BUNSPEC;
											}
										else
											{	/* Expand/lambda.scm 78 */
												BgL_restz00_93 = CDR(BgL_exprz00_89);
												if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00
													(BgL_restz00_93))
													{	/* Expand/lambda.scm 86 */
														obj_t BgL_arg1329z00_105;
														obj_t BgL_arg1330z00_106;
														obj_t BgL_arg1332z00_107;

														BgL_arg1329z00_105 =
															BGl_beginzd2bindingszd2zzexpand_lambdaz00
															(BgL_restz00_93);
														BgL_arg1330z00_106 = CNST_TABLE_REF(((long) 0));
														BgL_arg1332z00_107 =
															BGl_findzd2locationzd2zztools_locationz00
															(BgL_exprz00_89);
														{	/* Expand/lambda.scm 91 */
															obj_t BgL_zc3anonymousza31334ze3z83_305;

															BgL_zc3anonymousza31334ze3z83_305 =
																make_fx_procedure
																(BGl_zc3anonymousza31334ze3z83zzexpand_lambdaz00,
																(int) (((long) 0)), (int) (((long) 2)));
															PROCEDURE_SET(BgL_zc3anonymousza31334ze3z83_305,
																(int) (((long) 0)), BgL_oldzd2expanderzd2_310);
															PROCEDURE_SET(BgL_zc3anonymousza31334ze3z83_305,
																(int) (((long) 1)), BgL_restz00_93);
															return
																BGl_withzd2lexicalzd2zzexpand_epsz00
																(BgL_arg1329z00_105, BgL_arg1330z00_106,
																BgL_arg1332z00_107,
																BgL_zc3anonymousza31334ze3z83_305);
														}
													}
												else
													{	/* Expand/lambda.scm 83 */
														return
															BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long)
																	1)), BGl_string1427z00zzexpand_lambdaz00,
															BgL_exprz00_89);
									}}}
								else
									{	/* Expand/lambda.scm 78 */
									BgL_tagzd21174zd2_95:
										return
											PROCEDURE_ENTRY(BgL_oldzd2expanderzd2_310)
											(BgL_oldzd2expanderzd2_310, BgL_exprz00_89,
											BgL_oldzd2expanderzd2_310, BEOA);
									}
							}
						else
							{	/* Expand/lambda.scm 78 */
								goto BgL_tagzd21174zd2_95;
							}
					}
				}
			}
		}
	}



/* <anonymous:1334> */
	obj_t BGl_zc3anonymousza31334ze3z83zzexpand_lambdaz00(obj_t BgL_envz00_313)
	{
		AN_OBJECT;
		{	/* Expand/lambda.scm 89 */
			{	/* Expand/lambda.scm 91 */
				obj_t BgL_oldzd2expanderzd2_314;
				obj_t BgL_restz00_315;

				BgL_oldzd2expanderzd2_314 =
					PROCEDURE_REF(BgL_envz00_313, (int) (((long) 0)));
				BgL_restz00_315 = PROCEDURE_REF(BgL_envz00_313, (int) (((long) 1)));
				{

					{	/* Expand/lambda.scm 91 */
						obj_t BgL_arg1335z00_110;

						{	/* Expand/lambda.scm 91 */
							obj_t BgL_zc3anonymousza31339ze3z83_304;

							BgL_zc3anonymousza31339ze3z83_304 =
								make_fx_procedure
								(BGl_zc3anonymousza31339ze3z83zzexpand_lambdaz00,
								(int) (((long) 1)), (int) (((long) 1)));
							PROCEDURE_SET(BgL_zc3anonymousza31339ze3z83_304,
								(int) (((long) 0)), BgL_oldzd2expanderzd2_314);
							BgL_arg1335z00_110 =
								BGl_emapz00zztools_prognz00(BgL_zc3anonymousza31339ze3z83_304,
								BgL_restz00_315);
						}
						return
							BGl_lambdazd2defineszd2zzexpand_lambdaz00(BgL_arg1335z00_110);
					}
				}
			}
		}
	}



/* <anonymous:1339> */
	obj_t BGl_zc3anonymousza31339ze3z83zzexpand_lambdaz00(obj_t BgL_envz00_316,
		obj_t BgL_xz00_318)
	{
		AN_OBJECT;
		{	/* Expand/lambda.scm 91 */
			{	/* Expand/lambda.scm 91 */
				obj_t BgL_oldzd2expanderzd2_317;

				BgL_oldzd2expanderzd2_317 =
					PROCEDURE_REF(BgL_envz00_316, (int) (((long) 0)));
				{
					obj_t BgL_xz00_112;

					BgL_xz00_112 = BgL_xz00_318;
					return
						PROCEDURE_ENTRY(BgL_oldzd2expanderzd2_317)
						(BgL_oldzd2expanderzd2_317, BgL_xz00_112, BgL_oldzd2expanderzd2_317,
						BEOA);
				}
			}
		}
	}



/* begin-bindings */
	obj_t BGl_beginzd2bindingszd2zzexpand_lambdaz00(obj_t BgL_bodyz00_7)
	{
		AN_OBJECT;
		{	/* Expand/lambda.scm 116 */
			{
				obj_t BgL_oldformsz00_144;
				obj_t BgL_varsz00_145;

				BgL_oldformsz00_144 = BgL_bodyz00_7;
				BgL_varsz00_145 = BNIL;
			BgL_loopz00_146:
				if (PAIRP(BgL_oldformsz00_144))
					{	/* Expand/lambda.scm 122 */
						obj_t BgL_formz00_148;

						BgL_formz00_148 = CAR(BgL_oldformsz00_144);
						{
							obj_t BgL_varz00_151;
							obj_t BgL_varz00_149;

							if (PAIRP(BgL_formz00_148))
								{	/* Expand/lambda.scm 123 */
									obj_t BgL_cdrzd21211zd2_156;

									BgL_cdrzd21211zd2_156 = CDR(BgL_formz00_148);
									if ((CAR(BgL_formz00_148) == CNST_TABLE_REF(((long) 2))))
										{	/* Expand/lambda.scm 123 */
											if (PAIRP(BgL_cdrzd21211zd2_156))
												{	/* Expand/lambda.scm 123 */
													obj_t BgL_carzd21213zd2_159;

													BgL_carzd21213zd2_159 = CAR(BgL_cdrzd21211zd2_156);
													if (PAIRP(BgL_carzd21213zd2_159))
														{	/* Expand/lambda.scm 123 */
															BgL_varz00_149 = CAR(BgL_carzd21213zd2_159);
															{	/* Expand/lambda.scm 125 */
																obj_t BgL_arg1373z00_166;
																obj_t BgL_arg1374z00_167;

																BgL_arg1373z00_166 = CDR(BgL_oldformsz00_144);
																BgL_arg1374z00_167 =
																	MAKE_PAIR(BgL_varz00_149, BgL_varsz00_145);
																{
																	obj_t BgL_varsz00_510;
																	obj_t BgL_oldformsz00_509;

																	BgL_oldformsz00_509 = BgL_arg1373z00_166;
																	BgL_varsz00_510 = BgL_arg1374z00_167;
																	BgL_varsz00_145 = BgL_varsz00_510;
																	BgL_oldformsz00_144 = BgL_oldformsz00_509;
																	goto BgL_loopz00_146;
																}
															}
														}
													else
														{	/* Expand/lambda.scm 123 */
															BgL_varz00_151 = CAR(BgL_cdrzd21211zd2_156);
															{	/* Expand/lambda.scm 127 */
																obj_t BgL_arg1375z00_168;
																obj_t BgL_arg1376z00_169;

																BgL_arg1375z00_168 = CDR(BgL_oldformsz00_144);
																BgL_arg1376z00_169 =
																	MAKE_PAIR(BgL_varz00_151, BgL_varsz00_145);
																{
																	obj_t BgL_varsz00_515;
																	obj_t BgL_oldformsz00_514;

																	BgL_oldformsz00_514 = BgL_arg1375z00_168;
																	BgL_varsz00_515 = BgL_arg1376z00_169;
																	BgL_varsz00_145 = BgL_varsz00_515;
																	BgL_oldformsz00_144 = BgL_oldformsz00_514;
																	goto BgL_loopz00_146;
																}
															}
														}
												}
											else
												{	/* Expand/lambda.scm 123 */
												BgL_tagzd21206zd2_153:
													{
														obj_t BgL_oldformsz00_517;

														BgL_oldformsz00_517 = CDR(BgL_oldformsz00_144);
														BgL_oldformsz00_144 = BgL_oldformsz00_517;
														goto BgL_loopz00_146;
													}
												}
										}
									else
										{	/* Expand/lambda.scm 123 */
											goto BgL_tagzd21206zd2_153;
										}
								}
							else
								{	/* Expand/lambda.scm 123 */
									goto BgL_tagzd21206zd2_153;
								}
						}
					}
				else
					{	/* Expand/lambda.scm 121 */
						return BgL_varsz00_145;
					}
			}
		}
	}



/* lambda-defines */
	obj_t BGl_lambdazd2defineszd2zzexpand_lambdaz00(obj_t BgL_bodyz00_8)
	{
		AN_OBJECT;
		{	/* Expand/lambda.scm 135 */
			{
				obj_t BgL_oldformsz00_174;
				obj_t BgL_newformsz00_175;
				obj_t BgL_varsz00_176;
				obj_t BgL_declsz00_177;

				BgL_oldformsz00_174 = BgL_bodyz00_8;
				BgL_newformsz00_175 = BNIL;
				BgL_varsz00_176 = BNIL;
				BgL_declsz00_177 = BNIL;
			BgL_loopz00_178:
				if (PAIRP(BgL_oldformsz00_174))
					{	/* Expand/lambda.scm 141 */
						obj_t BgL_formz00_180;

						BgL_formz00_180 = CAR(BgL_oldformsz00_174);
						{
							obj_t BgL_bodyz00_184;
							obj_t BgL_varz00_181;
							obj_t BgL_valz00_182;

							if (PAIRP(BgL_formz00_180))
								{	/* Expand/lambda.scm 142 */
									obj_t BgL_cdrzd21243zd2_189;

									BgL_cdrzd21243zd2_189 = CDR(BgL_formz00_180);
									if ((CAR(BgL_formz00_180) == CNST_TABLE_REF(((long) 2))))
										{	/* Expand/lambda.scm 142 */
											if (PAIRP(BgL_cdrzd21243zd2_189))
												{	/* Expand/lambda.scm 142 */
													obj_t BgL_cdrzd21247zd2_192;

													BgL_cdrzd21247zd2_192 = CDR(BgL_cdrzd21243zd2_189);
													if (PAIRP(BgL_cdrzd21247zd2_192))
														{	/* Expand/lambda.scm 142 */
															if (NULLP(CDR(BgL_cdrzd21247zd2_192)))
																{	/* Expand/lambda.scm 142 */
																	BgL_varz00_181 = CAR(BgL_cdrzd21243zd2_189);
																	BgL_valz00_182 = CAR(BgL_cdrzd21247zd2_192);
																	{	/* Expand/lambda.scm 144 */
																		obj_t BgL_arg1396z00_204;
																		obj_t BgL_arg1399z00_205;
																		obj_t BgL_arg1400z00_206;

																		BgL_arg1396z00_204 =
																			CDR(BgL_oldformsz00_174);
																		BgL_arg1399z00_205 =
																			MAKE_PAIR(BgL_varz00_181,
																			BgL_varsz00_176);
																		{	/* Expand/lambda.scm 147 */
																			obj_t BgL_arg1403z00_207;

																			{	/* Expand/lambda.scm 147 */
																				obj_t BgL_arg1404z00_208;

																				{	/* Expand/lambda.scm 147 */
																					obj_t BgL_list1405z00_209;

																					BgL_list1405z00_209 =
																						MAKE_PAIR(BNIL, BNIL);
																					BgL_arg1404z00_208 =
																						BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																						(BgL_valz00_182,
																						BgL_list1405z00_209);
																				}
																				BgL_arg1403z00_207 =
																					MAKE_PAIR(BgL_varz00_181,
																					BgL_arg1404z00_208);
																			}
																			BgL_arg1400z00_206 =
																				MAKE_PAIR(BgL_arg1403z00_207,
																				BgL_declsz00_177);
																		}
																		{
																			obj_t BgL_declsz00_545;
																			obj_t BgL_varsz00_544;
																			obj_t BgL_oldformsz00_543;

																			BgL_oldformsz00_543 = BgL_arg1396z00_204;
																			BgL_varsz00_544 = BgL_arg1399z00_205;
																			BgL_declsz00_545 = BgL_arg1400z00_206;
																			BgL_declsz00_177 = BgL_declsz00_545;
																			BgL_varsz00_176 = BgL_varsz00_544;
																			BgL_oldformsz00_174 = BgL_oldformsz00_543;
																			goto BgL_loopz00_178;
																		}
																	}
																}
															else
																{	/* Expand/lambda.scm 142 */
																BgL_tagzd21235zd2_186:
																	{	/* Expand/lambda.scm 154 */
																		obj_t BgL_arg1409z00_212;
																		obj_t BgL_arg1410z00_213;

																		BgL_arg1409z00_212 =
																			CDR(BgL_oldformsz00_174);
																		BgL_arg1410z00_213 =
																			MAKE_PAIR(BgL_formz00_180,
																			BgL_newformsz00_175);
																		{
																			obj_t BgL_newformsz00_551;
																			obj_t BgL_oldformsz00_550;

																			BgL_oldformsz00_550 = BgL_arg1409z00_212;
																			BgL_newformsz00_551 = BgL_arg1410z00_213;
																			BgL_newformsz00_175 = BgL_newformsz00_551;
																			BgL_oldformsz00_174 = BgL_oldformsz00_550;
																			goto BgL_loopz00_178;
																		}
																	}
																}
														}
													else
														{	/* Expand/lambda.scm 142 */
															goto BgL_tagzd21235zd2_186;
														}
												}
											else
												{	/* Expand/lambda.scm 142 */
													goto BgL_tagzd21235zd2_186;
												}
										}
									else
										{	/* Expand/lambda.scm 142 */
											if ((CAR(BgL_formz00_180) == CNST_TABLE_REF(((long) 1))))
												{	/* Expand/lambda.scm 142 */
													BgL_bodyz00_184 = BgL_cdrzd21243zd2_189;
													{
														obj_t BgL_oldformsz00_556;

														BgL_oldformsz00_556 =
															bgl_append2(BgL_bodyz00_184,
															CDR(BgL_oldformsz00_174));
														BgL_oldformsz00_174 = BgL_oldformsz00_556;
														goto BgL_loopz00_178;
													}
												}
											else
												{	/* Expand/lambda.scm 142 */
													goto BgL_tagzd21235zd2_186;
												}
										}
								}
							else
								{	/* Expand/lambda.scm 142 */
									goto BgL_tagzd21235zd2_186;
								}
						}
					}
				else
					{	/* Expand/lambda.scm 140 */
						if (NULLP(BgL_varsz00_176))
							{	/* Expand/lambda.scm 159 */
								return BGl_expandzd2prognzd2zz__prognz00(BgL_bodyz00_8);
							}
						else
							{	/* Expand/lambda.scm 160 */
								obj_t BgL_arg1412z00_215;
								obj_t BgL_arg1415z00_216;

								BgL_arg1412z00_215 = CNST_TABLE_REF(((long) 3));
								{	/* Expand/lambda.scm 160 */
									obj_t BgL_arg1416z00_217;

									BgL_arg1416z00_217 =
										BGl_expandzd2prognzd2zz__prognz00(bgl_reverse
										(BgL_newformsz00_175));
									{	/* Expand/lambda.scm 160 */
										obj_t BgL_list1418z00_219;

										{	/* Expand/lambda.scm 160 */
											obj_t BgL_arg1420z00_220;

											BgL_arg1420z00_220 = MAKE_PAIR(BNIL, BNIL);
											BgL_list1418z00_219 =
												MAKE_PAIR(BgL_arg1416z00_217, BgL_arg1420z00_220);
										}
										BgL_arg1415z00_216 =
											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
											(BgL_declsz00_177, BgL_list1418z00_219);
								}}
								return MAKE_PAIR(BgL_arg1412z00_215, BgL_arg1415z00_216);
							}
					}
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzexpand_lambdaz00()
	{
		AN_OBJECT;
		{	/* Expand/lambda.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzexpand_lambdaz00()
	{
		AN_OBJECT;
		{	/* Expand/lambda.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 12445515),
				BSTRING_TO_STRING(BGl_string1428z00zzexpand_lambdaz00));
			BGl_modulezd2initializa7ationz75zztools_argsz00(((long) 320731191),
				BSTRING_TO_STRING(BGl_string1428z00zzexpand_lambdaz00));
			BGl_modulezd2initializa7ationz75zztools_prognz00(((long) 139728077),
				BSTRING_TO_STRING(BGl_string1428z00zzexpand_lambdaz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 315910987),
				BSTRING_TO_STRING(BGl_string1428z00zzexpand_lambdaz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 345457731),
				BSTRING_TO_STRING(BGl_string1428z00zzexpand_lambdaz00));
			BGl_modulezd2initializa7ationz75zzexpand_epsz00(((long) 95912462),
				BSTRING_TO_STRING(BGl_string1428z00zzexpand_lambdaz00));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 514705515),
				BSTRING_TO_STRING(BGl_string1428z00zzexpand_lambdaz00));
		}
	}

#ifdef __cplusplus
}
#endif
