/*===========================================================================*/
/*   (Expand/struct.scm)                                                     */
/*   Bigloo (2.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 25 07:31:22 CET 2006        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/2.9a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Expand/struct.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;


	BGL_IMPORT obj_t
		BGl_matchzd2definezd2structurez12z12zz__match_normaliza7eza7(obj_t);
	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	BGL_IMPORT obj_t open_input_string(obj_t);
	BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzexpand_structz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_cnstzd2initzd2zzexpand_structz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzexpand_structz00();
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2unsafezd2structza2zd2zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzexpand_structz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__match_normaliza7eza7(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT long bgl_list_length(obj_t);
	static obj_t BGl__expandzd2structzd2zzexpand_structz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_epairifyz00zztools_miscz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_expandzd2structzd2zzexpand_structz00(obj_t,
		obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzexpand_structz00();
	static obj_t BGl_methodzd2initzd2zzexpand_structz00();
	static obj_t __cnst[31];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_expandzd2structzd2envz00zzexpand_structz00,
		BgL_bgl__expandza7d2struct2145za7,
		BGl__expandzd2structzd2zzexpand_structz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2137z00zzexpand_structz00,
		BgL_bgl_string2137za700za7za7e2146za7, "Illegal `define-struct' form", 28);
	      DEFINE_STRING(BGl_string2138z00zzexpand_structz00,
		BgL_bgl_string2138za700za7za7e2147za7, "Too many argument provided", 26);
	      DEFINE_STRING(BGl_string2140z00zzexpand_structz00,
		BgL_bgl_string2140za700za7za7e2148za7, "struct-set!:not an instance of",
		30);
	      DEFINE_STRING(BGl_string2139z00zzexpand_structz00,
		BgL_bgl_string2139za700za7za7e2149za7, "struct-ref:not an instance of", 29);
	      DEFINE_STRING(BGl_string2141z00zzexpand_structz00,
		BgL_bgl_string2141za700za7za7e2150za7, "expand_struct", 13);
	      DEFINE_STRING(BGl_string2142z00zzexpand_structz00,
		BgL_bgl_string2142za700za7za7e2151za7,
		"u-struct-set! struct-set! v u-struct-ref struct-ref s ((unspecified)) struct-key eq? struct? o ? -set! - c-create-struct new let car make-struct quote error cdr null? not pair? if init make- define-inline begin (quote ()) ",
		222);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzexpand_structz00(long
		BgL_checksumz00_558, char *BgL_fromz00_559)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzexpand_structz00))
				{
					BGl_requirezd2initializa7ationz75zzexpand_structz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzexpand_structz00();
					BGl_cnstzd2initzd2zzexpand_structz00();
					BGl_importedzd2moduleszd2initz00zzexpand_structz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzexpand_structz00()
	{
		AN_OBJECT;
		{	/* Expand/struct.scm 15 */
			BGl_modulezd2initializa7ationz75zz__match_normaliza7eza7(((long) 0),
				"expand_struct");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"expand_struct");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"expand_struct");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"expand_struct");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "expand_struct");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzexpand_structz00()
	{
		AN_OBJECT;
		{	/* Expand/struct.scm 15 */
			{	/* Expand/struct.scm 15 */
				obj_t BgL_cportz00_550;

				BgL_cportz00_550 =
					open_input_string(BGl_string2142z00zzexpand_structz00);
				{
					long BgL_iz00_551;

					BgL_iz00_551 = ((long) 30);
				BgL_loopz00_552:
					if ((BgL_iz00_551 == ((long) -1)))
						{	/* Expand/struct.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Expand/struct.scm 15 */
							{	/* Expand/struct.scm 15 */
								obj_t BgL_arg2144z00_554;

								{	/* Expand/struct.scm 15 */

									{	/* Expand/struct.scm 15 */
										obj_t BgL_locationz00_556;

										BgL_locationz00_556 = BBOOL(((bool_t) 0));
										{	/* Expand/struct.scm 15 */

											BgL_arg2144z00_554 =
												BGl_readz00zz__readerz00(BgL_cportz00_550,
												BgL_locationz00_556);
										}
									}
								}
								{	/* Expand/struct.scm 15 */
									int BgL_auxz00_576;

									BgL_auxz00_576 = (int) (BgL_iz00_551);
									CNST_TABLE_SET(BgL_auxz00_576, BgL_arg2144z00_554);
							}}
							{	/* Expand/struct.scm 15 */
								int BgL_auxz00_557;

								BgL_auxz00_557 = (int) ((BgL_iz00_551 - ((long) 1)));
								{
									long BgL_iz00_581;

									BgL_iz00_581 = (long) (BgL_auxz00_557);
									BgL_iz00_551 = BgL_iz00_581;
									goto BgL_loopz00_552;
								}
							}
						}
				}
			}
		}
	}



/* expand-struct */
	BGL_EXPORTED_DEF obj_t BGl_expandzd2structzd2zzexpand_structz00(obj_t
		BgL_xz00_1, obj_t BgL_ez00_2)
	{
		AN_OBJECT;
		{	/* Expand/struct.scm 23 */
			{
				obj_t BgL_namez00_28;
				obj_t BgL_slotsz00_29;

				if (PAIRP(BgL_xz00_1))
					{	/* Expand/struct.scm 24 */
						obj_t BgL_cdrzd2937zd2_34;

						BgL_cdrzd2937zd2_34 = CDR(BgL_xz00_1);
						if (PAIRP(BgL_cdrzd2937zd2_34))
							{	/* Expand/struct.scm 24 */
								BgL_namez00_28 = CAR(BgL_cdrzd2937zd2_34);
								BgL_slotsz00_29 = CDR(BgL_cdrzd2937zd2_34);
								BGl_matchzd2definezd2structurez12z12zz__match_normaliza7eza7
									(BgL_xz00_1);
								{	/* Expand/struct.scm 27 */
									long BgL_lenz00_38;

									BgL_lenz00_38 = bgl_list_length(BgL_slotsz00_29);
									{	/* Expand/struct.scm 27 */
										obj_t BgL_slotszd2namezd2_39;

										if (NULLP(BgL_slotsz00_29))
											{	/* Expand/struct.scm 28 */
												BgL_slotszd2namezd2_39 = BNIL;
											}
										else
											{	/* Expand/struct.scm 28 */
												obj_t BgL_head1276z00_460;

												BgL_head1276z00_460 = MAKE_PAIR(BNIL, BNIL);
												{
													obj_t BgL_l1274z00_461;
													obj_t BgL_tail1277z00_462;

													BgL_l1274z00_461 = BgL_slotsz00_29;
													BgL_tail1277z00_462 = BgL_head1276z00_460;
												BgL_map1275z00_463:
													if (NULLP(BgL_l1274z00_461))
														{	/* Expand/struct.scm 28 */
															BgL_slotszd2namezd2_39 = CDR(BgL_head1276z00_460);
														}
													else
														{	/* Expand/struct.scm 28 */
															obj_t BgL_newtail1278z00_465;

															{	/* Expand/struct.scm 28 */
																obj_t BgL_arg2114z00_467;

																{	/* Expand/struct.scm 28 */
																	obj_t BgL_sz00_469;

																	BgL_sz00_469 = CAR(BgL_l1274z00_461);
																	{

																		if (PAIRP(BgL_sz00_469))
																			{	/* Expand/struct.scm 29 */
																				obj_t BgL_cdrzd2953zd2_477;

																				BgL_cdrzd2953zd2_477 =
																					CDR(BgL_sz00_469);
																				if (PAIRP(BgL_cdrzd2953zd2_477))
																					{	/* Expand/struct.scm 29 */
																						if (NULLP(CDR
																								(BgL_cdrzd2953zd2_477)))
																							{	/* Expand/struct.scm 29 */
																								BgL_arg2114z00_467 =
																									CAR(BgL_sz00_469);
																							}
																						else
																							{	/* Expand/struct.scm 29 */
																								if (SYMBOLP(BgL_sz00_469))
																									{	/* Expand/struct.scm 29 */
																										BgL_arg2114z00_467 =
																											BgL_sz00_469;
																									}
																								else
																									{	/* Expand/struct.scm 29 */
																									BgL_tagzd2946zd2_474:
																										BgL_arg2114z00_467 =
																											BGl_errorz00zz__errorz00
																											(BFALSE,
																											BGl_string2137z00zzexpand_structz00,
																											BgL_xz00_1);
																									}
																							}
																					}
																				else
																					{	/* Expand/struct.scm 29 */
																						if (SYMBOLP(BgL_sz00_469))
																							{	/* Expand/struct.scm 29 */
																								BgL_arg2114z00_467 =
																									BgL_sz00_469;
																							}
																						else
																							{	/* Expand/struct.scm 29 */
																								goto BgL_tagzd2946zd2_474;
																							}
																					}
																			}
																		else
																			{	/* Expand/struct.scm 29 */
																				if (SYMBOLP(BgL_sz00_469))
																					{	/* Expand/struct.scm 29 */
																						BgL_arg2114z00_467 = BgL_sz00_469;
																					}
																				else
																					{	/* Expand/struct.scm 29 */
																						goto BgL_tagzd2946zd2_474;
																					}
																			}
																	}
																}
																BgL_newtail1278z00_465 =
																	MAKE_PAIR(BgL_arg2114z00_467, BNIL);
															}
															SET_CDR(BgL_tail1277z00_462,
																BgL_newtail1278z00_465);
															{
																obj_t BgL_tail1277z00_617;
																obj_t BgL_l1274z00_615;

																BgL_l1274z00_615 = CDR(BgL_l1274z00_461);
																BgL_tail1277z00_617 = BgL_newtail1278z00_465;
																BgL_tail1277z00_462 = BgL_tail1277z00_617;
																BgL_l1274z00_461 = BgL_l1274z00_615;
																goto BgL_map1275z00_463;
															}
														}
												}
											}
										{	/* Expand/struct.scm 28 */
											bool_t BgL_slotszd2valzf3z21_40;

											BgL_slotszd2valzf3z21_40 = ((bool_t) 0);
											{	/* Expand/struct.scm 39 */
												obj_t BgL_slotszd2valzd2_41;

												if (NULLP(BgL_slotsz00_29))
													{	/* Expand/struct.scm 40 */
														BgL_slotszd2valzd2_41 = BNIL;
													}
												else
													{	/* Expand/struct.scm 40 */
														obj_t BgL_head1281z00_434;

														BgL_head1281z00_434 = MAKE_PAIR(BNIL, BNIL);
														{
															obj_t BgL_l1279z00_435;
															obj_t BgL_tail1282z00_436;

															BgL_l1279z00_435 = BgL_slotsz00_29;
															BgL_tail1282z00_436 = BgL_head1281z00_434;
														BgL_map1280z00_437:
															if (NULLP(BgL_l1279z00_435))
																{	/* Expand/struct.scm 40 */
																	BgL_slotszd2valzd2_41 =
																		CDR(BgL_head1281z00_434);
																}
															else
																{	/* Expand/struct.scm 40 */
																	obj_t BgL_newtail1283z00_439;

																	{	/* Expand/struct.scm 40 */
																		obj_t BgL_arg2082z00_441;

																		{	/* Expand/struct.scm 40 */
																			obj_t BgL_sz00_443;

																			BgL_sz00_443 = CAR(BgL_l1279z00_435);
																			{

																				if (PAIRP(BgL_sz00_443))
																					{	/* Expand/struct.scm 41 */
																						obj_t BgL_cdrzd2966zd2_450;

																						BgL_cdrzd2966zd2_450 =
																							CDR(BgL_sz00_443);
																						if (PAIRP(BgL_cdrzd2966zd2_450))
																							{	/* Expand/struct.scm 41 */
																								if (NULLP(CDR
																										(BgL_cdrzd2966zd2_450)))
																									{	/* Expand/struct.scm 41 */
																										obj_t BgL_arg2089z00_453;

																										BgL_arg2089z00_453 =
																											CAR(BgL_cdrzd2966zd2_450);
																										BgL_slotszd2valzf3z21_40 =
																											((bool_t) 1);
																										BgL_arg2082z00_441 =
																											BgL_arg2089z00_453;
																									}
																								else
																									{	/* Expand/struct.scm 41 */
																										if (SYMBOLP(BgL_sz00_443))
																											{	/* Expand/struct.scm 41 */
																												BgL_arg2082z00_441 =
																													CNST_TABLE_REF(((long)
																														0));
																											}
																										else
																											{	/* Expand/struct.scm 41 */
																											BgL_tagzd2961zd2_447:
																												BgL_arg2082z00_441 =
																													BGl_errorz00zz__errorz00
																													(BFALSE,
																													BGl_string2137z00zzexpand_structz00,
																													BgL_xz00_1);
																											}
																									}
																							}
																						else
																							{	/* Expand/struct.scm 41 */
																								if (SYMBOLP(BgL_sz00_443))
																									{	/* Expand/struct.scm 41 */
																										BgL_arg2082z00_441 =
																											CNST_TABLE_REF(((long)
																												0));
																									}
																								else
																									{	/* Expand/struct.scm 41 */
																										goto BgL_tagzd2961zd2_447;
																									}
																							}
																					}
																				else
																					{	/* Expand/struct.scm 41 */
																						if (SYMBOLP(BgL_sz00_443))
																							{	/* Expand/struct.scm 41 */
																								BgL_arg2082z00_441 =
																									CNST_TABLE_REF(((long) 0));
																							}
																						else
																							{	/* Expand/struct.scm 41 */
																								goto BgL_tagzd2961zd2_447;
																							}
																					}
																			}
																		}
																		BgL_newtail1283z00_439 =
																			MAKE_PAIR(BgL_arg2082z00_441, BNIL);
																	}
																	SET_CDR(BgL_tail1282z00_436,
																		BgL_newtail1283z00_439);
																	{
																		obj_t BgL_tail1282z00_648;
																		obj_t BgL_l1279z00_646;

																		BgL_l1279z00_646 = CDR(BgL_l1279z00_435);
																		BgL_tail1282z00_648 =
																			BgL_newtail1283z00_439;
																		BgL_tail1282z00_436 = BgL_tail1282z00_648;
																		BgL_l1279z00_435 = BgL_l1279z00_646;
																		goto BgL_map1280z00_437;
																	}
																}
														}
													}
												{	/* Expand/struct.scm 40 */

													{	/* Expand/struct.scm 53 */
														obj_t BgL_arg1289z00_42;
														obj_t BgL_arg1290z00_43;

														BgL_arg1289z00_42 = CNST_TABLE_REF(((long) 1));
														{	/* Expand/struct.scm 57 */
															obj_t BgL_arg1291z00_44;
															obj_t BgL_arg1293z00_45;

															{	/* Expand/struct.scm 57 */
																obj_t BgL_arg1294z00_46;

																{	/* Expand/struct.scm 57 */
																	obj_t BgL_arg1295z00_47;

																	{	/* Expand/struct.scm 57 */
																		obj_t BgL_arg1296z00_48;
																		obj_t BgL_arg1297z00_49;

																		BgL_arg1296z00_48 =
																			CNST_TABLE_REF(((long) 2));
																		{	/* Expand/struct.scm 57 */
																			obj_t BgL_arg1298z00_50;
																			obj_t BgL_arg1300z00_51;

																			{	/* Expand/struct.scm 57 */
																				obj_t BgL_arg1304z00_55;
																				obj_t BgL_arg1305z00_56;

																				{	/* Expand/struct.scm 57 */
																					obj_t BgL_list1306z00_57;

																					{	/* Expand/struct.scm 57 */
																						obj_t BgL_arg1307z00_58;
																						obj_t BgL_arg1308z00_59;

																						BgL_arg1307z00_58 =
																							CNST_TABLE_REF(((long) 3));
																						BgL_arg1308z00_59 =
																							MAKE_PAIR(BgL_namez00_28, BNIL);
																						BgL_list1306z00_57 =
																							MAKE_PAIR(BgL_arg1307z00_58,
																							BgL_arg1308z00_59);
																					}
																					BgL_arg1304z00_55 =
																						BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
																						(BgL_list1306z00_57);
																				}
																				BgL_arg1305z00_56 =
																					CNST_TABLE_REF(((long) 4));
																				BgL_arg1298z00_50 =
																					MAKE_PAIR(BgL_arg1304z00_55,
																					BgL_arg1305z00_56);
																			}
																			if (BgL_slotszd2valzf3z21_40)
																				{	/* Expand/struct.scm 59 */
																					obj_t BgL_arg1309z00_60;
																					obj_t BgL_arg1310z00_61;

																					BgL_arg1309z00_60 =
																						CNST_TABLE_REF(((long) 5));
																					{	/* Expand/struct.scm 59 */
																						obj_t BgL_arg1311z00_62;
																						obj_t BgL_arg1312z00_63;
																						obj_t BgL_arg1313z00_64;

																						{	/* Expand/struct.scm 59 */
																							obj_t BgL_arg1318z00_69;
																							obj_t BgL_arg1319z00_70;

																							BgL_arg1318z00_69 =
																								CNST_TABLE_REF(((long) 6));
																							{	/* Expand/struct.scm 59 */
																								obj_t BgL_list1320z00_71;

																								BgL_list1320z00_71 =
																									MAKE_PAIR(BNIL, BNIL);
																								BgL_arg1319z00_70 =
																									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																									(CNST_TABLE_REF(((long) 4)),
																									BgL_list1320z00_71);
																							}
																							BgL_arg1311z00_62 =
																								MAKE_PAIR(BgL_arg1318z00_69,
																								BgL_arg1319z00_70);
																						}
																						{	/* Expand/struct.scm 60 */
																							obj_t BgL_arg1322z00_72;
																							obj_t BgL_arg1323z00_73;

																							BgL_arg1322z00_72 =
																								CNST_TABLE_REF(((long) 5));
																							{	/* Expand/struct.scm 60 */
																								obj_t BgL_arg1324z00_74;
																								obj_t BgL_arg1325z00_75;
																								obj_t BgL_arg1326z00_76;

																								{	/* Expand/struct.scm 60 */
																									obj_t BgL_arg1332z00_81;
																									obj_t BgL_arg1333z00_82;

																									BgL_arg1332z00_81 =
																										CNST_TABLE_REF(((long) 7));
																									{	/* Expand/struct.scm 60 */
																										obj_t BgL_arg1335z00_83;

																										{	/* Expand/struct.scm 60 */
																											obj_t BgL_arg1340z00_86;
																											obj_t BgL_arg1341z00_87;

																											BgL_arg1340z00_86 =
																												CNST_TABLE_REF(((long)
																													8));
																											{	/* Expand/struct.scm 60 */
																												obj_t BgL_arg1342z00_88;

																												{	/* Expand/struct.scm 60 */
																													obj_t
																														BgL_arg1346z00_91;
																													obj_t
																														BgL_arg1347z00_92;
																													BgL_arg1346z00_91 =
																														CNST_TABLE_REF((
																															(long) 9));
																													{	/* Expand/struct.scm 60 */
																														obj_t
																															BgL_list1348z00_93;
																														BgL_list1348z00_93 =
																															MAKE_PAIR(BNIL,
																															BNIL);
																														BgL_arg1347z00_92 =
																															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																															(CNST_TABLE_REF((
																																	(long) 4)),
																															BgL_list1348z00_93);
																													}
																													BgL_arg1342z00_88 =
																														MAKE_PAIR
																														(BgL_arg1346z00_91,
																														BgL_arg1347z00_92);
																												}
																												{	/* Expand/struct.scm 60 */
																													obj_t
																														BgL_list1344z00_90;
																													BgL_list1344z00_90 =
																														MAKE_PAIR(BNIL,
																														BNIL);
																													BgL_arg1341z00_87 =
																														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																														(BgL_arg1342z00_88,
																														BgL_list1344z00_90);
																											}}
																											BgL_arg1335z00_83 =
																												MAKE_PAIR
																												(BgL_arg1340z00_86,
																												BgL_arg1341z00_87);
																										}
																										{	/* Expand/struct.scm 60 */
																											obj_t BgL_list1339z00_85;

																											BgL_list1339z00_85 =
																												MAKE_PAIR(BNIL, BNIL);
																											BgL_arg1333z00_82 =
																												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																												(BgL_arg1335z00_83,
																												BgL_list1339z00_85);
																									}}
																									BgL_arg1324z00_74 =
																										MAKE_PAIR(BgL_arg1332z00_81,
																										BgL_arg1333z00_82);
																								}
																								{	/* Expand/struct.scm 61 */
																									obj_t BgL_arg1349z00_94;
																									obj_t BgL_arg1350z00_95;

																									BgL_arg1349z00_94 =
																										CNST_TABLE_REF(((long) 10));
																									{	/* Expand/struct.scm 61 */
																										obj_t BgL_arg1351z00_96;
																										obj_t BgL_arg1353z00_98;

																										{	/* Expand/struct.scm 61 */
																											obj_t BgL_arg1359z00_103;
																											obj_t BgL_arg1360z00_104;

																											BgL_arg1359z00_103 =
																												CNST_TABLE_REF(((long)
																													11));
																											{	/* Expand/struct.scm 61 */
																												obj_t
																													BgL_arg1361z00_105;
																												{	/* Expand/struct.scm 61 */
																													obj_t
																														BgL_list1364z00_108;
																													{	/* Expand/struct.scm 61 */
																														obj_t
																															BgL_arg1365z00_109;
																														obj_t
																															BgL_arg1367z00_110;
																														BgL_arg1365z00_109 =
																															CNST_TABLE_REF((
																																(long) 3));
																														BgL_arg1367z00_110 =
																															MAKE_PAIR
																															(BgL_namez00_28,
																															BNIL);
																														BgL_list1364z00_108
																															=
																															MAKE_PAIR
																															(BgL_arg1365z00_109,
																															BgL_arg1367z00_110);
																													}
																													BgL_arg1361z00_105 =
																														BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
																														(BgL_list1364z00_108);
																												}
																												{	/* Expand/struct.scm 61 */
																													obj_t
																														BgL_list1363z00_107;
																													BgL_list1363z00_107 =
																														MAKE_PAIR(BNIL,
																														BNIL);
																													BgL_arg1360z00_104 =
																														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																														(BgL_arg1361z00_105,
																														BgL_list1363z00_107);
																											}}
																											BgL_arg1351z00_96 =
																												MAKE_PAIR
																												(BgL_arg1359z00_103,
																												BgL_arg1360z00_104);
																										}
																										BgL_arg1353z00_98 =
																											CNST_TABLE_REF(((long)
																												4));
																										{	/* Expand/struct.scm 61 */
																											obj_t BgL_list1356z00_100;

																											{	/* Expand/struct.scm 61 */
																												obj_t
																													BgL_arg1357z00_101;
																												{	/* Expand/struct.scm 61 */
																													obj_t
																														BgL_arg1358z00_102;
																													BgL_arg1358z00_102 =
																														MAKE_PAIR(BNIL,
																														BNIL);
																													BgL_arg1357z00_101 =
																														MAKE_PAIR
																														(BgL_arg1353z00_98,
																														BgL_arg1358z00_102);
																												}
																												BgL_list1356z00_100 =
																													MAKE_PAIR
																													(BGl_string2138z00zzexpand_structz00,
																													BgL_arg1357z00_101);
																											}
																											BgL_arg1350z00_95 =
																												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																												(BgL_arg1351z00_96,
																												BgL_list1356z00_100);
																									}}
																									BgL_arg1325z00_75 =
																										MAKE_PAIR(BgL_arg1349z00_94,
																										BgL_arg1350z00_95);
																								}
																								{	/* Expand/struct.scm 64 */
																									obj_t BgL_arg1368z00_111;
																									obj_t BgL_arg1369z00_112;

																									BgL_arg1368z00_111 =
																										CNST_TABLE_REF(((long) 12));
																									{	/* Expand/struct.scm 64 */
																										obj_t BgL_arg1371z00_113;
																										obj_t BgL_arg1373z00_114;

																										{	/* Expand/struct.scm 64 */
																											obj_t BgL_arg1379z00_119;
																											obj_t BgL_arg1380z00_120;

																											BgL_arg1379z00_119 =
																												CNST_TABLE_REF(((long)
																													11));
																											{	/* Expand/struct.scm 64 */
																												obj_t
																													BgL_list1381z00_121;
																												BgL_list1381z00_121 =
																													MAKE_PAIR(BNIL, BNIL);
																												BgL_arg1380z00_120 =
																													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																													(BgL_namez00_28,
																													BgL_list1381z00_121);
																											}
																											BgL_arg1371z00_113 =
																												MAKE_PAIR
																												(BgL_arg1379z00_119,
																												BgL_arg1380z00_120);
																										}
																										{	/* Expand/struct.scm 64 */
																											obj_t BgL_arg1382z00_122;
																											obj_t BgL_arg1383z00_123;

																											BgL_arg1382z00_122 =
																												CNST_TABLE_REF(((long)
																													13));
																											{	/* Expand/struct.scm 64 */
																												obj_t
																													BgL_list1384z00_124;
																												BgL_list1384z00_124 =
																													MAKE_PAIR(BNIL, BNIL);
																												BgL_arg1383z00_123 =
																													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																													(CNST_TABLE_REF((
																															(long) 4)),
																													BgL_list1384z00_124);
																											}
																											BgL_arg1373z00_114 =
																												MAKE_PAIR
																												(BgL_arg1382z00_122,
																												BgL_arg1383z00_123);
																										}
																										{	/* Expand/struct.scm 64 */
																											obj_t BgL_list1375z00_116;

																											{	/* Expand/struct.scm 64 */
																												obj_t
																													BgL_arg1376z00_117;
																												{	/* Expand/struct.scm 64 */
																													obj_t
																														BgL_arg1377z00_118;
																													BgL_arg1377z00_118 =
																														MAKE_PAIR(BNIL,
																														BNIL);
																													BgL_arg1376z00_117 =
																														MAKE_PAIR
																														(BgL_arg1373z00_114,
																														BgL_arg1377z00_118);
																												}
																												BgL_list1375z00_116 =
																													MAKE_PAIR(BINT
																													(BgL_lenz00_38),
																													BgL_arg1376z00_117);
																											}
																											BgL_arg1369z00_112 =
																												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																												(BgL_arg1371z00_113,
																												BgL_list1375z00_116);
																									}}
																									BgL_arg1326z00_76 =
																										MAKE_PAIR
																										(BgL_arg1368z00_111,
																										BgL_arg1369z00_112);
																								}
																								{	/* Expand/struct.scm 60 */
																									obj_t BgL_list1328z00_78;

																									{	/* Expand/struct.scm 60 */
																										obj_t BgL_arg1329z00_79;

																										{	/* Expand/struct.scm 60 */
																											obj_t BgL_arg1330z00_80;

																											BgL_arg1330z00_80 =
																												MAKE_PAIR(BNIL, BNIL);
																											BgL_arg1329z00_79 =
																												MAKE_PAIR
																												(BgL_arg1326z00_76,
																												BgL_arg1330z00_80);
																										}
																										BgL_list1328z00_78 =
																											MAKE_PAIR
																											(BgL_arg1325z00_75,
																											BgL_arg1329z00_79);
																									}
																									BgL_arg1323z00_73 =
																										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																										(BgL_arg1324z00_74,
																										BgL_list1328z00_78);
																							}}
																							BgL_arg1312z00_63 =
																								MAKE_PAIR(BgL_arg1322z00_72,
																								BgL_arg1323z00_73);
																						}
																						BgL_arg1313z00_64 =
																							MAKE_PAIR(BgL_namez00_28,
																							BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																							(BgL_slotszd2valzd2_41, BNIL));
																						{	/* Expand/struct.scm 59 */
																							obj_t BgL_list1315z00_66;

																							{	/* Expand/struct.scm 59 */
																								obj_t BgL_arg1316z00_67;

																								{	/* Expand/struct.scm 59 */
																									obj_t BgL_arg1317z00_68;

																									BgL_arg1317z00_68 =
																										MAKE_PAIR(BNIL, BNIL);
																									BgL_arg1316z00_67 =
																										MAKE_PAIR(BgL_arg1313z00_64,
																										BgL_arg1317z00_68);
																								}
																								BgL_list1315z00_66 =
																									MAKE_PAIR(BgL_arg1312z00_63,
																									BgL_arg1316z00_67);
																							}
																							BgL_arg1310z00_61 =
																								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																								(BgL_arg1311z00_62,
																								BgL_list1315z00_66);
																					}}
																					BgL_arg1300z00_51 =
																						MAKE_PAIR(BgL_arg1309z00_60,
																						BgL_arg1310z00_61);
																				}
																			else
																				{	/* Expand/struct.scm 66 */
																					obj_t BgL_arg1386z00_126;
																					obj_t BgL_arg1387z00_127;

																					BgL_arg1386z00_126 =
																						CNST_TABLE_REF(((long) 5));
																					{	/* Expand/struct.scm 66 */
																						obj_t BgL_arg1388z00_128;
																						obj_t BgL_arg1389z00_129;
																						obj_t BgL_arg1390z00_130;

																						{	/* Expand/struct.scm 66 */
																							obj_t BgL_arg1396z00_135;
																							obj_t BgL_arg1399z00_136;

																							BgL_arg1396z00_135 =
																								CNST_TABLE_REF(((long) 6));
																							{	/* Expand/struct.scm 66 */
																								obj_t BgL_list1400z00_137;

																								BgL_list1400z00_137 =
																									MAKE_PAIR(BNIL, BNIL);
																								BgL_arg1399z00_136 =
																									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																									(CNST_TABLE_REF(((long) 4)),
																									BgL_list1400z00_137);
																							}
																							BgL_arg1388z00_128 =
																								MAKE_PAIR(BgL_arg1396z00_135,
																								BgL_arg1399z00_136);
																						}
																						{	/* Expand/struct.scm 67 */
																							obj_t BgL_arg1403z00_138;
																							obj_t BgL_arg1404z00_139;

																							BgL_arg1403z00_138 =
																								CNST_TABLE_REF(((long) 5));
																							{	/* Expand/struct.scm 67 */
																								obj_t BgL_arg1405z00_140;
																								obj_t BgL_arg1406z00_141;
																								obj_t BgL_arg1408z00_142;

																								{	/* Expand/struct.scm 67 */
																									obj_t BgL_arg1415z00_147;
																									obj_t BgL_arg1416z00_148;

																									BgL_arg1415z00_147 =
																										CNST_TABLE_REF(((long) 7));
																									{	/* Expand/struct.scm 67 */
																										obj_t BgL_arg1417z00_149;

																										{	/* Expand/struct.scm 67 */
																											obj_t BgL_arg1420z00_152;
																											obj_t BgL_arg1422z00_153;

																											BgL_arg1420z00_152 =
																												CNST_TABLE_REF(((long)
																													8));
																											{	/* Expand/struct.scm 67 */
																												obj_t
																													BgL_arg1423z00_154;
																												{	/* Expand/struct.scm 67 */
																													obj_t
																														BgL_arg1426z00_157;
																													obj_t
																														BgL_arg1427z00_158;
																													BgL_arg1426z00_157 =
																														CNST_TABLE_REF((
																															(long) 9));
																													{	/* Expand/struct.scm 67 */
																														obj_t
																															BgL_list1428z00_159;
																														BgL_list1428z00_159
																															=
																															MAKE_PAIR(BNIL,
																															BNIL);
																														BgL_arg1427z00_158 =
																															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																															(CNST_TABLE_REF((
																																	(long) 4)),
																															BgL_list1428z00_159);
																													}
																													BgL_arg1423z00_154 =
																														MAKE_PAIR
																														(BgL_arg1426z00_157,
																														BgL_arg1427z00_158);
																												}
																												{	/* Expand/struct.scm 67 */
																													obj_t
																														BgL_list1425z00_156;
																													BgL_list1425z00_156 =
																														MAKE_PAIR(BNIL,
																														BNIL);
																													BgL_arg1422z00_153 =
																														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																														(BgL_arg1423z00_154,
																														BgL_list1425z00_156);
																											}}
																											BgL_arg1417z00_149 =
																												MAKE_PAIR
																												(BgL_arg1420z00_152,
																												BgL_arg1422z00_153);
																										}
																										{	/* Expand/struct.scm 67 */
																											obj_t BgL_list1419z00_151;

																											BgL_list1419z00_151 =
																												MAKE_PAIR(BNIL, BNIL);
																											BgL_arg1416z00_148 =
																												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																												(BgL_arg1417z00_149,
																												BgL_list1419z00_151);
																									}}
																									BgL_arg1405z00_140 =
																										MAKE_PAIR
																										(BgL_arg1415z00_147,
																										BgL_arg1416z00_148);
																								}
																								{	/* Expand/struct.scm 68 */
																									obj_t BgL_arg1431z00_160;
																									obj_t BgL_arg1432z00_161;

																									BgL_arg1431z00_160 =
																										CNST_TABLE_REF(((long) 10));
																									{	/* Expand/struct.scm 68 */
																										obj_t BgL_arg1433z00_162;
																										obj_t BgL_arg1437z00_164;

																										{	/* Expand/struct.scm 68 */
																											obj_t BgL_arg1442z00_169;
																											obj_t BgL_arg1443z00_170;

																											BgL_arg1442z00_169 =
																												CNST_TABLE_REF(((long)
																													11));
																											{	/* Expand/struct.scm 68 */
																												obj_t
																													BgL_arg1444z00_171;
																												{	/* Expand/struct.scm 68 */
																													obj_t
																														BgL_list1447z00_174;
																													{	/* Expand/struct.scm 68 */
																														obj_t
																															BgL_arg1448z00_175;
																														obj_t
																															BgL_arg1449z00_176;
																														BgL_arg1448z00_175 =
																															CNST_TABLE_REF((
																																(long) 3));
																														BgL_arg1449z00_176 =
																															MAKE_PAIR
																															(BgL_namez00_28,
																															BNIL);
																														BgL_list1447z00_174
																															=
																															MAKE_PAIR
																															(BgL_arg1448z00_175,
																															BgL_arg1449z00_176);
																													}
																													BgL_arg1444z00_171 =
																														BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
																														(BgL_list1447z00_174);
																												}
																												{	/* Expand/struct.scm 68 */
																													obj_t
																														BgL_list1446z00_173;
																													BgL_list1446z00_173 =
																														MAKE_PAIR(BNIL,
																														BNIL);
																													BgL_arg1443z00_170 =
																														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																														(BgL_arg1444z00_171,
																														BgL_list1446z00_173);
																											}}
																											BgL_arg1433z00_162 =
																												MAKE_PAIR
																												(BgL_arg1442z00_169,
																												BgL_arg1443z00_170);
																										}
																										BgL_arg1437z00_164 =
																											CNST_TABLE_REF(((long)
																												4));
																										{	/* Expand/struct.scm 68 */
																											obj_t BgL_list1439z00_166;

																											{	/* Expand/struct.scm 68 */
																												obj_t
																													BgL_arg1440z00_167;
																												{	/* Expand/struct.scm 68 */
																													obj_t
																														BgL_arg1441z00_168;
																													BgL_arg1441z00_168 =
																														MAKE_PAIR(BNIL,
																														BNIL);
																													BgL_arg1440z00_167 =
																														MAKE_PAIR
																														(BgL_arg1437z00_164,
																														BgL_arg1441z00_168);
																												}
																												BgL_list1439z00_166 =
																													MAKE_PAIR
																													(BGl_string2138z00zzexpand_structz00,
																													BgL_arg1440z00_167);
																											}
																											BgL_arg1432z00_161 =
																												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																												(BgL_arg1433z00_162,
																												BgL_list1439z00_166);
																									}}
																									BgL_arg1406z00_141 =
																										MAKE_PAIR
																										(BgL_arg1431z00_160,
																										BgL_arg1432z00_161);
																								}
																								{	/* Expand/struct.scm 71 */
																									obj_t BgL_arg1452z00_177;
																									obj_t BgL_arg1454z00_178;

																									BgL_arg1452z00_177 =
																										CNST_TABLE_REF(((long) 12));
																									{	/* Expand/struct.scm 71 */
																										obj_t BgL_arg1455z00_179;
																										obj_t BgL_arg1456z00_180;

																										{	/* Expand/struct.scm 71 */
																											obj_t BgL_arg1464z00_185;
																											obj_t BgL_arg1465z00_186;

																											BgL_arg1464z00_185 =
																												CNST_TABLE_REF(((long)
																													11));
																											{	/* Expand/struct.scm 71 */
																												obj_t
																													BgL_list1466z00_187;
																												BgL_list1466z00_187 =
																													MAKE_PAIR(BNIL, BNIL);
																												BgL_arg1465z00_186 =
																													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																													(BgL_namez00_28,
																													BgL_list1466z00_187);
																											}
																											BgL_arg1455z00_179 =
																												MAKE_PAIR
																												(BgL_arg1464z00_185,
																												BgL_arg1465z00_186);
																										}
																										{	/* Expand/struct.scm 71 */
																											obj_t BgL_arg1467z00_188;
																											obj_t BgL_arg1468z00_189;

																											BgL_arg1467z00_188 =
																												CNST_TABLE_REF(((long)
																													13));
																											{	/* Expand/struct.scm 71 */
																												obj_t
																													BgL_list1469z00_190;
																												BgL_list1469z00_190 =
																													MAKE_PAIR(BNIL, BNIL);
																												BgL_arg1468z00_189 =
																													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																													(CNST_TABLE_REF((
																															(long) 4)),
																													BgL_list1469z00_190);
																											}
																											BgL_arg1456z00_180 =
																												MAKE_PAIR
																												(BgL_arg1467z00_188,
																												BgL_arg1468z00_189);
																										}
																										{	/* Expand/struct.scm 71 */
																											obj_t BgL_list1459z00_182;

																											{	/* Expand/struct.scm 71 */
																												obj_t
																													BgL_arg1460z00_183;
																												{	/* Expand/struct.scm 71 */
																													obj_t
																														BgL_arg1461z00_184;
																													BgL_arg1461z00_184 =
																														MAKE_PAIR(BNIL,
																														BNIL);
																													BgL_arg1460z00_183 =
																														MAKE_PAIR
																														(BgL_arg1456z00_180,
																														BgL_arg1461z00_184);
																												}
																												BgL_list1459z00_182 =
																													MAKE_PAIR(BINT
																													(BgL_lenz00_38),
																													BgL_arg1460z00_183);
																											}
																											BgL_arg1454z00_178 =
																												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																												(BgL_arg1455z00_179,
																												BgL_list1459z00_182);
																									}}
																									BgL_arg1408z00_142 =
																										MAKE_PAIR
																										(BgL_arg1452z00_177,
																										BgL_arg1454z00_178);
																								}
																								{	/* Expand/struct.scm 67 */
																									obj_t BgL_list1410z00_144;

																									{	/* Expand/struct.scm 67 */
																										obj_t BgL_arg1411z00_145;

																										{	/* Expand/struct.scm 67 */
																											obj_t BgL_arg1412z00_146;

																											BgL_arg1412z00_146 =
																												MAKE_PAIR(BNIL, BNIL);
																											BgL_arg1411z00_145 =
																												MAKE_PAIR
																												(BgL_arg1408z00_142,
																												BgL_arg1412z00_146);
																										}
																										BgL_list1410z00_144 =
																											MAKE_PAIR
																											(BgL_arg1406z00_141,
																											BgL_arg1411z00_145);
																									}
																									BgL_arg1404z00_139 =
																										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																										(BgL_arg1405z00_140,
																										BgL_list1410z00_144);
																							}}
																							BgL_arg1389z00_129 =
																								MAKE_PAIR(BgL_arg1403z00_138,
																								BgL_arg1404z00_139);
																						}
																						{	/* Expand/struct.scm 72 */
																							obj_t BgL_arg1470z00_191;
																							obj_t BgL_arg1471z00_192;

																							BgL_arg1470z00_191 =
																								CNST_TABLE_REF(((long) 12));
																							{	/* Expand/struct.scm 72 */
																								obj_t BgL_arg1476z00_193;
																								obj_t BgL_arg1478z00_194;

																								{	/* Expand/struct.scm 72 */
																									obj_t BgL_arg1487z00_199;
																									obj_t BgL_arg1488z00_200;

																									BgL_arg1487z00_199 =
																										CNST_TABLE_REF(((long) 11));
																									{	/* Expand/struct.scm 72 */
																										obj_t BgL_list1489z00_201;

																										BgL_list1489z00_201 =
																											MAKE_PAIR(BNIL, BNIL);
																										BgL_arg1488z00_200 =
																											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																											(BgL_namez00_28,
																											BgL_list1489z00_201);
																									}
																									BgL_arg1476z00_193 =
																										MAKE_PAIR
																										(BgL_arg1487z00_199,
																										BgL_arg1488z00_200);
																								}
																								{	/* Expand/struct.scm 72 */
																									obj_t BgL_arg1490z00_202;
																									obj_t BgL_arg1492z00_203;

																									BgL_arg1490z00_202 =
																										CNST_TABLE_REF(((long) 11));
																									{	/* Expand/struct.scm 72 */
																										obj_t BgL_list1493z00_204;

																										BgL_list1493z00_204 =
																											MAKE_PAIR(BNIL, BNIL);
																										BgL_arg1492z00_203 =
																											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																											(BNIL,
																											BgL_list1493z00_204);
																									}
																									BgL_arg1478z00_194 =
																										MAKE_PAIR
																										(BgL_arg1490z00_202,
																										BgL_arg1492z00_203);
																								}
																								{	/* Expand/struct.scm 72 */
																									obj_t BgL_list1482z00_196;

																									{	/* Expand/struct.scm 72 */
																										obj_t BgL_arg1484z00_197;

																										{	/* Expand/struct.scm 72 */
																											obj_t BgL_arg1485z00_198;

																											BgL_arg1485z00_198 =
																												MAKE_PAIR(BNIL, BNIL);
																											BgL_arg1484z00_197 =
																												MAKE_PAIR
																												(BgL_arg1478z00_194,
																												BgL_arg1485z00_198);
																										}
																										BgL_list1482z00_196 =
																											MAKE_PAIR(BINT
																											(BgL_lenz00_38),
																											BgL_arg1484z00_197);
																									}
																									BgL_arg1471z00_192 =
																										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																										(BgL_arg1476z00_193,
																										BgL_list1482z00_196);
																							}}
																							BgL_arg1390z00_130 =
																								MAKE_PAIR(BgL_arg1470z00_191,
																								BgL_arg1471z00_192);
																						}
																						{	/* Expand/struct.scm 66 */
																							obj_t BgL_list1392z00_132;

																							{	/* Expand/struct.scm 66 */
																								obj_t BgL_arg1394z00_133;

																								{	/* Expand/struct.scm 66 */
																									obj_t BgL_arg1395z00_134;

																									BgL_arg1395z00_134 =
																										MAKE_PAIR(BNIL, BNIL);
																									BgL_arg1394z00_133 =
																										MAKE_PAIR
																										(BgL_arg1390z00_130,
																										BgL_arg1395z00_134);
																								}
																								BgL_list1392z00_132 =
																									MAKE_PAIR(BgL_arg1389z00_129,
																									BgL_arg1394z00_133);
																							}
																							BgL_arg1387z00_127 =
																								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																								(BgL_arg1388z00_128,
																								BgL_list1392z00_132);
																					}}
																					BgL_arg1300z00_51 =
																						MAKE_PAIR(BgL_arg1386z00_126,
																						BgL_arg1387z00_127);
																				}
																			{	/* Expand/struct.scm 57 */
																				obj_t BgL_list1302z00_53;

																				{	/* Expand/struct.scm 57 */
																					obj_t BgL_arg1303z00_54;

																					BgL_arg1303z00_54 =
																						MAKE_PAIR(BNIL, BNIL);
																					BgL_list1302z00_53 =
																						MAKE_PAIR(BgL_arg1300z00_51,
																						BgL_arg1303z00_54);
																				}
																				BgL_arg1297z00_49 =
																					BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																					(BgL_arg1298z00_50,
																					BgL_list1302z00_53);
																		}}
																		BgL_arg1295z00_47 =
																			MAKE_PAIR(BgL_arg1296z00_48,
																			BgL_arg1297z00_49);
																	}
																	BgL_arg1294z00_46 =
																		BGl_epairifyz00zztools_miscz00
																		(BgL_arg1295z00_47, BgL_xz00_1);
																}
																BgL_arg1291z00_44 =
																	PROCEDURE_ENTRY(BgL_ez00_2) (BgL_ez00_2,
																	BgL_arg1294z00_46, BgL_ez00_2, BEOA);
															}
															{	/* Expand/struct.scm 77 */
																obj_t BgL_arg1495z00_205;
																obj_t BgL_arg1496z00_206;

																{	/* Expand/struct.scm 77 */
																	obj_t BgL_arg1497z00_207;

																	{	/* Expand/struct.scm 77 */
																		obj_t BgL_arg1498z00_208;

																		{	/* Expand/struct.scm 77 */
																			obj_t BgL_arg1499z00_209;
																			obj_t BgL_arg1501z00_210;

																			BgL_arg1499z00_209 =
																				CNST_TABLE_REF(((long) 2));
																			{	/* Expand/struct.scm 77 */
																				obj_t BgL_arg1502z00_211;
																				obj_t BgL_arg1503z00_212;

																				BgL_arg1502z00_211 =
																					MAKE_PAIR(BgL_namez00_28,
																					BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																					(BgL_slotszd2namezd2_39, BNIL));
																				{	/* Expand/struct.scm 78 */
																					obj_t BgL_arg1508z00_217;
																					obj_t BgL_arg1513z00_218;

																					BgL_arg1508z00_217 =
																						CNST_TABLE_REF(((long) 14));
																					{	/* Expand/struct.scm 78 */
																						obj_t BgL_arg1514z00_219;
																						obj_t BgL_arg1516z00_220;

																						{	/* Expand/struct.scm 78 */
																							obj_t BgL_arg1520z00_222;

																							{	/* Expand/struct.scm 78 */
																								obj_t BgL_arg1522z00_224;
																								obj_t BgL_arg1523z00_225;

																								BgL_arg1522z00_224 =
																									CNST_TABLE_REF(((long) 15));
																								{	/* Expand/struct.scm 78 */
																									obj_t BgL_arg1524z00_226;

																									{	/* Expand/struct.scm 78 */
																										obj_t BgL_arg1527z00_229;
																										obj_t BgL_arg1529z00_230;

																										BgL_arg1527z00_229 =
																											CNST_TABLE_REF(((long)
																												16));
																										{	/* Expand/struct.scm 78 */
																											obj_t BgL_arg1530z00_231;

																											{	/* Expand/struct.scm 78 */
																												obj_t
																													BgL_arg1535z00_235;
																												obj_t
																													BgL_arg1536z00_236;
																												BgL_arg1535z00_235 =
																													CNST_TABLE_REF(((long)
																														11));
																												{	/* Expand/struct.scm 78 */
																													obj_t
																														BgL_list1537z00_237;
																													BgL_list1537z00_237 =
																														MAKE_PAIR(BNIL,
																														BNIL);
																													BgL_arg1536z00_236 =
																														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																														(BgL_namez00_28,
																														BgL_list1537z00_237);
																												}
																												BgL_arg1530z00_231 =
																													MAKE_PAIR
																													(BgL_arg1535z00_235,
																													BgL_arg1536z00_236);
																											}
																											{	/* Expand/struct.scm 78 */
																												obj_t
																													BgL_list1533z00_233;
																												{	/* Expand/struct.scm 78 */
																													obj_t
																														BgL_arg1534z00_234;
																													BgL_arg1534z00_234 =
																														MAKE_PAIR(BNIL,
																														BNIL);
																													BgL_list1533z00_233 =
																														MAKE_PAIR(BINT
																														(BgL_lenz00_38),
																														BgL_arg1534z00_234);
																												}
																												BgL_arg1529z00_230 =
																													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																													(BgL_arg1530z00_231,
																													BgL_list1533z00_233);
																										}}
																										BgL_arg1524z00_226 =
																											MAKE_PAIR
																											(BgL_arg1527z00_229,
																											BgL_arg1529z00_230);
																									}
																									{	/* Expand/struct.scm 78 */
																										obj_t BgL_list1526z00_228;

																										BgL_list1526z00_228 =
																											MAKE_PAIR(BNIL, BNIL);
																										BgL_arg1523z00_225 =
																											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																											(BgL_arg1524z00_226,
																											BgL_list1526z00_228);
																								}}
																								BgL_arg1520z00_222 =
																									MAKE_PAIR(BgL_arg1522z00_224,
																									BgL_arg1523z00_225);
																							}
																							BgL_arg1514z00_219 =
																								MAKE_PAIR(BgL_arg1520z00_222,
																								BNIL);
																						}
																						{	/* Expand/struct.scm 79 */
																							obj_t BgL_arg1538z00_238;
																							obj_t BgL_arg1540z00_239;

																							{
																								obj_t BgL_slotsz00_241;
																								obj_t BgL_resz00_242;

																								BgL_slotsz00_241 =
																									BgL_slotszd2namezd2_39;
																								BgL_resz00_242 = BNIL;
																							BgL_loopz00_243:
																								if (NULLP(BgL_slotsz00_241))
																									{	/* Expand/struct.scm 81 */
																										BgL_arg1538z00_238 =
																											BgL_resz00_242;
																									}
																								else
																									{	/* Expand/struct.scm 83 */
																										obj_t BgL_arg1543z00_245;
																										obj_t BgL_arg1544z00_246;

																										BgL_arg1543z00_245 =
																											CDR(BgL_slotsz00_241);
																										{	/* Expand/struct.scm 85 */
																											obj_t BgL_arg1546z00_247;

																											{	/* Expand/struct.scm 85 */
																												obj_t
																													BgL_arg1547z00_248;
																												obj_t
																													BgL_arg1553z00_249;
																												{	/* Expand/struct.scm 85 */
																													obj_t
																														BgL_arg1559z00_250;
																													obj_t
																														BgL_arg1560z00_251;
																													obj_t
																														BgL_arg1561z00_252;
																													BgL_arg1559z00_250 =
																														CNST_TABLE_REF((
																															(long) 17));
																													BgL_arg1560z00_251 =
																														CAR
																														(BgL_slotsz00_241);
																													BgL_arg1561z00_252 =
																														CNST_TABLE_REF((
																															(long) 18));
																													{	/* Expand/struct.scm 84 */
																														obj_t
																															BgL_list1562z00_253;
																														{	/* Expand/struct.scm 84 */
																															obj_t
																																BgL_arg1564z00_254;
																															{	/* Expand/struct.scm 84 */
																																obj_t
																																	BgL_arg1566z00_255;
																																{	/* Expand/struct.scm 84 */
																																	obj_t
																																		BgL_arg1567z00_256;
																																	BgL_arg1567z00_256
																																		=
																																		MAKE_PAIR
																																		(BgL_arg1561z00_252,
																																		BNIL);
																																	BgL_arg1566z00_255
																																		=
																																		MAKE_PAIR
																																		(BgL_arg1560z00_251,
																																		BgL_arg1567z00_256);
																																}
																																BgL_arg1564z00_254
																																	=
																																	MAKE_PAIR
																																	(BgL_arg1559z00_250,
																																	BgL_arg1566z00_255);
																															}
																															BgL_list1562z00_253
																																=
																																MAKE_PAIR
																																(BgL_namez00_28,
																																BgL_arg1564z00_254);
																														}
																														BgL_arg1547z00_248 =
																															BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
																															(BgL_list1562z00_253);
																												}}
																												{	/* Expand/struct.scm 84 */
																													obj_t
																														BgL_arg1568z00_257;
																													obj_t
																														BgL_arg1571z00_258;
																													BgL_arg1568z00_257 =
																														CNST_TABLE_REF((
																															(long) 15));
																													BgL_arg1571z00_258 =
																														CAR
																														(BgL_slotsz00_241);
																													{	/* Expand/struct.scm 84 */
																														obj_t
																															BgL_list1573z00_260;
																														{	/* Expand/struct.scm 84 */
																															obj_t
																																BgL_arg1574z00_261;
																															BgL_arg1574z00_261
																																=
																																MAKE_PAIR(BNIL,
																																BNIL);
																															BgL_list1573z00_260
																																=
																																MAKE_PAIR
																																(BgL_arg1571z00_258,
																																BgL_arg1574z00_261);
																														}
																														BgL_arg1553z00_249 =
																															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																															(BgL_arg1568z00_257,
																															BgL_list1573z00_260);
																												}}
																												BgL_arg1546z00_247 =
																													MAKE_PAIR
																													(BgL_arg1547z00_248,
																													BgL_arg1553z00_249);
																											}
																											BgL_arg1544z00_246 =
																												MAKE_PAIR
																												(BgL_arg1546z00_247,
																												BgL_resz00_242);
																										}
																										{
																											obj_t BgL_resz00_842;
																											obj_t BgL_slotsz00_841;

																											BgL_slotsz00_841 =
																												BgL_arg1543z00_245;
																											BgL_resz00_842 =
																												BgL_arg1544z00_246;
																											BgL_resz00_242 =
																												BgL_resz00_842;
																											BgL_slotsz00_241 =
																												BgL_slotsz00_841;
																											goto BgL_loopz00_243;
																										}
																									}
																							}
																							BgL_arg1540z00_239 =
																								MAKE_PAIR(CNST_TABLE_REF(((long)
																										15)), BNIL);
																							BgL_arg1516z00_220 =
																								BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																								(BgL_arg1538z00_238,
																								BgL_arg1540z00_239);
																						}
																						{	/* Expand/struct.scm 78 */
																							obj_t BgL_list1517z00_221;

																							BgL_list1517z00_221 =
																								MAKE_PAIR(BgL_arg1516z00_220,
																								BNIL);
																							BgL_arg1513z00_218 =
																								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																								(BgL_arg1514z00_219,
																								BgL_list1517z00_221);
																					}}
																					BgL_arg1503z00_212 =
																						MAKE_PAIR(BgL_arg1508z00_217,
																						BgL_arg1513z00_218);
																				}
																				{	/* Expand/struct.scm 77 */
																					obj_t BgL_list1505z00_214;

																					{	/* Expand/struct.scm 77 */
																						obj_t BgL_arg1506z00_215;

																						BgL_arg1506z00_215 =
																							MAKE_PAIR(BNIL, BNIL);
																						BgL_list1505z00_214 =
																							MAKE_PAIR(BgL_arg1503z00_212,
																							BgL_arg1506z00_215);
																					}
																					BgL_arg1501z00_210 =
																						BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																						(BgL_arg1502z00_211,
																						BgL_list1505z00_214);
																			}}
																			BgL_arg1498z00_208 =
																				MAKE_PAIR(BgL_arg1499z00_209,
																				BgL_arg1501z00_210);
																		}
																		BgL_arg1497z00_207 =
																			BGl_epairifyz00zztools_miscz00
																			(BgL_arg1498z00_208, BgL_xz00_1);
																	}
																	BgL_arg1495z00_205 =
																		PROCEDURE_ENTRY(BgL_ez00_2) (BgL_ez00_2,
																		BgL_arg1497z00_207, BgL_ez00_2, BEOA);
																}
																{	/* Expand/struct.scm 97 */
																	obj_t BgL_arg1575z00_262;
																	obj_t BgL_arg1576z00_263;

																	{	/* Expand/struct.scm 97 */
																		obj_t BgL_arg1577z00_264;

																		{	/* Expand/struct.scm 97 */
																			obj_t BgL_arg1578z00_265;

																			{	/* Expand/struct.scm 97 */
																				obj_t BgL_arg1579z00_266;
																				obj_t BgL_arg1580z00_267;

																				BgL_arg1579z00_266 =
																					CNST_TABLE_REF(((long) 2));
																				{	/* Expand/struct.scm 97 */
																					obj_t BgL_arg1581z00_268;
																					obj_t BgL_arg1582z00_269;

																					{	/* Expand/struct.scm 97 */
																						obj_t BgL_arg1591z00_273;
																						obj_t BgL_arg1599z00_274;

																						{	/* Expand/struct.scm 97 */
																							obj_t BgL_list1600z00_275;

																							{	/* Expand/struct.scm 97 */
																								obj_t BgL_arg1609z00_276;

																								BgL_arg1609z00_276 =
																									MAKE_PAIR(CNST_TABLE_REF((
																											(long) 19)), BNIL);
																								BgL_list1600z00_275 =
																									MAKE_PAIR(BgL_namez00_28,
																									BgL_arg1609z00_276);
																							}
																							BgL_arg1591z00_273 =
																								BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
																								(BgL_list1600z00_275);
																						}
																						{	/* Expand/struct.scm 97 */
																							obj_t BgL_list1610z00_277;

																							BgL_list1610z00_277 =
																								MAKE_PAIR(BNIL, BNIL);
																							BgL_arg1599z00_274 =
																								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																								(CNST_TABLE_REF(((long) 20)),
																								BgL_list1610z00_277);
																						}
																						BgL_arg1581z00_268 =
																							MAKE_PAIR(BgL_arg1591z00_273,
																							BgL_arg1599z00_274);
																					}
																					{	/* Expand/struct.scm 98 */
																						obj_t BgL_arg1613z00_278;
																						obj_t BgL_arg1614z00_279;

																						BgL_arg1613z00_278 =
																							CNST_TABLE_REF(((long) 5));
																						{	/* Expand/struct.scm 98 */
																							obj_t BgL_arg1616z00_280;
																							obj_t BgL_arg1617z00_281;

																							{	/* Expand/struct.scm 98 */
																								obj_t BgL_arg1632z00_286;
																								obj_t BgL_arg1634z00_287;

																								BgL_arg1632z00_286 =
																									CNST_TABLE_REF(((long) 21));
																								{	/* Expand/struct.scm 98 */
																									obj_t BgL_list1635z00_288;

																									BgL_list1635z00_288 =
																										MAKE_PAIR(BNIL, BNIL);
																									BgL_arg1634z00_287 =
																										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																										(CNST_TABLE_REF(((long)
																												20)),
																										BgL_list1635z00_288);
																								}
																								BgL_arg1616z00_280 =
																									MAKE_PAIR(BgL_arg1632z00_286,
																									BgL_arg1634z00_287);
																							}
																							{	/* Expand/struct.scm 99 */
																								obj_t BgL_arg1636z00_289;
																								obj_t BgL_arg1637z00_290;

																								BgL_arg1636z00_289 =
																									CNST_TABLE_REF(((long) 22));
																								{	/* Expand/struct.scm 99 */
																									obj_t BgL_arg1638z00_291;
																									obj_t BgL_arg1639z00_292;

																									{	/* Expand/struct.scm 99 */
																										obj_t BgL_arg1643z00_296;
																										obj_t BgL_arg1644z00_297;

																										BgL_arg1643z00_296 =
																											CNST_TABLE_REF(((long)
																												23));
																										{	/* Expand/struct.scm 99 */
																											obj_t BgL_list1645z00_298;

																											BgL_list1645z00_298 =
																												MAKE_PAIR(BNIL, BNIL);
																											BgL_arg1644z00_297 =
																												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																												(CNST_TABLE_REF(((long)
																														20)),
																												BgL_list1645z00_298);
																										}
																										BgL_arg1638z00_291 =
																											MAKE_PAIR
																											(BgL_arg1643z00_296,
																											BgL_arg1644z00_297);
																									}
																									{	/* Expand/struct.scm 99 */
																										obj_t BgL_arg1646z00_299;
																										obj_t BgL_arg1647z00_300;

																										BgL_arg1646z00_299 =
																											CNST_TABLE_REF(((long)
																												11));
																										{	/* Expand/struct.scm 99 */
																											obj_t BgL_list1648z00_301;

																											BgL_list1648z00_301 =
																												MAKE_PAIR(BNIL, BNIL);
																											BgL_arg1647z00_300 =
																												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																												(BgL_namez00_28,
																												BgL_list1648z00_301);
																										}
																										BgL_arg1639z00_292 =
																											MAKE_PAIR
																											(BgL_arg1646z00_299,
																											BgL_arg1647z00_300);
																									}
																									{	/* Expand/struct.scm 99 */
																										obj_t BgL_list1641z00_294;

																										{	/* Expand/struct.scm 99 */
																											obj_t BgL_arg1642z00_295;

																											BgL_arg1642z00_295 =
																												MAKE_PAIR(BNIL, BNIL);
																											BgL_list1641z00_294 =
																												MAKE_PAIR
																												(BgL_arg1639z00_292,
																												BgL_arg1642z00_295);
																										}
																										BgL_arg1637z00_290 =
																											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																											(BgL_arg1638z00_291,
																											BgL_list1641z00_294);
																								}}
																								BgL_arg1617z00_281 =
																									MAKE_PAIR(BgL_arg1636z00_289,
																									BgL_arg1637z00_290);
																							}
																							{	/* Expand/struct.scm 98 */
																								obj_t BgL_list1619z00_283;

																								{	/* Expand/struct.scm 98 */
																									obj_t BgL_arg1625z00_284;

																									{	/* Expand/struct.scm 98 */
																										obj_t BgL_arg1631z00_285;

																										BgL_arg1631z00_285 =
																											MAKE_PAIR(BNIL, BNIL);
																										BgL_arg1625z00_284 =
																											MAKE_PAIR(BFALSE,
																											BgL_arg1631z00_285);
																									}
																									BgL_list1619z00_283 =
																										MAKE_PAIR
																										(BgL_arg1617z00_281,
																										BgL_arg1625z00_284);
																								}
																								BgL_arg1614z00_279 =
																									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																									(BgL_arg1616z00_280,
																									BgL_list1619z00_283);
																						}}
																						BgL_arg1582z00_269 =
																							MAKE_PAIR(BgL_arg1613z00_278,
																							BgL_arg1614z00_279);
																					}
																					{	/* Expand/struct.scm 97 */
																						obj_t BgL_list1584z00_271;

																						{	/* Expand/struct.scm 97 */
																							obj_t BgL_arg1585z00_272;

																							BgL_arg1585z00_272 =
																								MAKE_PAIR(BNIL, BNIL);
																							BgL_list1584z00_271 =
																								MAKE_PAIR(BgL_arg1582z00_269,
																								BgL_arg1585z00_272);
																						}
																						BgL_arg1580z00_267 =
																							BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																							(BgL_arg1581z00_268,
																							BgL_list1584z00_271);
																				}}
																				BgL_arg1578z00_265 =
																					MAKE_PAIR(BgL_arg1579z00_266,
																					BgL_arg1580z00_267);
																			}
																			BgL_arg1577z00_264 =
																				BGl_epairifyz00zztools_miscz00
																				(BgL_arg1578z00_265, BgL_xz00_1);
																		}
																		BgL_arg1575z00_262 =
																			PROCEDURE_ENTRY(BgL_ez00_2) (BgL_ez00_2,
																			BgL_arg1577z00_264, BgL_ez00_2, BEOA);
																	}
																	{	/* Expand/struct.scm 104 */
																		obj_t BgL_g1273z00_302;

																		BgL_g1273z00_302 =
																			CNST_TABLE_REF(((long) 24));
																		{
																			long BgL_iz00_303;
																			obj_t BgL_slotsz00_304;
																			obj_t BgL_resz00_305;

																			BgL_iz00_303 = ((long) 0);
																			BgL_slotsz00_304 = BgL_slotszd2namezd2_39;
																			BgL_resz00_305 = BgL_g1273z00_302;
																		BgL_loopz00_306:
																			if ((BgL_iz00_303 == BgL_lenz00_38))
																				{	/* Expand/struct.scm 107 */
																					BgL_arg1576z00_263 = BgL_resz00_305;
																				}
																			else
																				{	/* Expand/struct.scm 109 */
																					obj_t BgL_prz00_308;

																					BgL_prz00_308 = CAR(BgL_slotsz00_304);
																					{	/* Expand/struct.scm 110 */
																						long BgL_arg1650z00_309;
																						obj_t BgL_arg1651z00_310;
																						obj_t BgL_arg1652z00_311;

																						BgL_arg1650z00_309 =
																							(BgL_iz00_303 + ((long) 1));
																						BgL_arg1651z00_310 =
																							CDR(BgL_slotsz00_304);
																						{	/* Expand/struct.scm 116 */
																							obj_t BgL_arg1653z00_312;
																							obj_t BgL_arg1654z00_313;

																							{	/* Expand/struct.scm 116 */
																								obj_t BgL_arg1655z00_314;

																								{	/* Expand/struct.scm 116 */
																									obj_t BgL_arg1656z00_315;

																									{	/* Expand/struct.scm 116 */
																										obj_t BgL_arg1657z00_316;
																										obj_t BgL_arg1663z00_317;

																										BgL_arg1657z00_316 =
																											CNST_TABLE_REF(((long)
																												2));
																										{	/* Expand/struct.scm 117 */
																											obj_t BgL_arg1667z00_318;
																											obj_t BgL_arg1668z00_319;

																											{	/* Expand/struct.scm 117 */
																												obj_t
																													BgL_arg1686z00_323;
																												obj_t
																													BgL_arg1700z00_324;
																												{	/* Expand/struct.scm 117 */
																													obj_t
																														BgL_list1701z00_325;
																													{	/* Expand/struct.scm 117 */
																														obj_t
																															BgL_arg1702z00_326;
																														{	/* Expand/struct.scm 117 */
																															obj_t
																																BgL_arg1703z00_327;
																															obj_t
																																BgL_arg1704z00_328;
																															BgL_arg1703z00_327
																																=
																																CNST_TABLE_REF((
																																	(long) 17));
																															BgL_arg1704z00_328
																																=
																																MAKE_PAIR
																																(BgL_prz00_308,
																																BNIL);
																															BgL_arg1702z00_326
																																=
																																MAKE_PAIR
																																(BgL_arg1703z00_327,
																																BgL_arg1704z00_328);
																														}
																														BgL_list1701z00_325
																															=
																															MAKE_PAIR
																															(BgL_namez00_28,
																															BgL_arg1702z00_326);
																													}
																													BgL_arg1686z00_323 =
																														BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
																														(BgL_list1701z00_325);
																												}
																												{	/* Expand/struct.scm 117 */
																													obj_t
																														BgL_list1705z00_329;
																													BgL_list1705z00_329 =
																														MAKE_PAIR(BNIL,
																														BNIL);
																													BgL_arg1700z00_324 =
																														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																														(CNST_TABLE_REF((
																																(long) 25)),
																														BgL_list1705z00_329);
																												}
																												BgL_arg1667z00_318 =
																													MAKE_PAIR
																													(BgL_arg1686z00_323,
																													BgL_arg1700z00_324);
																											}
																											if (CBOOL
																												(BGl_za2unsafezd2structza2zd2zzengine_paramz00))
																												{	/* Expand/struct.scm 119 */
																													obj_t
																														BgL_arg1706z00_330;
																													obj_t
																														BgL_arg1709z00_331;
																													BgL_arg1706z00_330 =
																														CNST_TABLE_REF((
																															(long) 26));
																													{	/* Expand/struct.scm 119 */
																														obj_t
																															BgL_list1710z00_332;
																														{	/* Expand/struct.scm 119 */
																															obj_t
																																BgL_arg1711z00_333;
																															BgL_arg1711z00_333
																																=
																																MAKE_PAIR(BNIL,
																																BNIL);
																															BgL_list1710z00_332
																																=
																																MAKE_PAIR(BINT
																																(BgL_iz00_303),
																																BgL_arg1711z00_333);
																														}
																														BgL_arg1709z00_331 =
																															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																															(CNST_TABLE_REF((
																																	(long) 25)),
																															BgL_list1710z00_332);
																													}
																													BgL_arg1668z00_319 =
																														MAKE_PAIR
																														(BgL_arg1706z00_330,
																														BgL_arg1709z00_331);
																												}
																											else
																												{	/* Expand/struct.scm 120 */
																													obj_t
																														BgL_arg1712z00_334;
																													obj_t
																														BgL_arg1714z00_335;
																													BgL_arg1712z00_334 =
																														CNST_TABLE_REF((
																															(long) 5));
																													{	/* Expand/struct.scm 120 */
																														obj_t
																															BgL_arg1715z00_336;
																														obj_t
																															BgL_arg1717z00_337;
																														obj_t
																															BgL_arg1718z00_338;
																														{	/* Expand/struct.scm 120 */
																															obj_t
																																BgL_arg1726z00_343;
																															obj_t
																																BgL_arg1727z00_344;
																															BgL_arg1726z00_343
																																=
																																CNST_TABLE_REF((
																																	(long) 22));
																															{	/* Expand/struct.scm 120 */
																																obj_t
																																	BgL_arg1728z00_345;
																																obj_t
																																	BgL_arg1729z00_346;
																																{	/* Expand/struct.scm 120 */
																																	obj_t
																																		BgL_arg1733z00_350;
																																	obj_t
																																		BgL_arg1734z00_351;
																																	BgL_arg1733z00_350
																																		=
																																		CNST_TABLE_REF
																																		(((long)
																																			23));
																																	{	/* Expand/struct.scm 120 */
																																		obj_t
																																			BgL_list1735z00_352;
																																		BgL_list1735z00_352
																																			=
																																			MAKE_PAIR
																																			(BNIL,
																																			BNIL);
																																		BgL_arg1734z00_351
																																			=
																																			BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																			(CNST_TABLE_REF
																																			(((long)
																																					25)),
																																			BgL_list1735z00_352);
																																	}
																																	BgL_arg1728z00_345
																																		=
																																		MAKE_PAIR
																																		(BgL_arg1733z00_350,
																																		BgL_arg1734z00_351);
																																}
																																{	/* Expand/struct.scm 120 */
																																	obj_t
																																		BgL_arg1737z00_353;
																																	obj_t
																																		BgL_arg1738z00_354;
																																	BgL_arg1737z00_353
																																		=
																																		CNST_TABLE_REF
																																		(((long)
																																			11));
																																	{	/* Expand/struct.scm 120 */
																																		obj_t
																																			BgL_list1739z00_355;
																																		BgL_list1739z00_355
																																			=
																																			MAKE_PAIR
																																			(BNIL,
																																			BNIL);
																																		BgL_arg1738z00_354
																																			=
																																			BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																			(BgL_namez00_28,
																																			BgL_list1739z00_355);
																																	}
																																	BgL_arg1729z00_346
																																		=
																																		MAKE_PAIR
																																		(BgL_arg1737z00_353,
																																		BgL_arg1738z00_354);
																																}
																																{	/* Expand/struct.scm 120 */
																																	obj_t
																																		BgL_list1731z00_348;
																																	{	/* Expand/struct.scm 120 */
																																		obj_t
																																			BgL_arg1732z00_349;
																																		BgL_arg1732z00_349
																																			=
																																			MAKE_PAIR
																																			(BNIL,
																																			BNIL);
																																		BgL_list1731z00_348
																																			=
																																			MAKE_PAIR
																																			(BgL_arg1729z00_346,
																																			BgL_arg1732z00_349);
																																	}
																																	BgL_arg1727z00_344
																																		=
																																		BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																		(BgL_arg1728z00_345,
																																		BgL_list1731z00_348);
																															}}
																															BgL_arg1715z00_336
																																=
																																MAKE_PAIR
																																(BgL_arg1726z00_343,
																																BgL_arg1727z00_344);
																														}
																														{	/* Expand/struct.scm 121 */
																															obj_t
																																BgL_arg1743z00_356;
																															obj_t
																																BgL_arg1744z00_357;
																															BgL_arg1743z00_356
																																=
																																CNST_TABLE_REF((
																																	(long) 27));
																															{	/* Expand/struct.scm 121 */
																																obj_t
																																	BgL_list1745z00_358;
																																{	/* Expand/struct.scm 121 */
																																	obj_t
																																		BgL_arg1764z00_359;
																																	BgL_arg1764z00_359
																																		=
																																		MAKE_PAIR
																																		(BNIL,
																																		BNIL);
																																	BgL_list1745z00_358
																																		=
																																		MAKE_PAIR
																																		(BINT
																																		(BgL_iz00_303),
																																		BgL_arg1764z00_359);
																																}
																																BgL_arg1744z00_357
																																	=
																																	BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																	(CNST_TABLE_REF
																																	(((long) 25)),
																																	BgL_list1745z00_358);
																															}
																															BgL_arg1717z00_337
																																=
																																MAKE_PAIR
																																(BgL_arg1743z00_356,
																																BgL_arg1744z00_357);
																														}
																														{	/* Expand/struct.scm 122 */
																															obj_t
																																BgL_arg1792z00_360;
																															obj_t
																																BgL_arg1811z00_361;
																															BgL_arg1792z00_360
																																=
																																CNST_TABLE_REF((
																																	(long) 10));
																															{	/* Expand/struct.scm 122 */
																																obj_t
																																	BgL_arg1815z00_363;
																																obj_t
																																	BgL_arg1821z00_364;
																																BgL_arg1815z00_363
																																	=
																																	SYMBOL_TO_STRING
																																	(BgL_namez00_28);
																																BgL_arg1821z00_364
																																	=
																																	CNST_TABLE_REF
																																	(((long) 25));
																																{	/* Expand/struct.scm 122 */
																																	obj_t
																																		BgL_list1826z00_366;
																																	{	/* Expand/struct.scm 122 */
																																		obj_t
																																			BgL_arg1829z00_367;
																																		{	/* Expand/struct.scm 122 */
																																			obj_t
																																				BgL_arg1832z00_368;
																																			BgL_arg1832z00_368
																																				=
																																				MAKE_PAIR
																																				(BNIL,
																																				BNIL);
																																			BgL_arg1829z00_367
																																				=
																																				MAKE_PAIR
																																				(BgL_arg1821z00_364,
																																				BgL_arg1832z00_368);
																																		}
																																		BgL_list1826z00_366
																																			=
																																			MAKE_PAIR
																																			(BgL_arg1815z00_363,
																																			BgL_arg1829z00_367);
																																	}
																																	BgL_arg1811z00_361
																																		=
																																		BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																		(BGl_string2139z00zzexpand_structz00,
																																		BgL_list1826z00_366);
																															}}
																															BgL_arg1718z00_338
																																=
																																MAKE_PAIR
																																(BgL_arg1792z00_360,
																																BgL_arg1811z00_361);
																														}
																														{	/* Expand/struct.scm 120 */
																															obj_t
																																BgL_list1721z00_340;
																															{	/* Expand/struct.scm 120 */
																																obj_t
																																	BgL_arg1724z00_341;
																																{	/* Expand/struct.scm 120 */
																																	obj_t
																																		BgL_arg1725z00_342;
																																	BgL_arg1725z00_342
																																		=
																																		MAKE_PAIR
																																		(BNIL,
																																		BNIL);
																																	BgL_arg1724z00_341
																																		=
																																		MAKE_PAIR
																																		(BgL_arg1718z00_338,
																																		BgL_arg1725z00_342);
																																}
																																BgL_list1721z00_340
																																	=
																																	MAKE_PAIR
																																	(BgL_arg1717z00_337,
																																	BgL_arg1724z00_341);
																															}
																															BgL_arg1714z00_335
																																=
																																BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																(BgL_arg1715z00_336,
																																BgL_list1721z00_340);
																													}}
																													BgL_arg1668z00_319 =
																														MAKE_PAIR
																														(BgL_arg1712z00_334,
																														BgL_arg1714z00_335);
																												}
																											{	/* Expand/struct.scm 116 */
																												obj_t
																													BgL_list1673z00_321;
																												{	/* Expand/struct.scm 116 */
																													obj_t
																														BgL_arg1682z00_322;
																													BgL_arg1682z00_322 =
																														MAKE_PAIR(BNIL,
																														BNIL);
																													BgL_list1673z00_321 =
																														MAKE_PAIR
																														(BgL_arg1668z00_319,
																														BgL_arg1682z00_322);
																												}
																												BgL_arg1663z00_317 =
																													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																													(BgL_arg1667z00_318,
																													BgL_list1673z00_321);
																										}}
																										BgL_arg1656z00_315 =
																											MAKE_PAIR
																											(BgL_arg1657z00_316,
																											BgL_arg1663z00_317);
																									}
																									BgL_arg1655z00_314 =
																										BGl_epairifyz00zztools_miscz00
																										(BgL_arg1656z00_315,
																										BgL_xz00_1);
																								}
																								BgL_arg1653z00_312 =
																									PROCEDURE_ENTRY(BgL_ez00_2)
																									(BgL_ez00_2,
																									BgL_arg1655z00_314,
																									BgL_ez00_2, BEOA);
																							}
																							{	/* Expand/struct.scm 132 */
																								obj_t BgL_arg1836z00_369;

																								{	/* Expand/struct.scm 132 */
																									obj_t BgL_arg1844z00_370;

																									{	/* Expand/struct.scm 132 */
																										obj_t BgL_arg1850z00_371;

																										{	/* Expand/struct.scm 132 */
																											obj_t BgL_arg1854z00_372;
																											obj_t BgL_arg1858z00_373;

																											BgL_arg1854z00_372 =
																												CNST_TABLE_REF(((long)
																													2));
																											{	/* Expand/struct.scm 133 */
																												obj_t
																													BgL_arg1864z00_374;
																												obj_t
																													BgL_arg1867z00_375;
																												{	/* Expand/struct.scm 133 */
																													obj_t
																														BgL_arg1873z00_379;
																													obj_t
																														BgL_arg1875z00_380;
																													{	/* Expand/struct.scm 133 */
																														obj_t
																															BgL_list1876z00_381;
																														{	/* Expand/struct.scm 133 */
																															obj_t
																																BgL_arg1878z00_382;
																															{	/* Expand/struct.scm 133 */
																																obj_t
																																	BgL_arg1882z00_383;
																																obj_t
																																	BgL_arg1886z00_384;
																																BgL_arg1882z00_383
																																	=
																																	CNST_TABLE_REF
																																	(((long) 17));
																																{	/* Expand/struct.scm 133 */
																																	obj_t
																																		BgL_arg1891z00_385;
																																	BgL_arg1891z00_385
																																		=
																																		MAKE_PAIR
																																		(CNST_TABLE_REF
																																		(((long)
																																				18)),
																																		BNIL);
																																	BgL_arg1886z00_384
																																		=
																																		MAKE_PAIR
																																		(BgL_prz00_308,
																																		BgL_arg1891z00_385);
																																}
																																BgL_arg1878z00_382
																																	=
																																	MAKE_PAIR
																																	(BgL_arg1882z00_383,
																																	BgL_arg1886z00_384);
																															}
																															BgL_list1876z00_381
																																=
																																MAKE_PAIR
																																(BgL_namez00_28,
																																BgL_arg1878z00_382);
																														}
																														BgL_arg1873z00_379 =
																															BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
																															(BgL_list1876z00_381);
																													}
																													{	/* Expand/struct.scm 133 */
																														obj_t
																															BgL_list1892z00_386;
																														{	/* Expand/struct.scm 133 */
																															obj_t
																																BgL_arg1897z00_387;
																															obj_t
																																BgL_arg1898z00_388;
																															BgL_arg1897z00_387
																																=
																																CNST_TABLE_REF((
																																	(long) 28));
																															BgL_arg1898z00_388
																																=
																																MAKE_PAIR(BNIL,
																																BNIL);
																															BgL_list1892z00_386
																																=
																																MAKE_PAIR
																																(BgL_arg1897z00_387,
																																BgL_arg1898z00_388);
																														}
																														BgL_arg1875z00_380 =
																															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																															(CNST_TABLE_REF((
																																	(long) 25)),
																															BgL_list1892z00_386);
																													}
																													BgL_arg1864z00_374 =
																														MAKE_PAIR
																														(BgL_arg1873z00_379,
																														BgL_arg1875z00_380);
																												}
																												if (CBOOL
																													(BGl_za2unsafezd2structza2zd2zzengine_paramz00))
																													{	/* Expand/struct.scm 135 */
																														obj_t
																															BgL_arg1902z00_389;
																														obj_t
																															BgL_arg1906z00_390;
																														BgL_arg1902z00_389 =
																															CNST_TABLE_REF((
																																(long) 29));
																														{	/* Expand/struct.scm 135 */
																															obj_t
																																BgL_list1907z00_391;
																															{	/* Expand/struct.scm 135 */
																																obj_t
																																	BgL_arg1914z00_392;
																																{	/* Expand/struct.scm 135 */
																																	obj_t
																																		BgL_arg1918z00_393;
																																	obj_t
																																		BgL_arg1922z00_394;
																																	BgL_arg1918z00_393
																																		=
																																		CNST_TABLE_REF
																																		(((long)
																																			28));
																																	BgL_arg1922z00_394
																																		=
																																		MAKE_PAIR
																																		(BNIL,
																																		BNIL);
																																	BgL_arg1914z00_392
																																		=
																																		MAKE_PAIR
																																		(BgL_arg1918z00_393,
																																		BgL_arg1922z00_394);
																																}
																																BgL_list1907z00_391
																																	=
																																	MAKE_PAIR(BINT
																																	(BgL_iz00_303),
																																	BgL_arg1914z00_392);
																															}
																															BgL_arg1906z00_390
																																=
																																BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																(CNST_TABLE_REF(
																																	((long) 25)),
																																BgL_list1907z00_391);
																														}
																														BgL_arg1867z00_375 =
																															MAKE_PAIR
																															(BgL_arg1902z00_389,
																															BgL_arg1906z00_390);
																													}
																												else
																													{	/* Expand/struct.scm 136 */
																														obj_t
																															BgL_arg1928z00_395;
																														obj_t
																															BgL_arg1932z00_396;
																														BgL_arg1928z00_395 =
																															CNST_TABLE_REF((
																																(long) 5));
																														{	/* Expand/struct.scm 136 */
																															obj_t
																																BgL_arg1935z00_397;
																															obj_t
																																BgL_arg1937z00_398;
																															obj_t
																																BgL_arg1943z00_399;
																															{	/* Expand/struct.scm 136 */
																																obj_t
																																	BgL_arg1962z00_404;
																																obj_t
																																	BgL_arg1966z00_405;
																																BgL_arg1962z00_404
																																	=
																																	CNST_TABLE_REF
																																	(((long) 22));
																																{	/* Expand/struct.scm 136 */
																																	obj_t
																																		BgL_arg1969z00_406;
																																	obj_t
																																		BgL_arg1973z00_407;
																																	{	/* Expand/struct.scm 136 */
																																		obj_t
																																			BgL_arg1991z00_411;
																																		obj_t
																																			BgL_arg1997z00_412;
																																		BgL_arg1991z00_411
																																			=
																																			CNST_TABLE_REF
																																			(((long)
																																				23));
																																		{	/* Expand/struct.scm 136 */
																																			obj_t
																																				BgL_list1998z00_413;
																																			BgL_list1998z00_413
																																				=
																																				MAKE_PAIR
																																				(BNIL,
																																				BNIL);
																																			BgL_arg1997z00_412
																																				=
																																				BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																				(CNST_TABLE_REF
																																				(((long)
																																						25)),
																																				BgL_list1998z00_413);
																																		}
																																		BgL_arg1969z00_406
																																			=
																																			MAKE_PAIR
																																			(BgL_arg1991z00_411,
																																			BgL_arg1997z00_412);
																																	}
																																	{	/* Expand/struct.scm 136 */
																																		obj_t
																																			BgL_arg2002z00_414;
																																		obj_t
																																			BgL_arg2006z00_415;
																																		BgL_arg2002z00_414
																																			=
																																			CNST_TABLE_REF
																																			(((long)
																																				11));
																																		{	/* Expand/struct.scm 136 */
																																			obj_t
																																				BgL_list2007z00_416;
																																			BgL_list2007z00_416
																																				=
																																				MAKE_PAIR
																																				(BNIL,
																																				BNIL);
																																			BgL_arg2006z00_415
																																				=
																																				BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																				(BgL_namez00_28,
																																				BgL_list2007z00_416);
																																		}
																																		BgL_arg1973z00_407
																																			=
																																			MAKE_PAIR
																																			(BgL_arg2002z00_414,
																																			BgL_arg2006z00_415);
																																	}
																																	{	/* Expand/struct.scm 136 */
																																		obj_t
																																			BgL_list1982z00_409;
																																		{	/* Expand/struct.scm 136 */
																																			obj_t
																																				BgL_arg1987z00_410;
																																			BgL_arg1987z00_410
																																				=
																																				MAKE_PAIR
																																				(BNIL,
																																				BNIL);
																																			BgL_list1982z00_409
																																				=
																																				MAKE_PAIR
																																				(BgL_arg1973z00_407,
																																				BgL_arg1987z00_410);
																																		}
																																		BgL_arg1966z00_405
																																			=
																																			BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																			(BgL_arg1969z00_406,
																																			BgL_list1982z00_409);
																																}}
																																BgL_arg1935z00_397
																																	=
																																	MAKE_PAIR
																																	(BgL_arg1962z00_404,
																																	BgL_arg1966z00_405);
																															}
																															{	/* Expand/struct.scm 137 */
																																obj_t
																																	BgL_arg2010z00_417;
																																obj_t
																																	BgL_arg2016z00_418;
																																BgL_arg2010z00_417
																																	=
																																	CNST_TABLE_REF
																																	(((long) 30));
																																{	/* Expand/struct.scm 137 */
																																	obj_t
																																		BgL_list2017z00_419;
																																	{	/* Expand/struct.scm 137 */
																																		obj_t
																																			BgL_arg2019z00_420;
																																		{	/* Expand/struct.scm 137 */
																																			obj_t
																																				BgL_arg2021z00_421;
																																			obj_t
																																				BgL_arg2025z00_422;
																																			BgL_arg2021z00_421
																																				=
																																				CNST_TABLE_REF
																																				(((long)
																																					28));
																																			BgL_arg2025z00_422
																																				=
																																				MAKE_PAIR
																																				(BNIL,
																																				BNIL);
																																			BgL_arg2019z00_420
																																				=
																																				MAKE_PAIR
																																				(BgL_arg2021z00_421,
																																				BgL_arg2025z00_422);
																																		}
																																		BgL_list2017z00_419
																																			=
																																			MAKE_PAIR
																																			(BINT
																																			(BgL_iz00_303),
																																			BgL_arg2019z00_420);
																																	}
																																	BgL_arg2016z00_418
																																		=
																																		BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																		(CNST_TABLE_REF
																																		(((long)
																																				25)),
																																		BgL_list2017z00_419);
																																}
																																BgL_arg1937z00_398
																																	=
																																	MAKE_PAIR
																																	(BgL_arg2010z00_417,
																																	BgL_arg2016z00_418);
																															}
																															{	/* Expand/struct.scm 138 */
																																obj_t
																																	BgL_arg2031z00_423;
																																obj_t
																																	BgL_arg2035z00_424;
																																BgL_arg2031z00_423
																																	=
																																	CNST_TABLE_REF
																																	(((long) 10));
																																{	/* Expand/struct.scm 138 */
																																	obj_t
																																		BgL_arg2040z00_426;
																																	obj_t
																																		BgL_arg2054z00_427;
																																	BgL_arg2040z00_426
																																		=
																																		SYMBOL_TO_STRING
																																		(BgL_namez00_28);
																																	BgL_arg2054z00_427
																																		=
																																		CNST_TABLE_REF
																																		(((long)
																																			25));
																																	{	/* Expand/struct.scm 138 */
																																		obj_t
																																			BgL_list2061z00_429;
																																		{	/* Expand/struct.scm 138 */
																																			obj_t
																																				BgL_arg2064z00_430;
																																			{	/* Expand/struct.scm 138 */
																																				obj_t
																																					BgL_arg2068z00_431;
																																				BgL_arg2068z00_431
																																					=
																																					MAKE_PAIR
																																					(BNIL,
																																					BNIL);
																																				BgL_arg2064z00_430
																																					=
																																					MAKE_PAIR
																																					(BgL_arg2054z00_427,
																																					BgL_arg2068z00_431);
																																			}
																																			BgL_list2061z00_429
																																				=
																																				MAKE_PAIR
																																				(BgL_arg2040z00_426,
																																				BgL_arg2064z00_430);
																																		}
																																		BgL_arg2035z00_424
																																			=
																																			BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																			(BGl_string2140z00zzexpand_structz00,
																																			BgL_list2061z00_429);
																																}}
																																BgL_arg1943z00_399
																																	=
																																	MAKE_PAIR
																																	(BgL_arg2031z00_423,
																																	BgL_arg2035z00_424);
																															}
																															{	/* Expand/struct.scm 136 */
																																obj_t
																																	BgL_list1948z00_401;
																																{	/* Expand/struct.scm 136 */
																																	obj_t
																																		BgL_arg1949z00_402;
																																	{	/* Expand/struct.scm 136 */
																																		obj_t
																																			BgL_arg1958z00_403;
																																		BgL_arg1958z00_403
																																			=
																																			MAKE_PAIR
																																			(BNIL,
																																			BNIL);
																																		BgL_arg1949z00_402
																																			=
																																			MAKE_PAIR
																																			(BgL_arg1943z00_399,
																																			BgL_arg1958z00_403);
																																	}
																																	BgL_list1948z00_401
																																		=
																																		MAKE_PAIR
																																		(BgL_arg1937z00_398,
																																		BgL_arg1949z00_402);
																																}
																																BgL_arg1932z00_396
																																	=
																																	BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																	(BgL_arg1935z00_397,
																																	BgL_list1948z00_401);
																														}}
																														BgL_arg1867z00_375 =
																															MAKE_PAIR
																															(BgL_arg1928z00_395,
																															BgL_arg1932z00_396);
																													}
																												{	/* Expand/struct.scm 132 */
																													obj_t
																														BgL_list1870z00_377;
																													{	/* Expand/struct.scm 132 */
																														obj_t
																															BgL_arg1872z00_378;
																														BgL_arg1872z00_378 =
																															MAKE_PAIR(BNIL,
																															BNIL);
																														BgL_list1870z00_377
																															=
																															MAKE_PAIR
																															(BgL_arg1867z00_375,
																															BgL_arg1872z00_378);
																													}
																													BgL_arg1858z00_373 =
																														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																														(BgL_arg1864z00_374,
																														BgL_list1870z00_377);
																											}}
																											BgL_arg1850z00_371 =
																												MAKE_PAIR
																												(BgL_arg1854z00_372,
																												BgL_arg1858z00_373);
																										}
																										BgL_arg1844z00_370 =
																											BGl_epairifyz00zztools_miscz00
																											(BgL_arg1850z00_371,
																											BgL_xz00_1);
																									}
																									BgL_arg1836z00_369 =
																										PROCEDURE_ENTRY(BgL_ez00_2)
																										(BgL_ez00_2,
																										BgL_arg1844z00_370,
																										BgL_ez00_2, BEOA);
																								}
																								BgL_arg1654z00_313 =
																									MAKE_PAIR(BgL_arg1836z00_369,
																									BgL_resz00_305);
																							}
																							BgL_arg1652z00_311 =
																								MAKE_PAIR(BgL_arg1653z00_312,
																								BgL_arg1654z00_313);
																						}
																						{
																							obj_t BgL_resz00_1037;
																							obj_t BgL_slotsz00_1036;
																							long BgL_iz00_1035;

																							BgL_iz00_1035 =
																								BgL_arg1650z00_309;
																							BgL_slotsz00_1036 =
																								BgL_arg1651z00_310;
																							BgL_resz00_1037 =
																								BgL_arg1652z00_311;
																							BgL_resz00_305 = BgL_resz00_1037;
																							BgL_slotsz00_304 =
																								BgL_slotsz00_1036;
																							BgL_iz00_303 = BgL_iz00_1035;
																							goto BgL_loopz00_306;
																						}
																					}
																				}
																		}
																	}
																	BgL_arg1496z00_206 =
																		MAKE_PAIR(BgL_arg1575z00_262,
																		BgL_arg1576z00_263);
																}
																BgL_arg1293z00_45 =
																	MAKE_PAIR(BgL_arg1495z00_205,
																	BgL_arg1496z00_206);
															}
															BgL_arg1290z00_43 =
																MAKE_PAIR(BgL_arg1291z00_44, BgL_arg1293z00_45);
														}
														return
															MAKE_PAIR(BgL_arg1289z00_42, BgL_arg1290z00_43);
													}
												}
											}
										}
									}
								}
							}
						else
							{	/* Expand/struct.scm 24 */
							BgL_tagzd2930zd2_31:
								return
									BGl_errorz00zz__errorz00(BFALSE,
									BGl_string2137z00zzexpand_structz00, BgL_xz00_1);
							}
					}
				else
					{	/* Expand/struct.scm 24 */
						goto BgL_tagzd2930zd2_31;
					}
			}
		}
	}



/* _expand-struct */
	obj_t BGl__expandzd2structzd2zzexpand_structz00(obj_t BgL_envz00_547,
		obj_t BgL_xz00_548, obj_t BgL_ez00_549)
	{
		AN_OBJECT;
		{	/* Expand/struct.scm 23 */
			return
				BGl_expandzd2structzd2zzexpand_structz00(BgL_xz00_548, BgL_ez00_549);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzexpand_structz00()
	{
		AN_OBJECT;
		{	/* Expand/struct.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzexpand_structz00()
	{
		AN_OBJECT;
		{	/* Expand/struct.scm 15 */
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 514705515),
				BSTRING_TO_STRING(BGl_string2141z00zzexpand_structz00));
			return
				BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 315910987),
				BSTRING_TO_STRING(BGl_string2141z00zzexpand_structz00));
		}
	}

#ifdef __cplusplus
}
#endif
