/*===========================================================================*/
/*   (Foreign/cstruct.scm)                                                   */
/*   Bigloo (2.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 25 07:31:22 CET 2006        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/2.9a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Foreign/cstruct.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_caliasz00_bgl
	{
		bool_t BgL_arrayzf3zf3;
	}                *BgL_caliasz00_bglt;

	typedef struct BgL_cenumz00_bgl
	{
		struct BgL_typez00_bgl *BgL_btypez00;
		obj_t BgL_literalsz00;
	}               *BgL_cenumz00_bglt;

	typedef struct BgL_copaquez00_bgl
	{
		struct BgL_typez00_bgl *BgL_btypez00;
	}                 *BgL_copaquez00_bglt;

	typedef struct BgL_cfunctionz00_bgl
	{
		struct BgL_typez00_bgl *BgL_btypez00;
		long BgL_arityz00;
		struct BgL_typez00_bgl *BgL_typezd2reszd2;
		obj_t BgL_typezd2argszd2;
	}                   *BgL_cfunctionz00_bglt;

	typedef struct BgL_cptrz00_bgl
	{
		struct BgL_typez00_bgl *BgL_btypez00;
		struct BgL_typez00_bgl *BgL_pointzd2tozd2;
		bool_t BgL_arrayzf3zf3;
	}              *BgL_cptrz00_bglt;

	typedef struct BgL_cstructz00_bgl
	{
		bool_t BgL_structzf3zf3;
		obj_t BgL_fieldsz00;
		obj_t BgL_cstructza2za2;
	}                 *BgL_cstructz00_bglt;

	typedef struct BgL_cstructza2za2_bgl
	{
		struct BgL_typez00_bgl *BgL_btypez00;
		struct BgL_cstructz00_bgl *BgL_cstructz00;
	}                    *BgL_cstructza2za2_bglt;

	typedef struct BgL_ccompz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_producerz00;
		obj_t BgL_consumerz00;
		obj_t BgL_finaliza7erza7;
	}               *BgL_ccompz00_bglt;


	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	extern obj_t BGl_cstructza2za2zzforeign_ctypez00;
	BGL_IMPORT obj_t open_input_string(obj_t);
	extern obj_t BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(obj_t);
	BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzforeign_cstructz00 = BUNSPEC;
	extern obj_t
		BGl_registerzd2foreignzd2accesszd2identsz12zc0zzforeign_libraryz00(obj_t);
	BGL_IMPORT obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
	extern BgL_typez00_bglt
		BGl_getzd2aliasedzd2typez00zztype_typez00(BgL_typez00_bglt);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	extern obj_t BGl_makezd2definezd2inlinez00zzforeign_libraryz00(obj_t, obj_t);
	static obj_t BGl_makezd2ctypezd2accessesz121868z12zzforeign_cstructz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_makezd2ctypezd2accessesz121870z12zzforeign_cstructz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzforeign_cstructz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzforeign_cstructz00();
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzforeign_cstructz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzforeign_ctypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzforeign_accessz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzforeign_libraryz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	static obj_t BGl_toplevelzd2initzd2zzforeign_cstructz00();
	extern obj_t BGl_stringzd2sanszd2z42z42zztype_toolsz00(obj_t);
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern BgL_typez00_bglt BGl_usezd2typez12zc0zztype_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_cstructz00zzforeign_ctypez00;
	extern obj_t BGl_makezd2protozd2inlinez00zzforeign_libraryz00(obj_t);
	BGL_IMPORT obj_t bgl_append2(obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzforeign_cstructz00();
	static obj_t BGl_methodzd2initzd2zzforeign_cstructz00();
	static obj_t __cnst[34];


	   
		 
		DEFINE_STRING(BGl_string2500z00zzforeign_cstructz00,
		BgL_bgl_string2500za700za7za7f2515za7, "((", 2);
	      DEFINE_STRING(BGl_string2501z00zzforeign_cstructz00,
		BgL_bgl_string2501za700za7za7f2516za7, " ) )", 4);
	      DEFINE_STRING(BGl_string2502z00zzforeign_cstructz00,
		BgL_bgl_string2502za700za7za7f2517za7, ")GC_MALLOC( sizeof( ", 20);
	      DEFINE_STRING(BGl_string2503z00zzforeign_cstructz00,
		BgL_bgl_string2503za700za7za7f2518za7, "))", 2);
	      DEFINE_STRING(BGl_string2493z00zzforeign_cstructz00,
		BgL_bgl_string2493za700za7za7f2519za7, "*((", 3);
	      DEFINE_STRING(BGl_string2504z00zzforeign_cstructz00,
		BgL_bgl_string2504za700za7za7f2520za7, ")$1)->", 6);
	      DEFINE_STRING(BGl_string2494z00zzforeign_cstructz00,
		BgL_bgl_string2494za700za7za7f2521za7, ") 0)", 4);
	      DEFINE_STRING(BGl_string2505z00zzforeign_cstructz00,
		BgL_bgl_string2505za700za7za7f2522za7, "&((((", 5);
	      DEFINE_STRING(BGl_string2495z00zzforeign_cstructz00,
		BgL_bgl_string2495za700za7za7f2523za7, "cobj_to_foreign", 15);
	      DEFINE_STRING(BGl_string2506z00zzforeign_cstructz00,
		BgL_bgl_string2506za700za7za7f2524za7, ")", 1);
	      DEFINE_STRING(BGl_string2496z00zzforeign_cstructz00,
		BgL_bgl_string2496za700za7za7f2525za7, "(", 1);
	      DEFINE_STRING(BGl_string2507z00zzforeign_cstructz00,
		BgL_bgl_string2507za700za7za7f2526za7, "(((", 3);
	      DEFINE_STRING(BGl_string2497z00zzforeign_cstructz00,
		BgL_bgl_string2497za700za7za7f2527za7, ")FOREIGN_TO_COBJ", 16);
	      DEFINE_STRING(BGl_string2508z00zzforeign_cstructz00,
		BgL_bgl_string2508za700za7za7f2528za7, "((((", 4);
	      DEFINE_STRING(BGl_string2498z00zzforeign_cstructz00,
		BgL_bgl_string2498za700za7za7f2529za7, "($1 == (", 8);
	      DEFINE_STRING(BGl_string2510z00zzforeign_cstructz00,
		BgL_bgl_string2510za700za7za7f2530za7, " = ($2), BUNSPEC)", 17);
	      DEFINE_STRING(BGl_string2509z00zzforeign_cstructz00,
		BgL_bgl_string2509za700za7za7f2531za7, " = (*($2)), BUNSPEC)", 20);
	      DEFINE_STRING(BGl_string2499z00zzforeign_cstructz00,
		BgL_bgl_string2499za700za7za7f2532za7, ")0L)", 4);
	      DEFINE_STRING(BGl_string2511z00zzforeign_cstructz00,
		BgL_bgl_string2511za700za7za7f2533za7, "foreign_cstruct", 15);
	      DEFINE_STRING(BGl_string2512z00zzforeign_cstructz00,
		BgL_bgl_string2512za700za7za7f2534za7,
		"predicate-of static foreign -null? v ::obj -set! - let new * pragma make- |pragma::| make-null- pragma::bool -null?::bool (pragma::bool \"($1 == $2)\" o1 o2) o2 o1 ?::bool = quote foreign-id eq? o foreign? if o::obj symbol macro ::bool ? -> ",
		239);
	extern obj_t BGl_makezd2ctypezd2accessesz12zd2envzc0zzforeign_accessz00;



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzforeign_cstructz00(long
		BgL_checksumz00_692, char *BgL_fromz00_693)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzforeign_cstructz00))
				{
					BGl_requirezd2initializa7ationz75zzforeign_cstructz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzforeign_cstructz00();
					BGl_cnstzd2initzd2zzforeign_cstructz00();
					BGl_importedzd2moduleszd2initz00zzforeign_cstructz00();
					BGl_methodzd2initzd2zzforeign_cstructz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzforeign_cstructz00()
	{
		AN_OBJECT;
		{	/* Foreign/cstruct.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"foreign_cstruct");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"foreign_cstruct");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"foreign_cstruct");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"foreign_cstruct");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"foreign_cstruct");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzforeign_cstructz00()
	{
		AN_OBJECT;
		{	/* Foreign/cstruct.scm 15 */
			{	/* Foreign/cstruct.scm 15 */
				obj_t BgL_cportz00_681;

				BgL_cportz00_681 =
					open_input_string(BGl_string2512z00zzforeign_cstructz00);
				{
					long BgL_iz00_682;

					BgL_iz00_682 = ((long) 33);
				BgL_loopz00_683:
					if ((BgL_iz00_682 == ((long) -1)))
						{	/* Foreign/cstruct.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Foreign/cstruct.scm 15 */
							{	/* Foreign/cstruct.scm 15 */
								obj_t BgL_arg2514z00_685;

								{	/* Foreign/cstruct.scm 15 */

									{	/* Foreign/cstruct.scm 15 */
										obj_t BgL_locationz00_687;

										BgL_locationz00_687 = BBOOL(((bool_t) 0));
										{	/* Foreign/cstruct.scm 15 */

											BgL_arg2514z00_685 =
												BGl_readz00zz__readerz00(BgL_cportz00_681,
												BgL_locationz00_687);
										}
									}
								}
								{	/* Foreign/cstruct.scm 15 */
									int BgL_auxz00_711;

									BgL_auxz00_711 = (int) (BgL_iz00_682);
									CNST_TABLE_SET(BgL_auxz00_711, BgL_arg2514z00_685);
							}}
							{	/* Foreign/cstruct.scm 15 */
								int BgL_auxz00_688;

								BgL_auxz00_688 = (int) ((BgL_iz00_682 - ((long) 1)));
								{
									long BgL_iz00_716;

									BgL_iz00_716 = (long) (BgL_auxz00_688);
									BgL_iz00_682 = BgL_iz00_716;
									goto BgL_loopz00_683;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzforeign_cstructz00()
	{
		AN_OBJECT;
		{	/* Foreign/cstruct.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzforeign_cstructz00()
	{
		AN_OBJECT;
		{	/* Foreign/cstruct.scm 15 */
			{	/* Foreign/cstruct.scm 15 */
				obj_t BgL_makezd2ctypezd2accessesz121868z12_668;

				BgL_makezd2ctypezd2accessesz121868z12_668 =
					make_fx_procedure
					(BGl_makezd2ctypezd2accessesz121868z12zzforeign_cstructz00,
					(int) (((long) 3)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_makezd2ctypezd2accessesz12zd2envzc0zzforeign_accessz00,
					BGl_cstructz00zzforeign_ctypez00,
					BgL_makezd2ctypezd2accessesz121868z12_668);
			}
			{	/* Foreign/cstruct.scm 15 */
				obj_t BgL_makezd2ctypezd2accessesz121870z12_667;

				BgL_makezd2ctypezd2accessesz121870z12_667 =
					make_fx_procedure
					(BGl_makezd2ctypezd2accessesz121870z12zzforeign_cstructz00,
					(int) (((long) 3)), (int) (((long) 0)));
				return
					BGl_addzd2methodz12zc0zz__objectz00
					(BGl_makezd2ctypezd2accessesz12zd2envzc0zzforeign_accessz00,
					BGl_cstructza2za2zzforeign_ctypez00,
					BgL_makezd2ctypezd2accessesz121870z12_667);
			}
		}
	}



/* make-ctype-accesses!1870 */
	obj_t BGl_makezd2ctypezd2accessesz121870z12zzforeign_cstructz00(obj_t
		BgL_envz00_669, obj_t BgL_whatz00_670, obj_t BgL_whoz00_671,
		obj_t BgL_locz00_672)
	{
		AN_OBJECT;
		{	/* Foreign/cstruct.scm 38 */
			{
				BgL_cstructza2za2_bglt BgL_whatz00_207;
				BgL_typez00_bglt BgL_whoz00_208;
				obj_t BgL_locz00_209;

				BgL_whatz00_207 = (BgL_cstructza2za2_bglt) (BgL_whatz00_670);
				BgL_whoz00_208 = (BgL_typez00_bglt) (BgL_whoz00_671);
				BgL_locz00_209 = BgL_locz00_672;
				{	/* Foreign/cstruct.scm 41 */
					BgL_typez00_bglt BgL_btypez00_212;

					{
						obj_t BgL_auxz00_726;

						{	/* Foreign/cstruct.scm 41 */
							BgL_objectz00_bglt BgL_auxz00_727;

							BgL_auxz00_727 = (BgL_objectz00_bglt) (BgL_whatz00_207);
							BgL_auxz00_726 = BGL_OBJECT_WIDENING(BgL_auxz00_727);
						}
						BgL_btypez00_212 =
							(((BgL_cstructza2za2_bglt) CREF(BgL_auxz00_726))->BgL_btypez00);
					}
					{	/* Foreign/cstruct.scm 41 */
						obj_t BgL_idz00_213;

						BgL_idz00_213 =
							(((BgL_typez00_bglt) CREF(BgL_whoz00_208))->BgL_idz00);
						{	/* Foreign/cstruct.scm 42 */
							obj_t BgL_widz00_214;

							{	/* Foreign/cstruct.scm 43 */
								BgL_typez00_bglt BgL_obj1272z00_611;

								BgL_obj1272z00_611 = (BgL_typez00_bglt) (BgL_whatz00_207);
								BgL_widz00_214 =
									(((BgL_typez00_bglt) CREF(BgL_obj1272z00_611))->BgL_idz00);
							}
							{	/* Foreign/cstruct.scm 43 */
								obj_t BgL_bidz00_215;

								BgL_bidz00_215 =
									(((BgL_typez00_bglt) CREF(BgL_btypez00_212))->BgL_idz00);
								{	/* Foreign/cstruct.scm 44 */
									obj_t BgL_idzd2ze3bidz31_216;

									{	/* Foreign/cstruct.scm 45 */
										obj_t BgL_list2483z00_603;

										{	/* Foreign/cstruct.scm 45 */
											obj_t BgL_arg2484z00_604;

											{	/* Foreign/cstruct.scm 45 */
												obj_t BgL_arg2485z00_605;
												obj_t BgL_arg2486z00_606;

												BgL_arg2485z00_605 = CNST_TABLE_REF(((long) 0));
												BgL_arg2486z00_606 = MAKE_PAIR(BgL_bidz00_215, BNIL);
												BgL_arg2484z00_604 =
													MAKE_PAIR(BgL_arg2485z00_605, BgL_arg2486z00_606);
											}
											BgL_list2483z00_603 =
												MAKE_PAIR(BgL_idz00_213, BgL_arg2484z00_604);
										}
										BgL_idzd2ze3bidz31_216 =
											BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
											(BgL_list2483z00_603);
									}
									{	/* Foreign/cstruct.scm 45 */
										obj_t BgL_bidzd2ze3idz31_217;

										{	/* Foreign/cstruct.scm 46 */
											obj_t BgL_list2478z00_599;

											{	/* Foreign/cstruct.scm 46 */
												obj_t BgL_arg2480z00_600;

												{	/* Foreign/cstruct.scm 46 */
													obj_t BgL_arg2481z00_601;
													obj_t BgL_arg2482z00_602;

													BgL_arg2481z00_601 = CNST_TABLE_REF(((long) 0));
													BgL_arg2482z00_602 = MAKE_PAIR(BgL_idz00_213, BNIL);
													BgL_arg2480z00_600 =
														MAKE_PAIR(BgL_arg2481z00_601, BgL_arg2482z00_602);
												}
												BgL_list2478z00_599 =
													MAKE_PAIR(BgL_bidz00_215, BgL_arg2480z00_600);
											}
											BgL_bidzd2ze3idz31_217 =
												BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
												(BgL_list2478z00_599);
										}
										{	/* Foreign/cstruct.scm 46 */
											obj_t BgL_bidzf3zf3_218;

											{	/* Foreign/cstruct.scm 47 */
												obj_t BgL_list2476z00_597;

												{	/* Foreign/cstruct.scm 47 */
													obj_t BgL_arg2477z00_598;

													BgL_arg2477z00_598 =
														MAKE_PAIR(CNST_TABLE_REF(((long) 1)), BNIL);
													BgL_list2476z00_597 =
														MAKE_PAIR(BgL_idz00_213, BgL_arg2477z00_598);
												}
												BgL_bidzf3zf3_218 =
													BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
													(BgL_list2476z00_597);
											}
											{	/* Foreign/cstruct.scm 47 */
												obj_t BgL_bidzf3zd2boolz21_219;

												{	/* Foreign/cstruct.scm 48 */
													obj_t BgL_list2473z00_595;

													{	/* Foreign/cstruct.scm 48 */
														obj_t BgL_arg2475z00_596;

														BgL_arg2475z00_596 =
															MAKE_PAIR(CNST_TABLE_REF(((long) 2)), BNIL);
														BgL_list2473z00_595 =
															MAKE_PAIR(BgL_bidzf3zf3_218, BgL_arg2475z00_596);
													}
													BgL_bidzf3zd2boolz21_219 =
														BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
														(BgL_list2473z00_595);
												}
												{	/* Foreign/cstruct.scm 48 */
													obj_t BgL_namez00_220;

													BgL_namez00_220 =
														(((BgL_typez00_bglt) CREF(BgL_whoz00_208))->
														BgL_namez00);
													{	/* Foreign/cstruct.scm 49 */
														obj_t BgL_namezd2sanszd2z42z42_221;

														BgL_namezd2sanszd2z42z42_221 =
															BGl_stringzd2sanszd2z42z42zztype_toolsz00
															(BgL_namez00_220);
														{	/* Foreign/cstruct.scm 50 */
															BgL_cstructz00_bglt BgL_cstructz00_222;

															{
																obj_t BgL_auxz00_755;

																{	/* Foreign/cstruct.scm 51 */
																	BgL_objectz00_bglt BgL_auxz00_756;

																	BgL_auxz00_756 =
																		(BgL_objectz00_bglt) (BgL_whatz00_207);
																	BgL_auxz00_755 =
																		BGL_OBJECT_WIDENING(BgL_auxz00_756);
																}
																BgL_cstructz00_222 =
																	(((BgL_cstructza2za2_bglt)
																		CREF(BgL_auxz00_755))->BgL_cstructz00);
															}
															{	/* Foreign/cstruct.scm 51 */
																obj_t BgL_cstructzd2fieldszd2_223;

																{
																	obj_t BgL_auxz00_760;

																	{	/* Foreign/cstruct.scm 52 */
																		BgL_objectz00_bglt BgL_auxz00_761;

																		BgL_auxz00_761 =
																			(BgL_objectz00_bglt) (BgL_cstructz00_222);
																		BgL_auxz00_760 =
																			BGL_OBJECT_WIDENING(BgL_auxz00_761);
																	}
																	BgL_cstructzd2fieldszd2_223 =
																		(((BgL_cstructz00_bglt)
																			CREF(BgL_auxz00_760))->BgL_fieldsz00);
																}
																{	/* Foreign/cstruct.scm 52 */
																	obj_t BgL_siza7eofza7_224;

																	BgL_siza7eofza7_224 =
																		string_append_3
																		(BGl_string2493z00zzforeign_cstructz00,
																		BgL_namezd2sanszd2z42z42_221,
																		BGl_string2494z00zzforeign_cstructz00);
																	{	/* Foreign/cstruct.scm 53 */

																		{
																			obj_t BgL_fieldz00_310;

																			{	/* Foreign/cstruct.scm 171 */
																				obj_t BgL_arg1902z00_235;
																				obj_t BgL_arg1906z00_236;
																				obj_t BgL_arg1907z00_237;
																				obj_t BgL_arg1914z00_238;

																				{	/* Foreign/cstruct.scm 171 */
																					obj_t BgL_list1936z00_245;

																					{	/* Foreign/cstruct.scm 171 */
																						obj_t BgL_arg1937z00_246;
																						obj_t BgL_arg1943z00_247;

																						BgL_arg1937z00_246 =
																							CNST_TABLE_REF(((long) 21));
																						BgL_arg1943z00_247 =
																							MAKE_PAIR(BgL_idz00_213, BNIL);
																						BgL_list1936z00_245 =
																							MAKE_PAIR(BgL_arg1937z00_246,
																							BgL_arg1943z00_247);
																					}
																					BgL_arg1902z00_235 =
																						BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
																						(BgL_list1936z00_245);
																				}
																				{	/* Foreign/cstruct.scm 173 */
																					obj_t BgL_list1944z00_248;

																					{	/* Foreign/cstruct.scm 173 */
																						obj_t BgL_arg1947z00_249;
																						obj_t BgL_arg1949z00_250;

																						BgL_arg1947z00_249 =
																							CNST_TABLE_REF(((long) 12));
																						{	/* Foreign/cstruct.scm 173 */
																							obj_t BgL_arg1958z00_251;

																							BgL_arg1958z00_251 =
																								MAKE_PAIR(CNST_TABLE_REF(((long)
																										1)), BNIL);
																							BgL_arg1949z00_250 =
																								MAKE_PAIR(BgL_idz00_213,
																								BgL_arg1958z00_251);
																						}
																						BgL_list1944z00_248 =
																							MAKE_PAIR(BgL_arg1947z00_249,
																							BgL_arg1949z00_250);
																					}
																					BgL_arg1906z00_236 =
																						BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
																						(BgL_list1944z00_248);
																				}
																				{	/* Foreign/cstruct.scm 175 */
																					obj_t BgL_list1959z00_252;

																					{	/* Foreign/cstruct.scm 175 */
																						obj_t BgL_arg1962z00_253;

																						BgL_arg1962z00_253 =
																							MAKE_PAIR(CNST_TABLE_REF(((long)
																									30)), BNIL);
																						BgL_list1959z00_252 =
																							MAKE_PAIR(BgL_idz00_213,
																							BgL_arg1962z00_253);
																					}
																					BgL_arg1907z00_237 =
																						BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
																						(BgL_list1959z00_252);
																				}
																				{	/* Foreign/cstruct.scm 176 */
																					obj_t BgL_list1963z00_254;

																					{	/* Foreign/cstruct.scm 176 */
																						obj_t BgL_arg1966z00_255;
																						obj_t BgL_arg1969z00_256;

																						BgL_arg1966z00_255 =
																							CNST_TABLE_REF(((long) 19));
																						BgL_arg1969z00_256 =
																							MAKE_PAIR(BgL_idz00_213, BNIL);
																						BgL_list1963z00_254 =
																							MAKE_PAIR(BgL_arg1966z00_255,
																							BgL_arg1969z00_256);
																					}
																					BgL_arg1914z00_238 =
																						BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
																						(BgL_list1963z00_254);
																				}
																				{	/* Foreign/cstruct.scm 170 */
																					obj_t BgL_list1915z00_239;

																					{	/* Foreign/cstruct.scm 170 */
																						obj_t BgL_arg1918z00_240;

																						{	/* Foreign/cstruct.scm 170 */
																							obj_t BgL_arg1922z00_241;

																							{	/* Foreign/cstruct.scm 170 */
																								obj_t BgL_arg1928z00_242;

																								{	/* Foreign/cstruct.scm 170 */
																									obj_t BgL_arg1932z00_243;

																									{	/* Foreign/cstruct.scm 170 */
																										obj_t BgL_arg1935z00_244;

																										BgL_arg1935z00_244 =
																											MAKE_PAIR
																											(BgL_arg1914z00_238,
																											BNIL);
																										BgL_arg1932z00_243 =
																											MAKE_PAIR
																											(BgL_arg1907z00_237,
																											BgL_arg1935z00_244);
																									}
																									BgL_arg1928z00_242 =
																										MAKE_PAIR(BgL_bidzf3zf3_218,
																										BgL_arg1932z00_243);
																								}
																								BgL_arg1922z00_241 =
																									MAKE_PAIR(BgL_arg1906z00_236,
																									BgL_arg1928z00_242);
																							}
																							BgL_arg1918z00_240 =
																								MAKE_PAIR(BgL_idz00_213,
																								BgL_arg1922z00_241);
																						}
																						BgL_list1915z00_239 =
																							MAKE_PAIR(BgL_arg1902z00_235,
																							BgL_arg1918z00_240);
																					}
																					BGl_registerzd2foreignzd2accesszd2identsz12zc0zzforeign_libraryz00
																						(BgL_list1915z00_239);
																			}}
																			{	/* Foreign/cstruct.scm 188 */
																				obj_t BgL_arg1973z00_257;

																				{	/* Foreign/cstruct.scm 188 */
																					obj_t BgL_arg1981z00_258;
																					obj_t BgL_arg1987z00_259;

																					BgL_arg1981z00_258 =
																						CNST_TABLE_REF(((long) 31));
																					{	/* Foreign/cstruct.scm 188 */
																						obj_t BgL_arg1991z00_260;
																						obj_t BgL_arg1997z00_261;

																						{	/* Foreign/cstruct.scm 59 */
																							obj_t BgL_arg2460z00_573;
																							obj_t BgL_arg2461z00_574;

																							BgL_arg2460z00_573 =
																								CNST_TABLE_REF(((long) 3));
																							{	/* Foreign/cstruct.scm 59 */
																								obj_t BgL_arg2462z00_575;

																								{	/* Foreign/cstruct.scm 59 */
																									obj_t BgL_arg2470z00_582;
																									obj_t BgL_arg2471z00_583;

																									BgL_arg2470z00_582 =
																										CNST_TABLE_REF(((long) 4));
																									{	/* Foreign/cstruct.scm 59 */
																										obj_t BgL_list2472z00_584;

																										BgL_list2472z00_584 =
																											MAKE_PAIR(BNIL, BNIL);
																										BgL_arg2471z00_583 =
																											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																											(BgL_idz00_213,
																											BgL_list2472z00_584);
																									}
																									BgL_arg2462z00_575 =
																										MAKE_PAIR
																										(BgL_arg2470z00_582,
																										BgL_arg2471z00_583);
																								}
																								{	/* Foreign/cstruct.scm 59 */
																									obj_t BgL_list2466z00_578;

																									{	/* Foreign/cstruct.scm 59 */
																										obj_t BgL_arg2467z00_579;

																										{	/* Foreign/cstruct.scm 59 */
																											obj_t BgL_arg2468z00_580;

																											{	/* Foreign/cstruct.scm 59 */
																												obj_t
																													BgL_arg2469z00_581;
																												BgL_arg2469z00_581 =
																													MAKE_PAIR(BNIL, BNIL);
																												BgL_arg2468z00_580 =
																													MAKE_PAIR
																													(BGl_string2495z00zzforeign_cstructz00,
																													BgL_arg2469z00_581);
																											}
																											BgL_arg2467z00_579 =
																												MAKE_PAIR
																												(BgL_arg2462z00_575,
																												BgL_arg2468z00_580);
																										}
																										BgL_list2466z00_578 =
																											MAKE_PAIR
																											(BgL_idzd2ze3bidz31_216,
																											BgL_arg2467z00_579);
																									}
																									BgL_arg2461z00_574 =
																										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																										(BgL_bidz00_215,
																										BgL_list2466z00_578);
																							}}
																							BgL_arg1991z00_260 =
																								MAKE_PAIR(BgL_arg2460z00_573,
																								BgL_arg2461z00_574);
																						}
																						{	/* Foreign/cstruct.scm 62 */
																							obj_t BgL_mnamez00_563;

																							BgL_mnamez00_563 =
																								string_append_3
																								(BGl_string2496z00zzforeign_cstructz00,
																								BgL_namezd2sanszd2z42z42_221,
																								BGl_string2497z00zzforeign_cstructz00);
																							{	/* Foreign/cstruct.scm 63 */
																								obj_t BgL_arg2450z00_564;
																								obj_t BgL_arg2451z00_565;

																								BgL_arg2450z00_564 =
																									CNST_TABLE_REF(((long) 3));
																								{	/* Foreign/cstruct.scm 63 */
																									obj_t BgL_arg2452z00_566;

																									BgL_arg2452z00_566 =
																										MAKE_PAIR(BgL_bidz00_215,
																										BNIL);
																									{	/* Foreign/cstruct.scm 63 */
																										obj_t BgL_list2454z00_568;

																										{	/* Foreign/cstruct.scm 63 */
																											obj_t BgL_arg2455z00_569;

																											{	/* Foreign/cstruct.scm 63 */
																												obj_t
																													BgL_arg2456z00_570;
																												{	/* Foreign/cstruct.scm 63 */
																													obj_t
																														BgL_arg2458z00_571;
																													BgL_arg2458z00_571 =
																														MAKE_PAIR(BNIL,
																														BNIL);
																													BgL_arg2456z00_570 =
																														MAKE_PAIR
																														(BgL_mnamez00_563,
																														BgL_arg2458z00_571);
																												}
																												BgL_arg2455z00_569 =
																													MAKE_PAIR
																													(BgL_arg2452z00_566,
																													BgL_arg2456z00_570);
																											}
																											BgL_list2454z00_568 =
																												MAKE_PAIR
																												(BgL_bidzd2ze3idz31_217,
																												BgL_arg2455z00_569);
																										}
																										BgL_arg2451z00_565 =
																											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																											(BgL_idz00_213,
																											BgL_list2454z00_568);
																								}}
																								BgL_arg1997z00_261 =
																									MAKE_PAIR(BgL_arg2450z00_564,
																									BgL_arg2451z00_565);
																						}}
																						{	/* Foreign/cstruct.scm 188 */
																							obj_t BgL_list2003z00_263;

																							{	/* Foreign/cstruct.scm 188 */
																								obj_t BgL_arg2006z00_264;

																								BgL_arg2006z00_264 =
																									MAKE_PAIR(BNIL, BNIL);
																								BgL_list2003z00_263 =
																									MAKE_PAIR(BgL_arg1997z00_261,
																									BgL_arg2006z00_264);
																							}
																							BgL_arg1987z00_259 =
																								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																								(BgL_arg1991z00_260,
																								BgL_list2003z00_263);
																					}}
																					BgL_arg1973z00_257 =
																						MAKE_PAIR(BgL_arg1981z00_258,
																						BgL_arg1987z00_259);
																				}
																				BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
																					(BgL_arg1973z00_257);
																			}
																			{	/* Foreign/cstruct.scm 190 */
																				obj_t BgL_arg2010z00_265;

																				{	/* Foreign/cstruct.scm 190 */
																					obj_t BgL_arg2016z00_266;
																					obj_t BgL_arg2019z00_267;

																					BgL_arg2016z00_266 =
																						CNST_TABLE_REF(((long) 32));
																					{	/* Foreign/cstruct.scm 191 */
																						obj_t BgL_arg2021z00_268;

																						{	/* Foreign/cstruct.scm 191 */
																							obj_t BgL_arg2031z00_271;

																							{	/* Foreign/cstruct.scm 191 */
																								obj_t BgL_arg2035z00_272;

																								{	/* Foreign/cstruct.scm 191 */
																									obj_t BgL_list2036z00_273;

																									BgL_list2036z00_273 =
																										MAKE_PAIR(BNIL, BNIL);
																									BgL_arg2035z00_272 =
																										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																										(CNST_TABLE_REF(((long)
																												28)),
																										BgL_list2036z00_273);
																								}
																								BgL_arg2031z00_271 =
																									MAKE_PAIR
																									(BgL_bidzf3zd2boolz21_219,
																									BgL_arg2035z00_272);
																							}
																							BgL_arg2021z00_268 =
																								BGl_makezd2protozd2inlinez00zzforeign_libraryz00
																								(BgL_arg2031z00_271);
																						}
																						{	/* Foreign/cstruct.scm 190 */
																							obj_t BgL_list2026z00_270;

																							BgL_list2026z00_270 =
																								MAKE_PAIR(BNIL, BNIL);
																							BgL_arg2019z00_267 =
																								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																								(BgL_arg2021z00_268,
																								BgL_list2026z00_270);
																					}}
																					BgL_arg2010z00_265 =
																						MAKE_PAIR(BgL_arg2016z00_266,
																						BgL_arg2019z00_267);
																				}
																				BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
																					(BgL_arg2010z00_265);
																			}
																			{	/* Foreign/cstruct.scm 192 */
																				obj_t BgL_arg2039z00_274;

																				{	/* Foreign/cstruct.scm 192 */
																					obj_t BgL_arg2040z00_275;
																					obj_t BgL_arg2054z00_276;

																					BgL_arg2040z00_275 =
																						CNST_TABLE_REF(((long) 22));
																					{	/* Foreign/cstruct.scm 192 */
																						obj_t BgL_arg2060z00_277;

																						{	/* Foreign/cstruct.scm 192 */
																							obj_t BgL_arg2068z00_280;

																							{	/* Foreign/cstruct.scm 192 */
																								obj_t BgL_arg2078z00_281;

																								{	/* Foreign/cstruct.scm 192 */
																									obj_t BgL_arg2085z00_284;
																									obj_t BgL_arg2089z00_285;

																									BgL_arg2085z00_284 =
																										CNST_TABLE_REF(((long) 33));
																									{	/* Foreign/cstruct.scm 192 */
																										obj_t BgL_list2090z00_286;

																										BgL_list2090z00_286 =
																											MAKE_PAIR(BNIL, BNIL);
																										BgL_arg2089z00_285 =
																											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																											(BgL_widz00_214,
																											BgL_list2090z00_286);
																									}
																									BgL_arg2078z00_281 =
																										MAKE_PAIR
																										(BgL_arg2085z00_284,
																										BgL_arg2089z00_285);
																								}
																								{	/* Foreign/cstruct.scm 192 */
																									obj_t BgL_list2083z00_283;

																									BgL_list2083z00_283 =
																										MAKE_PAIR(BNIL, BNIL);
																									BgL_arg2068z00_280 =
																										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																										(BgL_arg2078z00_281,
																										BgL_list2083z00_283);
																							}}
																							BgL_arg2060z00_277 =
																								MAKE_PAIR(BgL_bidzf3zf3_218,
																								BgL_arg2068z00_280);
																						}
																						{	/* Foreign/cstruct.scm 192 */
																							obj_t BgL_list2065z00_279;

																							BgL_list2065z00_279 =
																								MAKE_PAIR(BNIL, BNIL);
																							BgL_arg2054z00_276 =
																								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																								(BgL_arg2060z00_277,
																								BgL_list2065z00_279);
																					}}
																					BgL_arg2039z00_274 =
																						MAKE_PAIR(BgL_arg2040z00_275,
																						BgL_arg2054z00_276);
																				}
																				BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
																					(BgL_arg2039z00_274);
																			}
																			{	/* Foreign/cstruct.scm 194 */
																				obj_t BgL_arg2094z00_287;
																				obj_t BgL_arg2098z00_288;

																				{	/* Foreign/cstruct.scm 99 */
																					obj_t BgL_arg2345z00_465;
																					obj_t BgL_arg2346z00_466;

																					{	/* Foreign/cstruct.scm 99 */
																						obj_t BgL_arg2347z00_467;

																						{	/* Foreign/cstruct.scm 99 */
																							obj_t BgL_arg2349z00_469;

																							{	/* Foreign/cstruct.scm 99 */
																								obj_t BgL_list2350z00_470;

																								{	/* Foreign/cstruct.scm 99 */
																									obj_t BgL_arg2351z00_471;
																									obj_t BgL_arg2352z00_472;

																									BgL_arg2351z00_471 =
																										CNST_TABLE_REF(((long) 21));
																									BgL_arg2352z00_472 =
																										MAKE_PAIR(BgL_idz00_213,
																										BNIL);
																									BgL_list2350z00_470 =
																										MAKE_PAIR
																										(BgL_arg2351z00_471,
																										BgL_arg2352z00_472);
																								}
																								BgL_arg2349z00_469 =
																									BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
																									(BgL_list2350z00_470);
																							}
																							BgL_arg2347z00_467 =
																								BGl_makezd2typedzd2identz00zzast_identz00
																								(BgL_arg2349z00_469,
																								BgL_idz00_213);
																						}
																						BgL_arg2345z00_465 =
																							MAKE_PAIR(BgL_arg2347z00_467,
																							BNIL);
																					}
																					{	/* Foreign/cstruct.scm 100 */
																						obj_t BgL_arg2353z00_473;
																						obj_t BgL_arg2354z00_474;

																						BgL_arg2353z00_473 =
																							BGl_makezd2typedzd2identz00zzast_identz00
																							(CNST_TABLE_REF(((long) 22)),
																							BgL_idz00_213);
																						{	/* Foreign/cstruct.scm 101 */
																							obj_t BgL_arg2355z00_475;

																							{	/* Foreign/cstruct.scm 101 */
																								obj_t BgL_list2358z00_478;

																								{	/* Foreign/cstruct.scm 101 */
																									obj_t BgL_arg2360z00_480;

																									{	/* Foreign/cstruct.scm 101 */
																										obj_t BgL_arg2361z00_481;

																										{	/* Foreign/cstruct.scm 101 */
																											obj_t BgL_arg2363z00_483;

																											{	/* Foreign/cstruct.scm 101 */
																												obj_t
																													BgL_arg2364z00_484;
																												BgL_arg2364z00_484 =
																													MAKE_PAIR
																													(BGl_string2501z00zzforeign_cstructz00,
																													BNIL);
																												BgL_arg2363z00_483 =
																													MAKE_PAIR
																													(BgL_siza7eofza7_224,
																													BgL_arg2364z00_484);
																											}
																											BgL_arg2361z00_481 =
																												MAKE_PAIR
																												(BGl_string2502z00zzforeign_cstructz00,
																												BgL_arg2363z00_483);
																										}
																										BgL_arg2360z00_480 =
																											MAKE_PAIR
																											(BgL_namezd2sanszd2z42z42_221,
																											BgL_arg2361z00_481);
																									}
																									BgL_list2358z00_478 =
																										MAKE_PAIR
																										(BGl_string2496z00zzforeign_cstructz00,
																										BgL_arg2360z00_480);
																								}
																								BgL_arg2355z00_475 =
																									BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																									(BgL_list2358z00_478);
																							}
																							{	/* Foreign/cstruct.scm 100 */
																								obj_t BgL_list2357z00_477;

																								BgL_list2357z00_477 =
																									MAKE_PAIR(BNIL, BNIL);
																								BgL_arg2354z00_474 =
																									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																									(BgL_arg2355z00_475,
																									BgL_list2357z00_477);
																						}}
																						BgL_arg2346z00_466 =
																							MAKE_PAIR(BgL_arg2353z00_473,
																							BgL_arg2354z00_474);
																					}
																					BgL_arg2094z00_287 =
																						BGl_makezd2definezd2inlinez00zzforeign_libraryz00
																						(BgL_arg2345z00_465,
																						BgL_arg2346z00_466);
																				}
																				{	/* Foreign/cstruct.scm 195 */
																					obj_t BgL_arg2108z00_289;
																					obj_t BgL_arg2114z00_290;
																					obj_t BgL_arg2119z00_291;
																					obj_t BgL_arg2125z00_292;
																					obj_t BgL_arg2129z00_293;
																					obj_t BgL_arg2134z00_294;

																					{	/* Foreign/cstruct.scm 107 */
																						obj_t BgL_formalszd2typedzd2_397;
																						obj_t BgL_newz00_398;

																						if (NULLP
																							(BgL_cstructzd2fieldszd2_223))
																							{	/* Foreign/cstruct.scm 107 */
																								BgL_formalszd2typedzd2_397 =
																									BNIL;
																							}
																						else
																							{	/* Foreign/cstruct.scm 107 */
																								obj_t BgL_head1859z00_446;

																								BgL_head1859z00_446 =
																									MAKE_PAIR(BNIL, BNIL);
																								{
																									obj_t BgL_l1857z00_447;
																									obj_t BgL_tail1860z00_448;

																									BgL_l1857z00_447 =
																										BgL_cstructzd2fieldszd2_223;
																									BgL_tail1860z00_448 =
																										BgL_head1859z00_446;
																								BgL_map1858z00_449:
																									if (NULLP(BgL_l1857z00_447))
																										{	/* Foreign/cstruct.scm 107 */
																											BgL_formalszd2typedzd2_397
																												=
																												CDR
																												(BgL_head1859z00_446);
																										}
																									else
																										{	/* Foreign/cstruct.scm 107 */
																											obj_t
																												BgL_newtail1861z00_451;
																											{	/* Foreign/cstruct.scm 107 */
																												obj_t
																													BgL_arg2337z00_453;
																												{	/* Foreign/cstruct.scm 107 */
																													obj_t BgL_fz00_455;

																													BgL_fz00_455 =
																														CAR
																														(BgL_l1857z00_447);
																													{	/* Foreign/cstruct.scm 108 */
																														obj_t
																															BgL_fzd2idzd2_456;
																														{	/* Foreign/cstruct.scm 108 */
																															obj_t
																																BgL_pairz00_641;
																															BgL_pairz00_641 =
																																BgL_fz00_455;
																															BgL_fzd2idzd2_456
																																=
																																CAR(CDR
																																(BgL_pairz00_641));
																														}
																														{	/* Foreign/cstruct.scm 108 */
																															obj_t
																																BgL_fzd2typezd2idz00_457;
																															BgL_fzd2typezd2idz00_457
																																=
																																CAR
																																(BgL_fz00_455);
																															{	/* Foreign/cstruct.scm 109 */
																																BgL_typez00_bglt
																																	BgL_fzd2typezd2_458;
																																BgL_fzd2typezd2_458
																																	=
																																	BGl_usezd2typez12zc0zztype_envz00
																																	(BgL_fzd2typezd2idz00_457,
																																	BgL_locz00_209);
																																{	/* Foreign/cstruct.scm 110 */
																																	BgL_typez00_bglt
																																		BgL_afzd2typezd2_459;
																																	BgL_afzd2typezd2_459
																																		=
																																		BGl_getzd2aliasedzd2typez00zztype_typez00
																																		(BgL_fzd2typezd2_458);
																																	{	/* Foreign/cstruct.scm 112 */

																																		{	/* Foreign/cstruct.scm 114 */
																																			bool_t
																																				BgL_testz00_869;
																																			{	/* Foreign/cstruct.scm 114 */
																																				obj_t
																																					BgL_obj1722z00_646;
																																				BgL_obj1722z00_646
																																					=
																																					(obj_t)
																																					(BgL_afzd2typezd2_459);
																																				BgL_testz00_869
																																					=
																																					BGl_iszd2azf3z21zz__objectz00
																																					(BgL_obj1722z00_646,
																																					BGl_cstructz00zzforeign_ctypez00);
																																			}
																																			if (BgL_testz00_869)
																																				{	/* Foreign/cstruct.scm 117 */
																																					obj_t
																																						BgL_arg2341z00_461;
																																					{	/* Foreign/cstruct.scm 117 */
																																						obj_t
																																							BgL_list2342z00_462;
																																						{	/* Foreign/cstruct.scm 117 */
																																							obj_t
																																								BgL_arg2343z00_463;
																																							BgL_arg2343z00_463
																																								=
																																								MAKE_PAIR
																																								(CNST_TABLE_REF
																																								(((long) 23)), BNIL);
																																							BgL_list2342z00_462
																																								=
																																								MAKE_PAIR
																																								(BgL_fzd2typezd2idz00_457,
																																								BgL_arg2343z00_463);
																																						}
																																						BgL_arg2341z00_461
																																							=
																																							BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
																																							(BgL_list2342z00_462);
																																					}
																																					BgL_arg2337z00_453
																																						=
																																						BGl_makezd2typedzd2identz00zzast_identz00
																																						(BgL_fzd2idzd2_456,
																																						BgL_arg2341z00_461);
																																				}
																																			else
																																				{	/* Foreign/cstruct.scm 114 */
																																					BgL_arg2337z00_453
																																						=
																																						BGl_makezd2typedzd2identz00zzast_identz00
																																						(BgL_fzd2idzd2_456,
																																						BgL_fzd2typezd2idz00_457);
																																				}
																																		}
																																	}
																																}
																															}
																														}
																													}
																												}
																												BgL_newtail1861z00_451 =
																													MAKE_PAIR
																													(BgL_arg2337z00_453,
																													BNIL);
																											}
																											SET_CDR
																												(BgL_tail1860z00_448,
																												BgL_newtail1861z00_451);
																											{
																												obj_t
																													BgL_tail1860z00_882;
																												obj_t BgL_l1857z00_880;

																												BgL_l1857z00_880 =
																													CDR(BgL_l1857z00_447);
																												BgL_tail1860z00_882 =
																													BgL_newtail1861z00_451;
																												BgL_tail1860z00_448 =
																													BgL_tail1860z00_882;
																												BgL_l1857z00_447 =
																													BgL_l1857z00_880;
																												goto BgL_map1858z00_449;
																											}
																										}
																								}
																							}
																						BgL_newz00_398 =
																							BGl_gensymz00zz__r4_symbols_6_4z00
																							(CNST_TABLE_REF(((long) 24)));
																						{	/* Foreign/cstruct.scm 123 */
																							obj_t BgL_arg2295z00_399;
																							obj_t BgL_arg2296z00_400;

																							BgL_arg2295z00_399 =
																								MAKE_PAIR
																								(BGl_makezd2typedzd2identz00zzast_identz00
																								(BgL_idz00_213, BgL_idz00_213),
																								BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																								(BgL_formalszd2typedzd2_397,
																									BNIL));
																							{	/* Foreign/cstruct.scm 124 */
																								obj_t BgL_arg2300z00_403;
																								obj_t BgL_arg2301z00_404;

																								BgL_arg2300z00_403 =
																									CNST_TABLE_REF(((long) 25));
																								{	/* Foreign/cstruct.scm 124 */
																									obj_t BgL_arg2302z00_405;
																									obj_t BgL_arg2303z00_406;

																									{	/* Foreign/cstruct.scm 124 */
																										obj_t BgL_arg2305z00_408;

																										{	/* Foreign/cstruct.scm 124 */
																											obj_t BgL_arg2307z00_410;
																											obj_t BgL_arg2308z00_411;

																											BgL_arg2307z00_410 =
																												BGl_makezd2typedzd2identz00zzast_identz00
																												(BgL_newz00_398,
																												BgL_idz00_213);
																											{	/* Foreign/cstruct.scm 125 */
																												obj_t
																													BgL_arg2309z00_412;
																												{	/* Foreign/cstruct.scm 125 */
																													obj_t
																														BgL_arg2312z00_415;
																													{	/* Foreign/cstruct.scm 125 */
																														obj_t
																															BgL_list2314z00_417;
																														{	/* Foreign/cstruct.scm 125 */
																															obj_t
																																BgL_arg2315z00_418;
																															obj_t
																																BgL_arg2316z00_419;
																															BgL_arg2315z00_418
																																=
																																CNST_TABLE_REF((
																																	(long) 21));
																															BgL_arg2316z00_419
																																=
																																MAKE_PAIR
																																(BgL_idz00_213,
																																BNIL);
																															BgL_list2314z00_417
																																=
																																MAKE_PAIR
																																(BgL_arg2315z00_418,
																																BgL_arg2316z00_419);
																														}
																														BgL_arg2312z00_415 =
																															BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
																															(BgL_list2314z00_417);
																													}
																													BgL_arg2309z00_412 =
																														MAKE_PAIR
																														(BgL_arg2312z00_415,
																														BNIL);
																												}
																												{	/* Foreign/cstruct.scm 124 */
																													obj_t
																														BgL_list2311z00_414;
																													BgL_list2311z00_414 =
																														MAKE_PAIR(BNIL,
																														BNIL);
																													BgL_arg2308z00_411 =
																														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																														(BgL_arg2309z00_412,
																														BgL_list2311z00_414);
																											}}
																											BgL_arg2305z00_408 =
																												MAKE_PAIR
																												(BgL_arg2307z00_410,
																												BgL_arg2308z00_411);
																										}
																										BgL_arg2302z00_405 =
																											MAKE_PAIR
																											(BgL_arg2305z00_408,
																											BNIL);
																									}
																									{	/* Foreign/cstruct.scm 126 */
																										obj_t BgL_arg2317z00_420;
																										obj_t BgL_arg2318z00_421;

																										if (NULLP
																											(BgL_cstructzd2fieldszd2_223))
																											{	/* Foreign/cstruct.scm 126 */
																												BgL_arg2317z00_420 =
																													BNIL;
																											}
																										else
																											{	/* Foreign/cstruct.scm 126 */
																												obj_t
																													BgL_head1864z00_424;
																												BgL_head1864z00_424 =
																													MAKE_PAIR(BNIL, BNIL);
																												{
																													obj_t
																														BgL_l1862z00_425;
																													obj_t
																														BgL_tail1865z00_426;
																													BgL_l1862z00_425 =
																														BgL_cstructzd2fieldszd2_223;
																													BgL_tail1865z00_426 =
																														BgL_head1864z00_424;
																												BgL_map1863z00_427:
																													if (NULLP
																														(BgL_l1862z00_425))
																														{	/* Foreign/cstruct.scm 126 */
																															BgL_arg2317z00_420
																																=
																																CDR
																																(BgL_head1864z00_424);
																														}
																													else
																														{	/* Foreign/cstruct.scm 126 */
																															obj_t
																																BgL_newtail1866z00_429;
																															{	/* Foreign/cstruct.scm 126 */
																																obj_t
																																	BgL_arg2322z00_431;
																																{	/* Foreign/cstruct.scm 126 */
																																	obj_t
																																		BgL_fz00_433;
																																	BgL_fz00_433 =
																																		CAR
																																		(BgL_l1862z00_425);
																																	{	/* Foreign/cstruct.scm 127 */
																																		obj_t
																																			BgL_fzd2idzd2_434;
																																		{	/* Foreign/cstruct.scm 127 */
																																			obj_t
																																				BgL_pairz00_658;
																																			BgL_pairz00_658
																																				=
																																				BgL_fz00_433;
																																			BgL_fzd2idzd2_434
																																				=
																																				CAR(CDR
																																				(BgL_pairz00_658));
																																		}
																																		{	/* Foreign/cstruct.scm 128 */
																																			obj_t
																																				BgL_arg2324z00_435;
																																			obj_t
																																				BgL_arg2325z00_436;
																																			{	/* Foreign/cstruct.scm 128 */
																																				obj_t
																																					BgL_list2326z00_437;
																																				{	/* Foreign/cstruct.scm 128 */
																																					obj_t
																																						BgL_arg2327z00_438;
																																					{	/* Foreign/cstruct.scm 128 */
																																						obj_t
																																							BgL_arg2328z00_439;
																																						obj_t
																																							BgL_arg2329z00_440;
																																						BgL_arg2328z00_439
																																							=
																																							CNST_TABLE_REF
																																							(((long) 26));
																																						{	/* Foreign/cstruct.scm 128 */
																																							obj_t
																																								BgL_arg2331z00_441;
																																							BgL_arg2331z00_441
																																								=
																																								MAKE_PAIR
																																								(CNST_TABLE_REF
																																								(((long) 27)), BNIL);
																																							BgL_arg2329z00_440
																																								=
																																								MAKE_PAIR
																																								(BgL_fzd2idzd2_434,
																																								BgL_arg2331z00_441);
																																						}
																																						BgL_arg2327z00_438
																																							=
																																							MAKE_PAIR
																																							(BgL_arg2328z00_439,
																																							BgL_arg2329z00_440);
																																					}
																																					BgL_list2326z00_437
																																						=
																																						MAKE_PAIR
																																						(BgL_idz00_213,
																																						BgL_arg2327z00_438);
																																				}
																																				BgL_arg2324z00_435
																																					=
																																					BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
																																					(BgL_list2326z00_437);
																																			}
																																			{	/* Foreign/cstruct.scm 128 */
																																				obj_t
																																					BgL_list2332z00_442;
																																				{	/* Foreign/cstruct.scm 128 */
																																					obj_t
																																						BgL_arg2333z00_443;
																																					BgL_arg2333z00_443
																																						=
																																						MAKE_PAIR
																																						(BNIL,
																																						BNIL);
																																					BgL_list2332z00_442
																																						=
																																						MAKE_PAIR
																																						(BgL_fzd2idzd2_434,
																																						BgL_arg2333z00_443);
																																				}
																																				BgL_arg2325z00_436
																																					=
																																					BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																					(BgL_newz00_398,
																																					BgL_list2332z00_442);
																																			}
																																			BgL_arg2322z00_431
																																				=
																																				MAKE_PAIR
																																				(BgL_arg2324z00_435,
																																				BgL_arg2325z00_436);
																																}}}
																																BgL_newtail1866z00_429
																																	=
																																	MAKE_PAIR
																																	(BgL_arg2322z00_431,
																																	BNIL);
																															}
																															SET_CDR
																																(BgL_tail1865z00_426,
																																BgL_newtail1866z00_429);
																															{
																																obj_t
																																	BgL_tail1865z00_923;
																																obj_t
																																	BgL_l1862z00_921;
																																BgL_l1862z00_921
																																	=
																																	CDR
																																	(BgL_l1862z00_425);
																																BgL_tail1865z00_923
																																	=
																																	BgL_newtail1866z00_429;
																																BgL_tail1865z00_426
																																	=
																																	BgL_tail1865z00_923;
																																BgL_l1862z00_425
																																	=
																																	BgL_l1862z00_921;
																																goto
																																	BgL_map1863z00_427;
																															}
																														}
																												}
																											}
																										BgL_arg2318z00_421 =
																											MAKE_PAIR(BgL_newz00_398,
																											BNIL);
																										BgL_arg2303z00_406 =
																											BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																											(BgL_arg2317z00_420,
																											BgL_arg2318z00_421);
																									}
																									{	/* Foreign/cstruct.scm 124 */
																										obj_t BgL_list2304z00_407;

																										BgL_list2304z00_407 =
																											MAKE_PAIR
																											(BgL_arg2303z00_406,
																											BNIL);
																										BgL_arg2301z00_404 =
																											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																											(BgL_arg2302z00_405,
																											BgL_list2304z00_407);
																									}
																								}
																								BgL_arg2296z00_400 =
																									MAKE_PAIR(BgL_arg2300z00_403,
																									BgL_arg2301z00_404);
																							}
																							BgL_arg2108z00_289 =
																								BGl_makezd2definezd2inlinez00zzforeign_libraryz00
																								(BgL_arg2295z00_399,
																								BgL_arg2296z00_400);
																						}
																					}
																					{	/* Foreign/cstruct.scm 76 */
																						obj_t BgL_arg2403z00_520;
																						obj_t BgL_arg2404z00_521;

																						{	/* Foreign/cstruct.scm 76 */
																							obj_t BgL_arg2406z00_522;
																							obj_t BgL_arg2407z00_523;

																							{	/* Foreign/cstruct.scm 76 */
																								obj_t BgL_list2408z00_524;

																								{	/* Foreign/cstruct.scm 76 */
																									obj_t BgL_arg2409z00_525;
																									obj_t BgL_arg2411z00_526;

																									BgL_arg2409z00_525 =
																										CNST_TABLE_REF(((long) 12));
																									{	/* Foreign/cstruct.scm 76 */
																										obj_t BgL_arg2412z00_527;

																										BgL_arg2412z00_527 =
																											MAKE_PAIR(CNST_TABLE_REF((
																													(long) 13)), BNIL);
																										BgL_arg2411z00_526 =
																											MAKE_PAIR(BgL_idz00_213,
																											BgL_arg2412z00_527);
																									}
																									BgL_list2408z00_524 =
																										MAKE_PAIR
																										(BgL_arg2409z00_525,
																										BgL_arg2411z00_526);
																								}
																								BgL_arg2406z00_522 =
																									BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
																									(BgL_list2408z00_524);
																							}
																							{	/* Foreign/cstruct.scm 77 */
																								obj_t BgL_arg2413z00_528;
																								obj_t BgL_arg2414z00_529;

																								BgL_arg2413z00_528 =
																									BGl_makezd2typedzd2identz00zzast_identz00
																									(CNST_TABLE_REF(((long) 14)),
																									BgL_idz00_213);
																								BgL_arg2414z00_529 =
																									BGl_makezd2typedzd2identz00zzast_identz00
																									(CNST_TABLE_REF(((long) 15)),
																									BgL_idz00_213);
																								{	/* Foreign/cstruct.scm 76 */
																									obj_t BgL_list2416z00_531;

																									{	/* Foreign/cstruct.scm 76 */
																										obj_t BgL_arg2417z00_532;

																										BgL_arg2417z00_532 =
																											MAKE_PAIR(BNIL, BNIL);
																										BgL_list2416z00_531 =
																											MAKE_PAIR
																											(BgL_arg2414z00_529,
																											BgL_arg2417z00_532);
																									}
																									BgL_arg2407z00_523 =
																										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																										(BgL_arg2413z00_528,
																										BgL_list2416z00_531);
																							}}
																							BgL_arg2403z00_520 =
																								MAKE_PAIR(BgL_arg2406z00_522,
																								BgL_arg2407z00_523);
																						}
																						BgL_arg2404z00_521 =
																							CNST_TABLE_REF(((long) 16));
																						BgL_arg2114z00_290 =
																							BGl_makezd2definezd2inlinez00zzforeign_libraryz00
																							(BgL_arg2403z00_520,
																							BgL_arg2404z00_521);
																					}
																					{	/* Foreign/cstruct.scm 84 */
																						obj_t BgL_arg2385z00_503;
																						obj_t BgL_arg2386z00_504;

																						{	/* Foreign/cstruct.scm 84 */
																							obj_t BgL_arg2387z00_505;
																							obj_t BgL_arg2388z00_506;

																							{	/* Foreign/cstruct.scm 84 */
																								obj_t BgL_list2389z00_507;

																								{	/* Foreign/cstruct.scm 84 */
																									obj_t BgL_arg2390z00_508;

																									BgL_arg2390z00_508 =
																										MAKE_PAIR(CNST_TABLE_REF((
																												(long) 17)), BNIL);
																									BgL_list2389z00_507 =
																										MAKE_PAIR(BgL_idz00_213,
																										BgL_arg2390z00_508);
																								}
																								BgL_arg2387z00_505 =
																									BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
																									(BgL_list2389z00_507);
																							}
																							{	/* Foreign/cstruct.scm 85 */
																								obj_t BgL_arg2391z00_509;

																								BgL_arg2391z00_509 =
																									BGl_makezd2typedzd2identz00zzast_identz00
																									(CNST_TABLE_REF(((long) 8)),
																									BgL_idz00_213);
																								{	/* Foreign/cstruct.scm 84 */
																									obj_t BgL_list2393z00_511;

																									BgL_list2393z00_511 =
																										MAKE_PAIR(BNIL, BNIL);
																									BgL_arg2388z00_506 =
																										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																										(BgL_arg2391z00_509,
																										BgL_list2393z00_511);
																							}}
																							BgL_arg2385z00_503 =
																								MAKE_PAIR(BgL_arg2387z00_505,
																								BgL_arg2388z00_506);
																						}
																						{	/* Foreign/cstruct.scm 86 */
																							obj_t BgL_arg2395z00_512;
																							obj_t BgL_arg2396z00_513;

																							BgL_arg2395z00_512 =
																								CNST_TABLE_REF(((long) 18));
																							{	/* Foreign/cstruct.scm 86 */
																								obj_t BgL_arg2397z00_514;
																								obj_t BgL_arg2398z00_515;

																								BgL_arg2397z00_514 =
																									string_append_3
																									(BGl_string2498z00zzforeign_cstructz00,
																									BgL_namezd2sanszd2z42z42_221,
																									BGl_string2499z00zzforeign_cstructz00);
																								BgL_arg2398z00_515 =
																									CNST_TABLE_REF(((long) 8));
																								{	/* Foreign/cstruct.scm 86 */
																									obj_t BgL_list2400z00_517;

																									{	/* Foreign/cstruct.scm 86 */
																										obj_t BgL_arg2401z00_518;

																										BgL_arg2401z00_518 =
																											MAKE_PAIR(BNIL, BNIL);
																										BgL_list2400z00_517 =
																											MAKE_PAIR
																											(BgL_arg2398z00_515,
																											BgL_arg2401z00_518);
																									}
																									BgL_arg2396z00_513 =
																										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																										(BgL_arg2397z00_514,
																										BgL_list2400z00_517);
																							}}
																							BgL_arg2386z00_504 =
																								MAKE_PAIR(BgL_arg2395z00_512,
																								BgL_arg2396z00_513);
																						}
																						BgL_arg2119z00_291 =
																							BGl_makezd2definezd2inlinez00zzforeign_libraryz00
																							(BgL_arg2385z00_503,
																							BgL_arg2386z00_504);
																					}
																					{	/* Foreign/cstruct.scm 92 */
																						obj_t BgL_arg2367z00_486;
																						obj_t BgL_arg2368z00_487;

																						{	/* Foreign/cstruct.scm 92 */
																							obj_t BgL_arg2369z00_488;

																							{	/* Foreign/cstruct.scm 92 */
																								obj_t BgL_arg2371z00_490;

																								{	/* Foreign/cstruct.scm 92 */
																									obj_t BgL_list2372z00_491;

																									{	/* Foreign/cstruct.scm 92 */
																										obj_t BgL_arg2373z00_492;
																										obj_t BgL_arg2374z00_493;

																										BgL_arg2373z00_492 =
																											CNST_TABLE_REF(((long)
																												19));
																										BgL_arg2374z00_493 =
																											MAKE_PAIR(BgL_idz00_213,
																											BNIL);
																										BgL_list2372z00_491 =
																											MAKE_PAIR
																											(BgL_arg2373z00_492,
																											BgL_arg2374z00_493);
																									}
																									BgL_arg2371z00_490 =
																										BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
																										(BgL_list2372z00_491);
																								}
																								BgL_arg2369z00_488 =
																									BGl_makezd2typedzd2identz00zzast_identz00
																									(BgL_arg2371z00_490,
																									BgL_idz00_213);
																							}
																							BgL_arg2367z00_486 =
																								MAKE_PAIR(BgL_arg2369z00_488,
																								BNIL);
																						}
																						{	/* Foreign/cstruct.scm 93 */
																							obj_t BgL_arg2375z00_494;
																							obj_t BgL_arg2376z00_495;

																							{	/* Foreign/cstruct.scm 93 */
																								obj_t BgL_list2377z00_496;

																								{	/* Foreign/cstruct.scm 93 */
																									obj_t BgL_arg2379z00_497;
																									obj_t BgL_arg2380z00_498;

																									BgL_arg2379z00_497 =
																										CNST_TABLE_REF(((long) 20));
																									BgL_arg2380z00_498 =
																										MAKE_PAIR(BgL_idz00_213,
																										BNIL);
																									BgL_list2377z00_496 =
																										MAKE_PAIR
																										(BgL_arg2379z00_497,
																										BgL_arg2380z00_498);
																								}
																								BgL_arg2375z00_494 =
																									BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
																									(BgL_list2377z00_496);
																							}
																							{	/* Foreign/cstruct.scm 94 */
																								obj_t BgL_arg2381z00_499;

																								BgL_arg2381z00_499 =
																									string_append_3
																									(BGl_string2500z00zzforeign_cstructz00,
																									BgL_namezd2sanszd2z42z42_221,
																									BGl_string2499z00zzforeign_cstructz00);
																								{	/* Foreign/cstruct.scm 93 */
																									obj_t BgL_list2383z00_501;

																									BgL_list2383z00_501 =
																										MAKE_PAIR(BNIL, BNIL);
																									BgL_arg2376z00_495 =
																										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																										(BgL_arg2381z00_499,
																										BgL_list2383z00_501);
																							}}
																							BgL_arg2368z00_487 =
																								MAKE_PAIR(BgL_arg2375z00_494,
																								BgL_arg2376z00_495);
																						}
																						BgL_arg2125z00_292 =
																							BGl_makezd2definezd2inlinez00zzforeign_libraryz00
																							(BgL_arg2367z00_486,
																							BgL_arg2368z00_487);
																					}
																					{	/* Foreign/cstruct.scm 68 */
																						obj_t BgL_arg2419z00_534;
																						obj_t BgL_arg2420z00_535;

																						{	/* Foreign/cstruct.scm 68 */
																							obj_t BgL_arg2421z00_536;

																							{	/* Foreign/cstruct.scm 68 */
																								obj_t BgL_list2422z00_537;

																								BgL_list2422z00_537 =
																									MAKE_PAIR(BNIL, BNIL);
																								BgL_arg2421z00_536 =
																									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																									(CNST_TABLE_REF(((long) 5)),
																									BgL_list2422z00_537);
																							}
																							BgL_arg2419z00_534 =
																								MAKE_PAIR
																								(BgL_bidzf3zd2boolz21_219,
																								BgL_arg2421z00_536);
																						}
																						{	/* Foreign/cstruct.scm 69 */
																							obj_t BgL_arg2423z00_538;
																							obj_t BgL_arg2424z00_539;

																							BgL_arg2423z00_538 =
																								CNST_TABLE_REF(((long) 6));
																							{	/* Foreign/cstruct.scm 69 */
																								obj_t BgL_arg2425z00_540;
																								obj_t BgL_arg2426z00_541;

																								{	/* Foreign/cstruct.scm 69 */
																									obj_t BgL_arg2432z00_546;
																									obj_t BgL_arg2433z00_547;

																									BgL_arg2432z00_546 =
																										CNST_TABLE_REF(((long) 7));
																									{	/* Foreign/cstruct.scm 69 */
																										obj_t BgL_list2434z00_548;

																										BgL_list2434z00_548 =
																											MAKE_PAIR(BNIL, BNIL);
																										BgL_arg2433z00_547 =
																											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																											(CNST_TABLE_REF(((long)
																													8)),
																											BgL_list2434z00_548);
																									}
																									BgL_arg2425z00_540 =
																										MAKE_PAIR
																										(BgL_arg2432z00_546,
																										BgL_arg2433z00_547);
																								}
																								{	/* Foreign/cstruct.scm 70 */
																									obj_t BgL_arg2436z00_549;
																									obj_t BgL_arg2437z00_550;

																									BgL_arg2436z00_549 =
																										CNST_TABLE_REF(((long) 9));
																									{	/* Foreign/cstruct.scm 70 */
																										obj_t BgL_arg2438z00_551;
																										obj_t BgL_arg2439z00_552;

																										{	/* Foreign/cstruct.scm 70 */
																											obj_t BgL_arg2443z00_556;
																											obj_t BgL_arg2444z00_557;

																											BgL_arg2443z00_556 =
																												CNST_TABLE_REF(((long)
																													10));
																											{	/* Foreign/cstruct.scm 70 */
																												obj_t
																													BgL_list2445z00_558;
																												BgL_list2445z00_558 =
																													MAKE_PAIR(BNIL, BNIL);
																												BgL_arg2444z00_557 =
																													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																													(CNST_TABLE_REF((
																															(long) 8)),
																													BgL_list2445z00_558);
																											}
																											BgL_arg2438z00_551 =
																												MAKE_PAIR
																												(BgL_arg2443z00_556,
																												BgL_arg2444z00_557);
																										}
																										{	/* Foreign/cstruct.scm 70 */
																											obj_t BgL_arg2446z00_559;
																											obj_t BgL_arg2447z00_560;

																											BgL_arg2446z00_559 =
																												CNST_TABLE_REF(((long)
																													11));
																											{	/* Foreign/cstruct.scm 70 */
																												obj_t
																													BgL_list2448z00_561;
																												BgL_list2448z00_561 =
																													MAKE_PAIR(BNIL, BNIL);
																												BgL_arg2447z00_560 =
																													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																													(BgL_bidz00_215,
																													BgL_list2448z00_561);
																											}
																											BgL_arg2439z00_552 =
																												MAKE_PAIR
																												(BgL_arg2446z00_559,
																												BgL_arg2447z00_560);
																										}
																										{	/* Foreign/cstruct.scm 70 */
																											obj_t BgL_list2441z00_554;

																											{	/* Foreign/cstruct.scm 70 */
																												obj_t
																													BgL_arg2442z00_555;
																												BgL_arg2442z00_555 =
																													MAKE_PAIR(BNIL, BNIL);
																												BgL_list2441z00_554 =
																													MAKE_PAIR
																													(BgL_arg2439z00_552,
																													BgL_arg2442z00_555);
																											}
																											BgL_arg2437z00_550 =
																												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																												(BgL_arg2438z00_551,
																												BgL_list2441z00_554);
																									}}
																									BgL_arg2426z00_541 =
																										MAKE_PAIR
																										(BgL_arg2436z00_549,
																										BgL_arg2437z00_550);
																								}
																								{	/* Foreign/cstruct.scm 69 */
																									obj_t BgL_list2429z00_543;

																									{	/* Foreign/cstruct.scm 69 */
																										obj_t BgL_arg2430z00_544;

																										{	/* Foreign/cstruct.scm 69 */
																											obj_t BgL_arg2431z00_545;

																											BgL_arg2431z00_545 =
																												MAKE_PAIR(BNIL, BNIL);
																											BgL_arg2430z00_544 =
																												MAKE_PAIR(BFALSE,
																												BgL_arg2431z00_545);
																										}
																										BgL_list2429z00_543 =
																											MAKE_PAIR
																											(BgL_arg2426z00_541,
																											BgL_arg2430z00_544);
																									}
																									BgL_arg2424z00_539 =
																										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																										(BgL_arg2425z00_540,
																										BgL_list2429z00_543);
																							}}
																							BgL_arg2420z00_535 =
																								MAKE_PAIR(BgL_arg2423z00_538,
																								BgL_arg2424z00_539);
																						}
																						BgL_arg2129z00_293 =
																							BGl_makezd2definezd2inlinez00zzforeign_libraryz00
																							(BgL_arg2419z00_534,
																							BgL_arg2420z00_535);
																					}
																					{
																						obj_t BgL_fieldsz00_302;
																						obj_t BgL_resz00_303;

																						BgL_fieldsz00_302 =
																							BgL_cstructzd2fieldszd2_223;
																						BgL_resz00_303 = BNIL;
																					BgL_loopz00_304:
																						if (NULLP(BgL_fieldsz00_302))
																							{	/* Foreign/cstruct.scm 182 */
																								BgL_arg2134z00_294 =
																									BgL_resz00_303;
																							}
																						else
																							{
																								obj_t BgL_resz00_1012;
																								obj_t BgL_fieldsz00_1010;

																								BgL_fieldsz00_1010 =
																									CDR(BgL_fieldsz00_302);
																								{	/* Foreign/cstruct.scm 185 */
																									obj_t BgL_auxz00_1013;

																									BgL_fieldz00_310 =
																										CAR(BgL_fieldsz00_302);
																									{	/* Foreign/cstruct.scm 135 */
																										obj_t
																											BgL_fzd2typezd2idz00_312;
																										BgL_fzd2typezd2idz00_312 =
																											CAR(BgL_fieldz00_310);
																										{	/* Foreign/cstruct.scm 135 */
																											BgL_typez00_bglt
																												BgL_fzd2typezd2_313;
																											BgL_fzd2typezd2_313 =
																												BGl_usezd2typez12zc0zztype_envz00
																												(BgL_fzd2typezd2idz00_312,
																												BgL_locz00_209);
																											{	/* Foreign/cstruct.scm 136 */
																												BgL_typez00_bglt
																													BgL_afzd2typezd2_314;
																												BgL_afzd2typezd2_314 =
																													BGl_getzd2aliasedzd2typez00zztype_typez00
																													(BgL_fzd2typezd2_313);
																												{	/* Foreign/cstruct.scm 137 */
																													obj_t
																														BgL_fzd2idzd2_315;
																													{	/* Foreign/cstruct.scm 138 */
																														obj_t
																															BgL_pairz00_620;
																														BgL_pairz00_620 =
																															BgL_fieldz00_310;
																														BgL_fzd2idzd2_315 =
																															CAR(CDR
																															(BgL_pairz00_620));
																													}
																													{	/* Foreign/cstruct.scm 138 */
																														obj_t
																															BgL_fzd2namezd2_316;
																														{	/* Foreign/cstruct.scm 139 */
																															obj_t
																																BgL_pairz00_624;
																															BgL_pairz00_624 =
																																BgL_fieldz00_310;
																															BgL_fzd2namezd2_316
																																=
																																CAR(CDR(CDR
																																	(BgL_pairz00_624)));
																														}
																														{	/* Foreign/cstruct.scm 139 */
																															obj_t
																																BgL_getzd2namezd2_317;
																															{	/* Foreign/cstruct.scm 140 */
																																obj_t
																																	BgL_list2290z00_392;
																																{	/* Foreign/cstruct.scm 140 */
																																	obj_t
																																		BgL_arg2291z00_393;
																																	{	/* Foreign/cstruct.scm 140 */
																																		obj_t
																																			BgL_arg2292z00_394;
																																		obj_t
																																			BgL_arg2293z00_395;
																																		BgL_arg2292z00_394
																																			=
																																			CNST_TABLE_REF
																																			(((long)
																																				26));
																																		BgL_arg2293z00_395
																																			=
																																			MAKE_PAIR
																																			(BgL_fzd2idzd2_315,
																																			BNIL);
																																		BgL_arg2291z00_393
																																			=
																																			MAKE_PAIR
																																			(BgL_arg2292z00_394,
																																			BgL_arg2293z00_395);
																																	}
																																	BgL_list2290z00_392
																																		=
																																		MAKE_PAIR
																																		(BgL_idz00_213,
																																		BgL_arg2291z00_393);
																																}
																																BgL_getzd2namezd2_317
																																	=
																																	BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
																																	(BgL_list2290z00_392);
																															}
																															{	/* Foreign/cstruct.scm 140 */
																																obj_t
																																	BgL_setzd2namezd2_318;
																																{	/* Foreign/cstruct.scm 141 */
																																	obj_t
																																		BgL_list2285z00_387;
																																	{	/* Foreign/cstruct.scm 141 */
																																		obj_t
																																			BgL_arg2286z00_388;
																																		{	/* Foreign/cstruct.scm 141 */
																																			obj_t
																																				BgL_arg2287z00_389;
																																			obj_t
																																				BgL_arg2288z00_390;
																																			BgL_arg2287z00_389
																																				=
																																				CNST_TABLE_REF
																																				(((long)
																																					26));
																																			{	/* Foreign/cstruct.scm 141 */
																																				obj_t
																																					BgL_arg2289z00_391;
																																				BgL_arg2289z00_391
																																					=
																																					MAKE_PAIR
																																					(CNST_TABLE_REF
																																					(((long) 27)), BNIL);
																																				BgL_arg2288z00_390
																																					=
																																					MAKE_PAIR
																																					(BgL_fzd2idzd2_315,
																																					BgL_arg2289z00_391);
																																			}
																																			BgL_arg2286z00_388
																																				=
																																				MAKE_PAIR
																																				(BgL_arg2287z00_389,
																																				BgL_arg2288z00_390);
																																		}
																																		BgL_list2285z00_387
																																			=
																																			MAKE_PAIR
																																			(BgL_idz00_213,
																																			BgL_arg2286z00_388);
																																	}
																																	BgL_setzd2namezd2_318
																																		=
																																		BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
																																		(BgL_list2285z00_387);
																																}
																																{	/* Foreign/cstruct.scm 141 */
																																	obj_t
																																		BgL_getzd2typezd2idz00_319;
																																	{	/* Foreign/cstruct.scm 142 */
																																		bool_t
																																			BgL_testz00_1034;
																																		{	/* Foreign/cstruct.scm 142 */
																																			obj_t
																																				BgL_obj1722z00_630;
																																			BgL_obj1722z00_630
																																				=
																																				(obj_t)
																																				(BgL_afzd2typezd2_314);
																																			BgL_testz00_1034
																																				=
																																				BGl_iszd2azf3z21zz__objectz00
																																				(BgL_obj1722z00_630,
																																				BGl_cstructz00zzforeign_ctypez00);
																																		}
																																		if (BgL_testz00_1034)
																																			{	/* Foreign/cstruct.scm 143 */
																																				obj_t
																																					BgL_list2283z00_385;
																																				{	/* Foreign/cstruct.scm 143 */
																																					obj_t
																																						BgL_arg2284z00_386;
																																					BgL_arg2284z00_386
																																						=
																																						MAKE_PAIR
																																						(CNST_TABLE_REF
																																						(((long) 23)), BNIL);
																																					BgL_list2283z00_385
																																						=
																																						MAKE_PAIR
																																						(BgL_fzd2typezd2idz00_312,
																																						BgL_arg2284z00_386);
																																				}
																																				BgL_getzd2typezd2idz00_319
																																					=
																																					BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
																																					(BgL_list2283z00_385);
																																			}
																																		else
																																			{	/* Foreign/cstruct.scm 142 */
																																				BgL_getzd2typezd2idz00_319
																																					=
																																					BgL_fzd2typezd2idz00_312;
																																			}
																																	}
																																	{	/* Foreign/cstruct.scm 142 */
																																		obj_t
																																			BgL_structzd2refzd2fmtz00_320;
																																		{	/* Foreign/cstruct.scm 145 */
																																			bool_t
																																				BgL_testz00_1041;
																																			{	/* Foreign/cstruct.scm 145 */
																																				obj_t
																																					BgL_obj1722z00_631;
																																				BgL_obj1722z00_631
																																					=
																																					(obj_t)
																																					(BgL_afzd2typezd2_314);
																																				BgL_testz00_1041
																																					=
																																					BGl_iszd2azf3z21zz__objectz00
																																					(BgL_obj1722z00_631,
																																					BGl_cstructz00zzforeign_ctypez00);
																																			}
																																			if (BgL_testz00_1041)
																																				{	/* Foreign/cstruct.scm 146 */
																																					obj_t
																																						BgL_list2243z00_370;
																																					{	/* Foreign/cstruct.scm 146 */
																																						obj_t
																																							BgL_arg2251z00_372;
																																						{	/* Foreign/cstruct.scm 146 */
																																							obj_t
																																								BgL_arg2255z00_373;
																																							{	/* Foreign/cstruct.scm 146 */
																																								obj_t
																																									BgL_arg2257z00_375;
																																								{	/* Foreign/cstruct.scm 146 */
																																									obj_t
																																										BgL_arg2258z00_376;
																																									BgL_arg2258z00_376
																																										=
																																										MAKE_PAIR
																																										(BGl_string2503z00zzforeign_cstructz00,
																																										BNIL);
																																									BgL_arg2257z00_375
																																										=
																																										MAKE_PAIR
																																										(BgL_fzd2namezd2_316,
																																										BgL_arg2258z00_376);
																																								}
																																								BgL_arg2255z00_373
																																									=
																																									MAKE_PAIR
																																									(BGl_string2504z00zzforeign_cstructz00,
																																									BgL_arg2257z00_375);
																																							}
																																							BgL_arg2251z00_372
																																								=
																																								MAKE_PAIR
																																								(BgL_namezd2sanszd2z42z42_221,
																																								BgL_arg2255z00_373);
																																						}
																																						BgL_list2243z00_370
																																							=
																																							MAKE_PAIR
																																							(BGl_string2505z00zzforeign_cstructz00,
																																							BgL_arg2251z00_372);
																																					}
																																					BgL_structzd2refzd2fmtz00_320
																																						=
																																						BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																																						(BgL_list2243z00_370);
																																				}
																																			else
																																				{	/* Foreign/cstruct.scm 148 */
																																					obj_t
																																						BgL_list2259z00_377;
																																					{	/* Foreign/cstruct.scm 148 */
																																						obj_t
																																							BgL_arg2272z00_379;
																																						{	/* Foreign/cstruct.scm 148 */
																																							obj_t
																																								BgL_arg2278z00_380;
																																							{	/* Foreign/cstruct.scm 148 */
																																								obj_t
																																									BgL_arg2280z00_382;
																																								{	/* Foreign/cstruct.scm 148 */
																																									obj_t
																																										BgL_arg2281z00_383;
																																									BgL_arg2281z00_383
																																										=
																																										MAKE_PAIR
																																										(BGl_string2506z00zzforeign_cstructz00,
																																										BNIL);
																																									BgL_arg2280z00_382
																																										=
																																										MAKE_PAIR
																																										(BgL_fzd2namezd2_316,
																																										BgL_arg2281z00_383);
																																								}
																																								BgL_arg2278z00_380
																																									=
																																									MAKE_PAIR
																																									(BGl_string2504z00zzforeign_cstructz00,
																																									BgL_arg2280z00_382);
																																							}
																																							BgL_arg2272z00_379
																																								=
																																								MAKE_PAIR
																																								(BgL_namezd2sanszd2z42z42_221,
																																								BgL_arg2278z00_380);
																																						}
																																						BgL_list2259z00_377
																																							=
																																							MAKE_PAIR
																																							(BGl_string2507z00zzforeign_cstructz00,
																																							BgL_arg2272z00_379);
																																					}
																																					BgL_structzd2refzd2fmtz00_320
																																						=
																																						BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																																						(BgL_list2259z00_377);
																																				}
																																		}
																																		{	/* Foreign/cstruct.scm 145 */
																																			obj_t
																																				BgL_structzd2setzd2fmtz00_321;
																																			{	/* Foreign/cstruct.scm 150 */
																																				obj_t
																																					BgL_list2217z00_362;
																																				{	/* Foreign/cstruct.scm 150 */
																																					obj_t
																																						BgL_arg2220z00_364;
																																					{	/* Foreign/cstruct.scm 150 */
																																						obj_t
																																							BgL_arg2227z00_365;
																																						{	/* Foreign/cstruct.scm 150 */
																																							obj_t
																																								BgL_arg2237z00_367;
																																							{	/* Foreign/cstruct.scm 150 */
																																								obj_t
																																									BgL_arg2241z00_368;
																																								BgL_arg2241z00_368
																																									=
																																									MAKE_PAIR
																																									(BGl_string2506z00zzforeign_cstructz00,
																																									BNIL);
																																								BgL_arg2237z00_367
																																									=
																																									MAKE_PAIR
																																									(BgL_fzd2namezd2_316,
																																									BgL_arg2241z00_368);
																																							}
																																							BgL_arg2227z00_365
																																								=
																																								MAKE_PAIR
																																								(BGl_string2504z00zzforeign_cstructz00,
																																								BgL_arg2237z00_367);
																																						}
																																						BgL_arg2220z00_364
																																							=
																																							MAKE_PAIR
																																							(BgL_namezd2sanszd2z42z42_221,
																																							BgL_arg2227z00_365);
																																					}
																																					BgL_list2217z00_362
																																						=
																																						MAKE_PAIR
																																						(BGl_string2508z00zzforeign_cstructz00,
																																						BgL_arg2220z00_364);
																																				}
																																				BgL_structzd2setzd2fmtz00_321
																																					=
																																					BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																																					(BgL_list2217z00_362);
																																			}
																																			{	/* Foreign/cstruct.scm 150 */
																																				obj_t
																																					BgL_structzd2setvzd2fmtz00_322;
																																				{	/* Foreign/cstruct.scm 152 */
																																					bool_t
																																						BgL_testz00_1062;
																																					{	/* Foreign/cstruct.scm 152 */
																																						obj_t
																																							BgL_obj1722z00_632;
																																						BgL_obj1722z00_632
																																							=
																																							(obj_t)
																																							(BgL_afzd2typezd2_314);
																																						BgL_testz00_1062
																																							=
																																							BGl_iszd2azf3z21zz__objectz00
																																							(BgL_obj1722z00_632,
																																							BGl_cstructz00zzforeign_ctypez00);
																																					}
																																					if (BgL_testz00_1062)
																																						{	/* Foreign/cstruct.scm 152 */
																																							BgL_structzd2setvzd2fmtz00_322
																																								=
																																								BGl_string2509z00zzforeign_cstructz00;
																																						}
																																					else
																																						{	/* Foreign/cstruct.scm 152 */
																																							BgL_structzd2setvzd2fmtz00_322
																																								=
																																								BGl_string2510z00zzforeign_cstructz00;
																																						}
																																				}
																																				{	/* Foreign/cstruct.scm 152 */

																																					{	/* Foreign/cstruct.scm 155 */
																																						obj_t
																																							BgL_list2162z00_323;
																																						{	/* Foreign/cstruct.scm 155 */
																																							obj_t
																																								BgL_arg2163z00_324;
																																							BgL_arg2163z00_324
																																								=
																																								MAKE_PAIR
																																								(BgL_setzd2namezd2_318,
																																								BNIL);
																																							BgL_list2162z00_323
																																								=
																																								MAKE_PAIR
																																								(BgL_getzd2namezd2_317,
																																								BgL_arg2163z00_324);
																																						}
																																						BGl_registerzd2foreignzd2accesszd2identsz12zc0zzforeign_libraryz00
																																							(BgL_list2162z00_323);
																																					}
																																					{	/* Foreign/cstruct.scm 157 */
																																						obj_t
																																							BgL_arg2164z00_325;
																																						obj_t
																																							BgL_arg2165z00_326;
																																						{	/* Foreign/cstruct.scm 157 */
																																							obj_t
																																								BgL_arg2170z00_329;
																																							obj_t
																																								BgL_arg2171z00_330;
																																							{	/* Foreign/cstruct.scm 157 */
																																								obj_t
																																									BgL_arg2172z00_331;
																																								obj_t
																																									BgL_arg2173z00_332;
																																								BgL_arg2172z00_331
																																									=
																																									BGl_makezd2typedzd2identz00zzast_identz00
																																									(BgL_getzd2namezd2_317,
																																									BgL_getzd2typezd2idz00_319);
																																								{	/* Foreign/cstruct.scm 158 */
																																									obj_t
																																										BgL_arg2174z00_333;
																																									BgL_arg2174z00_333
																																										=
																																										BGl_makezd2typedzd2identz00zzast_identz00
																																										(CNST_TABLE_REF
																																										(((long) 8)), BgL_idz00_213);
																																									{	/* Foreign/cstruct.scm 157 */
																																										obj_t
																																											BgL_list2176z00_335;
																																										BgL_list2176z00_335
																																											=
																																											MAKE_PAIR
																																											(BNIL,
																																											BNIL);
																																										BgL_arg2173z00_332
																																											=
																																											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																											(BgL_arg2174z00_333,
																																											BgL_list2176z00_335);
																																								}}
																																								BgL_arg2170z00_329
																																									=
																																									MAKE_PAIR
																																									(BgL_arg2172z00_331,
																																									BgL_arg2173z00_332);
																																							}
																																							{	/* Foreign/cstruct.scm 159 */
																																								obj_t
																																									BgL_arg2177z00_336;
																																								obj_t
																																									BgL_arg2178z00_337;
																																								BgL_arg2177z00_336
																																									=
																																									BGl_makezd2typedzd2identz00zzast_identz00
																																									(CNST_TABLE_REF
																																									(((long) 22)), BgL_getzd2typezd2idz00_319);
																																								{	/* Foreign/cstruct.scm 159 */
																																									obj_t
																																										BgL_list2179z00_338;
																																									{	/* Foreign/cstruct.scm 159 */
																																										obj_t
																																											BgL_arg2180z00_339;
																																										obj_t
																																											BgL_arg2181z00_340;
																																										BgL_arg2180z00_339
																																											=
																																											CNST_TABLE_REF
																																											(
																																											((long) 8));
																																										BgL_arg2181z00_340
																																											=
																																											MAKE_PAIR
																																											(BNIL,
																																											BNIL);
																																										BgL_list2179z00_338
																																											=
																																											MAKE_PAIR
																																											(BgL_arg2180z00_339,
																																											BgL_arg2181z00_340);
																																									}
																																									BgL_arg2178z00_337
																																										=
																																										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																										(BgL_structzd2refzd2fmtz00_320,
																																										BgL_list2179z00_338);
																																								}
																																								BgL_arg2171z00_330
																																									=
																																									MAKE_PAIR
																																									(BgL_arg2177z00_336,
																																									BgL_arg2178z00_337);
																																							}
																																							BgL_arg2164z00_325
																																								=
																																								BGl_makezd2definezd2inlinez00zzforeign_libraryz00
																																								(BgL_arg2170z00_329,
																																								BgL_arg2171z00_330);
																																						}
																																						{	/* Foreign/cstruct.scm 161 */
																																							obj_t
																																								BgL_arg2182z00_341;
																																							obj_t
																																								BgL_arg2195z00_342;
																																							{	/* Foreign/cstruct.scm 161 */
																																								obj_t
																																									BgL_arg2196z00_343;
																																								obj_t
																																									BgL_arg2197z00_344;
																																								{	/* Foreign/cstruct.scm 161 */
																																									obj_t
																																										BgL_list2198z00_345;
																																									{	/* Foreign/cstruct.scm 161 */
																																										obj_t
																																											BgL_arg2199z00_346;
																																										BgL_arg2199z00_346
																																											=
																																											MAKE_PAIR
																																											(CNST_TABLE_REF
																																											(((long) 28)), BNIL);
																																										BgL_list2198z00_345
																																											=
																																											MAKE_PAIR
																																											(BgL_setzd2namezd2_318,
																																											BgL_arg2199z00_346);
																																									}
																																									BgL_arg2196z00_343
																																										=
																																										BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
																																										(BgL_list2198z00_345);
																																								}
																																								{	/* Foreign/cstruct.scm 162 */
																																									obj_t
																																										BgL_arg2200z00_347;
																																									obj_t
																																										BgL_arg2201z00_348;
																																									BgL_arg2200z00_347
																																										=
																																										BGl_makezd2typedzd2identz00zzast_identz00
																																										(CNST_TABLE_REF
																																										(((long) 8)), BgL_idz00_213);
																																									BgL_arg2201z00_348
																																										=
																																										BGl_makezd2typedzd2identz00zzast_identz00
																																										(CNST_TABLE_REF
																																										(((long) 29)), BgL_getzd2typezd2idz00_319);
																																									{	/* Foreign/cstruct.scm 161 */
																																										obj_t
																																											BgL_list2203z00_350;
																																										{	/* Foreign/cstruct.scm 161 */
																																											obj_t
																																												BgL_arg2204z00_351;
																																											BgL_arg2204z00_351
																																												=
																																												MAKE_PAIR
																																												(BNIL,
																																												BNIL);
																																											BgL_list2203z00_350
																																												=
																																												MAKE_PAIR
																																												(BgL_arg2201z00_348,
																																												BgL_arg2204z00_351);
																																										}
																																										BgL_arg2197z00_344
																																											=
																																											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																											(BgL_arg2200z00_347,
																																											BgL_list2203z00_350);
																																								}}
																																								BgL_arg2182z00_341
																																									=
																																									MAKE_PAIR
																																									(BgL_arg2196z00_343,
																																									BgL_arg2197z00_344);
																																							}
																																							{	/* Foreign/cstruct.scm 164 */
																																								obj_t
																																									BgL_arg2205z00_352;
																																								obj_t
																																									BgL_arg2206z00_353;
																																								BgL_arg2205z00_352
																																									=
																																									CNST_TABLE_REF
																																									(
																																									((long) 22));
																																								{	/* Foreign/cstruct.scm 165 */
																																									obj_t
																																										BgL_arg2207z00_354;
																																									obj_t
																																										BgL_arg2208z00_355;
																																									obj_t
																																										BgL_arg2209z00_356;
																																									BgL_arg2207z00_354
																																										=
																																										string_append
																																										(BgL_structzd2setzd2fmtz00_321,
																																										BgL_structzd2setvzd2fmtz00_322);
																																									BgL_arg2208z00_355
																																										=
																																										CNST_TABLE_REF
																																										(
																																										((long) 8));
																																									BgL_arg2209z00_356
																																										=
																																										CNST_TABLE_REF
																																										(
																																										((long) 29));
																																									{	/* Foreign/cstruct.scm 164 */
																																										obj_t
																																											BgL_list2211z00_358;
																																										{	/* Foreign/cstruct.scm 164 */
																																											obj_t
																																												BgL_arg2212z00_359;
																																											{	/* Foreign/cstruct.scm 164 */
																																												obj_t
																																													BgL_arg2213z00_360;
																																												BgL_arg2213z00_360
																																													=
																																													MAKE_PAIR
																																													(BNIL,
																																													BNIL);
																																												BgL_arg2212z00_359
																																													=
																																													MAKE_PAIR
																																													(BgL_arg2209z00_356,
																																													BgL_arg2213z00_360);
																																											}
																																											BgL_list2211z00_358
																																												=
																																												MAKE_PAIR
																																												(BgL_arg2208z00_355,
																																												BgL_arg2212z00_359);
																																										}
																																										BgL_arg2206z00_353
																																											=
																																											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																											(BgL_arg2207z00_354,
																																											BgL_list2211z00_358);
																																								}}
																																								BgL_arg2195z00_342
																																									=
																																									MAKE_PAIR
																																									(BgL_arg2205z00_352,
																																									BgL_arg2206z00_353);
																																							}
																																							BgL_arg2165z00_326
																																								=
																																								BGl_makezd2definezd2inlinez00zzforeign_libraryz00
																																								(BgL_arg2182z00_341,
																																								BgL_arg2195z00_342);
																																						}
																																						{	/* Foreign/cstruct.scm 156 */
																																							obj_t
																																								BgL_list2166z00_327;
																																							{	/* Foreign/cstruct.scm 156 */
																																								obj_t
																																									BgL_arg2167z00_328;
																																								BgL_arg2167z00_328
																																									=
																																									MAKE_PAIR
																																									(BgL_arg2165z00_326,
																																									BNIL);
																																								BgL_list2166z00_327
																																									=
																																									MAKE_PAIR
																																									(BgL_arg2164z00_325,
																																									BgL_arg2167z00_328);
																																							}
																																							BgL_auxz00_1013
																																								=
																																								BgL_list2166z00_327;
																									}}}}}}}}}}}}}}
																									BgL_resz00_1012 =
																										bgl_append2(BgL_auxz00_1013,
																										BgL_resz00_303);
																								}
																								BgL_resz00_303 =
																									BgL_resz00_1012;
																								BgL_fieldsz00_302 =
																									BgL_fieldsz00_1010;
																								goto BgL_loopz00_304;
																							}
																					}
																					{	/* Foreign/cstruct.scm 194 */
																						obj_t BgL_list2135z00_295;

																						{	/* Foreign/cstruct.scm 194 */
																							obj_t BgL_arg2140z00_296;

																							{	/* Foreign/cstruct.scm 194 */
																								obj_t BgL_arg2144z00_297;

																								{	/* Foreign/cstruct.scm 194 */
																									obj_t BgL_arg2151z00_298;

																									{	/* Foreign/cstruct.scm 194 */
																										obj_t BgL_arg2152z00_299;

																										BgL_arg2152z00_299 =
																											MAKE_PAIR
																											(BgL_arg2134z00_294,
																											BNIL);
																										BgL_arg2151z00_298 =
																											MAKE_PAIR
																											(BgL_arg2129z00_293,
																											BgL_arg2152z00_299);
																									}
																									BgL_arg2144z00_297 =
																										MAKE_PAIR
																										(BgL_arg2125z00_292,
																										BgL_arg2151z00_298);
																								}
																								BgL_arg2140z00_296 =
																									MAKE_PAIR(BgL_arg2119z00_291,
																									BgL_arg2144z00_297);
																							}
																							BgL_list2135z00_295 =
																								MAKE_PAIR(BgL_arg2114z00_290,
																								BgL_arg2140z00_296);
																						}
																						BgL_arg2098z00_288 =
																							BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																							(BgL_arg2108z00_289,
																							BgL_list2135z00_295);
																					}
																				}
																				return
																					MAKE_PAIR(BgL_arg2094z00_287,
																					BgL_arg2098z00_288);
																			}
																		}
																	}
																}
															}
														}
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* make-ctype-accesses!1868 */
	obj_t BGl_makezd2ctypezd2accessesz121868z12zzforeign_cstructz00(obj_t
		BgL_envz00_673, obj_t BgL_whatz00_674, obj_t BgL_whoz00_675,
		obj_t BgL_locz00_676)
	{
		AN_OBJECT;
		{	/* Foreign/cstruct.scm 32 */
			return BNIL;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzforeign_cstructz00()
	{
		AN_OBJECT;
		{	/* Foreign/cstruct.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 12445515),
				BSTRING_TO_STRING(BGl_string2511z00zzforeign_cstructz00));
			BGl_modulezd2initializa7ationz75zztype_toolsz00(((long) 195902195),
				BSTRING_TO_STRING(BGl_string2511z00zzforeign_cstructz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string2511z00zzforeign_cstructz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 171845042),
				BSTRING_TO_STRING(BGl_string2511z00zzforeign_cstructz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string2511z00zzforeign_cstructz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 315910987),
				BSTRING_TO_STRING(BGl_string2511z00zzforeign_cstructz00));
			BGl_modulezd2initializa7ationz75zzforeign_ctypez00(((long) 178768066),
				BSTRING_TO_STRING(BGl_string2511z00zzforeign_cstructz00));
			BGl_modulezd2initializa7ationz75zzforeign_accessz00(((long) 477377954),
				BSTRING_TO_STRING(BGl_string2511z00zzforeign_cstructz00));
			BGl_modulezd2initializa7ationz75zzforeign_libraryz00(((long) 477408199),
				BSTRING_TO_STRING(BGl_string2511z00zzforeign_cstructz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 358171001),
				BSTRING_TO_STRING(BGl_string2511z00zzforeign_cstructz00));
			return
				BGl_modulezd2initializa7ationz75zzast_identz00(((long) 498714928),
				BSTRING_TO_STRING(BGl_string2511z00zzforeign_cstructz00));
		}
	}

#ifdef __cplusplus
}
#endif
