/*===========================================================================*/
/*   (Integrate/loc2glo.scm)                                                 */
/*   Bigloo (2.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 25 07:31:22 CET 2006        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/2.9a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Integrate/loc2glo.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_ccompz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_producerz00;
		obj_t BgL_consumerz00;
		obj_t BgL_finaliza7erza7;
	}               *BgL_ccompz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2heapzd2formatz00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_isaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		struct BgL_typez00_bgl *BgL_classz00;
	}             *BgL_isaz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_svarzf2iinfozf2_bgl
	{
		obj_t BgL_fzd2markzd2;
		obj_t BgL_uzd2markzd2;
		bool_t BgL_kapturedzf3zf3;
		bool_t BgL_celledzf3zf3;
	}                      *BgL_svarzf2iinfozf2_bglt;

	typedef struct BgL_sexitzf2iinfozf2_bgl
	{
		obj_t BgL_fzd2markzd2;
		obj_t BgL_uzd2markzd2;
		bool_t BgL_kapturedzf3zf3;
		bool_t BgL_celledzf3zf3;
	}                       *BgL_sexitzf2iinfozf2_bglt;

	typedef struct BgL_sfunzf2iinfozf2_bgl
	{
		obj_t BgL_ownerz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
		obj_t BgL_cfromz00;
		obj_t BgL_ctoz00;
		obj_t BgL_kz00;
		obj_t BgL_kza2za2;
		obj_t BgL_uz00;
		obj_t BgL_cnz00;
		obj_t BgL_ctz00;
		obj_t BgL_kontz00;
		bool_t BgL_gzf3zf3;
		obj_t BgL_lz00;
		obj_t BgL_ledz00;
		obj_t BgL_istampz00;
		obj_t BgL_globalz00;
		obj_t BgL_kapturedz00;
		obj_t BgL_tailzd2coercionzd2;
	}                      *BgL_sfunzf2iinfozf2_bglt;


	extern BgL_localz00_bglt BGl_clonezd2localzd2zzast_localz00(BgL_localz00_bglt,
		BgL_valuez00_bglt);
	static obj_t
		BGl__localzd2ze3global3386z31zzintegrate_localzd2ze3globalz31(obj_t, obj_t);
	BGL_IMPORT obj_t open_input_string(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzd2ze3globalz31zzintegrate_localzd2ze3globalz31(BgL_localz00_bglt);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzintegrate_localzd2ze3globalz31
		= BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_thezd2globalzd2zzintegrate_localzd2ze3globalz31(BgL_localz00_bglt);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	BGL_IMPORT obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zzintegrate_localzd2ze3globalz31();
	static obj_t BGl_symbolzd2quotezd2zzintegrate_localzd2ze3globalz31 = BUNSPEC;
	static obj_t
		BGl_importedzd2moduleszd2initz00zzintegrate_localzd2ze3globalz31();
	extern obj_t BGl_zb2zd2arityz60zztools_argsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_localzd2ze3globalz31(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_infoz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_nodez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	static obj_t BGl_toplevelzd2initzd2zzintegrate_localzd2ze3globalz31();
	BGL_IMPORT long bgl_list_length(obj_t);
	BGL_IMPORT obj_t string_to_symbol(char *);
	BGL_IMPORT obj_t bgl_reverse(obj_t);
	static obj_t
		BGl_localzd2idzd2ze3globalzd2idz31zzintegrate_localzd2ze3globalz31
		(BgL_localz00_bglt);
	extern obj_t BGl_globaliza7ez12zb5zzintegrate_nodez00(BgL_nodez00_bglt,
		BgL_variablez00_bglt, obj_t);
	extern bool_t
		BGl_integratezd2celledzf3z21zzintegrate_nodez00(BgL_localz00_bglt);
	extern BgL_svarzf2iinfozf2_bglt
		BGl_makezd2svarzf2Iinfoz20zzintegrate_infoz00(obj_t, obj_t, obj_t, bool_t,
		bool_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	BGL_IMPORT obj_t bgl_append2(obj_t, obj_t);
	extern BgL_sfunz00_bglt BGl_makezd2sfunzd2zzast_varz00(long, obj_t, obj_t,
		obj_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl__thezd2global3387zd2zzintegrate_localzd2ze3globalz31(obj_t,
		obj_t);
	extern BgL_globalz00_bglt
		BGl_defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static obj_t
		BGl_libraryzd2moduleszd2initz00zzintegrate_localzd2ze3globalz31();
	static obj_t BGl_methodzd2initzd2zzintegrate_localzd2ze3globalz31();
	static obj_t __cnst[3];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzd2ze3globalzd2envze3zzintegrate_localzd2ze3globalz31,
		BgL_bgl__localza7d2za7e3glob3393z00,
		BGl__localzd2ze3global3386z31zzintegrate_localzd2ze3globalz31, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_thezd2globalzd2envz00zzintegrate_localzd2ze3globalz31,
		BgL_bgl__theza7d2global3383394za7,
		BGl__thezd2global3387zd2zzintegrate_localzd2ze3globalz31, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3388z00zzintegrate_localzd2ze3globalz31,
		BgL_bgl_string3388za700za7za7i3395za7, "'", 1);
	      DEFINE_STRING(BGl_string3390z00zzintegrate_localzd2ze3globalz31,
		BgL_bgl_string3390za700za7za7i3396za7, "now a-integrated-body sfun ", 27);
	      DEFINE_STRING(BGl_string3389z00zzintegrate_localzd2ze3globalz31,
		BgL_bgl_string3389za700za7za7i3397za7, "integrate_local->global", 23);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_localzd2ze3globalz31(long
		BgL_checksumz00_1437, char *BgL_fromz00_1438)
	{
		AN_OBJECT;
		{
			if (CBOOL
				(BGl_requirezd2initializa7ationz75zzintegrate_localzd2ze3globalz31))
				{
					BGl_requirezd2initializa7ationz75zzintegrate_localzd2ze3globalz31 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzintegrate_localzd2ze3globalz31();
					BGl_cnstzd2initzd2zzintegrate_localzd2ze3globalz31();
					BGl_importedzd2moduleszd2initz00zzintegrate_localzd2ze3globalz31();
					BGl_toplevelzd2initzd2zzintegrate_localzd2ze3globalz31();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_localzd2ze3globalz31()
	{
		AN_OBJECT;
		{	/* Integrate/loc2glo.scm 15 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"integrate_local->global");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"integrate_local->global");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"integrate_local->global");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"integrate_local->global");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzintegrate_localzd2ze3globalz31()
	{
		AN_OBJECT;
		{	/* Integrate/loc2glo.scm 15 */
			{	/* Integrate/loc2glo.scm 15 */
				obj_t BgL_cportz00_1429;

				BgL_cportz00_1429 =
					open_input_string(BGl_string3390z00zzintegrate_localzd2ze3globalz31);
				{
					long BgL_iz00_1430;

					BgL_iz00_1430 = ((long) 2);
				BgL_loopz00_1431:
					if ((BgL_iz00_1430 == ((long) -1)))
						{	/* Integrate/loc2glo.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Integrate/loc2glo.scm 15 */
							{	/* Integrate/loc2glo.scm 15 */
								obj_t BgL_arg3392z00_1433;

								{	/* Integrate/loc2glo.scm 15 */

									{	/* Integrate/loc2glo.scm 15 */
										obj_t BgL_locationz00_1435;

										BgL_locationz00_1435 = BBOOL(((bool_t) 0));
										{	/* Integrate/loc2glo.scm 15 */

											BgL_arg3392z00_1433 =
												BGl_readz00zz__readerz00(BgL_cportz00_1429,
												BgL_locationz00_1435);
										}
									}
								}
								{	/* Integrate/loc2glo.scm 15 */
									int BgL_auxz00_1455;

									BgL_auxz00_1455 = (int) (BgL_iz00_1430);
									CNST_TABLE_SET(BgL_auxz00_1455, BgL_arg3392z00_1433);
							}}
							{	/* Integrate/loc2glo.scm 15 */
								int BgL_auxz00_1436;

								BgL_auxz00_1436 = (int) ((BgL_iz00_1430 - ((long) 1)));
								{
									long BgL_iz00_1460;

									BgL_iz00_1460 = (long) (BgL_auxz00_1436);
									BgL_iz00_1430 = BgL_iz00_1460;
									goto BgL_loopz00_1431;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzintegrate_localzd2ze3globalz31()
	{
		AN_OBJECT;
		{	/* Integrate/loc2glo.scm 15 */
			return (BGl_symbolzd2quotezd2zzintegrate_localzd2ze3globalz31 =
				string_to_symbol(BSTRING_TO_STRING
					(BGl_string3388z00zzintegrate_localzd2ze3globalz31)), BUNSPEC);
		}
	}



/* local->global */
	BGL_EXPORTED_DEF obj_t
		BGl_localzd2ze3globalz31zzintegrate_localzd2ze3globalz31(BgL_localz00_bglt
		BgL_localz00_1)
	{
		AN_OBJECT;
		{	/* Integrate/loc2glo.scm 35 */
			{	/* Integrate/loc2glo.scm 37 */
				obj_t BgL_globalz00_826;

				BgL_globalz00_826 =
					BGl_thezd2globalzd2zzintegrate_localzd2ze3globalz31(BgL_localz00_1);
				{	/* Integrate/loc2glo.scm 37 */
					obj_t BgL_kapturedz00_827;

					{	/* Integrate/loc2glo.scm 38 */
						BgL_sfunzf2iinfozf2_bglt BgL_obj3201z00_1336;

						{	/* Integrate/loc2glo.scm 38 */
							BgL_variablez00_bglt BgL_obj1389z00_1335;

							BgL_obj1389z00_1335 = (BgL_variablez00_bglt) (BgL_localz00_1);
							{	/* Integrate/loc2glo.scm 38 */
								BgL_valuez00_bglt BgL_auxz00_1466;

								BgL_auxz00_1466 =
									(((BgL_variablez00_bglt) CREF(BgL_obj1389z00_1335))->
									BgL_valuez00);
								BgL_obj3201z00_1336 =
									(BgL_sfunzf2iinfozf2_bglt) (BgL_auxz00_1466);
							}
						}
						{
							obj_t BgL_auxz00_1469;

							{	/* Integrate/loc2glo.scm 38 */
								BgL_objectz00_bglt BgL_auxz00_1470;

								BgL_auxz00_1470 = (BgL_objectz00_bglt) (BgL_obj3201z00_1336);
								BgL_auxz00_1469 = BGL_OBJECT_WIDENING(BgL_auxz00_1470);
							}
							BgL_kapturedz00_827 =
								(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1469))->
								BgL_kapturedz00);
						}
					}
					{	/* Integrate/loc2glo.scm 38 */
						obj_t BgL_addzd2argszd2_828;

						if (NULLP(BgL_kapturedz00_827))
							{	/* Integrate/loc2glo.scm 39 */
								BgL_addzd2argszd2_828 = BNIL;
							}
						else
							{	/* Integrate/loc2glo.scm 39 */
								obj_t BgL_head3258z00_888;

								BgL_head3258z00_888 = MAKE_PAIR(BNIL, BNIL);
								{
									obj_t BgL_l3256z00_889;
									obj_t BgL_tail3259z00_890;

									BgL_l3256z00_889 = BgL_kapturedz00_827;
									BgL_tail3259z00_890 = BgL_head3258z00_888;
								BgL_map3257z00_891:
									if (NULLP(BgL_l3256z00_889))
										{	/* Integrate/loc2glo.scm 39 */
											BgL_addzd2argszd2_828 = CDR(BgL_head3258z00_888);
										}
									else
										{	/* Integrate/loc2glo.scm 39 */
											obj_t BgL_newtail3260z00_893;

											{	/* Integrate/loc2glo.scm 39 */
												BgL_localz00_bglt BgL_arg3315z00_895;

												{	/* Integrate/loc2glo.scm 39 */
													obj_t BgL_oldz00_897;

													BgL_oldz00_897 = CAR(BgL_l3256z00_889);
													{	/* Integrate/loc2glo.scm 41 */
														BgL_svarzf2iinfozf2_bglt BgL_arg3317z00_898;

														{	/* Integrate/loc2glo.scm 41 */
															BgL_svarzf2iinfozf2_bglt
																BgL_duplicated3251z00_899;
															{	/* Integrate/loc2glo.scm 42 */
																BgL_variablez00_bglt BgL_obj1389z00_1343;

																BgL_obj1389z00_1343 =
																	(BgL_variablez00_bglt) (BgL_oldz00_897);
																{	/* Integrate/loc2glo.scm 42 */
																	BgL_valuez00_bglt BgL_auxz00_1482;

																	BgL_auxz00_1482 =
																		(((BgL_variablez00_bglt)
																			CREF(BgL_obj1389z00_1343))->BgL_valuez00);
																	BgL_duplicated3251z00_899 =
																		(BgL_svarzf2iinfozf2_bglt)
																		(BgL_auxz00_1482);
																}
															}
															{	/* Integrate/loc2glo.scm 41 */
																BgL_svarzf2iinfozf2_bglt BgL_new3252z00_900;

																{	/* Integrate/loc2glo.scm 41 */
																	obj_t BgL_arg3318z00_901;
																	obj_t BgL_arg3319z00_902;
																	obj_t BgL_arg3320z00_903;
																	bool_t BgL_arg3321z00_904;
																	bool_t BgL_arg3322z00_905;

																	{	/* Integrate/loc2glo.scm 41 */
																		BgL_svarz00_bglt BgL_obj1793z00_1344;

																		BgL_obj1793z00_1344 =
																			(BgL_svarz00_bglt)
																			(BgL_duplicated3251z00_899);
																		BgL_arg3318z00_901 =
																			(((BgL_svarz00_bglt)
																				CREF(BgL_obj1793z00_1344))->BgL_locz00);
																	}
																	{
																		obj_t BgL_auxz00_1487;

																		{	/* Integrate/loc2glo.scm 41 */
																			BgL_objectz00_bglt BgL_auxz00_1488;

																			BgL_auxz00_1488 =
																				(BgL_objectz00_bglt)
																				(BgL_duplicated3251z00_899);
																			BgL_auxz00_1487 =
																				BGL_OBJECT_WIDENING(BgL_auxz00_1488);
																		}
																		BgL_arg3319z00_902 =
																			(((BgL_svarzf2iinfozf2_bglt)
																				CREF(BgL_auxz00_1487))->
																			BgL_fzd2markzd2);
																	}
																	{
																		obj_t BgL_auxz00_1492;

																		{	/* Integrate/loc2glo.scm 41 */
																			BgL_objectz00_bglt BgL_auxz00_1493;

																			BgL_auxz00_1493 =
																				(BgL_objectz00_bglt)
																				(BgL_duplicated3251z00_899);
																			BgL_auxz00_1492 =
																				BGL_OBJECT_WIDENING(BgL_auxz00_1493);
																		}
																		BgL_arg3320z00_903 =
																			(((BgL_svarzf2iinfozf2_bglt)
																				CREF(BgL_auxz00_1492))->
																			BgL_uzd2markzd2);
																	}
																	{
																		obj_t BgL_auxz00_1497;

																		{	/* Integrate/loc2glo.scm 41 */
																			BgL_objectz00_bglt BgL_auxz00_1498;

																			BgL_auxz00_1498 =
																				(BgL_objectz00_bglt)
																				(BgL_duplicated3251z00_899);
																			BgL_auxz00_1497 =
																				BGL_OBJECT_WIDENING(BgL_auxz00_1498);
																		}
																		BgL_arg3321z00_904 =
																			(((BgL_svarzf2iinfozf2_bglt)
																				CREF(BgL_auxz00_1497))->
																			BgL_kapturedzf3zf3);
																	}
																	{
																		obj_t BgL_auxz00_1502;

																		{	/* Integrate/loc2glo.scm 41 */
																			BgL_objectz00_bglt BgL_auxz00_1503;

																			BgL_auxz00_1503 =
																				(BgL_objectz00_bglt)
																				(BgL_duplicated3251z00_899);
																			BgL_auxz00_1502 =
																				BGL_OBJECT_WIDENING(BgL_auxz00_1503);
																		}
																		BgL_arg3322z00_905 =
																			(((BgL_svarzf2iinfozf2_bglt)
																				CREF(BgL_auxz00_1502))->
																			BgL_celledzf3zf3);
																	}
																	BgL_new3252z00_900 =
																		BGl_makezd2svarzf2Iinfoz20zzintegrate_infoz00
																		(BgL_arg3318z00_901, BgL_arg3319z00_902,
																		BgL_arg3320z00_903, BgL_arg3321z00_904,
																		BgL_arg3322z00_905);
																}
																{	/* Integrate/loc2glo.scm 41 */

																	BgL_arg3317z00_898 = BgL_new3252z00_900;
																}
															}
														}
														BgL_arg3315z00_895 =
															BGl_clonezd2localzd2zzast_localz00(
															(BgL_localz00_bglt) (BgL_oldz00_897),
															(BgL_valuez00_bglt) (BgL_arg3317z00_898));
													}
												}
												{	/* Integrate/loc2glo.scm 39 */
													obj_t BgL_obj1z00_1349;

													BgL_obj1z00_1349 = (obj_t) (BgL_arg3315z00_895);
													BgL_newtail3260z00_893 =
														MAKE_PAIR(BgL_obj1z00_1349, BNIL);
												}
											}
											SET_CDR(BgL_tail3259z00_890, BgL_newtail3260z00_893);
											{
												obj_t BgL_tail3259z00_1516;
												obj_t BgL_l3256z00_1514;

												BgL_l3256z00_1514 = CDR(BgL_l3256z00_889);
												BgL_tail3259z00_1516 = BgL_newtail3260z00_893;
												BgL_tail3259z00_890 = BgL_tail3259z00_1516;
												BgL_l3256z00_889 = BgL_l3256z00_1514;
												goto BgL_map3257z00_891;
											}
										}
								}
							}
						{	/* Integrate/loc2glo.scm 39 */
							BgL_valuez00_bglt BgL_oldzd2funzd2_829;

							{	/* Integrate/loc2glo.scm 44 */
								BgL_variablez00_bglt BgL_obj1389z00_1354;

								BgL_obj1389z00_1354 = (BgL_variablez00_bglt) (BgL_localz00_1);
								BgL_oldzd2funzd2_829 =
									(((BgL_variablez00_bglt) CREF(BgL_obj1389z00_1354))->
									BgL_valuez00);
							}
							{	/* Integrate/loc2glo.scm 44 */
								BgL_sfunz00_bglt BgL_newzd2funzd2_830;

								{	/* Integrate/loc2glo.scm 45 */
									BgL_sfunz00_bglt BgL_duplicated3253z00_864;

									BgL_duplicated3253z00_864 =
										(BgL_sfunz00_bglt) (BgL_oldzd2funzd2_829);
									{	/* Integrate/loc2glo.scm 46 */
										BgL_sfunz00_bglt BgL_new3254z00_865;

										{	/* Integrate/loc2glo.scm 46 */
											obj_t BgL_arg3291z00_866;
											obj_t BgL_arg3292z00_867;
											obj_t BgL_arg3293z00_868;
											obj_t BgL_arg3294z00_869;
											bool_t BgL_arg3295z00_870;
											obj_t BgL_arg3296z00_871;
											obj_t BgL_arg3297z00_872;
											obj_t BgL_arg3298z00_873;
											obj_t BgL_arg3299z00_874;
											obj_t BgL_arg3300z00_875;
											obj_t BgL_arg3302z00_876;
											obj_t BgL_arg3303z00_877;
											obj_t BgL_arg3304z00_878;
											obj_t BgL_arg3305z00_879;
											obj_t BgL_arg3306z00_880;
											obj_t BgL_arg3307z00_881;

											{	/* Integrate/loc2glo.scm 46 */
												long BgL_arg3308z00_882;
												long BgL_arg3309z00_883;

												{	/* Integrate/loc2glo.scm 46 */
													BgL_funz00_bglt BgL_obj1590z00_1355;

													BgL_obj1590z00_1355 =
														(BgL_funz00_bglt) (BgL_oldzd2funzd2_829);
													BgL_arg3308z00_882 =
														(((BgL_funz00_bglt) CREF(BgL_obj1590z00_1355))->
														BgL_arityz00);
												}
												BgL_arg3309z00_883 =
													bgl_list_length(BgL_addzd2argszd2_828);
												BgL_arg3291z00_866 =
													BGl_zb2zd2arityz60zztools_argsz00(BINT
													(BgL_arg3308z00_882), BINT(BgL_arg3309z00_883));
											}
											{	/* Integrate/loc2glo.scm 45 */
												BgL_funz00_bglt BgL_obj1591z00_1356;

												BgL_obj1591z00_1356 =
													(BgL_funz00_bglt) (BgL_duplicated3253z00_864);
												BgL_arg3292z00_867 =
													(((BgL_funz00_bglt) CREF(BgL_obj1591z00_1356))->
													BgL_sidezd2effectzf3z21);
											}
											{	/* Integrate/loc2glo.scm 45 */
												BgL_funz00_bglt BgL_obj1594z00_1357;

												BgL_obj1594z00_1357 =
													(BgL_funz00_bglt) (BgL_duplicated3253z00_864);
												BgL_arg3293z00_868 =
													(((BgL_funz00_bglt) CREF(BgL_obj1594z00_1357))->
													BgL_predicatezd2ofzd2);
											}
											{	/* Integrate/loc2glo.scm 45 */
												BgL_funz00_bglt BgL_obj1597z00_1358;

												BgL_obj1597z00_1358 =
													(BgL_funz00_bglt) (BgL_duplicated3253z00_864);
												BgL_arg3294z00_869 =
													(((BgL_funz00_bglt) CREF(BgL_obj1597z00_1358))->
													BgL_stackzd2allocatorzd2);
											}
											{	/* Integrate/loc2glo.scm 45 */
												BgL_funz00_bglt BgL_obj1600z00_1359;

												BgL_obj1600z00_1359 =
													(BgL_funz00_bglt) (BgL_duplicated3253z00_864);
												BgL_arg3295z00_870 =
													(((BgL_funz00_bglt) CREF(BgL_obj1600z00_1359))->
													BgL_topzf3zf3);
											}
											{	/* Integrate/loc2glo.scm 45 */
												BgL_funz00_bglt BgL_obj1603z00_1360;

												BgL_obj1603z00_1360 =
													(BgL_funz00_bglt) (BgL_duplicated3253z00_864);
												BgL_arg3296z00_871 =
													(((BgL_funz00_bglt) CREF(BgL_obj1603z00_1360))->
													BgL_thezd2closurezd2);
											}
											{	/* Integrate/loc2glo.scm 45 */
												BgL_funz00_bglt BgL_obj1606z00_1361;

												BgL_obj1606z00_1361 =
													(BgL_funz00_bglt) (BgL_duplicated3253z00_864);
												BgL_arg3297z00_872 =
													(((BgL_funz00_bglt) CREF(BgL_obj1606z00_1361))->
													BgL_effectz00);
											}
											BgL_arg3298z00_873 =
												(((BgL_sfunz00_bglt) CREF(BgL_duplicated3253z00_864))->
												BgL_propertyz00);
											BgL_arg3299z00_874 =
												bgl_append2(bgl_reverse(BgL_addzd2argszd2_828),
												(((BgL_sfunz00_bglt) CREF(BgL_duplicated3253z00_864))->
													BgL_argsz00));
											BgL_arg3300z00_875 =
												(((BgL_sfunz00_bglt) CREF(BgL_duplicated3253z00_864))->
												BgL_bodyz00);
											BgL_arg3302z00_876 =
												(((BgL_sfunz00_bglt) CREF(BgL_duplicated3253z00_864))->
												BgL_classz00);
											BgL_arg3303z00_877 =
												(((BgL_sfunz00_bglt) CREF(BgL_duplicated3253z00_864))->
												BgL_dssslzd2keywordszd2);
											BgL_arg3304z00_878 =
												(((BgL_sfunz00_bglt) CREF(BgL_duplicated3253z00_864))->
												BgL_locz00);
											BgL_arg3305z00_879 =
												(((BgL_sfunz00_bglt) CREF(BgL_duplicated3253z00_864))->
												BgL_optionalsz00);
											BgL_arg3306z00_880 =
												(((BgL_sfunz00_bglt) CREF(BgL_duplicated3253z00_864))->
												BgL_keysz00);
											BgL_arg3307z00_881 =
												(((BgL_sfunz00_bglt) CREF(BgL_duplicated3253z00_864))->
												BgL_thezd2closurezd2globalz00);
											BgL_new3254z00_865 =
												BGl_makezd2sfunzd2zzast_varz00((long)
												CINT(BgL_arg3291z00_866), BgL_arg3292z00_867,
												BgL_arg3293z00_868, BgL_arg3294z00_869,
												BgL_arg3295z00_870, BgL_arg3296z00_871,
												BgL_arg3297z00_872, BgL_arg3298z00_873,
												BgL_arg3299z00_874, BgL_arg3300z00_875,
												BgL_arg3302z00_876, BgL_arg3303z00_877,
												BgL_arg3304z00_878, BgL_arg3305z00_879,
												BgL_arg3306z00_880, BgL_arg3307z00_881);
										}
										{	/* Integrate/loc2glo.scm 45 */

											BgL_newzd2funzd2_830 = BgL_new3254z00_865;
								}}}
								{	/* Integrate/loc2glo.scm 45 */

									{	/* Integrate/loc2glo.scm 50 */
										BgL_typez00_bglt BgL_arg3272z00_831;

										{	/* Integrate/loc2glo.scm 50 */
											BgL_variablez00_bglt BgL_obj1386z00_1371;

											BgL_obj1386z00_1371 =
												(BgL_variablez00_bglt) (BgL_localz00_1);
											BgL_arg3272z00_831 =
												(((BgL_variablez00_bglt) CREF(BgL_obj1386z00_1371))->
												BgL_typez00);
										}
										{	/* Integrate/loc2glo.scm 50 */
											BgL_variablez00_bglt BgL_obj1388z00_1372;
											BgL_typez00_bglt BgL_val1387z00_1373;

											BgL_obj1388z00_1372 =
												(BgL_variablez00_bglt) (BgL_globalz00_826);
											BgL_val1387z00_1373 = BgL_arg3272z00_831;
											((((BgL_variablez00_bglt) CREF(BgL_obj1388z00_1372))->
													BgL_typez00) =
												((BgL_typez00_bglt) BgL_val1387z00_1373), BUNSPEC);
									}}
									{	/* Integrate/loc2glo.scm 51 */
										obj_t BgL_g3263z00_832;

										BgL_g3263z00_832 =
											(((BgL_sfunz00_bglt) CREF(BgL_newzd2funzd2_830))->
											BgL_argsz00);
										{
											obj_t BgL_l3261z00_833;

											BgL_l3261z00_833 = BgL_g3263z00_832;
										BgL_forzd2each3262zd2_834:
											if (PAIRP(BgL_l3261z00_833))
												{	/* Integrate/loc2glo.scm 51 */
													{	/* Integrate/loc2glo.scm 52 */
														obj_t BgL_lz00_836;

														BgL_lz00_836 = CAR(BgL_l3261z00_833);
														if (BGl_integratezd2celledzf3z21zzintegrate_nodez00(
																(BgL_localz00_bglt) (BgL_lz00_836)))
															{	/* Integrate/loc2glo.scm 53 */
																BgL_variablez00_bglt BgL_obj1388z00_1377;
																BgL_typez00_bglt BgL_val1387z00_1378;

																BgL_obj1388z00_1377 =
																	(BgL_variablez00_bglt) (BgL_lz00_836);
																BgL_val1387z00_1378 =
																	(BgL_typez00_bglt)
																	(BGl_za2objza2z00zztype_cachez00);
																((((BgL_variablez00_bglt)
																			CREF(BgL_obj1388z00_1377))->BgL_typez00) =
																	((BgL_typez00_bglt) BgL_val1387z00_1378),
																	BUNSPEC);
															}
														else
															{	/* Integrate/loc2glo.scm 52 */
																BFALSE;
															}
													}
													{
														obj_t BgL_l3261z00_1565;

														BgL_l3261z00_1565 = CDR(BgL_l3261z00_833);
														BgL_l3261z00_833 = BgL_l3261z00_1565;
														goto BgL_forzd2each3262zd2_834;
													}
												}
											else
												{	/* Integrate/loc2glo.scm 51 */
													((bool_t) 1);
												}
										}
									}
									{	/* Integrate/loc2glo.scm 56 */
										obj_t BgL_arg3276z00_839;

										{	/* Integrate/loc2glo.scm 56 */
											obj_t BgL_arg3277z00_840;
											obj_t BgL_arg3278z00_841;

											{	/* Integrate/loc2glo.scm 56 */
												BgL_sfunz00_bglt BgL_obj1660z00_1380;

												BgL_obj1660z00_1380 =
													(BgL_sfunz00_bglt) (BgL_oldzd2funzd2_829);
												BgL_arg3277z00_840 =
													(((BgL_sfunz00_bglt) CREF(BgL_obj1660z00_1380))->
													BgL_bodyz00);
											}
											if (NULLP(BgL_kapturedz00_827))
												{	/* Integrate/loc2glo.scm 58 */
													BgL_arg3278z00_841 = BNIL;
												}
											else
												{	/* Integrate/loc2glo.scm 58 */
													obj_t BgL_head3266z00_845;

													{	/* Integrate/loc2glo.scm 58 */
														obj_t BgL_arg3287z00_860;

														BgL_arg3287z00_860 =
															MAKE_PAIR(CAR(BgL_kapturedz00_827),
															CAR(BgL_addzd2argszd2_828));
														BgL_head3266z00_845 =
															MAKE_PAIR(BgL_arg3287z00_860, BNIL);
													}
													{	/* Integrate/loc2glo.scm 58 */
														obj_t BgL_g3270z00_846;
														obj_t BgL_g3271z00_847;

														BgL_g3270z00_846 = CDR(BgL_kapturedz00_827);
														BgL_g3271z00_847 = CDR(BgL_addzd2argszd2_828);
														{
															obj_t BgL_ll3264z00_848;
															obj_t BgL_ll3265z00_849;
															obj_t BgL_tail3267z00_850;

															BgL_ll3264z00_848 = BgL_g3270z00_846;
															BgL_ll3265z00_849 = BgL_g3271z00_847;
															BgL_tail3267z00_850 = BgL_head3266z00_845;
														BgL_map3269z00_851:
															if (NULLP(BgL_ll3264z00_848))
																{	/* Integrate/loc2glo.scm 58 */
																	BgL_arg3278z00_841 = BgL_head3266z00_845;
																}
															else
																{	/* Integrate/loc2glo.scm 58 */
																	obj_t BgL_newtail3268z00_853;

																	{	/* Integrate/loc2glo.scm 58 */
																		obj_t BgL_arg3283z00_856;

																		BgL_arg3283z00_856 =
																			MAKE_PAIR(CAR(BgL_ll3264z00_848),
																			CAR(BgL_ll3265z00_849));
																		BgL_newtail3268z00_853 =
																			MAKE_PAIR(BgL_arg3283z00_856, BNIL);
																	}
																	SET_CDR(BgL_tail3267z00_850,
																		BgL_newtail3268z00_853);
																	{
																		obj_t BgL_tail3267z00_1588;
																		obj_t BgL_ll3265z00_1586;
																		obj_t BgL_ll3264z00_1584;

																		BgL_ll3264z00_1584 = CDR(BgL_ll3264z00_848);
																		BgL_ll3265z00_1586 = CDR(BgL_ll3265z00_849);
																		BgL_tail3267z00_1588 =
																			BgL_newtail3268z00_853;
																		BgL_tail3267z00_850 = BgL_tail3267z00_1588;
																		BgL_ll3265z00_849 = BgL_ll3265z00_1586;
																		BgL_ll3264z00_848 = BgL_ll3264z00_1584;
																		goto BgL_map3269z00_851;
																	}
																}
														}
													}
												}
											BgL_arg3276z00_839 =
												BGl_globaliza7ez12zb5zzintegrate_nodez00(
												(BgL_nodez00_bglt) (BgL_arg3277z00_840),
												(BgL_variablez00_bglt) (BgL_localz00_1),
												BgL_arg3278z00_841);
										}
										((((BgL_sfunz00_bglt) CREF(BgL_newzd2funzd2_830))->
												BgL_bodyz00) = ((obj_t) BgL_arg3276z00_839), BUNSPEC);
									}
									{	/* Integrate/loc2glo.scm 59 */
										BgL_variablez00_bglt BgL_obj1391z00_1403;
										BgL_valuez00_bglt BgL_val1390z00_1404;

										BgL_obj1391z00_1403 =
											(BgL_variablez00_bglt) (BgL_globalz00_826);
										BgL_val1390z00_1404 =
											(BgL_valuez00_bglt) (BgL_newzd2funzd2_830);
										((((BgL_variablez00_bglt) CREF(BgL_obj1391z00_1403))->
												BgL_valuez00) =
											((BgL_valuez00_bglt) BgL_val1390z00_1404), BUNSPEC);
									}
									return BgL_globalz00_826;
								}
							}
						}
					}
				}
			}
		}
	}



/* _local->global3386 */
	obj_t BGl__localzd2ze3global3386z31zzintegrate_localzd2ze3globalz31(obj_t
		BgL_envz00_1425, obj_t BgL_localz00_1426)
	{
		AN_OBJECT;
		{	/* Integrate/loc2glo.scm 35 */
			return
				BGl_localzd2ze3globalz31zzintegrate_localzd2ze3globalz31(
				(BgL_localz00_bglt) (BgL_localz00_1426));
		}
	}



/* local-id->global-id */
	obj_t
		BGl_localzd2idzd2ze3globalzd2idz31zzintegrate_localzd2ze3globalz31
		(BgL_localz00_bglt BgL_localz00_2)
	{
		AN_OBJECT;
		{	/* Integrate/loc2glo.scm 72 */
			{	/* Integrate/loc2glo.scm 74 */
				obj_t BgL_g3255z00_908;

				{	/* Integrate/loc2glo.scm 74 */
					BgL_variablez00_bglt BgL_obj1382z00_1406;

					BgL_obj1382z00_1406 = (BgL_variablez00_bglt) (BgL_localz00_2);
					BgL_g3255z00_908 =
						(((BgL_variablez00_bglt) CREF(BgL_obj1382z00_1406))->BgL_idz00);
				}
				{
					obj_t BgL_idz00_909;

					BgL_idz00_909 = BgL_g3255z00_908;
				BgL_loopz00_910:
					{	/* Integrate/loc2glo.scm 75 */
						bool_t BgL_testz00_1600;

						{	/* Integrate/loc2glo.scm 75 */
							obj_t BgL_arg3328z00_915;

							BgL_arg3328z00_915 =
								BGl_findzd2globalzf2modulez20zzast_envz00(BgL_idz00_909,
								BGl_za2moduleza2z00zzmodule_modulez00);
							BgL_testz00_1600 =
								BGl_iszd2azf3z21zz__objectz00(BgL_arg3328z00_915,
								BGl_globalz00zzast_varz00);
						}
						if (BgL_testz00_1600)
							{	/* Integrate/loc2glo.scm 76 */
								obj_t BgL_arg3325z00_912;

								{	/* Integrate/loc2glo.scm 76 */
									obj_t BgL_list3326z00_913;

									{	/* Integrate/loc2glo.scm 76 */
										obj_t BgL_arg3327z00_914;

										BgL_arg3327z00_914 =
											MAKE_PAIR
											(BGl_symbolzd2quotezd2zzintegrate_localzd2ze3globalz31,
											BNIL);
										BgL_list3326z00_913 =
											MAKE_PAIR(BgL_idz00_909, BgL_arg3327z00_914);
									}
									BgL_arg3325z00_912 =
										BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
										(BgL_list3326z00_913);
								}
								{
									obj_t BgL_idz00_1606;

									BgL_idz00_1606 = BgL_arg3325z00_912;
									BgL_idz00_909 = BgL_idz00_1606;
									goto BgL_loopz00_910;
								}
							}
						else
							{	/* Integrate/loc2glo.scm 75 */
								return BgL_idz00_909;
							}
					}
				}
			}
		}
	}



/* the-global */
	BGL_EXPORTED_DEF obj_t
		BGl_thezd2globalzd2zzintegrate_localzd2ze3globalz31(BgL_localz00_bglt
		BgL_localz00_3)
	{
		AN_OBJECT;
		{	/* Integrate/loc2glo.scm 82 */
			{	/* Integrate/loc2glo.scm 83 */
				BgL_valuez00_bglt BgL_valuez00_916;

				{	/* Integrate/loc2glo.scm 83 */
					BgL_variablez00_bglt BgL_obj1389z00_1408;

					BgL_obj1389z00_1408 = (BgL_variablez00_bglt) (BgL_localz00_3);
					BgL_valuez00_916 =
						(((BgL_variablez00_bglt) CREF(BgL_obj1389z00_1408))->BgL_valuez00);
				}
				{	/* Integrate/loc2glo.scm 84 */
					bool_t BgL_testz00_1609;

					{	/* Integrate/loc2glo.scm 84 */
						obj_t BgL_arg3335z00_925;

						{	/* Integrate/loc2glo.scm 84 */
							BgL_sfunzf2iinfozf2_bglt BgL_obj3198z00_1409;

							BgL_obj3198z00_1409 =
								(BgL_sfunzf2iinfozf2_bglt) (BgL_valuez00_916);
							{
								obj_t BgL_auxz00_1611;

								{	/* Integrate/loc2glo.scm 84 */
									BgL_objectz00_bglt BgL_auxz00_1612;

									BgL_auxz00_1612 = (BgL_objectz00_bglt) (BgL_obj3198z00_1409);
									BgL_auxz00_1611 = BGL_OBJECT_WIDENING(BgL_auxz00_1612);
								}
								BgL_arg3335z00_925 =
									(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1611))->
									BgL_globalz00);
							}
						}
						BgL_testz00_1609 =
							BGl_iszd2azf3z21zz__objectz00(BgL_arg3335z00_925,
							BGl_globalz00zzast_varz00);
					}
					if (BgL_testz00_1609)
						{	/* Integrate/loc2glo.scm 85 */
							BgL_sfunzf2iinfozf2_bglt BgL_obj3198z00_1411;

							BgL_obj3198z00_1411 =
								(BgL_sfunzf2iinfozf2_bglt) (BgL_valuez00_916);
							{
								obj_t BgL_auxz00_1618;

								{	/* Integrate/loc2glo.scm 85 */
									BgL_objectz00_bglt BgL_auxz00_1619;

									BgL_auxz00_1619 = (BgL_objectz00_bglt) (BgL_obj3198z00_1411);
									BgL_auxz00_1618 = BGL_OBJECT_WIDENING(BgL_auxz00_1619);
								}
								return
									(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1618))->
									BgL_globalz00);
							}
						}
					else
						{	/* Integrate/loc2glo.scm 86 */
							obj_t BgL_idz00_918;

							BgL_idz00_918 =
								BGl_localzd2idzd2ze3globalzd2idz31zzintegrate_localzd2ze3globalz31
								(BgL_localz00_3);
							{	/* Integrate/loc2glo.scm 86 */
								BgL_globalz00_bglt BgL_globalz00_919;

								BgL_globalz00_919 =
									BGl_defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2
									(BgL_idz00_918, BNIL, BNIL,
									BGl_za2moduleza2z00zzmodule_modulez00,
									CNST_TABLE_REF(((long) 0)), CNST_TABLE_REF(((long) 1)),
									CNST_TABLE_REF(((long) 2)), BUNSPEC);
								{	/* Integrate/loc2glo.scm 87 */

									{	/* Integrate/loc2glo.scm 100 */
										BgL_valuez00_bglt BgL_arg3330z00_920;
										obj_t BgL_arg3331z00_921;

										{	/* Integrate/loc2glo.scm 100 */
											BgL_variablez00_bglt BgL_obj1389z00_1412;

											BgL_obj1389z00_1412 =
												(BgL_variablez00_bglt) (BgL_globalz00_919);
											BgL_arg3330z00_920 =
												(((BgL_variablez00_bglt) CREF(BgL_obj1389z00_1412))->
												BgL_valuez00);
										}
										{	/* Integrate/loc2glo.scm 100 */
											BgL_sfunz00_bglt BgL_obj1669z00_1413;

											BgL_obj1669z00_1413 =
												(BgL_sfunz00_bglt) (BgL_valuez00_916);
											BgL_arg3331z00_921 =
												(((BgL_sfunz00_bglt) CREF(BgL_obj1669z00_1413))->
												BgL_locz00);
										}
										{	/* Integrate/loc2glo.scm 100 */
											BgL_sfunz00_bglt BgL_obj1671z00_1414;
											obj_t BgL_val1670z00_1415;

											BgL_obj1671z00_1414 =
												(BgL_sfunz00_bglt) (BgL_arg3330z00_920);
											BgL_val1670z00_1415 = BgL_arg3331z00_921;
											((((BgL_sfunz00_bglt) CREF(BgL_obj1671z00_1414))->
													BgL_locz00) = ((obj_t) BgL_val1670z00_1415), BUNSPEC);
									}}
									if (
										(((BgL_localz00_bglt) CREF(BgL_localz00_3))->
											BgL_userzf3zf3))
										{	/* Integrate/loc2glo.scm 102 */
											BFALSE;
										}
									else
										{	/* Integrate/loc2glo.scm 102 */
											((((BgL_globalz00_bglt) CREF(BgL_globalz00_919))->
													BgL_userzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
										}
									{	/* Integrate/loc2glo.scm 104 */
										BgL_sfunzf2iinfozf2_bglt BgL_obj3200z00_1419;
										obj_t BgL_val3199z00_1420;

										BgL_obj3200z00_1419 =
											(BgL_sfunzf2iinfozf2_bglt) (BgL_valuez00_916);
										BgL_val3199z00_1420 = (obj_t) (BgL_globalz00_919);
										{
											obj_t BgL_auxz00_1639;

											{	/* Integrate/loc2glo.scm 104 */
												BgL_objectz00_bglt BgL_auxz00_1640;

												BgL_auxz00_1640 =
													(BgL_objectz00_bglt) (BgL_obj3200z00_1419);
												BgL_auxz00_1639 = BGL_OBJECT_WIDENING(BgL_auxz00_1640);
											}
											((((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1639))->
													BgL_globalz00) =
												((obj_t) BgL_val3199z00_1420), BUNSPEC);
										}
									}
									{	/* Integrate/loc2glo.scm 105 */
										BgL_valuez00_bglt BgL_arg3333z00_923;
										obj_t BgL_arg3334z00_924;

										{	/* Integrate/loc2glo.scm 105 */
											BgL_variablez00_bglt BgL_obj1389z00_1421;

											BgL_obj1389z00_1421 =
												(BgL_variablez00_bglt) (BgL_globalz00_919);
											BgL_arg3333z00_923 =
												(((BgL_variablez00_bglt) CREF(BgL_obj1389z00_1421))->
												BgL_valuez00);
										}
										{	/* Integrate/loc2glo.scm 106 */
											BgL_funz00_bglt BgL_obj1591z00_1422;

											BgL_obj1591z00_1422 =
												(BgL_funz00_bglt) (BgL_valuez00_916);
											BgL_arg3334z00_924 =
												(((BgL_funz00_bglt) CREF(BgL_obj1591z00_1422))->
												BgL_sidezd2effectzf3z21);
										}
										{	/* Integrate/loc2glo.scm 105 */
											BgL_funz00_bglt BgL_obj1593z00_1423;
											obj_t BgL_val1592z00_1424;

											BgL_obj1593z00_1423 =
												(BgL_funz00_bglt) (BgL_arg3333z00_923);
											BgL_val1592z00_1424 = BgL_arg3334z00_924;
											((((BgL_funz00_bglt) CREF(BgL_obj1593z00_1423))->
													BgL_sidezd2effectzf3z21) =
												((obj_t) BgL_val1592z00_1424), BUNSPEC);
										}
									}
									return (obj_t) (BgL_globalz00_919);
								}
							}
						}
				}
			}
		}
	}



/* _the-global3387 */
	obj_t BGl__thezd2global3387zd2zzintegrate_localzd2ze3globalz31(obj_t
		BgL_envz00_1427, obj_t BgL_localz00_1428)
	{
		AN_OBJECT;
		{	/* Integrate/loc2glo.scm 82 */
			return
				BGl_thezd2globalzd2zzintegrate_localzd2ze3globalz31(
				(BgL_localz00_bglt) (BgL_localz00_1428));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzintegrate_localzd2ze3globalz31()
	{
		AN_OBJECT;
		{	/* Integrate/loc2glo.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzintegrate_localzd2ze3globalz31()
	{
		AN_OBJECT;
		{	/* Integrate/loc2glo.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 12445515),
				BSTRING_TO_STRING(BGl_string3389z00zzintegrate_localzd2ze3globalz31));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string3389z00zzintegrate_localzd2ze3globalz31));
			BGl_modulezd2initializa7ationz75zztools_argsz00(((long) 320731191),
				BSTRING_TO_STRING(BGl_string3389z00zzintegrate_localzd2ze3globalz31));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 358171001),
				BSTRING_TO_STRING(BGl_string3389z00zzintegrate_localzd2ze3globalz31));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string3389z00zzintegrate_localzd2ze3globalz31));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 484733332),
				BSTRING_TO_STRING(BGl_string3389z00zzintegrate_localzd2ze3globalz31));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string3389z00zzintegrate_localzd2ze3globalz31));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 11585204),
				BSTRING_TO_STRING(BGl_string3389z00zzintegrate_localzd2ze3globalz31));
			BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(((long) 189731515),
				BSTRING_TO_STRING(BGl_string3389z00zzintegrate_localzd2ze3globalz31));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 142857872),
				BSTRING_TO_STRING(BGl_string3389z00zzintegrate_localzd2ze3globalz31));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 499216671),
				BSTRING_TO_STRING(BGl_string3389z00zzintegrate_localzd2ze3globalz31));
			BGl_modulezd2initializa7ationz75zzintegrate_infoz00(((long) 0),
				BSTRING_TO_STRING(BGl_string3389z00zzintegrate_localzd2ze3globalz31));
			return
				BGl_modulezd2initializa7ationz75zzintegrate_nodez00(((long) 421929044),
				BSTRING_TO_STRING(BGl_string3389z00zzintegrate_localzd2ze3globalz31));
		}
	}

#ifdef __cplusplus
}
#endif
