/*===========================================================================*/
/*   (Object/tools.scm)                                                      */
/*   Bigloo (2.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 25 07:31:22 CET 2006        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/2.9a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Object/tools.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2heapzd2formatz00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_isaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		struct BgL_typez00_bgl *BgL_classz00;
	}             *BgL_isaz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
	}                *BgL_tclassz00_bglt;

	typedef struct BgL_jclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		obj_t BgL_packagez00;
	}                *BgL_jclassz00_bglt;

	typedef struct BgL_wclassz00_bgl
	{
		obj_t BgL_itszd2classzd2;
	}                *BgL_wclassz00_bglt;

	typedef struct BgL_slotz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_srcz00;
		obj_t BgL_classzd2ownerzd2;
		obj_t BgL_typez00;
		bool_t BgL_readzd2onlyzf3z21;
		obj_t BgL_defaultzd2valuezd2;
		obj_t BgL_virtualzd2numzd2;
		obj_t BgL_getterz00;
		obj_t BgL_setterz00;
		obj_t BgL_indexedz00;
		obj_t BgL_userzd2infozd2;
	}              *BgL_slotz00_bglt;


	static obj_t
		BGl_makezd2pragmazd2indexedzd2refzd2zzobject_toolsz00(BgL_typez00_bglt,
		BgL_slotz00_bglt, obj_t, obj_t);
	static obj_t
		BGl_czd2allocatezd2indexedzd2slotzd2zzobject_toolsz00(BgL_typez00_bglt,
		obj_t);
	BGL_IMPORT obj_t open_input_string(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2pragmazd2directzd2setz12zc0zzobject_toolsz00(BgL_typez00_bglt,
		BgL_slotz00_bglt, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl__makezd2pragmazd2directzd23727zd2zzobject_toolsz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl__makezd2pragmazd2directzd23728zd2zzobject_toolsz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl__makezd2pragmazd2directzd23729zd2zzobject_toolsz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2pragmazd2indexedzd2refzf2wideningz20zzobject_toolsz00
		(BgL_typez00_bglt, BgL_slotz00_bglt, obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzobject_toolsz00();
	static obj_t BGl__classzd2ze3superzd2id3725ze3zzobject_toolsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl__superzd2ze3classzd2id3726ze3zzobject_toolsz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzobject_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_sawzd2widezd2classzd2idzd2zzobject_classz00(obj_t);
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	extern BgL_typez00_bglt BGl_findzd2typezd2zztype_envz00(obj_t);
	static obj_t BGl__classzd2ze3objzd2id3722ze3zzobject_toolsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_classzf3zd2idz21zzobject_toolsz00(obj_t);
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2pragmazd2directzd2setz12zf2wideningz32zzobject_toolsz00
		(BgL_typez00_bglt, BgL_slotz00_bglt, obj_t, obj_t, obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	static obj_t BGl_jvmzd2allocatezd2indexedzd2slotzd2zzobject_toolsz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_makezd2pragmazd2directzd2refzd2zzobject_toolsz00(BgL_typez00_bglt,
		BgL_slotz00_bglt, obj_t);
	extern obj_t BGl_makezd2privatezd2sexpz00zzast_privatez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl__objzd2ze3classzd2id3723ze3zzobject_toolsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_superzd2ze3classzd2idze3zzobject_toolsz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2pragmazd2indexedzd2setz12zc0zzobject_toolsz00(BgL_typez00_bglt,
		BgL_slotz00_bglt, obj_t, obj_t, obj_t);
	static obj_t BGl__makezd2pragmazd2indexed3730z00zzobject_toolsz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl__makezd2pragmazd2indexed3731z00zzobject_toolsz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl__makezd2pragmazd2indexed3732z00zzobject_toolsz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl__makezd2pragmazd2indexed3733z00zzobject_toolsz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzobject_toolsz00();
	extern obj_t BGl_typezd2classzd2namez00zzobject_classz00(BgL_typez00_bglt);
	BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2pragmazd2directzd2refzf2wideningz20zzobject_toolsz00
		(BgL_typez00_bglt, BgL_slotz00_bglt, obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzobject_toolsz00 = BUNSPEC;
	static obj_t
		BGl_realzd2slotzd2classzd2ownerzd2zzobject_toolsz00(BgL_slotz00_bglt);
	extern bool_t BGl_widezd2classzf3z21zzobject_classz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_classzd2ze3objzd2idze3zzobject_toolsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2pragmazd2indexedzd2setz12zf2wideningz32zzobject_toolsz00
		(BgL_typez00_bglt, BgL_slotz00_bglt, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_objzd2ze3classzd2idze3zzobject_toolsz00(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzobject_toolsz00();
	extern obj_t BGl_stringzd2sanszd2z42z42zztype_toolsz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_classzd2ze3superzd2idze3zzobject_toolsz00(obj_t,
		obj_t);
	extern obj_t BGl_za2intza2z00zztype_cachez00;
	extern obj_t BGl_za2sawza2z00zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2pragmazd2indexedzd2initzd2setz12z12zzobject_toolsz00
		(BgL_typez00_bglt, BgL_slotz00_bglt, obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzobject_toolsz00();
	static obj_t BGl__classzf3zd2id3724z21zzobject_toolsz00(obj_t, obj_t);
	static obj_t __cnst[18];


	   
		 
		DEFINE_STRING(BGl_string3734z00zzobject_toolsz00,
		BgL_bgl_string3734za700za7za7o3751za7, ")", 1);
	      DEFINE_STRING(BGl_string3735z00zzobject_toolsz00,
		BgL_bgl_string3735za700za7za7o3752za7, ")CREF($1))->", 12);
	      DEFINE_STRING(BGl_string3736z00zzobject_toolsz00,
		BgL_bgl_string3736za700za7za7o3753za7, "(((", 3);
	      DEFINE_STRING(BGl_string3737z00zzobject_toolsz00,
		BgL_bgl_string3737za700za7za7o3754za7, ")$2), BUNSPEC)", 14);
	      DEFINE_STRING(BGl_string3738z00zzobject_toolsz00,
		BgL_bgl_string3738za700za7za7o3755za7, ") = ((", 6);
	      DEFINE_STRING(BGl_string3740z00zzobject_toolsz00,
		BgL_bgl_string3740za700za7za7o3756za7, "", 0);
	      DEFINE_STRING(BGl_string3739z00zzobject_toolsz00,
		BgL_bgl_string3739za700za7za7o3757za7, "((((", 4);
	      DEFINE_STRING(BGl_string3741z00zzobject_toolsz00,
		BgL_bgl_string3741za700za7za7o3758za7, ")[ $2 ]", 7);
	      DEFINE_STRING(BGl_string3742z00zzobject_toolsz00,
		BgL_bgl_string3742za700za7za7o3759za7, "GC_MALLOC( sizeof(", 18);
	      DEFINE_STRING(BGl_string3743z00zzobject_toolsz00,
		BgL_bgl_string3743za700za7za7o3760za7, ") * $1 )", 8);
	      DEFINE_STRING(BGl_string3744z00zzobject_toolsz00,
		BgL_bgl_string3744za700za7za7o3761za7, " *)$2), BUNSPEC)", 16);
	      DEFINE_STRING(BGl_string3745z00zzobject_toolsz00,
		BgL_bgl_string3745za700za7za7o3762za7, ")$3), BUNSPEC)", 14);
	      DEFINE_STRING(BGl_string3746z00zzobject_toolsz00,
		BgL_bgl_string3746za700za7za7o3763za7, ")[ $2 ] = ((", 12);
	      DEFINE_STRING(BGl_string3747z00zzobject_toolsz00,
		BgL_bgl_string3747za700za7za7o3764za7, "object_tools", 12);
	      DEFINE_STRING(BGl_string3748z00zzobject_toolsz00,
		BgL_bgl_string3748za700za7za7o3765za7,
		"vset! pragma::obj valloc free-pragma vref setfield write pragma/effect::obj object-widening getfield - read effect free-pragma/effect -> ? obj-> ->obj ",
		151);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_classzf3zd2idzd2envzf3zzobject_toolsz00,
		BgL_bgl__classza7f3za7d2id373766z00,
		BGl__classzf3zd2id3724z21zzobject_toolsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_classzd2ze3objzd2idzd2envz31zzobject_toolsz00,
		BgL_bgl__classza7d2za7e3objza73767za7,
		BGl__classzd2ze3objzd2id3722ze3zzobject_toolsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_objzd2ze3classzd2idzd2envz31zzobject_toolsz00,
		BgL_bgl__objza7d2za7e3classza73768za7,
		BGl__objzd2ze3classzd2id3723ze3zzobject_toolsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2pragmazd2indexedzd2setz12zf2wideningzd2envze0zzobject_toolsz00,
		BgL_bgl__makeza7d2pragmaza7d3769z00,
		BGl__makezd2pragmazd2indexed3733z00zzobject_toolsz00, 0L, BUNSPEC, 6);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2pragmazd2directzd2refzf2wideningzd2envzf2zzobject_toolsz00,
		BgL_bgl__makeza7d2pragmaza7d3770z00,
		BGl__makezd2pragmazd2directzd23727zd2zzobject_toolsz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2pragmazd2indexedzd2refzf2wideningzd2envzf2zzobject_toolsz00,
		BgL_bgl__makeza7d2pragmaza7d3771z00,
		BGl__makezd2pragmazd2indexed3730z00zzobject_toolsz00, 0L, BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_classzd2ze3superzd2idzd2envz31zzobject_toolsz00,
		BgL_bgl__classza7d2za7e3supe3772z00,
		BGl__classzd2ze3superzd2id3725ze3zzobject_toolsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_superzd2ze3classzd2idzd2envz31zzobject_toolsz00,
		BgL_bgl__superza7d2za7e3clas3773z00,
		BGl__superzd2ze3classzd2id3726ze3zzobject_toolsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2pragmazd2directzd2setz12zf2wideningzd2envze0zzobject_toolsz00,
		BgL_bgl__makeza7d2pragmaza7d3774z00,
		BGl__makezd2pragmazd2directzd23729zd2zzobject_toolsz00, 0L, BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2pragmazd2indexedzd2initzd2setz12zd2envzc0zzobject_toolsz00,
		BgL_bgl__makeza7d2pragmaza7d3775z00,
		BGl__makezd2pragmazd2indexed3731z00zzobject_toolsz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2pragmazd2indexedzd2setz12zd2envz12zzobject_toolsz00,
		BgL_bgl__makeza7d2pragmaza7d3776z00,
		BGl__makezd2pragmazd2indexed3732z00zzobject_toolsz00, 0L, BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2pragmazd2directzd2setz12zd2envz12zzobject_toolsz00,
		BgL_bgl__makeza7d2pragmaza7d3777z00,
		BGl__makezd2pragmazd2directzd23728zd2zzobject_toolsz00, 0L, BUNSPEC, 4);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzobject_toolsz00(long
		BgL_checksumz00_1756, char *BgL_fromz00_1757)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzobject_toolsz00))
				{
					BGl_requirezd2initializa7ationz75zzobject_toolsz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzobject_toolsz00();
					BGl_cnstzd2initzd2zzobject_toolsz00();
					BGl_importedzd2moduleszd2initz00zzobject_toolsz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzobject_toolsz00()
	{
		AN_OBJECT;
		{	/* Object/tools.scm 15 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "object_tools");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"object_tools");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"object_tools");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"object_tools");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzobject_toolsz00()
	{
		AN_OBJECT;
		{	/* Object/tools.scm 15 */
			{	/* Object/tools.scm 15 */
				obj_t BgL_cportz00_1748;

				BgL_cportz00_1748 =
					open_input_string(BGl_string3748z00zzobject_toolsz00);
				{
					long BgL_iz00_1749;

					BgL_iz00_1749 = ((long) 17);
				BgL_loopz00_1750:
					if ((BgL_iz00_1749 == ((long) -1)))
						{	/* Object/tools.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Object/tools.scm 15 */
							{	/* Object/tools.scm 15 */
								obj_t BgL_arg3750z00_1752;

								{	/* Object/tools.scm 15 */

									{	/* Object/tools.scm 15 */
										obj_t BgL_locationz00_1754;

										BgL_locationz00_1754 = BBOOL(((bool_t) 0));
										{	/* Object/tools.scm 15 */

											BgL_arg3750z00_1752 =
												BGl_readz00zz__readerz00(BgL_cportz00_1748,
												BgL_locationz00_1754);
										}
									}
								}
								{	/* Object/tools.scm 15 */
									int BgL_auxz00_1773;

									BgL_auxz00_1773 = (int) (BgL_iz00_1749);
									CNST_TABLE_SET(BgL_auxz00_1773, BgL_arg3750z00_1752);
							}}
							{	/* Object/tools.scm 15 */
								int BgL_auxz00_1755;

								BgL_auxz00_1755 = (int) ((BgL_iz00_1749 - ((long) 1)));
								{
									long BgL_iz00_1778;

									BgL_iz00_1778 = (long) (BgL_auxz00_1755);
									BgL_iz00_1749 = BgL_iz00_1778;
									goto BgL_loopz00_1750;
								}
							}
						}
				}
			}
		}
	}



/* class->obj-id */
	BGL_EXPORTED_DEF obj_t BGl_classzd2ze3objzd2idze3zzobject_toolsz00(obj_t
		BgL_idz00_1)
	{
		AN_OBJECT;
		{	/* Object/tools.scm 46 */
			{	/* Object/tools.scm 47 */
				obj_t BgL_list3385z00_917;

				{	/* Object/tools.scm 47 */
					obj_t BgL_arg3386z00_918;

					BgL_arg3386z00_918 = MAKE_PAIR(CNST_TABLE_REF(((long) 0)), BNIL);
					BgL_list3385z00_917 = MAKE_PAIR(BgL_idz00_1, BgL_arg3386z00_918);
				}
				return BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list3385z00_917);
			}
		}
	}



/* _class->obj-id3722 */
	obj_t BGl__classzd2ze3objzd2id3722ze3zzobject_toolsz00(obj_t BgL_envz00_1696,
		obj_t BgL_idz00_1697)
	{
		AN_OBJECT;
		{	/* Object/tools.scm 46 */
			return BGl_classzd2ze3objzd2idze3zzobject_toolsz00(BgL_idz00_1697);
		}
	}



/* obj->class-id */
	BGL_EXPORTED_DEF obj_t BGl_objzd2ze3classzd2idze3zzobject_toolsz00(obj_t
		BgL_idz00_2)
	{
		AN_OBJECT;
		{	/* Object/tools.scm 52 */
			{	/* Object/tools.scm 53 */
				obj_t BgL_list3387z00_919;

				{	/* Object/tools.scm 53 */
					obj_t BgL_arg3388z00_920;
					obj_t BgL_arg3389z00_921;

					BgL_arg3388z00_920 = CNST_TABLE_REF(((long) 1));
					BgL_arg3389z00_921 = MAKE_PAIR(BgL_idz00_2, BNIL);
					BgL_list3387z00_919 =
						MAKE_PAIR(BgL_arg3388z00_920, BgL_arg3389z00_921);
				}
				return BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list3387z00_919);
			}
		}
	}



/* _obj->class-id3723 */
	obj_t BGl__objzd2ze3classzd2id3723ze3zzobject_toolsz00(obj_t BgL_envz00_1698,
		obj_t BgL_idz00_1699)
	{
		AN_OBJECT;
		{	/* Object/tools.scm 52 */
			return BGl_objzd2ze3classzd2idze3zzobject_toolsz00(BgL_idz00_1699);
		}
	}



/* class?-id */
	BGL_EXPORTED_DEF obj_t BGl_classzf3zd2idz21zzobject_toolsz00(obj_t
		BgL_idz00_3)
	{
		AN_OBJECT;
		{	/* Object/tools.scm 58 */
			{	/* Object/tools.scm 59 */
				obj_t BgL_list3390z00_922;

				{	/* Object/tools.scm 59 */
					obj_t BgL_arg3391z00_923;

					BgL_arg3391z00_923 = MAKE_PAIR(CNST_TABLE_REF(((long) 2)), BNIL);
					BgL_list3390z00_922 = MAKE_PAIR(BgL_idz00_3, BgL_arg3391z00_923);
				}
				return BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list3390z00_922);
			}
		}
	}



/* _class?-id3724 */
	obj_t BGl__classzf3zd2id3724z21zzobject_toolsz00(obj_t BgL_envz00_1700,
		obj_t BgL_idz00_1701)
	{
		AN_OBJECT;
		{	/* Object/tools.scm 58 */
			return BGl_classzf3zd2idz21zzobject_toolsz00(BgL_idz00_1701);
		}
	}



/* class->super-id */
	BGL_EXPORTED_DEF obj_t BGl_classzd2ze3superzd2idze3zzobject_toolsz00(obj_t
		BgL_classz00_4, obj_t BgL_superz00_5)
	{
		AN_OBJECT;
		{	/* Object/tools.scm 64 */
			{	/* Object/tools.scm 65 */
				obj_t BgL_list3392z00_924;

				{	/* Object/tools.scm 65 */
					obj_t BgL_arg3393z00_925;

					{	/* Object/tools.scm 65 */
						obj_t BgL_arg3394z00_926;
						obj_t BgL_arg3395z00_927;

						BgL_arg3394z00_926 = CNST_TABLE_REF(((long) 3));
						BgL_arg3395z00_927 = MAKE_PAIR(BgL_superz00_5, BNIL);
						BgL_arg3393z00_925 =
							MAKE_PAIR(BgL_arg3394z00_926, BgL_arg3395z00_927);
					}
					BgL_list3392z00_924 = MAKE_PAIR(BgL_classz00_4, BgL_arg3393z00_925);
				}
				return BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list3392z00_924);
			}
		}
	}



/* _class->super-id3725 */
	obj_t BGl__classzd2ze3superzd2id3725ze3zzobject_toolsz00(obj_t
		BgL_envz00_1702, obj_t BgL_classz00_1703, obj_t BgL_superz00_1704)
	{
		AN_OBJECT;
		{	/* Object/tools.scm 64 */
			return
				BGl_classzd2ze3superzd2idze3zzobject_toolsz00(BgL_classz00_1703,
				BgL_superz00_1704);
		}
	}



/* super->class-id */
	BGL_EXPORTED_DEF obj_t BGl_superzd2ze3classzd2idze3zzobject_toolsz00(obj_t
		BgL_superz00_6, obj_t BgL_classz00_7)
	{
		AN_OBJECT;
		{	/* Object/tools.scm 70 */
			{	/* Object/tools.scm 71 */
				obj_t BgL_list3396z00_928;

				{	/* Object/tools.scm 71 */
					obj_t BgL_arg3397z00_929;

					{	/* Object/tools.scm 71 */
						obj_t BgL_arg3398z00_930;
						obj_t BgL_arg3399z00_931;

						BgL_arg3398z00_930 = CNST_TABLE_REF(((long) 3));
						BgL_arg3399z00_931 = MAKE_PAIR(BgL_classz00_7, BNIL);
						BgL_arg3397z00_929 =
							MAKE_PAIR(BgL_arg3398z00_930, BgL_arg3399z00_931);
					}
					BgL_list3396z00_928 = MAKE_PAIR(BgL_superz00_6, BgL_arg3397z00_929);
				}
				return BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list3396z00_928);
			}
		}
	}



/* _super->class-id3726 */
	obj_t BGl__superzd2ze3classzd2id3726ze3zzobject_toolsz00(obj_t
		BgL_envz00_1705, obj_t BgL_superz00_1706, obj_t BgL_classz00_1707)
	{
		AN_OBJECT;
		{	/* Object/tools.scm 70 */
			return
				BGl_superzd2ze3classzd2idze3zzobject_toolsz00(BgL_superz00_1706,
				BgL_classz00_1707);
		}
	}



/* make-pragma-direct-ref */
	obj_t BGl_makezd2pragmazd2directzd2refzd2zzobject_toolsz00(BgL_typez00_bglt
		BgL_typez00_8, BgL_slotz00_bglt BgL_slotz00_9, obj_t BgL_objz00_10)
	{
		AN_OBJECT;
		{	/* Object/tools.scm 76 */
			{	/* Object/tools.scm 77 */
				bool_t BgL_testz00_1807;

				{	/* Object/tools.scm 77 */
					obj_t BgL_arg3450z00_981;

					BgL_arg3450z00_981 = BGl_thezd2backendzd2zzbackend_backendz00();
					{	/* Object/tools.scm 77 */
						BgL_backendz00_bglt BgL_obj1335z00_1627;

						BgL_obj1335z00_1627 = (BgL_backendz00_bglt) (BgL_arg3450z00_981);
						BgL_testz00_1807 =
							(((BgL_backendz00_bglt) CREF(BgL_obj1335z00_1627))->
							BgL_pragmazd2supportzd2);
					}
				}
				if (BgL_testz00_1807)
					{	/* Object/tools.scm 82 */
						obj_t BgL_arg3401z00_933;
						obj_t BgL_arg3402z00_934;

						{	/* Object/tools.scm 82 */
							obj_t BgL_arg3403z00_935;
							obj_t BgL_arg3404z00_936;

							BgL_arg3403z00_935 = CNST_TABLE_REF(((long) 4));
							{	/* Object/tools.scm 82 */
								BgL_typez00_bglt BgL_obj1351z00_1629;

								{	/* Object/tools.scm 82 */
									obj_t BgL_auxz00_1812;

									BgL_auxz00_1812 =
										(((BgL_slotz00_bglt) CREF(BgL_slotz00_9))->BgL_typez00);
									BgL_obj1351z00_1629 = (BgL_typez00_bglt) (BgL_auxz00_1812);
								}
								BgL_arg3404z00_936 =
									(((BgL_typez00_bglt) CREF(BgL_obj1351z00_1629))->BgL_idz00);
							}
							BgL_arg3401z00_933 =
								BGl_makezd2typedzd2identz00zzast_identz00(BgL_arg3403z00_935,
								BgL_arg3404z00_936);
						}
						{	/* Object/tools.scm 83 */
							obj_t BgL_arg3406z00_938;
							obj_t BgL_arg3407z00_939;

							{	/* Object/tools.scm 83 */
								obj_t BgL_arg3412z00_944;
								obj_t BgL_arg3413z00_945;

								BgL_arg3412z00_944 = CNST_TABLE_REF(((long) 5));
								{	/* Object/tools.scm 83 */
									obj_t BgL_arg3414z00_946;

									{	/* Object/tools.scm 83 */
										obj_t BgL_arg3418z00_949;
										obj_t BgL_arg3419z00_950;

										BgL_arg3418z00_949 = CNST_TABLE_REF(((long) 6));
										{	/* Object/tools.scm 83 */
											obj_t BgL_arg3420z00_951;

											{	/* Object/tools.scm 83 */
												obj_t BgL_arg3423z00_954;

												{	/* Object/tools.scm 83 */
													obj_t BgL_arg3425z00_956;
													obj_t BgL_arg3426z00_957;
													obj_t BgL_arg3427z00_958;

													BgL_arg3425z00_956 =
														(((BgL_typez00_bglt) CREF(BgL_typez00_8))->
														BgL_idz00);
													BgL_arg3426z00_957 = CNST_TABLE_REF(((long) 7));
													BgL_arg3427z00_958 =
														(((BgL_slotz00_bglt) CREF(BgL_slotz00_9))->
														BgL_idz00);
													{	/* Object/tools.scm 83 */
														obj_t BgL_list3428z00_959;

														{	/* Object/tools.scm 83 */
															obj_t BgL_arg3429z00_960;

															{	/* Object/tools.scm 83 */
																obj_t BgL_arg3430z00_961;

																BgL_arg3430z00_961 =
																	MAKE_PAIR(BgL_arg3427z00_958, BNIL);
																BgL_arg3429z00_960 =
																	MAKE_PAIR(BgL_arg3426z00_957,
																	BgL_arg3430z00_961);
															}
															BgL_list3428z00_959 =
																MAKE_PAIR(BgL_arg3425z00_956,
																BgL_arg3429z00_960);
														}
														BgL_arg3423z00_954 =
															BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
															(BgL_list3428z00_959);
												}}
												BgL_arg3420z00_951 =
													MAKE_PAIR(BgL_arg3423z00_954, BNIL);
											}
											{	/* Object/tools.scm 83 */
												obj_t BgL_list3422z00_953;

												BgL_list3422z00_953 = MAKE_PAIR(BNIL, BNIL);
												BgL_arg3419z00_950 =
													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
													(BgL_arg3420z00_951, BgL_list3422z00_953);
										}}
										BgL_arg3414z00_946 =
											MAKE_PAIR(BgL_arg3418z00_949, BgL_arg3419z00_950);
									}
									{	/* Object/tools.scm 83 */
										obj_t BgL_list3416z00_948;

										BgL_list3416z00_948 = MAKE_PAIR(BNIL, BNIL);
										BgL_arg3413z00_945 =
											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
											(BgL_arg3414z00_946, BgL_list3416z00_948);
								}}
								BgL_arg3406z00_938 =
									MAKE_PAIR(BgL_arg3412z00_944, BgL_arg3413z00_945);
							}
							{	/* Object/tools.scm 84 */
								obj_t BgL_arg3432z00_963;
								obj_t BgL_arg3434z00_965;

								BgL_arg3432z00_963 =
									BGl_typezd2classzd2namez00zzobject_classz00(BgL_typez00_8);
								BgL_arg3434z00_965 =
									(((BgL_slotz00_bglt) CREF(BgL_slotz00_9))->BgL_namez00);
								{	/* Object/tools.scm 84 */
									obj_t BgL_list3436z00_967;

									{	/* Object/tools.scm 84 */
										obj_t BgL_arg3437z00_968;

										{	/* Object/tools.scm 84 */
											obj_t BgL_arg3438z00_969;

											{	/* Object/tools.scm 84 */
												obj_t BgL_arg3439z00_970;

												{	/* Object/tools.scm 84 */
													obj_t BgL_arg3440z00_971;

													BgL_arg3440z00_971 =
														MAKE_PAIR(BGl_string3734z00zzobject_toolsz00, BNIL);
													BgL_arg3439z00_970 =
														MAKE_PAIR(BgL_arg3434z00_965, BgL_arg3440z00_971);
												}
												BgL_arg3438z00_969 =
													MAKE_PAIR(BGl_string3735z00zzobject_toolsz00,
													BgL_arg3439z00_970);
											}
											BgL_arg3437z00_968 =
												MAKE_PAIR(BgL_arg3432z00_963, BgL_arg3438z00_969);
										}
										BgL_list3436z00_967 =
											MAKE_PAIR(BGl_string3736z00zzobject_toolsz00,
											BgL_arg3437z00_968);
									}
									BgL_arg3407z00_939 =
										BGl_stringzd2appendzd2zz__r4_strings_6_7z00
										(BgL_list3436z00_967);
							}}
							{	/* Object/tools.scm 82 */
								obj_t BgL_list3409z00_941;

								{	/* Object/tools.scm 82 */
									obj_t BgL_arg3410z00_942;

									{	/* Object/tools.scm 82 */
										obj_t BgL_arg3411z00_943;

										BgL_arg3411z00_943 = MAKE_PAIR(BNIL, BNIL);
										BgL_arg3410z00_942 =
											MAKE_PAIR(BgL_objz00_10, BgL_arg3411z00_943);
									}
									BgL_list3409z00_941 =
										MAKE_PAIR(BgL_arg3407z00_939, BgL_arg3410z00_942);
								}
								BgL_arg3402z00_934 =
									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
									(BgL_arg3406z00_938, BgL_list3409z00_941);
						}}
						return MAKE_PAIR(BgL_arg3401z00_933, BgL_arg3402z00_934);
					}
				else
					{	/* Object/tools.scm 78 */
						obj_t BgL_arg3441z00_972;
						obj_t BgL_arg3442z00_973;
						obj_t BgL_arg3443z00_974;
						obj_t BgL_arg3444z00_975;

						BgL_arg3441z00_972 = CNST_TABLE_REF(((long) 8));
						{	/* Object/tools.scm 79 */
							BgL_typez00_bglt BgL_obj1351z00_1634;

							{	/* Object/tools.scm 79 */
								obj_t BgL_auxz00_1847;

								BgL_auxz00_1847 =
									(((BgL_slotz00_bglt) CREF(BgL_slotz00_9))->BgL_typez00);
								BgL_obj1351z00_1634 = (BgL_typez00_bglt) (BgL_auxz00_1847);
							}
							BgL_arg3442z00_973 =
								(((BgL_typez00_bglt) CREF(BgL_obj1351z00_1634))->BgL_idz00);
						}
						{	/* Object/tools.scm 80 */
							obj_t BgL_arg3449z00_980;

							BgL_arg3449z00_980 =
								BGl_realzd2slotzd2classzd2ownerzd2zzobject_toolsz00
								(BgL_slotz00_9);
							{	/* Object/tools.scm 80 */
								BgL_typez00_bglt BgL_obj1351z00_1635;

								BgL_obj1351z00_1635 = (BgL_typez00_bglt) (BgL_arg3449z00_980);
								BgL_arg3443z00_974 =
									(((BgL_typez00_bglt) CREF(BgL_obj1351z00_1635))->BgL_idz00);
						}}
						BgL_arg3444z00_975 =
							(((BgL_slotz00_bglt) CREF(BgL_slotz00_9))->BgL_namez00);
						{	/* Object/tools.scm 78 */
							obj_t BgL_list3445z00_976;

							{	/* Object/tools.scm 78 */
								obj_t BgL_arg3446z00_977;

								{	/* Object/tools.scm 78 */
									obj_t BgL_arg3447z00_978;

									BgL_arg3447z00_978 = MAKE_PAIR(BgL_objz00_10, BNIL);
									BgL_arg3446z00_977 =
										MAKE_PAIR(BgL_arg3444z00_975, BgL_arg3447z00_978);
								}
								BgL_list3445z00_976 =
									MAKE_PAIR(BgL_arg3443z00_974, BgL_arg3446z00_977);
							}
							return
								BGl_makezd2privatezd2sexpz00zzast_privatez00(BgL_arg3441z00_972,
								BgL_arg3442z00_973, BgL_list3445z00_976);
						}
					}
			}
		}
	}



/* make-pragma-direct-ref/widening */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2pragmazd2directzd2refzf2wideningz20zzobject_toolsz00
		(BgL_typez00_bglt BgL_typez00_11, BgL_slotz00_bglt BgL_slotz00_12,
		obj_t BgL_objz00_13, obj_t BgL_wideningz00_14)
	{
		AN_OBJECT;
		{	/* Object/tools.scm 91 */
			if (CBOOL(BgL_wideningz00_14))
				{	/* Object/tools.scm 94 */
					obj_t BgL_arg3451z00_982;

					{	/* Object/tools.scm 94 */
						obj_t BgL_arg3452z00_983;
						obj_t BgL_arg3453z00_984;

						BgL_arg3452z00_983 = CNST_TABLE_REF(((long) 9));
						{	/* Object/tools.scm 94 */
							obj_t BgL_list3454z00_985;

							BgL_list3454z00_985 = MAKE_PAIR(BNIL, BNIL);
							BgL_arg3453z00_984 =
								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_objz00_13,
								BgL_list3454z00_985);
						}
						BgL_arg3451z00_982 =
							MAKE_PAIR(BgL_arg3452z00_983, BgL_arg3453z00_984);
					}
					return
						BGl_makezd2pragmazd2directzd2refzd2zzobject_toolsz00(BgL_typez00_11,
						BgL_slotz00_12, BgL_arg3451z00_982);
				}
			else
				{	/* Object/tools.scm 92 */
					return
						BGl_makezd2pragmazd2directzd2refzd2zzobject_toolsz00(BgL_typez00_11,
						BgL_slotz00_12, BgL_objz00_13);
				}
		}
	}



/* _make-pragma-direct-3727 */
	obj_t BGl__makezd2pragmazd2directzd23727zd2zzobject_toolsz00(obj_t
		BgL_envz00_1708, obj_t BgL_typez00_1709, obj_t BgL_slotz00_1710,
		obj_t BgL_objz00_1711, obj_t BgL_wideningz00_1712)
	{
		AN_OBJECT;
		{	/* Object/tools.scm 91 */
			return
				BGl_makezd2pragmazd2directzd2refzf2wideningz20zzobject_toolsz00(
				(BgL_typez00_bglt) (BgL_typez00_1709),
				(BgL_slotz00_bglt) (BgL_slotz00_1710), BgL_objz00_1711,
				BgL_wideningz00_1712);
		}
	}



/* make-pragma-direct-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2pragmazd2directzd2setz12zc0zzobject_toolsz00(BgL_typez00_bglt
		BgL_typez00_15, BgL_slotz00_bglt BgL_slotz00_16, obj_t BgL_objz00_17,
		obj_t BgL_valz00_18)
	{
		AN_OBJECT;
		{	/* Object/tools.scm 99 */
			{	/* Object/tools.scm 100 */
				bool_t BgL_testz00_1870;

				{	/* Object/tools.scm 100 */
					obj_t BgL_arg3508z00_1039;

					BgL_arg3508z00_1039 = BGl_thezd2backendzd2zzbackend_backendz00();
					{	/* Object/tools.scm 100 */
						BgL_backendz00_bglt BgL_obj1335z00_1637;

						BgL_obj1335z00_1637 = (BgL_backendz00_bglt) (BgL_arg3508z00_1039);
						BgL_testz00_1870 =
							(((BgL_backendz00_bglt) CREF(BgL_obj1335z00_1637))->
							BgL_pragmazd2supportzd2);
					}
				}
				if (BgL_testz00_1870)
					{	/* Object/tools.scm 105 */
						obj_t BgL_arg3456z00_987;
						obj_t BgL_arg3457z00_988;

						BgL_arg3456z00_987 = CNST_TABLE_REF(((long) 10));
						{	/* Object/tools.scm 106 */
							obj_t BgL_arg3458z00_989;
							obj_t BgL_arg3459z00_990;

							{	/* Object/tools.scm 106 */
								obj_t BgL_arg3465z00_996;
								obj_t BgL_arg3466z00_997;

								BgL_arg3465z00_996 = CNST_TABLE_REF(((long) 5));
								{	/* Object/tools.scm 106 */
									obj_t BgL_arg3467z00_998;

									{	/* Object/tools.scm 106 */
										obj_t BgL_arg3470z00_1001;
										obj_t BgL_arg3471z00_1002;

										BgL_arg3470z00_1001 = CNST_TABLE_REF(((long) 11));
										{	/* Object/tools.scm 106 */
											obj_t BgL_arg3472z00_1003;

											{	/* Object/tools.scm 106 */
												obj_t BgL_arg3475z00_1006;

												{	/* Object/tools.scm 106 */
													obj_t BgL_arg3477z00_1008;
													obj_t BgL_arg3478z00_1009;
													obj_t BgL_arg3479z00_1010;

													BgL_arg3477z00_1008 =
														(((BgL_typez00_bglt) CREF(BgL_typez00_15))->
														BgL_idz00);
													BgL_arg3478z00_1009 = CNST_TABLE_REF(((long) 7));
													BgL_arg3479z00_1010 =
														(((BgL_slotz00_bglt) CREF(BgL_slotz00_16))->
														BgL_idz00);
													{	/* Object/tools.scm 106 */
														obj_t BgL_list3480z00_1011;

														{	/* Object/tools.scm 106 */
															obj_t BgL_arg3481z00_1012;

															{	/* Object/tools.scm 106 */
																obj_t BgL_arg3482z00_1013;

																BgL_arg3482z00_1013 =
																	MAKE_PAIR(BgL_arg3479z00_1010, BNIL);
																BgL_arg3481z00_1012 =
																	MAKE_PAIR(BgL_arg3478z00_1009,
																	BgL_arg3482z00_1013);
															}
															BgL_list3480z00_1011 =
																MAKE_PAIR(BgL_arg3477z00_1008,
																BgL_arg3481z00_1012);
														}
														BgL_arg3475z00_1006 =
															BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
															(BgL_list3480z00_1011);
												}}
												BgL_arg3472z00_1003 =
													MAKE_PAIR(BgL_arg3475z00_1006, BNIL);
											}
											{	/* Object/tools.scm 106 */
												obj_t BgL_list3474z00_1005;

												BgL_list3474z00_1005 = MAKE_PAIR(BNIL, BNIL);
												BgL_arg3471z00_1002 =
													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
													(BgL_arg3472z00_1003, BgL_list3474z00_1005);
										}}
										BgL_arg3467z00_998 =
											MAKE_PAIR(BgL_arg3470z00_1001, BgL_arg3471z00_1002);
									}
									{	/* Object/tools.scm 106 */
										obj_t BgL_list3469z00_1000;

										BgL_list3469z00_1000 = MAKE_PAIR(BNIL, BNIL);
										BgL_arg3466z00_997 =
											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
											(BgL_arg3467z00_998, BgL_list3469z00_1000);
								}}
								BgL_arg3458z00_989 =
									MAKE_PAIR(BgL_arg3465z00_996, BgL_arg3466z00_997);
							}
							{	/* Object/tools.scm 107 */
								obj_t BgL_arg3484z00_1015;
								obj_t BgL_arg3486z00_1017;
								obj_t BgL_arg3488z00_1019;

								BgL_arg3484z00_1015 =
									BGl_typezd2classzd2namez00zzobject_classz00(BgL_typez00_15);
								BgL_arg3486z00_1017 =
									(((BgL_slotz00_bglt) CREF(BgL_slotz00_16))->BgL_namez00);
								{	/* Object/tools.scm 108 */
									obj_t BgL_arg3497z00_1028;

									BgL_arg3497z00_1028 =
										(((BgL_slotz00_bglt) CREF(BgL_slotz00_16))->BgL_typez00);
									BgL_arg3488z00_1019 =
										BGl_typezd2classzd2namez00zzobject_classz00(
										(BgL_typez00_bglt) (BgL_arg3497z00_1028));
								}
								{	/* Object/tools.scm 107 */
									obj_t BgL_list3490z00_1021;

									{	/* Object/tools.scm 107 */
										obj_t BgL_arg3491z00_1022;

										{	/* Object/tools.scm 107 */
											obj_t BgL_arg3492z00_1023;

											{	/* Object/tools.scm 107 */
												obj_t BgL_arg3493z00_1024;

												{	/* Object/tools.scm 107 */
													obj_t BgL_arg3494z00_1025;

													{	/* Object/tools.scm 107 */
														obj_t BgL_arg3495z00_1026;

														{	/* Object/tools.scm 107 */
															obj_t BgL_arg3496z00_1027;

															BgL_arg3496z00_1027 =
																MAKE_PAIR(BGl_string3737z00zzobject_toolsz00,
																BNIL);
															BgL_arg3495z00_1026 =
																MAKE_PAIR(BgL_arg3488z00_1019,
																BgL_arg3496z00_1027);
														}
														BgL_arg3494z00_1025 =
															MAKE_PAIR(BGl_string3738z00zzobject_toolsz00,
															BgL_arg3495z00_1026);
													}
													BgL_arg3493z00_1024 =
														MAKE_PAIR(BgL_arg3486z00_1017, BgL_arg3494z00_1025);
												}
												BgL_arg3492z00_1023 =
													MAKE_PAIR(BGl_string3735z00zzobject_toolsz00,
													BgL_arg3493z00_1024);
											}
											BgL_arg3491z00_1022 =
												MAKE_PAIR(BgL_arg3484z00_1015, BgL_arg3492z00_1023);
										}
										BgL_list3490z00_1021 =
											MAKE_PAIR(BGl_string3739z00zzobject_toolsz00,
											BgL_arg3491z00_1022);
									}
									BgL_arg3459z00_990 =
										BGl_stringzd2appendzd2zz__r4_strings_6_7z00
										(BgL_list3490z00_1021);
							}}
							{	/* Object/tools.scm 105 */
								obj_t BgL_list3461z00_992;

								{	/* Object/tools.scm 105 */
									obj_t BgL_arg3462z00_993;

									{	/* Object/tools.scm 105 */
										obj_t BgL_arg3463z00_994;

										{	/* Object/tools.scm 105 */
											obj_t BgL_arg3464z00_995;

											BgL_arg3464z00_995 = MAKE_PAIR(BNIL, BNIL);
											BgL_arg3463z00_994 =
												MAKE_PAIR(BgL_valz00_18, BgL_arg3464z00_995);
										}
										BgL_arg3462z00_993 =
											MAKE_PAIR(BgL_objz00_17, BgL_arg3463z00_994);
									}
									BgL_list3461z00_992 =
										MAKE_PAIR(BgL_arg3459z00_990, BgL_arg3462z00_993);
								}
								BgL_arg3457z00_988 =
									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
									(BgL_arg3458z00_989, BgL_list3461z00_992);
						}}
						return MAKE_PAIR(BgL_arg3456z00_987, BgL_arg3457z00_988);
					}
				else
					{	/* Object/tools.scm 101 */
						obj_t BgL_arg3498z00_1029;
						obj_t BgL_arg3499z00_1030;
						obj_t BgL_arg3500z00_1031;
						obj_t BgL_arg3501z00_1032;

						BgL_arg3498z00_1029 = CNST_TABLE_REF(((long) 12));
						{	/* Object/tools.scm 102 */
							BgL_typez00_bglt BgL_obj1351z00_1643;

							{	/* Object/tools.scm 102 */
								obj_t BgL_auxz00_1911;

								BgL_auxz00_1911 =
									(((BgL_slotz00_bglt) CREF(BgL_slotz00_16))->BgL_typez00);
								BgL_obj1351z00_1643 = (BgL_typez00_bglt) (BgL_auxz00_1911);
							}
							BgL_arg3499z00_1030 =
								(((BgL_typez00_bglt) CREF(BgL_obj1351z00_1643))->BgL_idz00);
						}
						{	/* Object/tools.scm 103 */
							obj_t BgL_arg3507z00_1038;

							BgL_arg3507z00_1038 =
								BGl_realzd2slotzd2classzd2ownerzd2zzobject_toolsz00
								(BgL_slotz00_16);
							{	/* Object/tools.scm 103 */
								BgL_typez00_bglt BgL_obj1351z00_1644;

								BgL_obj1351z00_1644 = (BgL_typez00_bglt) (BgL_arg3507z00_1038);
								BgL_arg3500z00_1031 =
									(((BgL_typez00_bglt) CREF(BgL_obj1351z00_1644))->BgL_idz00);
						}}
						BgL_arg3501z00_1032 =
							(((BgL_slotz00_bglt) CREF(BgL_slotz00_16))->BgL_namez00);
						{	/* Object/tools.scm 101 */
							obj_t BgL_list3502z00_1033;

							{	/* Object/tools.scm 101 */
								obj_t BgL_arg3503z00_1034;

								{	/* Object/tools.scm 101 */
									obj_t BgL_arg3504z00_1035;

									{	/* Object/tools.scm 101 */
										obj_t BgL_arg3505z00_1036;

										BgL_arg3505z00_1036 = MAKE_PAIR(BgL_valz00_18, BNIL);
										BgL_arg3504z00_1035 =
											MAKE_PAIR(BgL_objz00_17, BgL_arg3505z00_1036);
									}
									BgL_arg3503z00_1034 =
										MAKE_PAIR(BgL_arg3501z00_1032, BgL_arg3504z00_1035);
								}
								BgL_list3502z00_1033 =
									MAKE_PAIR(BgL_arg3500z00_1031, BgL_arg3503z00_1034);
							}
							return
								BGl_makezd2privatezd2sexpz00zzast_privatez00
								(BgL_arg3498z00_1029, BgL_arg3499z00_1030,
								BgL_list3502z00_1033);
						}
					}
			}
		}
	}



/* _make-pragma-direct-3728 */
	obj_t BGl__makezd2pragmazd2directzd23728zd2zzobject_toolsz00(obj_t
		BgL_envz00_1713, obj_t BgL_typez00_1714, obj_t BgL_slotz00_1715,
		obj_t BgL_objz00_1716, obj_t BgL_valz00_1717)
	{
		AN_OBJECT;
		{	/* Object/tools.scm 99 */
			return
				BGl_makezd2pragmazd2directzd2setz12zc0zzobject_toolsz00(
				(BgL_typez00_bglt) (BgL_typez00_1714),
				(BgL_slotz00_bglt) (BgL_slotz00_1715), BgL_objz00_1716,
				BgL_valz00_1717);
		}
	}



/* make-pragma-direct-set!/widening */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2pragmazd2directzd2setz12zf2wideningz32zzobject_toolsz00
		(BgL_typez00_bglt BgL_typez00_19, BgL_slotz00_bglt BgL_slotz00_20,
		obj_t BgL_objz00_21, obj_t BgL_valz00_22, obj_t BgL_wideningz00_23)
	{
		AN_OBJECT;
		{	/* Object/tools.scm 115 */
			if (CBOOL(BgL_wideningz00_23))
				{	/* Object/tools.scm 118 */
					obj_t BgL_arg3509z00_1646;

					{	/* Object/tools.scm 118 */
						obj_t BgL_arg3510z00_1647;
						obj_t BgL_arg3511z00_1648;

						BgL_arg3510z00_1647 = CNST_TABLE_REF(((long) 9));
						{	/* Object/tools.scm 118 */
							obj_t BgL_list3512z00_1649;

							BgL_list3512z00_1649 = MAKE_PAIR(BNIL, BNIL);
							BgL_arg3511z00_1648 =
								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_objz00_21,
								BgL_list3512z00_1649);
						}
						BgL_arg3509z00_1646 =
							MAKE_PAIR(BgL_arg3510z00_1647, BgL_arg3511z00_1648);
					}
					return
						BGl_makezd2pragmazd2directzd2setz12zc0zzobject_toolsz00
						(BgL_typez00_19, BgL_slotz00_20, BgL_arg3509z00_1646,
						BgL_valz00_22);
				}
			else
				{	/* Object/tools.scm 116 */
					return
						BGl_makezd2pragmazd2directzd2setz12zc0zzobject_toolsz00
						(BgL_typez00_19, BgL_slotz00_20, BgL_objz00_21, BgL_valz00_22);
				}
		}
	}



/* _make-pragma-direct-3729 */
	obj_t BGl__makezd2pragmazd2directzd23729zd2zzobject_toolsz00(obj_t
		BgL_envz00_1718, obj_t BgL_typez00_1719, obj_t BgL_slotz00_1720,
		obj_t BgL_objz00_1721, obj_t BgL_valz00_1722, obj_t BgL_wideningz00_1723)
	{
		AN_OBJECT;
		{	/* Object/tools.scm 115 */
			return
				BGl_makezd2pragmazd2directzd2setz12zf2wideningz32zzobject_toolsz00(
				(BgL_typez00_bglt) (BgL_typez00_1719),
				(BgL_slotz00_bglt) (BgL_slotz00_1720), BgL_objz00_1721, BgL_valz00_1722,
				BgL_wideningz00_1723);
		}
	}



/* make-pragma-indexed-ref */
	obj_t BGl_makezd2pragmazd2indexedzd2refzd2zzobject_toolsz00(BgL_typez00_bglt
		BgL_typez00_24, BgL_slotz00_bglt BgL_slotz00_25, obj_t BgL_objz00_26,
		obj_t BgL_indexz00_27)
	{
		AN_OBJECT;
		{	/* Object/tools.scm 123 */
			{

				{	/* Object/tools.scm 146 */
					bool_t BgL_testz00_1938;

					{	/* Object/tools.scm 146 */
						obj_t BgL_arg3514z00_1047;

						BgL_arg3514z00_1047 = BGl_thezd2backendzd2zzbackend_backendz00();
						{	/* Object/tools.scm 146 */
							BgL_backendz00_bglt BgL_obj1335z00_1650;

							BgL_obj1335z00_1650 = (BgL_backendz00_bglt) (BgL_arg3514z00_1047);
							BgL_testz00_1938 =
								(((BgL_backendz00_bglt) CREF(BgL_obj1335z00_1650))->
								BgL_pragmazd2supportzd2);
						}
					}
					if (BgL_testz00_1938)
						{	/* Object/tools.scm 146 */
							{	/* Object/tools.scm 125 */
								obj_t BgL_arg3535z00_1071;
								obj_t BgL_arg3536z00_1072;

								{	/* Object/tools.scm 125 */
									obj_t BgL_arg3537z00_1073;
									obj_t BgL_arg3538z00_1074;

									BgL_arg3537z00_1073 = CNST_TABLE_REF(((long) 14));
									{	/* Object/tools.scm 125 */
										BgL_typez00_bglt BgL_obj1351z00_1660;

										{	/* Object/tools.scm 125 */
											obj_t BgL_auxz00_1943;

											BgL_auxz00_1943 =
												(((BgL_slotz00_bglt) CREF(BgL_slotz00_25))->
												BgL_typez00);
											BgL_obj1351z00_1660 =
												(BgL_typez00_bglt) (BgL_auxz00_1943);
										}
										BgL_arg3538z00_1074 =
											(((BgL_typez00_bglt) CREF(BgL_obj1351z00_1660))->
											BgL_idz00);
									}
									BgL_arg3535z00_1071 =
										BGl_makezd2typedzd2identz00zzast_identz00
										(BgL_arg3537z00_1073, BgL_arg3538z00_1074);
								}
								{	/* Object/tools.scm 126 */
									obj_t BgL_arg3540z00_1076;

									{	/* Object/tools.scm 126 */
										obj_t BgL_arg3546z00_1082;
										obj_t BgL_arg3548z00_1084;

										BgL_arg3546z00_1082 =
											BGl_typezd2classzd2namez00zzobject_classz00
											(BgL_typez00_24);
										BgL_arg3548z00_1084 =
											(((BgL_slotz00_bglt) CREF(BgL_slotz00_25))->BgL_namez00);
										{	/* Object/tools.scm 126 */
											obj_t BgL_list3550z00_1086;

											{	/* Object/tools.scm 126 */
												obj_t BgL_arg3551z00_1087;

												{	/* Object/tools.scm 126 */
													obj_t BgL_arg3552z00_1088;

													{	/* Object/tools.scm 126 */
														obj_t BgL_arg3553z00_1089;

														{	/* Object/tools.scm 126 */
															obj_t BgL_arg3554z00_1090;

															BgL_arg3554z00_1090 =
																MAKE_PAIR(BGl_string3741z00zzobject_toolsz00,
																BNIL);
															BgL_arg3553z00_1089 =
																MAKE_PAIR(BgL_arg3548z00_1084,
																BgL_arg3554z00_1090);
														}
														BgL_arg3552z00_1088 =
															MAKE_PAIR(BGl_string3735z00zzobject_toolsz00,
															BgL_arg3553z00_1089);
													}
													BgL_arg3551z00_1087 =
														MAKE_PAIR(BgL_arg3546z00_1082, BgL_arg3552z00_1088);
												}
												BgL_list3550z00_1086 =
													MAKE_PAIR(BGl_string3736z00zzobject_toolsz00,
													BgL_arg3551z00_1087);
											}
											BgL_arg3540z00_1076 =
												BGl_stringzd2appendzd2zz__r4_strings_6_7z00
												(BgL_list3550z00_1086);
									}}
									{	/* Object/tools.scm 125 */
										obj_t BgL_list3542z00_1078;

										{	/* Object/tools.scm 125 */
											obj_t BgL_arg3543z00_1079;

											{	/* Object/tools.scm 125 */
												obj_t BgL_arg3544z00_1080;

												BgL_arg3544z00_1080 = MAKE_PAIR(BNIL, BNIL);
												BgL_arg3543z00_1079 =
													MAKE_PAIR(BgL_indexz00_27, BgL_arg3544z00_1080);
											}
											BgL_list3542z00_1078 =
												MAKE_PAIR(BgL_objz00_26, BgL_arg3543z00_1079);
										}
										BgL_arg3536z00_1072 =
											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
											(BgL_arg3540z00_1076, BgL_list3542z00_1078);
								}}
								return MAKE_PAIR(BgL_arg3535z00_1071, BgL_arg3536z00_1072);
							}
						}
					else
						{	/* Object/tools.scm 146 */
							{	/* Object/tools.scm 133 */
								obj_t BgL_ftypezd2idzd2_1050;

								{	/* Object/tools.scm 133 */
									BgL_typez00_bglt BgL_obj1351z00_1652;

									{	/* Object/tools.scm 133 */
										obj_t BgL_auxz00_1961;

										BgL_auxz00_1961 =
											(((BgL_slotz00_bglt) CREF(BgL_slotz00_25))->
											BgL_indexedz00);
										BgL_obj1351z00_1652 = (BgL_typez00_bglt) (BgL_auxz00_1961);
									}
									BgL_ftypezd2idzd2_1050 =
										(((BgL_typez00_bglt) CREF(BgL_obj1351z00_1652))->BgL_idz00);
								}
								{	/* Object/tools.scm 133 */
									obj_t BgL_fieldz00_1051;

									{	/* Object/tools.scm 134 */
										obj_t BgL_arg3526z00_1062;
										obj_t BgL_arg3527z00_1063;
										obj_t BgL_arg3528z00_1064;

										BgL_arg3526z00_1062 = CNST_TABLE_REF(((long) 8));
										{	/* Object/tools.scm 136 */
											BgL_typez00_bglt BgL_obj1351z00_1654;

											{	/* Object/tools.scm 136 */
												obj_t BgL_auxz00_1966;

												BgL_auxz00_1966 =
													(((BgL_slotz00_bglt) CREF(BgL_slotz00_25))->
													BgL_classzd2ownerzd2);
												BgL_obj1351z00_1654 =
													(BgL_typez00_bglt) (BgL_auxz00_1966);
											}
											BgL_arg3527z00_1063 =
												(((BgL_typez00_bglt) CREF(BgL_obj1351z00_1654))->
												BgL_idz00);
										}
										BgL_arg3528z00_1064 =
											(((BgL_slotz00_bglt) CREF(BgL_slotz00_25))->BgL_namez00);
										{	/* Object/tools.scm 134 */
											obj_t BgL_list3529z00_1065;

											{	/* Object/tools.scm 134 */
												obj_t BgL_arg3530z00_1066;

												{	/* Object/tools.scm 134 */
													obj_t BgL_arg3531z00_1067;

													BgL_arg3531z00_1067 = MAKE_PAIR(BgL_objz00_26, BNIL);
													BgL_arg3530z00_1066 =
														MAKE_PAIR(BgL_arg3528z00_1064, BgL_arg3531z00_1067);
												}
												BgL_list3529z00_1065 =
													MAKE_PAIR(BgL_arg3527z00_1063, BgL_arg3530z00_1066);
											}
											BgL_fieldz00_1051 =
												BGl_makezd2privatezd2sexpz00zzast_privatez00
												(BgL_arg3526z00_1062, BgL_ftypezd2idzd2_1050,
												BgL_list3529z00_1065);
									}}
									{	/* Object/tools.scm 134 */

										{	/* Object/tools.scm 139 */
											obj_t BgL_arg3516z00_1052;
											obj_t BgL_arg3517z00_1053;
											obj_t BgL_arg3518z00_1054;

											BgL_arg3516z00_1052 = CNST_TABLE_REF(((long) 13));
											{	/* Object/tools.scm 141 */
												BgL_typez00_bglt BgL_obj1351z00_1657;

												{	/* Object/tools.scm 141 */
													obj_t BgL_auxz00_1976;

													BgL_auxz00_1976 =
														(((BgL_slotz00_bglt) CREF(BgL_slotz00_25))->
														BgL_typez00);
													BgL_obj1351z00_1657 =
														(BgL_typez00_bglt) (BgL_auxz00_1976);
												}
												BgL_arg3517z00_1053 =
													(((BgL_typez00_bglt) CREF(BgL_obj1351z00_1657))->
													BgL_idz00);
											}
											{	/* Object/tools.scm 142 */
												BgL_typez00_bglt BgL_obj1351z00_1658;

												BgL_obj1351z00_1658 =
													(BgL_typez00_bglt) (BGl_za2intza2z00zztype_cachez00);
												BgL_arg3518z00_1054 =
													(((BgL_typez00_bglt) CREF(BgL_obj1351z00_1658))->
													BgL_idz00);
											}
											{	/* Object/tools.scm 139 */
												obj_t BgL_list3520z00_1056;

												{	/* Object/tools.scm 139 */
													obj_t BgL_arg3521z00_1057;

													{	/* Object/tools.scm 139 */
														obj_t BgL_arg3522z00_1058;

														{	/* Object/tools.scm 139 */
															obj_t BgL_arg3523z00_1059;

															{	/* Object/tools.scm 139 */
																obj_t BgL_arg3524z00_1060;

																BgL_arg3524z00_1060 =
																	MAKE_PAIR(BgL_indexz00_27, BNIL);
																BgL_arg3523z00_1059 =
																	MAKE_PAIR(BgL_fieldz00_1051,
																	BgL_arg3524z00_1060);
															}
															BgL_arg3522z00_1058 =
																MAKE_PAIR(BGl_string3740z00zzobject_toolsz00,
																BgL_arg3523z00_1059);
														}
														BgL_arg3521z00_1057 =
															MAKE_PAIR(BgL_arg3518z00_1054,
															BgL_arg3522z00_1058);
													}
													BgL_list3520z00_1056 =
														MAKE_PAIR(BgL_arg3517z00_1053, BgL_arg3521z00_1057);
												}
												return
													BGl_makezd2privatezd2sexpz00zzast_privatez00
													(BgL_arg3516z00_1052, BgL_ftypezd2idzd2_1050,
													BgL_list3520z00_1056);
											}
										}
									}
								}
							}
						}
				}
			}
		}
	}



/* make-pragma-indexed-ref/widening */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2pragmazd2indexedzd2refzf2wideningz20zzobject_toolsz00
		(BgL_typez00_bglt BgL_typez00_28, BgL_slotz00_bglt BgL_slotz00_29,
		obj_t BgL_objz00_30, obj_t BgL_indexz00_31, obj_t BgL_wideningz00_32)
	{
		AN_OBJECT;
		{	/* Object/tools.scm 153 */
			if (CBOOL(BgL_wideningz00_32))
				{	/* Object/tools.scm 156 */
					obj_t BgL_arg3555z00_1662;

					{	/* Object/tools.scm 156 */
						obj_t BgL_arg3556z00_1663;
						obj_t BgL_arg3557z00_1664;

						BgL_arg3556z00_1663 = CNST_TABLE_REF(((long) 9));
						{	/* Object/tools.scm 156 */
							obj_t BgL_list3558z00_1665;

							BgL_list3558z00_1665 = MAKE_PAIR(BNIL, BNIL);
							BgL_arg3557z00_1664 =
								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_objz00_30,
								BgL_list3558z00_1665);
						}
						BgL_arg3555z00_1662 =
							MAKE_PAIR(BgL_arg3556z00_1663, BgL_arg3557z00_1664);
					}
					return
						BGl_makezd2pragmazd2indexedzd2refzd2zzobject_toolsz00
						(BgL_typez00_28, BgL_slotz00_29, BgL_arg3555z00_1662,
						BgL_indexz00_31);
				}
			else
				{	/* Object/tools.scm 154 */
					return
						BGl_makezd2pragmazd2indexedzd2refzd2zzobject_toolsz00
						(BgL_typez00_28, BgL_slotz00_29, BgL_objz00_30, BgL_indexz00_31);
				}
		}
	}



/* _make-pragma-indexed3730 */
	obj_t BGl__makezd2pragmazd2indexed3730z00zzobject_toolsz00(obj_t
		BgL_envz00_1724, obj_t BgL_typez00_1725, obj_t BgL_slotz00_1726,
		obj_t BgL_objz00_1727, obj_t BgL_indexz00_1728, obj_t BgL_wideningz00_1729)
	{
		AN_OBJECT;
		{	/* Object/tools.scm 153 */
			return
				BGl_makezd2pragmazd2indexedzd2refzf2wideningz20zzobject_toolsz00(
				(BgL_typez00_bglt) (BgL_typez00_1725),
				(BgL_slotz00_bglt) (BgL_slotz00_1726), BgL_objz00_1727,
				BgL_indexz00_1728, BgL_wideningz00_1729);
		}
	}



/* c-allocate-indexed-slot */
	obj_t BGl_czd2allocatezd2indexedzd2slotzd2zzobject_toolsz00(BgL_typez00_bglt
		BgL_typez00_33, obj_t BgL_lenz00_34)
	{
		AN_OBJECT;
		{	/* Object/tools.scm 161 */
			{	/* Object/tools.scm 162 */
				obj_t BgL_tidz00_1097;
				obj_t BgL_tnamez00_1098;
				obj_t BgL_siza7eofza7_1099;

				BgL_tidz00_1097 =
					(((BgL_typez00_bglt) CREF(BgL_typez00_33))->BgL_idz00);
				BgL_tnamez00_1098 =
					BGl_stringzd2sanszd2z42z42zztype_toolsz00
					(BGl_typezd2classzd2namez00zzobject_classz00(BgL_typez00_33));
				{	/* Object/tools.scm 164 */
					bool_t BgL_testz00_2002;

					{	/* Object/tools.scm 164 */
						obj_t BgL_auxz00_2003;

						BgL_auxz00_2003 =
							(((BgL_typez00_bglt) CREF(BgL_typez00_33))->BgL_siza7eza7);
						BgL_testz00_2002 = STRINGP(BgL_auxz00_2003);
					}
					if (BgL_testz00_2002)
						{	/* Object/tools.scm 164 */
							BgL_siza7eofza7_1099 =
								(((BgL_typez00_bglt) CREF(BgL_typez00_33))->BgL_siza7eza7);
						}
					else
						{	/* Object/tools.scm 164 */
							BgL_siza7eofza7_1099 =
								BGl_typezd2classzd2namez00zzobject_classz00(BgL_typez00_33);
						}
				}
				{	/* Object/tools.scm 167 */
					obj_t BgL_arg3559z00_1100;
					obj_t BgL_arg3560z00_1101;

					BgL_arg3559z00_1100 =
						BGl_makezd2typedzd2identz00zzast_identz00(CNST_TABLE_REF(((long)
								14)), BgL_tidz00_1097);
					{	/* Object/tools.scm 168 */
						obj_t BgL_arg3561z00_1102;

						BgL_arg3561z00_1102 =
							string_append_3(BGl_string3742z00zzobject_toolsz00,
							BgL_siza7eofza7_1099, BGl_string3743z00zzobject_toolsz00);
						{	/* Object/tools.scm 167 */
							obj_t BgL_list3563z00_1104;

							{	/* Object/tools.scm 167 */
								obj_t BgL_arg3564z00_1105;

								BgL_arg3564z00_1105 = MAKE_PAIR(BNIL, BNIL);
								BgL_list3563z00_1104 =
									MAKE_PAIR(BgL_lenz00_34, BgL_arg3564z00_1105);
							}
							BgL_arg3560z00_1101 =
								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_arg3561z00_1102,
								BgL_list3563z00_1104);
					}}
					return MAKE_PAIR(BgL_arg3559z00_1100, BgL_arg3560z00_1101);
				}
			}
		}
	}



/* jvm-allocate-indexed-slot */
	obj_t BGl_jvmzd2allocatezd2indexedzd2slotzd2zzobject_toolsz00(obj_t
		BgL_vtypezd2idzd2_35, obj_t BgL_ftypezd2idzd2_36, obj_t BgL_lenz00_37)
	{
		AN_OBJECT;
		{	/* Object/tools.scm 173 */
			{	/* Object/tools.scm 174 */
				obj_t BgL_arg3568z00_1109;
				obj_t BgL_arg3569z00_1110;

				BgL_arg3568z00_1109 = CNST_TABLE_REF(((long) 15));
				{	/* Object/tools.scm 174 */
					BgL_typez00_bglt BgL_obj1351z00_1670;

					BgL_obj1351z00_1670 =
						(BgL_typez00_bglt) (BGl_za2intza2z00zztype_cachez00);
					BgL_arg3569z00_1110 =
						(((BgL_typez00_bglt) CREF(BgL_obj1351z00_1670))->BgL_idz00);
				}
				{	/* Object/tools.scm 174 */
					obj_t BgL_list3572z00_1113;

					{	/* Object/tools.scm 174 */
						obj_t BgL_arg3573z00_1114;

						{	/* Object/tools.scm 174 */
							obj_t BgL_arg3574z00_1115;

							{	/* Object/tools.scm 174 */
								obj_t BgL_arg3575z00_1116;

								{	/* Object/tools.scm 174 */
									obj_t BgL_arg3576z00_1117;

									{	/* Object/tools.scm 174 */
										obj_t BgL_arg3577z00_1118;

										BgL_arg3577z00_1118 = MAKE_PAIR(BgL_lenz00_37, BNIL);
										BgL_arg3576z00_1117 =
											MAKE_PAIR(BFALSE, BgL_arg3577z00_1118);
									}
									BgL_arg3575z00_1116 =
										MAKE_PAIR(BGl_string3740z00zzobject_toolsz00,
										BgL_arg3576z00_1117);
								}
								BgL_arg3574z00_1115 =
									MAKE_PAIR(BGl_string3740z00zzobject_toolsz00,
									BgL_arg3575z00_1116);
							}
							BgL_arg3573z00_1114 =
								MAKE_PAIR(BgL_arg3569z00_1110, BgL_arg3574z00_1115);
						}
						BgL_list3572z00_1113 =
							MAKE_PAIR(BgL_ftypezd2idzd2_36, BgL_arg3573z00_1114);
					}
					return
						BGl_makezd2privatezd2sexpz00zzast_privatez00(BgL_arg3568z00_1109,
						BgL_vtypezd2idzd2_35, BgL_list3572z00_1113);
				}
			}
		}
	}



/* make-pragma-indexed-init-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2pragmazd2indexedzd2initzd2setz12z12zzobject_toolsz00
		(BgL_typez00_bglt BgL_typez00_38, BgL_slotz00_bglt BgL_slotz00_39,
		obj_t BgL_objz00_40, obj_t BgL_lenz00_41)
	{
		AN_OBJECT;
		{	/* Object/tools.scm 179 */
			{

				{	/* Object/tools.scm 200 */
					bool_t BgL_testz00_2025;

					{	/* Object/tools.scm 200 */
						obj_t BgL_arg3579z00_1122;

						BgL_arg3579z00_1122 = BGl_thezd2backendzd2zzbackend_backendz00();
						{	/* Object/tools.scm 200 */
							BgL_backendz00_bglt BgL_obj1335z00_1671;

							BgL_obj1335z00_1671 = (BgL_backendz00_bglt) (BgL_arg3579z00_1122);
							BgL_testz00_2025 =
								(((BgL_backendz00_bglt) CREF(BgL_obj1335z00_1671))->
								BgL_pragmazd2supportzd2);
						}
					}
					if (BgL_testz00_2025)
						{	/* Object/tools.scm 200 */
							{	/* Object/tools.scm 181 */
								obj_t BgL_arg3592z00_1138;
								obj_t BgL_arg3593z00_1139;

								BgL_arg3592z00_1138 = CNST_TABLE_REF(((long) 16));
								{	/* Object/tools.scm 182 */
									obj_t BgL_arg3594z00_1140;
									obj_t BgL_arg3595z00_1141;

									{	/* Object/tools.scm 182 */
										obj_t BgL_arg3601z00_1147;
										obj_t BgL_arg3603z00_1149;
										obj_t BgL_arg3605z00_1151;

										BgL_arg3601z00_1147 =
											BGl_typezd2classzd2namez00zzobject_classz00
											(BgL_typez00_38);
										BgL_arg3603z00_1149 =
											(((BgL_slotz00_bglt) CREF(BgL_slotz00_39))->BgL_namez00);
										{	/* Object/tools.scm 184 */
											obj_t BgL_arg3614z00_1160;

											BgL_arg3614z00_1160 =
												(((BgL_slotz00_bglt) CREF(BgL_slotz00_39))->
												BgL_typez00);
											BgL_arg3605z00_1151 =
												BGl_typezd2classzd2namez00zzobject_classz00(
												(BgL_typez00_bglt) (BgL_arg3614z00_1160));
										}
										{	/* Object/tools.scm 182 */
											obj_t BgL_list3607z00_1153;

											{	/* Object/tools.scm 182 */
												obj_t BgL_arg3608z00_1154;

												{	/* Object/tools.scm 182 */
													obj_t BgL_arg3609z00_1155;

													{	/* Object/tools.scm 182 */
														obj_t BgL_arg3610z00_1156;

														{	/* Object/tools.scm 182 */
															obj_t BgL_arg3611z00_1157;

															{	/* Object/tools.scm 182 */
																obj_t BgL_arg3612z00_1158;

																{	/* Object/tools.scm 182 */
																	obj_t BgL_arg3613z00_1159;

																	BgL_arg3613z00_1159 =
																		MAKE_PAIR
																		(BGl_string3744z00zzobject_toolsz00, BNIL);
																	BgL_arg3612z00_1158 =
																		MAKE_PAIR(BgL_arg3605z00_1151,
																		BgL_arg3613z00_1159);
																}
																BgL_arg3611z00_1157 =
																	MAKE_PAIR(BGl_string3738z00zzobject_toolsz00,
																	BgL_arg3612z00_1158);
															}
															BgL_arg3610z00_1156 =
																MAKE_PAIR(BgL_arg3603z00_1149,
																BgL_arg3611z00_1157);
														}
														BgL_arg3609z00_1155 =
															MAKE_PAIR(BGl_string3735z00zzobject_toolsz00,
															BgL_arg3610z00_1156);
													}
													BgL_arg3608z00_1154 =
														MAKE_PAIR(BgL_arg3601z00_1147, BgL_arg3609z00_1155);
												}
												BgL_list3607z00_1153 =
													MAKE_PAIR(BGl_string3739z00zzobject_toolsz00,
													BgL_arg3608z00_1154);
											}
											BgL_arg3594z00_1140 =
												BGl_stringzd2appendzd2zz__r4_strings_6_7z00
												(BgL_list3607z00_1153);
									}}
									BgL_arg3595z00_1141 =
										BGl_czd2allocatezd2indexedzd2slotzd2zzobject_toolsz00
										(BgL_typez00_38, BgL_lenz00_41);
									{	/* Object/tools.scm 181 */
										obj_t BgL_list3597z00_1143;

										{	/* Object/tools.scm 181 */
											obj_t BgL_arg3598z00_1144;

											{	/* Object/tools.scm 181 */
												obj_t BgL_arg3599z00_1145;

												BgL_arg3599z00_1145 = MAKE_PAIR(BNIL, BNIL);
												BgL_arg3598z00_1144 =
													MAKE_PAIR(BgL_arg3595z00_1141, BgL_arg3599z00_1145);
											}
											BgL_list3597z00_1143 =
												MAKE_PAIR(BgL_objz00_40, BgL_arg3598z00_1144);
										}
										BgL_arg3593z00_1139 =
											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
											(BgL_arg3594z00_1140, BgL_list3597z00_1143);
								}}
								return MAKE_PAIR(BgL_arg3592z00_1138, BgL_arg3593z00_1139);
							}
						}
					else
						{	/* Object/tools.scm 200 */
							{	/* Object/tools.scm 189 */
								obj_t BgL_ftypez00_1124;
								obj_t BgL_otypez00_1125;
								obj_t BgL_namez00_1126;

								{	/* Object/tools.scm 189 */
									BgL_typez00_bglt BgL_obj1351z00_1673;

									{	/* Object/tools.scm 189 */
										obj_t BgL_auxz00_2049;

										BgL_auxz00_2049 =
											(((BgL_slotz00_bglt) CREF(BgL_slotz00_39))->
											BgL_indexedz00);
										BgL_obj1351z00_1673 = (BgL_typez00_bglt) (BgL_auxz00_2049);
									}
									BgL_ftypez00_1124 =
										(((BgL_typez00_bglt) CREF(BgL_obj1351z00_1673))->BgL_idz00);
								}
								BgL_otypez00_1125 =
									(((BgL_slotz00_bglt) CREF(BgL_slotz00_39))->BgL_typez00);
								BgL_namez00_1126 =
									(((BgL_slotz00_bglt) CREF(BgL_slotz00_39))->BgL_namez00);
								{	/* Object/tools.scm 192 */
									obj_t BgL_arg3581z00_1127;
									obj_t BgL_arg3582z00_1128;
									obj_t BgL_arg3583z00_1129;

									BgL_arg3581z00_1127 = CNST_TABLE_REF(((long) 12));
									{	/* Object/tools.scm 194 */
										obj_t BgL_arg3588z00_1134;

										BgL_arg3588z00_1134 =
											BGl_realzd2slotzd2classzd2ownerzd2zzobject_toolsz00
											(BgL_slotz00_39);
										{	/* Object/tools.scm 194 */
											BgL_typez00_bglt BgL_obj1351z00_1676;

											BgL_obj1351z00_1676 =
												(BgL_typez00_bglt) (BgL_arg3588z00_1134);
											BgL_arg3582z00_1128 =
												(((BgL_typez00_bglt) CREF(BgL_obj1351z00_1676))->
												BgL_idz00);
									}}
									{	/* Object/tools.scm 198 */
										obj_t BgL_arg3589z00_1135;

										{	/* Object/tools.scm 198 */
											BgL_typez00_bglt BgL_obj1351z00_1677;

											BgL_obj1351z00_1677 =
												(BgL_typez00_bglt) (BgL_otypez00_1125);
											BgL_arg3589z00_1135 =
												(((BgL_typez00_bglt) CREF(BgL_obj1351z00_1677))->
												BgL_idz00);
										}
										BgL_arg3583z00_1129 =
											BGl_jvmzd2allocatezd2indexedzd2slotzd2zzobject_toolsz00
											(BgL_ftypez00_1124, BgL_arg3589z00_1135, BgL_lenz00_41);
									}
									{	/* Object/tools.scm 192 */
										obj_t BgL_list3584z00_1130;

										{	/* Object/tools.scm 192 */
											obj_t BgL_arg3585z00_1131;

											{	/* Object/tools.scm 192 */
												obj_t BgL_arg3586z00_1132;

												{	/* Object/tools.scm 192 */
													obj_t BgL_arg3587z00_1133;

													BgL_arg3587z00_1133 =
														MAKE_PAIR(BgL_arg3583z00_1129, BNIL);
													BgL_arg3586z00_1132 =
														MAKE_PAIR(BgL_objz00_40, BgL_arg3587z00_1133);
												}
												BgL_arg3585z00_1131 =
													MAKE_PAIR(BgL_namez00_1126, BgL_arg3586z00_1132);
											}
											BgL_list3584z00_1130 =
												MAKE_PAIR(BgL_arg3582z00_1128, BgL_arg3585z00_1131);
										}
										return
											BGl_makezd2privatezd2sexpz00zzast_privatez00
											(BgL_arg3581z00_1127, BgL_ftypez00_1124,
											BgL_list3584z00_1130);
									}
								}
							}
						}
				}
			}
		}
	}



/* _make-pragma-indexed3731 */
	obj_t BGl__makezd2pragmazd2indexed3731z00zzobject_toolsz00(obj_t
		BgL_envz00_1730, obj_t BgL_typez00_1731, obj_t BgL_slotz00_1732,
		obj_t BgL_objz00_1733, obj_t BgL_lenz00_1734)
	{
		AN_OBJECT;
		{	/* Object/tools.scm 179 */
			return
				BGl_makezd2pragmazd2indexedzd2initzd2setz12z12zzobject_toolsz00(
				(BgL_typez00_bglt) (BgL_typez00_1731),
				(BgL_slotz00_bglt) (BgL_slotz00_1732), BgL_objz00_1733,
				BgL_lenz00_1734);
		}
	}



/* make-pragma-indexed-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2pragmazd2indexedzd2setz12zc0zzobject_toolsz00(BgL_typez00_bglt
		BgL_typez00_42, BgL_slotz00_bglt BgL_slotz00_43, obj_t BgL_objz00_44,
		obj_t BgL_valz00_45, obj_t BgL_indexz00_46)
	{
		AN_OBJECT;
		{	/* Object/tools.scm 207 */
			{

				{	/* Object/tools.scm 232 */
					bool_t BgL_testz00_2070;

					{	/* Object/tools.scm 232 */
						obj_t BgL_arg3616z00_1166;

						BgL_arg3616z00_1166 = BGl_thezd2backendzd2zzbackend_backendz00();
						{	/* Object/tools.scm 232 */
							BgL_backendz00_bglt BgL_obj1335z00_1680;

							BgL_obj1335z00_1680 = (BgL_backendz00_bglt) (BgL_arg3616z00_1166);
							BgL_testz00_2070 =
								(((BgL_backendz00_bglt) CREF(BgL_obj1335z00_1680))->
								BgL_pragmazd2supportzd2);
						}
					}
					if (BgL_testz00_2070)
						{	/* Object/tools.scm 232 */
							{	/* Object/tools.scm 209 */
								obj_t BgL_arg3638z00_1190;
								obj_t BgL_arg3639z00_1191;

								BgL_arg3638z00_1190 = CNST_TABLE_REF(((long) 16));
								{	/* Object/tools.scm 210 */
									obj_t BgL_arg3640z00_1192;

									{	/* Object/tools.scm 210 */
										obj_t BgL_arg3648z00_1199;
										obj_t BgL_arg3650z00_1201;
										obj_t BgL_arg3652z00_1203;

										BgL_arg3648z00_1199 =
											BGl_typezd2classzd2namez00zzobject_classz00
											(BgL_typez00_42);
										BgL_arg3650z00_1201 =
											(((BgL_slotz00_bglt) CREF(BgL_slotz00_43))->BgL_namez00);
										{	/* Object/tools.scm 212 */
											obj_t BgL_arg3662z00_1212;

											BgL_arg3662z00_1212 =
												(((BgL_slotz00_bglt) CREF(BgL_slotz00_43))->
												BgL_typez00);
											BgL_arg3652z00_1203 =
												BGl_typezd2classzd2namez00zzobject_classz00(
												(BgL_typez00_bglt) (BgL_arg3662z00_1212));
										}
										{	/* Object/tools.scm 210 */
											obj_t BgL_list3654z00_1205;

											{	/* Object/tools.scm 210 */
												obj_t BgL_arg3656z00_1206;

												{	/* Object/tools.scm 210 */
													obj_t BgL_arg3657z00_1207;

													{	/* Object/tools.scm 210 */
														obj_t BgL_arg3658z00_1208;

														{	/* Object/tools.scm 210 */
															obj_t BgL_arg3659z00_1209;

															{	/* Object/tools.scm 210 */
																obj_t BgL_arg3660z00_1210;

																{	/* Object/tools.scm 210 */
																	obj_t BgL_arg3661z00_1211;

																	BgL_arg3661z00_1211 =
																		MAKE_PAIR
																		(BGl_string3745z00zzobject_toolsz00, BNIL);
																	BgL_arg3660z00_1210 =
																		MAKE_PAIR(BgL_arg3652z00_1203,
																		BgL_arg3661z00_1211);
																}
																BgL_arg3659z00_1209 =
																	MAKE_PAIR(BGl_string3746z00zzobject_toolsz00,
																	BgL_arg3660z00_1210);
															}
															BgL_arg3658z00_1208 =
																MAKE_PAIR(BgL_arg3650z00_1201,
																BgL_arg3659z00_1209);
														}
														BgL_arg3657z00_1207 =
															MAKE_PAIR(BGl_string3735z00zzobject_toolsz00,
															BgL_arg3658z00_1208);
													}
													BgL_arg3656z00_1206 =
														MAKE_PAIR(BgL_arg3648z00_1199, BgL_arg3657z00_1207);
												}
												BgL_list3654z00_1205 =
													MAKE_PAIR(BGl_string3739z00zzobject_toolsz00,
													BgL_arg3656z00_1206);
											}
											BgL_arg3640z00_1192 =
												BGl_stringzd2appendzd2zz__r4_strings_6_7z00
												(BgL_list3654z00_1205);
									}}
									{	/* Object/tools.scm 209 */
										obj_t BgL_list3643z00_1194;

										{	/* Object/tools.scm 209 */
											obj_t BgL_arg3644z00_1195;

											{	/* Object/tools.scm 209 */
												obj_t BgL_arg3645z00_1196;

												{	/* Object/tools.scm 209 */
													obj_t BgL_arg3646z00_1197;

													BgL_arg3646z00_1197 = MAKE_PAIR(BNIL, BNIL);
													BgL_arg3645z00_1196 =
														MAKE_PAIR(BgL_valz00_45, BgL_arg3646z00_1197);
												}
												BgL_arg3644z00_1195 =
													MAKE_PAIR(BgL_indexz00_46, BgL_arg3645z00_1196);
											}
											BgL_list3643z00_1194 =
												MAKE_PAIR(BgL_objz00_44, BgL_arg3644z00_1195);
										}
										BgL_arg3639z00_1191 =
											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
											(BgL_arg3640z00_1192, BgL_list3643z00_1194);
								}}
								return MAKE_PAIR(BgL_arg3638z00_1190, BgL_arg3639z00_1191);
							}
						}
					else
						{	/* Object/tools.scm 232 */
							{	/* Object/tools.scm 218 */
								obj_t BgL_ftypezd2idzd2_1168;

								{	/* Object/tools.scm 218 */
									BgL_typez00_bglt BgL_obj1351z00_1682;

									{	/* Object/tools.scm 218 */
										obj_t BgL_auxz00_2094;

										BgL_auxz00_2094 =
											(((BgL_slotz00_bglt) CREF(BgL_slotz00_43))->
											BgL_indexedz00);
										BgL_obj1351z00_1682 = (BgL_typez00_bglt) (BgL_auxz00_2094);
									}
									BgL_ftypezd2idzd2_1168 =
										(((BgL_typez00_bglt) CREF(BgL_obj1351z00_1682))->BgL_idz00);
								}
								{	/* Object/tools.scm 218 */
									obj_t BgL_gfieldz00_1169;

									{	/* Object/tools.scm 219 */
										obj_t BgL_arg3629z00_1181;
										obj_t BgL_arg3630z00_1182;
										obj_t BgL_arg3631z00_1183;

										BgL_arg3629z00_1181 = CNST_TABLE_REF(((long) 8));
										{	/* Object/tools.scm 221 */
											obj_t BgL_arg3635z00_1187;

											BgL_arg3635z00_1187 =
												BGl_realzd2slotzd2classzd2ownerzd2zzobject_toolsz00
												(BgL_slotz00_43);
											{	/* Object/tools.scm 221 */
												BgL_typez00_bglt BgL_obj1351z00_1683;

												BgL_obj1351z00_1683 =
													(BgL_typez00_bglt) (BgL_arg3635z00_1187);
												BgL_arg3630z00_1182 =
													(((BgL_typez00_bglt) CREF(BgL_obj1351z00_1683))->
													BgL_idz00);
										}}
										BgL_arg3631z00_1183 =
											(((BgL_slotz00_bglt) CREF(BgL_slotz00_43))->BgL_namez00);
										{	/* Object/tools.scm 219 */
											obj_t BgL_list3632z00_1184;

											{	/* Object/tools.scm 219 */
												obj_t BgL_arg3633z00_1185;

												{	/* Object/tools.scm 219 */
													obj_t BgL_arg3634z00_1186;

													BgL_arg3634z00_1186 = MAKE_PAIR(BgL_objz00_44, BNIL);
													BgL_arg3633z00_1185 =
														MAKE_PAIR(BgL_arg3631z00_1183, BgL_arg3634z00_1186);
												}
												BgL_list3632z00_1184 =
													MAKE_PAIR(BgL_arg3630z00_1182, BgL_arg3633z00_1185);
											}
											BgL_gfieldz00_1169 =
												BGl_makezd2privatezd2sexpz00zzast_privatez00
												(BgL_arg3629z00_1181, BgL_ftypezd2idzd2_1168,
												BgL_list3632z00_1184);
									}}
									{	/* Object/tools.scm 219 */

										{	/* Object/tools.scm 224 */
											obj_t BgL_arg3618z00_1170;
											obj_t BgL_arg3619z00_1171;
											obj_t BgL_arg3620z00_1172;

											BgL_arg3618z00_1170 = CNST_TABLE_REF(((long) 17));
											{	/* Object/tools.scm 226 */
												BgL_typez00_bglt BgL_obj1351z00_1686;

												{	/* Object/tools.scm 226 */
													obj_t BgL_auxz00_2108;

													BgL_auxz00_2108 =
														(((BgL_slotz00_bglt) CREF(BgL_slotz00_43))->
														BgL_typez00);
													BgL_obj1351z00_1686 =
														(BgL_typez00_bglt) (BgL_auxz00_2108);
												}
												BgL_arg3619z00_1171 =
													(((BgL_typez00_bglt) CREF(BgL_obj1351z00_1686))->
													BgL_idz00);
											}
											{	/* Object/tools.scm 227 */
												BgL_typez00_bglt BgL_obj1351z00_1687;

												BgL_obj1351z00_1687 =
													(BgL_typez00_bglt) (BGl_za2intza2z00zztype_cachez00);
												BgL_arg3620z00_1172 =
													(((BgL_typez00_bglt) CREF(BgL_obj1351z00_1687))->
													BgL_idz00);
											}
											{	/* Object/tools.scm 224 */
												obj_t BgL_list3622z00_1174;

												{	/* Object/tools.scm 224 */
													obj_t BgL_arg3623z00_1175;

													{	/* Object/tools.scm 224 */
														obj_t BgL_arg3624z00_1176;

														{	/* Object/tools.scm 224 */
															obj_t BgL_arg3625z00_1177;

															{	/* Object/tools.scm 224 */
																obj_t BgL_arg3626z00_1178;

																{	/* Object/tools.scm 224 */
																	obj_t BgL_arg3627z00_1179;

																	BgL_arg3627z00_1179 =
																		MAKE_PAIR(BgL_valz00_45, BNIL);
																	BgL_arg3626z00_1178 =
																		MAKE_PAIR(BgL_indexz00_46,
																		BgL_arg3627z00_1179);
																}
																BgL_arg3625z00_1177 =
																	MAKE_PAIR(BgL_gfieldz00_1169,
																	BgL_arg3626z00_1178);
															}
															BgL_arg3624z00_1176 =
																MAKE_PAIR(BGl_string3740z00zzobject_toolsz00,
																BgL_arg3625z00_1177);
														}
														BgL_arg3623z00_1175 =
															MAKE_PAIR(BgL_arg3620z00_1172,
															BgL_arg3624z00_1176);
													}
													BgL_list3622z00_1174 =
														MAKE_PAIR(BgL_arg3619z00_1171, BgL_arg3623z00_1175);
												}
												return
													BGl_makezd2privatezd2sexpz00zzast_privatez00
													(BgL_arg3618z00_1170, BgL_ftypezd2idzd2_1168,
													BgL_list3622z00_1174);
											}
										}
									}
								}
							}
						}
				}
			}
		}
	}



/* _make-pragma-indexed3732 */
	obj_t BGl__makezd2pragmazd2indexed3732z00zzobject_toolsz00(obj_t
		BgL_envz00_1735, obj_t BgL_typez00_1736, obj_t BgL_slotz00_1737,
		obj_t BgL_objz00_1738, obj_t BgL_valz00_1739, obj_t BgL_indexz00_1740)
	{
		AN_OBJECT;
		{	/* Object/tools.scm 207 */
			return
				BGl_makezd2pragmazd2indexedzd2setz12zc0zzobject_toolsz00(
				(BgL_typez00_bglt) (BgL_typez00_1736),
				(BgL_slotz00_bglt) (BgL_slotz00_1737), BgL_objz00_1738, BgL_valz00_1739,
				BgL_indexz00_1740);
		}
	}



/* real-slot-class-owner */
	obj_t BGl_realzd2slotzd2classzd2ownerzd2zzobject_toolsz00(BgL_slotz00_bglt
		BgL_slotz00_47)
	{
		AN_OBJECT;
		{	/* Object/tools.scm 239 */
			{	/* Object/tools.scm 240 */
				obj_t BgL_tz00_1215;

				BgL_tz00_1215 =
					(((BgL_slotz00_bglt) CREF(BgL_slotz00_47))->BgL_classzd2ownerzd2);
				{	/* Object/tools.scm 241 */
					bool_t BgL_testz00_2125;

					if (CBOOL(BGl_za2sawza2z00zzengine_paramz00))
						{	/* Object/tools.scm 241 */
							BgL_testz00_2125 =
								BGl_widezd2classzf3z21zzobject_classz00(BgL_tz00_1215);
						}
					else
						{	/* Object/tools.scm 241 */
							BgL_testz00_2125 = ((bool_t) 0);
						}
					if (BgL_testz00_2125)
						{	/* Object/tools.scm 242 */
							obj_t BgL_arg3664z00_1217;

							{	/* Object/tools.scm 242 */
								obj_t BgL_arg3665z00_1218;

								{	/* Object/tools.scm 242 */
									BgL_typez00_bglt BgL_obj1351z00_1691;

									BgL_obj1351z00_1691 = (BgL_typez00_bglt) (BgL_tz00_1215);
									BgL_arg3665z00_1218 =
										(((BgL_typez00_bglt) CREF(BgL_obj1351z00_1691))->BgL_idz00);
								}
								BgL_arg3664z00_1217 =
									BGl_sawzd2widezd2classzd2idzd2zzobject_classz00
									(BgL_arg3665z00_1218);
							}
							{	/* Object/tools.scm 242 */
								BgL_typez00_bglt BgL_auxz00_2132;

								BgL_auxz00_2132 =
									BGl_findzd2typezd2zztype_envz00(BgL_arg3664z00_1217);
								return (obj_t) (BgL_auxz00_2132);
							}
						}
					else
						{	/* Object/tools.scm 241 */
							return BgL_tz00_1215;
						}
				}
			}
		}
	}



/* make-pragma-indexed-set!/widening */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2pragmazd2indexedzd2setz12zf2wideningz32zzobject_toolsz00
		(BgL_typez00_bglt BgL_typez00_48, BgL_slotz00_bglt BgL_slotz00_49,
		obj_t BgL_objz00_50, obj_t BgL_valz00_51, obj_t BgL_indexz00_52,
		obj_t BgL_wideningz00_53)
	{
		AN_OBJECT;
		{	/* Object/tools.scm 248 */
			if (CBOOL(BgL_wideningz00_53))
				{	/* Object/tools.scm 251 */
					obj_t BgL_arg3666z00_1692;

					{	/* Object/tools.scm 251 */
						obj_t BgL_arg3667z00_1693;
						obj_t BgL_arg3668z00_1694;

						BgL_arg3667z00_1693 = CNST_TABLE_REF(((long) 9));
						{	/* Object/tools.scm 251 */
							obj_t BgL_list3669z00_1695;

							BgL_list3669z00_1695 = MAKE_PAIR(BNIL, BNIL);
							BgL_arg3668z00_1694 =
								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_objz00_50,
								BgL_list3669z00_1695);
						}
						BgL_arg3666z00_1692 =
							MAKE_PAIR(BgL_arg3667z00_1693, BgL_arg3668z00_1694);
					}
					return
						BGl_makezd2pragmazd2indexedzd2setz12zc0zzobject_toolsz00
						(BgL_typez00_48, BgL_slotz00_49, BgL_arg3666z00_1692, BgL_valz00_51,
						BgL_indexz00_52);
				}
			else
				{	/* Object/tools.scm 249 */
					return
						BGl_makezd2pragmazd2indexedzd2setz12zc0zzobject_toolsz00
						(BgL_typez00_48, BgL_slotz00_49, BgL_objz00_50, BgL_valz00_51,
						BgL_indexz00_52);
				}
		}
	}



/* _make-pragma-indexed3733 */
	obj_t BGl__makezd2pragmazd2indexed3733z00zzobject_toolsz00(obj_t
		BgL_envz00_1741, obj_t BgL_typez00_1742, obj_t BgL_slotz00_1743,
		obj_t BgL_objz00_1744, obj_t BgL_valz00_1745, obj_t BgL_indexz00_1746,
		obj_t BgL_wideningz00_1747)
	{
		AN_OBJECT;
		{	/* Object/tools.scm 248 */
			return
				BGl_makezd2pragmazd2indexedzd2setz12zf2wideningz32zzobject_toolsz00(
				(BgL_typez00_bglt) (BgL_typez00_1742),
				(BgL_slotz00_bglt) (BgL_slotz00_1743), BgL_objz00_1744, BgL_valz00_1745,
				BgL_indexz00_1746, BgL_wideningz00_1747);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzobject_toolsz00()
	{
		AN_OBJECT;
		{	/* Object/tools.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzobject_toolsz00()
	{
		AN_OBJECT;
		{	/* Object/tools.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 315910987),
				BSTRING_TO_STRING(BGl_string3747z00zzobject_toolsz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 466514915),
				BSTRING_TO_STRING(BGl_string3747z00zzobject_toolsz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string3747z00zzobject_toolsz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 171845042),
				BSTRING_TO_STRING(BGl_string3747z00zzobject_toolsz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 484733332),
				BSTRING_TO_STRING(BGl_string3747z00zzobject_toolsz00));
			BGl_modulezd2initializa7ationz75zztype_toolsz00(((long) 195902195),
				BSTRING_TO_STRING(BGl_string3747z00zzobject_toolsz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string3747z00zzobject_toolsz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 11585204),
				BSTRING_TO_STRING(BGl_string3747z00zzobject_toolsz00));
			BGl_modulezd2initializa7ationz75zzast_privatez00(((long) 453255680),
				BSTRING_TO_STRING(BGl_string3747z00zzobject_toolsz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 498714928),
				BSTRING_TO_STRING(BGl_string3747z00zzobject_toolsz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 76434050),
				BSTRING_TO_STRING(BGl_string3747z00zzobject_toolsz00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long) 17869975),
				BSTRING_TO_STRING(BGl_string3747z00zzobject_toolsz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 514705515),
				BSTRING_TO_STRING(BGl_string3747z00zzobject_toolsz00));
			return
				BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string3747z00zzobject_toolsz00));
		}
	}

#ifdef __cplusplus
}
#endif
