/*===========================================================================*/
/*   (Read/access.scm)                                                       */
/*   Bigloo (2.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 25 07:31:22 CET 2006        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/2.9a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Read/access.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;


	BGL_IMPORT obj_t open_input_string(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzread_accessz00 = BUNSPEC;
	extern obj_t BGl_za2accesszd2tableza2zd2zzengine_paramz00;
	extern obj_t BGl_za2accesszd2filezd2defaultza2z00zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t BGl_readzd2accesszd2filesz00zzread_accessz00();
	BGL_IMPORT obj_t BGl_filezd2namezd2canonicaliza7eza7zz__osz00(obj_t);
	BGL_IMPORT bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
	BGL_IMPORT obj_t close_input_port(obj_t);
	BGL_IMPORT bool_t fexists(char *);
	BGL_IMPORT obj_t BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(obj_t,
		obj_t);
	static obj_t BGl_innerzd2readzd2accesszd2filezd2zzread_accessz00(obj_t);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzread_accessz00();
	BGL_IMPORT obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
	static obj_t BGl__readzd2accesszd2filesz00zzread_accessz00(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzread_accessz00();
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzread_accessz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_enginez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinit_mainz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza31352ze3z83zzread_accessz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_valzd2fromzd2exitzf3zf3zz__bexitz00(obj_t);
	static obj_t BGl__addzd2accessz121384zc0zzread_accessz00(obj_t, obj_t, obj_t);
	static obj_t BGl_dozd2readzd2accesszd2filezd2zzread_accessz00(obj_t, obj_t);
	extern obj_t BGl_za2accesszd2filesza2zd2zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t BGl_addzd2accessz12zc0zzread_accessz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzread_accessz00();
	static obj_t BGl_methodzd2initzd2zzread_accessz00();
	static obj_t __cnst[1];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_addzd2accessz12zd2envz12zzread_accessz00,
		BgL_bgl__addza7d2accessza7121400z00,
		BGl__addzd2accessz121384zc0zzread_accessz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1385z00zzread_accessz00,
		BgL_bgl_string1385za700za7za7r1401za7, "]", 1);
	      DEFINE_STRING(BGl_string1386z00zzread_accessz00,
		BgL_bgl_string1386za700za7za7r1402za7, " ", 1);
	      DEFINE_STRING(BGl_string1387z00zzread_accessz00,
		BgL_bgl_string1387za700za7za7r1403za7, " [", 2);
	      DEFINE_STRING(BGl_string1388z00zzread_accessz00,
		BgL_bgl_string1388za700za7za7r1404za7, "access redefinition -- ", 23);
	      DEFINE_STRING(BGl_string1390z00zzread_accessz00,
		BgL_bgl_string1390za700za7za7r1405za7, "read-access-file", 16);
	      DEFINE_STRING(BGl_string1389z00zzread_accessz00,
		BgL_bgl_string1389za700za7za7r1406za7, "add-access!", 11);
	      DEFINE_STRING(BGl_string1391z00zzread_accessz00,
		BgL_bgl_string1391za700za7za7r1407za7, "Can't find access file", 22);
	      DEFINE_STRING(BGl_string1392z00zzread_accessz00,
		BgL_bgl_string1392za700za7za7r1408za7, "      [reading afile ", 21);
	      DEFINE_STRING(BGl_string1393z00zzread_accessz00,
		BgL_bgl_string1393za700za7za7r1409za7, "Can't open access file", 22);
	      DEFINE_STRING(BGl_string1394z00zzread_accessz00,
		BgL_bgl_string1394za700za7za7r1410za7, "Illegal access file format", 26);
	      DEFINE_STRING(BGl_string1395z00zzread_accessz00,
		BgL_bgl_string1395za700za7za7r1411za7, "read_access", 11);
	      DEFINE_STRING(BGl_string1396z00zzread_accessz00,
		BgL_bgl_string1396za700za7za7r1412za7, "done ", 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_readzd2accesszd2fileszd2envzd2zzread_accessz00,
		BgL_bgl__readza7d2accessza7d1413z00,
		BGl__readzd2accesszd2filesz00zzread_accessz00, 0L, BUNSPEC, 0);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzread_accessz00(long
		BgL_checksumz00_227, char *BgL_fromz00_228)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzread_accessz00))
				{
					BGl_requirezd2initializa7ationz75zzread_accessz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzread_accessz00();
					BGl_cnstzd2initzd2zzread_accessz00();
					BGl_importedzd2moduleszd2initz00zzread_accessz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzread_accessz00()
	{
		AN_OBJECT;
		{	/* Read/access.scm 15 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "read_access");
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "read_access");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"read_access");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"read_access");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"read_access");
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 0), "read_access");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "read_access");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzread_accessz00()
	{
		AN_OBJECT;
		{	/* Read/access.scm 15 */
			{	/* Read/access.scm 15 */
				obj_t BgL_cportz00_219;

				BgL_cportz00_219 = open_input_string(BGl_string1396z00zzread_accessz00);
				{
					long BgL_iz00_220;

					BgL_iz00_220 = ((long) 0);
				BgL_loopz00_221:
					if ((BgL_iz00_220 == ((long) -1)))
						{	/* Read/access.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Read/access.scm 15 */
							{	/* Read/access.scm 15 */
								obj_t BgL_arg1399z00_223;

								{	/* Read/access.scm 15 */

									{	/* Read/access.scm 15 */
										obj_t BgL_locationz00_225;

										BgL_locationz00_225 = BBOOL(((bool_t) 0));
										{	/* Read/access.scm 15 */

											BgL_arg1399z00_223 =
												BGl_readz00zz__readerz00(BgL_cportz00_219,
												BgL_locationz00_225);
										}
									}
								}
								{	/* Read/access.scm 15 */
									int BgL_auxz00_247;

									BgL_auxz00_247 = (int) (BgL_iz00_220);
									CNST_TABLE_SET(BgL_auxz00_247, BgL_arg1399z00_223);
							}}
							{	/* Read/access.scm 15 */
								int BgL_auxz00_226;

								BgL_auxz00_226 = (int) ((BgL_iz00_220 - ((long) 1)));
								{
									long BgL_iz00_252;

									BgL_iz00_252 = (long) (BgL_auxz00_226);
									BgL_iz00_220 = BgL_iz00_252;
									goto BgL_loopz00_221;
								}
							}
						}
				}
			}
		}
	}



/* add-access! */
	BGL_EXPORTED_DEF obj_t BGl_addzd2accessz12zc0zzread_accessz00(obj_t
		BgL_modulez00_1, obj_t BgL_filesz00_2)
	{
		AN_OBJECT;
		{	/* Read/access.scm 27 */
			{	/* Read/access.scm 28 */
				obj_t BgL_bz00_30;

				BgL_bz00_30 =
					BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_modulez00_1,
					BGl_za2accesszd2tableza2zd2zzengine_paramz00);
				if (CBOOL(BgL_bz00_30))
					{	/* Read/access.scm 31 */
						bool_t BgL_testz00_257;

						{	/* Read/access.scm 31 */
							obj_t BgL_arg1307z00_46;
							obj_t BgL_arg1308z00_47;

							{	/* Read/access.scm 31 */
								obj_t BgL_l1276z00_48;

								BgL_l1276z00_48 = CDR(BgL_bz00_30);
								if (NULLP(BgL_l1276z00_48))
									{	/* Read/access.scm 31 */
										BgL_arg1307z00_46 = BNIL;
									}
								else
									{	/* Read/access.scm 31 */
										obj_t BgL_head1279z00_50;

										BgL_head1279z00_50 =
											MAKE_PAIR(BGl_filezd2namezd2canonicaliza7eza7zz__osz00(CAR
												(BgL_l1276z00_48)), BNIL);
										{	/* Read/access.scm 31 */
											obj_t BgL_g1282z00_51;

											BgL_g1282z00_51 = CDR(BgL_l1276z00_48);
											{
												obj_t BgL_l1276z00_52;
												obj_t BgL_tail1280z00_53;

												BgL_l1276z00_52 = BgL_g1282z00_51;
												BgL_tail1280z00_53 = BgL_head1279z00_50;
											BgL_map1278z00_54:
												if (NULLP(BgL_l1276z00_52))
													{	/* Read/access.scm 31 */
														BgL_arg1307z00_46 = BgL_head1279z00_50;
													}
												else
													{	/* Read/access.scm 31 */
														obj_t BgL_newtail1281z00_56;

														BgL_newtail1281z00_56 =
															MAKE_PAIR
															(BGl_filezd2namezd2canonicaliza7eza7zz__osz00(CAR
																(BgL_l1276z00_52)), BNIL);
														SET_CDR(BgL_tail1280z00_53, BgL_newtail1281z00_56);
														{
															obj_t BgL_tail1280z00_273;
															obj_t BgL_l1276z00_271;

															BgL_l1276z00_271 = CDR(BgL_l1276z00_52);
															BgL_tail1280z00_273 = BgL_newtail1281z00_56;
															BgL_tail1280z00_53 = BgL_tail1280z00_273;
															BgL_l1276z00_52 = BgL_l1276z00_271;
															goto BgL_map1278z00_54;
														}
													}
											}
										}
									}
							}
							{	/* Read/access.scm 32 */
								obj_t BgL_head1285z00_66;

								BgL_head1285z00_66 =
									MAKE_PAIR(BGl_filezd2namezd2canonicaliza7eza7zz__osz00(CAR
										(BgL_filesz00_2)), BNIL);
								{	/* Read/access.scm 32 */
									obj_t BgL_g1288z00_67;

									BgL_g1288z00_67 = CDR(BgL_filesz00_2);
									{
										obj_t BgL_l1283z00_68;
										obj_t BgL_tail1286z00_69;

										BgL_l1283z00_68 = BgL_g1288z00_67;
										BgL_tail1286z00_69 = BgL_head1285z00_66;
									BgL_map1284z00_70:
										if (NULLP(BgL_l1283z00_68))
											{	/* Read/access.scm 32 */
												BgL_arg1308z00_47 = BgL_head1285z00_66;
											}
										else
											{	/* Read/access.scm 32 */
												obj_t BgL_newtail1287z00_72;

												BgL_newtail1287z00_72 =
													MAKE_PAIR(BGl_filezd2namezd2canonicaliza7eza7zz__osz00
													(CAR(BgL_l1283z00_68)), BNIL);
												SET_CDR(BgL_tail1286z00_69, BgL_newtail1287z00_72);
												{
													obj_t BgL_tail1286z00_286;
													obj_t BgL_l1283z00_284;

													BgL_l1283z00_284 = CDR(BgL_l1283z00_68);
													BgL_tail1286z00_286 = BgL_newtail1287z00_72;
													BgL_tail1286z00_69 = BgL_tail1286z00_286;
													BgL_l1283z00_68 = BgL_l1283z00_284;
													goto BgL_map1284z00_70;
												}
											}
									}
								}
							}
							BgL_testz00_257 =
								BGl_equalzf3zf3zz__r4_equivalence_6_2z00(BgL_arg1307z00_46,
								BgL_arg1308z00_47);
						}
						if (BgL_testz00_257)
							{	/* Read/access.scm 31 */
								return CNST_TABLE_REF(((long) 0));
							}
						else
							{	/* Read/access.scm 33 */
								obj_t BgL_arg1296z00_35;

								BgL_arg1296z00_35 = CDR(BgL_bz00_30);
								{	/* Read/access.scm 33 */
									obj_t BgL_list1299z00_38;

									{	/* Read/access.scm 33 */
										obj_t BgL_arg1300z00_39;

										{	/* Read/access.scm 33 */
											obj_t BgL_arg1301z00_40;

											{	/* Read/access.scm 33 */
												obj_t BgL_arg1302z00_41;

												{	/* Read/access.scm 33 */
													obj_t BgL_arg1303z00_42;

													{	/* Read/access.scm 33 */
														obj_t BgL_arg1304z00_43;

														{	/* Read/access.scm 33 */
															obj_t BgL_arg1305z00_44;

															{	/* Read/access.scm 33 */
																obj_t BgL_arg1306z00_45;

																BgL_arg1306z00_45 =
																	MAKE_PAIR(BGl_string1385z00zzread_accessz00,
																	BNIL);
																BgL_arg1305z00_44 =
																	MAKE_PAIR(BgL_filesz00_2, BgL_arg1306z00_45);
															}
															BgL_arg1304z00_43 =
																MAKE_PAIR(BGl_string1386z00zzread_accessz00,
																BgL_arg1305z00_44);
														}
														BgL_arg1303z00_42 =
															MAKE_PAIR(BgL_arg1296z00_35, BgL_arg1304z00_43);
													}
													BgL_arg1302z00_41 =
														MAKE_PAIR(BGl_string1387z00zzread_accessz00,
														BgL_arg1303z00_42);
												}
												BgL_arg1301z00_40 =
													MAKE_PAIR(BgL_modulez00_1, BgL_arg1302z00_41);
											}
											BgL_arg1300z00_39 =
												MAKE_PAIR(BGl_string1388z00zzread_accessz00,
												BgL_arg1301z00_40);
										}
										BgL_list1299z00_38 =
											MAKE_PAIR(BGl_string1389z00zzread_accessz00,
											BgL_arg1300z00_39);
									}
									return BGl_warningz00zz__errorz00(BgL_list1299z00_38);
								}
							}
					}
				else
					{	/* Read/access.scm 30 */
						obj_t BgL_arg1330z00_80;

						BgL_arg1330z00_80 = MAKE_PAIR(BgL_modulez00_1, BgL_filesz00_2);
						return (BGl_za2accesszd2tableza2zd2zzengine_paramz00 =
							MAKE_PAIR(BgL_arg1330z00_80,
								BGl_za2accesszd2tableza2zd2zzengine_paramz00), BUNSPEC);
					}
			}
		}
	}



/* _add-access!1384 */
	obj_t BGl__addzd2accessz121384zc0zzread_accessz00(obj_t BgL_envz00_213,
		obj_t BgL_modulez00_214, obj_t BgL_filesz00_215)
	{
		AN_OBJECT;
		{	/* Read/access.scm 27 */
			return
				BGl_addzd2accessz12zc0zzread_accessz00(BgL_modulez00_214,
				BgL_filesz00_215);
		}
	}



/* read-access-files */
	BGL_EXPORTED_DEF obj_t BGl_readzd2accesszd2filesz00zzread_accessz00()
	{
		AN_OBJECT;
		{	/* Read/access.scm 42 */
			if (NULLP(BGl_za2accesszd2filesza2zd2zzengine_paramz00))
				{	/* Read/access.scm 53 */
					if (fexists(BSTRING_TO_STRING
							(BGl_za2accesszd2filezd2defaultza2z00zzengine_paramz00)))
						{	/* Read/access.scm 54 */
							return
								BGl_innerzd2readzd2accesszd2filezd2zzread_accessz00
								(BGl_za2accesszd2filezd2defaultza2z00zzengine_paramz00);
						}
					else
						{	/* Read/access.scm 54 */
							return BFALSE;
						}
				}
			else
				{
					obj_t BgL_l1289z00_84;

					{	/* Read/access.scm 56 */
						bool_t BgL_auxz00_308;

						BgL_l1289z00_84 = BGl_za2accesszd2filesza2zd2zzengine_paramz00;
					BgL_forzd2each1290zd2_85:
						if (PAIRP(BgL_l1289z00_84))
							{	/* Read/access.scm 56 */
								{	/* Read/access.scm 57 */
									obj_t BgL_fz00_87;

									BgL_fz00_87 = CAR(BgL_l1289z00_84);
									if (fexists(BSTRING_TO_STRING(BgL_fz00_87)))
										{	/* Read/access.scm 57 */
											BGl_innerzd2readzd2accesszd2filezd2zzread_accessz00
												(BgL_fz00_87);
										}
									else
										{	/* Read/access.scm 57 */
											BGl_userzd2errorzd2zztools_errorz00
												(BGl_string1390z00zzread_accessz00,
												BGl_string1391z00zzread_accessz00, BgL_fz00_87, BNIL);
										}
								}
								{
									obj_t BgL_l1289z00_317;

									BgL_l1289z00_317 = CDR(BgL_l1289z00_84);
									BgL_l1289z00_84 = BgL_l1289z00_317;
									goto BgL_forzd2each1290zd2_85;
								}
							}
						else
							{	/* Read/access.scm 56 */
								BgL_auxz00_308 = ((bool_t) 1);
							}
						return BBOOL(BgL_auxz00_308);
					}
				}
		}
	}



/* <exit:1352> */
	obj_t BGl_zc3exitza31352ze3z83zzread_accessz00(obj_t BgL_portz00_218,
		obj_t BgL_namez00_217)
	{
		AN_OBJECT;
		{	/* Read/access.scm 52 */
			jmp_buf jmpbuf;
			obj_t BgL_an_exit1273z00_106;

			{
				BGL_STORE_TRACE();
				if (SET_EXIT(BgL_an_exit1273z00_106))
					{
						BGL_RESTORE_TRACE();
						return _exit_value_;
					}
				else
					{
						BgL_an_exit1273z00_106 = (obj_t) jmpbuf;
						{	/* Read/access.scm 52 */

							PUSH_EXIT(BgL_an_exit1273z00_106, ((long) 0));
							{	/* Read/access.scm 51 */
								obj_t BgL_val1274z00_107;

								BgL_val1274z00_107 =
									BGl_dozd2readzd2accesszd2filezd2zzread_accessz00
									(BgL_namez00_217, BgL_portz00_218);
								POP_EXIT();
								return BgL_val1274z00_107;
							}
						}
					}
			}
		}
	}



/* inner-read-access-file */
	obj_t BGl_innerzd2readzd2accesszd2filezd2zzread_accessz00(obj_t
		BgL_namez00_91)
	{
		AN_OBJECT;
		{	/* Read/access.scm 52 */
			{	/* Read/access.scm 44 */
				obj_t BgL_portz00_93;

				BgL_portz00_93 =
					BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(BgL_namez00_91,
					BNIL);
				{	/* Read/access.scm 45 */
					obj_t BgL_list1340z00_94;

					{	/* Read/access.scm 45 */
						obj_t BgL_arg1342z00_96;

						{	/* Read/access.scm 45 */
							obj_t BgL_arg1343z00_97;

							{	/* Read/access.scm 45 */
								obj_t BgL_arg1347z00_99;

								BgL_arg1347z00_99 =
									MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
								BgL_arg1343z00_97 =
									MAKE_PAIR(BGl_string1385z00zzread_accessz00,
									BgL_arg1347z00_99);
							}
							BgL_arg1342z00_96 = MAKE_PAIR(BgL_namez00_91, BgL_arg1343z00_97);
						}
						BgL_list1340z00_94 =
							MAKE_PAIR(BGl_string1392z00zzread_accessz00, BgL_arg1342z00_96);
					}
					BGl_verbosez00zztools_speekz00(BINT(((long) 2)), BgL_list1340z00_94);
				}
				if (INPUT_PORTP(BgL_portz00_93))
					{	/* Read/access.scm 50 */
						obj_t BgL_val1272z00_101;

						BgL_val1272z00_101 =
							BGl_zc3exitza31352ze3z83zzread_accessz00(BgL_portz00_93,
							BgL_namez00_91);
						close_input_port(BgL_portz00_93);
						if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
								(BgL_val1272z00_101)))
							{	/* Read/access.scm 52 */
								return
									BGl_unwindzd2untilz12zc0zz__bexitz00(CAR(BgL_val1272z00_101),
									CDR(BgL_val1272z00_101));
							}
						else
							{	/* Read/access.scm 52 */
								return BgL_val1272z00_101;
							}
					}
				else
					{	/* Read/access.scm 46 */
						return
							BGl_userzd2errorzd2zztools_errorz00
							(BGl_string1390z00zzread_accessz00,
							BGl_string1393z00zzread_accessz00, BgL_namez00_91, BNIL);
					}
			}
		}
	}



/* _read-access-files */
	obj_t BGl__readzd2accesszd2filesz00zzread_accessz00(obj_t BgL_envz00_216)
	{
		AN_OBJECT;
		{	/* Read/access.scm 42 */
			return BGl_readzd2accesszd2filesz00zzread_accessz00();
		}
	}



/* do-read-access-file */
	obj_t BGl_dozd2readzd2accesszd2filezd2zzread_accessz00(obj_t BgL_filez00_3,
		obj_t BgL_portz00_4)
	{
		AN_OBJECT;
		{	/* Read/access.scm 67 */
			{	/* Read/access.scm 68 */
				obj_t BgL_objz00_111;

				BgL_objz00_111 = BGl_readz00zz__readerz00(BgL_portz00_4, BTRUE);
				{	/* Read/access.scm 68 */
					obj_t BgL_eofz00_112;

					{	/* Read/access.scm 69 */

						{	/* Read/access.scm 69 */
							obj_t BgL_iportz00_153;

							BgL_iportz00_153 = BgL_portz00_4;
							{	/* Read/access.scm 69 */

								BgL_eofz00_112 =
									BGl_readz00zz__readerz00(BgL_iportz00_153, BFALSE);
							}
						}
					}
					{	/* Read/access.scm 69 */

						if (EOF_OBJECTP(BgL_objz00_111))
							{	/* Read/access.scm 71 */
								return
									BGl_userzd2errorzd2zztools_errorz00(BgL_filez00_3,
									BGl_string1394z00zzread_accessz00, BgL_objz00_111, BNIL);
							}
						else
							{	/* Read/access.scm 71 */
								if (EOF_OBJECTP(BgL_eofz00_112))
									{
										obj_t BgL_objz00_116;

										BgL_objz00_116 = BgL_objz00_111;
									BgL_loopz00_117:
										if (NULLP(BgL_objz00_116))
											{	/* Read/access.scm 77 */
												return CNST_TABLE_REF(((long) 0));
											}
										else
											{
												obj_t BgL_mz00_119;
												obj_t BgL_fz00_120;
												obj_t BgL_fsz00_121;

												{	/* Read/access.scm 79 */
													obj_t BgL_ezd2931zd2_124;

													BgL_ezd2931zd2_124 = CAR(BgL_objz00_116);
													if (PAIRP(BgL_ezd2931zd2_124))
														{	/* Read/access.scm 79 */
															obj_t BgL_carzd2938zd2_126;
															obj_t BgL_cdrzd2939zd2_127;

															BgL_carzd2938zd2_126 = CAR(BgL_ezd2931zd2_124);
															BgL_cdrzd2939zd2_127 = CDR(BgL_ezd2931zd2_124);
															if (SYMBOLP(BgL_carzd2938zd2_126))
																{	/* Read/access.scm 79 */
																	if (PAIRP(BgL_cdrzd2939zd2_127))
																		{	/* Read/access.scm 79 */
																			obj_t BgL_carzd2945zd2_130;

																			BgL_carzd2945zd2_130 =
																				CAR(BgL_cdrzd2939zd2_127);
																			if (STRINGP(BgL_carzd2945zd2_130))
																				{	/* Read/access.scm 79 */
																					BgL_mz00_119 = BgL_carzd2938zd2_126;
																					BgL_fz00_120 = BgL_carzd2945zd2_130;
																					BgL_fsz00_121 =
																						CDR(BgL_cdrzd2939zd2_127);
																					{	/* Read/access.scm 81 */
																						obj_t BgL_g1275z00_133;

																						{	/* Read/access.scm 82 */
																							obj_t BgL_list1376z00_147;

																							BgL_list1376z00_147 =
																								MAKE_PAIR(BgL_fz00_120, BNIL);
																							BgL_g1275z00_133 =
																								BgL_list1376z00_147;
																						}
																						{
																							obj_t BgL_fsz00_134;
																							obj_t BgL_fnamesz00_135;

																							BgL_fsz00_134 = BgL_fsz00_121;
																							BgL_fnamesz00_135 =
																								BgL_g1275z00_133;
																						BgL_loopz00_136:
																							if (NULLP(BgL_fsz00_134))
																								{	/* Read/access.scm 84 */
																									BGl_addzd2accessz12zc0zzread_accessz00
																										(BgL_mz00_119,
																										bgl_reverse_bang
																										(BgL_fnamesz00_135));
																								}
																							else
																								{	/* Read/access.scm 86 */
																									bool_t BgL_testz00_372;

																									{	/* Read/access.scm 86 */
																										obj_t BgL_auxz00_373;

																										BgL_auxz00_373 =
																											CAR(BgL_fsz00_134);
																										BgL_testz00_372 =
																											STRINGP(BgL_auxz00_373);
																									}
																									if (BgL_testz00_372)
																										{	/* Read/access.scm 87 */
																											obj_t BgL_arg1367z00_140;
																											obj_t BgL_arg1368z00_141;

																											BgL_arg1367z00_140 =
																												CDR(BgL_fsz00_134);
																											BgL_arg1368z00_141 =
																												MAKE_PAIR(CAR
																												(BgL_fsz00_134),
																												BgL_fnamesz00_135);
																											{
																												obj_t BgL_fnamesz00_380;
																												obj_t BgL_fsz00_379;

																												BgL_fsz00_379 =
																													BgL_arg1367z00_140;
																												BgL_fnamesz00_380 =
																													BgL_arg1368z00_141;
																												BgL_fnamesz00_135 =
																													BgL_fnamesz00_380;
																												BgL_fsz00_134 =
																													BgL_fsz00_379;
																												goto BgL_loopz00_136;
																											}
																										}
																									else
																										{	/* Read/access.scm 86 */
																											BGl_userzd2errorzd2zztools_errorz00
																												(BgL_filez00_3,
																												BGl_string1394z00zzread_accessz00,
																												CAR(BgL_objz00_116),
																												BNIL);
																										}
																								}
																						}
																					}
																					{
																						obj_t BgL_objz00_383;

																						BgL_objz00_383 =
																							CDR(BgL_objz00_116);
																						BgL_objz00_116 = BgL_objz00_383;
																						goto BgL_loopz00_117;
																					}
																				}
																			else
																				{	/* Read/access.scm 79 */
																				BgL_tagzd2930zd2_123:
																					return
																						BGl_userzd2errorzd2zztools_errorz00
																						(BgL_filez00_3,
																						BGl_string1394z00zzread_accessz00,
																						CAR(BgL_objz00_116), BNIL);
																				}
																		}
																	else
																		{	/* Read/access.scm 79 */
																			goto BgL_tagzd2930zd2_123;
																		}
																}
															else
																{	/* Read/access.scm 79 */
																	goto BgL_tagzd2930zd2_123;
																}
														}
													else
														{	/* Read/access.scm 79 */
															goto BgL_tagzd2930zd2_123;
														}
												}
											}
									}
								else
									{	/* Read/access.scm 73 */
										return
											BGl_userzd2errorzd2zztools_errorz00(BgL_filez00_3,
											BGl_string1394z00zzread_accessz00, BgL_eofz00_112, BNIL);
									}
							}
					}
				}
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzread_accessz00()
	{
		AN_OBJECT;
		{	/* Read/access.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzread_accessz00()
	{
		AN_OBJECT;
		{	/* Read/access.scm 15 */
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 514705515),
				BSTRING_TO_STRING(BGl_string1395z00zzread_accessz00));
			BGl_modulezd2initializa7ationz75zzengine_enginez00(((long) 528201616),
				BSTRING_TO_STRING(BGl_string1395z00zzread_accessz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string1395z00zzread_accessz00));
			BGl_modulezd2initializa7ationz75zzinit_mainz00(((long) 230845835),
				BSTRING_TO_STRING(BGl_string1395z00zzread_accessz00));
			return
				BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 182148081),
				BSTRING_TO_STRING(BGl_string1395z00zzread_accessz00));
		}
	}

#ifdef __cplusplus
}
#endif
