/*===========================================================================*/
/*   (Read/jvm.scm)                                                          */
/*   Bigloo (2.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 25 07:31:22 CET 2006        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/2.9a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Read/jvm.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_ccompz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_producerz00;
		obj_t BgL_consumerz00;
		obj_t BgL_finaliza7erza7;
	}               *BgL_ccompz00_bglt;


	static obj_t BGl__addzd2qualifiedzd2typez12z12zzread_jvmz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t open_input_string(obj_t);
	BGL_IMPORT obj_t BGl_makezd2filezd2namez00zz__osz00(obj_t, obj_t);
	extern obj_t BGl_za2jvmzd2directoryza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzread_jvmz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2classzd2sanszd2directoryzd2zzread_jvmz00(obj_t);
	extern obj_t BGl_za2accesszd2tableza2zd2zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2classzd2withzd2directoryzd2zzread_jvmz00(obj_t);
	BGL_IMPORT bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
	BGL_IMPORT obj_t close_input_port(obj_t);
	BGL_IMPORT bool_t fexists(char *);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	BGL_IMPORT bool_t bigloo_strcmp(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_putpropz12z12zz__r4_symbols_6_4z00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl__readzd2jfilezd2zzread_jvmz00(obj_t);
	static obj_t BGl_cnstzd2initzd2zzread_jvmz00();
	BGL_IMPORT obj_t BGl_basenamez00zz__osz00(obj_t);
	static obj_t BGl_zc3exitza31461ze3z83zzread_jvmz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzread_jvmz00();
	static obj_t BGl_dozd2readzd2jfilez00zzread_jvmz00(obj_t, obj_t);
	BGL_IMPORT bool_t bigloo_strncmp(obj_t, obj_t, long);
	BGL_EXPORTED_DECL obj_t
		BGl_sourcezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t);
	static obj_t
		BGl_addzd2currentzd2modulezd2qualifiedzd2typezd2namez12zc0zzread_jvmz00();
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_enginez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinit_mainz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	static obj_t BGl_toplevelzd2initzd2zzread_jvmz00();
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	BGL_IMPORT obj_t
		BGl_withzd2inputzd2fromzd2filezd2zz__r4_ports_6_10_1z00(obj_t, obj_t);
	extern obj_t BGl_za2qualifiedzd2typezd2filezd2defaultza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_valzd2fromzd2exitzf3zf3zz__bexitz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_readzd2jfilezd2zzread_jvmz00();
	extern obj_t BGl_backendz00zzbackend_backendz00;
	static obj_t BGl_zc3anonymousza31524ze3z83zzread_jvmz00(obj_t);
	BGL_IMPORT obj_t c_substring(obj_t, long, long);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	extern obj_t BGl_za2destza2z00zzengine_paramz00;
	BGL_IMPORT obj_t BGl_getpropz00zz__r4_symbols_6_4z00(obj_t, obj_t);
	extern obj_t BGl_za2passza2z00zzengine_paramz00;
	static obj_t BGl__sourcezd2ze3qualifiedzd2t1535ze3zzread_jvmz00(obj_t, obj_t);
	static obj_t BGl__jvmzd2classzd2sanszd2directoryzd2zzread_jvmz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_filezd2separatorzd2zz__osz00();
	static obj_t BGl__jvmzd2classzd2withzd2directoryzd2zzread_jvmz00(obj_t,
		obj_t);
	extern obj_t BGl_za2qualifiedzd2typezd2fileza2z00zzengine_paramz00;
	static obj_t BGl__modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t);
	BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
	BGL_IMPORT obj_t BGl_prefixz00zz__osz00(obj_t);
	static obj_t BGl_za2jvmzd2markza2zd2zzread_jvmz00 = BUNSPEC;
	extern obj_t BGl_za2srczd2filesza2zd2zzengine_paramz00;
	static obj_t BGl_libraryzd2moduleszd2initz00zzread_jvmz00();
	static obj_t BGl_methodzd2initzd2zzread_jvmz00();
	BGL_EXPORTED_DECL obj_t BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(obj_t,
		obj_t, obj_t);
	static obj_t __cnst[5];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sourcezd2ze3qualifiedzd2typezd2envz31zzread_jvmz00,
		BgL_bgl__sourceza7d2za7e3qua1560z00,
		BGl__sourcezd2ze3qualifiedzd2t1535ze3zzread_jvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2classzd2withzd2directoryzd2envz00zzread_jvmz00,
		BgL_bgl__jvmza7d2classza7d2w1561z00,
		BGl__jvmzd2classzd2withzd2directoryzd2zzread_jvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2classzd2sanszd2directoryzd2envz00zzread_jvmz00,
		BgL_bgl__jvmza7d2classza7d2s1562z00,
		BGl__jvmzd2classzd2sanszd2directoryzd2zzread_jvmz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1536z00zzread_jvmz00,
		BgL_bgl_string1536za700za7za7r1563za7, "", 0);
	      DEFINE_STRING(BGl_string1537z00zzread_jvmz00,
		BgL_bgl_string1537za700za7za7r1564za7, ", for identifier `", 18);
	      DEFINE_STRING(BGl_string1538z00zzread_jvmz00,
		BgL_bgl_string1538za700za7za7r1565za7, "'", 1);
	      DEFINE_STRING(BGl_string1540z00zzread_jvmz00,
		BgL_bgl_string1540za700za7za7r1566za7, "add-qualified-type!", 19);
	      DEFINE_STRING(BGl_string1539z00zzread_jvmz00,
		BgL_bgl_string1539za700za7za7r1567za7, "empty name for module -- ", 25);
	      DEFINE_STRING(BGl_string1541z00zzread_jvmz00,
		BgL_bgl_string1541za700za7za7r1568za7, "'.", 2);
	      DEFINE_STRING(BGl_string1542z00zzread_jvmz00,
		BgL_bgl_string1542za700za7za7r1569za7, ".", 1);
	      DEFINE_STRING(BGl_string1543z00zzread_jvmz00,
		BgL_bgl_string1543za700za7za7r1570za7, "]", 1);
	      DEFINE_STRING(BGl_string1544z00zzread_jvmz00,
		BgL_bgl_string1544za700za7za7r1571za7, ":", 1);
	      DEFINE_STRING(BGl_string1545z00zzread_jvmz00,
		BgL_bgl_string1545za700za7za7r1572za7, " [", 2);
	      DEFINE_STRING(BGl_string1546z00zzread_jvmz00,
		BgL_bgl_string1546za700za7za7r1573za7, "qualified type redefinition -- ",
		31);
	      DEFINE_STRING(BGl_string1547z00zzread_jvmz00,
		BgL_bgl_string1547za700za7za7r1574za7, "      [reading jfile ", 21);
	      DEFINE_STRING(BGl_string1548z00zzread_jvmz00,
		BgL_bgl_string1548za700za7za7r1575za7, "Can't open jfile", 16);
	      DEFINE_STRING(BGl_string1550z00zzread_jvmz00,
		BgL_bgl_string1550za700za7za7r1576za7, "Illegal jfile format", 20);
	      DEFINE_STRING(BGl_string1549z00zzread_jvmz00,
		BgL_bgl_string1549za700za7za7r1577za7, "Can't find jfile", 16);
	      DEFINE_STRING(BGl_string1551z00zzread_jvmz00,
		BgL_bgl_string1551za700za7za7r1578za7,
		"Can't find qualified type name for module `", 43);
	      DEFINE_STRING(BGl_string1552z00zzread_jvmz00,
		BgL_bgl_string1552za700za7za7r1579za7, "',", 2);
	      DEFINE_STRING(BGl_string1553z00zzread_jvmz00,
		BgL_bgl_string1553za700za7za7r1580za7, "Using name `", 12);
	      DEFINE_STRING(BGl_string1554z00zzread_jvmz00,
		BgL_bgl_string1554za700za7za7r1581za7, "read_jvm", 8);
	      DEFINE_STRING(BGl_string1555z00zzread_jvmz00,
		BgL_bgl_string1555za700za7za7r1582za7,
		"module ld done read-jfile jvm-qtype ", 36);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_modulezd2ze3qualifiedzd2typezd2envz31zzread_jvmz00,
		BgL_bgl__moduleza7d2za7e3qua1583z00,
		BGl__modulezd2ze3qualifiedzd2typeze3zzread_jvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_addzd2qualifiedzd2typez12zd2envzc0zzread_jvmz00,
		BgL_bgl__addza7d2qualified1584za7, va_generic_entry,
		BGl__addzd2qualifiedzd2typez12z12zzread_jvmz00, BUNSPEC, -3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_readzd2jfilezd2envz00zzread_jvmz00,
		BgL_bgl__readza7d2jfileza7d21585z00, BGl__readzd2jfilezd2zzread_jvmz00, 0L,
		BUNSPEC, 0);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long
		BgL_checksumz00_409, char *BgL_fromz00_410)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzread_jvmz00))
				{
					BGl_requirezd2initializa7ationz75zzread_jvmz00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzread_jvmz00();
					BGl_cnstzd2initzd2zzread_jvmz00();
					BGl_importedzd2moduleszd2initz00zzread_jvmz00();
					BGl_toplevelzd2initzd2zzread_jvmz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzread_jvmz00()
	{
		AN_OBJECT;
		{	/* Read/jvm.scm 15 */
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "read_jvm");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "read_jvm");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "read_jvm");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"read_jvm");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"read_jvm");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"read_jvm");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"read_jvm");
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 0), "read_jvm");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "read_jvm");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzread_jvmz00()
	{
		AN_OBJECT;
		{	/* Read/jvm.scm 15 */
			{	/* Read/jvm.scm 15 */
				obj_t BgL_cportz00_399;

				BgL_cportz00_399 = open_input_string(BGl_string1555z00zzread_jvmz00);
				{
					long BgL_iz00_400;

					BgL_iz00_400 = ((long) 4);
				BgL_loopz00_401:
					if ((BgL_iz00_400 == ((long) -1)))
						{	/* Read/jvm.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Read/jvm.scm 15 */
							{	/* Read/jvm.scm 15 */
								obj_t BgL_arg1559z00_403;

								{	/* Read/jvm.scm 15 */

									{	/* Read/jvm.scm 15 */
										obj_t BgL_locationz00_405;

										BgL_locationz00_405 = BBOOL(((bool_t) 0));
										{	/* Read/jvm.scm 15 */

											BgL_arg1559z00_403 =
												BGl_readz00zz__readerz00(BgL_cportz00_399,
												BgL_locationz00_405);
										}
									}
								}
								{	/* Read/jvm.scm 15 */
									int BgL_auxz00_432;

									BgL_auxz00_432 = (int) (BgL_iz00_400);
									CNST_TABLE_SET(BgL_auxz00_432, BgL_arg1559z00_403);
							}}
							{	/* Read/jvm.scm 15 */
								int BgL_auxz00_406;

								BgL_auxz00_406 = (int) ((BgL_iz00_400 - ((long) 1)));
								{
									long BgL_iz00_437;

									BgL_iz00_437 = (long) (BgL_auxz00_406);
									BgL_iz00_400 = BgL_iz00_437;
									goto BgL_loopz00_401;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzread_jvmz00()
	{
		AN_OBJECT;
		{	/* Read/jvm.scm 15 */
			return (BGl_za2jvmzd2markza2zd2zzread_jvmz00 =
				CNST_TABLE_REF(((long) 0)), BUNSPEC);
		}
	}



/* jvm-class-sans-directory */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2classzd2sanszd2directoryzd2zzread_jvmz00(obj_t BgL_filez00_1)
	{
		AN_OBJECT;
		{	/* Read/jvm.scm 33 */
			if (STRINGP(BGl_za2jvmzd2directoryza2zd2zzengine_paramz00))
				{	/* Read/jvm.scm 36 */
					long BgL_ldz00_125;
					long BgL_lfz00_126;

					BgL_ldz00_125 =
						STRING_LENGTH(BGl_za2jvmzd2directoryza2zd2zzengine_paramz00);
					BgL_lfz00_126 = STRING_LENGTH(BgL_filez00_1);
					{	/* Read/jvm.scm 38 */
						bool_t BgL_testz00_444;

						if ((BgL_lfz00_126 < (BgL_ldz00_125 + ((long) 1))))
							{	/* Read/jvm.scm 38 */
								BgL_testz00_444 = ((bool_t) 1);
							}
						else
							{	/* Read/jvm.scm 38 */
								if (bigloo_strncmp(BgL_filez00_1,
										BGl_za2jvmzd2directoryza2zd2zzengine_paramz00,
										BgL_ldz00_125))
									{	/* Read/jvm.scm 40 */
										bool_t BgL_testz00_450;

										{	/* Read/jvm.scm 40 */
											unsigned char BgL_arg1380z00_132;
											obj_t BgL_arg1381z00_133;

											BgL_arg1380z00_132 =
												STRING_REF(BgL_filez00_1, BgL_ldz00_125);
											BgL_arg1381z00_133 = BGl_filezd2separatorzd2zz__osz00();
											BgL_testz00_450 =
												(BgL_arg1380z00_132 == CCHAR(BgL_arg1381z00_133));
										}
										if (BgL_testz00_450)
											{	/* Read/jvm.scm 40 */
												BgL_testz00_444 = ((bool_t) 0);
											}
										else
											{	/* Read/jvm.scm 40 */
												BgL_testz00_444 = ((bool_t) 1);
											}
									}
								else
									{	/* Read/jvm.scm 39 */
										BgL_testz00_444 = ((bool_t) 1);
									}
							}
						if (BgL_testz00_444)
							{	/* Read/jvm.scm 38 */
								return BgL_filez00_1;
							}
						else
							{	/* Read/jvm.scm 38 */
								return
									c_substring(BgL_filez00_1,
									(((long) 1) + BgL_ldz00_125), BgL_lfz00_126);
				}}}
			else
				{	/* Read/jvm.scm 34 */
					return BgL_filez00_1;
				}
		}
	}



/* _jvm-class-sans-directory */
	obj_t BGl__jvmzd2classzd2sanszd2directoryzd2zzread_jvmz00(obj_t
		BgL_envz00_382, obj_t BgL_filez00_383)
	{
		AN_OBJECT;
		{	/* Read/jvm.scm 33 */
			return
				BGl_jvmzd2classzd2sanszd2directoryzd2zzread_jvmz00(BgL_filez00_383);
		}
	}



/* jvm-class-with-directory */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2classzd2withzd2directoryzd2zzread_jvmz00(obj_t BgL_classz00_2)
	{
		AN_OBJECT;
		{	/* Read/jvm.scm 47 */
			if (STRINGP(BGl_za2jvmzd2directoryza2zd2zzengine_paramz00))
				{	/* Read/jvm.scm 49 */
					if (bigloo_strcmp(BgL_classz00_2, BGl_string1536z00zzread_jvmz00))
						{	/* Read/jvm.scm 51 */
							return BGl_za2jvmzd2directoryza2zd2zzengine_paramz00;
						}
					else
						{	/* Read/jvm.scm 51 */
							return
								BGl_makezd2filezd2namez00zz__osz00
								(BGl_za2jvmzd2directoryza2zd2zzengine_paramz00, BgL_classz00_2);
						}
				}
			else
				{	/* Read/jvm.scm 49 */
					return BgL_classz00_2;
				}
		}
	}



/* _jvm-class-with-directory */
	obj_t BGl__jvmzd2classzd2withzd2directoryzd2zzread_jvmz00(obj_t
		BgL_envz00_384, obj_t BgL_classz00_385)
	{
		AN_OBJECT;
		{	/* Read/jvm.scm 47 */
			return
				BGl_jvmzd2classzd2withzd2directoryzd2zzread_jvmz00(BgL_classz00_385);
		}
	}



/* add-qualified-type! */
	BGL_EXPORTED_DEF obj_t BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(obj_t
		BgL_modulez00_3, obj_t BgL_qtypez00_4, obj_t BgL_identz00_5)
	{
		AN_OBJECT;
		{	/* Read/jvm.scm 64 */
			{	/* Read/jvm.scm 65 */
				obj_t BgL_bcz00_137;

				BgL_bcz00_137 = BGl_thezd2backendzd2zzbackend_backendz00();
				{	/* Read/jvm.scm 66 */
					bool_t BgL_testz00_465;

					if (BGl_iszd2azf3z21zz__objectz00(BgL_bcz00_137,
							BGl_backendz00zzbackend_backendz00))
						{	/* Read/jvm.scm 66 */
							if (bigloo_strcmp(BgL_qtypez00_4, BGl_string1536z00zzread_jvmz00))
								{	/* Read/jvm.scm 68 */
									obj_t BgL_arg1409z00_155;

									BgL_arg1409z00_155 =
										BGl_thezd2backendzd2zzbackend_backendz00();
									{	/* Read/jvm.scm 68 */
										BgL_backendz00_bglt BgL_obj1311z00_319;

										BgL_obj1311z00_319 =
											(BgL_backendz00_bglt) (BgL_arg1409z00_155);
										BgL_testz00_465 =
											(((BgL_backendz00_bglt) CREF(BgL_obj1311z00_319))->
											BgL_qualifiedzd2typeszd2);
									}
								}
							else
								{	/* Read/jvm.scm 67 */
									BgL_testz00_465 = ((bool_t) 0);
								}
						}
					else
						{	/* Read/jvm.scm 66 */
							BgL_testz00_465 = ((bool_t) 0);
						}
					if (BgL_testz00_465)
						{	/* Read/jvm.scm 69 */
							obj_t BgL_arg1388z00_141;

							{	/* Read/jvm.scm 72 */
								bool_t BgL_testz00_473;

								if (PAIRP(BgL_identz00_5))
									{	/* Read/jvm.scm 72 */
										obj_t BgL_auxz00_476;

										BgL_auxz00_476 = CAR(BgL_identz00_5);
										BgL_testz00_473 = SYMBOLP(BgL_auxz00_476);
									}
								else
									{	/* Read/jvm.scm 72 */
										BgL_testz00_473 = ((bool_t) 0);
									}
								if (BgL_testz00_473)
									{	/* Read/jvm.scm 73 */
										obj_t BgL_arg1400z00_148;

										BgL_arg1400z00_148 = SYMBOL_TO_STRING(CAR(BgL_identz00_5));
										BgL_arg1388z00_141 =
											string_append_3(BGl_string1537z00zzread_jvmz00,
											BgL_arg1400z00_148, BGl_string1538z00zzread_jvmz00);
									}
								else
									{	/* Read/jvm.scm 72 */
										BgL_arg1388z00_141 = BGl_string1536z00zzread_jvmz00;
									}
							}
							{	/* Read/jvm.scm 69 */
								obj_t BgL_list1390z00_142;

								{	/* Read/jvm.scm 69 */
									obj_t BgL_arg1391z00_143;

									{	/* Read/jvm.scm 69 */
										obj_t BgL_arg1394z00_144;

										{	/* Read/jvm.scm 69 */
											obj_t BgL_arg1395z00_145;

											BgL_arg1395z00_145 = MAKE_PAIR(BgL_arg1388z00_141, BNIL);
											BgL_arg1394z00_144 =
												MAKE_PAIR(BgL_modulez00_3, BgL_arg1395z00_145);
										}
										BgL_arg1391z00_143 =
											MAKE_PAIR(BGl_string1539z00zzread_jvmz00,
											BgL_arg1394z00_144);
									}
									BgL_list1390z00_142 =
										MAKE_PAIR(BGl_string1540z00zzread_jvmz00,
										BgL_arg1391z00_143);
								}
								BGl_warningz00zz__errorz00(BgL_list1390z00_142);
							}
						}
					else
						{	/* Read/jvm.scm 66 */
							BFALSE;
						}
				}
				{	/* Read/jvm.scm 77 */
					obj_t BgL_bz00_156;

					BgL_bz00_156 =
						BGl_getpropz00zz__r4_symbols_6_4z00(BgL_modulez00_3,
						BGl_za2jvmzd2markza2zd2zzread_jvmz00);
					if (CBOOL(BgL_bz00_156))
						{	/* Read/jvm.scm 80 */
							bool_t BgL_testz00_490;

							if (BGl_iszd2azf3z21zz__objectz00(BgL_bcz00_137,
									BGl_backendz00zzbackend_backendz00))
								{	/* Read/jvm.scm 80 */
									if (BGl_equalzf3zf3zz__r4_equivalence_6_2z00(BgL_bz00_156,
											BgL_qtypez00_4))
										{	/* Read/jvm.scm 81 */
											BgL_testz00_490 = ((bool_t) 0);
										}
									else
										{	/* Read/jvm.scm 82 */
											obj_t BgL_arg1440z00_182;

											BgL_arg1440z00_182 =
												BGl_thezd2backendzd2zzbackend_backendz00();
											{	/* Read/jvm.scm 82 */
												BgL_backendz00_bglt BgL_obj1311z00_326;

												BgL_obj1311z00_326 =
													(BgL_backendz00_bglt) (BgL_arg1440z00_182);
												BgL_testz00_490 =
													(((BgL_backendz00_bglt) CREF(BgL_obj1311z00_326))->
													BgL_qualifiedzd2typeszd2);
											}
										}
								}
							else
								{	/* Read/jvm.scm 80 */
									BgL_testz00_490 = ((bool_t) 0);
								}
							if (BgL_testz00_490)
								{	/* Read/jvm.scm 80 */
									BGl_putpropz12z12zz__r4_symbols_6_4z00(BgL_modulez00_3,
										BGl_za2jvmzd2markza2zd2zzread_jvmz00, BgL_qtypez00_4);
									{	/* Read/jvm.scm 84 */
										obj_t BgL_arg1418z00_163;

										{	/* Read/jvm.scm 87 */
											bool_t BgL_testz00_499;

											if (PAIRP(BgL_identz00_5))
												{	/* Read/jvm.scm 87 */
													obj_t BgL_auxz00_502;

													BgL_auxz00_502 = CAR(BgL_identz00_5);
													BgL_testz00_499 = SYMBOLP(BgL_auxz00_502);
												}
											else
												{	/* Read/jvm.scm 87 */
													BgL_testz00_499 = ((bool_t) 0);
												}
											if (BgL_testz00_499)
												{	/* Read/jvm.scm 88 */
													obj_t BgL_arg1432z00_175;

													BgL_arg1432z00_175 =
														SYMBOL_TO_STRING(CAR(BgL_identz00_5));
													BgL_arg1418z00_163 =
														string_append_3(BGl_string1537z00zzread_jvmz00,
														BgL_arg1432z00_175, BGl_string1541z00zzread_jvmz00);
												}
											else
												{	/* Read/jvm.scm 87 */
													BgL_arg1418z00_163 = BGl_string1542z00zzread_jvmz00;
												}
										}
										{	/* Read/jvm.scm 84 */
											obj_t BgL_list1419z00_164;

											{	/* Read/jvm.scm 84 */
												obj_t BgL_arg1420z00_165;

												{	/* Read/jvm.scm 84 */
													obj_t BgL_arg1422z00_166;

													{	/* Read/jvm.scm 84 */
														obj_t BgL_arg1423z00_167;

														{	/* Read/jvm.scm 84 */
															obj_t BgL_arg1424z00_168;

															{	/* Read/jvm.scm 84 */
																obj_t BgL_arg1425z00_169;

																{	/* Read/jvm.scm 84 */
																	obj_t BgL_arg1426z00_170;

																	{	/* Read/jvm.scm 84 */
																		obj_t BgL_arg1427z00_171;

																		{	/* Read/jvm.scm 84 */
																			obj_t BgL_arg1428z00_172;

																			BgL_arg1428z00_172 =
																				MAKE_PAIR(BgL_arg1418z00_163, BNIL);
																			BgL_arg1427z00_171 =
																				MAKE_PAIR
																				(BGl_string1543z00zzread_jvmz00,
																				BgL_arg1428z00_172);
																		}
																		BgL_arg1426z00_170 =
																			MAKE_PAIR(BgL_qtypez00_4,
																			BgL_arg1427z00_171);
																	}
																	BgL_arg1425z00_169 =
																		MAKE_PAIR(BGl_string1544z00zzread_jvmz00,
																		BgL_arg1426z00_170);
																}
																BgL_arg1424z00_168 =
																	MAKE_PAIR(BgL_bz00_156, BgL_arg1425z00_169);
															}
															BgL_arg1423z00_167 =
																MAKE_PAIR(BGl_string1545z00zzread_jvmz00,
																BgL_arg1424z00_168);
														}
														BgL_arg1422z00_166 =
															MAKE_PAIR(BgL_modulez00_3, BgL_arg1423z00_167);
													}
													BgL_arg1420z00_165 =
														MAKE_PAIR(BGl_string1546z00zzread_jvmz00,
														BgL_arg1422z00_166);
												}
												BgL_list1419z00_164 =
													MAKE_PAIR(BGl_string1540z00zzread_jvmz00,
													BgL_arg1420z00_165);
											}
											return BGl_warningz00zz__errorz00(BgL_list1419z00_164);
										}
									}
								}
							else
								{	/* Read/jvm.scm 80 */
									return BFALSE;
								}
						}
					else
						{	/* Read/jvm.scm 78 */
							return
								BGl_putpropz12z12zz__r4_symbols_6_4z00(BgL_modulez00_3,
								BGl_za2jvmzd2markza2zd2zzread_jvmz00, BgL_qtypez00_4);
						}
				}
			}
		}
	}



/* _add-qualified-type! */
	obj_t BGl__addzd2qualifiedzd2typez12z12zzread_jvmz00(obj_t BgL_envz00_386,
		obj_t BgL_modulez00_387, obj_t BgL_qtypez00_388, obj_t BgL_identz00_389)
	{
		AN_OBJECT;
		{	/* Read/jvm.scm 64 */
			return
				BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(BgL_modulez00_387,
				BgL_qtypez00_388, BgL_identz00_389);
		}
	}



/* read-jfile */
	BGL_EXPORTED_DEF obj_t BGl_readzd2jfilezd2zzread_jvmz00()
	{
		AN_OBJECT;
		{	/* Read/jvm.scm 96 */
			{
				obj_t BgL_namez00_188;

				if (STRINGP(BGl_za2qualifiedzd2typezd2fileza2z00zzengine_paramz00))
					{	/* Read/jvm.scm 107 */
						if (fexists(BSTRING_TO_STRING
								(BGl_za2qualifiedzd2typezd2fileza2z00zzengine_paramz00)))
							{	/* Read/jvm.scm 111 */
								BgL_namez00_188 =
									BGl_za2qualifiedzd2typezd2fileza2z00zzengine_paramz00;
							BgL_zc3anonymousza31445ze3z83_189:
								{	/* Read/jvm.scm 98 */
									obj_t BgL_portz00_190;

									BgL_portz00_190 =
										BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00
										(BgL_namez00_188, BNIL);
									{	/* Read/jvm.scm 99 */
										obj_t BgL_list1446z00_191;

										{	/* Read/jvm.scm 99 */
											obj_t BgL_arg1448z00_193;

											{	/* Read/jvm.scm 99 */
												obj_t BgL_arg1449z00_194;

												{	/* Read/jvm.scm 99 */
													obj_t BgL_arg1454z00_196;

													BgL_arg1454z00_196 =
														MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
													BgL_arg1449z00_194 =
														MAKE_PAIR(BGl_string1543z00zzread_jvmz00,
														BgL_arg1454z00_196);
												}
												BgL_arg1448z00_193 =
													MAKE_PAIR(BgL_namez00_188, BgL_arg1449z00_194);
											}
											BgL_list1446z00_191 =
												MAKE_PAIR(BGl_string1547z00zzread_jvmz00,
												BgL_arg1448z00_193);
										}
										BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
											BgL_list1446z00_191);
									}
									if (INPUT_PORTP(BgL_portz00_190))
										{	/* Read/jvm.scm 102 */
											obj_t BgL_val1371z00_198;

											BgL_val1371z00_198 =
												BGl_zc3exitza31461ze3z83zzread_jvmz00(BgL_namez00_188,
												BgL_portz00_190);
											close_input_port(BgL_portz00_190);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1371z00_198)))
												{	/* Read/jvm.scm 104 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1371z00_198), CDR(BgL_val1371z00_198));
												}
											else
												{	/* Read/jvm.scm 104 */
													return BgL_val1371z00_198;
												}
										}
									else
										{	/* Read/jvm.scm 100 */
											return
												BGl_userzd2errorzd2zztools_errorz00(CNST_TABLE_REF((
														(long) 1)), BGl_string1548z00zzread_jvmz00,
												BgL_namez00_188, BNIL);
							}}}
						else
							{	/* Read/jvm.scm 111 */
								return
									BGl_userzd2errorzd2zztools_errorz00(CNST_TABLE_REF(((long)
											1)), BGl_string1549z00zzread_jvmz00,
									BGl_za2qualifiedzd2typezd2fileza2z00zzengine_paramz00, BNIL);
					}}
				else
					{	/* Read/jvm.scm 107 */
						if (fexists(BSTRING_TO_STRING
								(BGl_za2qualifiedzd2typezd2filezd2defaultza2zd2zzengine_paramz00)))
							{
								obj_t BgL_namez00_550;

								BgL_namez00_550 =
									BGl_za2qualifiedzd2typezd2filezd2defaultza2zd2zzengine_paramz00;
								BgL_namez00_188 = BgL_namez00_550;
								goto BgL_zc3anonymousza31445ze3z83_189;
							}
						else
							{	/* Read/jvm.scm 108 */
								return CNST_TABLE_REF(((long) 2));
		}}}}
	}



/* <exit:1461> */
	obj_t BGl_zc3exitza31461ze3z83zzread_jvmz00(obj_t BgL_namez00_398,
		obj_t BgL_portz00_397)
	{
		AN_OBJECT;
		{	/* Read/jvm.scm 104 */
			jmp_buf jmpbuf;
			obj_t BgL_an_exit1372z00_203;

			{
				BGL_STORE_TRACE();
				if (SET_EXIT(BgL_an_exit1372z00_203))
					{
						BGL_RESTORE_TRACE();
						return _exit_value_;
					}
				else
					{
						BgL_an_exit1372z00_203 = (obj_t) jmpbuf;
						{	/* Read/jvm.scm 104 */

							PUSH_EXIT(BgL_an_exit1372z00_203, ((long) 0));
							{	/* Read/jvm.scm 103 */
								obj_t BgL_val1373z00_204;

								BgL_val1373z00_204 =
									BGl_dozd2readzd2jfilez00zzread_jvmz00(BgL_portz00_397,
									BgL_namez00_398);
								POP_EXIT();
								return BgL_val1373z00_204;
							}
						}
					}
			}
		}
	}



/* _read-jfile */
	obj_t BGl__readzd2jfilezd2zzread_jvmz00(obj_t BgL_envz00_390)
	{
		AN_OBJECT;
		{	/* Read/jvm.scm 96 */
			return BGl_readzd2jfilezd2zzread_jvmz00();
		}
	}



/* do-read-jfile */
	obj_t BGl_dozd2readzd2jfilez00zzread_jvmz00(obj_t BgL_portz00_6,
		obj_t BgL_jfnamez00_7)
	{
		AN_OBJECT;
		{	/* Read/jvm.scm 119 */
			{	/* Read/jvm.scm 120 */
				obj_t BgL_objz00_208;

				BgL_objz00_208 = BGl_readz00zz__readerz00(BgL_portz00_6, BTRUE);
				{	/* Read/jvm.scm 120 */
					obj_t BgL_eofz00_209;

					{	/* Read/jvm.scm 121 */

						{	/* Read/jvm.scm 121 */
							obj_t BgL_iportz00_237;

							BgL_iportz00_237 = BgL_portz00_6;
							{	/* Read/jvm.scm 121 */

								BgL_eofz00_209 =
									BGl_readz00zz__readerz00(BgL_iportz00_237, BFALSE);
							}
						}
					}
					{	/* Read/jvm.scm 121 */

						if (EOF_OBJECTP(BgL_objz00_208))
							{	/* Read/jvm.scm 123 */
								return
									BGl_userzd2errorzd2zztools_errorz00(CNST_TABLE_REF(((long)
											1)), BGl_string1550z00zzread_jvmz00, BgL_objz00_208,
									BNIL);
							}
						else
							{	/* Read/jvm.scm 123 */
								if (EOF_OBJECTP(BgL_eofz00_209))
									{
										obj_t BgL_objz00_213;

										BgL_objz00_213 = BgL_objz00_208;
									BgL_loopz00_214:
										if (NULLP(BgL_objz00_213))
											{	/* Read/jvm.scm 129 */
												return CNST_TABLE_REF(((long) 2));
											}
										else
											{

												{	/* Read/jvm.scm 131 */
													obj_t BgL_ezd2931zd2_220;

													BgL_ezd2931zd2_220 = CAR(BgL_objz00_213);
													if (PAIRP(BgL_ezd2931zd2_220))
														{	/* Read/jvm.scm 131 */
															obj_t BgL_carzd2936zd2_222;
															obj_t BgL_cdrzd2937zd2_223;

															BgL_carzd2936zd2_222 = CAR(BgL_ezd2931zd2_220);
															BgL_cdrzd2937zd2_223 = CDR(BgL_ezd2931zd2_220);
															if (SYMBOLP(BgL_carzd2936zd2_222))
																{	/* Read/jvm.scm 131 */
																	if (PAIRP(BgL_cdrzd2937zd2_223))
																		{	/* Read/jvm.scm 131 */
																			obj_t BgL_carzd2942zd2_226;

																			BgL_carzd2942zd2_226 =
																				CAR(BgL_cdrzd2937zd2_223);
																			if (STRINGP(BgL_carzd2942zd2_226))
																				{	/* Read/jvm.scm 131 */
																					if (NULLP(CDR(BgL_cdrzd2937zd2_223)))
																						{	/* Read/jvm.scm 131 */
																							BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00
																								(BgL_carzd2936zd2_222,
																								BgL_carzd2942zd2_226, BNIL);
																							{
																								obj_t BgL_objz00_585;

																								BgL_objz00_585 =
																									CDR(BgL_objz00_213);
																								BgL_objz00_213 = BgL_objz00_585;
																								goto BgL_loopz00_214;
																							}
																						}
																					else
																						{	/* Read/jvm.scm 131 */
																						BgL_tagzd2930zd2_219:
																							{	/* Read/jvm.scm 136 */
																								obj_t BgL_arg1481z00_232;
																								obj_t BgL_arg1484z00_234;

																								BgL_arg1481z00_232 =
																									CNST_TABLE_REF(((long) 1));
																								BgL_arg1484z00_234 =
																									CAR(BgL_objz00_213);
																								return
																									BGl_userzd2errorzd2zztools_errorz00
																									(BgL_arg1481z00_232,
																									BGl_string1550z00zzread_jvmz00,
																									BgL_arg1484z00_234, BNIL);
																							}
																						}
																				}
																			else
																				{	/* Read/jvm.scm 131 */
																					goto BgL_tagzd2930zd2_219;
																				}
																		}
																	else
																		{	/* Read/jvm.scm 131 */
																			goto BgL_tagzd2930zd2_219;
																		}
																}
															else
																{	/* Read/jvm.scm 131 */
																	goto BgL_tagzd2930zd2_219;
																}
														}
													else
														{	/* Read/jvm.scm 131 */
															goto BgL_tagzd2930zd2_219;
														}
												}
											}
									}
								else
									{	/* Read/jvm.scm 125 */
										return
											BGl_userzd2errorzd2zztools_errorz00(CNST_TABLE_REF(((long)
													1)), BGl_string1550z00zzread_jvmz00, BgL_eofz00_209,
											BNIL);
		}}}}}}
	}



/* add-current-module-qualified-type-name! */
	obj_t
		BGl_addzd2currentzd2modulezd2qualifiedzd2typezd2namez12zc0zzread_jvmz00()
	{
		AN_OBJECT;
		{	/* Read/jvm.scm 143 */
			{	/* Read/jvm.scm 145 */
				obj_t BgL_qtypez00_239;

				BgL_qtypez00_239 =
					BGl_getpropz00zz__r4_symbols_6_4z00
					(BGl_za2moduleza2z00zzmodule_modulez00,
					BGl_za2jvmzd2markza2zd2zzread_jvmz00);
				if (STRINGP(BgL_qtypez00_239))
					{	/* Read/jvm.scm 146 */
						return BFALSE;
					}
				else
					{	/* Read/jvm.scm 151 */
						bool_t BgL_testz00_595;

						if (STRINGP(BGl_za2destza2z00zzengine_paramz00))
							{	/* Read/jvm.scm 151 */
								BgL_testz00_595 =
									(BGl_za2passza2z00zzengine_paramz00 ==
									CNST_TABLE_REF(((long) 3)));
							}
						else
							{	/* Read/jvm.scm 151 */
								BgL_testz00_595 = ((bool_t) 1);
							}
						if (BgL_testz00_595)
							{	/* Read/jvm.scm 154 */
								obj_t BgL_qtz00_242;

								{	/* Read/jvm.scm 154 */
									bool_t BgL_testz00_600;

									{	/* Read/jvm.scm 154 */
										obj_t BgL_auxz00_601;

										BgL_auxz00_601 =
											CAR(BGl_za2srczd2filesza2zd2zzengine_paramz00);
										BgL_testz00_600 = STRINGP(BgL_auxz00_601);
									}
									if (BgL_testz00_600)
										{	/* Read/jvm.scm 154 */
											BgL_qtz00_242 =
												BGl_prefixz00zz__osz00(BGl_basenamez00zz__osz00(CAR
													(BGl_za2srczd2filesza2zd2zzengine_paramz00)));
										}
									else
										{	/* Read/jvm.scm 154 */
											BgL_qtz00_242 = BGl_string1542z00zzread_jvmz00;
										}
								}
								BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00
									(BGl_za2moduleza2z00zzmodule_modulez00, BgL_qtz00_242, BNIL);
								return BgL_qtz00_242;
							}
						else
							{	/* Read/jvm.scm 160 */
								obj_t BgL_qtz00_248;

								BgL_qtz00_248 =
									BGl_prefixz00zz__osz00(BGl_za2destza2z00zzengine_paramz00);
								BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00
									(BGl_za2moduleza2z00zzmodule_modulez00, BgL_qtz00_248, BNIL);
								return BgL_qtz00_248;
							}
					}
			}
		}
	}



/* module->qualified-type */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t
		BgL_modulez00_8)
	{
		AN_OBJECT;
		{	/* Read/jvm.scm 170 */
			{	/* Read/jvm.scm 171 */
				obj_t BgL_bz00_251;

				BgL_bz00_251 =
					BGl_getpropz00zz__r4_symbols_6_4z00(BgL_modulez00_8,
					BGl_za2jvmzd2markza2zd2zzread_jvmz00);
				if (STRINGP(BgL_bz00_251))
					{	/* Read/jvm.scm 173 */
						return BgL_bz00_251;
					}
				else
					{	/* Read/jvm.scm 173 */
						if ((BgL_modulez00_8 == BGl_za2moduleza2z00zzmodule_modulez00))
							{	/* Read/jvm.scm 175 */
								return
									BGl_addzd2currentzd2modulezd2qualifiedzd2typezd2namez12zc0zzread_jvmz00
									();
							}
						else
							{	/* Read/jvm.scm 178 */
								obj_t BgL_cellz00_254;

								BgL_cellz00_254 =
									BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_modulez00_8,
									BGl_za2accesszd2tableza2zd2zzengine_paramz00);
								{	/* Read/jvm.scm 178 */
									obj_t BgL_defaultz00_255;

									if (PAIRP(BgL_cellz00_254))
										{	/* Read/jvm.scm 180 */
											obj_t BgL_arg1520z00_270;

											{	/* Read/jvm.scm 180 */
												obj_t BgL_arg1521z00_271;

												{	/* Read/jvm.scm 180 */
													obj_t BgL_pairz00_368;

													BgL_pairz00_368 = BgL_cellz00_254;
													BgL_arg1521z00_271 = CAR(CDR(BgL_pairz00_368));
												}
												BgL_arg1520z00_270 =
													BGl_basenamez00zz__osz00(BgL_arg1521z00_271);
											}
											BgL_defaultz00_255 =
												BGl_prefixz00zz__osz00(BgL_arg1520z00_270);
										}
									else
										{	/* Read/jvm.scm 179 */
											BgL_defaultz00_255 = SYMBOL_TO_STRING(BgL_modulez00_8);
										}
									{	/* Read/jvm.scm 179 */

										{	/* Read/jvm.scm 182 */
											bool_t BgL_testz00_624;

											{	/* Read/jvm.scm 182 */
												obj_t BgL_arg1516z00_267;

												BgL_arg1516z00_267 =
													BGl_thezd2backendzd2zzbackend_backendz00();
												{	/* Read/jvm.scm 182 */
													BgL_backendz00_bglt BgL_obj1311z00_373;

													BgL_obj1311z00_373 =
														(BgL_backendz00_bglt) (BgL_arg1516z00_267);
													BgL_testz00_624 =
														(((BgL_backendz00_bglt) CREF(BgL_obj1311z00_373))->
														BgL_qualifiedzd2typeszd2);
												}
											}
											if (BgL_testz00_624)
												{	/* Read/jvm.scm 184 */
													obj_t BgL_arg1501z00_257;

													{	/* Read/jvm.scm 184 */
														obj_t BgL_arg1513z00_265;

														BgL_arg1513z00_265 =
															SYMBOL_TO_STRING(BgL_modulez00_8);
														BgL_arg1501z00_257 =
															string_append_3(BGl_string1551z00zzread_jvmz00,
															BgL_arg1513z00_265,
															BGl_string1552z00zzread_jvmz00);
													}
													{	/* Read/jvm.scm 183 */
														obj_t BgL_list1504z00_260;

														{	/* Read/jvm.scm 183 */
															obj_t BgL_arg1505z00_261;

															{	/* Read/jvm.scm 183 */
																obj_t BgL_arg1506z00_262;

																{	/* Read/jvm.scm 183 */
																	obj_t BgL_arg1507z00_263;

																	BgL_arg1507z00_263 =
																		MAKE_PAIR(BGl_string1541z00zzread_jvmz00,
																		BNIL);
																	BgL_arg1506z00_262 =
																		MAKE_PAIR(BgL_defaultz00_255,
																		BgL_arg1507z00_263);
																}
																BgL_arg1505z00_261 =
																	MAKE_PAIR(BGl_string1553z00zzread_jvmz00,
																	BgL_arg1506z00_262);
															}
															BgL_list1504z00_260 =
																MAKE_PAIR(BgL_arg1501z00_257,
																BgL_arg1505z00_261);
														}
														BGl_warningz00zz__errorz00(BgL_list1504z00_260);
													}
												}
											else
												{	/* Read/jvm.scm 182 */
													BFALSE;
												}
										}
										BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00
											(BgL_modulez00_8, BgL_defaultz00_255, BNIL);
										return BgL_defaultz00_255;
									}
								}
							}
					}
			}
		}
	}



/* _module->qualified-type */
	obj_t BGl__modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t BgL_envz00_391,
		obj_t BgL_modulez00_392)
	{
		AN_OBJECT;
		{	/* Read/jvm.scm 170 */
			return
				BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(BgL_modulez00_392);
		}
	}



/* source->qualified-type */
	BGL_EXPORTED_DEF obj_t BGl_sourcezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t
		BgL_filez00_9)
	{
		AN_OBJECT;
		{	/* Read/jvm.scm 195 */
			if (fexists(BSTRING_TO_STRING(BgL_filez00_9)))
				{	/* Read/jvm.scm 196 */
					return
						BGl_withzd2inputzd2fromzd2filezd2zz__r4_ports_6_10_1z00
						(BgL_filez00_9,
						make_fx_procedure(BGl_zc3anonymousza31524ze3z83zzread_jvmz00,
							(int) (((long) 0)), (int) (((long) 0))));
				}
			else
				{	/* Read/jvm.scm 196 */
					return BFALSE;
				}
		}
	}



/* _source->qualified-t1535 */
	obj_t BGl__sourcezd2ze3qualifiedzd2t1535ze3zzread_jvmz00(obj_t BgL_envz00_394,
		obj_t BgL_filez00_395)
	{
		AN_OBJECT;
		{	/* Read/jvm.scm 195 */
			return BGl_sourcezd2ze3qualifiedzd2typeze3zzread_jvmz00(BgL_filez00_395);
		}
	}



/* <anonymous:1524> */
	obj_t BGl_zc3anonymousza31524ze3z83zzread_jvmz00(obj_t BgL_envz00_396)
	{
		AN_OBJECT;
		{	/* Read/jvm.scm 198 */
			{

				{	/* Read/jvm.scm 199 */
					obj_t BgL_ezd2948zd2_278;

					{	/* Read/jvm.scm 199 */
						obj_t BgL_arg1533z00_286;

						BgL_arg1533z00_286 = BGL_CURRENT_INPUT_PORT();
						{	/* Read/jvm.scm 199 */

							{	/* Read/jvm.scm 199 */

								BgL_ezd2948zd2_278 =
									BGl_readz00zz__readerz00(BgL_arg1533z00_286, BFALSE);
							}
						}
					}
					if (PAIRP(BgL_ezd2948zd2_278))
						{	/* Read/jvm.scm 198 */
							obj_t BgL_cdrzd2952zd2_280;

							BgL_cdrzd2952zd2_280 = CDR(BgL_ezd2948zd2_278);
							if ((CAR(BgL_ezd2948zd2_278) == CNST_TABLE_REF(((long) 4))))
								{	/* Read/jvm.scm 198 */
									if (PAIRP(BgL_cdrzd2952zd2_280))
										{	/* Read/jvm.scm 198 */
											return
												BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(CAR
												(BgL_cdrzd2952zd2_280));
										}
									else
										{	/* Read/jvm.scm 198 */
											return BFALSE;
										}
								}
							else
								{	/* Read/jvm.scm 198 */
									return BFALSE;
								}
						}
					else
						{	/* Read/jvm.scm 198 */
							return BFALSE;
						}
				}
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzread_jvmz00()
	{
		AN_OBJECT;
		{	/* Read/jvm.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzread_jvmz00()
	{
		AN_OBJECT;
		{	/* Read/jvm.scm 15 */
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 514705515),
				BSTRING_TO_STRING(BGl_string1554z00zzread_jvmz00));
			BGl_modulezd2initializa7ationz75zzengine_enginez00(((long) 528201616),
				BSTRING_TO_STRING(BGl_string1554z00zzread_jvmz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 466514915),
				BSTRING_TO_STRING(BGl_string1554z00zzread_jvmz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 358171001),
				BSTRING_TO_STRING(BGl_string1554z00zzread_jvmz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string1554z00zzread_jvmz00));
			BGl_modulezd2initializa7ationz75zzinit_mainz00(((long) 230845835),
				BSTRING_TO_STRING(BGl_string1554z00zzread_jvmz00));
			return
				BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 182148081),
				BSTRING_TO_STRING(BGl_string1554z00zzread_jvmz00));
		}
	}

#ifdef __cplusplus
}
#endif
